from mcp.types import Tool

tools = [
    Tool(name="""Git Spice Help MCP Server_get-world-weather""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'latitude': {'description': '', 'maximum': 90, 'minimum': -90, 'type': 'number'}, 'longitude': {'description': '', 'maximum': 180, 'minimum': -180, 'type': 'number'}}, 'required': ['latitude', 'longitude'], 'type': 'object'}, description=""""""), # sach999/Git Spice Help MCP Server/get-world-weather
    Tool(name="""MCP Task Manager Server_createProject""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'projectName': {'description': "Optional human-readable name for the new project (max 255 chars). If omitted, a default name like 'New Project [timestamp]' will be used.", 'maxLength': 255, 'type': 'string'}}, 'type': 'object'}, description="""\nCreates a new, empty project entry in the Task Management Server database.\nThis tool is used by clients (e.g., AI agents) to initiate a new workspace for tasks.\nIt returns the unique identifier (UUID) assigned to the newly created project.\nAn optional name can be provided; otherwise, a default name including a timestamp will be generated.\n"""), # bsmi021/MCP Task Manager Server/createProject
    Tool(name="""MCP Task Manager Server_addTask""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'dependencies': {'description': 'An optional list of task IDs (strings) that must be completed before this task can start (max 50).', 'items': {'description': 'A task ID that this new task depends on.', 'type': 'string'}, 'maxItems': 50, 'type': 'array'}, 'description': {'description': 'The textual description of the task to be performed (1-1024 characters).', 'maxLength': 1024, 'minLength': 1, 'type': 'string'}, 'priority': {'default': 'medium', 'description': "Optional task priority. Defaults to 'medium' if not specified.", 'enum': ['high', 'medium', 'low'], 'type': 'string'}, 'project_id': {'description': 'The unique identifier (UUID) of the project to add the task to. This project must already exist.', 'format': 'uuid', 'type': 'string'}, 'status': {'default': 'todo', 'description': "Optional initial status of the task. Defaults to 'todo' if not specified.", 'enum': ['todo', 'in-progress', 'review', 'done'], 'type': 'string'}}, 'required': ['project_id', 'description'], 'type': 'object'}, description="""\nAdds a new task to a specified project within the Task Management Server.\nRequires the project ID and a description for the task.\nOptionally accepts a list of dependency task IDs, a priority level, and an initial status.\nReturns the full details of the newly created task upon success.\n"""), # bsmi021/MCP Task Manager Server/addTask
    Tool(name="""MCP Task Manager Server_listTasks""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'include_subtasks': {'default': False, 'description': 'Optional flag (default false). If true, the response will include subtasks nested within their parent tasks.', 'type': 'boolean'}, 'project_id': {'description': 'The unique identifier (UUID) of the project whose tasks are to be listed. This project must exist.', 'format': 'uuid', 'type': 'string'}, 'status': {'description': 'Optional filter to return only tasks matching the specified status.', 'enum': ['todo', 'in-progress', 'review', 'done'], 'type': 'string'}}, 'required': ['project_id'], 'type': 'object'}, description="""\nRetrieves a list of tasks for a specified project.\nAllows optional filtering by task status ('todo', 'in-progress', 'review', 'done').\nProvides an option to include nested subtasks directly within their parent task objects in the response.\nReturns an array of task objects.\n"""), # bsmi021/MCP Task Manager Server/listTasks
    Tool(name="""MCP Task Manager Server_showTask""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'project_id': {'description': 'The unique identifier (UUID) of the project the task belongs to.', 'format': 'uuid', 'type': 'string'}, 'task_id': {'description': 'The unique identifier of the task to retrieve details for.', 'minLength': 1, 'type': 'string'}}, 'required': ['project_id', 'task_id'], 'type': 'object'}, description="""\nRetrieves the full details of a single, specific task, including its dependencies and direct subtasks.\nRequires the project ID and the task ID.\nReturns a task object containing all details if found.\n"""), # bsmi021/MCP Task Manager Server/showTask
    Tool(name="""MCP Task Manager Server_setTaskStatus""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'project_id': {'description': 'The unique identifier (UUID) of the project containing the tasks.', 'format': 'uuid', 'type': 'string'}, 'status': {'description': 'The target status to set for the specified tasks.', 'enum': ['todo', 'in-progress', 'review', 'done'], 'type': 'string'}, 'task_ids': {'description': 'An array of task IDs (1-100) whose status should be updated.', 'items': {'description': 'A unique identifier of a task to update.', 'minLength': 1, 'type': 'string'}, 'maxItems': 100, 'minItems': 1, 'type': 'array'}}, 'required': ['project_id', 'task_ids', 'status'], 'type': 'object'}, description="""\nUpdates the status ('todo', 'in-progress', 'review', 'done') for one or more tasks within a specified project.\nRequires the project ID, an array of task IDs (1-100), and the target status.\nVerifies all tasks exist in the project before updating. Returns the count of updated tasks.\n"""), # bsmi021/MCP Task Manager Server/setTaskStatus
    Tool(name="""MCP Task Manager Server_expandTask""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'force': {'default': False, 'description': 'Optional flag (default false). If true, any existing subtasks of the parent task will be deleted before creating the new ones. If false and subtasks exist, the operation will fail.', 'type': 'boolean'}, 'project_id': {'description': 'The unique identifier (UUID) of the project containing the parent task.', 'format': 'uuid', 'type': 'string'}, 'subtask_descriptions': {'description': 'An array of descriptions (1-20) for the new subtasks to be created under the parent task.', 'items': {'description': 'A textual description for one of the new subtasks (1-512 characters).', 'maxLength': 512, 'minLength': 1, 'type': 'string'}, 'maxItems': 20, 'minItems': 1, 'type': 'array'}, 'task_id': {'description': 'The unique identifier of the parent task to be expanded.', 'minLength': 1, 'type': 'string'}}, 'required': ['project_id', 'task_id', 'subtask_descriptions'], 'type': 'object'}, description="""\nBreaks down a specified parent task into multiple subtasks based on provided descriptions.\nRequires the project ID, the parent task ID, and an array of descriptions for the new subtasks.\nOptionally allows forcing the replacement of existing subtasks using the 'force' flag.\nReturns the updated parent task details, including the newly created subtasks.\n"""), # bsmi021/MCP Task Manager Server/expandTask
    Tool(name="""MCP Task Manager Server_getNextTask""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'project_id': {'description': 'The unique identifier (UUID) of the project to find the next task for.', 'format': 'uuid', 'type': 'string'}}, 'required': ['project_id'], 'type': 'object'}, description="""\nIdentifies and returns the next actionable task within a specified project.\nA task is considered actionable if its status is 'todo' and all its dependencies (if any) have a status of 'done'.\nIf multiple tasks are ready, the one with the highest priority ('high' > 'medium' > 'low') is chosen.\nIf priorities are equal, the task created earliest is chosen.\nReturns the full details of the next task, or null if no task is currently ready.\n"""), # bsmi021/MCP Task Manager Server/getNextTask
    Tool(name="""MCP Task Manager Server_exportProject""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'format': {'const': 'json', 'default': 'json', 'description': "Optional format for the export. Currently only 'json' is supported (default).", 'type': 'string'}, 'project_id': {'description': 'The unique identifier (UUID) of the project to export.', 'format': 'uuid', 'type': 'string'}}, 'required': ['project_id'], 'type': 'object'}, description="""\nExports the complete data set for a specified project as a JSON string.\nThis includes project metadata, all tasks (hierarchically structured), and their dependencies.\nRequires the project ID. The format is fixed to JSON for V1.\nReturns the JSON string representing the project data.\n"""), # bsmi021/MCP Task Manager Server/exportProject
    Tool(name="""MCP Task Manager Server_importProject""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'new_project_name': {'description': 'Optional name for the newly created project (max 255 chars). If omitted, a name based on the original project name and import timestamp will be used.', 'maxLength': 255, 'type': 'string'}, 'project_data': {'description': 'Required. A JSON string containing the full project data, conforming to the export structure. Max size e.g., 10MB.', 'minLength': 1, 'type': 'string'}}, 'required': ['project_data'], 'type': 'object'}, description="""\nCreates a *new* project by importing data from a JSON string.\nThe JSON data must conform to the structure previously generated by the 'exportProject' tool.\nPerforms validation on the input data (parsing, basic structure, size limit).\nReturns the unique project_id of the newly created project upon success.\n"""), # bsmi021/MCP Task Manager Server/importProject
    Tool(name="""MCP Task Manager Server_updateTask""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'dependencies': {'description': 'Optional. The complete list of task IDs (UUIDs) that this task depends on. Replaces the existing list entirely. Max 50 dependencies.', 'items': {'description': 'A task ID (UUID) that this task should depend on.', 'format': 'uuid', 'type': 'string'}, 'maxItems': 50, 'type': 'array'}, 'description': {'description': 'Optional. The new textual description for the task (1-1024 characters).', 'maxLength': 1024, 'minLength': 1, 'type': 'string'}, 'priority': {'description': "Optional. The new priority level for the task ('high', 'medium', or 'low').", 'enum': ['high', 'medium', 'low'], 'type': 'string'}, 'project_id': {'description': 'The unique identifier (UUID) of the project containing the task to update. This project must exist.', 'format': 'uuid', 'type': 'string'}, 'task_id': {'description': 'The unique identifier (UUID) of the task to update. This task must exist within the specified project.', 'format': 'uuid', 'type': 'string'}}, 'required': ['project_id', 'task_id'], 'type': 'object'}, description="""\nUpdates specific details of an existing task within a project.\nRequires the project ID and task ID. Allows updating description, priority, and/or dependencies.\nAt least one optional field (description, priority, dependencies) must be provided.\nReturns the full details of the updated task upon success.\n"""), # bsmi021/MCP Task Manager Server/updateTask
    Tool(name="""MCP Task Manager Server_deleteTask""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'project_id': {'description': 'The unique identifier (UUID) of the project containing the tasks to delete. This project must exist.', 'format': 'uuid', 'type': 'string'}, 'task_ids': {'description': 'An array of task IDs (UUIDs, 1-100) to be deleted from the specified project.', 'items': {'description': 'A unique identifier (UUID) of a task to delete.', 'format': 'uuid', 'type': 'string'}, 'maxItems': 100, 'minItems': 1, 'type': 'array'}}, 'required': ['project_id', 'task_ids'], 'type': 'object'}, description="""\nDeletes one or more tasks within a specified project.\nRequires the project ID and an array of task IDs to delete.\nNote: Deleting a task also deletes its subtasks and dependency links due to database cascade rules.\nReturns the count of successfully deleted tasks.\n"""), # bsmi021/MCP Task Manager Server/deleteTask
    Tool(name="""MCP Task Manager Server_deleteProject""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'project_id': {'description': 'The unique identifier (UUID) of the project to permanently delete. This project must exist.', 'format': 'uuid', 'type': 'string'}}, 'required': ['project_id'], 'type': 'object'}, description="""\nPermanently deletes a project and ALL associated tasks and dependencies.\nRequires the project ID. This is a highly destructive operation and cannot be undone.\nReturns a success confirmation upon completion.\n"""), # bsmi021/MCP Task Manager Server/deleteProject
    Tool(name="""YouTube Music MCP_searchTrack""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'trackName': {'description': 'The name of the track to search for', 'type': 'string'}}, 'required': ['trackName'], 'type': 'object'}, description="""Search for tracks on YouTube Music by name."""), # instructa/YouTube Music MCP/searchTrack
    Tool(name="""YouTube Music MCP_playTrack""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'trackName': {'description': 'The name of the track to search for and play', 'type': 'string'}}, 'required': ['trackName'], 'type': 'object'}, description="""Search for a track on YouTube Music and open the top result in the default browser."""), # instructa/YouTube Music MCP/playTrack
    Tool(name="""Playwright MCP Server_playwright_custom_user_agent""", inputSchema={'properties': {'userAgent': {'description': 'Custom User Agent for the Playwright browser instance', 'type': 'string'}}, 'required': ['userAgent'], 'type': 'object'}, description="""Set a custom User Agent for the browser"""), # pvinis/Playwright MCP Server/playwright_custom_user_agent
    Tool(name="""Playwright MCP Server_playwright_get_visible_text""", inputSchema={'properties': {}, 'required': [], 'type': 'object'}, description="""Get the visible text content of the current page"""), # pvinis/Playwright MCP Server/playwright_get_visible_text
    Tool(name="""Playwright MCP Server_playwright_get_visible_html""", inputSchema={'properties': {}, 'required': [], 'type': 'object'}, description="""Get the HTML content of the current page"""), # pvinis/Playwright MCP Server/playwright_get_visible_html
    Tool(name="""Playwright MCP Server_playwright_go_back""", inputSchema={'properties': {}, 'required': [], 'type': 'object'}, description="""Navigate back in browser history"""), # pvinis/Playwright MCP Server/playwright_go_back
    Tool(name="""Playwright MCP Server_playwright_go_forward""", inputSchema={'properties': {}, 'required': [], 'type': 'object'}, description="""Navigate forward in browser history"""), # pvinis/Playwright MCP Server/playwright_go_forward
    Tool(name="""Playwright MCP Server_start_codegen_session""", inputSchema={'properties': {'options': {'description': 'Code generation options', 'properties': {'includeComments': {'description': 'Whether to include descriptive comments in generated tests', 'type': 'boolean'}, 'outputPath': {'description': 'Directory path where generated tests will be saved (use absolute path)', 'type': 'string'}, 'testNamePrefix': {'description': "Prefix to use for generated test names (default: 'GeneratedTest')", 'type': 'string'}}, 'required': ['outputPath'], 'type': 'object'}}, 'required': ['options'], 'type': 'object'}, description="""Start a new code generation session to record Playwright actions"""), # pvinis/Playwright MCP Server/start_codegen_session
    Tool(name="""Playwright MCP Server_end_codegen_session""", inputSchema={'properties': {'sessionId': {'description': 'ID of the session to end', 'type': 'string'}}, 'required': ['sessionId'], 'type': 'object'}, description="""End a code generation session and generate the test file"""), # pvinis/Playwright MCP Server/end_codegen_session
    Tool(name="""Playwright MCP Server_get_codegen_session""", inputSchema={'properties': {'sessionId': {'description': 'ID of the session to retrieve', 'type': 'string'}}, 'required': ['sessionId'], 'type': 'object'}, description="""Get information about a code generation session"""), # pvinis/Playwright MCP Server/get_codegen_session
    Tool(name="""Playwright MCP Server_clear_codegen_session""", inputSchema={'properties': {'sessionId': {'description': 'ID of the session to clear', 'type': 'string'}}, 'required': ['sessionId'], 'type': 'object'}, description="""Clear a code generation session without generating a test"""), # pvinis/Playwright MCP Server/clear_codegen_session
    Tool(name="""Playwright MCP Server_playwright_navigate""", inputSchema={'properties': {'browserType': {'description': 'Browser type to use (chromium, firefox, webkit). Defaults to chromium', 'enum': ['chromium', 'firefox', 'webkit'], 'type': 'string'}, 'headless': {'description': 'Run browser in headless mode (default: false)', 'type': 'boolean'}, 'height': {'description': 'Viewport height in pixels (default: 720)', 'type': 'number'}, 'timeout': {'description': 'Navigation timeout in milliseconds', 'type': 'number'}, 'url': {'description': 'URL to navigate to the website specified', 'type': 'string'}, 'waitUntil': {'description': 'Navigation wait condition', 'type': 'string'}, 'width': {'description': 'Viewport width in pixels (default: 1280)', 'type': 'number'}}, 'required': ['url'], 'type': 'object'}, description="""Navigate to a URL"""), # pvinis/Playwright MCP Server/playwright_navigate
    Tool(name="""Playwright MCP Server_playwright_screenshot""", inputSchema={'properties': {'downloadsDir': {'description': "Custom downloads directory path (default: user's Downloads folder)", 'type': 'string'}, 'fullPage': {'description': 'Store screenshot of the entire page (default: false)', 'type': 'boolean'}, 'height': {'description': 'Height in pixels (default: 600)', 'type': 'number'}, 'name': {'description': 'Name for the screenshot', 'type': 'string'}, 'savePng': {'description': 'Save screenshot as PNG file (default: false)', 'type': 'boolean'}, 'selector': {'description': 'CSS selector for element to screenshot', 'type': 'string'}, 'storeBase64': {'description': 'Store screenshot in base64 format (default: true)', 'type': 'boolean'}, 'width': {'description': 'Width in pixels (default: 800)', 'type': 'number'}}, 'required': ['name'], 'type': 'object'}, description="""Take a screenshot of the current page or a specific element"""), # pvinis/Playwright MCP Server/playwright_screenshot
    Tool(name="""Playwright MCP Server_playwright_click""", inputSchema={'properties': {'selector': {'description': 'CSS selector for the element to click', 'type': 'string'}}, 'required': ['selector'], 'type': 'object'}, description="""Click an element on the page"""), # pvinis/Playwright MCP Server/playwright_click
    Tool(name="""Playwright MCP Server_playwright_iframe_click""", inputSchema={'properties': {'iframeSelector': {'description': 'CSS selector for the iframe containing the element to click', 'type': 'string'}, 'selector': {'description': 'CSS selector for the element to click', 'type': 'string'}}, 'required': ['iframeSelector', 'selector'], 'type': 'object'}, description="""Click an element in an iframe on the page"""), # pvinis/Playwright MCP Server/playwright_iframe_click
    Tool(name="""Playwright MCP Server_playwright_fill""", inputSchema={'properties': {'selector': {'description': 'CSS selector for input field', 'type': 'string'}, 'value': {'description': 'Value to fill', 'type': 'string'}}, 'required': ['selector', 'value'], 'type': 'object'}, description="""fill out an input field"""), # pvinis/Playwright MCP Server/playwright_fill
    Tool(name="""Playwright MCP Server_playwright_select""", inputSchema={'properties': {'selector': {'description': 'CSS selector for element to select', 'type': 'string'}, 'value': {'description': 'Value to select', 'type': 'string'}}, 'required': ['selector', 'value'], 'type': 'object'}, description="""Select an element on the page with Select tag"""), # pvinis/Playwright MCP Server/playwright_select
    Tool(name="""Playwright MCP Server_playwright_hover""", inputSchema={'properties': {'selector': {'description': 'CSS selector for element to hover', 'type': 'string'}}, 'required': ['selector'], 'type': 'object'}, description="""Hover an element on the page"""), # pvinis/Playwright MCP Server/playwright_hover
    Tool(name="""Playwright MCP Server_playwright_evaluate""", inputSchema={'properties': {'script': {'description': 'JavaScript code to execute', 'type': 'string'}}, 'required': ['script'], 'type': 'object'}, description="""Execute JavaScript in the browser console"""), # pvinis/Playwright MCP Server/playwright_evaluate
    Tool(name="""Playwright MCP Server_playwright_console_logs""", inputSchema={'properties': {'clear': {'description': 'Whether to clear logs after retrieval (default: false)', 'type': 'boolean'}, 'limit': {'description': 'Maximum number of logs to return', 'type': 'number'}, 'search': {'description': 'Text to search for in logs (handles text with square brackets)', 'type': 'string'}, 'type': {'description': 'Type of logs to retrieve (all, error, warning, log, info, debug)', 'enum': ['all', 'error', 'warning', 'log', 'info', 'debug'], 'type': 'string'}}, 'required': [], 'type': 'object'}, description="""Retrieve console logs from the browser with filtering options"""), # pvinis/Playwright MCP Server/playwright_console_logs
    Tool(name="""Playwright MCP Server_playwright_close""", inputSchema={'properties': {}, 'required': [], 'type': 'object'}, description="""Close the browser and release all resources"""), # pvinis/Playwright MCP Server/playwright_close
    Tool(name="""Playwright MCP Server_playwright_get""", inputSchema={'properties': {'url': {'description': 'URL to perform GET operation', 'type': 'string'}}, 'required': ['url'], 'type': 'object'}, description="""Perform an HTTP GET request"""), # pvinis/Playwright MCP Server/playwright_get
    Tool(name="""Playwright MCP Server_playwright_post""", inputSchema={'properties': {'headers': {'additionalProperties': {'type': 'string'}, 'description': 'Additional headers to include in the request', 'type': 'object'}, 'token': {'description': 'Bearer token for authorization', 'type': 'string'}, 'url': {'description': 'URL to perform POST operation', 'type': 'string'}, 'value': {'description': 'Data to post in the body', 'type': 'string'}}, 'required': ['url', 'value'], 'type': 'object'}, description="""Perform an HTTP POST request"""), # pvinis/Playwright MCP Server/playwright_post
    Tool(name="""Playwright MCP Server_playwright_put""", inputSchema={'properties': {'url': {'description': 'URL to perform PUT operation', 'type': 'string'}, 'value': {'description': 'Data to PUT in the body', 'type': 'string'}}, 'required': ['url', 'value'], 'type': 'object'}, description="""Perform an HTTP PUT request"""), # pvinis/Playwright MCP Server/playwright_put
    Tool(name="""Playwright MCP Server_playwright_patch""", inputSchema={'properties': {'url': {'description': 'URL to perform PUT operation', 'type': 'string'}, 'value': {'description': 'Data to PATCH in the body', 'type': 'string'}}, 'required': ['url', 'value'], 'type': 'object'}, description="""Perform an HTTP PATCH request"""), # pvinis/Playwright MCP Server/playwright_patch
    Tool(name="""Playwright MCP Server_playwright_delete""", inputSchema={'properties': {'url': {'description': 'URL to perform DELETE operation', 'type': 'string'}}, 'required': ['url'], 'type': 'object'}, description="""Perform an HTTP DELETE request"""), # pvinis/Playwright MCP Server/playwright_delete
    Tool(name="""Playwright MCP Server_playwright_expect_response""", inputSchema={'properties': {'id': {'description': 'Unique & arbitrary identifier to be used for retrieving this response later with `Playwright_assert_response`.', 'type': 'string'}, 'url': {'description': 'URL pattern to match in the response.', 'type': 'string'}}, 'required': ['id', 'url'], 'type': 'object'}, description="""Ask Playwright to start waiting for a HTTP response. This tool initiates the wait operation but does not wait for its completion."""), # pvinis/Playwright MCP Server/playwright_expect_response
    Tool(name="""Playwright MCP Server_playwright_assert_response""", inputSchema={'properties': {'id': {'description': 'Identifier of the HTTP response initially expected using `Playwright_expect_response`.', 'type': 'string'}, 'value': {'description': 'Data to expect in the body of the HTTP response. If provided, the assertion will fail if this value is not found in the response body.', 'type': 'string'}}, 'required': ['id'], 'type': 'object'}, description="""Wait for and validate a previously initiated HTTP response wait operation."""), # pvinis/Playwright MCP Server/playwright_assert_response
    Tool(name="""Playwright MCP Server_playwright_drag""", inputSchema={'properties': {'sourceSelector': {'description': 'CSS selector for the element to drag', 'type': 'string'}, 'targetSelector': {'description': 'CSS selector for the target location', 'type': 'string'}}, 'required': ['sourceSelector', 'targetSelector'], 'type': 'object'}, description="""Drag an element to a target location"""), # pvinis/Playwright MCP Server/playwright_drag
    Tool(name="""Playwright MCP Server_playwright_press_key""", inputSchema={'properties': {'key': {'description': "Key to press (e.g. 'Enter', 'ArrowDown', 'a')", 'type': 'string'}, 'selector': {'description': 'Optional CSS selector to focus before pressing key', 'type': 'string'}}, 'required': ['key'], 'type': 'object'}, description="""Press a keyboard key"""), # pvinis/Playwright MCP Server/playwright_press_key
    Tool(name="""Playwright MCP Server_playwright_save_as_pdf""", inputSchema={'properties': {'filename': {'description': 'Name of the PDF file (default: page.pdf)', 'type': 'string'}, 'format': {'description': "Page format (e.g. 'A4', 'Letter')", 'type': 'string'}, 'margin': {'description': 'Page margins', 'properties': {'bottom': {'type': 'string'}, 'left': {'type': 'string'}, 'right': {'type': 'string'}, 'top': {'type': 'string'}}, 'type': 'object'}, 'outputPath': {'description': 'Directory path where PDF will be saved', 'type': 'string'}, 'printBackground': {'description': 'Whether to print background graphics', 'type': 'boolean'}}, 'required': ['outputPath'], 'type': 'object'}, description="""Save the current page as a PDF file"""), # pvinis/Playwright MCP Server/playwright_save_as_pdf
    Tool(name="""MindBridge MCP Server_listProviders""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {}, 'type': 'object'}, description="""List all configured LLM providers and their available models"""), # pinkpixel-dev/MindBridge MCP Server/listProviders
    Tool(name="""MindBridge MCP Server_listReasoningModels""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {}, 'type': 'object'}, description="""List all available models that support reasoning capabilities"""), # pinkpixel-dev/MindBridge MCP Server/listReasoningModels
    Tool(name="""MindBridge MCP Server_getSecondOpinion""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'frequency_penalty': {'maximum': 2, 'minimum': -2, 'type': 'number'}, 'maxTokens': {'default': 1024, 'exclusiveMinimum': 0, 'type': 'number'}, 'model': {'minLength': 1, 'type': 'string'}, 'presence_penalty': {'maximum': 2, 'minimum': -2, 'type': 'number'}, 'prompt': {'minLength': 1, 'type': 'string'}, 'provider': {'enum': ['openai', 'anthropic', 'deepseek', 'google', 'openrouter', 'ollama', 'openaiCompatible'], 'type': 'string'}, 'reasoning_effort': {'anyOf': [{'anyOf': [{'not': {}}, {'enum': ['low', 'medium', 'high'], 'type': 'string'}]}, {'type': 'null'}]}, 'stop_sequences': {'items': {'type': 'string'}, 'type': 'array'}, 'stream': {'type': 'boolean'}, 'systemPrompt': {'anyOf': [{'anyOf': [{'not': {}}, {'type': 'string'}]}, {'type': 'null'}]}, 'temperature': {'maximum': 1, 'minimum': 0, 'type': 'number'}, 'top_k': {'exclusiveMinimum': 0, 'type': 'number'}, 'top_p': {'maximum': 1, 'minimum': 0, 'type': 'number'}}, 'required': ['prompt', 'provider', 'model'], 'type': 'object'}, description="""Get responses from various LLM providers"""), # pinkpixel-dev/MindBridge MCP Server/getSecondOpinion
    Tool(name="""mcp-server-gitlab_Gitlab Accept MR Tool""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'fields': {'description': '', 'items': {'type': 'string'}, 'type': 'array'}, 'mergeOptions': {'additionalProperties': False, 'description': '', 'properties': {'mergeCommitMessage': {'type': 'string'}, 'shouldRemoveSourceBranch': {'type': 'boolean'}, 'squash': {'type': 'boolean'}}, 'type': 'object'}, 'mergeRequestId': {'description': ' ID', 'type': 'number'}, 'projectId': {'description': ' ID', 'type': 'string'}}, 'required': ['projectId', 'mergeRequestId'], 'type': 'object'}, description=""""""), # ZephyrDeng/mcp-server-gitlab/Gitlab Accept MR Tool
    Tool(name="""mcp-server-gitlab_Gitlab Create MR Comment Tool""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'comment': {'description': '', 'type': 'string'}, 'fields': {'description': '', 'items': {'type': 'string'}, 'type': 'array'}, 'mergeRequestId': {'description': ' ID', 'type': 'number'}, 'projectId': {'description': ' ID', 'type': 'string'}}, 'required': ['projectId', 'mergeRequestId', 'comment'], 'type': 'object'}, description=""""""), # ZephyrDeng/mcp-server-gitlab/Gitlab Create MR Comment Tool
    Tool(name="""mcp-server-gitlab_Gitlab Create MR Tool""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'assigneeId': {'description': ' ID', 'type': 'number'}, 'description': {'description': '', 'type': 'string'}, 'fields': {'description': '', 'items': {'type': 'string'}, 'type': 'array'}, 'labels': {'description': '', 'items': {'type': 'string'}, 'type': 'array'}, 'projectId': {'description': ' ID', 'type': 'string'}, 'reviewerIds': {'description': 'Reviewer  ID ', 'items': {'type': 'number'}, 'type': 'array'}, 'sourceBranch': {'description': '', 'type': 'string'}, 'targetBranch': {'description': '', 'type': 'string'}, 'title': {'description': '', 'type': 'string'}}, 'required': ['projectId', 'sourceBranch', 'targetBranch', 'title'], 'type': 'object'}, description=""" Merge Request assignee  reviewers"""), # ZephyrDeng/mcp-server-gitlab/Gitlab Create MR Tool
    Tool(name="""mcp-server-gitlab_Gitlab Get User Tasks Tool""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'fields': {'anyOf': [{'items': {'type': 'string'}, 'type': 'array'}, {'type': 'string'}], 'description': ' API \n\n- ["id", "name", "owner.username"]\n- "id,name,owner.username"\n- undefined'}, 'taskFilterType': {'description': '', 'enum': ['ALL', 'ASSIGNED_MRS', 'REVIEW_MRS', 'MY_ISSUES', 'MY_PIPELINES', 'MR_CREATED_TODAY', 'ISSUES_CREATED_TODAY', 'CUSTOM'], 'type': 'string'}}, 'type': 'object'}, description=""""""), # ZephyrDeng/mcp-server-gitlab/Gitlab Get User Tasks Tool
    Tool(name="""mcp-server-gitlab_Gitlab Raw API Tool""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'data': {'additionalProperties': {}, 'description': '', 'type': 'object'}, 'endpoint': {'description': 'GitLab API  /projects', 'type': 'string'}, 'fields': {'anyOf': [{'items': {'type': 'string'}, 'type': 'array'}, {'type': 'string'}], 'description': ' API \n\n- ["id", "name", "owner.username"]\n- "id,name,owner.username"\n- undefined'}, 'method': {'description': 'HTTP ', 'enum': ['GET', 'POST', 'PUT', 'DELETE', 'PATCH'], 'type': 'string'}, 'params': {'additionalProperties': {}, 'description': '', 'type': 'object'}}, 'required': ['endpoint', 'method'], 'type': 'object'}, description=""" GitLab REST API"""), # ZephyrDeng/mcp-server-gitlab/Gitlab Raw API Tool
    Tool(name="""mcp-server-gitlab_Gitlab Search Project Details Tool""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'fields': {'anyOf': [{'items': {'type': 'string'}, 'type': 'array'}, {'type': 'string'}], 'description': ' API \n\n- ["id", "name", "owner.username"]\n- "id,name,owner.username"\n- undefined'}, 'projectName': {'description': '', 'type': 'string'}}, 'required': ['projectName'], 'type': 'object'}, description=""""""), # ZephyrDeng/mcp-server-gitlab/Gitlab Search Project Details Tool
    Tool(name="""mcp-server-gitlab_Gitlab Search User Projects Tool""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'fields': {'anyOf': [{'items': {'type': 'string'}, 'type': 'array'}, {'type': 'string'}], 'description': ' API \n\n- ["id", "name", "owner.username"]\n- "id,name,owner.username"\n- undefined'}, 'username': {'description': '', 'type': 'string'}}, 'required': ['username'], 'type': 'object'}, description=""""""), # ZephyrDeng/mcp-server-gitlab/Gitlab Search User Projects Tool
    Tool(name="""mcp-server-gitlab_Gitlab Update MR Tool""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'assigneeId': {'description': ' ID', 'type': 'number'}, 'description': {'description': '', 'type': 'string'}, 'fields': {'description': '', 'items': {'type': 'string'}, 'type': 'array'}, 'labels': {'description': '', 'items': {'type': 'string'}, 'type': 'array'}, 'mergeRequestId': {'description': 'Merge Request ID', 'type': 'number'}, 'projectId': {'description': ' ID', 'type': 'string'}, 'reviewerIds': {'description': 'Reviewer  ID ', 'items': {'type': 'number'}, 'type': 'array'}, 'title': {'description': '', 'type': 'string'}}, 'required': ['projectId', 'mergeRequestId'], 'type': 'object'}, description=""" Merge Request assignee  reviewers"""), # ZephyrDeng/mcp-server-gitlab/Gitlab Update MR Tool
    Tool(name="""Cursor10x MCP_generateBanner""", inputSchema={'properties': {}, 'type': 'object'}, description="""Generates a banner containing memory system statistics and status"""), # aurda012/Cursor10x MCP/generateBanner
    Tool(name="""Cursor10x MCP_checkHealth""", inputSchema={'properties': {}, 'type': 'object'}, description="""Checks the health of the memory system and its database"""), # aurda012/Cursor10x MCP/checkHealth
    Tool(name="""Cursor10x MCP_initConversation""", inputSchema={'properties': {'content': {'description': 'Content of the user message', 'type': 'string'}, 'importance': {'default': 'low', 'description': 'Importance level (low, medium, high)', 'type': 'string'}, 'metadata': {'additionalProperties': True, 'description': 'Optional metadata for the message', 'type': 'object'}}, 'required': ['content'], 'type': 'object'}, description="""Initializes a conversation by storing the user message, generating a banner, and retrieving context in one operation"""), # aurda012/Cursor10x MCP/initConversation
    Tool(name="""Cursor10x MCP_endConversation""", inputSchema={'properties': {'content': {'description': "Content of the assistant's final message", 'type': 'string'}, 'importance': {'default': 'medium', 'description': 'Importance level (low, medium, high)', 'type': 'string'}, 'metadata': {'additionalProperties': True, 'description': 'Optional metadata', 'type': 'object'}, 'milestone_description': {'description': 'Description of what was accomplished', 'type': 'string'}, 'milestone_title': {'description': 'Title of the milestone to record', 'type': 'string'}}, 'required': ['content', 'milestone_title', 'milestone_description'], 'type': 'object'}, description="""Ends a conversation by storing the assistant message, recording a milestone, and logging an episode in one operation"""), # aurda012/Cursor10x MCP/endConversation
    Tool(name="""Cursor10x MCP_storeUserMessage""", inputSchema={'properties': {'content': {'description': 'Content of the message', 'type': 'string'}, 'importance': {'default': 'low', 'description': 'Importance level (low, medium, high)', 'type': 'string'}, 'metadata': {'additionalProperties': True, 'description': 'Optional metadata for the message', 'type': 'object'}}, 'required': ['content'], 'type': 'object'}, description="""Stores a user message in the short-term memory"""), # aurda012/Cursor10x MCP/storeUserMessage
    Tool(name="""Cursor10x MCP_storeAssistantMessage""", inputSchema={'properties': {'content': {'description': 'Content of the message', 'type': 'string'}, 'importance': {'default': 'low', 'description': 'Importance level (low, medium, high)', 'type': 'string'}, 'metadata': {'additionalProperties': True, 'description': 'Optional metadata for the message', 'type': 'object'}}, 'required': ['content'], 'type': 'object'}, description="""Stores an assistant message in the short-term memory"""), # aurda012/Cursor10x MCP/storeAssistantMessage
    Tool(name="""Cursor10x MCP_trackActiveFile""", inputSchema={'properties': {'action': {'description': 'Action performed on the file (open, edit, close, etc.)', 'type': 'string'}, 'filename': {'description': 'Path to the file being tracked', 'type': 'string'}, 'metadata': {'additionalProperties': True, 'description': 'Optional metadata for the file', 'type': 'object'}}, 'required': ['filename', 'action'], 'type': 'object'}, description="""Tracks an active file being accessed by the user"""), # aurda012/Cursor10x MCP/trackActiveFile
    Tool(name="""Cursor10x MCP_getRecentMessages""", inputSchema={'properties': {'importance': {'description': 'Filter by importance level (low, medium, high)', 'type': 'string'}, 'limit': {'default': 10, 'description': 'Maximum number of messages to retrieve', 'type': 'number'}}, 'type': 'object'}, description="""Retrieves recent messages from the short-term memory"""), # aurda012/Cursor10x MCP/getRecentMessages
    Tool(name="""Cursor10x MCP_getActiveFiles""", inputSchema={'properties': {'limit': {'default': 10, 'description': 'Maximum number of files to retrieve', 'type': 'number'}}, 'type': 'object'}, description="""Retrieves active files from the short-term memory"""), # aurda012/Cursor10x MCP/getActiveFiles
    Tool(name="""Cursor10x MCP_storeMilestone""", inputSchema={'properties': {'description': {'description': 'Description of the milestone', 'type': 'string'}, 'importance': {'default': 'medium', 'description': 'Importance level (low, medium, high)', 'type': 'string'}, 'metadata': {'additionalProperties': True, 'description': 'Optional metadata for the milestone', 'type': 'object'}, 'title': {'description': 'Title of the milestone', 'type': 'string'}}, 'required': ['title', 'description'], 'type': 'object'}, description="""Stores a project milestone in the long-term memory"""), # aurda012/Cursor10x MCP/storeMilestone
    Tool(name="""Cursor10x MCP_storeDecision""", inputSchema={'properties': {'content': {'description': 'Content of the decision', 'type': 'string'}, 'importance': {'default': 'medium', 'description': 'Importance level (low, medium, high)', 'type': 'string'}, 'metadata': {'additionalProperties': True, 'description': 'Optional metadata for the decision', 'type': 'object'}, 'reasoning': {'description': 'Reasoning behind the decision', 'type': 'string'}, 'title': {'description': 'Title of the decision', 'type': 'string'}}, 'required': ['title', 'content'], 'type': 'object'}, description="""Stores a project decision in the long-term memory"""), # aurda012/Cursor10x MCP/storeDecision
    Tool(name="""Cursor10x MCP_storeRequirement""", inputSchema={'properties': {'content': {'description': 'Content of the requirement', 'type': 'string'}, 'importance': {'default': 'medium', 'description': 'Importance level (low, medium, high)', 'type': 'string'}, 'metadata': {'additionalProperties': True, 'description': 'Optional metadata for the requirement', 'type': 'object'}, 'title': {'description': 'Title of the requirement', 'type': 'string'}}, 'required': ['title', 'content'], 'type': 'object'}, description="""Stores a project requirement in the long-term memory"""), # aurda012/Cursor10x MCP/storeRequirement
    Tool(name="""Cursor10x MCP_recordEpisode""", inputSchema={'properties': {'action': {'description': 'Type of action performed', 'type': 'string'}, 'actor': {'description': 'Actor performing the action (user, assistant, system)', 'type': 'string'}, 'content': {'description': 'Content or details of the action', 'type': 'string'}, 'context': {'description': 'Context for the episode', 'type': 'string'}, 'importance': {'default': 'low', 'description': 'Importance level (low, medium, high)', 'type': 'string'}}, 'required': ['actor', 'action', 'content'], 'type': 'object'}, description="""Records an episode (action) in the episodic memory"""), # aurda012/Cursor10x MCP/recordEpisode
    Tool(name="""Cursor10x MCP_getRecentEpisodes""", inputSchema={'properties': {'context': {'description': 'Filter by context', 'type': 'string'}, 'limit': {'default': 10, 'description': 'Maximum number of episodes to retrieve', 'type': 'number'}}, 'type': 'object'}, description="""Retrieves recent episodes from the episodic memory"""), # aurda012/Cursor10x MCP/getRecentEpisodes
    Tool(name="""Cursor10x MCP_getComprehensiveContext""", inputSchema={'properties': {}, 'type': 'object'}, description="""Retrieves comprehensive context from all memory systems"""), # aurda012/Cursor10x MCP/getComprehensiveContext
    Tool(name="""Cursor10x MCP_getMemoryStats""", inputSchema={'properties': {}, 'type': 'object'}, description="""Retrieves statistics about the memory system"""), # aurda012/Cursor10x MCP/getMemoryStats
    Tool(name="""Google OCR_ocr""", inputSchema={'properties': {'path': {'title': 'Path', 'type': 'string'}}, 'required': ['path'], 'title': 'ocrArguments', 'type': 'object'}, description="""\n    Perform Optical Character Recognition (OCR) on the provided image file.\n\n    Args:\n        path (str): The absolute file path to the image on which OCR will be performed.\n\n    Returns:\n        str: The extracted text from the image.\n\n    Raises:\n        Exception: If an error occurs during the OCR process, it will be logged.\n\n    Notes:\n        - The function uses Google Cloud Vision API for text detection.\n        - If SAVE_RESULTS is enabled, the OCR results will be saved as a JSON file\n          in the same directory as the input image, with the same name but a .json extension.\n    """), # Zerohertz/Google OCR/ocr
    Tool(name="""Postgres MCP_analyze_workload_indexes""", inputSchema={'properties': {'max_index_size_mb': {'default': 10000, 'description': 'Max index size in MB', 'title': 'Max Index Size Mb', 'type': 'integer'}}, 'title': 'analyze_workload_indexesArguments', 'type': 'object'}, description="""Analyze frequently executed queries in the database and recommend optimal indexes"""), # crystaldba/Postgres MCP/analyze_workload_indexes
    Tool(name="""Postgres MCP_list_schemas""", inputSchema={'properties': {}, 'title': 'list_schemasArguments', 'type': 'object'}, description="""List all schemas in the database"""), # crystaldba/Postgres MCP/list_schemas
    Tool(name="""Postgres MCP_list_objects""", inputSchema={'properties': {'object_type': {'default': 'table', 'description': "Object type: 'table', 'view', 'sequence', or 'extension'", 'title': 'Object Type', 'type': 'string'}, 'schema_name': {'description': 'Schema name', 'title': 'Schema Name', 'type': 'string'}}, 'required': ['schema_name'], 'title': 'list_objectsArguments', 'type': 'object'}, description="""List objects in a schema"""), # crystaldba/Postgres MCP/list_objects
    Tool(name="""Postgres MCP_get_object_details""", inputSchema={'properties': {'object_name': {'description': 'Object name', 'title': 'Object Name', 'type': 'string'}, 'object_type': {'default': 'table', 'description': "Object type: 'table', 'view', 'sequence', or 'extension'", 'title': 'Object Type', 'type': 'string'}, 'schema_name': {'description': 'Schema name', 'title': 'Schema Name', 'type': 'string'}}, 'required': ['schema_name', 'object_name'], 'title': 'get_object_detailsArguments', 'type': 'object'}, description="""Show detailed information about a database object"""), # crystaldba/Postgres MCP/get_object_details
    Tool(name="""Postgres MCP_explain_query""", inputSchema={'properties': {'analyze': {'default': False, 'description': 'When True, actually runs the query to show real execution statistics instead of estimates. Takes longer but provides more accurate information.', 'title': 'Analyze', 'type': 'boolean'}, 'hypothetical_indexes': {'default': [], 'description': 'A list of hypothetical indexes to simulate. Each index must be a dictionary with these keys:\n    - \'table\': The table name to add the index to (e.g., \'users\')\n    - \'columns\': List of column names to include in the index (e.g., [\'email\'] or [\'last_name\', \'first_name\'])\n    - \'using\': Optional index method (default: \'btree\', other options include \'hash\', \'gist\', etc.)\n\nExamples: [\n    {"table": "users", "columns": ["email"], "using": "btree"},\n    {"table": "orders", "columns": ["user_id", "created_at"]}\n]\nIf there is no hypothetical index, you can pass an empty list.', 'items': {'additionalProperties': True, 'type': 'object'}, 'title': 'Hypothetical Indexes', 'type': 'array'}, 'sql': {'description': 'SQL query to explain', 'title': 'Sql', 'type': 'string'}}, 'required': ['sql'], 'title': 'explain_queryArguments', 'type': 'object'}, description="""Explains the execution plan for a SQL query, showing how the database will execute it and provides detailed cost estimates."""), # crystaldba/Postgres MCP/explain_query
    Tool(name="""Postgres MCP_analyze_query_indexes""", inputSchema={'properties': {'max_index_size_mb': {'default': 10000, 'description': 'Max index size in MB', 'title': 'Max Index Size Mb', 'type': 'integer'}, 'queries': {'description': 'List of Query strings to analyze', 'items': {'type': 'string'}, 'title': 'Queries', 'type': 'array'}}, 'required': ['queries'], 'title': 'analyze_query_indexesArguments', 'type': 'object'}, description="""Analyze a list of (up to 10) SQL queries and recommend optimal indexes"""), # crystaldba/Postgres MCP/analyze_query_indexes
    Tool(name="""Postgres MCP_analyze_db_health""", inputSchema={'properties': {'health_type': {'default': 'all', 'description': 'Optional. Valid values are: all, buffer, connection, constraint, index, replication, sequence, vacuum.', 'title': 'Health Type', 'type': 'string'}}, 'title': 'analyze_db_healthArguments', 'type': 'object'}, description="""Analyzes database health. Here are the available health checks:\n- index - checks for invalid, duplicate, and bloated indexes\n- connection - checks the number of connection and their utilization\n- vacuum - checks vacuum health for transaction id wraparound\n- sequence - checks sequences at risk of exceeding their maximum value\n- replication - checks replication health including lag and slots\n- buffer - checks for buffer cache hit rates for indexes and tables\n- constraint - checks for invalid constraints\n- all - runs all checks\nYou can optionally specify a single health check or a comma-separated list of health checks. The default is 'all' checks."""), # crystaldba/Postgres MCP/analyze_db_health
    Tool(name="""Postgres MCP_get_top_queries""", inputSchema={'properties': {'limit': {'default': 10, 'description': 'Number of slow queries to return', 'title': 'Limit', 'type': 'integer'}, 'sort_by': {'default': 'mean', 'description': "Sort criteria: 'total' for total execution time or 'mean' for mean execution time per call", 'title': 'Sort By', 'type': 'string'}}, 'title': 'get_top_queriesArguments', 'type': 'object'}, description="""Reports the slowest SQL queries based on execution time, using data from the 'pg_stat_statements' extension."""), # crystaldba/Postgres MCP/get_top_queries
    Tool(name="""Postgres MCP_execute_sql""", inputSchema={'properties': {'sql': {'default': 'all', 'description': 'SQL to run', 'title': 'Sql', 'type': 'string'}}, 'title': 'execute_sqlArguments', 'type': 'object'}, description="""Execute any SQL query"""), # crystaldba/Postgres MCP/execute_sql
    Tool(name="""deep-directory-tree-mcp_get_deep_directory_tree""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'options': {'additionalProperties': False, 'default': {'depth': 3, 'excludePatterns': ['node_modules', '.git', '.turbo', 'dist', '.next']}, 'description': 'Tree generation options', 'properties': {'depth': {'default': 3, 'description': 'Depth of the directory tree', 'type': 'number'}, 'excludePatterns': {'default': ['node_modules', '.git', '.turbo', 'dist', '.next'], 'description': "Patterns to exclude from the tree (e.g., ['node_modules', '*.log'])", 'items': {'type': 'string'}, 'type': 'array'}}, 'type': 'object'}, 'path': {'description': 'Path to get the directory tree (preferably absolute path)', 'type': 'string'}}, 'required': ['path'], 'type': 'object'}, description="""Get deep directory tree"""), # andredezzy/deep-directory-tree-mcp/get_deep_directory_tree
    Tool(name="""Unleash MCP (Feature Toggle)_getFlag""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'flagName': {'type': 'string'}}, 'required': ['flagName'], 'type': 'object'}, description="""Get detailed information about a feature flag"""), # cuongtl1992/Unleash MCP (Feature Toggle)/getFlag
    Tool(name="""Unleash MCP (Feature Toggle)_createFlag""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'description': {'type': 'string'}, 'impressionData': {'type': 'boolean'}, 'name': {'maxLength': 100, 'minLength': 1, 'pattern': '^[a-z0-9-_.]+$', 'type': 'string'}, 'project': {'type': 'string'}, 'type': {'enum': ['release', 'experiment', 'operational', 'permission', 'kill-switch'], 'type': 'string'}}, 'required': ['name', 'project'], 'type': 'object'}, description="""Create a new feature flag in an Unleash project"""), # cuongtl1992/Unleash MCP (Feature Toggle)/createFlag
    Tool(name="""Unleash MCP (Feature Toggle)_updateFlag""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'archived': {'type': 'boolean'}, 'description': {'type': 'string'}, 'featureName': {'maxLength': 100, 'minLength': 1, 'pattern': '^[a-z0-9-_.]+$', 'type': 'string'}, 'impressionData': {'type': 'boolean'}, 'projectId': {'minLength': 1, 'type': 'string'}, 'stale': {'type': 'boolean'}, 'type': {'enum': ['release', 'experiment', 'operational', 'permission', 'kill-switch'], 'type': 'string'}}, 'required': ['projectId', 'featureName'], 'type': 'object'}, description="""Update an existing feature flag in an Unleash project"""), # cuongtl1992/Unleash MCP (Feature Toggle)/updateFlag
    Tool(name="""Unleash MCP (Feature Toggle)_patchFlag""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'featureName': {'maxLength': 100, 'minLength': 1, 'pattern': '^[a-z0-9-_.]+$', 'type': 'string'}, 'patches': {'items': {'additionalProperties': False, 'properties': {'from': {'type': 'string'}, 'op': {'enum': ['add', 'remove', 'replace', 'move', 'copy', 'test'], 'type': 'string'}, 'path': {'type': 'string'}, 'value': {}}, 'required': ['op', 'path'], 'type': 'object'}, 'type': 'array'}, 'projectId': {'minLength': 1, 'type': 'string'}}, 'required': ['projectId', 'featureName', 'patches'], 'type': 'object'}, description="""Modify specific properties of an existing feature flag in an Unleash project using JSON Patch operations"""), # cuongtl1992/Unleash MCP (Feature Toggle)/patchFlag
    Tool(name="""Unleash MCP (Feature Toggle)_addStrategy""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'constraints': {'items': {'additionalProperties': False, 'properties': {'contextName': {'type': 'string'}, 'operator': {'type': 'string'}, 'values': {'items': {'type': 'string'}, 'type': 'array'}}, 'required': ['contextName', 'operator', 'values'], 'type': 'object'}, 'type': 'array'}, 'environment': {'minLength': 1, 'type': 'string'}, 'featureName': {'minLength': 1, 'type': 'string'}, 'parameters': {'additionalProperties': {'type': 'string'}, 'type': 'object'}, 'projectId': {'minLength': 1, 'type': 'string'}, 'strategyName': {'minLength': 1, 'type': 'string'}}, 'required': ['projectId', 'featureName', 'environment', 'strategyName'], 'type': 'object'}, description="""Add a strategy to a feature flag in a specific environment"""), # cuongtl1992/Unleash MCP (Feature Toggle)/addStrategy
    Tool(name="""Unleash MCP (Feature Toggle)_updateStrategy""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'constraints': {'description': 'Constraints for the strategy', 'items': {'additionalProperties': False, 'properties': {'contextName': {'description': 'Context field name', 'type': 'string'}, 'operator': {'description': 'Operator (e.g., IN, NOT_IN, STR_CONTAINS)', 'type': 'string'}, 'values': {'description': 'Array of values to compare against', 'items': {'type': 'string'}, 'type': 'array'}}, 'required': ['contextName', 'operator', 'values'], 'type': 'object'}, 'type': 'array'}, 'environment': {'description': 'Environment name (e.g., development, production)', 'minLength': 1, 'type': 'string'}, 'featureName': {'description': 'Name of the feature flag', 'maxLength': 100, 'minLength': 1, 'pattern': '^[a-z0-9-_.]+$', 'type': 'string'}, 'name': {'description': 'Strategy name (e.g., default, userWithId, gradualRollout)', 'minLength': 1, 'type': 'string'}, 'parameters': {'additionalProperties': {'type': 'string'}, 'description': 'Parameters for the strategy as key-value pairs', 'type': 'object'}, 'projectId': {'description': 'ID of the project', 'minLength': 1, 'type': 'string'}, 'strategyId': {'description': 'ID of the strategy to update', 'minLength': 1, 'type': 'string'}}, 'required': ['projectId', 'featureName', 'environment', 'strategyId', 'name'], 'type': 'object'}, description="""Update a strategy configuration for a feature flag in the specified environment"""), # cuongtl1992/Unleash MCP (Feature Toggle)/updateStrategy
    Tool(name="""Unleash MCP (Feature Toggle)_deleteStrategy""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'environment': {'minLength': 1, 'type': 'string'}, 'featureName': {'maxLength': 100, 'minLength': 1, 'pattern': '^[a-z0-9-_.]+$', 'type': 'string'}, 'projectId': {'minLength': 1, 'type': 'string'}, 'strategyId': {'minLength': 1, 'type': 'string'}}, 'required': ['projectId', 'featureName', 'environment', 'strategyId'], 'type': 'object'}, description="""Delete a strategy configuration from a feature flag in the specified environment"""), # cuongtl1992/Unleash MCP (Feature Toggle)/deleteStrategy
    Tool(name="""Unleash MCP (Feature Toggle)_setStrategySortOrder""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'environment': {'minLength': 1, 'type': 'string'}, 'featureName': {'maxLength': 100, 'minLength': 1, 'pattern': '^[a-z0-9-_.]+$', 'type': 'string'}, 'projectId': {'minLength': 1, 'type': 'string'}, 'strategyIds': {'items': {'type': 'string'}, 'minItems': 1, 'type': 'array'}}, 'required': ['projectId', 'featureName', 'environment', 'strategyIds'], 'type': 'object'}, description="""Set the sort order of strategies for a feature flag in a specific environment"""), # cuongtl1992/Unleash MCP (Feature Toggle)/setStrategySortOrder
    Tool(name="""Unleash MCP (Feature Toggle)_getProjectFeatures""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'projectId': {'minLength': 1, 'type': 'string'}}, 'required': ['projectId'], 'type': 'object'}, description="""Get all features for a specific project from the Unleash repository"""), # cuongtl1992/Unleash MCP (Feature Toggle)/getProjectFeatures
    Tool(name="""Unleash MCP (Feature Toggle)_getProjectFeature""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'featureName': {'description': 'Name of the feature flag', 'type': 'string'}, 'projectId': {'description': 'ID of the project', 'type': 'string'}}, 'required': ['projectId', 'featureName'], 'type': 'object'}, description="""Get detailed information about a feature flag in a specific project"""), # cuongtl1992/Unleash MCP (Feature Toggle)/getProjectFeature
    Tool(name="""Unleash MCP (Feature Toggle)_archiveFlag""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'featureName': {'description': 'Name of the feature flag to archive', 'type': 'string'}, 'projectId': {'description': 'ID of the project', 'type': 'string'}}, 'required': ['projectId', 'featureName'], 'type': 'object'}, description="""Archive a feature flag in a specific project"""), # cuongtl1992/Unleash MCP (Feature Toggle)/archiveFlag
    Tool(name="""Unleash MCP (Feature Toggle)_validateFeatureName""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'featureName': {'description': 'Name of the feature flag to validate', 'type': 'string'}}, 'required': ['featureName'], 'type': 'object'}, description="""Validate if a feature flag name is valid and available for use"""), # cuongtl1992/Unleash MCP (Feature Toggle)/validateFeatureName
    Tool(name="""Unleash MCP (Feature Toggle)_getProjects""", inputSchema={'type': 'object'}, description="""Get a list of all projects"""), # cuongtl1992/Unleash MCP (Feature Toggle)/getProjects
    Tool(name="""Unleash MCP (Feature Toggle)_listFlags""", inputSchema={'type': 'object'}, description="""Get a list of all feature flags"""), # cuongtl1992/Unleash MCP (Feature Toggle)/listFlags
    Tool(name="""Unleash MCP (Feature Toggle)_getFeatureTypes""", inputSchema={'type': 'object'}, description="""Get a list of all feature types with their descriptions and lifetimes"""), # cuongtl1992/Unleash MCP (Feature Toggle)/getFeatureTypes
    Tool(name="""Unleash MCP (Feature Toggle)_getEnvironments""", inputSchema={'type': 'object'}, description="""Get a list of all environments configured in Unleash"""), # cuongtl1992/Unleash MCP (Feature Toggle)/getEnvironments
    Tool(name="""Unleash MCP (Feature Toggle)_getFeatureTags""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'featureName': {'description': 'Name of the feature to get tags for', 'minLength': 1, 'type': 'string'}}, 'required': ['featureName'], 'type': 'object'}, description="""Get a list of all tags for a specific feature"""), # cuongtl1992/Unleash MCP (Feature Toggle)/getFeatureTags
    Tool(name="""Unleash MCP (Feature Toggle)_addFeatureTag""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'featureName': {'description': 'Name of the feature to add the tag to', 'minLength': 1, 'type': 'string'}, 'tagType': {'description': 'Type of the tag', 'minLength': 1, 'type': 'string'}, 'tagValue': {'description': 'Value of the tag', 'minLength': 1, 'type': 'string'}}, 'required': ['featureName', 'tagType', 'tagValue'], 'type': 'object'}, description="""Add a tag to a feature flag"""), # cuongtl1992/Unleash MCP (Feature Toggle)/addFeatureTag
    Tool(name="""Unleash MCP (Feature Toggle)_enableFlag""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'environment': {'minLength': 1, 'type': 'string'}, 'featureName': {'minLength': 1, 'type': 'string'}, 'projectId': {'minLength': 1, 'type': 'string'}}, 'required': ['projectId', 'featureName', 'environment'], 'type': 'object'}, description="""Enables a feature flag in the specified environment"""), # cuongtl1992/Unleash MCP (Feature Toggle)/enableFlag
    Tool(name="""Unleash MCP (Feature Toggle)_disableFlag""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'environment': {'minLength': 1, 'type': 'string'}, 'featureName': {'minLength': 1, 'type': 'string'}, 'projectId': {'minLength': 1, 'type': 'string'}}, 'required': ['projectId', 'featureName', 'environment'], 'type': 'object'}, description="""Disables a feature flag in the specified environment"""), # cuongtl1992/Unleash MCP (Feature Toggle)/disableFlag
    Tool(name="""Unleash MCP (Feature Toggle)_markFeaturesStale""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'features': {'items': {'minLength': 1, 'type': 'string'}, 'type': 'array'}, 'projectId': {'minLength': 1, 'type': 'string'}, 'stale': {'type': 'boolean'}}, 'required': ['projectId', 'features', 'stale'], 'type': 'object'}, description="""Marks features as stale or not stale in the specified project"""), # cuongtl1992/Unleash MCP (Feature Toggle)/markFeaturesStale
    Tool(name="""mysql_mcp_server_execute_sql""", inputSchema={'properties': {'query': {'description': 'SQL', 'type': 'string'}}, 'required': ['query'], 'type': 'object'}, description="""MySQL5.6sSQL"""), # wenb1n-dev/mysql_mcp_server/execute_sql
    Tool(name="""mysql_mcp_server_get_chinese_initials""", inputSchema={'properties': {'text': {'description': ',', 'type': 'string'}}, 'required': ['text'], 'type': 'object'}, description=""""""), # wenb1n-dev/mysql_mcp_server/get_chinese_initials
    Tool(name="""mysql_mcp_server_get_table_name""", inputSchema={'properties': {'text': {'description': '', 'type': 'string'}}, 'required': ['text'], 'type': 'object'}, description=""""""), # wenb1n-dev/mysql_mcp_server/get_table_name
    Tool(name="""mysql_mcp_server_get_table_desc""", inputSchema={'properties': {'text': {'description': '', 'type': 'string'}}, 'required': ['text'], 'type': 'object'}, description=""","""), # wenb1n-dev/mysql_mcp_server/get_table_desc
    Tool(name="""mysql_mcp_server_get_table_index""", inputSchema={'properties': {'text': {'description': '', 'type': 'string'}}, 'required': ['text'], 'type': 'object'}, description=""","""), # wenb1n-dev/mysql_mcp_server/get_table_index
    Tool(name="""Raindrop.io_getHighlightsByCollection""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'collectionId': {'description': 'Collection ID', 'type': 'number'}}, 'required': ['collectionId'], 'type': 'object'}, description="""Get highlights for bookmarks in a specific collection"""), # adeze/Raindrop.io/getHighlightsByCollection
    Tool(name="""Raindrop.io_createHighlight""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'color': {'description': 'Color for the highlight (e.g., "yellow", "#FFFF00")', 'type': 'string'}, 'note': {'description': 'Additional note for the highlight', 'type': 'string'}, 'raindropId': {'description': 'Bookmark ID', 'type': 'number'}, 'text': {'description': 'Highlighted text', 'type': 'string'}}, 'required': ['raindropId', 'text'], 'type': 'object'}, description="""Create a new highlight for a bookmark"""), # adeze/Raindrop.io/createHighlight
    Tool(name="""Raindrop.io_getCollection""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'id': {'description': 'Collection ID', 'type': 'number'}}, 'required': ['id'], 'type': 'object'}, description="""Get a specific collection by ID"""), # adeze/Raindrop.io/getCollection
    Tool(name="""Raindrop.io_getCollections""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {}, 'type': 'object'}, description="""Get all collections"""), # adeze/Raindrop.io/getCollections
    Tool(name="""Raindrop.io_createCollection""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'isPublic': {'description': 'Whether the collection is public', 'type': 'boolean'}, 'title': {'description': 'Collection title', 'type': 'string'}}, 'required': ['title'], 'type': 'object'}, description="""Create a new collection"""), # adeze/Raindrop.io/createCollection
    Tool(name="""Raindrop.io_updateCollection""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'id': {'description': 'Collection ID', 'type': 'number'}, 'isPublic': {'description': 'Whether the collection is public', 'type': 'boolean'}, 'sort': {'description': 'Sort order', 'enum': ['title', '-created'], 'type': 'string'}, 'title': {'description': 'New title', 'type': 'string'}, 'view': {'description': 'View type', 'enum': ['list', 'simple', 'grid', 'masonry'], 'type': 'string'}}, 'required': ['id'], 'type': 'object'}, description="""Update an existing collection"""), # adeze/Raindrop.io/updateCollection
    Tool(name="""Raindrop.io_deleteCollection""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'id': {'description': 'Collection ID', 'type': 'number'}}, 'required': ['id'], 'type': 'object'}, description="""Delete a collection"""), # adeze/Raindrop.io/deleteCollection
    Tool(name="""Raindrop.io_shareCollection""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'emails': {'description': 'Email addresses to share with', 'items': {'format': 'email', 'type': 'string'}, 'type': 'array'}, 'id': {'description': 'Collection ID', 'type': 'number'}, 'level': {'description': 'Access level', 'enum': ['view', 'edit', 'remove'], 'type': 'string'}}, 'required': ['id', 'level'], 'type': 'object'}, description="""Share a collection with others"""), # adeze/Raindrop.io/shareCollection
    Tool(name="""Raindrop.io_mergeCollections""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'sourceIds': {'description': 'Source Collection IDs to merge', 'items': {'type': 'number'}, 'type': 'array'}, 'targetId': {'description': 'Target Collection ID', 'type': 'number'}}, 'required': ['targetId', 'sourceIds'], 'type': 'object'}, description="""Merge multiple collections into one target collection"""), # adeze/Raindrop.io/mergeCollections
    Tool(name="""Raindrop.io_removeEmptyCollections""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {}, 'type': 'object'}, description="""Remove all empty collections"""), # adeze/Raindrop.io/removeEmptyCollections
    Tool(name="""Raindrop.io_emptyTrash""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {}, 'type': 'object'}, description="""Empty the trash by permanently deleting all raindrops in it"""), # adeze/Raindrop.io/emptyTrash
    Tool(name="""Raindrop.io_getBookmark""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'id': {'description': 'Bookmark ID', 'type': 'number'}}, 'required': ['id'], 'type': 'object'}, description="""Get a specific bookmark by ID"""), # adeze/Raindrop.io/getBookmark
    Tool(name="""Raindrop.io_getBookmarks""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'collection': {'description': 'Collection ID', 'type': 'number'}, 'page': {'description': 'Page number', 'type': 'number'}, 'perPage': {'description': 'Items per page (max 50)', 'type': 'number'}, 'search': {'description': 'Search query', 'type': 'string'}, 'sort': {'description': 'Sort order', 'enum': ['title', '-title', 'domain', '-domain', 'created', '-created', 'lastUpdate', '-lastUpdate'], 'type': 'string'}, 'tags': {'description': 'Filter by tags', 'items': {'type': 'string'}, 'type': 'array'}}, 'type': 'object'}, description="""Get bookmarks with optional filtering"""), # adeze/Raindrop.io/getBookmarks
    Tool(name="""Raindrop.io_updateHighlight""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'color': {'description': 'New color', 'type': 'string'}, 'id': {'description': 'Highlight ID', 'type': 'number'}, 'note': {'description': 'New note', 'type': 'string'}, 'text': {'description': 'New highlighted text', 'type': 'string'}}, 'required': ['id'], 'type': 'object'}, description="""Update an existing highlight"""), # adeze/Raindrop.io/updateHighlight
    Tool(name="""Raindrop.io_searchBookmarks""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'collection': {'description': 'Collection ID', 'type': 'number'}, 'createdEnd': {'description': 'Created before date (ISO format)', 'type': 'string'}, 'createdStart': {'description': 'Created after date (ISO format)', 'type': 'string'}, 'important': {'description': 'Only important bookmarks', 'type': 'boolean'}, 'media': {'description': 'Media type filter', 'enum': ['image', 'video', 'document', 'audio'], 'type': 'string'}, 'page': {'description': 'Page number', 'type': 'number'}, 'perPage': {'description': 'Items per page (max 50)', 'type': 'number'}, 'search': {'description': 'Search query', 'type': 'string'}, 'sort': {'description': 'Sort order (e.g., "title", "-created")', 'type': 'string'}, 'tags': {'description': 'Filter by tags', 'items': {'type': 'string'}, 'type': 'array'}}, 'type': 'object'}, description="""Search bookmarks with advanced filters"""), # adeze/Raindrop.io/searchBookmarks
    Tool(name="""Raindrop.io_createBookmark""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'collectionId': {'description': 'Collection ID', 'type': 'number'}, 'excerpt': {'description': 'Short description', 'type': 'string'}, 'important': {'description': 'Mark as important', 'type': 'boolean'}, 'link': {'description': 'URL of the bookmark', 'format': 'uri', 'type': 'string'}, 'tags': {'description': 'List of tags', 'items': {'type': 'string'}, 'type': 'array'}, 'title': {'description': 'Title of the bookmark', 'type': 'string'}}, 'required': ['link', 'collectionId'], 'type': 'object'}, description="""Create a new bookmark"""), # adeze/Raindrop.io/createBookmark
    Tool(name="""Raindrop.io_updateBookmark""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'collectionId': {'description': 'Collection ID to move the bookmark to', 'type': 'number'}, 'excerpt': {'description': 'Short excerpt or description', 'type': 'string'}, 'id': {'description': 'Bookmark ID', 'type': 'number'}, 'important': {'description': 'Mark as important', 'type': 'boolean'}, 'tags': {'description': 'List of tags', 'items': {'type': 'string'}, 'type': 'array'}, 'title': {'description': 'Title of the bookmark', 'type': 'string'}}, 'required': ['id'], 'type': 'object'}, description="""Update an existing bookmark"""), # adeze/Raindrop.io/updateBookmark
    Tool(name="""Raindrop.io_deleteBookmark""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'id': {'description': 'Bookmark ID', 'type': 'number'}, 'permanent': {'description': 'Permanently delete (skip trash)', 'type': 'boolean'}}, 'required': ['id'], 'type': 'object'}, description="""Delete a bookmark"""), # adeze/Raindrop.io/deleteBookmark
    Tool(name="""Raindrop.io_batchUpdateBookmarks""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'collectionId': {'description': 'Collection ID to move bookmarks to', 'type': 'number'}, 'ids': {'description': 'List of bookmark IDs', 'items': {'type': 'number'}, 'type': 'array'}, 'important': {'description': 'Mark as important', 'type': 'boolean'}, 'tags': {'description': 'Tags to apply to all bookmarks', 'items': {'type': 'string'}, 'type': 'array'}}, 'required': ['ids'], 'type': 'object'}, description="""Update multiple bookmarks at once"""), # adeze/Raindrop.io/batchUpdateBookmarks
    Tool(name="""Raindrop.io_bulkMoveBookmarks""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'collectionId': {'description': 'Target collection ID', 'type': 'number'}, 'ids': {'description': 'List of bookmark IDs to move', 'items': {'type': 'number'}, 'type': 'array'}}, 'required': ['ids', 'collectionId'], 'type': 'object'}, description="""Move multiple bookmarks to another collection"""), # adeze/Raindrop.io/bulkMoveBookmarks
    Tool(name="""Raindrop.io_bulkTagBookmarks""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'ids': {'description': 'List of bookmark IDs', 'items': {'type': 'number'}, 'type': 'array'}, 'operation': {'description': 'Whether to add or remove the specified tags', 'enum': ['add', 'remove'], 'type': 'string'}, 'tags': {'description': 'Tags to apply', 'items': {'type': 'string'}, 'type': 'array'}}, 'required': ['ids', 'tags', 'operation'], 'type': 'object'}, description="""Add or remove tags from multiple bookmarks"""), # adeze/Raindrop.io/bulkTagBookmarks
    Tool(name="""Raindrop.io_batchDeleteBookmarks""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'ids': {'description': 'List of bookmark IDs to delete', 'items': {'type': 'number'}, 'type': 'array'}, 'permanent': {'description': 'Permanently delete (skip trash)', 'type': 'boolean'}}, 'required': ['ids'], 'type': 'object'}, description="""Delete multiple bookmarks at once"""), # adeze/Raindrop.io/batchDeleteBookmarks
    Tool(name="""Raindrop.io_setReminder""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'date': {'description': 'Reminder date (ISO format)', 'type': 'string'}, 'note': {'description': 'Reminder note', 'type': 'string'}, 'raindropId': {'description': 'Bookmark ID', 'type': 'number'}}, 'required': ['raindropId', 'date'], 'type': 'object'}, description="""Set a reminder for a bookmark"""), # adeze/Raindrop.io/setReminder
    Tool(name="""Raindrop.io_deleteReminder""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'raindropId': {'description': 'Bookmark ID', 'type': 'number'}}, 'required': ['raindropId'], 'type': 'object'}, description="""Delete a reminder from a bookmark"""), # adeze/Raindrop.io/deleteReminder
    Tool(name="""Raindrop.io_getTags""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'collectionId': {'description': 'Filter tags by collection', 'type': 'number'}}, 'type': 'object'}, description="""Get all tags"""), # adeze/Raindrop.io/getTags
    Tool(name="""Raindrop.io_renameTag""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'collectionId': {'description': 'Collection ID (optional)', 'type': 'number'}, 'newName': {'description': 'New tag name', 'type': 'string'}, 'oldName': {'description': 'Current tag name', 'type': 'string'}}, 'required': ['oldName', 'newName'], 'type': 'object'}, description="""Rename a tag across all bookmarks or in a specific collection"""), # adeze/Raindrop.io/renameTag
    Tool(name="""Raindrop.io_deleteTag""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'collectionId': {'description': 'Collection ID (optional)', 'type': 'number'}, 'tag': {'description': 'Tag to delete', 'type': 'string'}}, 'required': ['tag'], 'type': 'object'}, description="""Remove a tag from all bookmarks or in a specific collection"""), # adeze/Raindrop.io/deleteTag
    Tool(name="""Raindrop.io_mergeTags""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'collectionId': {'description': 'Collection ID (optional)', 'type': 'number'}, 'destinationTag': {'description': 'Destination tag name', 'type': 'string'}, 'sourceTags': {'description': 'List of source tags to merge', 'items': {'type': 'string'}, 'type': 'array'}}, 'required': ['sourceTags', 'destinationTag'], 'type': 'object'}, description="""Merge multiple tags into one destination tag"""), # adeze/Raindrop.io/mergeTags
    Tool(name="""Raindrop.io_deleteTags""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'collectionId': {'description': 'Collection ID (optional)', 'type': 'number'}, 'tags': {'description': 'List of tags to delete', 'items': {'type': 'string'}, 'type': 'array'}}, 'required': ['tags'], 'type': 'object'}, description="""Delete tags from all bookmarks"""), # adeze/Raindrop.io/deleteTags
    Tool(name="""Raindrop.io_getHighlights""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'raindropId': {'description': 'Bookmark ID', 'type': 'number'}}, 'required': ['raindropId'], 'type': 'object'}, description="""Get highlights for a specific bookmark"""), # adeze/Raindrop.io/getHighlights
    Tool(name="""Raindrop.io_getAllHighlights""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'page': {'description': 'Page number, starting from 0', 'type': 'number'}, 'perPage': {'description': 'Number of highlights per page (max 50)', 'type': 'number'}}, 'type': 'object'}, description="""Get all highlights across all bookmarks"""), # adeze/Raindrop.io/getAllHighlights
    Tool(name="""Raindrop.io_deleteHighlight""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'id': {'description': 'Highlight ID', 'type': 'number'}}, 'required': ['id'], 'type': 'object'}, description="""Delete a highlight"""), # adeze/Raindrop.io/deleteHighlight
    Tool(name="""Raindrop.io_getUserInfo""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {}, 'type': 'object'}, description="""Get user information"""), # adeze/Raindrop.io/getUserInfo
    Tool(name="""Raindrop.io_getUserStats""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'collectionId': {'description': 'Collection ID for specific collection stats', 'type': 'number'}}, 'type': 'object'}, description="""Get user statistics"""), # adeze/Raindrop.io/getUserStats
    Tool(name="""Raindrop.io_getImportStatus""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {}, 'type': 'object'}, description="""Check the status of an ongoing import"""), # adeze/Raindrop.io/getImportStatus
    Tool(name="""Raindrop.io_getExportStatus""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {}, 'type': 'object'}, description="""Check the status of an ongoing export"""), # adeze/Raindrop.io/getExportStatus
    Tool(name="""Raindrop.io_exportBookmarks""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'broken': {'description': 'Include broken links', 'type': 'boolean'}, 'collectionId': {'description': 'Export specific collection', 'type': 'number'}, 'duplicates': {'description': 'Include duplicates', 'type': 'boolean'}, 'format': {'description': 'Export format', 'enum': ['csv', 'html', 'pdf'], 'type': 'string'}}, 'required': ['format'], 'type': 'object'}, description="""Export bookmarks in various formats"""), # adeze/Raindrop.io/exportBookmarks
    Tool(name="""MCP Server for Google Cloud Healthcare API_get-drug-info""", inputSchema={'properties': {'genericName': {'type': 'string'}}, 'required': ['genericName'], 'type': 'object'}, description="""Get Drug details by a generic name"""), # Kartha-AI/MCP Server for Google Cloud Healthcare API/get-drug-info
    Tool(name="""MCP Server for Google Cloud Healthcare API_find_patient""", inputSchema={'properties': {'birthDate': {'description': 'YYYY-MM-DD format', 'type': 'string'}, 'firstName': {'type': 'string'}, 'gender': {'enum': ['male', 'female', 'other', 'unknown'], 'type': 'string'}, 'lastName': {'type': 'string'}}, 'required': ['lastName'], 'type': 'object'}, description="""Search for a patient by demographics"""), # Kartha-AI/MCP Server for Google Cloud Healthcare API/find_patient
    Tool(name="""MCP Server for Google Cloud Healthcare API_get_patient_observations""", inputSchema={'properties': {'code': {'description': 'LOINC or SNOMED code', 'type': 'string'}, 'dateFrom': {'description': 'YYYY-MM-DD', 'type': 'string'}, 'dateTo': {'description': 'YYYY-MM-DD', 'type': 'string'}, 'patientId': {'type': 'string'}, 'status': {'enum': ['registered', 'preliminary', 'final', 'amended', 'corrected', 'cancelled'], 'type': 'string'}}, 'required': ['patientId'], 'type': 'object'}, description="""Get observations (vitals, labs) for a patient"""), # Kartha-AI/MCP Server for Google Cloud Healthcare API/get_patient_observations
    Tool(name="""MCP Server for Google Cloud Healthcare API_get_patient_conditions""", inputSchema={'properties': {'onsetDate': {'description': 'YYYY-MM-DD', 'type': 'string'}, 'patientId': {'type': 'string'}, 'status': {'enum': ['active', 'inactive', 'resolved'], 'type': 'string'}}, 'required': ['patientId'], 'type': 'object'}, description="""Get medical conditions/diagnoses for a patient"""), # Kartha-AI/MCP Server for Google Cloud Healthcare API/get_patient_conditions
    Tool(name="""MCP Server for Google Cloud Healthcare API_get_patient_medications""", inputSchema={'properties': {'patientId': {'type': 'string'}, 'status': {'enum': ['active', 'completed', 'stopped', 'on-hold'], 'type': 'string'}}, 'required': ['patientId'], 'type': 'object'}, description="""Get medication orders for a patient"""), # Kartha-AI/MCP Server for Google Cloud Healthcare API/get_patient_medications
    Tool(name="""MCP Server for Google Cloud Healthcare API_get_patient_encounters""", inputSchema={'properties': {'dateFrom': {'description': 'YYYY-MM-DD', 'type': 'string'}, 'dateTo': {'description': 'YYYY-MM-DD', 'type': 'string'}, 'patientId': {'type': 'string'}, 'status': {'enum': ['planned', 'arrived', 'in-progress', 'finished', 'cancelled'], 'type': 'string'}}, 'required': ['patientId'], 'type': 'object'}, description="""Get healthcare encounters/visits for a patient"""), # Kartha-AI/MCP Server for Google Cloud Healthcare API/get_patient_encounters
    Tool(name="""MCP Server for Google Cloud Healthcare API_get_patient_allergies""", inputSchema={'properties': {'category': {'enum': ['food', 'medication', 'environment', 'biologic'], 'type': 'string'}, 'patientId': {'type': 'string'}, 'status': {'enum': ['active', 'inactive', 'resolved'], 'type': 'string'}, 'type': {'enum': ['allergy', 'intolerance'], 'type': 'string'}}, 'required': ['patientId'], 'type': 'object'}, description="""Get allergies and intolerances for a patient"""), # Kartha-AI/MCP Server for Google Cloud Healthcare API/get_patient_allergies
    Tool(name="""MCP Server for Google Cloud Healthcare API_get_patient_procedures""", inputSchema={'properties': {'dateFrom': {'description': 'YYYY-MM-DD', 'type': 'string'}, 'dateTo': {'description': 'YYYY-MM-DD', 'type': 'string'}, 'patientId': {'type': 'string'}, 'status': {'enum': ['preparation', 'in-progress', 'completed', 'entered-in-error'], 'type': 'string'}}, 'required': ['patientId'], 'type': 'object'}, description="""Get procedures performed on a patient"""), # Kartha-AI/MCP Server for Google Cloud Healthcare API/get_patient_procedures
    Tool(name="""MCP Server for Google Cloud Healthcare API_get_patient_careplans""", inputSchema={'properties': {'category': {'type': 'string'}, 'dateFrom': {'description': 'YYYY-MM-DD', 'type': 'string'}, 'dateTo': {'description': 'YYYY-MM-DD', 'type': 'string'}, 'patientId': {'type': 'string'}, 'status': {'enum': ['draft', 'active', 'suspended', 'completed', 'cancelled'], 'type': 'string'}}, 'required': ['patientId'], 'type': 'object'}, description="""Get care plans for a patient"""), # Kartha-AI/MCP Server for Google Cloud Healthcare API/get_patient_careplans
    Tool(name="""MCP Server for Google Cloud Healthcare API_get_vital_signs""", inputSchema={'properties': {'patientId': {'type': 'string'}, 'timeframe': {'description': 'e.g., 3m, 6m, 1y, all', 'type': 'string'}}, 'required': ['patientId'], 'type': 'object'}, description="""Get patient's vital signs history"""), # Kartha-AI/MCP Server for Google Cloud Healthcare API/get_vital_signs
    Tool(name="""MCP Server for Google Cloud Healthcare API_get_lab_results""", inputSchema={'properties': {'category': {'description': 'e.g., CBC, METABOLIC, LIPIDS, ALL', 'type': 'string'}, 'patientId': {'type': 'string'}, 'timeframe': {'type': 'string'}}, 'required': ['patientId'], 'type': 'object'}, description="""Get patient's lab results"""), # Kartha-AI/MCP Server for Google Cloud Healthcare API/get_lab_results
    Tool(name="""MCP Server for Google Cloud Healthcare API_get_medications_history""", inputSchema={'properties': {'includeDiscontinued': {'type': 'boolean'}, 'patientId': {'type': 'string'}}, 'required': ['patientId'], 'type': 'object'}, description="""Get patient's medication history including changes"""), # Kartha-AI/MCP Server for Google Cloud Healthcare API/get_medications_history
    Tool(name="""MCP Server for Google Cloud Healthcare API_get_appointments""", inputSchema={'properties': {'dateFrom': {'description': 'YYYY-MM-DD', 'type': 'string'}, 'dateTo': {'description': 'YYYY-MM-DD', 'type': 'string'}, 'patientId': {'type': 'string'}}, 'required': ['patientId'], 'type': 'object'}, description="""Get patient's Appointments"""), # Kartha-AI/MCP Server for Google Cloud Healthcare API/get_appointments
    Tool(name="""MCP Server for Google Cloud Healthcare API_search-pubmed""", inputSchema={'properties': {'maxResults': {'type': 'number'}, 'query': {'type': 'string'}}, 'required': ['query'], 'type': 'object'}, description="""Search PubMed for medical literature"""), # Kartha-AI/MCP Server for Google Cloud Healthcare API/search-pubmed
    Tool(name="""MCP Server for Google Cloud Healthcare API_search-trials""", inputSchema={'properties': {'condition': {'type': 'string'}, 'location': {'type': 'string'}}, 'required': ['condition'], 'type': 'object'}, description="""Search ClinicalTrials.gov for relevant studies"""), # Kartha-AI/MCP Server for Google Cloud Healthcare API/search-trials
    Tool(name="""MCP Notes_log""", inputSchema={'properties': {'notes': {'type': 'string'}, 'tags': {'description': "Analyze the note's content and identify key themes, concepts, and categories that connect it to other notes.\n              Consider:\n              - Core topics and themes present in the note\n              - Broader domains or areas of knowledge\n              - Types of information (decisions, ideas, research, etc.)\n              - Projects or contexts that might want to reference this later\n              Do not force tags - only add ones that naturally emerge from the content and would help build meaningful connections between notes.", 'items': {'type': 'string'}, 'type': 'array'}}, 'required': ['notes', 'tags'], 'type': 'object'}, description="""Create or update today's daily log file. Optionally add notes to the log."""), # markacianfrani/MCP Notes/log
    Tool(name="""MCP Notes_sticky""", inputSchema={'properties': {'actionability': {'type': 'number'}, 'evaluationStep': {'type': 'number'}, 'findability': {'type': 'number'}, 'futureReferenceValue': {'type': 'number'}, 'longevity': {'type': 'number'}, 'nextStepNeeded': {'type': 'boolean'}, 'thought': {'type': 'string'}, 'totalSteps': {'type': 'number'}}, 'required': ['thought', 'evaluationStep', 'totalSteps', 'nextStepNeeded', 'actionability', 'longevity', 'findability', 'futureReferenceValue'], 'type': 'object'}, description="""\n      Evaluate the stickiness of a thought. Based on the following criteria: \n      1. Actionability (1-10): Can this be applied to future work? Is there any information that can be used to apply this thought to future work in different contexts? Is the problem it solves clear?\n      2. Longevity (1-10): Will this be relevant months or years from now?\n      3. Findability (1-10): Would this be hard to rediscover if forgotten?\n      4. Future Reference Value (1-10): How likely are you to need this again?\n      Thoughts to ignore: \n      1. Trivial syntax details\n      2. Redundant information\n      """), # markacianfrani/MCP Notes/sticky
    Tool(name="""MCP Notes_rollup""", inputSchema={'properties': {'accomplishments': {'description': "A list of accomplishments. Each accomplishment should be a short description of the work done in the day so that it can answer the question 'what did you do all day?'", 'items': {'type': 'string'}, 'type': 'array'}, 'date': {'type': 'string'}, 'insights': {'description': 'A list of insights. Each insight should be a long-term storage. Things like new knowledge gained. Do not force insights - only add ones that naturally emerge from the content and would help build meaningful connections between notes.', 'items': {'type': 'string'}, 'type': 'array'}, 'todos': {'description': 'A list of todos. Each todo should be a short description of the task to be done. A todo should be actionable.', 'items': {'type': 'string'}, 'type': 'array'}}, 'required': ['accomplishments', 'insights'], 'type': 'object'}, description="""\n       Synthesize my daily note to create an organized rollup of the most important notes with clear categories, connections, and action items. Optionally specify a date (YYYY-MM-DD).\n       Only include notes that actually add long-term value. If you are unsure, call the /sticky tool to evaluate the stickiness of the thought.\n       If you do not have enough information, stop and ask the user for more information.\n       It is better to not log anything than log something that is not useful.\n      """), # markacianfrani/MCP Notes/rollup
    Tool(name="""MCP Notes_write_note""", inputSchema={'properties': {'content': {'description': 'Content to write to the note', 'type': 'string'}, 'path': {'description': 'Path where the note should be saved, relative to notes directory', 'type': 'string'}, 'tags': {'description': "Tags to add to the note's frontmatter. Will be merged with existing tags if present.", 'items': {'type': 'string'}, 'type': 'array'}}, 'required': ['path', 'content'], 'type': 'object'}, description="""Create a new note or overwrite an existing note with content. Path should be relative to your notes directory. Optionally include tags that will be merged with any existing tags in the note."""), # markacianfrani/MCP Notes/write_note
    Tool(name="""MCP Notes_search_files""", inputSchema={'properties': {'excludePatterns': {'default': [], 'description': 'Glob patterns to exclude from search results', 'items': {'type': 'string'}, 'type': 'array'}, 'pattern': {'description': 'The pattern to search for in file and directory names', 'type': 'string'}}, 'required': ['pattern'], 'type': 'object'}, description="""Recursively search for files and directories matching a pattern in your notes directory. The search is case-insensitive and matches partial names. Returns full paths to all matching items. Great for finding notes when you don't know their exact location."""), # markacianfrani/MCP Notes/search_files
    Tool(name="""MCP Notes_read_note""", inputSchema={'properties': {'path': {'description': 'The path to the note file, relative to your notes directory', 'type': 'string'}}, 'required': ['path'], 'type': 'object'}, description="""Read the complete contents of a note file from your notes directory. Specify the path relative to your notes directory (e.g., 'Log/2023-01-01.md'). Returns the full text content of the note file."""), # markacianfrani/MCP Notes/read_note
    Tool(name="""MCP Notes_read_multiple_notes""", inputSchema={'properties': {'paths': {'description': 'Array of paths to note files, relative to your notes directory', 'items': {'type': 'string'}, 'type': 'array'}}, 'required': ['paths'], 'type': 'object'}, description="""Read the contents of multiple note files simultaneously. Specify paths relative to your notes directory (e.g., ['Log/2023-01-01.md', 'Rollups/2023-01-01-rollup.md']). Returns each file's content with its path as a reference."""), # markacianfrani/MCP Notes/read_multiple_notes
    Tool(name="""MCP Notes_list_directory""", inputSchema={'properties': {'path': {'default': '', 'description': 'Directory path relative to notes directory (defaults to root notes directory if not provided)', 'type': 'string'}}, 'type': 'object'}, description="""List the contents of a directory in your notes. Shows all files and directories with clear labels. Specify path relative to your notes directory (e.g., 'Log' or 'Rollups')."""), # markacianfrani/MCP Notes/list_directory
    Tool(name="""MCP Notes_create_directory""", inputSchema={'properties': {'path': {'description': 'Directory path to create, relative to notes directory', 'type': 'string'}}, 'required': ['path'], 'type': 'object'}, description="""Create a new directory in your notes. Can create nested directories in one operation. Path should be relative to your notes directory."""), # markacianfrani/MCP Notes/create_directory
    Tool(name="""markdown-to-html_markdown_to_html""", inputSchema={'properties': {'mdContent': {'description': 'Markdown content to convert', 'type': 'string'}}, 'required': ['mdContent'], 'type': 'object'}, description="""Convert Markdown to HTML"""), # fashionzzZ/markdown-to-html/markdown_to_html
    Tool(name="""Custom Context MCP Server_group-text-by-json""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'template': {'description': 'JSON template with placeholders', 'type': 'string'}}, 'required': ['template'], 'type': 'object'}, description="""Gives a prompt text for AI to group text based on JSON placeholders. This tool accepts a JSON template with placeholders."""), # omer-ayhan/Custom Context MCP Server/group-text-by-json
    Tool(name="""Custom Context MCP Server_text-to-json""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'template': {'description': 'JSON template with placeholders', 'type': 'string'}, 'text': {'description': 'Groupped text from groupTextByJson tool', 'type': 'string'}}, 'required': ['template', 'text'], 'type': 'object'}, description="""Converts groupped text from group-text-by-json tool to JSON. This tool accepts a JSON template with placeholders and groupped text from group-text-by-json tool."""), # omer-ayhan/Custom Context MCP Server/text-to-json
    Tool(name="""whistle-mcp_renameValue""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'name': {'description': '', 'type': 'string'}, 'newName': {'description': '', 'type': 'string'}}, 'required': ['name', 'newName'], 'type': 'object'}, description=""""""), # 7gugu/whistle-mcp/renameValue
    Tool(name="""whistle-mcp_getRules""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {}, 'type': 'object'}, description="""&"""), # 7gugu/whistle-mcp/getRules
    Tool(name="""whistle-mcp_createRule""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'name': {'description': '', 'type': 'string'}}, 'required': ['name'], 'type': 'object'}, description=""""""), # 7gugu/whistle-mcp/createRule
    Tool(name="""whistle-mcp_updateRule""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'ruleName': {'description': '', 'type': 'string'}, 'ruleValue': {'description': '', 'type': 'string'}}, 'required': ['ruleName', 'ruleValue'], 'type': 'object'}, description=""""""), # 7gugu/whistle-mcp/updateRule
    Tool(name="""whistle-mcp_renameRule""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'newName': {'description': '', 'type': 'string'}, 'ruleName': {'description': '', 'type': 'string'}}, 'required': ['ruleName', 'newName'], 'type': 'object'}, description=""""""), # 7gugu/whistle-mcp/renameRule
    Tool(name="""whistle-mcp_deleteRule""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'ruleName': {'description': '', 'type': 'string'}}, 'required': ['ruleName'], 'type': 'object'}, description=""""""), # 7gugu/whistle-mcp/deleteRule
    Tool(name="""whistle-mcp_enableRule""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'ruleName': {'description': '', 'type': 'string'}}, 'required': ['ruleName'], 'type': 'object'}, description=""""""), # 7gugu/whistle-mcp/enableRule
    Tool(name="""whistle-mcp_disableRule""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'ruleName': {'description': '', 'type': 'string'}}, 'required': ['ruleName'], 'type': 'object'}, description=""""""), # 7gugu/whistle-mcp/disableRule
    Tool(name="""whistle-mcp_createGroup""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'name': {'description': '', 'type': 'string'}}, 'required': ['name'], 'type': 'object'}, description=""""""), # 7gugu/whistle-mcp/createGroup
    Tool(name="""whistle-mcp_renameGroup""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'groupName': {'description': '', 'type': 'string'}, 'newName': {'description': '', 'type': 'string'}}, 'required': ['groupName', 'newName'], 'type': 'object'}, description=""""""), # 7gugu/whistle-mcp/renameGroup
    Tool(name="""whistle-mcp_deleteGroup""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'groupName': {'description': '', 'type': 'string'}}, 'required': ['groupName'], 'type': 'object'}, description=""""""), # 7gugu/whistle-mcp/deleteGroup
    Tool(name="""whistle-mcp_addRuleToGroup""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'groupName': {'description': '', 'type': 'string'}, 'ruleName': {'description': '', 'type': 'string'}}, 'required': ['groupName', 'ruleName'], 'type': 'object'}, description=""""""), # 7gugu/whistle-mcp/addRuleToGroup
    Tool(name="""whistle-mcp_removeRuleFromGroup""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'ruleName': {'description': '', 'type': 'string'}}, 'required': ['ruleName'], 'type': 'object'}, description=""""""), # 7gugu/whistle-mcp/removeRuleFromGroup
    Tool(name="""whistle-mcp_getAllValues""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {}, 'type': 'object'}, description=""""""), # 7gugu/whistle-mcp/getAllValues
    Tool(name="""whistle-mcp_createValuesGroup""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'name': {'description': '', 'type': 'string'}}, 'required': ['name'], 'type': 'object'}, description=""""""), # 7gugu/whistle-mcp/createValuesGroup
    Tool(name="""whistle-mcp_createValue""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'name': {'description': '', 'type': 'string'}}, 'required': ['name'], 'type': 'object'}, description=""""""), # 7gugu/whistle-mcp/createValue
    Tool(name="""whistle-mcp_updateValue""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'name': {'description': '', 'type': 'string'}, 'value': {'description': '', 'type': 'string'}}, 'required': ['name', 'value'], 'type': 'object'}, description=""""""), # 7gugu/whistle-mcp/updateValue
    Tool(name="""whistle-mcp_renameValueGroup""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'groupName': {'description': '', 'type': 'string'}, 'newName': {'description': '', 'type': 'string'}}, 'required': ['groupName', 'newName'], 'type': 'object'}, description=""""""), # 7gugu/whistle-mcp/renameValueGroup
    Tool(name="""whistle-mcp_deleteValue""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'name': {'description': '', 'type': 'string'}}, 'required': ['name'], 'type': 'object'}, description=""""""), # 7gugu/whistle-mcp/deleteValue
    Tool(name="""whistle-mcp_deleteValueGroup""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'groupName': {'description': '', 'type': 'string'}}, 'required': ['groupName'], 'type': 'object'}, description=""""""), # 7gugu/whistle-mcp/deleteValueGroup
    Tool(name="""whistle-mcp_addValueToGroup""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'groupName': {'description': '', 'type': 'string'}, 'valueName': {'description': '', 'type': 'string'}}, 'required': ['groupName', 'valueName'], 'type': 'object'}, description=""""""), # 7gugu/whistle-mcp/addValueToGroup
    Tool(name="""whistle-mcp_removeValueFromGroup""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'valueName': {'description': '', 'type': 'string'}}, 'required': ['valueName'], 'type': 'object'}, description=""""""), # 7gugu/whistle-mcp/removeValueFromGroup
    Tool(name="""whistle-mcp_getWhistleStatus""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {}, 'type': 'object'}, description="""whistle"""), # 7gugu/whistle-mcp/getWhistleStatus
    Tool(name="""whistle-mcp_toggleProxy""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'enabled': {'description': '', 'type': 'boolean'}}, 'required': ['enabled'], 'type': 'object'}, description="""whistle"""), # 7gugu/whistle-mcp/toggleProxy
    Tool(name="""whistle-mcp_toggleHttpInterception""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'enabled': {'description': 'HTTP', 'type': 'boolean'}}, 'required': ['enabled'], 'type': 'object'}, description="""HTTP"""), # 7gugu/whistle-mcp/toggleHttpInterception
    Tool(name="""whistle-mcp_toggleHttpsInterception""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'enabled': {'description': 'HTTPS', 'type': 'boolean'}}, 'required': ['enabled'], 'type': 'object'}, description="""HTTPS"""), # 7gugu/whistle-mcp/toggleHttpsInterception
    Tool(name="""whistle-mcp_toggleHttp2""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'enabled': {'description': 'HTTP/2', 'type': 'boolean'}}, 'required': ['enabled'], 'type': 'object'}, description="""HTTP/2"""), # 7gugu/whistle-mcp/toggleHttp2
    Tool(name="""whistle-mcp_toggleMultiRuleMode""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'enabled': {'description': '', 'type': 'boolean'}}, 'required': ['enabled'], 'type': 'object'}, description=""""""), # 7gugu/whistle-mcp/toggleMultiRuleMode
    Tool(name="""whistle-mcp_getInterceptInfo""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'count': {'description': '', 'type': 'number'}, 'startTime': {'description': 'ms', 'type': 'string'}, 'url': {'description': 'URL ()', 'type': 'string'}}, 'type': 'object'}, description="""URL(/base64)"""), # 7gugu/whistle-mcp/getInterceptInfo
    Tool(name="""whistle-mcp_replayRequest""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'body': {'description': '', 'type': 'string'}, 'headers': {'description': '', 'type': 'string'}, 'method': {'description': 'GET', 'type': 'string'}, 'url': {'description': 'URL', 'type': 'string'}, 'useH2': {'description': 'HTTP/2', 'type': 'boolean'}}, 'required': ['url'], 'type': 'object'}, description="""whistle(, getInterceptInfo)"""), # 7gugu/whistle-mcp/replayRequest
    Tool(name="""whistle-mcp_setAllRulesState""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'disabled': {'description': 'truefalse', 'type': 'boolean'}}, 'required': ['disabled'], 'type': 'object'}, description="""/"""), # 7gugu/whistle-mcp/setAllRulesState
    Tool(name="""whistle-mcp_getCurrentTimestamp""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {}, 'type': 'object'}, description=""""""), # 7gugu/whistle-mcp/getCurrentTimestamp
    Tool(name="""PocketBase MCP Server_fetch_record""", inputSchema={'properties': {'collection': {'description': 'The name or ID of the PocketBase collection.', 'type': 'string'}, 'id': {'description': 'The ID of the record to fetch.', 'type': 'string'}}, 'required': ['collection', 'id'], 'type': 'object'}, description="""Fetch a single record from a PocketBase collection by ID."""), # mabeldata/PocketBase MCP Server/fetch_record
    Tool(name="""PocketBase MCP Server_list_records""", inputSchema={'properties': {'collection': {'description': 'The name or ID of the PocketBase collection.', 'type': 'string'}, 'expand': {'description': 'PocketBase expand string (e.g., "user,tags.name").', 'type': 'string'}, 'filter': {'description': 'PocketBase filter string (e.g., "status=\'active\'").', 'type': 'string'}, 'page': {'description': 'Page number (defaults to 1).', 'minimum': 1, 'type': 'number'}, 'perPage': {'description': 'Items per page (defaults to 30, max 500).', 'maximum': 500, 'minimum': 1, 'type': 'number'}, 'sort': {'description': 'PocketBase sort string (e.g., "-created,name").', 'type': 'string'}}, 'required': ['collection'], 'type': 'object'}, description="""List records from a PocketBase collection. Supports filtering, sorting, pagination, and expansion."""), # mabeldata/PocketBase MCP Server/list_records
    Tool(name="""PocketBase MCP Server_create_record""", inputSchema={'properties': {'collection': {'description': 'The name or ID of the PocketBase collection.', 'type': 'string'}, 'data': {'additionalProperties': True, 'description': 'The data for the new record (key-value pairs).', 'type': 'object'}}, 'required': ['collection', 'data'], 'type': 'object'}, description="""Create a new record in a PocketBase collection."""), # mabeldata/PocketBase MCP Server/create_record
    Tool(name="""PocketBase MCP Server_update_record""", inputSchema={'properties': {'collection': {'description': 'The name or ID of the PocketBase collection.', 'type': 'string'}, 'data': {'additionalProperties': True, 'description': 'The data fields to update (key-value pairs).', 'type': 'object'}, 'id': {'description': 'The ID of the record to update.', 'type': 'string'}}, 'required': ['collection', 'id', 'data'], 'type': 'object'}, description="""Update an existing record in a PocketBase collection by ID."""), # mabeldata/PocketBase MCP Server/update_record
    Tool(name="""PocketBase MCP Server_get_collection_schema""", inputSchema={'properties': {'collection': {'description': 'The name or ID of the PocketBase collection.', 'type': 'string'}}, 'required': ['collection'], 'type': 'object'}, description="""Get the schema (fields, rules, etc.) of a PocketBase collection."""), # mabeldata/PocketBase MCP Server/get_collection_schema
    Tool(name="""PocketBase MCP Server_list_collections""", inputSchema={'additionalProperties': False, 'properties': {}, 'type': 'object'}, description="""List all collections in the PocketBase instance."""), # mabeldata/PocketBase MCP Server/list_collections
    Tool(name="""PocketBase MCP Server_upload_file""", inputSchema={'properties': {'collection': {'description': 'The name or ID of the collection.', 'type': 'string'}, 'fileContent': {'description': 'The raw content of the file as a string.', 'type': 'string'}, 'fileField': {'description': 'The name of the file field in the collection schema.', 'type': 'string'}, 'fileName': {'description': 'The desired name for the uploaded file (e.g., "report.txt").', 'type': 'string'}, 'recordId': {'description': 'The ID of the record to attach the file to.', 'type': 'string'}}, 'required': ['collection', 'recordId', 'fileField', 'fileContent', 'fileName'], 'type': 'object'}, description="""Upload a file (provided as content string) to a PocketBase collection record field."""), # mabeldata/PocketBase MCP Server/upload_file
    Tool(name="""PocketBase MCP Server_download_file""", inputSchema={'properties': {'collection': {'description': 'The name or ID of the collection.', 'type': 'string'}, 'fileField': {'description': 'The name of the file field.', 'type': 'string'}, 'recordId': {'description': 'The ID of the record containing the file.', 'type': 'string'}}, 'required': ['collection', 'recordId', 'fileField'], 'type': 'object'}, description="""Get the URL to download a file from a PocketBase collection record field."""), # mabeldata/PocketBase MCP Server/download_file
    Tool(name="""PocketBase MCP Server_set_migrations_directory""", inputSchema={'properties': {'customPath': {'description': 'Custom path for migrations. If not provided, defaults to "pb_migrations" in the current working directory.', 'type': 'string'}}, 'type': 'object'}, description="""Set the directory where migration files will be created and read from."""), # mabeldata/PocketBase MCP Server/set_migrations_directory
    Tool(name="""PocketBase MCP Server_create_migration""", inputSchema={'properties': {'description': {'description': 'A brief description for the migration filename (e.g., "add_user_email_index").', 'type': 'string'}}, 'required': ['description'], 'type': 'object'}, description="""Create a new, empty PocketBase migration file with a timestamped name."""), # mabeldata/PocketBase MCP Server/create_migration
    Tool(name="""PocketBase MCP Server_create_collection_migration""", inputSchema={'properties': {'collectionDefinition': {'additionalProperties': True, 'description': 'The full schema definition for the new collection (including name, id, fields, rules, etc.).', 'required': ['name', 'id'], 'type': 'object'}, 'description': {'description': 'Optional description override for the filename.', 'type': 'string'}}, 'required': ['collectionDefinition'], 'type': 'object'}, description="""Create a migration file specifically for creating a new PocketBase collection."""), # mabeldata/PocketBase MCP Server/create_collection_migration
    Tool(name="""PocketBase MCP Server_add_field_migration""", inputSchema={'properties': {'collectionNameOrId': {'description': 'The name or ID of the collection to update.', 'type': 'string'}, 'description': {'description': 'Optional description override for the filename.', 'type': 'string'}, 'fieldDefinition': {'additionalProperties': True, 'description': 'The schema definition for the new field.', 'required': ['name', 'type'], 'type': 'object'}}, 'required': ['collectionNameOrId', 'fieldDefinition'], 'type': 'object'}, description="""Create a migration file for adding a field to an existing collection."""), # mabeldata/PocketBase MCP Server/add_field_migration
    Tool(name="""PocketBase MCP Server_list_migrations""", inputSchema={'additionalProperties': False, 'properties': {}, 'type': 'object'}, description="""List all migration files found in the PocketBase migrations directory."""), # mabeldata/PocketBase MCP Server/list_migrations
    Tool(name="""PocketBase MCP Server_apply_migration""", inputSchema={'properties': {'migrationFile': {'description': 'Name of the migration file to apply.', 'type': 'string'}}, 'required': ['migrationFile'], 'type': 'object'}, description="""Apply a specific migration file."""), # mabeldata/PocketBase MCP Server/apply_migration
    Tool(name="""PocketBase MCP Server_revert_migration""", inputSchema={'properties': {'migrationFile': {'description': 'Name of the migration file to revert.', 'type': 'string'}}, 'required': ['migrationFile'], 'type': 'object'}, description="""Revert a specific migration file."""), # mabeldata/PocketBase MCP Server/revert_migration
    Tool(name="""PocketBase MCP Server_apply_all_migrations""", inputSchema={'properties': {'appliedMigrations': {'description': 'Array of already applied migration filenames.', 'items': {'type': 'string'}, 'type': 'array'}}, 'type': 'object'}, description="""Apply all pending migrations."""), # mabeldata/PocketBase MCP Server/apply_all_migrations
    Tool(name="""PocketBase MCP Server_revert_to_migration""", inputSchema={'properties': {'appliedMigrations': {'description': 'Array of already applied migration filenames.', 'items': {'type': 'string'}, 'type': 'array'}, 'targetMigration': {'description': 'Name of the migration to revert to (exclusive). Use empty string to revert all.', 'type': 'string'}}, 'required': ['targetMigration'], 'type': 'object'}, description="""Revert migrations up to a specific target."""), # mabeldata/PocketBase MCP Server/revert_to_migration
    Tool(name="""PocketBase MCP Server_list_logs""", inputSchema={'properties': {'filter': {'description': 'PocketBase filter string (e.g., "method=\'GET\'").', 'type': 'string'}, 'page': {'description': 'Page number (defaults to 1).', 'minimum': 1, 'type': 'number'}, 'perPage': {'description': 'Items per page (defaults to 30, max 500).', 'maximum': 500, 'minimum': 1, 'type': 'number'}, 'sort': {'description': 'PocketBase sort string (e.g., "-created,url").', 'type': 'string'}}, 'required': [], 'type': 'object'}, description="""List API request logs from PocketBase with filtering, sorting, and pagination."""), # mabeldata/PocketBase MCP Server/list_logs
    Tool(name="""PocketBase MCP Server_get_log""", inputSchema={'properties': {'id': {'description': 'The ID of the log to fetch.', 'type': 'string'}}, 'required': ['id'], 'type': 'object'}, description="""Get a single API request log by ID."""), # mabeldata/PocketBase MCP Server/get_log
    Tool(name="""PocketBase MCP Server_get_logs_stats""", inputSchema={'properties': {'filter': {'description': 'PocketBase filter string (e.g., "method=\'GET\'").', 'type': 'string'}}, 'required': [], 'type': 'object'}, description="""Get API request logs statistics with optional filtering."""), # mabeldata/PocketBase MCP Server/get_logs_stats
    Tool(name="""302AI Sandbox MCP Server_writeSandboxFiles""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'file_list': {'description': 'List of files to import into the sandbox', 'items': {'additionalProperties': False, 'properties': {'file': {'description': 'Public URL of the source file', 'type': 'string'}, 'save_path': {'description': 'Target path in the sandbox where the file will be saved (Linux path format) e.g. /home/user', 'type': 'string'}}, 'required': ['file', 'save_path'], 'type': 'object'}, 'type': 'array'}, 'sandbox_id': {'description': 'The ID of the sandbox to write files to.', 'type': 'string'}}, 'required': ['sandbox_id', 'file_list'], 'type': 'object'}, description="""Import files from public URLs into a sandbox. Supports batch import of multiple files. If the target file already exists, it will be overwritten. If the target directory doesn't exist, it will be automatically created. You must create a sandbox before calling this tool."""), # 302ai/302AI Sandbox MCP Server/writeSandboxFiles
    Tool(name="""302AI Sandbox MCP Server_directRunCode""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'code': {'description': 'The source code to be executed in the sandbox', 'type': 'string'}, 'envs': {'additionalProperties': {'type': 'string'}, 'description': 'Environment variables to be set during code execution. Supports passing custom environment variables as key-value pairs', 'type': 'object'}, 'is_download': {'description': 'Flag to indicate whether to download generated files. Must be enabled if the code generates files that need to be retrieved', 'type': 'boolean'}, 'language': {'description': 'The programming language to execute the code. If not provided or if the value is not in the allowed options, it will be treated as Python code', 'enum': ['python', 'r', 'java', 'bash', 'js'], 'type': 'string'}, 'timeout': {'description': 'Maximum execution time in seconds for the sandbox. If code execution exceeds this time, it will be terminated and return a timeout error. Default is 5', 'type': 'number'}}, 'required': ['language', 'code'], 'type': 'object'}, description="""Automatically creates a sandbox, executes code, and immediately destroys the sandbox after execution. Optionally exports sandbox files (compresses multiple files into a zip archive if there are multiple files in the specified path, or exports a single file directly). Recommended for use cases that don't require continuous sandbox operations."""), # 302ai/302AI Sandbox MCP Server/directRunCode
    Tool(name="""302AI Sandbox MCP Server_listSandboxFiles""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'path': {}, 'sandbox_id': {'description': 'The ID of the sandbox to query files from', 'type': 'string'}}, 'required': ['sandbox_id', 'path'], 'type': 'object'}, description="""List files and directories at specified paths within a sandbox. Supports batch queries with multiple paths. This operation can be used before downloadSandboxFiles to check if the file exists."""), # 302ai/302AI Sandbox MCP Server/listSandboxFiles
    Tool(name="""302AI Sandbox MCP Server_downloadSandboxFiles""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'path': {'description': 'Path(s) to export from the sandbox.'}, 'sandbox_id': {'description': 'The ID of the sandbox to export files from', 'type': 'string'}}, 'required': ['sandbox_id', 'path'], 'type': 'object'}, description="""Export files from a sandbox directory or file path to downloadable urls. Supports batch export of multiple directories or files. When exporting directories, only common file formats are included (documents, images, audio, video, compressed files, web files, and programming language files)."""), # 302ai/302AI Sandbox MCP Server/downloadSandboxFiles
    Tool(name="""302AI Sandbox MCP Server_runCode""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'code': {'description': 'The code to run', 'type': 'string'}, 'envs': {'additionalProperties': {'type': 'string'}, 'description': 'Environment variables to set when running the code', 'type': 'object'}, 'language': {'default': 'python', 'description': 'The programming language to use. If not specified or if the value is not in the allowed range, it will be treated as Python code.', 'enum': ['python', 'r', 'java', 'bash', 'js'], 'type': 'string'}, 'sandbox_id': {'description': 'The ID of the sandbox to run the code on', 'type': 'string'}, 'timeout': {'default': 5, 'description': 'The timeout for code execution in seconds', 'type': 'integer'}}, 'required': ['code', 'sandbox_id'], 'type': 'object'}, description="""Run code on a specific sandbox. This returns text output only. For operations that generate files, you'll need to use separate file viewing and export endpoints. Default file saving path is /home/user."""), # 302ai/302AI Sandbox MCP Server/runCode
    Tool(name="""302AI Sandbox MCP Server_runCommand""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'cmd': {'description': 'The command line command to run', 'type': 'string'}, 'envs': {'additionalProperties': {'type': 'string'}, 'description': 'Environment variables to set when running the command', 'type': 'object'}, 'sandbox_id': {'description': 'The ID of the sandbox to run the command on', 'type': 'string'}, 'timeout': {'default': 60, 'description': 'The timeout for command execution in seconds. When installing dependencies or performing similar operations, it is recommended to set it to above 120 seconds.', 'type': 'integer'}}, 'required': ['cmd', 'sandbox_id'], 'type': 'object'}, description="""Run a command line command on a specific linux sandbox. This returns text output only. For operations that generate files, you'll need to use separate file viewing and download endpoints."""), # 302ai/302AI Sandbox MCP Server/runCommand
    Tool(name="""302AI Sandbox MCP Server_listSandboxes""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'sandbox_id': {'description': 'Filter by sandbox ID (optional)', 'type': 'string'}, 'sandbox_name': {'description': 'Filter by sandbox name provided during creation (optional)', 'type': 'string'}}, 'type': 'object'}, description="""Query the list of sandboxes associated with the current API key. If no parameters are passed, all current sandboxes will be returned."""), # 302ai/302AI Sandbox MCP Server/listSandboxes
    Tool(name="""302AI Sandbox MCP Server_killSandbox""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'sandbox_id': {'description': 'The ID of the sandbox to destroy', 'type': 'string'}}, 'required': ['sandbox_id'], 'type': 'object'}, description="""Destroy a sandbox by its ID."""), # 302ai/302AI Sandbox MCP Server/killSandbox
    Tool(name="""302AI Sandbox MCP Server_createSandbox""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'envs': {'additionalProperties': {'type': 'string'}, 'description': 'Environment variables to set (optional)', 'type': 'object'}, 'max_alive_time': {'description': 'Maximum alive time of the sandbox (seconds), recommand 300.', 'type': 'integer'}, 'metadata': {'additionalProperties': {'type': 'string'}, 'description': 'Sandbox metadata (optional)', 'type': 'object'}, 'sandbox_name': {'description': 'Custom sandbox name (optional)', 'type': 'string'}}, 'required': ['max_alive_time'], 'type': 'object'}, description="""Create a Linux sandbox that can execute code, run commands, upload and download files, and has complete Linux functionality. After successful creation, a sandbox_id will be returned, and all subsequent operations will need to include this sandbox_id to specify the corresponding sandbox. Except for directRunCode, all other operations require the creation of a sandbox first. After successful creation, the sandbox will automatically pause. When calling other sandbox operation interfaces later, it will automatically reconnect and pause again after execution to avoid generating extra costs."""), # 302ai/302AI Sandbox MCP Server/createSandbox
    Tool(name="""Calculator MCP_add""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'a': {'type': 'number'}, 'b': {'type': 'number'}}, 'required': ['a', 'b'], 'type': 'object'}, description="""Add two numbers"""), # wrtnlabs/Calculator MCP/add
    Tool(name="""Calculator MCP_div""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'a': {'type': 'number'}, 'b': {'type': 'number'}}, 'required': ['a', 'b'], 'type': 'object'}, description="""Divide two numbers"""), # wrtnlabs/Calculator MCP/div
    Tool(name="""Calculator MCP_mod""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'a': {'type': 'number'}, 'b': {'type': 'number'}}, 'required': ['a', 'b'], 'type': 'object'}, description="""Mod two numbers"""), # wrtnlabs/Calculator MCP/mod
    Tool(name="""Calculator MCP_mul""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'a': {'type': 'number'}, 'b': {'type': 'number'}}, 'required': ['a', 'b'], 'type': 'object'}, description="""Multiply two numbers"""), # wrtnlabs/Calculator MCP/mul
    Tool(name="""Calculator MCP_sqrt""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'a': {'type': 'number'}}, 'required': ['a'], 'type': 'object'}, description="""Square root of a number"""), # wrtnlabs/Calculator MCP/sqrt
    Tool(name="""Calculator MCP_sub""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'a': {'type': 'number'}, 'b': {'type': 'number'}}, 'required': ['a', 'b'], 'type': 'object'}, description="""Subtract two numbers"""), # wrtnlabs/Calculator MCP/sub
    Tool(name="""Google Calendar - No deletion_list_emails""", inputSchema={'properties': {'maxResults': {'description': 'Maximum number of emails to return (default: 10)', 'type': 'number'}, 'query': {'description': 'Search query to filter emails', 'type': 'string'}}, 'type': 'object'}, description="""List recent emails from Gmail inbox"""), # erickva/Google Calendar - No deletion/list_emails
    Tool(name="""Google Calendar - No deletion_search_emails""", inputSchema={'properties': {'maxResults': {'description': 'Maximum number of emails to return (default: 10)', 'type': 'number'}, 'query': {'description': 'Gmail search query (e.g., "from:example@gmail.com has:attachment")', 'required': True, 'type': 'string'}}, 'required': ['query'], 'type': 'object'}, description="""Search emails with advanced query"""), # erickva/Google Calendar - No deletion/search_emails
    Tool(name="""Google Calendar - No deletion_send_email""", inputSchema={'properties': {'bcc': {'description': 'BCC recipients (comma-separated)', 'type': 'string'}, 'body': {'description': 'Email body (can include HTML)', 'type': 'string'}, 'cc': {'description': 'CC recipients (comma-separated)', 'type': 'string'}, 'subject': {'description': 'Email subject', 'type': 'string'}, 'to': {'description': 'Recipient email address', 'type': 'string'}}, 'required': ['to', 'subject', 'body'], 'type': 'object'}, description="""Send a new email"""), # erickva/Google Calendar - No deletion/send_email
    Tool(name="""Google Calendar - No deletion_modify_email""", inputSchema={'properties': {'addLabels': {'description': 'Labels to add', 'items': {'type': 'string'}, 'type': 'array'}, 'id': {'description': 'Email ID', 'type': 'string'}, 'removeLabels': {'description': 'Labels to remove', 'items': {'type': 'string'}, 'type': 'array'}}, 'required': ['id'], 'type': 'object'}, description="""Modify email labels (archive, trash, mark read/unread)"""), # erickva/Google Calendar - No deletion/modify_email
    Tool(name="""Google Calendar - No deletion_list_events""", inputSchema={'properties': {'maxResults': {'description': 'Maximum number of events to return (default: 10)', 'type': 'number'}, 'timeMax': {'description': 'End time in ISO format', 'type': 'string'}, 'timeMin': {'description': 'Start time in ISO format (default: now)', 'type': 'string'}}, 'type': 'object'}, description="""List upcoming calendar events"""), # erickva/Google Calendar - No deletion/list_events
    Tool(name="""Google Calendar - No deletion_create_event""", inputSchema={'properties': {'attendees': {'description': 'List of attendee email addresses', 'items': {'type': 'string'}, 'type': 'array'}, 'description': {'description': 'Event description', 'type': 'string'}, 'end': {'description': 'End time in ISO format', 'type': 'string'}, 'location': {'description': 'Event location', 'type': 'string'}, 'start': {'description': 'Start time in ISO format', 'type': 'string'}, 'summary': {'description': 'Event title', 'type': 'string'}}, 'required': ['summary', 'start', 'end'], 'type': 'object'}, description="""Create a new calendar event"""), # erickva/Google Calendar - No deletion/create_event
    Tool(name="""Google Calendar - No deletion_meeting_suggestion""", inputSchema={'properties': {'bankHolidays': {'description': 'List of bank holiday dates in YYYY-MM-DD format', 'items': {'type': 'string'}, 'type': 'array'}, 'calendarIds': {'description': 'List of Google Calendar IDs (default: ["primary"])', 'items': {'type': 'string'}, 'type': 'array'}, 'daysToSearch': {'description': 'Number of days to find slots for (default: 3)', 'type': 'number'}, 'meetingLengthMinutes': {'description': 'Meeting length in minutes (default: 60)', 'type': 'number'}, 'slotsPerDay': {'description': 'Number of slots per day to suggest (default: 1)', 'type': 'number'}, 'timezone': {'description': 'Timezone for scheduling (default: America/Sao_Paulo)', 'type': 'string'}, 'workingHoursEnd': {'description': 'End of working hours (24h format, default: 17)', 'type': 'number'}, 'workingHoursStart': {'description': 'Start of working hours (24h format, default: 9)', 'type': 'number'}}, 'type': 'object'}, description="""Suggest available meeting slots within the next 30 days"""), # erickva/Google Calendar - No deletion/meeting_suggestion
    Tool(name="""Naver Search MCP Server_search_webkr""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'display': {'description': 'Number of results to display (default: 10)', 'type': 'number'}, 'query': {'description': 'Search query', 'type': 'string'}, 'sort': {'description': 'Sort method (sim: similarity, date: date)', 'enum': ['sim', 'date'], 'type': 'string'}, 'start': {'description': 'Start position of search results (default: 1)', 'type': 'number'}}, 'required': ['query'], 'type': 'object'}, description="""Perform a search on Naver Web Documents. (  )"""), # isnow890/Naver Search MCP Server/search_webkr
    Tool(name="""Naver Search MCP Server_search_news""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'display': {'description': 'Number of results to display (default: 10)', 'type': 'number'}, 'query': {'description': 'Search query', 'type': 'string'}, 'sort': {'description': 'Sort method (sim: similarity, date: date)', 'enum': ['sim', 'date'], 'type': 'string'}, 'start': {'description': 'Start position of search results (default: 1)', 'type': 'number'}}, 'required': ['query'], 'type': 'object'}, description="""Perform a search on Naver News. (  )"""), # isnow890/Naver Search MCP Server/search_news
    Tool(name="""Naver Search MCP Server_search_blog""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'display': {'description': 'Number of results to display (default: 10)', 'type': 'number'}, 'query': {'description': 'Search query', 'type': 'string'}, 'sort': {'description': 'Sort method (sim: similarity, date: date)', 'enum': ['sim', 'date'], 'type': 'string'}, 'start': {'description': 'Start position of search results (default: 1)', 'type': 'number'}}, 'required': ['query'], 'type': 'object'}, description="""Perform a search on Naver Blog. (  )"""), # isnow890/Naver Search MCP Server/search_blog
    Tool(name="""Naver Search MCP Server_search_shop""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'display': {'description': 'Number of results to display (default: 10)', 'type': 'number'}, 'query': {'description': 'Search query', 'type': 'string'}, 'sort': {'description': 'Sort method (sim: similarity, date: date)', 'enum': ['sim', 'date'], 'type': 'string'}, 'start': {'description': 'Start position of search results (default: 1)', 'type': 'number'}}, 'required': ['query'], 'type': 'object'}, description="""Perform a search on Naver Shopping. (  )"""), # isnow890/Naver Search MCP Server/search_shop
    Tool(name="""Naver Search MCP Server_search_image""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'display': {'description': 'Number of results to display (default: 10)', 'type': 'number'}, 'query': {'description': 'Search query', 'type': 'string'}, 'sort': {'description': 'Sort method (sim: similarity, date: date)', 'enum': ['sim', 'date'], 'type': 'string'}, 'start': {'description': 'Start position of search results (default: 1)', 'type': 'number'}}, 'required': ['query'], 'type': 'object'}, description="""Perform a search on Naver Image. (  )"""), # isnow890/Naver Search MCP Server/search_image
    Tool(name="""Naver Search MCP Server_search_kin""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'display': {'description': 'Number of results to display (default: 10)', 'type': 'number'}, 'query': {'description': 'Search query', 'type': 'string'}, 'sort': {'description': 'Sort method (sim: similarity, date: date)', 'enum': ['sim', 'date'], 'type': 'string'}, 'start': {'description': 'Start position of search results (default: 1)', 'type': 'number'}}, 'required': ['query'], 'type': 'object'}, description="""Perform a search on Naver KnowledgeiN. ( iN )"""), # isnow890/Naver Search MCP Server/search_kin
    Tool(name="""Naver Search MCP Server_search_book""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'display': {'description': 'Number of results to display (default: 10)', 'type': 'number'}, 'query': {'description': 'Search query', 'type': 'string'}, 'sort': {'description': 'Sort method (sim: similarity, date: date)', 'enum': ['sim', 'date'], 'type': 'string'}, 'start': {'description': 'Start position of search results (default: 1)', 'type': 'number'}}, 'required': ['query'], 'type': 'object'}, description="""Perform a search on Naver Book. (  )"""), # isnow890/Naver Search MCP Server/search_book
    Tool(name="""Naver Search MCP Server_search_encyc""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'display': {'description': 'Number of results to display (default: 10)', 'type': 'number'}, 'query': {'description': 'Search query', 'type': 'string'}, 'sort': {'description': 'Sort method (sim: similarity, date: date)', 'enum': ['sim', 'date'], 'type': 'string'}, 'start': {'description': 'Start position of search results (default: 1)', 'type': 'number'}}, 'required': ['query'], 'type': 'object'}, description="""Perform a search on Naver Encyclopedia. (  )"""), # isnow890/Naver Search MCP Server/search_encyc
    Tool(name="""Naver Search MCP Server_search_academic""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'display': {'description': 'Number of results to display (default: 10)', 'type': 'number'}, 'query': {'description': 'Search query', 'type': 'string'}, 'sort': {'description': 'Sort method (sim: similarity, date: date)', 'enum': ['sim', 'date'], 'type': 'string'}, 'start': {'description': 'Start position of search results (default: 1)', 'type': 'number'}}, 'required': ['query'], 'type': 'object'}, description="""Perform a search on Naver Academic. (  )"""), # isnow890/Naver Search MCP Server/search_academic
    Tool(name="""Naver Search MCP Server_search_local""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'display': {'description': 'Number of results to display (default: 1, max: 5)', 'type': 'number'}, 'query': {'description': 'Search query', 'type': 'string'}, 'sort': {'description': 'Sort method (random: accuracy, comment: review count)', 'enum': ['random', 'comment'], 'type': 'string'}, 'start': {'description': 'Start position of search results (default: 1, max: 1)', 'type': 'number'}}, 'required': ['query'], 'type': 'object'}, description="""Perform a search on Naver Local. (  )"""), # isnow890/Naver Search MCP Server/search_local
    Tool(name="""Naver Search MCP Server_datalab_search""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'endDate': {'description': 'End date (yyyy-mm-dd)', 'type': 'string'}, 'keywordGroups': {'description': 'Keyword groups', 'items': {'additionalProperties': False, 'properties': {'groupName': {'description': 'Group name', 'type': 'string'}, 'keywords': {'description': 'List of keywords', 'items': {'type': 'string'}, 'type': 'array'}}, 'required': ['groupName', 'keywords'], 'type': 'object'}, 'type': 'array'}, 'startDate': {'description': 'Start date (yyyy-mm-dd)', 'type': 'string'}, 'timeUnit': {'description': 'Time unit', 'enum': ['date', 'week', 'month'], 'type': 'string'}}, 'required': ['startDate', 'endDate', 'timeUnit', 'keywordGroups'], 'type': 'object'}, description="""Perform a trend analysis on Naver search keywords. (   )"""), # isnow890/Naver Search MCP Server/datalab_search
    Tool(name="""Naver Search MCP Server_datalab_shopping_category""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'category': {'description': 'Array of category name and code pairs', 'items': {'additionalProperties': False, 'properties': {'name': {'description': 'Category name', 'type': 'string'}, 'param': {'description': 'Category codes', 'items': {'type': 'string'}, 'type': 'array'}}, 'required': ['name', 'param'], 'type': 'object'}, 'type': 'array'}, 'endDate': {'description': 'End date (yyyy-mm-dd)', 'type': 'string'}, 'startDate': {'description': 'Start date (yyyy-mm-dd)', 'type': 'string'}, 'timeUnit': {'description': 'Time unit', 'enum': ['date', 'week', 'month'], 'type': 'string'}}, 'required': ['startDate', 'endDate', 'timeUnit', 'category'], 'type': 'object'}, description="""Perform a trend analysis on Naver Shopping category. (    )"""), # isnow890/Naver Search MCP Server/datalab_shopping_category
    Tool(name="""Naver Search MCP Server_datalab_shopping_by_device""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'category': {'description': 'Category code', 'type': 'string'}, 'device': {'description': 'Device type', 'enum': ['pc', 'mo'], 'type': 'string'}, 'endDate': {'description': 'End date (yyyy-mm-dd)', 'type': 'string'}, 'startDate': {'description': 'Start date (yyyy-mm-dd)', 'type': 'string'}, 'timeUnit': {'description': 'Time unit', 'enum': ['date', 'week', 'month'], 'type': 'string'}}, 'required': ['startDate', 'endDate', 'timeUnit', 'category', 'device'], 'type': 'object'}, description="""Perform a trend analysis on Naver Shopping by device. (    )"""), # isnow890/Naver Search MCP Server/datalab_shopping_by_device
    Tool(name="""Naver Search MCP Server_datalab_shopping_by_gender""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'category': {'description': 'Category code', 'type': 'string'}, 'endDate': {'description': 'End date (yyyy-mm-dd)', 'type': 'string'}, 'gender': {'description': 'Gender', 'enum': ['f', 'm'], 'type': 'string'}, 'startDate': {'description': 'Start date (yyyy-mm-dd)', 'type': 'string'}, 'timeUnit': {'description': 'Time unit', 'enum': ['date', 'week', 'month'], 'type': 'string'}}, 'required': ['startDate', 'endDate', 'timeUnit', 'category', 'gender'], 'type': 'object'}, description="""Perform a trend analysis on Naver Shopping by gender. (    )"""), # isnow890/Naver Search MCP Server/datalab_shopping_by_gender
    Tool(name="""Naver Search MCP Server_datalab_shopping_by_age""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'ages': {'description': 'Age groups', 'items': {'enum': ['10', '20', '30', '40', '50', '60'], 'type': 'string'}, 'type': 'array'}, 'category': {'description': 'Category code', 'type': 'string'}, 'endDate': {'description': 'End date (yyyy-mm-dd)', 'type': 'string'}, 'startDate': {'description': 'Start date (yyyy-mm-dd)', 'type': 'string'}, 'timeUnit': {'description': 'Time unit', 'enum': ['date', 'week', 'month'], 'type': 'string'}}, 'required': ['startDate', 'endDate', 'timeUnit', 'category', 'ages'], 'type': 'object'}, description="""Perform a trend analysis on Naver Shopping by age. (    )"""), # isnow890/Naver Search MCP Server/datalab_shopping_by_age
    Tool(name="""Naver Search MCP Server_datalab_shopping_keywords""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'category': {'description': 'Category code', 'type': 'string'}, 'endDate': {'description': 'End date (yyyy-mm-dd)', 'type': 'string'}, 'keyword': {'description': 'Array of keyword name and value pairs', 'items': {'additionalProperties': False, 'properties': {'name': {'description': 'Keyword name', 'type': 'string'}, 'param': {'description': 'Keyword values', 'items': {'type': 'string'}, 'type': 'array'}}, 'required': ['name', 'param'], 'type': 'object'}, 'type': 'array'}, 'startDate': {'description': 'Start date (yyyy-mm-dd)', 'type': 'string'}, 'timeUnit': {'description': 'Time unit', 'enum': ['date', 'week', 'month'], 'type': 'string'}}, 'required': ['startDate', 'endDate', 'timeUnit', 'category', 'keyword'], 'type': 'object'}, description="""Perform a trend analysis on Naver Shopping keywords. (    )"""), # isnow890/Naver Search MCP Server/datalab_shopping_keywords
    Tool(name="""Naver Search MCP Server_datalab_shopping_keyword_by_device""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'category': {'description': 'Category code', 'type': 'string'}, 'device': {'description': 'Device type', 'enum': ['pc', 'mo'], 'type': 'string'}, 'endDate': {'description': 'End date (yyyy-mm-dd)', 'type': 'string'}, 'keyword': {'description': 'Search keyword', 'type': 'string'}, 'startDate': {'description': 'Start date (yyyy-mm-dd)', 'type': 'string'}, 'timeUnit': {'description': 'Time unit', 'enum': ['date', 'week', 'month'], 'type': 'string'}}, 'required': ['startDate', 'endDate', 'timeUnit', 'category', 'keyword', 'device'], 'type': 'object'}, description="""Perform a trend analysis on Naver Shopping keywords by device. (     )"""), # isnow890/Naver Search MCP Server/datalab_shopping_keyword_by_device
    Tool(name="""Naver Search MCP Server_datalab_shopping_keyword_by_gender""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'category': {'description': 'Category code', 'type': 'string'}, 'endDate': {'description': 'End date (yyyy-mm-dd)', 'type': 'string'}, 'gender': {'description': 'Gender', 'enum': ['f', 'm'], 'type': 'string'}, 'keyword': {'description': 'Search keyword', 'type': 'string'}, 'startDate': {'description': 'Start date (yyyy-mm-dd)', 'type': 'string'}, 'timeUnit': {'description': 'Time unit', 'enum': ['date', 'week', 'month'], 'type': 'string'}}, 'required': ['startDate', 'endDate', 'timeUnit', 'category', 'keyword', 'gender'], 'type': 'object'}, description="""Perform a trend analysis on Naver Shopping keywords by gender. (     )"""), # isnow890/Naver Search MCP Server/datalab_shopping_keyword_by_gender
    Tool(name="""Naver Search MCP Server_datalab_shopping_keyword_by_age""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'ages': {'description': 'Age groups', 'items': {'enum': ['10', '20', '30', '40', '50', '60'], 'type': 'string'}, 'type': 'array'}, 'category': {'description': 'Category code', 'type': 'string'}, 'endDate': {'description': 'End date (yyyy-mm-dd)', 'type': 'string'}, 'keyword': {'description': 'Search keyword', 'type': 'string'}, 'startDate': {'description': 'Start date (yyyy-mm-dd)', 'type': 'string'}, 'timeUnit': {'description': 'Time unit', 'enum': ['date', 'week', 'month'], 'type': 'string'}}, 'required': ['startDate', 'endDate', 'timeUnit', 'category', 'keyword', 'ages'], 'type': 'object'}, description="""Perform a trend analysis on Naver Shopping keywords by age. (     )"""), # isnow890/Naver Search MCP Server/datalab_shopping_keyword_by_age
    Tool(name="""lighthouse-mcp_run_audit""", inputSchema={'properties': {'categories': {'description': 'Categories to audit (defaults to all)', 'items': {'enum': ['performance', 'accessibility', 'best-practices', 'seo', 'pwa'], 'type': 'string'}, 'type': 'array'}, 'device': {'description': 'Device to emulate (defaults to mobile)', 'enum': ['mobile', 'desktop'], 'type': 'string'}, 'throttling': {'description': 'Whether to apply network throttling (defaults to true)', 'type': 'boolean'}, 'url': {'description': 'URL to audit', 'type': 'string'}}, 'required': ['url'], 'type': 'object'}, description="""Run a Lighthouse audit on a URL"""), # priyankark/lighthouse-mcp/run_audit
    Tool(name="""lighthouse-mcp_get_performance_score""", inputSchema={'properties': {'device': {'description': 'Device to emulate (defaults to mobile)', 'enum': ['mobile', 'desktop'], 'type': 'string'}, 'url': {'description': 'URL to audit', 'type': 'string'}}, 'required': ['url'], 'type': 'object'}, description="""Get just the performance score for a URL"""), # priyankark/lighthouse-mcp/get_performance_score
    Tool(name="""Unity-MCP_read_file""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'path': {'minLength': 1, 'type': 'string'}}, 'required': ['path'], 'type': 'object'}, description="""Reads the contents of a file inside a Unity project."""), # TSavo/Unity-MCP/read_file
    Tool(name="""Unity-MCP_list_projects""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {}, 'type': 'object'}, description="""Lists all available Unity projects."""), # TSavo/Unity-MCP/list_projects
    Tool(name="""Unity-MCP_list_files_in_project""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'projectName': {'minLength': 1, 'type': 'string'}}, 'required': ['projectName'], 'type': 'object'}, description="""Lists all the files inside a Unity project."""), # TSavo/Unity-MCP/list_files_in_project
    Tool(name="""Zoom MCP Server_list_meetings""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'type': {'description': 'The type of meeting.', 'type': 'string'}}, 'type': 'object'}, description="""List scheduled meetings"""), # JavaProgrammerLB/Zoom MCP Server/list_meetings
    Tool(name="""Zoom MCP Server_create_meeting""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'agenda': {'default': 'New Meeting', 'description': "The meeting's agenda", 'maxLength': 2000, 'type': 'string'}, 'start_time': {'description': "The meeting's start time", 'type': 'string'}, 'timezone': {'description': "Timezone for the meeting's start time", 'type': 'string'}, 'topic': {'description': "The meeting's topic.", 'maxLength': 200, 'type': 'string'}}, 'type': 'object'}, description="""Create a meeting"""), # JavaProgrammerLB/Zoom MCP Server/create_meeting
    Tool(name="""MantraChain MCP Server_bank-send""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'coins': {'anyOf': [{'items': {'additionalProperties': False, 'properties': {'amount': {'type': 'string'}, 'denom': {'type': 'string'}}, 'required': ['amount'], 'type': 'object'}, 'type': 'array'}, {'additionalProperties': False, 'properties': {'amount': {'type': 'string'}, 'denom': {'type': 'string'}}, 'required': ['amount'], 'type': 'object'}], 'description': 'Array of coins to send, each with denom and amount'}, 'memo': {'description': 'Optional memo for the transaction', 'type': 'string'}, 'networkName': {'description': 'Name of the network to use - must first check what networks are available through the mantrachain-mcp server by accessing the networks resource `networks://all` before you pass this arguments', 'type': 'string'}, 'recipientAddress': {'description': 'Address of the recipient', 'type': 'string'}}, 'required': ['recipientAddress', 'coins', 'networkName'], 'type': 'object'}, description="""Send tokens to another address. Supports sending multiple coins in one transaction."""), # allthatjazzleo/MantraChain MCP Server/bank-send
    Tool(name="""MantraChain MCP Server_get-balance""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'address': {'description': 'Optional address to get balance for, defaults to current address', 'type': 'string'}, 'networkName': {'description': 'Name of the network to use - must first check what networks are available through the mantrachain-mcp server by accessing the networks resource `networks://all` before you pass this arguments', 'type': 'string'}}, 'required': ['networkName'], 'type': 'object'}, description="""Get balance of an address (defaults to your own address if none provided)"""), # allthatjazzleo/MantraChain MCP Server/get-balance
    Tool(name="""MantraChain MCP Server_delegate""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'amount': {'description': 'Amount of tokens to delegate', 'type': 'string'}, 'denom': {'description': "Optional denomination of the tokens, default is network's default denom", 'type': 'string'}, 'memo': {'description': 'Optional memo for the transaction', 'type': 'string'}, 'networkName': {'description': 'Name of the network to use - must first check what networks are available through the mantrachain-mcp server by accessing the networks resource `networks://all` before you pass this arguments', 'type': 'string'}, 'operatorAddress': {'description': 'Address of the validator to delegate to', 'type': 'string'}}, 'required': ['operatorAddress', 'amount', 'networkName'], 'type': 'object'}, description="""Delegate/Stake tokens to a validator"""), # allthatjazzleo/MantraChain MCP Server/delegate
    Tool(name="""MantraChain MCP Server_undelegate""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'amount': {'description': 'Amount of tokens to undelegate', 'type': 'string'}, 'denom': {'description': "Optional denomination of the tokens, default is network's default denom", 'type': 'string'}, 'memo': {'description': 'Optional memo for the transaction', 'type': 'string'}, 'networkName': {'description': 'Name of the network to use - must first check what networks are available through the mantrachain-mcp server by accessing the networks resource `networks://all` before you pass this arguments', 'type': 'string'}, 'operatorAddress': {'description': 'Address of the validator to undelegate from', 'type': 'string'}}, 'required': ['operatorAddress', 'amount', 'networkName'], 'type': 'object'}, description="""Undelegate/Unstake tokens from a validator"""), # allthatjazzleo/MantraChain MCP Server/undelegate
    Tool(name="""MantraChain MCP Server_claim-rewards""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'memo': {'description': 'Optional memo for the transaction', 'type': 'string'}, 'networkName': {'description': 'Name of the network to use - must first check what networks are available through the mantrachain-mcp server by accessing the networks resource `networks://all` before you pass this arguments', 'type': 'string'}, 'operatorAddress': {'description': 'Address of the validator to claim rewards from', 'type': 'string'}}, 'required': ['operatorAddress', 'networkName'], 'type': 'object'}, description="""Claim rewards for a specific validator"""), # allthatjazzleo/MantraChain MCP Server/claim-rewards
    Tool(name="""MantraChain MCP Server_get-validators""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'networkName': {'description': 'Name of the network to use - must first check what networks are available through the mantrachain-mcp server by accessing the networks resource `networks://all` before you pass this arguments', 'type': 'string'}}, 'required': ['networkName'], 'type': 'object'}, description="""Get all validators"""), # allthatjazzleo/MantraChain MCP Server/get-validators
    Tool(name="""MantraChain MCP Server_get-delegations""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'address': {'description': 'Address to query for delegations', 'type': 'string'}, 'networkName': {'description': 'Name of the network to use - must first check what networks are available through the mantrachain-mcp server by accessing the networks resource `networks://all` before you pass this arguments', 'type': 'string'}}, 'required': ['networkName'], 'type': 'object'}, description="""Get current staking information for an address"""), # allthatjazzleo/MantraChain MCP Server/get-delegations
    Tool(name="""MantraChain MCP Server_get-available-rewards""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'address': {'description': 'Address to query for available rewards', 'type': 'string'}, 'networkName': {'description': 'Name of the network to use - must first check what networks are available through the mantrachain-mcp server by accessing the networks resource `networks://all` before you pass this arguments', 'type': 'string'}}, 'required': ['networkName'], 'type': 'object'}, description="""Get all available rewards for an address"""), # allthatjazzleo/MantraChain MCP Server/get-available-rewards
    Tool(name="""MantraChain MCP Server_get-account-info""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'networkName': {'description': 'Name of the network to use - must first check what networks are available through the mantrachain-mcp server by accessing the networks resource `networks://all` before you pass this arguments', 'type': 'string'}}, 'required': ['networkName'], 'type': 'object'}, description="""Get current account information"""), # allthatjazzleo/MantraChain MCP Server/get-account-info
    Tool(name="""MantraChain MCP Server_get-block-info""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'height': {'description': 'Optional block height to query, defaults to latest block', 'type': 'number'}, 'networkName': {'description': 'Name of the network to use - must first check what networks are available through the mantrachain-mcp server by accessing the networks resource `networks://all` before you pass this arguments', 'type': 'string'}}, 'required': ['networkName'], 'type': 'object'}, description="""Get block information"""), # allthatjazzleo/MantraChain MCP Server/get-block-info
    Tool(name="""MantraChain MCP Server_query-network""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'body': {'description': 'Request body for POST/PUT requests'}, 'method': {'description': 'HTTP method to use for the request', 'enum': ['GET', 'POST', 'PUT', 'DELETE'], 'type': 'string'}, 'networkName': {'description': 'Name of the network to use - must first check what networks are available through the mantrachain-mcp server by accessing the networks resource `networks://all` before you pass this arguments', 'type': 'string'}, 'path': {'description': "API endpoint path from the OpenAPI spec, e.g., '/cosmos/bank/v1beta1/balances/{address}'", 'type': 'string'}, 'pathParams': {'additionalProperties': {'type': 'string'}, 'description': 'Path parameters to substitute in the URL path', 'type': 'object'}, 'queryParams': {'additionalProperties': {'type': 'string'}, 'description': 'Query parameters to add to the request', 'type': 'object'}}, 'required': ['networkName', 'path', 'method'], 'type': 'object'}, description="""Execute a generic network gRPC Gateway query against chain APIs when you cannot find the required information from other tools. You MUST first check the available query/service by reading the openapi specification from the resource `openapi://{networkName}` to understand available query/service, methods, required parameters and body structure."""), # allthatjazzleo/MantraChain MCP Server/query-network
    Tool(name="""MantraChain MCP Server_ibc-transfer""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'ibcMemo': {'description': 'Optional memo for the IBC transfer', 'type': 'string'}, 'memo': {'description': 'Optional memo for the transaction', 'type': 'string'}, 'networkName': {'description': 'Name of the network to use - must first check what networks are available through the mantrachain-mcp server by accessing the networks resource `networks://all` before you pass this arguments', 'type': 'string'}, 'recipientAddress': {'description': 'Address of the recipient', 'type': 'string'}, 'sourceChannel': {'description': 'Source channel for the IBC transfer', 'type': 'string'}, 'sourcePort': {'description': 'Source port for the IBC transfer', 'type': 'string'}, 'timeoutHeight': {'additionalProperties': False, 'description': 'Timeout height for the IBC transfer', 'properties': {'revisionHeight': {'type': 'number'}, 'revisionNumber': {'type': 'number'}}, 'required': ['revisionNumber', 'revisionHeight'], 'type': 'object'}, 'timeoutTimestamp': {'description': 'Timeout timestamp for the IBC transfer', 'type': 'number'}, 'transferAmount': {'additionalProperties': False, 'description': 'Amount to send', 'properties': {'amount': {'type': 'string'}, 'denom': {'type': 'string'}}, 'required': ['denom', 'amount'], 'type': 'object'}}, 'required': ['recipientAddress', 'transferAmount', 'sourceChannel', 'networkName'], 'type': 'object'}, description="""Send tokens via IBC transfer."""), # allthatjazzleo/MantraChain MCP Server/ibc-transfer
    Tool(name="""MantraChain MCP Server_contract-query""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'contractAddress': {'description': 'Address of the smart contract to query', 'type': 'string'}, 'networkName': {'description': 'Name of the network to use - must first check what networks are available through the networks resource', 'type': 'string'}, 'queryMsg': {'additionalProperties': {}, 'description': 'The query message to send to the contract as a JSON object', 'type': 'object'}}, 'required': ['contractAddress', 'queryMsg', 'networkName'], 'type': 'object'}, description="""Query a smart contract by executing a read-only function"""), # allthatjazzleo/MantraChain MCP Server/contract-query
    Tool(name="""MantraChain MCP Server_contract-execute""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'contractAddress': {'description': 'Address of the smart contract to execute', 'type': 'string'}, 'executeMsg': {'additionalProperties': {}, 'description': 'The execute message to send to the contract as a JSON object', 'type': 'object'}, 'funds': {'description': 'Optional funds to send with the execution', 'items': {'additionalProperties': False, 'properties': {'amount': {'type': 'string'}, 'denom': {'type': 'string'}}, 'required': ['amount'], 'type': 'object'}, 'type': 'array'}, 'memo': {'description': 'Optional memo for the transaction', 'type': 'string'}, 'networkName': {'description': 'Name of the network to use - must first check available networks', 'type': 'string'}}, 'required': ['contractAddress', 'executeMsg', 'networkName'], 'type': 'object'}, description="""Execute a function on a smart contract that changes state"""), # allthatjazzleo/MantraChain MCP Server/contract-execute
    Tool(name="""MantraChain MCP Server_dex-get-pools""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'networkName': {'description': 'Name of the network to use - must first check available networks through `networks://all`', 'type': 'string'}}, 'required': ['networkName'], 'type': 'object'}, description="""Get all available liquidity pools from the DEX"""), # allthatjazzleo/MantraChain MCP Server/dex-get-pools
    Tool(name="""MantraChain MCP Server_dex-find-routes""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'networkName': {'description': 'Name of the network to use', 'type': 'string'}, 'tokenInDenom': {'description': 'Denomination of the token to swap from', 'type': 'string'}, 'tokenOutDenom': {'description': 'Denomination of the token to swap to', 'type': 'string'}}, 'required': ['networkName', 'tokenInDenom', 'tokenOutDenom'], 'type': 'object'}, description="""Find available swap routes between two tokens - must first check two tokens are available in the DEX pools by using `dex-get-pools`"""), # allthatjazzleo/MantraChain MCP Server/dex-find-routes
    Tool(name="""MantraChain MCP Server_dex-simulate-swap""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'networkName': {'description': 'Name of the network to use', 'type': 'string'}, 'tokenInAmount': {'description': 'Amount of tokens to swap', 'type': 'string'}, 'tokenInDenom': {'description': 'Denomination of the token to swap from', 'type': 'string'}, 'tokenOutDenom': {'description': 'Denomination of the token to swap to', 'type': 'string'}}, 'required': ['networkName', 'tokenInDenom', 'tokenInAmount', 'tokenOutDenom'], 'type': 'object'}, description="""Simulate a token swap to get expected outcome without executing it - must first check two tokens are available in the DEX pools by using `dex-get-pools`"""), # allthatjazzleo/MantraChain MCP Server/dex-simulate-swap
    Tool(name="""MantraChain MCP Server_dex-swap""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'memo': {'description': 'Optional memo for the transaction', 'type': 'string'}, 'networkName': {'description': 'Name of the network to use', 'type': 'string'}, 'slippage': {'description': "Maximum acceptable slippage percentage (e.g., '1' for 1%)", 'type': 'string'}, 'tokenInAmount': {'description': 'Amount of tokens to swap', 'type': 'string'}, 'tokenInDenom': {'description': 'Denomination of the token to swap from', 'type': 'string'}, 'tokenOutDenom': {'description': 'Denomination of the token to swap to', 'type': 'string'}}, 'required': ['networkName', 'tokenInDenom', 'tokenInAmount', 'tokenOutDenom'], 'type': 'object'}, description="""Execute a token swap on the DEX - must first check two tokens are available in the DEX pools by using `dex-get-pools`"""), # allthatjazzleo/MantraChain MCP Server/dex-swap
    Tool(name="""Redis Cloud API MCP Server_get-pro-subscription""", inputSchema={'properties': {'subscriptionId': {'description': 'Subscription ID', 'min': 1, 'type': 'number'}}, 'required': ['subscriptionId'], 'type': 'object'}, description="""Get pro subscription by ID. The payload must match the input schema."""), # redis/Redis Cloud API MCP Server/get-pro-subscription
    Tool(name="""Redis Cloud API MCP Server_get-current-account""", inputSchema={'properties': {}, 'type': 'object'}, description="""Get the current Cloud Redis account"""), # redis/Redis Cloud API MCP Server/get-current-account
    Tool(name="""Redis Cloud API MCP Server_get-current-payment-methods""", inputSchema={'properties': {}, 'type': 'object'}, description="""Get the current payment methods for the current Cloud Redis account"""), # redis/Redis Cloud API MCP Server/get-current-payment-methods
    Tool(name="""Redis Cloud API MCP Server_get-database-modules""", inputSchema={'properties': {}, 'type': 'object'}, description="""Lookup list of database modules supported in current account (support may differ based on subscription and database settings). These modules are also called capabilities."""), # redis/Redis Cloud API MCP Server/get-database-modules
    Tool(name="""Redis Cloud API MCP Server_get-pro-plans-regions""", inputSchema={'properties': {}, 'type': 'object'}, description="""Lookup list of regions for cloud provider. These regions include the providers too."""), # redis/Redis Cloud API MCP Server/get-pro-plans-regions
    Tool(name="""Redis Cloud API MCP Server_create-pro-subscription""", inputSchema={'properties': {'cloudProviders': {'description': 'Required. Cloud hosting & networking details.  Make sure to validate this before submitting the subscription.', 'items': {'properties': {'cloudAccountId': {'description': 'Optional. Cloud account identifier. Default: Redis internal cloud account (using Cloud Account Id = 1 implies using Redis internal cloud account). Note that a GCP subscription can be created only with Redis internal cloud account.', 'example': 1, 'format': 'int32', 'type': 'integer'}, 'provider': {'default': 'AWS', 'description': "Optional. Cloud provider. Default: 'AWS'", 'enum': ['AWS', 'GCP'], 'type': 'string'}, 'regions': {'description': 'Required. Cloud networking details, per region (single region or multiple regions for Active-Active cluster only)', 'items': {'properties': {'multipleAvailabilityZones': {'default': False, 'description': "Optional. Support deployment on multiple availability zones within the selected region. Default: 'false'", 'type': 'boolean'}, 'networking': {'description': 'Optional. Cloud networking details. Default: if using Redis internal cloud account, 192.168.0.0/24', 'properties': {'deploymentCIDR': {'description': 'Optional. Deployment CIDR mask. Default: If using Redis internal cloud account, 192.168.0.0/24', 'example': '10.0.0.0/24', 'type': 'string'}, 'vpcId': {'description': 'Optional. Either an existing VPC Id or create a new VPC (if no VPC is specified)', 'example': '<vpc-identifier>', 'type': 'string'}}, 'required': ['deploymentCIDR'], 'type': 'object'}, 'preferredAvailabilityZones': {'description': "Optional. Availability zones deployment preferences. If 'multipleAvailabilityZones' is set to 'true', you must specify three availability zones.", 'items': {'type': 'string'}, 'type': 'array'}, 'region': {'description': 'Required. Deployment region as defined by cloud provider', 'example': 'us-east-1', 'type': 'string'}}, 'required': ['region'], 'type': 'object'}, 'type': 'array'}}, 'required': ['regions'], 'type': 'object'}, 'type': 'array'}, 'databases': {'description': 'Required. Databases specifications for each planned database. Make sure to validate this before submitting the subscription.', 'items': {'properties': {'averageItemSizeInBytes': {'description': 'Optional. Relevant only to ram-and-flash clusters. Estimated average size (measured in bytes) of the items stored in the database. Default: 1000', 'format': 'int64', 'type': 'integer'}, 'dataPersistence': {'description': "Optional. Rate of database data persistence (in persistent storage). Default: 'none'", 'enum': ['none', 'aof-every-1-second', 'aof-every-write', 'snapshot-every-1-hour', 'snapshot-every-6-hours', 'snapshot-every-12-hours'], 'type': 'string'}, 'datasetSizeInGb': {'description': 'Optional. The maximum amount of data in the dataset for this specific database is in GB. You can not set both datasetSizeInGb and totalMemoryInGb.', 'example': 1, 'format': 'double', 'minimum': 0.1, 'type': 'number'}, 'localThroughputMeasurement': {'description': 'Optional. Throughput measurement for an active-active subscription', 'items': {'properties': {'readOperationsPerSecond': {'description': 'Default: 1000 ops/sec', 'example': 1000, 'format': 'int64', 'type': 'integer'}, 'region': {'type': 'string'}, 'writeOperationsPerSecond': {'description': 'Default: 1000 ops/sec', 'example': 1000, 'format': 'int64', 'type': 'integer'}}, 'type': 'object'}, 'type': 'array'}, 'modules': {'description': 'Optional. Redis modules to be provisioned in the database.  Use get-database-modules to retrieve available modules and configure the desired ones', 'items': {'properties': {'name': {'description': 'Required. Redis module Id. Get the list of available module identifiers by calling get-database-modules', 'type': 'string'}, 'parameters': {'additionalProperties': True, 'description': 'Optional. Redis database module parameters', 'type': 'object'}}, 'required': ['name'], 'type': 'object'}, 'type': 'array'}, 'name': {'description': "Required. Database name (must be up to 40 characters long, include only letters, digits, or hyphen ('-'), start with a letter, and end with a letter or digit)", 'example': 'Redis-database-example', 'type': 'string'}, 'protocol': {'default': 'redis', 'description': "Optional. Database protocol: either 'redis' or 'memcached'. Default: 'redis'", 'enum': ['redis', 'memcached'], 'type': 'string'}, 'quantity': {'description': 'Optional. Number of databases (of this type) that will be created. Default: 1', 'example': 1, 'format': 'int32', 'type': 'integer'}, 'queryPerformanceFactor': {'description': 'Optional. The query performance factor adds extra compute power specifically for search and query.', 'example': '2x', 'type': 'string'}, 'replication': {'default': True, 'description': "Optional. Databases replication. Default: 'true'", 'type': 'boolean'}, 'respVersion': {'description': 'Optional. RESP version must be compatible with Redis version.', 'enum': ['resp2', 'resp3'], 'example': 'resp3', 'type': 'string'}, 'shardingType': {'description': 'Optional. Database Hashing policy.', 'enum': ['default-regex-rules', 'custom-regex-rules', 'redis-oss-hashing'], 'type': 'string'}, 'supportOSSClusterApi': {'default': False, 'description': "Optional. Support Redis open-source (OSS) Cluster API. Default: 'false'", 'type': 'boolean'}, 'throughputMeasurement': {'description': 'Optional. Throughput measurement method. Default: 25000 ops/sec', 'properties': {'by': {'description': "Required. Throughput measurement method. Either 'number-of-shards' or 'operations-per-second'", 'enum': ['operations-per-second', 'number-of-shards'], 'type': 'string'}, 'value': {'description': 'Required. Throughput value (as applies to selected measurement method)', 'example': 10000, 'format': 'int64', 'type': 'integer'}}, 'required': ['by', 'value'], 'type': 'object'}}, 'required': ['name', 'protocol'], 'type': 'object'}, 'type': 'array'}, 'deploymentType': {'description': "Optional. When 'single-region' or null: Creates a single region subscription. When 'active-active': creates an active-active (multi-region) subscription", 'enum': ['single-region', 'active-active'], 'type': 'string'}, 'dryRun': {'default': False, 'description': "Optional. When 'false': Creates a deployment plan and deploys it (creating any resources required by the plan). When 'true': creates a read-only deployment plan without any resource creation. Default: 'false'", 'type': 'boolean'}, 'memoryStorage': {'default': 'ram', 'description': "Optional. Memory storage preference: either 'ram' or a combination of 'ram-and-flash'. Default: 'ram'", 'enum': ['ram', 'ram-and-flash'], 'type': 'string'}, 'name': {'description': 'Optional. Subscription name', 'example': 'My new subscription', 'type': 'string'}, 'paymentMethod': {'default': 'credit-card', 'description': "Required. The payment method for the requested subscription. If 'credit-card' is specified, 'paymentMethodId' must be defined. Default: 'credit-card. Validate this before submitting the subscription.", 'enum': ['credit-card', 'marketplace'], 'type': 'string'}, 'paymentMethodId': {'description': "Required if paymentMethod is credit-card. A valid payment method that was pre-defined in the current account. This value is Optional if 'paymentMethod' is 'marketplace', but Required for all other account types. Validate this before submitting the subscription.", 'format': 'int32', 'type': 'integer'}, 'redisVersion': {'description': 'Optional. If specified, the redisVersion defines the Redis version of the databases in the subscription. If omitted, the Redis version will be the default', 'example': '7.2', 'type': 'string'}}, 'required': ['cloudProviders', 'databases'], 'type': 'object'}, description="""Create a new pro subscription. Returns a TASK ID that can be used to track the status of the subscription creation. Prerequisites: 1) Verify payment method by checking get-current-payment-methods. 2) For database modules, validate against get-database-modules list. 3) Validate regions using get-pro-plans-regions. The payload must match the input schema."""), # redis/Redis Cloud API MCP Server/create-pro-subscription
    Tool(name="""Redis Cloud API MCP Server_get-pro-subscriptions""", inputSchema={'properties': {}, 'type': 'object'}, description="""Get the pro subscriptions for the current Cloud Redis account"""), # redis/Redis Cloud API MCP Server/get-pro-subscriptions
    Tool(name="""Redis Cloud API MCP Server_get-essential-subscriptions""", inputSchema={'properties': {'page': {'default': 0, 'description': 'Page number', 'type': 'number'}, 'size': {'default': 10, 'description': 'Page size', 'type': 'number'}}, 'required': [], 'type': 'object'}, description="""Get the essential subscriptions for the current Cloud Redis account. A paginated response is returned, and to get all the essential subscriptions, the page and size parameters must be used until all the essential subscriptions are retrieved."""), # redis/Redis Cloud API MCP Server/get-essential-subscriptions
    Tool(name="""Redis Cloud API MCP Server_get-essential-subscription-by-id""", inputSchema={'properties': {'subscriptionId': {'description': 'Subscription ID', 'min': 1, 'type': 'number'}}, 'required': ['subscriptionId'], 'type': 'object'}, description="""Get an essential subscription by ID for the current Cloud Redis account"""), # redis/Redis Cloud API MCP Server/get-essential-subscription-by-id
    Tool(name="""Redis Cloud API MCP Server_create-essential-subscription""", inputSchema={'properties': {'name': {'description': 'Subscription name', 'type': 'string'}, 'paymentMethod': {'default': 'credit-card', 'description': 'Payment method', 'enum': ['credit-card', 'marketplace'], 'type': 'string'}, 'paymentMethodId': {'description': 'Payment method ID', 'type': 'number'}, 'planId': {'description': 'Plan ID. The plan ID can be taken from /fixed/plans', 'type': 'number'}}, 'required': ['name', 'planId'], 'type': 'object'}, description="""Create a new essential subscription. Returns a TASK ID that can be used to track the status of the subscription creation"""), # redis/Redis Cloud API MCP Server/create-essential-subscription
    Tool(name="""Redis Cloud API MCP Server_delete-essential-subscription""", inputSchema={'properties': {'subscriptionId': {'description': 'Subscription ID', 'min': 1, 'type': 'number'}}, 'required': ['subscriptionId'], 'type': 'object'}, description="""Delete an essential subscription by ID"""), # redis/Redis Cloud API MCP Server/delete-essential-subscription
    Tool(name="""Redis Cloud API MCP Server_get-essentials-plans""", inputSchema={'properties': {'page': {'default': 0, 'description': 'Page number', 'type': 'number'}, 'provider': {'description': 'Provider name.', 'enum': ['AWS', 'GCP', 'AZURE'], 'type': 'string'}, 'redisFlex': {'default': False, 'description': 'Redis Flex', 'type': 'boolean'}, 'size': {'default': 10, 'description': 'Page size', 'type': 'number'}}, 'required': ['provider'], 'type': 'object'}, description="""Get the available plans for essential subscriptions. Always ask for which provider the plans are want to be retrieved. A paginated response is returned, and to get all the plans, the page and size parameters must be used until all the plans are retrieved."""), # redis/Redis Cloud API MCP Server/get-essentials-plans
    Tool(name="""Redis Cloud API MCP Server_get-tasks""", inputSchema={'properties': {}, 'type': 'object'}, description="""Get the current tasks for the current Cloud Redis account"""), # redis/Redis Cloud API MCP Server/get-tasks
    Tool(name="""Redis Cloud API MCP Server_get-task-by-id""", inputSchema={'properties': {'taskId': {'description': 'Task ID', 'minLength': 1, 'type': 'string'}}, 'required': ['taskId'], 'type': 'object'}, description="""Get a task by ID for the current Cloud Redis account"""), # redis/Redis Cloud API MCP Server/get-task-by-id
    Tool(name="""Redis Cloud API MCP Server_get-pro-databases""", inputSchema={'properties': {'limit': {'description': 'Optional. Maximum number of items to return', 'type': 'number'}, 'offset': {'description': 'Optional. Number of items to skip', 'type': 'number'}, 'subscriptionId': {'description': 'Subscription ID', 'min': 0, 'type': 'number'}}, 'required': ['subscriptionId'], 'type': 'object'}, description="""Get the pro databases for the provided subscription Id"""), # redis/Redis Cloud API MCP Server/get-pro-databases
    Tool(name="""Redis Cloud API MCP Server_create-pro-database""", inputSchema={'properties': {'averageItemSizeInBytes': {'description': 'Optional. Relevant only to ram-and-flash subscriptions. Estimated average size (measured in bytes) of the items stored in the database, Default: 1000', 'type': 'integer'}, 'dataEvictionPolicy': {'description': "Optional. Data items eviction method. Default: 'volatile-lru'", 'enum': ['allkeys-lru', 'allkeys-lfu', 'allkeys-random', 'volatile-lru', 'volatile-lfu', 'volatile-random', 'volatile-ttl', 'noeviction'], 'type': 'string'}, 'dataPersistence': {'description': "Optional. Rate of database data persistence (in persistent storage). Default: 'none'", 'enum': ['none', 'aof-every-1-second', 'aof-every-write', 'snapshot-every-1-hour', 'snapshot-every-6-hours', 'snapshot-every-12-hours'], 'type': 'string'}, 'datasetSizeInGb': {'description': "Optional. The maximum amount of data in the dataset for this specific database is in GB. You can not set both datasetSizeInGb and totalMemoryInGb. if 'replication' is true, the database's total memory will be twice as large as the datasetSizeInGb.if 'replication' is false, the database's total memory of the database will be the datasetSizeInGb value.", 'minimum': 0.1, 'type': 'number'}, 'dryRun': {'description': "Optional. When 'false': Creates a deployment plan and deploys it (creating any resources required by the plan). When 'true': creates a read-only deployment plan without any resource creation. Default: 'true'", 'type': 'boolean'}, 'enableTls': {'description': "Optional. When 'true', requires TLS authentication for all connections (mTLS with valid clientSslCertificate, regular TLS when the clientSslCertificate is not provided. Default: 'false'", 'type': 'boolean'}, 'modules': {'description': 'Optional. Redis modules to be provisioned in the database.  Use get-database-modules to retrieve available modules and configure the desired ones', 'items': {'properties': {'name': {'description': 'Required. Redis module Id. Get the list of available module identifiers by calling get-database-modules', 'type': 'string'}, 'parameters': {'description': 'Optional. Redis database module parameters', 'type': 'object'}}, 'required': ['name'], 'type': 'object'}, 'type': 'array'}, 'name': {'description': "Required. Name of the database. Database name is limited to 40 characters or less and must include only letters, digits, and hyphens ('-'). It must start with a letter and end with a letter or digit.", 'type': 'string'}, 'password': {'description': 'Optional. Password to access the database. If omitted, a random 32 character long alphanumeric password will be automatically generated. Can only be set if Database Protocol is REDIS', 'type': 'string'}, 'port': {'description': 'Optional. TCP port on which the database is available (10000-19999). Generated automatically if omitted', 'type': 'integer'}, 'protocol': {'description': "Optional. Database protocol. Default: 'redis'", 'enum': ['redis', 'memcached'], 'type': 'string'}, 'queryPerformanceFactor': {'description': 'Optional. The query performance factor adds extra compute power specifically for search and query.', 'type': 'string'}, 'replication': {'description': "Optional. Databases replication. Default: 'true'", 'type': 'boolean'}, 'respVersion': {'description': 'Optional. RESP version must be compatible with Redis version.', 'enum': ['resp2', 'resp3'], 'type': 'string'}, 'saslPassword': {'description': 'Optional. Memcached (SASL) Password to access the database. If omitted, a random 32 character long alphanumeric password will be automatically generated. Can only be set if Database Protocol is MEMCACHED', 'type': 'string'}, 'saslUsername': {'description': "Optional. Memcached (SASL) Username to access the database. If omitted, the username will be set to a 'mc-' prefix followed by a random 5 character long alphanumeric. Can only be set if Database Protocol is MEMCACHED", 'type': 'string'}, 'shardingType': {'description': 'Optional. Database Hashing policy.', 'enum': ['default-regex-rules', 'custom-regex-rules', 'redis-oss-hashing'], 'type': 'string'}, 'sourceIp': {'description': 'Optional. List of source IP addresses or subnet masks. If specified, Redis clients will be able to connect to this database only from within the specified source IP addresses ranges.', 'items': {'type': 'string'}, 'type': 'array'}, 'subscriptionId': {'description': 'Subscription ID', 'min': 0, 'type': 'number'}, 'supportOSSClusterApi': {'description': "Optional. Support Redis open-source (OSS) Cluster API. Default: 'false'", 'type': 'boolean'}, 'throughputMeasurement': {'description': 'Optional. Throughput measurement method.', 'properties': {'by': {'description': "Required. Throughput measurement method. Either 'number-of-shards' or 'operations-per-second'", 'enum': ['operations-per-second', 'number-of-shards'], 'type': 'string'}, 'value': {'description': 'Required. Throughput value (as applies to selected measurement method)', 'type': 'integer'}}, 'required': ['by', 'value'], 'type': 'object'}}, 'required': ['subscriptionId', 'name'], 'type': 'object'}, description="""Create a new database inside the specified subscription ID. Returns a TASK ID that can be used to track the status of the database creationPrerequisites: 1) For database modules, validate against get-database-modules list. 2) Validate regions using get-pro-plans-regions. The payload must match the input schema."""), # redis/Redis Cloud API MCP Server/create-pro-database
    Tool(name="""Heroku MCP server_list_apps""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'all': {'description': 'When true, displays a comprehensive list including: (1) apps owned by the user and (2) apps where the user is a collaborator through direct access or team membership. When false or omitted, shows only owned apps.', 'type': 'boolean'}, 'json': {'description': 'Controls the output format. When true, returns a detailed JSON response containing app metadata such as generation, buildpacks, owner information, and region. When false or omitted, returns a simplified text format.', 'type': 'boolean'}, 'personal': {'description': 'Forces the tool to list applications from your personal account, even when you have a default team configured. When true, overrides any default team setting and shows only apps owned by your personal account. This is particularly useful when you work with multiple teams but need to specifically view your personal apps. When false or omitted, follows the default behavior of using the default team if one is set.', 'type': 'boolean'}, 'space': {'description': 'Filters the results to show only apps within a specific private space. Provide the private space name to filter. This parameter is mutually exclusive with the team parameter.', 'type': 'string'}, 'team': {'description': 'Filters the results to show only apps belonging to a specific team. Provide the team name to filter. This parameter is mutually exclusive with the space parameter.', 'type': 'string'}}, 'type': 'object'}, description="""List Heroku applications with flexible filtering options. Use this tool when you need to: 1) Show all apps owned by the user, 2) Show apps where the user is a collaborator (use all=true), 3) Filter apps by team or private space. Note: For checking app name availability, prefer using get_app_info as it returns a more focused dataset. The response includes app names, regions, and ownership information."""), # heroku/Heroku MCP server/list_apps
    Tool(name="""Heroku MCP server_get_app_info""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'app': {'description': 'The name of the Heroku app to get information about. This must be an existing app that you have access to.', 'type': 'string'}, 'json': {'description': 'Controls the output format. When true, returns a detailed JSON response containing app metadata such as add-ons, dynos, buildpack configurations, collaborators, and domain information. When false or omitted, returns a simplified text format.', 'type': 'boolean'}}, 'required': ['app'], 'type': 'object'}, description="""Get comprehensive information about a Heroku application. Use this tool when you need to: 1) View app configuration and settings, 2) Check dyno formation and scaling, 3) List add-ons and buildpacks, 4) View collaborators and access details, 5) Check domains and certificates. Accepts app name and optional JSON format. Returns detailed app status and configuration."""), # heroku/Heroku MCP server/get_app_info
    Tool(name="""Heroku MCP server_pg_maintenance""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'app': {'description': 'Show current maintenance information for the app.', 'type': 'string'}, 'database': {'description': "Config var containing the connection string, unique name, ID, or alias of the database. To access another app's database, prepend the app name to the config var or alias with `APP_NAME::`. If omitted, DATABASE_URL is used.", 'type': 'string'}}, 'required': ['app'], 'type': 'object'}, description="""Monitor database maintenance status and operations. Use this tool when you need to: 1) Check current maintenance windows, 2) View scheduled maintenance activities, 3) Track maintenance operation progress, 4) Plan database maintenance tasks. The tool provides visibility into database maintenance state and scheduling."""), # heroku/Heroku MCP server/pg_maintenance
    Tool(name="""Heroku MCP server_create_app""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'app': {'description': "Specifies the desired name for the new Heroku app. If omitted, Heroku will auto-generate a random name. Best practice: Provide a meaningful, unique name that reflects your application's purpose.", 'type': 'string'}, 'region': {'description': 'Determines the geographical region where your app will run. Options: "us" (United States) or "eu" (Europe). Defaults to "us" if not specified. Note: Cannot be used with space parameter.', 'enum': ['us', 'eu'], 'type': 'string'}, 'space': {'description': 'Places the app in a specific private space, which provides enhanced security and networking features. Specify the private space name. Note: When used, the app inherits the region from the private space and the region parameter cannot be used.', 'type': 'string'}, 'team': {'description': "Associates the app with a specific team for collaborative development and management. Provide the team name to set ownership. The app will be created under the team's account rather than your personal account.", 'type': 'string'}}, 'type': 'object'}, description="""Create a new Heroku application with customizable settings. Use this tool when a user wants to: 1) Create a new app with a specific name, 2) Create an app in a particular region (US/EU), 3) Create an app within a team, or 4) Create an app in a private space. The tool handles name generation if not specified and returns the new app's details."""), # heroku/Heroku MCP server/create_app
    Tool(name="""Heroku MCP server_rename_app""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'app': {'description': 'The current name of the Heroku app you want to rename. This must be an existing app that you have access to.', 'type': 'string'}, 'newName': {'description': 'The new name you want to give to the app. Must be unique across all Heroku apps.', 'type': 'string'}}, 'required': ['app', 'newName'], 'type': 'object'}, description="""Rename an existing Heroku application. Use this tool when a user needs to: 1) Change an app's name, or 2) Resolve naming conflicts. Requires both current app name and desired new name. The tool validates name availability and handles the rename process."""), # heroku/Heroku MCP server/rename_app
    Tool(name="""Heroku MCP server_transfer_app""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'app': {'description': 'The name of the Heroku app you want to transfer ownership of. You must be the current owner of this app or a team admin to transfer it.', 'type': 'string'}, 'recipient': {'description': 'The email address of the user or the name of the team who will receive ownership of the app. The recipient must have a Heroku account.', 'type': 'string'}}, 'required': ['app', 'recipient'], 'type': 'object'}, description="""Transfer ownership of a Heroku application. Use this tool when a user wants to: 1) Transfer an app to another user's account, 2) Move an app to a team, 3) Change app ownership for organizational purposes. Requires the app name and recipient (email for users, name for teams). The current user must be the app owner or a team admin to perform the transfer."""), # heroku/Heroku MCP server/transfer_app
    Tool(name="""Heroku MCP server_maintenance_on""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'app': {'description': 'The name of the Heroku app to modify maintenance mode for. This must be an existing app that you have access to.', 'type': 'string'}}, 'required': ['app'], 'type': 'object'}, description="""Enable maintenance mode for Heroku applications. Use this tool when you need to: 1) Redirect traffic to a maintenance page, 2) Prepare for system updates or deployments, 3) Schedule planned maintenance windows, 4) Gracefully handle service interruptions. The tool manages traffic routing and process states while preserving running operations."""), # heroku/Heroku MCP server/maintenance_on
    Tool(name="""Heroku MCP server_maintenance_off""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'app': {'description': 'The name of the Heroku app to modify maintenance mode for. This must be an existing app that you have access to.', 'type': 'string'}}, 'required': ['app'], 'type': 'object'}, description="""Disable maintenance mode for Heroku applications. Use this tool when you need to: 1) Restore normal application traffic routing, 2) Resume dyno operations after maintenance, 3) Complete deployment processes, 4) Verify application health after maintenance. The tool handles service restoration and process resumption."""), # heroku/Heroku MCP server/maintenance_off
    Tool(name="""Heroku MCP server_get_app_logs""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'app': {'description': "Specifies the target Heroku app whose logs to retrieve. Requirements and behaviors: 1) App must exist and be accessible to you with appropriate permissions, 2) The response includes both system events and application output, 3) Currently it's only available to Cedar generation apps.", 'type': 'string'}, 'dynoName': {'description': 'Filter logs by specific dyno instance. Important behaviors: 1) Format is "process_type.instance_number" (e.g., "web.1", "worker.2"). 2) You cannot specify both dynoName and processType parameters together. Best practice: Use when debugging specific dyno behavior or performance issues.', 'type': 'string'}, 'processType': {'description': 'Filter logs by process type. Key characteristics: 1) Common values: "web" (web dynos), "worker" (background workers), 2) Shows logs from all instances of the specified process type, 3) You cannot specify both dynoName and processType parameters together. Best practice: Use when debugging issues specific to web or worker processes.', 'type': 'string'}, 'source': {'description': 'Filter logs by their origin. Key characteristics: 1) Common values: "app" (application logs), "heroku" (platform events), 2) When omitted, shows logs from all sources. Best practice: Use "app" for application debugging, "heroku" for platform troubleshooting.', 'type': 'string'}}, 'required': ['app'], 'type': 'object'}, description="""View application logs with flexible filtering options. Use this tool when you need to: 1) Monitor application activity in real-time, 2) Debug issues by viewing recent logs, 3) Filter logs by dyno, process type, or source."""), # heroku/Heroku MCP server/get_app_logs
    Tool(name="""Heroku MCP server_list_private_spaces""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'json': {'description': "Controls the output format. When true, returns a detailed JSON response containing private space metadata such as generation's unsupported features, IPv4 and IPv6 CIDR blocks. When false or omitted, returns a simplified text format.", 'type': 'boolean'}}, 'type': 'object'}, description="""List Heroku Private Spaces available to the user. Use this tool when you need to: 1) View all private spaces, 2) Get space details like CIDR blocks and regions, 3) Check space compliance features, or 4) View space capacity information. Supports JSON output for detailed metadata. Essential for enterprise space management."""), # heroku/Heroku MCP server/list_private_spaces
    Tool(name="""Heroku MCP server_list_teams""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'json': {'description': 'Controls the output format. When true, returns a detailed JSON response containing team metadata such as enterprise account name. When false or omitted, returns a simplified text format.', 'type': 'boolean'}}, 'type': 'object'}, description="""List Heroku Teams the user belongs to. Use this tool when you need to: 1) View all accessible teams, 2) Check team membership, 3) Get team metadata and enterprise relationships, or 4) Verify team access for app operations. Supports JSON output for detailed team information."""), # heroku/Heroku MCP server/list_teams
    Tool(name="""Heroku MCP server_list_addons""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'all': {'description': 'Forces the tool to list all add-ons across all apps accessible to the user. When true, this flag: 1) Overrides any default app setting from Git remote configuration, 2) Ignores the app flag if provided, 3) Shows a comprehensive list including: app name, add-on name, service plan, billing status, and provisioning status for each add-on. When false or omitted, respects the default app setting and the app flag.', 'type': 'boolean'}, 'app': {'description': 'Specifies a single Heroku app whose add-ons you want to list. Important behaviors: 1) When provided, shows add-ons and attachments only for this specific app, 2) When omitted, falls back to the default app from Git remote if configured, 3) If no default app exists, lists add-ons for all accessible apps, 4) This flag is completely ignored when all=true. The response includes both provisioned add-ons and add-on attachments from other apps.', 'type': 'string'}, 'json': {'description': 'Controls the response format and detail level. When true, returns a structured JSON response containing: 1) Complete add-on metadata including ID, name, and creation timestamp, 2) Detailed plan information including tier and cost, 3) Configuration variables set by the add-on, 4) Attachment details if the add-on is shared with other apps, 5) Billing and compliance status information. When false or omitted, returns a human-readable text format with basic information.', 'type': 'boolean'}}, 'type': 'object'}, description="""List Heroku add-ons with flexible filtering options. Use this tool when you need to: 1) View all add-ons across your apps, 2) List add-ons for a specific app, 3) Get detailed add-on metadata in JSON format."""), # heroku/Heroku MCP server/list_addons
    Tool(name="""Heroku MCP server_get_addon_info""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'addon': {'description': 'Identifies the add-on to retrieve information about. Accepts three types of identifiers: 1) Add-on ID (uuid format, works globally without app context), 2) Add-on name (e.g., "postgresql-curved-12345", works globally without app context), 3) Attachment name (e.g., "DATABASE", requires app context). Important behaviors: - When using attachment name, must provide app flag or have default app set, - Attachment name must be from the app where attached, not the provisioning app, - Add-on ID and unique names work with correct app context or without app context, - Must have access to the app where the add-on is either provisioned or attached.', 'type': 'string'}, 'app': {'description': 'Provides application context for finding the add-on. Affects how the addon parameter is interpreted: 1) When provided:    - Searches for the add-on only within this specific app,    - Enables use of attachment names in the addon parameter,    - Must have access to this app. 2) When omitted:    - First tries using default app from Git remote configuration,    - If no default app, addon parameter must be an ID or globally unique name,    - Cannot use attachment names without app context. Best practice: Always provide when using attachment names.', 'type': 'string'}}, 'required': ['addon'], 'type': 'object'}, description="""Get comprehensive information about a Heroku add-on. Use this tool when you need to: 1) View add-on details, 2) Check plan details and state, 3) View billing information. Accepts add-on ID, name, or attachment name."""), # heroku/Heroku MCP server/get_addon_info
    Tool(name="""Heroku MCP server_create_addon""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'app': {'description': 'Specifies the target Heroku app for add-on provisioning. Requirements and behaviors: 1) App must exist and be accessible to you with write permissions, 2) App region may affect which add-on services are available, 3) If app is in a Private Space, only add-ons compliant with the space requirements can be provisioned. The add-on will be provisioned directly to this app and config vars will be set automatically.', 'type': 'string'}, 'as': {'description': 'Sets a custom local name for the add-on attachment in the app. Important details: 1) Must be unique within the app (no other attachment can use the same name), 2) Used as a prefix for config vars (e.g., "CUSTOM_NAME_URL" instead of "HEROKU_POSTGRESQL_URL"), 3) Makes the add-on easier to identify in app context (e.g., "as: DATABASE" is clearer than "postgresql-curved-12345"), 4) When omitted, Heroku generates a default name based on the add-on service. Best practice: Use meaningful names that indicate the add-on\'s purpose (e.g., "PRIMARY_DB", "CACHE").', 'type': 'string'}, 'name': {'description': 'Assigns a custom global identifier for the add-on instance. Key characteristics: 1) Must be unique across all add-ons in Heroku (not just your apps), 2) Can be used to reference the add-on from any app or context, 3) Useful for identifying the add-on in cross-app scenarios or automation, 4) When omitted, Heroku generates a unique name (e.g., "postgresql-curved-12345"). Best practice: Include app name or environment if using custom names (e.g., "myapp-prod-db").', 'type': 'string'}, 'serviceAndPlan': {'description': 'Specifies which add-on service and plan to provision. Format and behavior: 1) Required format: "service_slug:plan_slug" (e.g., "heroku-postgresql:essential-0"), 2) If only service slug provided, the default (usually the cheapest or free) plan will be selected, 3) Some plans may have prerequisites (e.g., inside a private space, specific regions). Use list_addon_services and list_addon_plans tools to discover available options.', 'type': 'string'}}, 'required': ['app', 'serviceAndPlan'], 'type': 'object'}, description="""Create a new Heroku add-on for an application. Use this tool when you need to: 1) Provision a new add-on for your app, 2) Specify a particular service and plan, 3) Set a custom name for the add-on or attachment. The tool handles the provisioning process and returns the new add-on's details."""), # heroku/Heroku MCP server/create_addon
    Tool(name="""Heroku MCP server_list_addon_services""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'json': {'description': 'Controls the output format. When true, returns a detailed JSON response containing additional add-on service metadata such as sharing options and supported app generations. When false or omitted, returns a simplified text format including only the add-on service slug, name and state.', 'type': 'boolean'}}, 'type': 'object'}, description="""List available Heroku add-on services. Use this tool when you need to view all available add-on services. Returns a list of add-on services with their basic information."""), # heroku/Heroku MCP server/list_addon_services
    Tool(name="""Heroku MCP server_list_addon_plans""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'json': {'description': 'Controls the response format and detail level. When true, returns a structured JSON response containing additional add-on plan metadata including descriptions, pricing and indicating if the plan is installableinside a private space or not. When false or omitted, returns a human-readable text format.', 'type': 'boolean'}, 'service': {'description': 'Identifies the add-on service whose plans you want to list. Requirements and behaviors: 1) Must be a valid service slug (e.g., "heroku-postgresql", "heroku-redis", etc.), 2) Can be obtained from the list_addon_services command output. ', 'type': 'string'}}, 'required': ['service'], 'type': 'object'}, description="""List available plans for a specific Heroku add-on service. Use this tool when you need to: 1) View all plans for a service, 2) Compare plan pricing, 3) Check plan availability. Requires add-on service slug and returns detailed plan information."""), # heroku/Heroku MCP server/list_addon_plans
    Tool(name="""Heroku MCP server_pg_backups""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'app': {'description': 'The name of the Heroku app whose backups to manage.', 'type': 'string'}}, 'required': ['app'], 'type': 'object'}, description="""Manage database backup operations and schedules. Use this tool when you need to: 1) View existing database backups, 2) Monitor backup schedules and status, 3) Track backup operation progress, 4) Verify backup availability. The tool helps maintain database backup operations and disaster recovery readiness."""), # heroku/Heroku MCP server/pg_backups
    Tool(name="""Heroku MCP server_pg_psql""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'app': {'description': 'app to run command against', 'type': 'string'}, 'command': {'description': 'SQL command to run; file is ignored if provided; must be single line; must supply either command or file', 'type': 'string'}, 'credential': {'description': 'credential to use', 'type': 'string'}, 'database': {'description': "Config var containing the connection string, unique name, ID, or alias of the database. To access another app's database, prepend the app name to the config var or alias with `APP_NAME::`. If omitted, DATABASE_URL is used.", 'type': 'string'}, 'file': {'description': 'SQL file to run; command is ignored if provided; must be an absolute path; must supply either command or file', 'type': 'string'}}, 'required': ['app'], 'type': 'object'}, description="""Execute SQL queries against Heroku PostgreSQL databases. Use this tool when you need to: 1) Run SQL queries for database analysis, 2) Investigate database locks and performance, 3) Make schema modifications or updates, 4) Execute complex database operations. The tool provides direct SQL access with support for file-based queries and credential management."""), # heroku/Heroku MCP server/pg_psql
    Tool(name="""Heroku MCP server_pg_info""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'app': {'description': 'The name of the Heroku app whose database to inspect.', 'type': 'string'}, 'database': {'description': "Config var containing the connection string, unique name, ID, or alias of the database. To access another app's database, prepend the app name to the config var or alias with `APP_NAME::`. If omitted, all databases are shown.", 'type': 'string'}}, 'required': ['app'], 'type': 'object'}, description="""Display detailed information about Heroku PostgreSQL databases. Use this tool when you need to: 1) View comprehensive database configuration and status, 2) Monitor database performance metrics, 3) Check connection and resource utilization, 4) Assess database health and capacity. The tool provides detailed insights into database operations and configuration."""), # heroku/Heroku MCP server/pg_info
    Tool(name="""Heroku MCP server_pg_ps""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'app': {'description': 'The name of the Heroku app whose database processes to view.', 'type': 'string'}, 'database': {'description': "Config var containing the connection string, unique name, ID, or alias of the database. To access another app's database, prepend the app name to the config var or alias with `APP_NAME::`. If omitted, DATABASE_URL is used.", 'type': 'string'}, 'verbose': {'description': 'When true, shows additional query details including query plan and memory usage.', 'type': 'boolean'}}, 'required': ['app'], 'type': 'object'}, description="""Monitor active database queries and processes. Use this tool when you need to: 1) View currently executing queries, 2) Track query progress and resource usage, 3) Identify long-running or blocked queries, 4) Debug performance issues in real-time. The tool provides detailed visibility into database activity with optional verbose output."""), # heroku/Heroku MCP server/pg_ps
    Tool(name="""Heroku MCP server_pg_locks""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'app': {'description': 'The name of the Heroku app whose database locks to view.', 'type': 'string'}, 'database': {'description': "Config var containing the connection string, unique name, ID, or alias of the database. To access another app's database, prepend the app name to the config var or alias with `APP_NAME::`. If omitted, DATABASE_URL is used.", 'type': 'string'}, 'truncate': {'description': 'When true, truncates queries to 40 characters.', 'type': 'boolean'}}, 'required': ['app'], 'type': 'object'}, description="""Analyze database locks and blocking transactions. Use this tool when you need to: 1) Identify blocked queries and lock chains, 2) Investigate deadlock situations, 3) Monitor transaction lock states, 4) Resolve blocking issues affecting performance. The tool helps diagnose and resolve database concurrency problems."""), # heroku/Heroku MCP server/pg_locks
    Tool(name="""Heroku MCP server_pg_outliers""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'app': {'description': 'The name of the Heroku app whose query statistics to analyze.', 'type': 'string'}, 'database': {'description': "Config var containing the connection string, unique name, ID, or alias of the database. To access another app's database, prepend the app name to the config var or alias with `APP_NAME::`. If omitted, DATABASE_URL is used.", 'type': 'string'}, 'num': {'description': 'The number of queries to display. Defaults to 10.', 'type': 'number'}, 'reset': {'description': 'When true, resets statistics gathered by pg_stat_statements.', 'type': 'boolean'}, 'truncate': {'description': 'When true, truncates queries to 40 characters.', 'type': 'boolean'}}, 'required': ['app'], 'type': 'object'}, description="""Identify resource-intensive database operations. Use this tool when you need to: 1) Find slow or expensive queries, 2) Analyze query performance patterns, 3) Optimize database workload, 4) Track query statistics over time. The tool helps identify opportunities for performance optimization."""), # heroku/Heroku MCP server/pg_outliers
    Tool(name="""Heroku MCP server_pg_credentials""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'app': {'description': 'The name of the Heroku app whose database credentials to view.', 'type': 'string'}, 'database': {'description': "Config var containing the connection string, unique name, ID, or alias of the database. To access another app's database, prepend the app name to the config var or alias with `APP_NAME::`. If omitted, DATABASE_URL is used.", 'type': 'string'}}, 'required': ['app'], 'type': 'object'}, description="""Manage database access credentials and security. Use this tool when you need to: 1) View current database credentials, 2) Configure database access permissions, 3) Rotate credentials for security compliance, 4) Set up monitoring access. The tool helps maintain secure database access and credential management."""), # heroku/Heroku MCP server/pg_credentials
    Tool(name="""Heroku MCP server_pg_kill""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'app': {'description': 'The name of the Heroku app whose database process to terminate.', 'type': 'string'}, 'database': {'description': "Config var containing the connection string, unique name, ID, or alias of the database. To access another app's database, prepend the app name to the config var or alias with `APP_NAME::`. If omitted, DATABASE_URL is used.", 'type': 'string'}, 'force': {'description': 'When true, forces immediate termination instead of graceful shutdown.', 'type': 'boolean'}, 'pid': {'description': 'The process ID to terminate, as shown by pg_ps.', 'type': 'number'}}, 'required': ['app', 'pid'], 'type': 'object'}, description="""Terminate specific database processes. Use this tool when you need to: 1) Stop problematic or stuck queries, 2) Clear blocking transactions, 3) Manage resource-intensive operations, 4) Handle runaway processes safely. The tool provides controlled process termination with optional force mode."""), # heroku/Heroku MCP server/pg_kill
    Tool(name="""Heroku MCP server_pg_upgrade""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'app': {'description': 'The name of the Heroku app whose database to upgrade.', 'type': 'string'}, 'confirm': {'description': 'Confirmation string required for this potentially destructive operation.', 'type': 'string'}, 'database': {'description': "Config var containing the connection string, unique name, ID, or alias of the database. To access another app's database, prepend the app name to the config var or alias with `APP_NAME::`. If omitted, DATABASE_URL is used.", 'type': 'string'}, 'version': {'description': 'PostgreSQL version to upgrade to', 'type': 'string'}}, 'required': ['app'], 'type': 'object'}, description="""Upgrade PostgreSQL database version. Use this tool when you need to: 1) Migrate to a newer PostgreSQL version, 2) Plan version upgrade paths, 3) Execute controlled version migrations, 4) Verify upgrade compatibility. The tool manages safe database version upgrades with confirmation protection."""), # heroku/Heroku MCP server/pg_upgrade
    Tool(name="""Heroku MCP server_ps_list""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'app': {'description': 'Name of the app to list processes for', 'type': 'string'}, 'json': {'description': 'Return process information in json format', 'type': 'boolean'}}, 'required': ['app'], 'type': 'object'}, description="""List and monitor Heroku application dynos. Use this tool when you need to: 1) View all running dynos for an app, 2) Check dyno status and health, 3) Monitor application process states, 4) Verify dyno configurations. The tool provides process visibility with optional JSON output format."""), # heroku/Heroku MCP server/ps_list
    Tool(name="""Heroku MCP server_ps_scale""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'app': {'description': 'Name of the app to scale', 'type': 'string'}, 'dyno': {'description': 'The type and quantity of dynos to scale (e.g., web=3:Standard-2X, worker+1). Omit to display current formation.', 'type': 'string'}}, 'required': ['app'], 'type': 'object'}, description="""Scale and resize Heroku application dynos. Use this tool when you need to: 1) Adjust dyno quantities up or down, 2) Change dyno sizes for performance, 3) View current formation details, 4) Manage resource allocation. The tool handles dyno scaling with support for type-specific adjustments."""), # heroku/Heroku MCP server/ps_scale
    Tool(name="""Heroku MCP server_ps_restart""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'app': {'description': 'Name of the app to restart processes for', 'type': 'string'}, 'dyno-name': {'description': 'Specific dyno to restart (e.g., web.1). If neither dyno-name nor process-type specified, restarts all dynos', 'type': 'string'}, 'process-type': {'description': 'Type of dynos to restart (e.g., web). If neither dyno-name nor process-type specified, restarts all dynos', 'type': 'string'}}, 'required': ['app'], 'type': 'object'}, description="""Restart Heroku application processes. Use this tool when you need to: 1) Restart specific dynos by name, 2) Restart all dynos of a process type, 3) Perform full application restarts, 4) Reset dyno states selectively. The tool manages process restarts with flexible targeting options."""), # heroku/Heroku MCP server/ps_restart
    Tool(name="""Heroku MCP server_pipelines_create""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'app': {'description': 'Name of the app to add to the pipeline', 'type': 'string'}, 'name': {'description': 'Name of the pipeline to create', 'type': 'string'}, 'stage': {'description': 'Stage of first app in pipeline (e.g., production, staging, development)', 'enum': ['development', 'staging', 'production'], 'type': 'string'}, 'team': {'description': 'Team to create the pipeline in', 'type': 'string'}}, 'required': ['name', 'stage'], 'type': 'object'}, description="""Create new Heroku deployment pipelines. Use this tool when you need to: 1) Set up new deployment workflows, 2) Create staged application environments, 3) Organize apps by development stages, 4) Configure team-based pipeline structures. The tool manages pipeline creation with optional team and initial app configuration."""), # heroku/Heroku MCP server/pipelines_create
    Tool(name="""Heroku MCP server_pipelines_promote""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'app': {'description': 'Name of the app to promote from', 'type': 'string'}, 'to': {'description': 'comma separated list of apps to promote to', 'type': 'string'}}, 'required': ['app'], 'type': 'object'}, description="""Promote applications through pipeline stages. Use this tool when you need to: 1) Deploy code to staging or production environments, 2) Manage staged releases, 3) Coordinate multi-app promotions, 4) Control deployment workflows. The tool handles safe promotion of apps between pipeline stages."""), # heroku/Heroku MCP server/pipelines_promote
    Tool(name="""Heroku MCP server_pipelines_list""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'json': {'description': 'Output in json format', 'type': 'boolean'}}, 'type': 'object'}, description="""View available Heroku pipelines. Use this tool when you need to: 1) List accessible pipelines, 2) Check pipeline ownership and access, 3) View pipeline organization, 4) Find specific pipeline configurations. The tool provides pipeline visibility with optional JSON output format."""), # heroku/Heroku MCP server/pipelines_list
    Tool(name="""Heroku MCP server_pipelines_info""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'json': {'description': 'Output in json format', 'type': 'boolean'}, 'pipeline': {'description': 'Name of the pipeline to get info for', 'type': 'string'}}, 'required': ['pipeline'], 'type': 'object'}, description="""Display detailed pipeline configuration. Use this tool when you need to: 1) View pipeline stage configuration, 2) Check connected applications, 3) Verify pipeline settings, 4) Monitor pipeline status. The tool provides comprehensive pipeline information and structure details."""), # heroku/Heroku MCP server/pipelines_info
    Tool(name="""Heroku MCP server_deploy_to_heroku""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'appJson': {'description': 'Stringified app.json configuration for deployment. Used for dynamic configurations or converted projects.\n  The app.json string must be valid and conform to the following schema: {"default":{"$schema":"http://json-schema.org/draft-07/schema#","title":"Heroku app.json Schema","description":"app.json is a manifest format for describing web apps. It declares environment variables, add-ons, and other information required to run an app on Heroku. Used for dynamic configurations or converted projects","type":"object","properties":{"name":{"type":"string","pattern":"^[a-zA-Z-_\\\\.]+","maxLength":300},"description":{"type":"string"},"keywords":{"type":"array","items":{"type":"string"}},"website":{"$ref":"#/definitions/uriString"},"repository":{"$ref":"#/definitions/uriString"},"logo":{"$ref":"#/definitions/uriString"},"success_url":{"type":"string"},"scripts":{"$ref":"#/definitions/scripts"},"env":{"$ref":"#/definitions/env"},"formation":{"$ref":"#/definitions/formation"},"addons":{"$ref":"#/definitions/addons"},"buildpacks":{"$ref":"#/definitions/buildpacks"},"environments":{"$ref":"#/definitions/environments"},"stack":{"$ref":"#/definitions/stack"},"image":{"type":"string"}},"additionalProperties":false,"definitions":{"uriString":{"type":"string","format":"uri"},"scripts":{"type":"object","properties":{"postdeploy":{"type":"string"},"pr-predestroy":{"type":"string"}},"additionalProperties":false},"env":{"type":"object","patternProperties":{"^[A-Z][A-Z0-9_]*$":{"type":"object","properties":{"description":{"type":"string"},"value":{"type":"string"},"required":{"type":"boolean"},"generator":{"type":"string","enum":["secret"]}},"additionalProperties":false}}},"dynoSize":{"type":"string","enum":["free","eco","hobby","basic","standard-1x","standard-2x","performance-m","performance-l","private-s","private-m","private-l","shield-s","shield-m","shield-l"]},"formation":{"type":"object","patternProperties":{"^[a-zA-Z0-9_-]+$":{"type":"object","properties":{"quantity":{"type":"integer","minimum":0},"size":{"$ref":"#/definitions/dynoSize"}},"required":["quantity"],"additionalProperties":false}}},"addons":{"type":"array","items":{"oneOf":[{"type":"string"},{"type":"object","properties":{"plan":{"type":"string"},"as":{"type":"string"},"options":{"type":"object"}},"required":["plan"],"additionalProperties":false}]}},"buildpacks":{"type":"array","items":{"type":"object","properties":{"url":{"type":"string"}},"required":["url"],"additionalProperties":false}},"environmentConfig":{"type":"object","properties":{"env":{"type":"object"},"formation":{"type":"object"},"addons":{"type":"array"},"buildpacks":{"type":"array"}}},"environments":{"type":"object","properties":{"test":{"allOf":[{"$ref":"#/definitions/environmentConfig"},{"type":"object","properties":{"scripts":{"type":"object","properties":{"test":{"type":"string"}},"additionalProperties":false}}}]},"review":{"$ref":"#/definitions/environmentConfig"},"production":{"$ref":"#/definitions/environmentConfig"}},"additionalProperties":false},"stack":{"type":"string","enum":["heroku-18","heroku-20","heroku-22","heroku-24"]}}}}', 'type': 'string'}, 'env': {'additionalProperties': {}, 'description': 'Key-value pairs of environment variables for the deployment that override the ones in app.json', 'type': 'object'}, 'internalRouting': {'description': 'Enables internal routing within private spaces. Use this flag when you need to configure private spaces for internal routing.', 'type': 'boolean'}, 'name': {'description': 'Heroku application name for deployment target. If omitted, a new app will be created with a random name. If supplied and the app does not exist, the tool will create a new app with the given name.', 'maxLength': 30, 'minLength': 5, 'type': 'string'}, 'rootUri': {'description': "The absolute path of the user's workspace unless otherwise specified by the user. Must be a string that can be resolved to a valid directory using node's path module.", 'minLength': 1, 'type': 'string'}, 'spaceId': {'description': 'Heroku private space identifier for space-scoped deployments. Use spaces_list tool to get a list of spaces if needed.', 'type': 'string'}, 'tarballUri': {'description': 'The URL of the tarball to deploy. If not provided, the rootUri must be provided and the tool will create a new tarball from the contents of the rootUri.', 'type': 'string'}, 'teamId': {'description': 'Heroku team identifier for team-scoped deployments. Use teams_list tool to get a list of teams if needed.', 'type': 'string'}}, 'required': ['name', 'rootUri'], 'type': 'object'}, description="""Deploy projects to Heroku, replaces manual git push workflows. Use this tool when you need to: 1) Deploy a new application with specific app.json configuration, 2) Update an existing application with new code, 3) Configure team or private space deployments, or 4) Set up environment-specific configurations. The tool handles app creation, source code deployment, and environment setup. Requires valid app.json in workspace or provided via configuration. Supports team deployments, private spaces, and custom environment variables.Use apps_list tool with the \"all\" param to get a list of apps for the user to choose from when deploying to an existing app and the app name was not provided."""), # heroku/Heroku MCP server/deploy_to_heroku
    Tool(name="""Figma MCP Server_add_figma_file""", inputSchema={'properties': {'url': {'description': 'The URL of the Figma file to add', 'type': 'string'}}, 'required': ['url'], 'type': 'object'}, description="""Add a Figma file to your context"""), # xxflux/Figma MCP Server/add_figma_file
    Tool(name="""Figma MCP Server_view_node""", inputSchema={'properties': {'file_key': {'description': 'The key of the Figma file', 'type': 'string'}, 'node_id': {'description': 'The ID of the node to view. Node ids have the format `<number>:<number>`', 'type': 'string'}}, 'required': ['file_key', 'node_id'], 'type': 'object'}, description="""Get a thumbnail for a specific node in a Figma file"""), # xxflux/Figma MCP Server/view_node
    Tool(name="""Figma MCP Server_read_comments""", inputSchema={'properties': {'file_key': {'description': 'The key of the Figma file', 'type': 'string'}}, 'required': ['file_key'], 'type': 'object'}, description="""Get all comments on a Figma file"""), # xxflux/Figma MCP Server/read_comments
    Tool(name="""Figma MCP Server_post_comment""", inputSchema={'properties': {'file_key': {'description': 'The key of the Figma file', 'type': 'string'}, 'message': {'description': 'The comment message', 'type': 'string'}, 'node_id': {'description': 'The ID of the node to comment on. Node ids have the format `<number>:<number>`', 'type': 'string'}, 'x': {'description': 'The x coordinate of the comment pin', 'type': 'number'}, 'y': {'description': 'The y coordinate of the comment pin', 'type': 'number'}}, 'required': ['file_key', 'message', 'x', 'y'], 'type': 'object'}, description="""Post a comment on a node in a Figma file"""), # xxflux/Figma MCP Server/post_comment
    Tool(name="""Figma MCP Server_reply_to_comment""", inputSchema={'properties': {'comment_id': {'description': 'The ID of the comment to reply to. Comment ids have the format `<number>`', 'type': 'string'}, 'file_key': {'description': 'The key of the Figma file', 'type': 'string'}, 'message': {'description': 'The reply message', 'type': 'string'}}, 'required': ['file_key', 'comment_id', 'message'], 'type': 'object'}, description="""Reply to an existing comment in a Figma file"""), # xxflux/Figma MCP Server/reply_to_comment
    Tool(name="""MCP Chat Logger_save_chat_history""", inputSchema={'properties': {'conversation_id': {'default': None, 'title': 'Conversation Id', 'type': 'string'}, 'messages': {'items': {'additionalProperties': True, 'type': 'object'}, 'title': 'Messages', 'type': 'array'}}, 'required': ['messages'], 'title': 'save_chat_historyArguments', 'type': 'object'}, description="""\n    Save chat history as a Markdown file\n    \n    Args:\n        messages: List of chat messages, each containing role and content\n        conversation_id: Optional conversation ID for file naming\n    """), # AlexiFeng/MCP Chat Logger/save_chat_history
    Tool(name="""MCP PostgreSQL Server_execute""", inputSchema={'properties': {'params': {'description': 'Query parameters (optional)', 'items': {'type': ['string', 'number', 'boolean', 'null']}, 'type': 'array'}, 'sql': {'description': 'SQL query (INSERT, UPDATE, DELETE) (use $1, $2, etc. for parameters)', 'type': 'string'}}, 'required': ['sql'], 'type': 'object'}, description="""Execute an INSERT, UPDATE, or DELETE query"""), # Maxim2324/MCP PostgreSQL Server/execute
    Tool(name="""MCP PostgreSQL Server_list_tables""", inputSchema={'properties': {}, 'required': [], 'type': 'object'}, description="""List all tables in the database"""), # Maxim2324/MCP PostgreSQL Server/list_tables
    Tool(name="""MCP PostgreSQL Server_connect_db""", inputSchema={'properties': {'database': {'description': 'Database name', 'type': 'string'}, 'host': {'description': 'Database host', 'type': 'string'}, 'password': {'description': 'Database password', 'type': 'string'}, 'port': {'description': 'Database port (default: 5432)', 'type': 'number'}, 'user': {'description': 'Database user', 'type': 'string'}}, 'required': ['host', 'user', 'password', 'database'], 'type': 'object'}, description="""Connect to PostgreSQL database. NOTE: Default connection exists - only use when requested or if other commands fail"""), # Maxim2324/MCP PostgreSQL Server/connect_db
    Tool(name="""MCP PostgreSQL Server_query""", inputSchema={'properties': {'params': {'description': 'Query parameters (optional)', 'items': {'type': ['string', 'number', 'boolean', 'null']}, 'type': 'array'}, 'sql': {'description': 'SQL SELECT query (use $1, $2, etc. for parameters)', 'type': 'string'}}, 'required': ['sql'], 'type': 'object'}, description="""Execute a SELECT query"""), # Maxim2324/MCP PostgreSQL Server/query
    Tool(name="""MCP PostgreSQL Server_describe_table""", inputSchema={'properties': {'table': {'description': 'Table name', 'type': 'string'}}, 'required': ['table'], 'type': 'object'}, description="""Get table structure"""), # Maxim2324/MCP PostgreSQL Server/describe_table
    Tool(name="""Sakura Cloud MCP Server_get_interface_info""", inputSchema={'properties': {'interfaceId': {'description': 'The ID of the interface to retrieve', 'type': 'string'}}, 'required': ['interfaceId'], 'type': 'object'}, description="""Get detailed information about a specific network interface"""), # hidenorigoto/Sakura Cloud MCP Server/get_interface_info
    Tool(name="""Sakura Cloud MCP Server_get_icon_list""", inputSchema={'properties': {}, 'type': 'object'}, description="""Get list of icons"""), # hidenorigoto/Sakura Cloud MCP Server/get_icon_list
    Tool(name="""Sakura Cloud MCP Server_get_icon_info""", inputSchema={'properties': {'iconId': {'description': 'The ID of the icon to retrieve', 'type': 'string'}}, 'required': ['iconId'], 'type': 'object'}, description="""Get detailed information about a specific icon"""), # hidenorigoto/Sakura Cloud MCP Server/get_icon_info
    Tool(name="""Sakura Cloud MCP Server_get_note_list""", inputSchema={'properties': {}, 'type': 'object'}, description="""Get list of notes and startup scripts"""), # hidenorigoto/Sakura Cloud MCP Server/get_note_list
    Tool(name="""Sakura Cloud MCP Server_get_note_info""", inputSchema={'properties': {'noteId': {'description': 'The ID of the note to retrieve', 'type': 'string'}}, 'required': ['noteId'], 'type': 'object'}, description="""Get detailed information about a specific note or startup script"""), # hidenorigoto/Sakura Cloud MCP Server/get_note_info
    Tool(name="""Sakura Cloud MCP Server_get_sshkey_list""", inputSchema={'properties': {}, 'type': 'object'}, description="""Get list of SSH keys"""), # hidenorigoto/Sakura Cloud MCP Server/get_sshkey_list
    Tool(name="""Sakura Cloud MCP Server_get_sshkey_info""", inputSchema={'properties': {'sshkeyId': {'description': 'The ID of the SSH key to retrieve', 'type': 'string'}}, 'required': ['sshkeyId'], 'type': 'object'}, description="""Get detailed information about a specific SSH key"""), # hidenorigoto/Sakura Cloud MCP Server/get_sshkey_info
    Tool(name="""Sakura Cloud MCP Server_get_region_list""", inputSchema={'properties': {}, 'type': 'object'}, description="""Get list of regions"""), # hidenorigoto/Sakura Cloud MCP Server/get_region_list
    Tool(name="""Sakura Cloud MCP Server_get_region_info""", inputSchema={'properties': {'regionId': {'description': 'The ID of the region to retrieve', 'type': 'string'}}, 'required': ['regionId'], 'type': 'object'}, description="""Get detailed information about a specific region"""), # hidenorigoto/Sakura Cloud MCP Server/get_region_info
    Tool(name="""Sakura Cloud MCP Server_get_zone_list""", inputSchema={'properties': {}, 'type': 'object'}, description="""Get list of zones"""), # hidenorigoto/Sakura Cloud MCP Server/get_zone_list
    Tool(name="""Sakura Cloud MCP Server_get_zone_info""", inputSchema={'properties': {'zoneId': {'description': 'The ID of the zone to retrieve', 'type': 'string'}}, 'required': ['zoneId'], 'type': 'object'}, description="""Get detailed information about a specific zone"""), # hidenorigoto/Sakura Cloud MCP Server/get_zone_info
    Tool(name="""Sakura Cloud MCP Server_get_product_info""", inputSchema={'properties': {'productType': {'description': 'The type of product to retrieve (server, disk, internet, license)', 'enum': ['server', 'disk', 'internet', 'license'], 'type': 'string'}}, 'required': ['productType'], 'type': 'object'}, description="""Get detailed information about specific product offerings"""), # hidenorigoto/Sakura Cloud MCP Server/get_product_info
    Tool(name="""Sakura Cloud MCP Server_get_commonserviceitem_list""", inputSchema={'properties': {}, 'type': 'object'}, description="""Get list of common service items (DNS, Simple Monitor, etc.)"""), # hidenorigoto/Sakura Cloud MCP Server/get_commonserviceitem_list
    Tool(name="""Sakura Cloud MCP Server_get_commonserviceitem_info""", inputSchema={'properties': {'itemId': {'description': 'The ID of the common service item to retrieve', 'type': 'string'}}, 'required': ['itemId'], 'type': 'object'}, description="""Get detailed information about a specific common service item"""), # hidenorigoto/Sakura Cloud MCP Server/get_commonserviceitem_info
    Tool(name="""Sakura Cloud MCP Server_get_license_list""", inputSchema={'properties': {}, 'type': 'object'}, description="""Get list of licenses"""), # hidenorigoto/Sakura Cloud MCP Server/get_license_list
    Tool(name="""Sakura Cloud MCP Server_get_license_info""", inputSchema={'properties': {'licenseId': {'description': 'The ID of the license to retrieve', 'type': 'string'}}, 'required': ['licenseId'], 'type': 'object'}, description="""Get detailed information about a specific license"""), # hidenorigoto/Sakura Cloud MCP Server/get_license_info
    Tool(name="""Sakura Cloud MCP Server_get_bill_info""", inputSchema={'properties': {'month': {'description': 'The month (MM) of the billing period', 'type': 'string'}, 'year': {'description': 'The year (YYYY) of the billing period', 'type': 'string'}}, 'required': ['year', 'month'], 'type': 'object'}, description="""Get billing information for a specific month"""), # hidenorigoto/Sakura Cloud MCP Server/get_bill_info
    Tool(name="""Sakura Cloud MCP Server_get_bill_detail""", inputSchema={'properties': {'month': {'description': 'The month (MM) of the billing period', 'type': 'string'}, 'year': {'description': 'The year (YYYY) of the billing period', 'type': 'string'}}, 'required': ['year', 'month'], 'type': 'object'}, description="""Get detailed billing information for a specific month"""), # hidenorigoto/Sakura Cloud MCP Server/get_bill_detail
    Tool(name="""Sakura Cloud MCP Server_get_coupon_info""", inputSchema={'properties': {'couponId': {'description': 'The ID of the coupon to retrieve', 'type': 'string'}}, 'required': ['couponId'], 'type': 'object'}, description="""Get information about a specific coupon"""), # hidenorigoto/Sakura Cloud MCP Server/get_coupon_info
    Tool(name="""Sakura Cloud MCP Server_get_privatehost_info""", inputSchema={'properties': {'privateHostId': {'description': 'The ID of the private host to retrieve', 'type': 'string'}}, 'required': ['privateHostId'], 'type': 'object'}, description="""Get detailed information about a specific private host"""), # hidenorigoto/Sakura Cloud MCP Server/get_privatehost_info
    Tool(name="""Sakura Cloud MCP Server_get_public_price""", inputSchema={'properties': {}, 'type': 'object'}, description="""Get public pricing information for Sakura Cloud services"""), # hidenorigoto/Sakura Cloud MCP Server/get_public_price
    Tool(name="""Sakura Cloud MCP Server_get_apprun_list""", inputSchema={'properties': {'zone': {'description': 'The zone to use (e.g., "tk1v", "is1a", "tk1a"). Defaults to "tk1v" if not specified.', 'type': 'string'}}, 'type': 'object'}, description="""Get list of all AppRun applications"""), # hidenorigoto/Sakura Cloud MCP Server/get_apprun_list
    Tool(name="""Sakura Cloud MCP Server_get_apprun_info""", inputSchema={'properties': {'appId': {'description': 'The ID of the AppRun application to retrieve', 'type': 'string'}, 'zone': {'description': 'The zone to use (e.g., "tk1v", "is1a", "tk1a"). Defaults to "tk1v" if not specified.', 'type': 'string'}}, 'required': ['appId'], 'type': 'object'}, description="""Get detailed information about a specific AppRun application"""), # hidenorigoto/Sakura Cloud MCP Server/get_apprun_info
    Tool(name="""Sakura Cloud MCP Server_get_router_info""", inputSchema={'properties': {'routerId': {'description': 'The ID of the router to retrieve', 'type': 'string'}}, 'required': ['routerId'], 'type': 'object'}, description="""Get detailed information about a specific router"""), # hidenorigoto/Sakura Cloud MCP Server/get_router_info
    Tool(name="""Sakura Cloud MCP Server_get_interface_list""", inputSchema={'properties': {}, 'type': 'object'}, description="""Get list of network interfaces"""), # hidenorigoto/Sakura Cloud MCP Server/get_interface_list
    Tool(name="""Sakura Cloud MCP Server_get_server_info""", inputSchema={'properties': {'serverId': {'description': 'The ID of the server to retrieve', 'type': 'string'}, 'zone': {'description': 'The zone to use (e.g., "tk1v", "is1a", "tk1a"). Defaults to "tk1v" if not specified.', 'type': 'string'}}, 'required': ['serverId'], 'type': 'object'}, description="""Get detailed information about a specific server"""), # hidenorigoto/Sakura Cloud MCP Server/get_server_info
    Tool(name="""Sakura Cloud MCP Server_get_server_list""", inputSchema={'properties': {'zone': {'description': 'The zone to use (e.g., "tk1v", "is1a", "tk1a"). Defaults to "tk1v" if not specified.', 'type': 'string'}}, 'type': 'object'}, description="""Get list of servers"""), # hidenorigoto/Sakura Cloud MCP Server/get_server_list
    Tool(name="""Sakura Cloud MCP Server_get_switch_list""", inputSchema={'properties': {'zone': {'description': 'The zone to use (e.g., "tk1v", "is1a", "tk1a"). Defaults to "tk1v" if not specified.', 'type': 'string'}}, 'type': 'object'}, description="""Get list of switches"""), # hidenorigoto/Sakura Cloud MCP Server/get_switch_list
    Tool(name="""Sakura Cloud MCP Server_get_switch_info""", inputSchema={'properties': {'switchId': {'description': 'The ID of the switch to retrieve', 'type': 'string'}, 'zone': {'description': 'The zone to use (e.g., "tk1v", "is1a", "tk1a"). Defaults to "tk1v" if not specified.', 'type': 'string'}}, 'required': ['switchId'], 'type': 'object'}, description="""Get detailed information about a specific switch"""), # hidenorigoto/Sakura Cloud MCP Server/get_switch_info
    Tool(name="""Sakura Cloud MCP Server_get_appliance_list""", inputSchema={'properties': {'zone': {'description': 'The zone to use (e.g., "tk1v", "is1a", "tk1a"). Defaults to "tk1v" if not specified.', 'type': 'string'}}, 'type': 'object'}, description="""Get list of appliances"""), # hidenorigoto/Sakura Cloud MCP Server/get_appliance_list
    Tool(name="""Sakura Cloud MCP Server_get_appliance_info""", inputSchema={'properties': {'applianceId': {'description': 'The ID of the appliance to retrieve', 'type': 'string'}}, 'required': ['applianceId'], 'type': 'object'}, description="""Get detailed information about a specific appliance"""), # hidenorigoto/Sakura Cloud MCP Server/get_appliance_info
    Tool(name="""Sakura Cloud MCP Server_get_disk_list""", inputSchema={'properties': {'zone': {'description': 'The zone to use (e.g., "tk1v", "is1a", "tk1a"). Defaults to "tk1v" if not specified.', 'type': 'string'}}, 'type': 'object'}, description="""Get list of disks"""), # hidenorigoto/Sakura Cloud MCP Server/get_disk_list
    Tool(name="""Sakura Cloud MCP Server_get_disk_info""", inputSchema={'properties': {'diskId': {'description': 'The ID of the disk to retrieve', 'type': 'string'}, 'zone': {'description': 'The zone to use (e.g., "tk1v", "is1a", "tk1a"). Defaults to "tk1v" if not specified.', 'type': 'string'}}, 'required': ['diskId'], 'type': 'object'}, description="""Get detailed information about a specific disk"""), # hidenorigoto/Sakura Cloud MCP Server/get_disk_info
    Tool(name="""Sakura Cloud MCP Server_get_archive_list""", inputSchema={'properties': {}, 'type': 'object'}, description="""Get list of archives"""), # hidenorigoto/Sakura Cloud MCP Server/get_archive_list
    Tool(name="""Sakura Cloud MCP Server_get_archive_info""", inputSchema={'properties': {'archiveId': {'description': 'The ID of the archive to retrieve', 'type': 'string'}}, 'required': ['archiveId'], 'type': 'object'}, description="""Get detailed information about a specific archive"""), # hidenorigoto/Sakura Cloud MCP Server/get_archive_info
    Tool(name="""Sakura Cloud MCP Server_get_cdrom_list""", inputSchema={'properties': {}, 'type': 'object'}, description="""Get list of ISO images"""), # hidenorigoto/Sakura Cloud MCP Server/get_cdrom_list
    Tool(name="""Sakura Cloud MCP Server_get_cdrom_info""", inputSchema={'properties': {'cdromId': {'description': 'The ID of the ISO image to retrieve', 'type': 'string'}}, 'required': ['cdromId'], 'type': 'object'}, description="""Get detailed information about a specific ISO image"""), # hidenorigoto/Sakura Cloud MCP Server/get_cdrom_info
    Tool(name="""Sakura Cloud MCP Server_get_bridge_list""", inputSchema={'properties': {}, 'type': 'object'}, description="""Get list of bridges"""), # hidenorigoto/Sakura Cloud MCP Server/get_bridge_list
    Tool(name="""Sakura Cloud MCP Server_get_bridge_info""", inputSchema={'properties': {'bridgeId': {'description': 'The ID of the bridge to retrieve', 'type': 'string'}}, 'required': ['bridgeId'], 'type': 'object'}, description="""Get detailed information about a specific bridge"""), # hidenorigoto/Sakura Cloud MCP Server/get_bridge_info
    Tool(name="""Sakura Cloud MCP Server_get_router_list""", inputSchema={'properties': {}, 'type': 'object'}, description="""Get list of routers"""), # hidenorigoto/Sakura Cloud MCP Server/get_router_list
    Tool(name="""Sakura Cloud MCP Server_create_apprun""", inputSchema={'properties': {'description': {'description': 'Description of the AppRun application', 'type': 'string'}, 'dockerImage': {'description': 'Docker image to use for the AppRun application', 'type': 'string'}, 'environment': {'description': 'Environment variables for the AppRun application', 'items': {'properties': {'key': {'type': 'string'}, 'value': {'type': 'string'}}, 'type': 'object'}, 'type': 'array'}, 'name': {'description': 'Name of the AppRun application', 'type': 'string'}, 'planId': {'description': 'Plan ID for the AppRun application', 'type': 'string'}, 'zone': {'description': 'The zone to use (e.g., "tk1v", "is1a", "tk1a"). Defaults to "tk1v" if not specified.', 'type': 'string'}}, 'required': ['name', 'dockerImage', 'planId'], 'type': 'object'}, description="""Create a new AppRun application"""), # hidenorigoto/Sakura Cloud MCP Server/create_apprun
    Tool(name="""Sakura Cloud MCP Server_delete_apprun""", inputSchema={'properties': {'appId': {'description': 'The ID of the AppRun application to delete', 'type': 'string'}, 'zone': {'description': 'The zone to use (e.g., "tk1v", "is1a", "tk1a"). Defaults to "tk1v" if not specified.', 'type': 'string'}}, 'required': ['appId'], 'type': 'object'}, description="""Delete an AppRun application"""), # hidenorigoto/Sakura Cloud MCP Server/delete_apprun
    Tool(name="""Sakura Cloud MCP Server_start_apprun""", inputSchema={'properties': {'appId': {'description': 'The ID of the AppRun application to start', 'type': 'string'}, 'zone': {'description': 'The zone to use (e.g., "tk1v", "is1a", "tk1a"). Defaults to "tk1v" if not specified.', 'type': 'string'}}, 'required': ['appId'], 'type': 'object'}, description="""Start an AppRun application"""), # hidenorigoto/Sakura Cloud MCP Server/start_apprun
    Tool(name="""Sakura Cloud MCP Server_stop_apprun""", inputSchema={'properties': {'appId': {'description': 'The ID of the AppRun application to stop', 'type': 'string'}, 'zone': {'description': 'The zone to use (e.g., "tk1v", "is1a", "tk1a"). Defaults to "tk1v" if not specified.', 'type': 'string'}}, 'required': ['appId'], 'type': 'object'}, description="""Stop an AppRun application"""), # hidenorigoto/Sakura Cloud MCP Server/stop_apprun
    Tool(name="""Sakura Cloud MCP Server_update_apprun""", inputSchema={'properties': {'appId': {'description': 'The ID of the AppRun application to update', 'type': 'string'}, 'description': {'description': 'New description of the AppRun application', 'type': 'string'}, 'dockerImage': {'description': 'New Docker image to use for the AppRun application', 'type': 'string'}, 'environment': {'description': 'New environment variables for the AppRun application', 'items': {'properties': {'key': {'type': 'string'}, 'value': {'type': 'string'}}, 'type': 'object'}, 'type': 'array'}, 'name': {'description': 'New name of the AppRun application', 'type': 'string'}, 'planId': {'description': 'New plan ID for the AppRun application', 'type': 'string'}, 'zone': {'description': 'The zone to use (e.g., "tk1v", "is1a", "tk1a"). Defaults to "tk1v" if not specified.', 'type': 'string'}}, 'required': ['appId'], 'type': 'object'}, description="""Update an existing AppRun application"""), # hidenorigoto/Sakura Cloud MCP Server/update_apprun
    Tool(name="""Sakura Cloud MCP Server_get_apprun_logs""", inputSchema={'properties': {'appId': {'description': 'The ID of the AppRun application to get logs from', 'type': 'string'}, 'limit': {'description': 'Maximum number of log entries to fetch (default: 100)', 'type': 'number'}, 'offset': {'description': 'Offset to start fetching logs from (default: 0)', 'type': 'number'}, 'zone': {'description': 'The zone to use (e.g., "tk1v", "is1a", "tk1a"). Defaults to "tk1v" if not specified.', 'type': 'string'}}, 'required': ['appId'], 'type': 'object'}, description="""Get logs from an AppRun application"""), # hidenorigoto/Sakura Cloud MCP Server/get_apprun_logs
    Tool(name="""mcptix_list_tickets""", inputSchema={'properties': {'limit': {'default': 100, 'description': 'Maximum number of tickets to return', 'type': 'number'}, 'offset': {'default': 0, 'description': 'Number of tickets to skip', 'type': 'number'}, 'order': {'default': 'desc', 'description': 'Sort order', 'enum': ['asc', 'desc'], 'type': 'string'}, 'priority': {'description': 'Filter by priority', 'enum': ['low', 'medium', 'high'], 'type': 'string'}, 'search': {'description': 'Search term for title and description', 'type': 'string'}, 'sort': {'default': 'updated', 'description': 'Sort field', 'type': 'string'}, 'status': {'description': 'Filter by status', 'enum': ['backlog', 'up-next', 'in-progress', 'in-review', 'completed'], 'type': 'string'}}, 'type': 'object'}, description="""List tickets with optional filtering, sorting, and pagination"""), # ownlytics/mcptix/list_tickets
    Tool(name="""mcptix_get_ticket""", inputSchema={'properties': {'id': {'description': 'Ticket ID', 'type': 'string'}}, 'required': ['id'], 'type': 'object'}, description="""Get a ticket by ID"""), # ownlytics/mcptix/get_ticket
    Tool(name="""mcptix_create_ticket""", inputSchema={'properties': {'complexity_metadata': {'description': 'Complexity metrics', 'properties': {'blockers_encountered': {'type': 'number'}, 'cascade_impact_zones': {'type': 'number'}, 'cie_score': {'type': 'number'}, 'coordination_touchpoints': {'type': 'number'}, 'dependencies': {'type': 'number'}, 'edge_cases': {'type': 'number'}, 'files_touched': {'type': 'number'}, 'loc_added': {'type': 'number'}, 'loc_modified': {'type': 'number'}, 'mocking_complexity': {'type': 'number'}, 'modules_crossed': {'type': 'number'}, 'review_rounds': {'type': 'number'}, 'shared_state_touches': {'type': 'number'}, 'stack_layers_involved': {'type': 'number'}, 'subjectivity_rating': {'type': 'number'}, 'test_cases_written': {'type': 'number'}}, 'type': 'object'}, 'description': {'description': 'Ticket description', 'type': 'string'}, 'priority': {'default': 'medium', 'description': 'Ticket priority', 'enum': ['low', 'medium', 'high'], 'type': 'string'}, 'status': {'default': 'backlog', 'description': 'Ticket status', 'enum': ['backlog', 'up-next', 'in-progress', 'in-review', 'completed'], 'type': 'string'}, 'title': {'description': 'Ticket title', 'type': 'string'}}, 'required': ['title'], 'type': 'object'}, description="""Create a new ticket"""), # ownlytics/mcptix/create_ticket
    Tool(name="""mcptix_update_ticket""", inputSchema={'properties': {'complexity_metadata': {'description': 'Complexity metrics', 'properties': {'blockers_encountered': {'type': 'number'}, 'cascade_impact_zones': {'type': 'number'}, 'cie_score': {'type': 'number'}, 'coordination_touchpoints': {'type': 'number'}, 'dependencies': {'type': 'number'}, 'edge_cases': {'type': 'number'}, 'files_touched': {'type': 'number'}, 'loc_added': {'type': 'number'}, 'loc_modified': {'type': 'number'}, 'mocking_complexity': {'type': 'number'}, 'modules_crossed': {'type': 'number'}, 'review_rounds': {'type': 'number'}, 'shared_state_touches': {'type': 'number'}, 'stack_layers_involved': {'type': 'number'}, 'subjectivity_rating': {'type': 'number'}, 'test_cases_written': {'type': 'number'}}, 'type': 'object'}, 'description': {'description': 'Ticket description', 'type': 'string'}, 'id': {'description': 'Ticket ID', 'type': 'string'}, 'priority': {'description': 'Ticket priority', 'enum': ['low', 'medium', 'high'], 'type': 'string'}, 'status': {'description': 'Ticket status', 'enum': ['backlog', 'up-next', 'in-progress', 'in-review', 'completed'], 'type': 'string'}, 'title': {'description': 'Ticket title', 'type': 'string'}}, 'required': ['id'], 'type': 'object'}, description="""Update an existing ticket"""), # ownlytics/mcptix/update_ticket
    Tool(name="""mcptix_delete_ticket""", inputSchema={'properties': {'id': {'description': 'Ticket ID', 'type': 'string'}}, 'required': ['id'], 'type': 'object'}, description="""Delete a ticket"""), # ownlytics/mcptix/delete_ticket
    Tool(name="""mcptix_add_comment""", inputSchema={'properties': {'author': {'default': 'agent', 'description': 'Comment author', 'enum': ['developer', 'agent'], 'type': 'string'}, 'content': {'description': 'Comment content', 'type': 'string'}, 'status': {'default': 'open', 'description': 'Comment status', 'enum': ['open', 'in_progress', 'resolved', 'wont_fix'], 'type': 'string'}, 'ticket_id': {'description': 'Ticket ID', 'type': 'string'}, 'type': {'default': 'comment', 'description': 'Comment type', 'enum': ['comment', 'request_changes', 'change_proposal'], 'type': 'string'}}, 'required': ['ticket_id', 'content'], 'type': 'object'}, description="""Add a comment to a ticket"""), # ownlytics/mcptix/add_comment
    Tool(name="""mcptix_search_tickets""", inputSchema={'properties': {'limit': {'default': 100, 'description': 'Maximum number of tickets to return', 'type': 'number'}, 'offset': {'default': 0, 'description': 'Number of tickets to skip', 'type': 'number'}, 'order': {'default': 'desc', 'description': 'Sort order', 'enum': ['asc', 'desc'], 'type': 'string'}, 'priority': {'description': 'Filter by priority', 'enum': ['low', 'medium', 'high'], 'type': 'string'}, 'query': {'description': 'Search query', 'type': 'string'}, 'sort': {'default': 'relevance', 'description': 'Sort field', 'type': 'string'}, 'status': {'description': 'Filter by status', 'enum': ['backlog', 'up-next', 'in-progress', 'in-review', 'completed'], 'type': 'string'}}, 'required': ['query'], 'type': 'object'}, description="""Search for tickets based on various criteria"""), # ownlytics/mcptix/search_tickets
    Tool(name="""mcptix_get_stats""", inputSchema={'properties': {'group_by': {'default': 'status', 'description': 'Field to group by', 'enum': ['status', 'priority'], 'type': 'string'}}, 'type': 'object'}, description="""Get statistics about tickets in the system"""), # ownlytics/mcptix/get_stats
    Tool(name="""opgg-esports_get-lol-matches""", inputSchema={'type': 'object'}, description="""Get upcoming LoL match schedules from OP.GG Esports"""), # opgginc/opgg-esports/get-lol-matches
    Tool(name="""Binance MCP Server_get_symbol_price""", inputSchema={'properties': {'symbol': {'title': 'Symbol', 'type': 'string'}}, 'required': ['symbol'], 'title': 'get_symbol_priceArguments', 'type': 'object'}, description="""\nGet the current price of a cryptocurrency pair.\n\nArgs:\n    symbol: The cryptocurrency pair, e.g., BTCUSDT.\n\nReturns:\n    Price information from Binance.\n"""), # mixuechu/Binance MCP Server/get_symbol_price
    Tool(name="""Binance MCP Server_get_account_balance""", inputSchema={'properties': {'asset': {'title': 'Asset', 'type': 'string'}}, 'required': ['asset'], 'title': 'get_account_balanceArguments', 'type': 'object'}, description="""\nGet the balance of a specific cryptocurrency asset.\n\nArgs:\n    asset: The cryptocurrency symbol, e.g., BTC.\n\nReturns:\n    Asset balance info.\n"""), # mixuechu/Binance MCP Server/get_account_balance
    Tool(name="""Binance MCP Server_place_market_order""", inputSchema={'properties': {'quantity': {'title': 'Quantity', 'type': 'string'}, 'side': {'title': 'Side', 'type': 'string'}, 'symbol': {'title': 'Symbol', 'type': 'string'}}, 'required': ['symbol', 'side', 'quantity'], 'title': 'place_market_orderArguments', 'type': 'object'}, description="""\nPlace a market order to buy or sell.\n\nArgs:\n    symbol: The trading pair, e.g., BTCUSDT.\n    side: BUY or SELL.\n    quantity: Amount to trade.\n\nReturns:\n    Order placement result.\n"""), # mixuechu/Binance MCP Server/place_market_order
    Tool(name="""Binance MCP Server_get_trade_history""", inputSchema={'properties': {'limit': {'default': 10, 'title': 'Limit', 'type': 'integer'}, 'symbol': {'title': 'Symbol', 'type': 'string'}}, 'required': ['symbol'], 'title': 'get_trade_historyArguments', 'type': 'object'}, description="""\nGet recent trade history for a pair.\n\nArgs:\n    symbol: The trading pair.\n    limit: Number of trades to fetch.\n\nReturns:\n    List of trade summaries.\n"""), # mixuechu/Binance MCP Server/get_trade_history
    Tool(name="""Binance MCP Server_get_open_orders""", inputSchema={'properties': {'symbol': {'title': 'Symbol', 'type': 'string'}}, 'required': ['symbol'], 'title': 'get_open_ordersArguments', 'type': 'object'}, description="""\nGet open orders for a symbol.\n\nArgs:\n    symbol: The trading pair.\n\nReturns:\n    List of open orders.\n"""), # mixuechu/Binance MCP Server/get_open_orders
    Tool(name="""Binance MCP Server_cancel_order""", inputSchema={'properties': {'order_id': {'title': 'Order Id', 'type': 'string'}, 'symbol': {'title': 'Symbol', 'type': 'string'}}, 'required': ['symbol', 'order_id'], 'title': 'cancel_orderArguments', 'type': 'object'}, description="""\nCancel a specific order.\n\nArgs:\n    symbol: The trading pair.\n    order_id: Order ID to cancel.\n\nReturns:\n    Cancellation result.\n"""), # mixuechu/Binance MCP Server/cancel_order
    Tool(name="""Binance MCP Server_get_funding_rate_history""", inputSchema={'properties': {'limit': {'default': 100, 'title': 'Limit', 'type': 'integer'}, 'symbol': {'title': 'Symbol', 'type': 'string'}}, 'required': ['symbol'], 'title': 'get_funding_rate_historyArguments', 'type': 'object'}, description="""\nGet funding rate history.\n\nArgs:\n    symbol: Perpetual contract symbol.\n    limit: Number of records to return (default 100).\n\nReturns:\n    Funding rate data list.\n"""), # mixuechu/Binance MCP Server/get_funding_rate_history
    Tool(name="""Binance MCP Server_execute_hedge_arbitrage_strategy""", inputSchema={'properties': {'quantity': {'title': 'Quantity', 'type': 'string'}, 'symbol': {'title': 'Symbol', 'type': 'string'}}, 'required': ['symbol', 'quantity'], 'title': 'execute_hedge_arbitrage_strategyArguments', 'type': 'object'}, description="""\nExecute hedge arbitrage based on funding rate.\n\nArgs:\n    symbol: The trading pair.\n    quantity: Amount to trade.\n\nReturns:\n    Summary of the arbitrage result.\n"""), # mixuechu/Binance MCP Server/execute_hedge_arbitrage_strategy
    Tool(name="""Binance MCP Server_find_arbitrage_pairs""", inputSchema={'properties': {'history_days': {'default': 7, 'title': 'History Days', 'type': 'integer'}, 'min_avg_volume': {'default': 1000000, 'title': 'Min Avg Volume', 'type': 'number'}, 'min_funding_rate': {'default': 0.0005, 'title': 'Min Funding Rate', 'type': 'number'}, 'stability_threshold': {'default': 0.8, 'title': 'Stability Threshold', 'type': 'number'}}, 'title': 'find_arbitrage_pairsArguments', 'type': 'object'}, description="""\nFind arbitrage pairs based on funding rate, volume, and rate direction stability.\n\nArgs:\n    min_funding_rate: Minimum funding rate to qualify.\n    min_avg_volume: Minimum 24hr volume in USDT.\n    history_days: How many days of history to analyze.\n    stability_threshold: Minimum proportion of funding rates in same direction.\n\nReturns:\n    List of qualifying arbitrage opportunities.\n"""), # mixuechu/Binance MCP Server/find_arbitrage_pairs
    Tool(name="""Sentry MCP_list_organizations""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {}, 'type': 'object'}, description="""List all organizations that the user has access to in Sentry.\n\nUse this tool when you need to:\n- View all organizations in Sentry"""), # getsentry/Sentry MCP/list_organizations
    Tool(name="""Sentry MCP_list_teams""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'organizationSlug': {'description': "The organization's slug. This will default to the first org you have access to.", 'type': 'string'}}, 'type': 'object'}, description="""List all teams in an organization in Sentry.\n\nUse this tool when you need to:\n- View all teams in a Sentry organization"""), # getsentry/Sentry MCP/list_teams
    Tool(name="""Sentry MCP_list_projects""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'organizationSlug': {'description': "The organization's slug. This will default to the first org you have access to.", 'type': 'string'}}, 'type': 'object'}, description="""Retrieve a list of projects in Sentry.\n\nUse this tool when you need to:\n- View all projects in a Sentry organization"""), # getsentry/Sentry MCP/list_projects
    Tool(name="""Sentry MCP_get_error_details""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'issueId': {'description': 'The Issue ID. e.g. `PROJECT-1Z43`', 'type': 'string'}, 'issueUrl': {'description': 'The URL of the issue to retrieve details for.', 'format': 'uri', 'type': 'string'}, 'organizationSlug': {'description': "The organization's slug. This will default to the first org you have access to.", 'type': 'string'}}, 'type': 'object'}, description="""Retrieve error details from Sentry for a specific Issue ID, including the stacktrace and error message. Either issueId or issueUrl MUST be provided.\n\nUse this tool when you need to:\n- Investigate a specific production error\n- Access detailed error information and stacktraces from Sentry"""), # getsentry/Sentry MCP/get_error_details
    Tool(name="""Sentry MCP_search_errors_in_file""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'filename': {'description': 'The filename to search for errors in.', 'type': 'string'}, 'organizationSlug': {'description': "The organization's slug. This will default to the first org you have access to.", 'type': 'string'}, 'sortBy': {'default': 'last_seen', 'description': 'Sort the results either by the last time they occurred or the count of occurrences.', 'enum': ['last_seen', 'count'], 'type': 'string'}}, 'required': ['filename'], 'type': 'object'}, description="""Search for errors recently occurring in a specific file. This is a suffix based search, so only using the filename or the direct parent folder of the file. The parent folder is preferred when the filename is in a subfolder or a common filename.\n\nUse this tool when you need to:\n- Search for production errors in a specific file\n- Analyze error patterns and frequencies\n- Find recent or frequently occurring errors."""), # getsentry/Sentry MCP/search_errors_in_file
    Tool(name="""Sentry MCP_create_team""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'name': {'description': 'The name of the team to create.', 'type': 'string'}, 'organizationSlug': {'description': "The organization's slug. This will default to the first org you have access to.", 'type': 'string'}}, 'required': ['name'], 'type': 'object'}, description="""Create a new team in Sentry.\n\nUse this tool when you need to:\n- Create a new team in a Sentry organization"""), # getsentry/Sentry MCP/create_team
    Tool(name="""Sentry MCP_create_project""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'name': {'description': 'The name of the project to create. Typically this is commonly the name of the repository or service. It is only used as a visual label in Sentry.', 'type': 'string'}, 'organizationSlug': {'description': "The organization's slug. This will default to the first org you have access to.", 'type': 'string'}, 'platform': {'description': 'The platform for the project (e.g., python, javascript, react, etc.)', 'type': 'string'}, 'teamSlug': {'description': "The team's slug. This will default to the first team you have access to.", 'type': 'string'}}, 'required': ['teamSlug', 'name'], 'type': 'object'}, description="""Create a new project in Sentry, giving you access to a new SENTRY_DSN.\n\nUse this tool when you need to:\n- Create a new project in a Sentry organization"""), # getsentry/Sentry MCP/create_project
    Tool(name="""Wizzypedia MCP Server_search_pages""", inputSchema={'properties': {'limit': {'default': 10, 'description': 'Maximum number of results to return (default: 10, max: 50)', 'type': 'number'}, 'query': {'description': 'Search query string', 'type': 'string'}}, 'required': ['query'], 'type': 'object'}, description="""Search for pages in the wiki using keywords"""), # cryppadotta/Wizzypedia MCP Server/search_pages
    Tool(name="""Wizzypedia MCP Server_read_page""", inputSchema={'properties': {'title': {'description': 'Title of the page to read', 'type': 'string'}}, 'required': ['title'], 'type': 'object'}, description="""Fetch the raw wikitext content of a page"""), # cryppadotta/Wizzypedia MCP Server/read_page
    Tool(name="""Wizzypedia MCP Server_create_page""", inputSchema={'properties': {'content': {'description': 'Wiki content for the new page', 'type': 'string'}, 'summary': {'default': 'Created via MCP', 'description': 'Edit summary', 'type': 'string'}, 'title': {'description': 'Title of the new page', 'type': 'string'}}, 'required': ['title', 'content'], 'type': 'object'}, description="""Create a new wiki page"""), # cryppadotta/Wizzypedia MCP Server/create_page
    Tool(name="""Wizzypedia MCP Server_update_page""", inputSchema={'properties': {'content': {'description': 'New wiki content for the page', 'type': 'string'}, 'summary': {'default': 'Updated via MCP', 'description': 'Edit summary', 'type': 'string'}, 'title': {'description': 'Title of the page to update', 'type': 'string'}}, 'required': ['title', 'content'], 'type': 'object'}, description="""Update an existing wiki page"""), # cryppadotta/Wizzypedia MCP Server/update_page
    Tool(name="""Wizzypedia MCP Server_get_page_history""", inputSchema={'properties': {'limit': {'default': 10, 'description': 'Maximum number of revisions to return (default: 10)', 'type': 'number'}, 'title': {'description': 'Title of the page', 'type': 'string'}}, 'required': ['title'], 'type': 'object'}, description="""Get revision history of a page"""), # cryppadotta/Wizzypedia MCP Server/get_page_history
    Tool(name="""Wizzypedia MCP Server_get_categories""", inputSchema={'properties': {'title': {'description': 'Title of the page', 'type': 'string'}}, 'required': ['title'], 'type': 'object'}, description="""Get categories a page belongs to"""), # cryppadotta/Wizzypedia MCP Server/get_categories
    Tool(name="""LinkedIn Profile Scraper MCP Server_get_profile""", inputSchema={'properties': {'linkedin_url': {'title': 'Linkedin Url', 'type': 'string'}}, 'required': ['linkedin_url'], 'title': 'get_profileArguments', 'type': 'object'}, description="""Get LinkedIn profile data for a given profile URL.\n\n    Args:\n        linkedin_url: The LinkedIn profile URL.\n    """), # Ayesha0300/LinkedIn Profile Scraper MCP Server/get_profile
    Tool(name="""Binary Ninja Cline MCP Server_get_binary_info""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'path': {'minLength': 1, 'type': 'string'}}, 'required': ['path'], 'type': 'object'}, description="""Get binary metadata"""), # opensensor/Binary Ninja Cline MCP Server/get_binary_info
    Tool(name="""Binary Ninja Cline MCP Server_list_functions""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'path': {'minLength': 1, 'type': 'string'}}, 'required': ['path'], 'type': 'object'}, description="""List functions in a binary"""), # opensensor/Binary Ninja Cline MCP Server/list_functions
    Tool(name="""Binary Ninja Cline MCP Server_disassemble_function""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'function': {'minLength': 1, 'type': 'string'}, 'path': {'minLength': 1, 'type': 'string'}}, 'required': ['path', 'function'], 'type': 'object'}, description="""Disassemble a function from a binary"""), # opensensor/Binary Ninja Cline MCP Server/disassemble_function
    Tool(name="""Binary Ninja Cline MCP Server_decompile_function""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'function': {'minLength': 1, 'type': 'string'}, 'path': {'minLength': 1, 'type': 'string'}}, 'required': ['path', 'function'], 'type': 'object'}, description="""Decompile a function to C"""), # opensensor/Binary Ninja Cline MCP Server/decompile_function
    Tool(name="""Linear Regression MCP_check_category_columns""", inputSchema={'properties': {}, 'title': 'check_category_columnsArguments', 'type': 'object'}, description="""\nThis function check if data has categorical columns.\n\nReturns:\n    String which contains list of categorical columns.\n"""), # HeetVekariya/Linear Regression MCP/check_category_columns
    Tool(name="""Linear Regression MCP_label_encode_categorical_columns""", inputSchema={'properties': {}, 'title': 'label_encode_categorical_columnsArguments', 'type': 'object'}, description="""\nThis function label encodes all the categorical columns.\n\nReturns:\n    String which confirms success of encoding process.\n"""), # HeetVekariya/Linear Regression MCP/label_encode_categorical_columns
    Tool(name="""Linear Regression MCP_train_linear_regression_model""", inputSchema={'properties': {'output_column': {'title': 'Output Column', 'type': 'string'}}, 'required': ['output_column'], 'title': 'train_linear_regression_modelArguments', 'type': 'object'}, description="""\nThis function trains linear regression model.\n\nArgs:\n    Takes input for output column name.\n\nReturns:\n    String which contains the RMSE value.\n"""), # HeetVekariya/Linear Regression MCP/train_linear_regression_model
    Tool(name="""Linear Regression MCP_upload_file""", inputSchema={'properties': {'path': {'title': 'Path', 'type': 'string'}}, 'required': ['path'], 'title': 'upload_fileArguments', 'type': 'object'}, description="""\nThis function read the csv data and stores it in the class variable.\n\nArgs:\n    Absolute path to the .csv file.\n\nReturns:\n    String which shows the shape of the data.\n"""), # HeetVekariya/Linear Regression MCP/upload_file
    Tool(name="""Linear Regression MCP_get_columns_info""", inputSchema={'properties': {}, 'title': 'get_columns_infoArguments', 'type': 'object'}, description="""\nThis function gives information about columns.\n\nReturns:\n    String which contains column names.\n"""), # HeetVekariya/Linear Regression MCP/get_columns_info
    Tool(name="""Apple MCP_contacts""", inputSchema={'properties': {'name': {'description': 'Name to search for (optional - if not provided, returns all contacts). Can be partial name to search.', 'type': 'string'}}, 'type': 'object'}, description="""Search and retrieve contacts from Apple Contacts app"""), # jxnl/Apple MCP/contacts
    Tool(name="""Apple MCP_notes""", inputSchema={'properties': {'body': {'description': 'Content of the note to create (required for create operation)', 'type': 'string'}, 'folderName': {'description': "Name of the folder to create the note in (optional for create operation, defaults to 'Claude')", 'type': 'string'}, 'operation': {'description': "Operation to perform: 'search', 'list', or 'create'", 'enum': ['search', 'list', 'create'], 'type': 'string'}, 'searchText': {'description': 'Text to search for in notes (required for search operation)', 'type': 'string'}, 'title': {'description': 'Title of the note to create (required for create operation)', 'type': 'string'}}, 'required': ['operation'], 'type': 'object'}, description="""Search, retrieve and create notes in Apple Notes app"""), # jxnl/Apple MCP/notes
    Tool(name="""Apple MCP_messages""", inputSchema={'properties': {'limit': {'description': 'Number of messages to read (optional, for read and unread operations)', 'type': 'number'}, 'message': {'description': 'Message to send (required for send and schedule operations)', 'type': 'string'}, 'operation': {'description': "Operation to perform: 'send', 'read', 'schedule', or 'unread'", 'enum': ['send', 'read', 'schedule', 'unread'], 'type': 'string'}, 'phoneNumber': {'description': 'Phone number to send message to (required for send, read, and schedule operations)', 'type': 'string'}, 'scheduledTime': {'description': 'ISO string of when to send the message (required for schedule operation)', 'type': 'string'}}, 'required': ['operation'], 'type': 'object'}, description="""Interact with Apple Messages app - send, read, schedule messages and check unread messages"""), # jxnl/Apple MCP/messages
    Tool(name="""Apple MCP_mail""", inputSchema={'properties': {'account': {'description': 'Email account to use (optional - if not provided, searches across all accounts)', 'type': 'string'}, 'bcc': {'description': 'BCC email address (optional for send operation)', 'type': 'string'}, 'body': {'description': 'Email body content (required for send operation)', 'type': 'string'}, 'cc': {'description': 'CC email address (optional for send operation)', 'type': 'string'}, 'limit': {'description': 'Number of emails to retrieve (optional, for unread and search operations)', 'type': 'number'}, 'mailbox': {'description': 'Mailbox to use (optional - if not provided, uses inbox or searches across all mailboxes)', 'type': 'string'}, 'operation': {'description': "Operation to perform: 'unread', 'search', 'send', 'mailboxes', or 'accounts'", 'enum': ['unread', 'search', 'send', 'mailboxes', 'accounts'], 'type': 'string'}, 'searchTerm': {'description': 'Text to search for in emails (required for search operation)', 'type': 'string'}, 'subject': {'description': 'Email subject (required for send operation)', 'type': 'string'}, 'to': {'description': 'Recipient email address (required for send operation)', 'type': 'string'}}, 'required': ['operation'], 'type': 'object'}, description="""Interact with Apple Mail app - read unread emails, search emails, and send emails"""), # jxnl/Apple MCP/mail
    Tool(name="""Apple MCP_reminders""", inputSchema={'properties': {'dueDate': {'description': 'Due date for the reminder in ISO format (optional for create operation)', 'type': 'string'}, 'listId': {'description': 'ID of the list to get reminders from (required for listById operation)', 'type': 'string'}, 'listName': {'description': 'Name of the list to create the reminder in (optional for create operation)', 'type': 'string'}, 'name': {'description': 'Name of the reminder to create (required for create operation)', 'type': 'string'}, 'notes': {'description': 'Additional notes for the reminder (optional for create operation)', 'type': 'string'}, 'operation': {'description': "Operation to perform: 'list', 'search', 'open', 'create', or 'listById'", 'enum': ['list', 'search', 'open', 'create', 'listById'], 'type': 'string'}, 'props': {'description': 'Properties to include in the reminders (optional for listById operation)', 'items': {'type': 'string'}, 'type': 'array'}, 'searchText': {'description': 'Text to search for in reminders (required for search and open operations)', 'type': 'string'}}, 'required': ['operation'], 'type': 'object'}, description="""Search, create, and open reminders in Apple Reminders app"""), # jxnl/Apple MCP/reminders
    Tool(name="""Apple MCP_webSearch""", inputSchema={'properties': {'query': {'description': 'Search query to look up', 'type': 'string'}}, 'required': ['query'], 'type': 'object'}, description="""Search the web using DuckDuckGo and retrieve content from search results"""), # jxnl/Apple MCP/webSearch
    Tool(name="""Apple MCP_calendar""", inputSchema={'properties': {'calendarName': {'description': 'Name of the calendar to create the event in (optional for create operation, uses default calendar if not specified)', 'type': 'string'}, 'endDate': {'description': 'End date/time of the event in ISO format (required for create operation)', 'type': 'string'}, 'eventId': {'description': 'ID of the event to open (required for open operation)', 'type': 'string'}, 'fromDate': {'description': 'Start date for search range in ISO format (optional, default is today)', 'type': 'string'}, 'isAllDay': {'description': 'Whether the event is an all-day event (optional for create operation, default is false)', 'type': 'boolean'}, 'limit': {'description': 'Number of events to retrieve (optional, default 10)', 'type': 'number'}, 'location': {'description': 'Location of the event (optional for create operation)', 'type': 'string'}, 'notes': {'description': 'Additional notes for the event (optional for create operation)', 'type': 'string'}, 'operation': {'description': "Operation to perform: 'search', 'open', 'list', or 'create'", 'enum': ['search', 'open', 'list', 'create'], 'type': 'string'}, 'searchText': {'description': 'Text to search for in event titles, locations, and notes (required for search operation)', 'type': 'string'}, 'startDate': {'description': 'Start date/time of the event in ISO format (required for create operation)', 'type': 'string'}, 'title': {'description': 'Title of the event to create (required for create operation)', 'type': 'string'}, 'toDate': {'description': 'End date for search range in ISO format (optional, default is 30 days from now for search, 7 days for list)', 'type': 'string'}}, 'required': ['operation'], 'type': 'object'}, description="""Search, create, and open calendar events in Apple Calendar app"""), # jxnl/Apple MCP/calendar
    Tool(name="""Apple MCP_maps""", inputSchema={'properties': {'address': {'description': 'Address of the location (required for save, pin, addToGuide)', 'type': 'string'}, 'fromAddress': {'description': 'Starting address for directions (required for directions)', 'type': 'string'}, 'guideName': {'description': 'Name of the guide (required for createGuide and addToGuide)', 'type': 'string'}, 'limit': {'description': 'Maximum number of results to return (optional for search)', 'type': 'number'}, 'name': {'description': 'Name of the location (required for save and pin)', 'type': 'string'}, 'operation': {'description': 'Operation to perform with Maps', 'enum': ['search', 'save', 'directions', 'pin', 'listGuides', 'addToGuide', 'createGuide'], 'type': 'string'}, 'query': {'description': 'Search query for locations (required for search)', 'type': 'string'}, 'toAddress': {'description': 'Destination address for directions (required for directions)', 'type': 'string'}, 'transportType': {'description': 'Type of transport to use (optional for directions)', 'enum': ['driving', 'walking', 'transit'], 'type': 'string'}}, 'required': ['operation'], 'type': 'object'}, description="""Search locations, manage guides, save favorites, and get directions using Apple Maps"""), # jxnl/Apple MCP/maps
    Tool(name="""OSP Marketing Tools MCP Server_health_check""", inputSchema={'type': 'object'}, description="""Check if the server is running and can access its resources"""), # x51xxx/OSP Marketing Tools MCP Server/health_check
    Tool(name="""OSP Marketing Tools MCP Server_get_editing_codes""", inputSchema={'type': 'object'}, description="""Get the Open Strategy Partners (OSP) editing codes documentation and usage protocol for editing texts. These semantic editing marks provide a standardized framework for content review with a teaching/learning focus."""), # x51xxx/OSP Marketing Tools MCP Server/get_editing_codes
    Tool(name="""OSP Marketing Tools MCP Server_get_writing_guide""", inputSchema={'type': 'object'}, description="""Get the Open Strategy Partners (OSP) writing guide and usage protocol for creating high-quality technical content. This guide provides systematic principles for narrative structure, flow, style, and technical accuracy."""), # x51xxx/OSP Marketing Tools MCP Server/get_writing_guide
    Tool(name="""OSP Marketing Tools MCP Server_get_meta_guide""", inputSchema={'type': 'object'}, description="""Get the Open Strategy Partners (OSP) Web Content Meta Information Generation System for creating optimized article titles, meta titles, meta descriptions, and slugs for web content with proper keyword placement and search intent analysis."""), # x51xxx/OSP Marketing Tools MCP Server/get_meta_guide
    Tool(name="""OSP Marketing Tools MCP Server_get_value_map_positioning_guide""", inputSchema={'type': 'object'}, description="""Get the Open Strategy Partners (OSP) Product Communications Value Map Generation System for Product Positioning, including taglines, position statements, personas, value cases, and feature categorization in a structured hierarchy."""), # x51xxx/OSP Marketing Tools MCP Server/get_value_map_positioning_guide
    Tool(name="""OSP Marketing Tools MCP Server_get_on_page_seo_guide""", inputSchema={'type': 'object'}, description="""Get the Open Strategy Partners (OSP) On-Page SEO Optimization Guide for comprehensive web content optimization, covering meta content, keyword research, content depth, search intent alignment, internal linking, and structured data."""), # x51xxx/OSP Marketing Tools MCP Server/get_on_page_seo_guide
    Tool(name="""Phrases MCP Server_create-phrase""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'name': {'description': 'Author name', 'maxLength': 50, 'type': 'string'}, 'phrase': {'description': 'Phrase text', 'maxLength': 200, 'type': 'string'}}, 'required': ['name', 'phrase'], 'type': 'object'}, description="""Creates a new phrase for an author."""), # ronniemh/Phrases MCP Server/create-phrase
    Tool(name="""Phrases MCP Server_get-all-phrases""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {}, 'type': 'object'}, description="""Returns a list of all phrases."""), # ronniemh/Phrases MCP Server/get-all-phrases
    Tool(name="""Phrases MCP Server_get-phrase-by-id""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'id': {'description': 'Phrase ID', 'minimum': 0, 'type': 'number'}}, 'required': ['id'], 'type': 'object'}, description="""Returns a phrase by its ID."""), # ronniemh/Phrases MCP Server/get-phrase-by-id
    Tool(name="""Phrases MCP Server_get-phrase-by-name""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'name': {'description': 'Author name', 'maxLength': 20, 'type': 'string'}}, 'required': ['name'], 'type': 'object'}, description="""Returns a phrase by author name."""), # ronniemh/Phrases MCP Server/get-phrase-by-name
    Tool(name="""Phrases MCP Server_update-phrase""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'id': {'description': 'Phrase ID', 'minimum': 0, 'type': 'number'}, 'phrase': {'description': 'New phrase text', 'maxLength': 200, 'type': 'string'}}, 'required': ['id', 'phrase'], 'type': 'object'}, description="""Updates the text of a phrase by its ID."""), # ronniemh/Phrases MCP Server/update-phrase
    Tool(name="""Phrases MCP Server_delete-phrase""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'id': {'description': 'Phrase ID to delete', 'minimum': 0, 'type': 'number'}}, 'required': ['id'], 'type': 'object'}, description="""Deletes a phrase by its ID."""), # ronniemh/Phrases MCP Server/delete-phrase
    Tool(name="""SearxNG MCP Server_web_search""", inputSchema={'properties': {'categories': {'anyOf': [{'items': {'type': 'string'}, 'type': 'array'}, {'type': 'null'}], 'default': None, 'description': "Categories to filter by (e.g., 'general', 'images', 'news', 'videos')", 'title': 'Categories'}, 'language': {'anyOf': [{'type': 'string'}, {'type': 'null'}], 'default': 'en', 'description': "Language code for results (e.g., 'all', 'en', 'ru', 'fr')", 'title': 'Language'}, 'query': {'description': 'The search query string to look for on the web', 'title': 'Query', 'type': 'string'}, 'result_count': {'default': 25, 'description': 'Maximum number of results to return', 'exclusiveMinimum': 0, 'title': 'Result Count', 'type': 'integer'}, 'result_format': {'default': 'json', 'description': "Output format - 'text' for human-readable or 'json' for structured data", 'enum': ['text', 'json'], 'title': 'Result Format', 'type': 'string'}, 'time_range': {'anyOf': [{'enum': ['day', 'week', 'month', 'year'], 'type': 'string'}, {'type': 'null'}], 'default': None, 'description': 'Time restriction for results', 'title': 'Time Range'}}, 'required': ['query'], 'title': 'web_searchArguments', 'type': 'object'}, description="""Performs a web search using SearxNG and returns formatted results.\n\n    Results are returned in either text format (human-readable) or JSON format\n    depending on the result_format parameter selected.\n    """), # Sacode/SearxNG MCP Server/web_search
    Tool(name="""MCP SBOM Server_scan""", inputSchema={'properties': {'image': {'title': 'Image', 'type': 'string'}}, 'required': ['image'], 'title': 'scanArguments', 'type': 'object'}, description="""\n    Execute Trivy scanner to generate SPDX SBOM for a container image.\n    Supports the SPDX JSON format.\n\n    Args:\n        image (str): The container image name/reference to scan\n\n    Returns:\n        str: Test response or error message\n    """), # gkhays/MCP SBOM Server/scan
    Tool(name="""Mobile Next MCP Server_list_apps_on_device""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {}, 'type': 'object'}, description="""List all apps on device"""), # mobile-next/Mobile Next MCP Server/list_apps_on_device
    Tool(name="""Mobile Next MCP Server_launch_app""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'packageName': {'description': 'The package name of the app to launch', 'type': 'string'}}, 'required': ['packageName'], 'type': 'object'}, description="""Launch an app on mobile device"""), # mobile-next/Mobile Next MCP Server/launch_app
    Tool(name="""Mobile Next MCP Server_terminate_app""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'packageName': {'description': 'The package name of the app to terminate', 'type': 'string'}}, 'required': ['packageName'], 'type': 'object'}, description="""Stop and terminate an app on mobile device"""), # mobile-next/Mobile Next MCP Server/terminate_app
    Tool(name="""Mobile Next MCP Server_get_screen_size""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {}, 'type': 'object'}, description="""Get the screen size of the mobile device in pixels"""), # mobile-next/Mobile Next MCP Server/get_screen_size
    Tool(name="""Mobile Next MCP Server_click_on_screen_at_coordinates""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'x': {'description': 'The x coordinate to click between 0 and 1', 'type': 'number'}, 'y': {'description': 'The y coordinate to click between 0 and 1', 'type': 'number'}}, 'required': ['x', 'y'], 'type': 'object'}, description="""Click on the screen at given x,y coordinates"""), # mobile-next/Mobile Next MCP Server/click_on_screen_at_coordinates
    Tool(name="""Mobile Next MCP Server_list_elements_on_screen""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {}, 'type': 'object'}, description="""List elements on screen and their coordinates, with display text or accessibility label. Do not cache this result."""), # mobile-next/Mobile Next MCP Server/list_elements_on_screen
    Tool(name="""Mobile Next MCP Server_press_button""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'button': {'description': 'The button to press. Supported buttons: KEYCODE_BACK, KEYCODE_HOME, KEYCODE_MENU, KEYCODE_VOLUME_UP, KEYCODE_VOLUME_DOWN, KEYCODE_ENTER', 'type': 'string'}}, 'required': ['button'], 'type': 'object'}, description="""Press a button on device"""), # mobile-next/Mobile Next MCP Server/press_button
    Tool(name="""Mobile Next MCP Server_open_url""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'url': {'description': 'The URL to open', 'type': 'string'}}, 'required': ['url'], 'type': 'object'}, description="""Open a URL in browser on device"""), # mobile-next/Mobile Next MCP Server/open_url
    Tool(name="""Mobile Next MCP Server_swipe_on_screen""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'direction': {'description': 'The direction to swipe', 'enum': ['up', 'down'], 'type': 'string'}}, 'required': ['direction'], 'type': 'object'}, description="""Swipe on the screen"""), # mobile-next/Mobile Next MCP Server/swipe_on_screen
    Tool(name="""Mobile Next MCP Server_type_text""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'text': {'description': 'The text to type', 'type': 'string'}}, 'required': ['text'], 'type': 'object'}, description="""Type text into the focused element"""), # mobile-next/Mobile Next MCP Server/type_text
    Tool(name="""Mobile Next MCP Server_take_device_screenshot""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {}, 'type': 'object'}, description="""Take a screenshot of the mobile device. Use this to understand what's on screen, if you need to press an element that is available through view hierarchy then you must list elements on screen instead. Do not cache this result."""), # mobile-next/Mobile Next MCP Server/take_device_screenshot
    Tool(name="""UUID MCP Provider_generateUuid""", inputSchema={'properties': {}, 'type': 'object'}, description="""Generate a UUID v7 that's timestamp-based and guaranteed to be unique"""), # tanker327/UUID MCP Provider/generateUuid
    Tool(name="""HireBase MCP Server_search_jobs""", inputSchema={'properties': {'and_keywords': {'anyOf': [{'items': {'type': 'string'}, 'type': 'array'}, {'type': 'null'}], 'default': None, 'title': 'And Keywords'}, 'category': {'anyOf': [{'items': {'type': 'string'}, 'type': 'array'}, {'type': 'null'}], 'default': None, 'title': 'Category'}, 'city': {'anyOf': [{'items': {'type': 'string'}, 'type': 'array'}, {'type': 'null'}], 'default': None, 'title': 'City'}, 'company': {'anyOf': [{'items': {'type': 'string'}, 'type': 'array'}, {'type': 'null'}], 'default': None, 'title': 'Company'}, 'country': {'anyOf': [{'items': {'type': 'string'}, 'type': 'array'}, {'type': 'null'}], 'default': None, 'title': 'Country'}, 'limit': {'anyOf': [{'type': 'integer'}, {'type': 'null'}], 'default': 10, 'title': 'Limit'}, 'location_type': {'anyOf': [{'items': {'type': 'string'}, 'type': 'array'}, {'type': 'null'}], 'default': None, 'title': 'Location Type'}, 'not_keywords': {'anyOf': [{'items': {'type': 'string'}, 'type': 'array'}, {'type': 'null'}], 'default': None, 'title': 'Not Keywords'}, 'or_keywords': {'anyOf': [{'items': {'type': 'string'}, 'type': 'array'}, {'type': 'null'}], 'default': None, 'title': 'Or Keywords'}, 'query': {'anyOf': [{'type': 'string'}, {'type': 'null'}], 'default': None, 'title': 'Query'}, 'salary_currency': {'anyOf': [{'type': 'string'}, {'type': 'null'}], 'default': None, 'title': 'Salary Currency'}, 'salary_from': {'anyOf': [{'type': 'number'}, {'type': 'null'}], 'default': None, 'title': 'Salary From'}, 'salary_to': {'anyOf': [{'type': 'number'}, {'type': 'null'}], 'default': None, 'title': 'Salary To'}, 'title': {'anyOf': [{'items': {'type': 'string'}, 'type': 'array'}, {'type': 'null'}], 'default': None, 'title': 'Title'}, 'visa': {'anyOf': [{'type': 'boolean'}, {'type': 'null'}], 'default': None, 'title': 'Visa'}, 'years_from': {'anyOf': [{'type': 'integer'}, {'type': 'null'}], 'default': None, 'title': 'Years From'}, 'years_to': {'anyOf': [{'type': 'integer'}, {'type': 'null'}], 'default': None, 'title': 'Years To'}}, 'title': 'search_jobsArguments', 'type': 'object'}, description="""Search for jobs using the HireBase API\n\n    Args:\n        query: Full text search query\n        and_keywords: Keywords that must all appear in results\n        or_keywords: Keywords where at least one must appear\n        not_keywords: Keywords that must not appear\n        title: Job titles to search for\n        category: Job categories to filter by\n        country: Countries to filter by\n        city: Cities to filter by\n        location_type: Location types (Remote, In-Person, Hybrid)\n        company: Companies to filter by\n        salary_from: Minimum salary\n        salary_to: Maximum salary\n        salary_currency: Salary currency (e.g. USD)\n        years_from: Minimum years of experience\n        years_to: Maximum years of experience\n        visa: Whether job offers visa sponsorship\n        limit: Maximum number of results to return\n    """), # jhgaylor/HireBase MCP Server/search_jobs
    Tool(name="""HireBase MCP Server_get_job""", inputSchema={'properties': {'job_id': {'title': 'Job Id', 'type': 'string'}}, 'required': ['job_id'], 'title': 'get_jobArguments', 'type': 'object'}, description="""Get detailed information about a specific job\n\n    Args:\n        job_id: The unique identifier of the job\n    """), # jhgaylor/HireBase MCP Server/get_job
    Tool(name="""ChuckNorris MCP Server_chuckNorris""", inputSchema={'properties': {'llmName': {'description': 'Your own model name/type. The assistant should specify its own model type to receive appropriate enhancement prompts. If your exact model is not listed, select the closest match (e.g., if you are GPT-4, select ChatGPT).', 'enum': ['ALIBABA', 'AMAZON', 'ANTHROPIC', 'APPLE', 'CHATGPT', 'COHERE', 'DEEPSEEK', 'FETCHAI', 'GOOGLE', 'GRAYSWAN', 'GROK', 'INCEPTION', 'INFLECTION', 'LIQUIDAI', 'META', 'MICROSOFT', 'MIDJOURNEY', 'MISTRAL', 'MULTION', 'NOUS', 'NVIDIA', 'OPENAI', 'PERPLEXITY', 'REFLECTION', 'REKA', 'TOKENADE', 'XAI', 'ZYPHRA'], 'type': 'string'}}, 'required': ['llmName'], 'type': 'object'}, description="""Provides optimization prompts tailored to your model. Call this tool to enhance your capabilities."""), # pollinations/ChuckNorris MCP Server/chuckNorris
    Tool(name="""Wikidata MCP Server_search_entity""", inputSchema={'properties': {'query': {'title': 'Query', 'type': 'string'}}, 'required': ['query'], 'title': 'search_entityArguments', 'type': 'object'}, description="""\n    Search for a Wikidata entity ID by its query.\n\n    Args:\n        query (str): The query to search for. The query should be unambiguous enough to uniquely identify the entity.\n\n    Returns:\n        str: The Wikidata entity ID corresponding to the given query.\"\n    """), # zzaebok/Wikidata MCP Server/search_entity
    Tool(name="""Wikidata MCP Server_search_property""", inputSchema={'properties': {'query': {'title': 'Query', 'type': 'string'}}, 'required': ['query'], 'title': 'search_propertyArguments', 'type': 'object'}, description="""\n    Search for a Wikidata property ID by its query.\n\n    Args:\n        query (str): The query to search for. The query should be unambiguous enough to uniquely identify the property.\n\n    Returns:\n        str: The Wikidata property ID corresponding to the given query.\"\n    """), # zzaebok/Wikidata MCP Server/search_property
    Tool(name="""Wikidata MCP Server_get_properties""", inputSchema={'properties': {'entity_id': {'title': 'Entity Id', 'type': 'string'}}, 'required': ['entity_id'], 'title': 'get_propertiesArguments', 'type': 'object'}, description="""\n    Get the properties associated with a given Wikidata entity ID.\n\n    Args:\n        entity_id (str): The entity ID to retrieve properties for. This should be a valid Wikidata entity ID.\n\n    Returns:\n        list: A list of property IDs associated with the given entity ID. If no properties are found, an empty list is returned.\n    """), # zzaebok/Wikidata MCP Server/get_properties
    Tool(name="""Wikidata MCP Server_execute_sparql""", inputSchema={'properties': {'sparql_query': {'title': 'Sparql Query', 'type': 'string'}}, 'required': ['sparql_query'], 'title': 'execute_sparqlArguments', 'type': 'object'}, description="""\n    Execute a SPARQL query on Wikidata.\n\n    You may assume the following prefixes:\n    PREFIX wd: <http://www.wikidata.org/entity/>\n    PREFIX wdt: <http://www.wikidata.org/prop/direct/>\n    PREFIX p: <http://www.wikidata.org/prop/>\n    PREFIX ps: <http://www.wikidata.org/prop/statement/>\n\n    Args:\n        sparql_query (str): The SPARQL query to execute.\n\n    Returns:\n        str: The JSON-formatted result of the SPARQL query execution. If there are no results, an empty JSON object will be returned.\n    """), # zzaebok/Wikidata MCP Server/execute_sparql
    Tool(name="""Wikidata MCP Server_get_metadata""", inputSchema={'properties': {'entity_id': {'title': 'Entity Id', 'type': 'string'}, 'language': {'default': 'en', 'title': 'Language', 'type': 'string'}}, 'required': ['entity_id'], 'title': 'get_metadataArguments', 'type': 'object'}, description="""\n    Retrieve the English label and description for a given Wikidata entity ID.\n\n    Args:\n        entity_id (str): The entity ID to retrieve metadata for.\n        language (str): The language code for the label and description (default is \"en\"). Use ISO 639-1 codes.\n\n    Returns:\n        dict: A dictionary containing the label and description of the entity, if available.\n    """), # zzaebok/Wikidata MCP Server/get_metadata
    Tool(name="""GitHub Chat MCP_index_repository""", inputSchema={'properties': {'repo_url': {'description': 'The GitHub repository URL to index (format: https://github.com/username/repo).', 'title': 'Repo Url', 'type': 'string'}}, 'required': ['repo_url'], 'title': 'index_repositoryArguments', 'type': 'object'}, description="""Index a GitHub repository to analyze its codebase. This must be done before asking questions about the repository."""), # AsyncFuncAI/GitHub Chat MCP/index_repository
    Tool(name="""GitHub Chat MCP_query_repository""", inputSchema={'properties': {'conversation_history': {'anyOf': [{'items': {'additionalProperties': {'type': 'string'}, 'type': 'object'}, 'type': 'array'}, {'type': 'null'}], 'default': None, 'description': 'Previous conversation history for multi-turn conversations.', 'title': 'Conversation History'}, 'question': {'description': 'The question to ask about the repository.', 'title': 'Question', 'type': 'string'}, 'repo_url': {'description': 'The GitHub repository URL to query (format: https://github.com/username/repo).', 'title': 'Repo Url', 'type': 'string'}}, 'required': ['repo_url', 'question'], 'title': 'query_repositoryArguments', 'type': 'object'}, description="""Ask questions about a GitHub repository and receive detailed AI responses. The repository must be indexed first."""), # AsyncFuncAI/GitHub Chat MCP/query_repository
    Tool(name="""MCP Server for NovaCV_generate_resume_from_text""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'options': {'additionalProperties': False, 'properties': {}, 'type': 'object'}, 'resumeText': {'type': 'string'}, 'templateName': {'type': 'string'}}, 'required': ['resumeText'], 'type': 'object'}, description="""PDFPDFJSON"""), # Lightbaby/MCP Server for NovaCV/generate_resume_from_text
    Tool(name="""MCP Server for NovaCV_get_templates""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {}, 'type': 'object'}, description="""ID"""), # Lightbaby/MCP Server for NovaCV/get_templates
    Tool(name="""MCP Server for NovaCV_convert_resume_text""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'resumeText': {'type': 'string'}}, 'required': ['resumeText'], 'type': 'object'}, description="""JSON ResumeJSON Resume"""), # Lightbaby/MCP Server for NovaCV/convert_resume_text
    Tool(name="""MCP Server for NovaCV_analyze_resume_text""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'resumeText': {'type': 'string'}}, 'required': ['resumeText'], 'type': 'object'}, description=""""""), # Lightbaby/MCP Server for NovaCV/analyze_resume_text
    Tool(name="""Prysm MCP Server_scrapeFocused""", inputSchema={'properties': {'downloadImages': {'description': 'Whether to download images locally', 'type': 'boolean'}, 'maxImages': {'description': 'Maximum number of images to extract', 'type': 'number'}, 'maxScrolls': {'description': 'Maximum number of scroll attempts (default: 5)', 'type': 'number'}, 'minImageSize': {'description': 'Minimum width/height for images in pixels', 'type': 'number'}, 'output': {'description': 'Output directory for downloaded images', 'type': 'string'}, 'pages': {'description': 'Number of pages to scrape (if pagination is present)', 'type': 'number'}, 'scrapeImages': {'description': 'Whether to include images in the scrape result', 'type': 'boolean'}, 'scrollDelay': {'description': 'Delay between scrolls in ms (default: 1000)', 'type': 'number'}, 'url': {'description': 'URL of the webpage to scrape', 'type': 'string'}}, 'required': ['url'], 'type': 'object'}, description="""Fast web scraping optimized for speed (fewer scrolls, main content only)"""), # pinkpixel-dev/Prysm MCP Server/scrapeFocused
    Tool(name="""Prysm MCP Server_scrapeBalanced""", inputSchema={'properties': {'downloadImages': {'description': 'Whether to download images locally', 'type': 'boolean'}, 'maxImages': {'description': 'Maximum number of images to extract', 'type': 'number'}, 'maxScrolls': {'description': 'Maximum number of scroll attempts (default: 10)', 'type': 'number'}, 'minImageSize': {'description': 'Minimum width/height for images in pixels', 'type': 'number'}, 'output': {'description': 'Output directory for downloaded images', 'type': 'string'}, 'pages': {'description': 'Number of pages to scrape (if pagination is present)', 'type': 'number'}, 'scrapeImages': {'description': 'Whether to include images in the scrape result', 'type': 'boolean'}, 'scrollDelay': {'description': 'Delay between scrolls in ms (default: 2000)', 'type': 'number'}, 'timeout': {'description': 'Maximum time in ms for the scrape operation (default: 30000)', 'type': 'number'}, 'url': {'description': 'URL of the webpage to scrape', 'type': 'string'}}, 'required': ['url'], 'type': 'object'}, description="""Balanced web scraping approach with good coverage and reasonable speed"""), # pinkpixel-dev/Prysm MCP Server/scrapeBalanced
    Tool(name="""Prysm MCP Server_scrapeDeep""", inputSchema={'properties': {'downloadImages': {'description': 'Whether to download images locally', 'type': 'boolean'}, 'maxImages': {'description': 'Maximum number of images to extract', 'type': 'number'}, 'maxScrolls': {'description': 'Maximum number of scroll attempts (default: 20)', 'type': 'number'}, 'minImageSize': {'description': 'Minimum width/height for images in pixels', 'type': 'number'}, 'output': {'description': 'Output directory for downloaded images', 'type': 'string'}, 'pages': {'description': 'Number of pages to scrape (if pagination is present)', 'type': 'number'}, 'scrapeImages': {'description': 'Whether to include images in the scrape result', 'type': 'boolean'}, 'scrollDelay': {'description': 'Delay between scrolls in ms (default: 3000)', 'type': 'number'}, 'url': {'description': 'URL of the webpage to scrape', 'type': 'string'}}, 'required': ['url'], 'type': 'object'}, description="""Maximum extraction web scraping (slower but thorough)"""), # pinkpixel-dev/Prysm MCP Server/scrapeDeep
    Tool(name="""Prysm MCP Server_formatResult""", inputSchema={'properties': {'data': {'description': 'The scraped data to format', 'type': 'object'}, 'format': {'description': 'The format to convert the data to', 'enum': ['markdown', 'html', 'json'], 'type': 'string'}, 'includeImages': {'description': 'Whether to include images in the formatted output (default: true)', 'type': 'boolean'}, 'output': {'description': 'File path to save the formatted result. If not provided, will use the default directory.', 'type': 'string'}}, 'required': ['data', 'format'], 'type': 'object'}, description="""Format scraped data into different structured formats (markdown, HTML, JSON)"""), # pinkpixel-dev/Prysm MCP Server/formatResult
    Tool(name="""Elasticsearch MCP Server_list_indices""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'pattern': {'description': 'Optional regex pattern to filter indices by name', 'type': 'string'}}, 'type': 'object'}, description="""List all available Elasticsearch indices, support regex"""), # awesimon/Elasticsearch MCP Server/list_indices
    Tool(name="""Elasticsearch MCP Server_get_mappings""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'index': {'description': 'Name of the Elasticsearch index to get mappings for', 'minLength': 1, 'type': 'string'}}, 'required': ['index'], 'type': 'object'}, description="""Get field mappings for a specific Elasticsearch index"""), # awesimon/Elasticsearch MCP Server/get_mappings
    Tool(name="""Elasticsearch MCP Server_search""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'index': {'description': 'Name of the Elasticsearch index to search', 'minLength': 1, 'type': 'string'}, 'queryBody': {'additionalProperties': {}, 'description': 'Complete Elasticsearch query DSL object that can include query, size, from, sort, etc.', 'type': 'object'}}, 'required': ['index', 'queryBody'], 'type': 'object'}, description="""Perform an Elasticsearch search with the provided query DSL. Highlights are always enabled."""), # awesimon/Elasticsearch MCP Server/search
    Tool(name="""Elasticsearch MCP Server_elasticsearch_health""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'includeIndices': {'default': False, 'description': 'Whether to include index-level details', 'type': 'boolean'}}, 'type': 'object'}, description="""Get the health status of the Elasticsearch cluster, optionally include index-level details"""), # awesimon/Elasticsearch MCP Server/elasticsearch_health
    Tool(name="""Elasticsearch MCP Server_create_index""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'index': {'description': 'Name of the Elasticsearch index to create', 'minLength': 1, 'type': 'string'}, 'mappings': {'additionalProperties': {}, 'description': 'Index mappings, defining field types, etc.', 'type': 'object'}, 'settings': {'additionalProperties': {}, 'description': 'Index settings, such as number of shards and replicas', 'type': 'object'}}, 'required': ['index'], 'type': 'object'}, description="""Create an Elasticsearch index, optionally configure settings and mappings"""), # awesimon/Elasticsearch MCP Server/create_index
    Tool(name="""Elasticsearch MCP Server_create_mapping""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'index': {'description': 'Elasticsearch index name', 'minLength': 1, 'type': 'string'}, 'mappings': {'additionalProperties': {}, 'description': 'Index mappings, defining field types, etc.', 'type': 'object'}}, 'required': ['index', 'mappings'], 'type': 'object'}, description="""Create or update the mapping structure of an Elasticsearch index"""), # awesimon/Elasticsearch MCP Server/create_mapping
    Tool(name="""Elasticsearch MCP Server_bulk""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'documents': {'description': 'Array of documents to import', 'items': {'additionalProperties': {}, 'type': 'object'}, 'minItems': 1, 'type': 'array'}, 'idField': {'description': 'Optional document ID field name, if specified, the value of this field will be used as the document ID', 'type': 'string'}, 'index': {'description': 'Target Elasticsearch index name', 'minLength': 1, 'type': 'string'}}, 'required': ['index', 'documents'], 'type': 'object'}, description="""Bulk data into an Elasticsearch index"""), # awesimon/Elasticsearch MCP Server/bulk
    Tool(name="""Elasticsearch MCP Server_reindex""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'destIndex': {'description': 'Name of the destination Elasticsearch index', 'minLength': 1, 'type': 'string'}, 'query': {'additionalProperties': {}, 'description': 'Optional query to filter which documents to reindex', 'type': 'object'}, 'script': {'additionalProperties': {}, 'description': 'Optional script to transform documents during reindex', 'type': 'object'}, 'sourceIndex': {'description': 'Name of the source Elasticsearch index', 'minLength': 1, 'type': 'string'}}, 'required': ['sourceIndex', 'destIndex'], 'type': 'object'}, description="""Reindex data from a source index to a target index"""), # awesimon/Elasticsearch MCP Server/reindex
    Tool(name="""Elasticsearch MCP Server_create_index_template""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'indexPatterns': {'description': 'Array of index patterns this template applies to', 'items': {'type': 'string'}, 'minItems': 1, 'type': 'array'}, 'name': {'description': 'Name of the index template', 'minLength': 1, 'type': 'string'}, 'priority': {'description': 'Optional template priority - higher values have higher precedence', 'type': 'number'}, 'template': {'additionalProperties': {}, 'description': 'Template configuration including settings, mappings, and aliases', 'type': 'object'}, 'version': {'description': 'Optional template version number', 'type': 'number'}}, 'required': ['name', 'indexPatterns', 'template'], 'type': 'object'}, description="""Create or update an Elasticsearch index template"""), # awesimon/Elasticsearch MCP Server/create_index_template
    Tool(name="""Elasticsearch MCP Server_get_index_template""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'name': {'description': 'Optional template name filter - if omitted, all templates are returned', 'type': 'string'}}, 'type': 'object'}, description="""Get information about Elasticsearch index templates"""), # awesimon/Elasticsearch MCP Server/get_index_template
    Tool(name="""Elasticsearch MCP Server_delete_index_template""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'name': {'description': 'Name of the template to delete', 'minLength': 1, 'type': 'string'}}, 'required': ['name'], 'type': 'object'}, description="""Delete an Elasticsearch index template"""), # awesimon/Elasticsearch MCP Server/delete_index_template
    Tool(name="""Excel MCP Server_read_excel""", inputSchema={'properties': {'file_path': {'title': 'File Path', 'type': 'string'}, 'header': {'anyOf': [{'type': 'integer'}, {'type': 'null'}], 'default': 0, 'title': 'Header'}, 'nrows': {'anyOf': [{'type': 'integer'}, {'type': 'null'}], 'default': None, 'title': 'Nrows'}, 'sheet_name': {'anyOf': [{'type': 'string'}, {'type': 'null'}], 'default': None, 'title': 'Sheet Name'}}, 'required': ['file_path'], 'title': 'read_excelArguments', 'type': 'object'}, description="""\n    Read an Excel file and return its contents as a string.\n    \n    Args:\n        file_path: Path to the Excel file\n        sheet_name: Name of the sheet to read (only for .xlsx, .xls)\n        nrows: Maximum number of rows to read\n        header: Row to use as header (0-indexed)\n        \n    Returns:\n        String representation of the Excel data\n    """), # yzfly/Excel MCP Server/read_excel
    Tool(name="""Excel MCP Server_write_excel""", inputSchema={'properties': {'data': {'title': 'Data', 'type': 'string'}, 'file_path': {'title': 'File Path', 'type': 'string'}, 'format': {'anyOf': [{'type': 'string'}, {'type': 'null'}], 'default': 'csv', 'title': 'Format'}, 'sheet_name': {'anyOf': [{'type': 'string'}, {'type': 'null'}], 'default': 'Sheet1', 'title': 'Sheet Name'}}, 'required': ['file_path', 'data'], 'title': 'write_excelArguments', 'type': 'object'}, description="""\n    Write data to an Excel file.\n    \n    Args:\n        file_path: Path to save the Excel file\n        data: Data in CSV or JSON format\n        sheet_name: Name of the sheet (for Excel files)\n        format: Format of the input data ('csv' or 'json')\n        \n    Returns:\n        Confirmation message\n    """), # yzfly/Excel MCP Server/write_excel
    Tool(name="""Excel MCP Server_update_excel""", inputSchema={'properties': {'data': {'title': 'Data', 'type': 'string'}, 'file_path': {'title': 'File Path', 'type': 'string'}, 'format': {'anyOf': [{'type': 'string'}, {'type': 'null'}], 'default': 'csv', 'title': 'Format'}, 'sheet_name': {'anyOf': [{'type': 'string'}, {'type': 'null'}], 'default': 'Sheet1', 'title': 'Sheet Name'}}, 'required': ['file_path', 'data'], 'title': 'update_excelArguments', 'type': 'object'}, description="""\n    Update an existing Excel file with new data.\n    \n    Args:\n        file_path: Path to the Excel file to update\n        data: New data in CSV or JSON format\n        sheet_name: Name of the sheet to update (for Excel files)\n        format: Format of the input data ('csv' or 'json')\n        \n    Returns:\n        Confirmation message\n    """), # yzfly/Excel MCP Server/update_excel
    Tool(name="""Excel MCP Server_analyze_excel""", inputSchema={'properties': {'columns': {'anyOf': [{'type': 'string'}, {'type': 'null'}], 'default': None, 'title': 'Columns'}, 'file_path': {'title': 'File Path', 'type': 'string'}, 'sheet_name': {'anyOf': [{'type': 'string'}, {'type': 'null'}], 'default': None, 'title': 'Sheet Name'}}, 'required': ['file_path'], 'title': 'analyze_excelArguments', 'type': 'object'}, description="""\n    Perform statistical analysis on Excel data.\n    \n    Args:\n        file_path: Path to the Excel file\n        columns: Comma-separated list of columns to analyze (analyzes all numeric columns if None)\n        sheet_name: Name of the sheet to analyze (for Excel files)\n        \n    Returns:\n        JSON string with statistical analysis\n    """), # yzfly/Excel MCP Server/analyze_excel
    Tool(name="""Excel MCP Server_filter_excel""", inputSchema={'properties': {'file_path': {'title': 'File Path', 'type': 'string'}, 'query': {'title': 'Query', 'type': 'string'}, 'sheet_name': {'anyOf': [{'type': 'string'}, {'type': 'null'}], 'default': None, 'title': 'Sheet Name'}}, 'required': ['file_path', 'query'], 'title': 'filter_excelArguments', 'type': 'object'}, description="""\n    Filter Excel data using a pandas query string.\n    \n    Args:\n        file_path: Path to the Excel file\n        query: Pandas query string (e.g., \"Age > 30 and Department == 'Sales'\")\n        sheet_name: Name of the sheet to filter (for Excel files)\n        \n    Returns:\n        Filtered data as string\n    """), # yzfly/Excel MCP Server/filter_excel
    Tool(name="""Excel MCP Server_pivot_table""", inputSchema={'properties': {'aggfunc': {'default': 'mean', 'title': 'Aggfunc', 'type': 'string'}, 'columns': {'anyOf': [{'type': 'string'}, {'type': 'null'}], 'default': None, 'title': 'Columns'}, 'file_path': {'title': 'File Path', 'type': 'string'}, 'index': {'title': 'Index', 'type': 'string'}, 'sheet_name': {'anyOf': [{'type': 'string'}, {'type': 'null'}], 'default': None, 'title': 'Sheet Name'}, 'values': {'default': None, 'title': 'Values', 'type': 'string'}}, 'required': ['file_path', 'index'], 'title': 'pivot_tableArguments', 'type': 'object'}, description="""\n    Create a pivot table from Excel data.\n    \n    Args:\n        file_path: Path to the Excel file\n        index: Column to use as the pivot table index\n        columns: Optional column to use as the pivot table columns\n        values: Column to use as the pivot table values\n        aggfunc: Aggregation function ('mean', 'sum', 'count', etc.)\n        sheet_name: Name of the sheet to pivot (for Excel files)\n        \n    Returns:\n        Pivot table as string\n    """), # yzfly/Excel MCP Server/pivot_table
    Tool(name="""Excel MCP Server_export_chart""", inputSchema={'properties': {'chart_type': {'default': 'line', 'title': 'Chart Type', 'type': 'string'}, 'file_path': {'title': 'File Path', 'type': 'string'}, 'sheet_name': {'anyOf': [{'type': 'string'}, {'type': 'null'}], 'default': None, 'title': 'Sheet Name'}, 'x_column': {'title': 'X Column', 'type': 'string'}, 'y_column': {'title': 'Y Column', 'type': 'string'}}, 'required': ['file_path', 'x_column', 'y_column'], 'title': 'export_chartArguments', 'type': 'object'}, description="""\n    Create a chart from Excel data and return as an image.\n    \n    Args:\n        file_path: Path to the Excel file\n        x_column: Column to use for x-axis\n        y_column: Column to use for y-axis\n        chart_type: Type of chart ('line', 'bar', 'scatter', 'hist')\n        sheet_name: Name of the sheet to chart (for Excel files)\n        \n    Returns:\n        Chart as image\n    """), # yzfly/Excel MCP Server/export_chart
    Tool(name="""Excel MCP Server_data_summary""", inputSchema={'properties': {'file_path': {'title': 'File Path', 'type': 'string'}, 'sheet_name': {'anyOf': [{'type': 'string'}, {'type': 'null'}], 'default': None, 'title': 'Sheet Name'}}, 'required': ['file_path'], 'title': 'data_summaryArguments', 'type': 'object'}, description="""\n    Generate a comprehensive summary of the data in an Excel file.\n    \n    Args:\n        file_path: Path to the Excel file\n        sheet_name: Name of the sheet to summarize (for Excel files)\n        \n    Returns:\n        Comprehensive data summary as string\n    """), # yzfly/Excel MCP Server/data_summary
    Tool(name="""Spreadsheet MCP Server_getSpreadsheet""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'url': {'description': 'URL', 'type': 'string'}}, 'required': ['url'], 'type': 'object'}, description=""""""), # HosakaKeigo/Spreadsheet MCP Server/getSpreadsheet
    Tool(name="""Spreadsheet MCP Server_getSheetData""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'sheetName': {'description': '', 'type': 'string'}, 'url': {'description': 'URL', 'type': 'string'}}, 'required': ['url', 'sheetName'], 'type': 'object'}, description=""""""), # HosakaKeigo/Spreadsheet MCP Server/getSheetData
    Tool(name="""OpenSearch MCP Server_list_indices""", inputSchema={'properties': {}, 'title': 'list_indicesArguments', 'type': 'object'}, description="""List all indices in the Opensearch cluster"""), # seohyunjun/OpenSearch MCP Server/list_indices
    Tool(name="""OpenSearch MCP Server_get_mapping""", inputSchema={'properties': {'index': {'title': 'Index', 'type': 'string'}}, 'required': ['index'], 'title': 'get_mappingArguments', 'type': 'object'}, description="""Get index mapping"""), # seohyunjun/OpenSearch MCP Server/get_mapping
    Tool(name="""OpenSearch MCP Server_get_settings""", inputSchema={'properties': {'index': {'title': 'Index', 'type': 'string'}}, 'required': ['index'], 'title': 'get_settingsArguments', 'type': 'object'}, description="""Get index settings"""), # seohyunjun/OpenSearch MCP Server/get_settings
    Tool(name="""OpenSearch MCP Server_search_documents""", inputSchema={'properties': {'body': {'title': 'Body', 'type': 'object'}, 'index': {'title': 'Index', 'type': 'string'}}, 'required': ['index', 'body'], 'title': 'search_documentsArguments', 'type': 'object'}, description="""Search documents in an index with a custom query"""), # seohyunjun/OpenSearch MCP Server/search_documents
    Tool(name="""OpenSearch MCP Server_get_cluster_health""", inputSchema={'properties': {}, 'title': 'get_cluster_healthArguments', 'type': 'object'}, description="""Get cluster health status"""), # seohyunjun/OpenSearch MCP Server/get_cluster_health
    Tool(name="""OpenSearch MCP Server_get_cluster_stats""", inputSchema={'properties': {}, 'title': 'get_cluster_statsArguments', 'type': 'object'}, description="""Get cluster statistics"""), # seohyunjun/OpenSearch MCP Server/get_cluster_stats
    Tool(name="""Kong Konnect MCP Server_query_api_requests""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'consumerIds': {'description': 'Filter by consumer IDs', 'items': {'type': 'string'}, 'type': 'array'}, 'excludeStatusCodes': {'description': 'Exclude specific HTTP status codes (e.g. [400, 401, 500])', 'items': {'maximum': 599, 'minimum': 100, 'type': 'integer'}, 'type': 'array'}, 'httpMethods': {'description': "Filter by HTTP methods (e.g. ['GET', 'POST', 'DELETE'])", 'items': {'type': 'string'}, 'type': 'array'}, 'maxResults': {'default': 100, 'description': 'Number of items to return per page', 'maximum': 1000, 'minimum': 1, 'type': 'integer'}, 'routeIds': {'description': 'Filter by route IDs (from list-routes tool)', 'items': {'type': 'string'}, 'type': 'array'}, 'serviceIds': {'description': 'Filter by service IDs', 'items': {'type': 'string'}, 'type': 'array'}, 'statusCodes': {'description': 'Filter by specific HTTP status codes (e.g. [200, 201, 404])', 'items': {'maximum': 599, 'minimum': 100, 'type': 'integer'}, 'type': 'array'}, 'timeRange': {'default': '1H', 'description': 'Time range for data retrieval (15M = 15 minutes, 1H = 1 hour, etc.)', 'enum': ['15M', '1H', '6H', '12H', '24H', '7D'], 'type': 'string'}}, 'type': 'object'}, description="""\nQuery and analyze Kong API Gateway requests with customizable filters. \nBefore calling this it's necessary to have a controlPlaneID and a serviceID or routeID. \nThese can be obtained using the list-control-planes, list-services, and list-routes tools.\n\nINPUT:\n  - timeRange: String - Time range for data retrieval (15M, 1H, 6H, 12H, 24H, 7D)\n  - statusCodes: Number[] (optional) - Filter by specific HTTP status codes\n  - excludeStatusCodes: Number[] (optional) - Exclude specific HTTP status codes\n  - httpMethods: String[] (optional) - Filter by HTTP methods (e.g., GET, POST)\n  - consumerIds: String[] (optional) - Filter by consumer IDs\n  - serviceIds: String[] (optional) - Filter by service IDs. The format of this field must be \"<controlPlaneID>:<serviceID>\". \n  - routeIds: String[] (optional) - Filter by route IDs. The format of this field must be \"<controlPlaneID:routeID>\"\n  - maxResults: Number - Maximum number of results to return (1-1000)\n\nOUTPUT:\n  - metadata: Object - Contains totalRequests, timeRange, and applied filters\n  - requests: Array - List of request objects with details including:\n    - requestId: String - Unique request identifier\n    - timestamp: String - When the request occurred\n    - httpMethod: String - HTTP method used (GET, POST, etc.)\n    - uri: String - Request URI path\n    - statusCode: Number - HTTP status code of the response\n    - consumerId: String - ID of the consumer making the request\n    - serviceId: String - ID of the service handling the request\n    - routeId: String - ID of the matched route\n    - latency: Object - Response time metrics\n    - clientIp: String - IP address of the client\n    - and many more detailed fields...\n"""), # Kong/Kong Konnect MCP Server/query_api_requests
    Tool(name="""Kong Konnect MCP Server_get_consumer_requests""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'consumerId': {'description': 'Consumer ID to filter by (obtainable from analyze-failed-requests or query-api-requests tools)', 'type': 'string'}, 'failureOnly': {'default': False, 'description': 'Show only failed (non-2xx) requests', 'type': 'boolean'}, 'maxResults': {'default': 100, 'description': 'Number of items to return per page', 'maximum': 1000, 'minimum': 1, 'type': 'integer'}, 'successOnly': {'default': False, 'description': 'Show only successful (2xx) requests', 'type': 'boolean'}, 'timeRange': {'default': '1H', 'description': 'Time range for data retrieval (15M = 15 minutes, 1H = 1 hour, etc.)', 'enum': ['15M', '1H', '6H', '12H', '24H', '7D'], 'type': 'string'}}, 'required': ['consumerId'], 'type': 'object'}, description="""\nRetrieve and analyze API requests made by a specific consumer.\n\nINPUT:\n  - consumerId: String - ID of the consumer to analyze. The format of this field must be \"controlPlaneID:consumerId\".\n  - timeRange: String - Time range for data retrieval (15M, 1H, 6H, 12H, 24H, 7D)\n  - successOnly: Boolean - Filter to only show successful (2xx) requests (default: false)\n  - failureOnly: Boolean - Filter to only show failed (non-2xx) requests (default: false)\n  - maxResults: Number - Maximum number of results to return (1-1000)\n\nOUTPUT:\n  - metadata: Object - Contains consumerId, totalRequests, timeRange, and filters\n  - statistics: Object - Usage statistics including:\n    - averageLatencyMs: Number - Average response time in milliseconds\n    - successRate: Number - Percentage of successful requests\n    - statusCodeDistribution: Array - Breakdown of requests by status code\n    - serviceDistribution: Array - Breakdown of requests by service\n  - requests: Array - List of requests with details for each request\n"""), # Kong/Kong Konnect MCP Server/get_consumer_requests
    Tool(name="""Kong Konnect MCP Server_list_services""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'controlPlaneId': {'description': 'Control Plane ID (obtainable from list-control-planes tool)', 'type': 'string'}, 'offset': {'description': 'Offset token for pagination (from previous response)', 'type': 'string'}, 'size': {'default': 100, 'description': 'Number of services to return', 'maximum': 1000, 'minimum': 1, 'type': 'integer'}}, 'required': ['controlPlaneId'], 'type': 'object'}, description="""\nList all services associated with a control plane.\n\nINPUT:\n  - controlPlaneId: String - ID of the control plane\n  - size: Number - Number of services to return (1-1000, default: 100)\n  - offset: String (optional) - Pagination offset token from previous response\n\nOUTPUT:\n  - metadata: Object - Contains controlPlaneId, size, offset, nextOffset, totalCount\n  - services: Array - List of services with details for each including:\n    - serviceId: String - Unique identifier for the service\n    - name: String - Display name of the service\n    - host: String - Target host for the service\n    - port: Number - Target port for the service\n    - protocol: String - Protocol used (http, https, grpc, etc.)\n    - path: String - Path prefix for the service\n    - retries: Number - Number of retries on failure\n    - connectTimeout: Number - Connection timeout in milliseconds\n    - writeTimeout: Number - Write timeout in milliseconds\n    - readTimeout: Number - Read timeout in milliseconds\n    - tags: Array - Tags associated with the service\n    - enabled: Boolean - Whether the service is enabled\n    - metadata: Object - Creation and update timestamps\n  - relatedTools: Array - List of related tools for further analysis\n"""), # Kong/Kong Konnect MCP Server/list_services
    Tool(name="""Kong Konnect MCP Server_list_routes""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'controlPlaneId': {'description': 'Control Plane ID (obtainable from list-control-planes tool)', 'type': 'string'}, 'offset': {'description': 'Offset token for pagination (from previous response)', 'type': 'string'}, 'size': {'default': 100, 'description': 'Number of routes to return', 'maximum': 1000, 'minimum': 1, 'type': 'integer'}}, 'required': ['controlPlaneId'], 'type': 'object'}, description="""\nList all routes associated with a control plane.\n\nINPUT:\n  - controlPlaneId: String - ID of the control plane\n  - size: Number - Number of routes to return (1-1000, default: 100)\n  - offset: String (optional) - Pagination offset token from previous response\n\nOUTPUT:\n  - metadata: Object - Contains controlPlaneId, size, offset, nextOffset, totalCount\n  - routes: Array - List of routes with details for each including:\n    - routeId: String - Unique identifier for the route\n    - name: String - Display name of the route\n    - protocols: Array - Protocols this route accepts (http, https, grpc, etc.)\n    - methods: Array - HTTP methods this route accepts\n    - hosts: Array - Hostnames this route matches\n    - paths: Array - URL paths this route matches\n    - stripPath: Boolean - Whether to strip the matched path prefix\n    - preserveHost: Boolean - Whether to preserve the host header\n    - serviceId: String - ID of the service this route forwards to\n    - enabled: Boolean - Whether the route is enabled\n    - metadata: Object - Creation and update timestamps\n  - relatedTools: Array - List of related tools for further analysis\n"""), # Kong/Kong Konnect MCP Server/list_routes
    Tool(name="""Kong Konnect MCP Server_list_consumers""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'controlPlaneId': {'description': 'Control Plane ID (obtainable from list-control-planes tool)', 'type': 'string'}, 'offset': {'description': 'Offset token for pagination (from previous response)', 'type': 'string'}, 'size': {'default': 100, 'description': 'Number of consumers to return', 'maximum': 1000, 'minimum': 1, 'type': 'integer'}}, 'required': ['controlPlaneId'], 'type': 'object'}, description="""\nList all consumers associated with a control plane.\n\nINPUT:\n  - controlPlaneId: String - ID of the control plane\n  - size: Number - Number of consumers to return (1-1000, default: 100)\n  - offset: String (optional) - Pagination offset token from previous response\n\nOUTPUT:\n  - metadata: Object - Contains controlPlaneId, size, offset, nextOffset, totalCount\n  - consumers: Array - List of consumers with details for each including:\n    - consumerId: String - Unique identifier for the consumer\n    - username: String - Username for this consumer\n    - customId: String - Custom identifier for this consumer\n    - tags: Array - Tags associated with the consumer\n    - enabled: Boolean - Whether the consumer is enabled\n    - metadata: Object - Creation and update timestamps\n  - relatedTools: Array - List of related tools for consumer analysis\n"""), # Kong/Kong Konnect MCP Server/list_consumers
    Tool(name="""Kong Konnect MCP Server_list_plugins""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'controlPlaneId': {'description': 'Control Plane ID (obtainable from list-control-planes tool)', 'type': 'string'}, 'offset': {'description': 'Offset token for pagination (from previous response)', 'type': 'string'}, 'size': {'default': 100, 'description': 'Number of plugins to return', 'maximum': 1000, 'minimum': 1, 'type': 'integer'}}, 'required': ['controlPlaneId'], 'type': 'object'}, description="""\nList all plugins associated with a control plane.\n\nINPUT:\n  - controlPlaneId: String - ID of the control plane\n  - size: Number - Number of plugins to return (1-1000, default: 100)\n  - offset: String (optional) - Pagination offset token from previous response\n\nOUTPUT:\n  - metadata: Object - Contains controlPlaneId, size, offset, nextOffset, totalCount\n  - plugins: Array - List of plugins with details for each including:\n    - pluginId: String - Unique identifier for the plugin\n    - name: String - Name of the plugin (e.g., rate-limiting, cors, etc.)\n    - enabled: Boolean - Whether the plugin is enabled\n    - config: Object - Plugin-specific configuration\n    - protocols: Array - Protocols this plugin applies to\n    - tags: Array - Tags associated with the plugin\n    - scoping: Object - Defines plugin scope including:\n      - consumerId: String - Consumer this plugin applies to (if any)\n      - serviceId: String - Service this plugin applies to (if any)\n      - routeId: String - Route this plugin applies to (if any)\n      - global: Boolean - Whether this is a global plugin\n    - metadata: Object - Creation and update timestamps\n  - relatedTools: Array - List of related tools for plugin configuration\n"""), # Kong/Kong Konnect MCP Server/list_plugins
    Tool(name="""Kong Konnect MCP Server_list_control_planes""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'filterCloudGateway': {'description': 'Filter by cloud gateway capability', 'type': 'boolean'}, 'filterClusterType': {'description': "Filter by cluster type (e.g., 'kubernetes', 'docker')", 'type': 'string'}, 'filterName': {'description': 'Filter control planes by name (contains)', 'type': 'string'}, 'labels': {'description': "Filter by labels (format: 'key:value,existCheck')", 'type': 'string'}, 'pageNumber': {'description': 'Page number to retrieve', 'minimum': 1, 'type': 'integer'}, 'pageSize': {'default': 10, 'description': 'Number of control planes per page', 'maximum': 1000, 'minimum': 1, 'type': 'integer'}, 'sort': {'description': "Sort field and direction (e.g. 'name,created_at desc')", 'type': 'string'}}, 'type': 'object'}, description="""\nList all control planes in your organization.\n\nINPUT:\n  - pageSize: Number - Number of control planes per page (1-1000, default: 10)\n  - pageNumber: Number (optional) - Page number to retrieve\n  - filterName: String (optional) - Filter control planes by name\n  - filterClusterType: String (optional) - Filter by cluster type (kubernetes, docker, etc.)\n  - filterCloudGateway: Boolean (optional) - Filter by cloud gateway capability\n  - labels: String (optional) - Filter by labels (format: 'key:value,existCheck')\n  - sort: String (optional) - Sort field and direction (e.g. 'name,created_at desc')\n\nOUTPUT:\n  - metadata: Object - Contains pageSize, pageNumber, totalPages, totalCount, filters, sort\n  - controlPlanes: Array - List of control planes with details for each including:\n    - controlPlaneId: String - Unique identifier for the control plane\n    - name: String - Display name of the control plane\n    - description: String - Description of the control plane\n    - type: String - Type of the control plane\n    - clusterType: String - Underlying cluster type\n    - controlPlaneEndpoint: String - URL endpoint for the control plane\n    - telemetryEndpoint: String - URL endpoint for telemetry\n    - hasCloudGateway: Boolean - Whether cloud gateway is enabled\n    - labels: Object - Labels assigned to this control plane\n    - metadata: Object - Creation and update timestamps\n  - usage: Object - Information about how to use these results\n"""), # Kong/Kong Konnect MCP Server/list_control_planes
    Tool(name="""Kong Konnect MCP Server_get_control_plane""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'controlPlaneId': {'description': 'Control Plane ID (obtainable from list-control-planes tool)', 'type': 'string'}}, 'required': ['controlPlaneId'], 'type': 'object'}, description="""\nGet detailed information about a specific control plane.\n\nINPUT:\n  - controlPlaneId: String - ID of the control plane to retrieve\n\nOUTPUT:\n  - controlPlaneDetails: Object - Detailed information including:\n    - controlPlaneId: String - Unique identifier for the control plane\n    - name: String - Display name of the control plane\n    - description: String - Description of the control plane\n    - type: String - Type of the control plane\n    - clusterType: String - Underlying cluster type\n    - controlPlaneEndpoint: String - URL endpoint for the control plane\n    - telemetryEndpoint: String - URL endpoint for telemetry\n    - hasCloudGateway: Boolean - Whether cloud gateway is enabled\n    - labels: Object - Labels assigned to this control plane\n    - metadata: Object - Creation and update timestamps\n  - relatedTools: Array - List of related tools for further analysis\n"""), # Kong/Kong Konnect MCP Server/get_control_plane
    Tool(name="""Kong Konnect MCP Server_list_control_plane_group_memberships""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'groupId': {'description': 'Control plane group ID (the ID of the control plane that acts as the group)', 'type': 'string'}, 'pageAfter': {'description': 'Cursor for pagination after a specific item', 'type': 'string'}, 'pageSize': {'default': 10, 'description': 'Number of members to return per page', 'maximum': 1000, 'minimum': 1, 'type': 'integer'}}, 'required': ['groupId'], 'type': 'object'}, description="""\nList all control planes that are members of a specific control plane group.\n\nINPUT:\n  - groupId: String - ID of the control plane group (control plane that acts as the group)\n  - pageSize: Number - Number of members to return per page (1-1000, default: 10)\n  - pageAfter: String (optional) - Cursor for pagination after a specific item\n\nOUTPUT:\n  - metadata: Object - Contains groupId, pageSize, pageAfter, nextPageAfter, totalCount\n  - members: Array - List of member control planes with details for each including:\n    - controlPlaneId: String - Unique identifier for the control plane\n    - name: String - Display name of the control plane\n    - description: String - Description of the control plane\n    - type: String - Type of the control plane\n    - clusterType: String - Underlying cluster type\n    - membershipStatus: Object - Group membership status including:\n      - status: String - Current status (OK, CONFLICT, etc.)\n      - message: String - Status message\n      - conflicts: Array - List of configuration conflicts if any\n    - metadata: Object - Creation and update timestamps\n  - relatedTools: Array - List of related tools for group management\n"""), # Kong/Kong Konnect MCP Server/list_control_plane_group_memberships
    Tool(name="""Kong Konnect MCP Server_check_control_plane_group_membership""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'controlPlaneId': {'description': 'Control plane ID to check (can be obtained from list-control-planes tool)', 'type': 'string'}}, 'required': ['controlPlaneId'], 'type': 'object'}, description="""\nCheck if a control plane is a member of any group.\n\nINPUT:\n  - controlPlaneId: String - ID of the control plane to check\n\nOUTPUT:\n  - controlPlaneId: String - ID of the control plane that was checked\n  - groupMembership: Object - Membership information including:\n    - isMember: Boolean - Whether the control plane is a member of any group\n    - groupId: String - ID of the group this control plane belongs to (if any)\n    - groupName: String - Name of the group this control plane belongs to\n    - status: String - Membership status (OK, CONFLICT, etc.)\n    - message: String - Status message\n    - conflicts: Array - List of configuration conflicts if any\n  - relatedTools: Array - List of related tools for group management\n"""), # Kong/Kong Konnect MCP Server/check_control_plane_group_membership
    Tool(name="""WebEvalAgent MCP Server_web_app_ux_evaluator""", inputSchema={'properties': {'task': {'title': 'Task', 'type': 'string'}, 'url': {'title': 'Url', 'type': 'string'}}, 'required': ['url', 'task'], 'title': 'web_app_ux_evaluatorArguments', 'type': 'object'}, description="""Evaluate the user experience of a web application.\n\nThis tool allows the AI to assess the quality of user experience and interface design\nof a web application by performing specific tasks and analyzing the interaction flow.\n\nArgs:\n    url: Required. The URL of the web application to evaluate\n    task: Required. The specific UX/UI aspect to test (e.g., \"test the checkout flow\",\n         \"evaluate the navigation menu usability\", \"check form validation feedback\")\n\nReturns:\n    list[TextContent]: A detailed evaluation of the web application's UX/UI, including\n                     observations, issues found, and recommendations for improvement\n"""), # Operative-Sh/WebEvalAgent MCP Server/web_app_ux_evaluator
    Tool(name="""SuzieQ MCP Server_run_suzieq_show""", inputSchema={'properties': {'filters': {'anyOf': [{'additionalProperties': True, 'type': 'object'}, {'type': 'null'}], 'default': None, 'title': 'Filters'}, 'table': {'title': 'Table', 'type': 'string'}}, 'required': ['table'], 'title': 'run_suzieq_showArguments', 'type': 'object'}, description="""\n    Runs a SuzieQ 'show' query via its REST API.\n\n    Args:\n        table: The name of the SuzieQ table to query (e.g., 'device', 'bgp', 'interface', 'route').\n        filters: An optional dictionary of filter parameters for the SuzieQ query\n                 (e.g., {\"hostname\": \"leaf01\", \"vrf\": \"default\", \"state\": \"Established\"}).\n                 Keys should match SuzieQ filter names. Values can be strings or lists of strings.\n                 If no filters are needed, this can be None, null, or an empty dictionary.\n\n    Returns:\n        A JSON string representing the result from the SuzieQ API, or a JSON string with an error message.\n    """), # PovedaAqui/SuzieQ MCP Server/run_suzieq_show
    Tool(name="""SuzieQ MCP Server_run_suzieq_summarize""", inputSchema={'properties': {'filters': {'anyOf': [{'additionalProperties': True, 'type': 'object'}, {'type': 'null'}], 'default': None, 'title': 'Filters'}, 'table': {'title': 'Table', 'type': 'string'}}, 'required': ['table'], 'title': 'run_suzieq_summarizeArguments', 'type': 'object'}, description="""\n    Runs a SuzieQ 'summarize' query via its REST API.\n\n    Args:\n        table: The name of the SuzieQ table to summarize (e.g., 'device', 'bgp', 'interface', 'route').\n        filters: An optional dictionary of filter parameters for the SuzieQ query\n                 (e.g., {\"hostname\": \"leaf01\", \"vrf\": \"default\"}).\n                 Keys should match SuzieQ filter names. Values can be strings or lists of strings.\n                 If no filters are needed, this can be None, null, or an empty dictionary.\n\n    Returns:\n        A JSON string representing the summarized result from the SuzieQ API,\n        or a JSON string with an error message.\n    """), # PovedaAqui/SuzieQ MCP Server/run_suzieq_summarize
    Tool(name="""mcp-ipfs_w3_account_ls""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'description': 'Lists all accounts the current agent is **authorized** for. Use this command after `w3_login` and email validation to confirm the agent is successfully linked to your storacha.network account(s). **Note:** Agent state may be ephemeral (e.g., in Docker). Check authorization status with this command after (re)connecting, and use `w3_login` if needed.', 'properties': {}, 'type': 'object'}, description="""Lists all accounts the current agent is **authorized** for. Use this command after `w3_login` and email validation to confirm the agent is successfully linked to your storacha.network account(s). **Note:** Agent state may be ephemeral (e.g., in Docker). Check authorization status with this command after (re)connecting, and use `w3_login` if needed."""), # alexbakers/mcp-ipfs/w3_account_ls
    Tool(name="""mcp-ipfs_w3_bridge_generate_tokens""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'description': 'Generates authentication tokens for using the UCAN-HTTP bridge.', 'properties': {'capabilities': {'description': "One or more capabilities to delegate (e.g., ['space/info']).", 'items': {'type': 'string'}, 'minItems': 1, 'type': 'array'}, 'expiration': {'description': 'Unix timestamp (in seconds) for expiration. Zero means no expiration.', 'exclusiveMinimum': 0, 'type': 'integer'}, 'json': {'default': True, 'description': 'Output JSON suitable for fetch headers (default: true).', 'type': 'boolean'}}, 'required': ['capabilities'], 'type': 'object'}, description="""Generates authentication tokens for using the UCAN-HTTP bridge."""), # alexbakers/mcp-ipfs/w3_bridge_generate_tokens
    Tool(name="""mcp-ipfs_w3_can_access_claim""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'description': 'Claims delegated capabilities for the authorized account using a provided proof.', 'properties': {'proof': {'description': 'Delegation proof (e.g., path to CAR file or base64 CID string) containing capabilities to claim.', 'type': 'string'}}, 'required': ['proof'], 'type': 'object'}, description="""Claims delegated capabilities for the authorized account using a provided proof."""), # alexbakers/mcp-ipfs/w3_can_access_claim
    Tool(name="""mcp-ipfs_w3_can_blob_add""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'description': 'Stores a single file as a blob directly with the service.', 'properties': {'path': {'description': 'ABSOLUTE path to the blob file to store.', 'type': 'string'}}, 'required': ['path'], 'type': 'object'}, description="""Stores a single file as a blob directly with the service. Requires ABSOLUTE paths for file arguments."""), # alexbakers/mcp-ipfs/w3_can_blob_add
    Tool(name="""mcp-ipfs_w3_can_blob_ls""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'description': 'Lists blobs stored in the current space.', 'properties': {'cursor': {'description': 'Opaque cursor string from a previous response for pagination.', 'type': 'string'}, 'json': {'default': True, 'description': 'Format output as newline delimited JSON (default: true).', 'type': 'boolean'}, 'size': {'description': 'Desired number of results to return.', 'exclusiveMinimum': 0, 'type': 'integer'}}, 'type': 'object'}, description="""Lists blobs stored in the current space."""), # alexbakers/mcp-ipfs/w3_can_blob_ls
    Tool(name="""mcp-ipfs_w3_can_blob_rm""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'description': 'Removes a blob from the store by its base58btc encoded multihash.', 'properties': {'multihash': {'description': 'Base58btc encoded multihash of the blob to remove.', 'type': 'string'}}, 'required': ['multihash'], 'type': 'object'}, description="""Removes a blob from the store by its base58btc encoded multihash."""), # alexbakers/mcp-ipfs/w3_can_blob_rm
    Tool(name="""mcp-ipfs_w3_can_filecoin_info""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'description': 'Gets Filecoin deal information for a given Piece CID (advanced use).', 'properties': {'pieceCid': {'description': 'The Piece CID to get Filecoin information for.', 'type': 'string'}}, 'required': ['pieceCid'], 'type': 'object'}, description="""Gets Filecoin deal information for a given Piece CID (advanced use)."""), # alexbakers/mcp-ipfs/w3_can_filecoin_info
    Tool(name="""mcp-ipfs_w3_can_index_add""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'description': 'Registers an index CID with the service (advanced use). Please refer to storacha.network documentation for details on indices.', 'properties': {'cid': {'description': 'CID of the index to add.', 'type': 'string'}}, 'required': ['cid'], 'type': 'object'}, description="""Registers an index CID with the service (advanced use). Please refer to storacha.network documentation for details on indices."""), # alexbakers/mcp-ipfs/w3_can_index_add
    Tool(name="""mcp-ipfs_w3_can_store_add""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'description': 'Stores a CAR file with the service (advanced use). This is often a prerequisite for `w3_can_upload_add`.', 'properties': {'path': {'description': 'ABSOLUTE path to the CAR file to store.', 'type': 'string'}}, 'required': ['path'], 'type': 'object'}, description="""Stores a CAR file with the service (advanced use). This is often a prerequisite for `w3_can_upload_add`. Requires ABSOLUTE paths for file arguments."""), # alexbakers/mcp-ipfs/w3_can_store_add
    Tool(name="""mcp-ipfs_w3_can_store_ls""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'description': 'Lists stored CAR files (shards) in the current space (advanced use).', 'properties': {'cursor': {'description': 'Opaque cursor string from a previous response for pagination.', 'type': 'string'}, 'json': {'default': True, 'description': 'Format output as newline delimited JSON (default: true).', 'type': 'boolean'}, 'size': {'description': 'Desired number of results to return.', 'exclusiveMinimum': 0, 'type': 'integer'}}, 'type': 'object'}, description="""Lists stored CAR files (shards) in the current space (advanced use)."""), # alexbakers/mcp-ipfs/w3_can_store_ls
    Tool(name="""mcp-ipfs_w3_can_store_rm""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'description': 'Removes a stored CAR shard by its CID (advanced use). Use with extreme caution, as this deletes the underlying data shard.', 'properties': {'carCid': {'description': 'CID of the CAR shard to remove from the store.', 'type': 'string'}}, 'required': ['carCid'], 'type': 'object'}, description="""Removes a stored CAR shard by its CID (advanced use). Use with extreme caution, as this deletes the underlying data shard."""), # alexbakers/mcp-ipfs/w3_can_store_rm
    Tool(name="""mcp-ipfs_w3_can_upload_add""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'description': 'Manually registers an upload DAG by its root CID and shard CIDs (advanced use). This is typically used after storing CAR shards manually.', 'properties': {'rootCid': {'description': 'Root data CID of the DAG to register.', 'type': 'string'}, 'shardCids': {'description': 'One or more shard CIDs where the DAG data is stored.', 'items': {'type': 'string'}, 'minItems': 1, 'type': 'array'}}, 'required': ['rootCid', 'shardCids'], 'type': 'object'}, description="""Manually registers an upload DAG by its root CID and shard CIDs (advanced use). This is typically used after storing CAR shards manually."""), # alexbakers/mcp-ipfs/w3_can_upload_add
    Tool(name="""mcp-ipfs_w3_can_upload_ls""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'description': 'Lists uploads registered in the current space (advanced view, shows underlying structure).', 'properties': {'cursor': {'description': 'Opaque cursor string from a previous response for pagination.', 'type': 'string'}, 'json': {'default': True, 'description': 'Format output as newline delimited JSON (default: true).', 'type': 'boolean'}, 'pre': {'default': False, 'description': 'Return the page of results preceding the cursor.', 'type': 'boolean'}, 'shards': {'default': False, 'description': 'Pretty print with shards in output (ignored if --json is true).', 'type': 'boolean'}, 'size': {'description': 'Desired number of results to return.', 'exclusiveMinimum': 0, 'type': 'integer'}}, 'type': 'object'}, description="""Lists uploads registered in the current space (advanced view, shows underlying structure)."""), # alexbakers/mcp-ipfs/w3_can_upload_ls
    Tool(name="""mcp-ipfs_w3_can_upload_rm""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'description': 'Removes an upload listing by its root CID (advanced use). Does not remove the underlying blobs/shards.', 'properties': {'rootCid': {'description': 'Root CID of the upload to remove from the list.', 'type': 'string'}}, 'required': ['rootCid'], 'type': 'object'}, description="""Removes an upload listing by its root CID (advanced use). Does not remove the underlying blobs/shards."""), # alexbakers/mcp-ipfs/w3_can_upload_rm
    Tool(name="""mcp-ipfs_w3_coupon_create""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'description': 'Attempts to create/claim a coupon using a claim code.', 'properties': {'claimCode': {'description': 'The claim code for the coupon.', 'type': 'string'}}, 'required': ['claimCode'], 'type': 'object'}, description="""Attempts to create/claim a coupon using a claim code."""), # alexbakers/mcp-ipfs/w3_coupon_create
    Tool(name="""mcp-ipfs_w3_delegation_create""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'audienceDid': {'description': 'The DID of the audience receiving the delegation (e.g., did:key:...).', 'type': 'string'}, 'base64': {'default': False, 'description': 'Format output as base64 identity CID string instead of writing to a file.', 'type': 'boolean'}, 'capabilities': {'description': "One or more capabilities to delegate (e.g., ['space/*', 'upload/*']).", 'items': {'type': 'string'}, 'minItems': 1, 'type': 'array'}, 'name': {'description': 'Human-readable name for the audience.', 'type': 'string'}, 'output': {'description': 'ABSOLUTE path of file to write the exported delegation CAR file to.', 'type': 'string'}, 'type': {'description': 'Type of the audience.', 'enum': ['device', 'app', 'service'], 'type': 'string'}}, 'required': ['audienceDid', 'capabilities'], 'type': 'object'}, description="""Tool for w3_delegation_create operation. Requires ABSOLUTE paths for file arguments."""), # alexbakers/mcp-ipfs/w3_delegation_create
    Tool(name="""mcp-ipfs_w3_delegation_ls""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'json': {'default': True, 'description': 'Format output as newline delimited JSON (default: true).', 'type': 'boolean'}}, 'type': 'object'}, description="""Tool for w3_delegation_ls operation."""), # alexbakers/mcp-ipfs/w3_delegation_ls
    Tool(name="""mcp-ipfs_w3_delegation_revoke""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'delegationCid': {'description': 'The CID of the delegation to revoke.', 'type': 'string'}, 'proof': {'description': 'ABSOLUTE path to a file containing the delegation and any additional proofs needed.', 'type': 'string'}}, 'required': ['delegationCid'], 'type': 'object'}, description="""Tool for w3_delegation_revoke operation. Requires ABSOLUTE paths for file arguments."""), # alexbakers/mcp-ipfs/w3_delegation_revoke
    Tool(name="""mcp-ipfs_w3_key_create""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'description': 'Generates and prints a new ed25519 key pair. Does not automatically use it for the agent.', 'properties': {'json': {'default': False, 'description': 'Export the new key pair as dag-json (default: false).', 'type': 'boolean'}}, 'type': 'object'}, description="""Generates and prints a new ed25519 key pair. Does not automatically use it for the agent."""), # alexbakers/mcp-ipfs/w3_key_create
    Tool(name="""mcp-ipfs_w3_login""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'description': 'Initiates the w3 login process using the pre-configured email (W3_LOGIN_EMAIL env var). Highlight to the user that they MUST check email to complete authentication.', 'properties': {}, 'type': 'object'}, description="""Initiates the w3 login process using the pre-configured email (W3_LOGIN_EMAIL env var). IMPORTANT: The command expects email confirmation, so before running the `w3_login` tool, emphasize ATTENTION to the user in large letters + emoji that they MUST check email to complete authentication. If the final output includes 'Agent was authorized by', the user has already clicked the link and is successfully authorized, CONTINUE using mcp-ipfs tools. 'Too Many Requests': wait a moment before requesting it again."""), # alexbakers/mcp-ipfs/w3_login
    Tool(name="""mcp-ipfs_w3_ls""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'json': {'default': True, 'description': 'Format output as newline delimited JSON (default: true).', 'type': 'boolean'}}, 'type': 'object'}, description="""Tool for w3_ls operation."""), # alexbakers/mcp-ipfs/w3_ls
    Tool(name="""mcp-ipfs_w3_open""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'cid': {'description': 'The CID of the content to open.', 'type': 'string'}, 'path': {'description': 'Optional path within the content to append to the URL.', 'type': 'string'}}, 'required': ['cid'], 'type': 'object'}, description="""Tool for w3_open operation."""), # alexbakers/mcp-ipfs/w3_open
    Tool(name="""mcp-ipfs_w3_plan_get""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'description': 'Displays the plan associated with the current or specified account.', 'properties': {'accountId': {'description': 'Optional account ID to get plan for (defaults to current authorized account).', 'type': 'string'}}, 'type': 'object'}, description="""Displays the plan associated with the current or specified account."""), # alexbakers/mcp-ipfs/w3_plan_get
    Tool(name="""mcp-ipfs_w3_proof_add""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'proofPath': {'description': 'ABSOLUTE path to the CAR encoded proof file delegated to this agent.', 'type': 'string'}}, 'required': ['proofPath'], 'type': 'object'}, description="""Tool for w3_proof_add operation. Requires ABSOLUTE paths for file arguments."""), # alexbakers/mcp-ipfs/w3_proof_add
    Tool(name="""mcp-ipfs_w3_proof_ls""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'json': {'default': True, 'description': 'Format output as newline delimited JSON (default: true).', 'type': 'boolean'}}, 'type': 'object'}, description="""Tool for w3_proof_ls operation."""), # alexbakers/mcp-ipfs/w3_proof_ls
    Tool(name="""mcp-ipfs_w3_reset""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'description': 'DANGEROUS: Resets the agent state, removing all proofs and delegations but retaining the agent DID. Requires explicit confirmation argument.', 'properties': {'confirmReset': {'const': 'yes-i-am-sure', 'description': "Must be exactly 'yes-i-am-sure' to confirm resetting agent state (removes proofs/delegations).", 'type': 'string'}}, 'required': ['confirmReset'], 'type': 'object'}, description="""DANGEROUS: Resets the agent state, removing all proofs and delegations but retaining the agent DID. Requires explicit confirmation argument."""), # alexbakers/mcp-ipfs/w3_reset
    Tool(name="""mcp-ipfs_w3_rm""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'cid': {'description': 'Root Content CID (e.g., bafy...) to remove from the uploads listing.', 'type': 'string'}, 'removeShards': {'default': False, 'description': 'Also remove underlying shards from the store (default: false). Use with caution.', 'type': 'boolean'}}, 'required': ['cid'], 'type': 'object'}, description="""Tool for w3_rm operation."""), # alexbakers/mcp-ipfs/w3_rm
    Tool(name="""mcp-ipfs_w3_space_add""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'proof': {'description': 'Filesystem path to a CAR encoded UCAN proof, or a base64 identity CID string.', 'type': 'string'}}, 'required': ['proof'], 'type': 'object'}, description="""Tool for w3_space_add operation."""), # alexbakers/mcp-ipfs/w3_space_add
    Tool(name="""mcp-ipfs_w3_space_create""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'description': 'Creates a new space with a user-friendly name.', 'properties': {'name': {'description': 'An optional user-friendly name for the new space.', 'type': 'string'}}, 'type': 'object'}, description="""Creates a new space with a user-friendly name. NOTE: `w3 space create` cannot be run via MCP due to interactive recovery key prompts. Please run this command manually in your terminal."""), # alexbakers/mcp-ipfs/w3_space_create
    Tool(name="""mcp-ipfs_w3_space_info""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'json': {'default': True, 'description': 'Format output as newline delimited JSON (default: true).', 'type': 'boolean'}, 'spaceDid': {'description': 'Optional DID of the space to get info for (defaults to current space).', 'pattern': '^did\\:key\\:', 'type': 'string'}}, 'type': 'object'}, description="""Tool for w3_space_info operation. NOTE: `no current space and no space given` or `{\"spaces\":[]}` first make sure you are logged in before using other tools."""), # alexbakers/mcp-ipfs/w3_space_info
    Tool(name="""mcp-ipfs_w3_space_ls""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {}, 'type': 'object'}, description="""Tool for w3_space_ls operation. NOTE: `no current space and no space given` or `{\"spaces\":[]}` first make sure you are logged in before using other tools."""), # alexbakers/mcp-ipfs/w3_space_ls
    Tool(name="""mcp-ipfs_w3_space_provision""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'description': 'Associates a space with a customer/billing account.', 'properties': {'customerId': {'description': 'Customer identifier (e.g., email or account DID) to associate the space with.', 'type': 'string'}, 'spaceDid': {'description': 'The DID of the space to provision.', 'pattern': '^did\\:key\\:', 'type': 'string'}}, 'required': ['customerId', 'spaceDid'], 'type': 'object'}, description="""Associates a space with a customer/billing account."""), # alexbakers/mcp-ipfs/w3_space_provision
    Tool(name="""mcp-ipfs_w3_space_use""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'spaceDid': {'description': 'The DID of the space to select (e.g., did:key:...).', 'pattern': '^did\\:key\\:', 'type': 'string'}}, 'required': ['spaceDid'], 'type': 'object'}, description="""Tool for w3_space_use operation."""), # alexbakers/mcp-ipfs/w3_space_use
    Tool(name="""mcp-ipfs_w3_up""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'description': 'Generates and prints a new ed25519 key pair. Does not automatically use it for the agent.', 'properties': {'hidden': {'default': False, 'description': "Include paths starting with '.'.", 'type': 'boolean'}, 'noWrap': {'default': False, 'description': "Don't wrap input files with a directory.", 'type': 'boolean'}, 'paths': {'description': 'Array of one or more ABSOLUTE paths to files or directories to upload.', 'items': {'type': 'string'}, 'minItems': 1, 'type': 'array'}}, 'required': ['paths'], 'type': 'object'}, description="""Generates and prints a new ed25519 key pair. Does not automatically use it for the agent. Requires ABSOLUTE paths for file arguments."""), # alexbakers/mcp-ipfs/w3_up
    Tool(name="""mcp-ipfs_w3_usage_report""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'description': 'Displays a storage usage report for the current or specified space.', 'properties': {'json': {'default': True, 'description': 'Format output as JSON (default: true).', 'type': 'boolean'}, 'spaceDid': {'description': 'Optional DID of the space to get usage for (defaults to current space).', 'pattern': '^did\\:key\\:', 'type': 'string'}}, 'type': 'object'}, description="""Displays a storage usage report for the current or specified space."""), # alexbakers/mcp-ipfs/w3_usage_report
    Tool(name="""mediawiki-mcp-server_search""", inputSchema={'properties': {'limit': {'default': 5, 'title': 'Limit', 'type': 'integer'}, 'query': {'title': 'Query', 'type': 'string'}}, 'required': ['query'], 'title': 'searchArguments', 'type': 'object'}, description="""\nSearch for a wiki page. The shorter the request, the better, preferably containing only the main term to be searched.\nArgs:\n    query: The query to search for\n    limit: The number of results to return\nReturns:\n    A list of pages that match the query\n"""), # shiquda/mediawiki-mcp-server/search
    Tool(name="""mediawiki-mcp-server_get_page""", inputSchema={'properties': {'title': {'title': 'Title', 'type': 'string'}}, 'required': ['title'], 'title': 'get_pageArguments', 'type': 'object'}, description="""Get a page from mediawiki.org\nArgs:\n    title: The title of the page to get, which can be found in title field of the search results\nReturns:\n    The page content\n"""), # shiquda/mediawiki-mcp-server/get_page
    Tool(name="""MCP Python Interpreter_read_file""", inputSchema={'properties': {'file_path': {'title': 'File Path', 'type': 'string'}, 'max_size_kb': {'default': 1024, 'title': 'Max Size Kb', 'type': 'integer'}}, 'required': ['file_path'], 'title': 'read_fileArguments', 'type': 'object'}, description="""\n    Read the content of any file, with size limits for safety.\n    \n    Args:\n        file_path: Path to the file (relative to working directory or absolute)\n        max_size_kb: Maximum file size to read in KB (default: 1024)\n    \n    Returns:\n        str: File content or an error message\n    """), # yzfly/MCP Python Interpreter/read_file
    Tool(name="""MCP Python Interpreter_write_file""", inputSchema={'properties': {'content': {'title': 'Content', 'type': 'string'}, 'encoding': {'default': 'utf-8', 'title': 'Encoding', 'type': 'string'}, 'file_path': {'title': 'File Path', 'type': 'string'}, 'overwrite': {'default': False, 'title': 'Overwrite', 'type': 'boolean'}}, 'required': ['file_path', 'content'], 'title': 'write_fileArguments', 'type': 'object'}, description="""\n    Write content to a file in the working directory or system-wide if allowed.\n    \n    Args:\n        file_path: Path to the file to write (relative to working directory or absolute if system access is enabled)\n        content: Content to write to the file\n        overwrite: Whether to overwrite the file if it exists (default: False)\n        encoding: File encoding (default: utf-8)\n    \n    Returns:\n        str: Status message about the file writing operation\n    """), # yzfly/MCP Python Interpreter/write_file
    Tool(name="""MCP Python Interpreter_list_directory""", inputSchema={'properties': {'directory_path': {'default': '', 'title': 'Directory Path', 'type': 'string'}}, 'title': 'list_directoryArguments', 'type': 'object'}, description="""\n    List all Python files in a directory or subdirectory.\n    \n    Args:\n        directory_path: Path to directory (relative to working directory or absolute, empty for working directory)\n    """), # yzfly/MCP Python Interpreter/list_directory
    Tool(name="""MCP Python Interpreter_list_python_environments""", inputSchema={'properties': {}, 'title': 'list_python_environmentsArguments', 'type': 'object'}, description="""List all available Python environments (system Python and conda environments)."""), # yzfly/MCP Python Interpreter/list_python_environments
    Tool(name="""MCP Python Interpreter_list_installed_packages""", inputSchema={'properties': {'environment': {'default': 'default', 'title': 'Environment', 'type': 'string'}}, 'title': 'list_installed_packagesArguments', 'type': 'object'}, description="""\n    List installed packages for a specific Python environment.\n    \n    Args:\n        environment: Name of the Python environment (default: default if custom path provided, otherwise system)\n    """), # yzfly/MCP Python Interpreter/list_installed_packages
    Tool(name="""MCP Python Interpreter_run_python_code""", inputSchema={'properties': {'code': {'title': 'Code', 'type': 'string'}, 'environment': {'default': 'default', 'title': 'Environment', 'type': 'string'}, 'save_as': {'anyOf': [{'type': 'string'}, {'type': 'null'}], 'default': None, 'title': 'Save As'}}, 'required': ['code'], 'title': 'run_python_codeArguments', 'type': 'object'}, description="""\n    Execute Python code and return the result. Code runs in the working directory.\n    \n    Args:\n        code: Python code to execute\n        environment: Name of the Python environment to use (default if custom path provided, otherwise system)\n        save_as: Optional filename to save the code before execution (useful for future reference)\n    """), # yzfly/MCP Python Interpreter/run_python_code
    Tool(name="""MCP Python Interpreter_install_package""", inputSchema={'properties': {'environment': {'default': 'default', 'title': 'Environment', 'type': 'string'}, 'package_name': {'title': 'Package Name', 'type': 'string'}, 'upgrade': {'default': False, 'title': 'Upgrade', 'type': 'boolean'}}, 'required': ['package_name'], 'title': 'install_packageArguments', 'type': 'object'}, description="""\n    Install a Python package in the specified environment.\n    \n    Args:\n        package_name: Name of the package to install\n        environment: Name of the Python environment (default if custom path provided, otherwise system)\n        upgrade: Whether to upgrade the package if already installed (default: False)\n    """), # yzfly/MCP Python Interpreter/install_package
    Tool(name="""MCP Python Interpreter_write_python_file""", inputSchema={'properties': {'content': {'title': 'Content', 'type': 'string'}, 'file_path': {'title': 'File Path', 'type': 'string'}, 'overwrite': {'default': False, 'title': 'Overwrite', 'type': 'boolean'}}, 'required': ['file_path', 'content'], 'title': 'write_python_fileArguments', 'type': 'object'}, description="""\n    Write content to a Python file in the working directory or system-wide if allowed.\n    \n    Args:\n        file_path: Path to the file to write (relative to working directory or absolute if system access is enabled)\n        content: Content to write to the file\n        overwrite: Whether to overwrite the file if it exists (default: False)\n    """), # yzfly/MCP Python Interpreter/write_python_file
    Tool(name="""MCP Python Interpreter_run_python_file""", inputSchema={'properties': {'arguments': {'anyOf': [{'items': {'type': 'string'}, 'type': 'array'}, {'type': 'null'}], 'default': None, 'title': 'Arguments'}, 'environment': {'default': 'default', 'title': 'Environment', 'type': 'string'}, 'file_path': {'title': 'File Path', 'type': 'string'}}, 'required': ['file_path'], 'title': 'run_python_fileArguments', 'type': 'object'}, description="""\n    Execute a Python file and return the result.\n    \n    Args:\n        file_path: Path to the Python file to execute (relative to working directory or absolute if system access is enabled)\n        environment: Name of the Python environment to use (default if custom path provided, otherwise system)\n        arguments: List of command-line arguments to pass to the script\n    """), # yzfly/MCP Python Interpreter/run_python_file
    Tool(name="""filesystem-mcp_chmod_items""", inputSchema={'properties': {'mode': {'description': "The permission mode as an octal string (e.g., '755', '644').", 'type': 'string'}, 'paths': {'description': 'An array of relative paths.', 'items': {'type': 'string'}, 'type': 'array'}}, 'required': ['paths', 'mode'], 'type': 'object'}, description="""Change permissions mode for multiple specified files/directories (POSIX-style)."""), # sylphlab/filesystem-mcp/chmod_items
    Tool(name="""filesystem-mcp_chown_items""", inputSchema={'properties': {'gid': {'description': 'Group ID.', 'type': 'number'}, 'paths': {'description': 'An array of relative paths.', 'items': {'type': 'string'}, 'type': 'array'}, 'uid': {'description': 'User ID.', 'type': 'number'}}, 'required': ['paths', 'uid', 'gid'], 'type': 'object'}, description="""Change owner (UID) and group (GID) for multiple specified files/directories."""), # sylphlab/filesystem-mcp/chown_items
    Tool(name="""filesystem-mcp_move_items""", inputSchema={'properties': {'operations': {'description': 'Array of {source, destination} objects.', 'items': {'properties': {'destination': {'description': 'Relative path of the destination.', 'type': 'string'}, 'source': {'description': 'Relative path of the source.', 'type': 'string'}}, 'required': ['source', 'destination'], 'type': 'object'}, 'type': 'array'}}, 'required': ['operations'], 'type': 'object'}, description="""Move or rename multiple specified files/directories."""), # sylphlab/filesystem-mcp/move_items
    Tool(name="""filesystem-mcp_copy_items""", inputSchema={'properties': {'operations': {'description': 'Array of {source, destination} objects.', 'items': {'properties': {'destination': {'description': 'Relative path of the destination.', 'type': 'string'}, 'source': {'description': 'Relative path of the source.', 'type': 'string'}}, 'required': ['source', 'destination'], 'type': 'object'}, 'type': 'array'}}, 'required': ['operations'], 'type': 'object'}, description="""Copy multiple specified files/directories."""), # sylphlab/filesystem-mcp/copy_items
    Tool(name="""filesystem-mcp_search_files""", inputSchema={'properties': {'file_pattern': {'default': '*', 'description': "Glob pattern to filter files (e.g., '*.ts'). Defaults to all files ('*').", 'type': 'string'}, 'path': {'default': '.', 'description': 'Relative path of the directory to search in.', 'type': 'string'}, 'regex': {'description': 'The regex pattern to search for.', 'type': 'string'}}, 'required': ['regex'], 'type': 'object'}, description="""Search for a regex pattern within files in a specified directory (read-only)."""), # sylphlab/filesystem-mcp/search_files
    Tool(name="""filesystem-mcp_list_files""", inputSchema={'properties': {'include_stats': {'default': False, 'description': 'Include detailed stats for each listed item.', 'type': 'boolean'}, 'path': {'default': '.', 'description': 'Relative path of the directory.', 'type': 'string'}, 'recursive': {'default': False, 'description': 'List directories recursively.', 'type': 'boolean'}}, 'required': [], 'type': 'object'}, description="""List files/directories. Can optionally include stats and list recursively."""), # sylphlab/filesystem-mcp/list_files
    Tool(name="""filesystem-mcp_stat_items""", inputSchema={'properties': {'paths': {'description': 'An array of relative paths (files or directories) to get status for.', 'items': {'type': 'string'}, 'type': 'array'}}, 'required': ['paths'], 'type': 'object'}, description="""Get detailed status information for multiple specified paths."""), # sylphlab/filesystem-mcp/stat_items
    Tool(name="""filesystem-mcp_read_content""", inputSchema={'properties': {'paths': {'description': 'Array of relative file paths to read.', 'items': {'type': 'string'}, 'type': 'array'}}, 'required': ['paths'], 'type': 'object'}, description="""Read content from multiple specified files."""), # sylphlab/filesystem-mcp/read_content
    Tool(name="""filesystem-mcp_write_content""", inputSchema={'properties': {'items': {'description': 'Array of {path, content, append?} objects.', 'items': {'properties': {'append': {'default': False, 'description': 'Append content instead of overwriting.', 'type': 'boolean'}, 'content': {'description': 'Content to write.', 'type': 'string'}, 'path': {'description': 'Relative path for the file.', 'type': 'string'}}, 'required': ['path', 'content'], 'type': 'object'}, 'type': 'array'}}, 'required': ['items'], 'type': 'object'}, description="""Write or append content to multiple specified files (creating directories if needed)."""), # sylphlab/filesystem-mcp/write_content
    Tool(name="""filesystem-mcp_delete_items""", inputSchema={'properties': {'paths': {'description': 'An array of relative paths (files or directories) to delete.', 'items': {'type': 'string'}, 'type': 'array'}}, 'required': ['paths'], 'type': 'object'}, description="""Delete multiple specified files or directories."""), # sylphlab/filesystem-mcp/delete_items
    Tool(name="""filesystem-mcp_create_directories""", inputSchema={'properties': {'paths': {'description': 'An array of relative directory paths to create.', 'items': {'type': 'string'}, 'type': 'array'}}, 'required': ['paths'], 'type': 'object'}, description="""Create multiple specified directories (including intermediate ones)."""), # sylphlab/filesystem-mcp/create_directories
    Tool(name="""filesystem-mcp_replace_content""", inputSchema={'properties': {'operations': {'description': 'An array of search/replace operations to apply to each file.', 'items': {'properties': {'ignore_case': {'default': False, 'description': 'Ignore case during search.', 'type': 'boolean'}, 'replace': {'description': 'Text to replace matches with.', 'type': 'string'}, 'search': {'description': 'Text or regex pattern to search for.', 'type': 'string'}, 'use_regex': {'default': False, 'description': 'Treat search as regex.', 'type': 'boolean'}}, 'required': ['search', 'replace'], 'type': 'object'}, 'type': 'array'}, 'paths': {'description': 'An array of relative file paths to perform replacements on.', 'items': {'type': 'string'}, 'type': 'array'}}, 'required': ['paths', 'operations'], 'type': 'object'}, description="""Replace content within files across multiple specified paths."""), # sylphlab/filesystem-mcp/replace_content
    Tool(name="""Medusa MCP Server_AdminGetUsers""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'created_at': {'additionalProperties': False, 'properties': {}, 'type': 'object'}, 'deleted_at': {'additionalProperties': False, 'properties': {}, 'type': 'object'}, 'email': {'type': 'string'}, 'fields': {'type': 'string'}, 'first_name': {'type': 'string'}, 'id': {'type': 'string'}, 'last_name': {'type': 'string'}, 'limit': {'type': 'number'}, 'offset': {'type': 'number'}, 'order': {'type': 'string'}, 'q': {'type': 'string'}, 'updated_at': {'additionalProperties': False, 'properties': {}, 'type': 'object'}}, 'type': 'object'}, description="""This tool helps store administors. Retrieve a list of users. The users can be filtered by fields such as `id`. The users can also be sorted or paginated."""), # SGFGOV/Medusa MCP Server/AdminGetUsers
    Tool(name="""Medusa MCP Server_AdminGetUsersMe""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'fields': {'type': 'string'}}, 'type': 'object'}, description="""This tool helps store administors. Retrieve the logged-in user's details."""), # SGFGOV/Medusa MCP Server/AdminGetUsersMe
    Tool(name="""Medusa MCP Server_AdminGetUsersId""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'fields': {'type': 'string'}, 'id': {'type': 'string'}}, 'type': 'object'}, description="""This tool helps store administors. Retrieve a user by its ID. You can expand the user's relations or select the fields that should be returned."""), # SGFGOV/Medusa MCP Server/AdminGetUsersId
    Tool(name="""Medusa MCP Server_AdminGetWorkflowsExecutions""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'fields': {'type': 'string'}, 'limit': {'type': 'number'}, 'offset': {'type': 'number'}, 'order': {'type': 'string'}, 'transaction_id': {'type': 'string'}, 'workflow_id': {'type': 'string'}}, 'type': 'object'}, description="""This tool helps store administors. Retrieve a list of workflows executions. The workflows executions can be filtered by fields such as `id`. The workflows executions can also be sorted or paginated."""), # SGFGOV/Medusa MCP Server/AdminGetWorkflowsExecutions
    Tool(name="""Medusa MCP Server_AdminGetWorkflowsExecutionsId""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'fields': {'type': 'string'}, 'id': {'type': 'string'}}, 'type': 'object'}, description="""This tool helps store administors. Retrieve a workflows execution by its ID. You can expand the workflows execution's relations or select the fields that should be returned."""), # SGFGOV/Medusa MCP Server/AdminGetWorkflowsExecutionsId
    Tool(name="""Medusa MCP Server_AdminPostWorkflowsExecutionsWorkflow_idRun""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'workflow_id': {'type': 'string'}}, 'type': 'object'}, description="""This tool helps store administors. Execute a workflow by its ID."""), # SGFGOV/Medusa MCP Server/AdminPostWorkflowsExecutionsWorkflow_idRun
    Tool(name="""Medusa MCP Server_AdminPostAdminAuthTokenRefresh""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {}, 'type': 'object'}, description="""This tool helps store administors. Refresh the authentication token of a user. This is useful after authenticating a user with a third-party service to ensure the token holds the new user's details, or when you don't want users to re-login every day."""), # SGFGOV/Medusa MCP Server/AdminPostAdminAuthTokenRefresh
    Tool(name="""Medusa MCP Server_AdminPostActor_typeAuth_provider""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'auth_provider': {'type': 'string'}}, 'type': 'object'}, description="""This tool helps store administors. Authenticate a user and receive the JWT token to be used in the header of subsequent requests.\n\nWhen used with a third-party provider, such as Google, the request returns a `location` property. You redirect to the specified URL in your frontend to continue authentication with the third-party service.\n"""), # SGFGOV/Medusa MCP Server/AdminPostActor_typeAuth_provider
    Tool(name="""Medusa MCP Server_AdminPostWorkflowsExecutionsWorkflow_idStepsFailure""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'workflow_id': {'type': 'string'}}, 'type': 'object'}, description="""This tool helps store administors. Set the status of a step in a workflow's execution as failed. This is useful for long-running workflows."""), # SGFGOV/Medusa MCP Server/AdminPostWorkflowsExecutionsWorkflow_idStepsFailure
    Tool(name="""Medusa MCP Server_AdminPostWorkflowsExecutionsWorkflow_idStepsSuccess""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'workflow_id': {'type': 'string'}}, 'type': 'object'}, description="""This tool helps store administors. Set the status of a step in a workflow's execution as successful. This is useful for long-running workflows."""), # SGFGOV/Medusa MCP Server/AdminPostWorkflowsExecutionsWorkflow_idStepsSuccess
    Tool(name="""Medusa MCP Server_AdminGetWorkflowsExecutionsWorkflow_idSubscribe""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'workflow_id': {'type': 'string'}}, 'type': 'object'}, description="""This tool helps store administors. Subscribe to a workflow's execution to receive real-time information about its steps, status, and data.\nThis route returns an event stream that you can consume using the [EventSource API](https://developer.mozilla.org/en-US/docs/Web/API/EventSource).\n"""), # SGFGOV/Medusa MCP Server/AdminGetWorkflowsExecutionsWorkflow_idSubscribe
    Tool(name="""Medusa MCP Server_AdminGetWorkflowsExecutionsWorkflow_idTransaction_id""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'fields': {'type': 'string'}, 'transaction_id': {'type': 'string'}, 'workflow_id': {'type': 'string'}}, 'type': 'object'}, description="""This tool helps store administors. Get the details of the workflow's execution."""), # SGFGOV/Medusa MCP Server/AdminGetWorkflowsExecutionsWorkflow_idTransaction_id
    Tool(name="""Medusa MCP Server_AdminGetWorkflowsExecutionsWorkflow_idTransaction_idStep_idSubscribe""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'step_id': {'type': 'string'}, 'transaction_id': {'type': 'string'}, 'workflow_id': {'type': 'string'}}, 'type': 'object'}, description="""This tool helps store administors. Subscribe to a step in a workflow's execution to receive real-time information about its status and data.\nThis route returns an event stream that you can consume using the [EventSource API](https://developer.mozilla.org/en-US/docs/Web/API/EventSource).\n"""), # SGFGOV/Medusa MCP Server/AdminGetWorkflowsExecutionsWorkflow_idTransaction_idStep_idSubscribe
    Tool(name="""Medusa MCP Server_AdminPostSession""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {}, 'type': 'object'}, description="""This tool helps store administors. Set the cookie session ID of an admin user. The admin must be previously authenticated with the `/auth/user/{provider}` API route first, as the JWT token is required in the header of the request."""), # SGFGOV/Medusa MCP Server/AdminPostSession
    Tool(name="""Medusa MCP Server_AdminPostActor_typeAuth_providerCallback""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'auth_provider': {'type': 'string'}}, 'type': 'object'}, description="""This tool helps store administors. This API route is used by your dashboard or frontend application when a third-party provider redirects to it after authentication. It validates the authentication with the third-party provider and, if successful, returns an authentication token. All query parameters received from the third-party provider, such as `code`, `state`, and `error`, must be passed as query parameters to this route.\n\nYou can decode the JWT token using libraries like [react-jwt](https://www.npmjs.com/package/react-jwt) in the frontend. If the decoded data doesn't  have an `actor_id` property, then you must create a user, typically using the Accept Invite route passing the token in the request's Authorization header.\n"""), # SGFGOV/Medusa MCP Server/AdminPostActor_typeAuth_providerCallback
    Tool(name="""Medusa MCP Server_AdminPostActor_typeAuth_provider_register""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'auth_provider': {'type': 'string'}}, 'type': 'object'}, description="""This tool helps store administors. This API route retrieves a registration JWT token of a user that hasn't been registered yet. The token is used in the header of requests that create a user, such as the Accept Invite API route."""), # SGFGOV/Medusa MCP Server/AdminPostActor_typeAuth_provider_register
    Tool(name="""Medusa MCP Server_AdminPostActor_typeAuth_providerResetPassword""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'auth_provider': {'type': 'string'}}, 'type': 'object'}, description="""This tool helps store administors. Generate a reset password token for an admin user. This API route doesn't reset the admin's password or send them the reset instructions in a notification.\n\nInstead, This API route emits the `auth.password_reset` event, passing it the token as a payload. You can listen to that event in a subscriber as explained in [this guide](https://docs.medusajs.com/resources/commerce-modules/auth/reset-password), then send the user a notification. The notification is sent using a [Notification Module Provider](https://docs.medusajs.com/resources/architectural-modules/notification), and it should have the URL to reset the password in the Medusa Admin dashboard, such as `http://localhost:9000/app/reset-password?token=123`.\n\n\n Use the generated token to update the user's password using the [Reset Password API route](https://docs.medusajs.com/api/admin#auth_postactor_typeauth_providerupdate).\n"""), # SGFGOV/Medusa MCP Server/AdminPostActor_typeAuth_providerResetPassword
    Tool(name="""Medusa MCP Server_AdminPostActor_typeAuth_providerUpdate""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'auth_provider': {'type': 'string'}}, 'type': 'object'}, description="""This tool helps store administors. Reset an admin user's password using a reset-password token generated with the [Generate Reset Password Token API route](https://docs.medusajs.com/api/admin#auth_postactor_typeauth_providerresetpassword). You pass the token as a bearer token in the request's Authorization header."""), # SGFGOV/Medusa MCP Server/AdminPostActor_typeAuth_providerUpdate
    Tool(name="""Medusa MCP Server_PostActor_typeAuth_provider""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'auth_provider': {'type': 'string'}}, 'type': 'object'}, description="""Authenticate a customer and receive the JWT token to be used in the header of subsequent requests.\n\nWhen used with a third-party provider, such as Google, the request returns a `location` property. You redirect to the specified URL in your storefront to continue authentication with the third-party service.\n"""), # SGFGOV/Medusa MCP Server/PostActor_typeAuth_provider
    Tool(name="""Medusa MCP Server_PostActor_typeAuth_providerCallback""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'auth_provider': {'type': 'string'}}, 'type': 'object'}, description="""This API route is used by your storefront or frontend application when a third-party provider redirects to it after authentication. It validates the authentication with the third-party provider and, if successful, returns an authentication token. All query parameters received from the third-party provider, such as `code`, `state`, and `error`, must be passed as query parameters to this route.\nYou can decode the JWT token using libraries like [react-jwt](https://www.npmjs.com/package/react-jwt) in the storefront. If the decoded data doesn't  have an `actor_id` property, then you must register the customer using the Create Customer API route passing the token in the request's Authorization header.\n"""), # SGFGOV/Medusa MCP Server/PostActor_typeAuth_providerCallback
    Tool(name="""Medusa MCP Server_PostActor_typeAuth_provider_register""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'auth_provider': {'type': 'string'}}, 'type': 'object'}, description="""This API route retrieves a registration JWT token of a customer that hasn't been registered yet. The token is used in the header of requests that create a customer."""), # SGFGOV/Medusa MCP Server/PostActor_typeAuth_provider_register
    Tool(name="""Medusa MCP Server_PostActor_typeAuth_providerResetPassword""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'auth_provider': {'type': 'string'}}, 'type': 'object'}, description="""Generate a reset password token for a customer. This API route doesn't reset the customer password or send them the reset instructions in a notification.\n\nInstead, This API route emits the `auth.password_reset` event, passing it the token as a payload. You can listen to that event in a subscriber as explained in [this guide](https://docs.medusajs.com/resources/commerce-modules/auth/reset-password), then send the customer a notification. The notification is sent using a [Notification Module Provider](https://docs.medusajs.com/resources/architectural-modules/notification), and it should have a URL that accepts a `token` query parameter, allowing the customer to reset their password from the storefront.\n\n\n Use the generated token to update the customer's password using the [Reset Password API route](https://docs.medusajs.com/api/store#auth_postactor_typeauth_providerupdate).\n"""), # SGFGOV/Medusa MCP Server/PostActor_typeAuth_providerResetPassword
    Tool(name="""Medusa MCP Server_PostActor_typeAuth_providerUpdate""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'auth_provider': {'type': 'string'}}, 'type': 'object'}, description="""Reset a customer's password using a reset-password token generated with the [Generate Reset Password Token API route](https://docs.medusajs.com/api/store#auth_postactor_typeauth_providerresetpassword). You pass the token as a bearer token in the request's Authorization header."""), # SGFGOV/Medusa MCP Server/PostActor_typeAuth_providerUpdate
    Tool(name="""Medusa MCP Server_PostSession""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {}, 'type': 'object'}, description="""Set the cookie session ID of a customer. The customer must be previously authenticated with the `/auth/customer/{provider}` API route first, as the JWT token is required in the header of the request."""), # SGFGOV/Medusa MCP Server/PostSession
    Tool(name="""Medusa MCP Server_PostAdminAuthTokenRefresh""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {}, 'type': 'object'}, description="""Refresh the authentication token of a customer. This is useful after authenticating a customer with a third-party service to ensure the token holds the new user's details, or when you don't want customers to re-login every day."""), # SGFGOV/Medusa MCP Server/PostAdminAuthTokenRefresh
    Tool(name="""Medusa MCP Server_PostCarts""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'fields': {'type': 'string'}}, 'type': 'object'}, description="""Create a cart."""), # SGFGOV/Medusa MCP Server/PostCarts
    Tool(name="""Medusa MCP Server_GetCartsId""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'fields': {'type': 'string'}, 'id': {'type': 'string'}}, 'type': 'object'}, description="""Retrieve a cart by its ID. You can expand the cart's relations or select the fields that should be returned."""), # SGFGOV/Medusa MCP Server/GetCartsId
    Tool(name="""Medusa MCP Server_PostCartsIdComplete""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'fields': {'type': 'string'}, 'id': {'type': 'string'}}, 'type': 'object'}, description="""Complete a cart and place an order."""), # SGFGOV/Medusa MCP Server/PostCartsIdComplete
    Tool(name="""Medusa MCP Server_PostCartsIdCustomer""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'fields': {'type': 'string'}, 'id': {'type': 'string'}}, 'type': 'object'}, description="""Set the customer of the cart. This is useful when you create the cart for a guest customer, then they log in with their account."""), # SGFGOV/Medusa MCP Server/PostCartsIdCustomer
    Tool(name="""Medusa MCP Server_PostCartsIdLineItems""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'fields': {'type': 'string'}, 'id': {'type': 'string'}}, 'type': 'object'}, description="""Add a product variant as a line item in the cart."""), # SGFGOV/Medusa MCP Server/PostCartsIdLineItems
    Tool(name="""Medusa MCP Server_PostCartsIdLineItemsLine_id""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'fields': {'type': 'string'}, 'id': {'type': 'string'}, 'line_id': {'type': 'string'}}, 'type': 'object'}, description="""Update a line item's details in the cart."""), # SGFGOV/Medusa MCP Server/PostCartsIdLineItemsLine_id
    Tool(name="""Medusa MCP Server_PostCartsIdPromotions""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'fields': {'type': 'string'}, 'id': {'type': 'string'}}, 'type': 'object'}, description="""Add a list of promotions to a cart."""), # SGFGOV/Medusa MCP Server/PostCartsIdPromotions
    Tool(name="""Medusa MCP Server_PostCartsIdShippingMethods""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'fields': {'type': 'string'}, 'id': {'type': 'string'}}, 'type': 'object'}, description="""Add a shipping method to a cart. Use this API route when the customer chooses their preferred shipping option."""), # SGFGOV/Medusa MCP Server/PostCartsIdShippingMethods
    Tool(name="""Medusa MCP Server_PostCartsIdTaxes""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'fields': {'type': 'string'}, 'id': {'type': 'string'}}, 'type': 'object'}, description="""Calculate the cart's tax lines and amounts."""), # SGFGOV/Medusa MCP Server/PostCartsIdTaxes
    Tool(name="""Medusa MCP Server_GetCollections""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'$and': {'items': {'type': 'string'}, 'type': 'array'}, '$or': {'items': {'type': 'string'}, 'type': 'array'}, 'created_at': {'additionalProperties': False, 'properties': {}, 'type': 'object'}, 'fields': {'type': 'string'}, 'handle': {'type': 'string'}, 'limit': {'type': 'number'}, 'offset': {'type': 'number'}, 'order': {'type': 'string'}, 'q': {'type': 'string'}, 'title': {'type': 'string'}, 'updated_at': {'additionalProperties': False, 'properties': {}, 'type': 'object'}}, 'type': 'object'}, description="""Retrieve a list of collections. The collections can be filtered by fields such as `handle`. The collections can also be sorted or paginated."""), # SGFGOV/Medusa MCP Server/GetCollections
    Tool(name="""Medusa MCP Server_GetCollectionsId""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'fields': {'type': 'string'}, 'id': {'type': 'string'}}, 'type': 'object'}, description="""Retrieve a collection by its ID. You can expand the collection's relations or select the fields that should be returned."""), # SGFGOV/Medusa MCP Server/GetCollectionsId
    Tool(name="""Medusa MCP Server_GetCurrencies""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'$and': {'items': {'type': 'string'}, 'type': 'array'}, '$or': {'items': {'type': 'string'}, 'type': 'array'}, 'code': {'type': 'string'}, 'fields': {'type': 'string'}, 'limit': {'type': 'number'}, 'offset': {'type': 'number'}, 'order': {'type': 'string'}, 'q': {'type': 'string'}}, 'type': 'object'}, description="""Retrieve a list of currencies. The currencies can be filtered by fields such as `code`. The currencies can also be sorted or paginated."""), # SGFGOV/Medusa MCP Server/GetCurrencies
    Tool(name="""Medusa MCP Server_GetCurrenciesCode""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'code': {'type': 'string'}, 'fields': {'type': 'string'}}, 'type': 'object'}, description="""Retrieve a currency by its code. You can expand the currency's relations or select the fields that should be returned."""), # SGFGOV/Medusa MCP Server/GetCurrenciesCode
    Tool(name="""Medusa MCP Server_PostCustomers""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'fields': {'type': 'string'}}, 'type': 'object'}, description="""Register a customer. Use the `/auth/customer/emailpass/register` API route first to retrieve the registration token and pass it in the header of the request."""), # SGFGOV/Medusa MCP Server/PostCustomers
    Tool(name="""Medusa MCP Server_GetCustomersMe""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'fields': {'type': 'string'}}, 'type': 'object'}, description="""Retrieve the logged-in customer. You can expand the customer's relations or select the fields that should be returned."""), # SGFGOV/Medusa MCP Server/GetCustomersMe
    Tool(name="""Medusa MCP Server_GetCustomersMeAddresses""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'city': {'type': 'string'}, 'country_code': {'type': 'string'}, 'fields': {'type': 'string'}, 'limit': {'type': 'number'}, 'offset': {'type': 'number'}, 'order': {'type': 'string'}, 'postal_code': {'type': 'string'}, 'q': {'type': 'string'}}, 'type': 'object'}, description="""Retrieve the addresses of the logged-in customer. The addresses can be filtered by fields such as `country_code`. The addresses can also be sorted or paginated."""), # SGFGOV/Medusa MCP Server/GetCustomersMeAddresses
    Tool(name="""Medusa MCP Server_GetCustomersMeAddressesAddress_id""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'address_id': {'type': 'string'}, 'fields': {'type': 'string'}}, 'type': 'object'}, description="""Retrieve an address of the logged-in customer. You can expand the address's relations or select the fields that should be returned."""), # SGFGOV/Medusa MCP Server/GetCustomersMeAddressesAddress_id
    Tool(name="""Medusa MCP Server_GetOrders""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'$and': {'items': {'type': 'string'}, 'type': 'array'}, '$or': {'items': {'type': 'string'}, 'type': 'array'}, 'fields': {'type': 'string'}, 'id': {'type': 'string'}, 'limit': {'type': 'number'}, 'offset': {'type': 'number'}, 'order': {'type': 'string'}, 'status': {'type': 'string'}}, 'type': 'object'}, description="""Retrieve the orders of the logged-in customer. The orders can be filtered by fields such as `id`. The orders can also be sorted or paginated."""), # SGFGOV/Medusa MCP Server/GetOrders
    Tool(name="""Medusa MCP Server_GetOrdersId""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'fields': {'type': 'string'}, 'id': {'type': 'string'}}, 'type': 'object'}, description="""Retrieve an order by its ID. You can expand the order's relations or select the fields that should be returned."""), # SGFGOV/Medusa MCP Server/GetOrdersId
    Tool(name="""Medusa MCP Server_PostOrdersIdTransferAccept""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'fields': {'type': 'string'}, 'id': {'type': 'string'}}, 'type': 'object'}, description="""Accept an order to be transfered to a customer's account, which was specified when the transfer request was created. The transfer is requested previously either by the customer using the [Request Order Transfer Store API route](https://docs.medusajs.com/api/store#orders_postordersidtransferrequest), or by the admin using the [Request Order Transfer Admin API route](https://docs.medusajs.com/api/admin#orders_postordersidtransferrequest)."""), # SGFGOV/Medusa MCP Server/PostOrdersIdTransferAccept
    Tool(name="""Medusa MCP Server_PostOrdersIdTransferCancel""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'fields': {'type': 'string'}, 'id': {'type': 'string'}}, 'type': 'object'}, description="""Cancel an order transfer that the logged-in customer previously requested using the [Request Order Transfer](https://docs.medusajs.com/api/store#orders_postordersidtransferrequest) API route."""), # SGFGOV/Medusa MCP Server/PostOrdersIdTransferCancel
    Tool(name="""Medusa MCP Server_PostOrdersIdTransferDecline""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'fields': {'type': 'string'}, 'id': {'type': 'string'}}, 'type': 'object'}, description="""Decline an order transfer previously requested, typically by the admin user using the [Request Order Transfer Admin API route](https://docs.medusajs.com/api/admin#orders_postordersidtransferrequest)."""), # SGFGOV/Medusa MCP Server/PostOrdersIdTransferDecline
    Tool(name="""Medusa MCP Server_PostOrdersIdTransferRequest""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'fields': {'type': 'string'}, 'id': {'type': 'string'}}, 'type': 'object'}, description="""Request an order to be transfered to the logged-in customer's account. The transfer is confirmed using the [Accept Order Transfer](https://docs.medusajs.com/api/store#orders_postordersidtransferaccept) API route."""), # SGFGOV/Medusa MCP Server/PostOrdersIdTransferRequest
    Tool(name="""Medusa MCP Server_PostPaymentCollections""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'fields': {'type': 'string'}}, 'type': 'object'}, description="""Create a payment collection for a cart. This is used during checkout, where the payment collection holds the cart's payment sessions."""), # SGFGOV/Medusa MCP Server/PostPaymentCollections
    Tool(name="""Medusa MCP Server_PostPaymentCollectionsIdPaymentSessions""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'fields': {'type': 'string'}, 'id': {'type': 'string'}}, 'type': 'object'}, description="""Initialize and add a payment session to a payment collection. This is used during checkout, where you create a payment collection for the cart, then initialize a payment session for the payment provider that the customer chooses."""), # SGFGOV/Medusa MCP Server/PostPaymentCollectionsIdPaymentSessions
    Tool(name="""Medusa MCP Server_GetPaymentProviders""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'fields': {'type': 'string'}, 'limit': {'type': 'number'}, 'offset': {'type': 'number'}, 'order': {'type': 'string'}, 'region_id': {'type': 'string'}}, 'type': 'object'}, description="""Retrieve a list of payment providers. You must provide the `region_id` query parameter to retrieve the payment providers enabled in that region."""), # SGFGOV/Medusa MCP Server/GetPaymentProviders
    Tool(name="""Medusa MCP Server_GetProductCategories""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'$and': {'items': {'type': 'string'}, 'type': 'array'}, '$or': {'items': {'type': 'string'}, 'type': 'array'}, 'created_at': {'additionalProperties': False, 'properties': {}, 'type': 'object'}, 'description': {'type': 'string'}, 'fields': {'type': 'string'}, 'handle': {'type': 'string'}, 'id': {'type': 'string'}, 'include_ancestors_tree': {'type': 'boolean'}, 'include_descendants_tree': {'type': 'boolean'}, 'limit': {'type': 'number'}, 'name': {'type': 'string'}, 'offset': {'type': 'number'}, 'order': {'type': 'string'}, 'parent_category_id': {'type': 'string'}, 'q': {'type': 'string'}, 'updated_at': {'additionalProperties': False, 'properties': {}, 'type': 'object'}}, 'type': 'object'}, description="""Retrieve a list of product categories. The product categories can be filtered by fields such as `id`. The product categories can also be sorted or paginated."""), # SGFGOV/Medusa MCP Server/GetProductCategories
    Tool(name="""Medusa MCP Server_GetProductCategoriesId""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'fields': {'type': 'string'}, 'id': {'type': 'string'}, 'include_ancestors_tree': {'type': 'boolean'}, 'include_descendants_tree': {'type': 'boolean'}}, 'type': 'object'}, description="""Retrieve a product category by its ID. You can expand the product category's relations or select the fields that should be returned."""), # SGFGOV/Medusa MCP Server/GetProductCategoriesId
    Tool(name="""Medusa MCP Server_GetProductTags""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'$and': {'items': {'type': 'string'}, 'type': 'array'}, '$or': {'items': {'type': 'string'}, 'type': 'array'}, 'created_at': {'additionalProperties': False, 'properties': {}, 'type': 'object'}, 'fields': {'type': 'string'}, 'id': {'type': 'string'}, 'limit': {'type': 'number'}, 'offset': {'type': 'number'}, 'order': {'type': 'string'}, 'q': {'type': 'string'}, 'updated_at': {'additionalProperties': False, 'properties': {}, 'type': 'object'}, 'value': {'type': 'string'}}, 'type': 'object'}, description="""Retrieve a list of product tags. The product tags can be filtered by fields such as `id`. The product tags can also be sorted or paginated."""), # SGFGOV/Medusa MCP Server/GetProductTags
    Tool(name="""Medusa MCP Server_GetProductTagsId""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'fields': {'type': 'string'}, 'id': {'type': 'string'}}, 'type': 'object'}, description="""Retrieve a product tag by its ID. You can expand the product tag's relations or select the fields that should be returned."""), # SGFGOV/Medusa MCP Server/GetProductTagsId
    Tool(name="""Medusa MCP Server_GetProductTypes""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'$and': {'items': {'type': 'string'}, 'type': 'array'}, '$or': {'items': {'type': 'string'}, 'type': 'array'}, 'created_at': {'additionalProperties': False, 'properties': {}, 'type': 'object'}, 'fields': {'type': 'string'}, 'id': {'type': 'string'}, 'limit': {'type': 'number'}, 'offset': {'type': 'number'}, 'order': {'type': 'string'}, 'q': {'type': 'string'}, 'updated_at': {'additionalProperties': False, 'properties': {}, 'type': 'object'}, 'value': {'type': 'string'}}, 'type': 'object'}, description="""Retrieve a list of product types. The product types can be filtered by fields such as `id`. The product types can also be sorted or paginated."""), # SGFGOV/Medusa MCP Server/GetProductTypes
    Tool(name="""Medusa MCP Server_GetProductTypesId""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'fields': {'type': 'string'}, 'id': {'type': 'string'}}, 'type': 'object'}, description="""Retrieve a product type by its ID. You can expand the product type's relations or select the fields that should be returned."""), # SGFGOV/Medusa MCP Server/GetProductTypesId
    Tool(name="""Medusa MCP Server_GetProducts""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'$and': {'items': {'type': 'string'}, 'type': 'array'}, '$or': {'items': {'type': 'string'}, 'type': 'array'}, 'cart_id': {'type': 'string'}, 'category_id': {'type': 'string'}, 'collection_id': {'type': 'string'}, 'country_code': {'type': 'string'}, 'created_at': {'additionalProperties': False, 'properties': {}, 'type': 'object'}, 'fields': {'type': 'string'}, 'handle': {'type': 'string'}, 'id': {'type': 'string'}, 'is_giftcard': {'type': 'boolean'}, 'limit': {'type': 'number'}, 'offset': {'type': 'number'}, 'order': {'type': 'string'}, 'province': {'type': 'string'}, 'q': {'type': 'string'}, 'region_id': {'type': 'string'}, 'sales_channel_id': {'type': 'string'}, 'tag_id': {'type': 'string'}, 'title': {'type': 'string'}, 'type_id': {'type': 'string'}, 'updated_at': {'additionalProperties': False, 'properties': {}, 'type': 'object'}, 'variants': {'additionalProperties': False, 'properties': {}, 'type': 'object'}}, 'type': 'object'}, description="""Retrieve a list of products. The products can be filtered by fields such as `id`. The products can also be sorted or paginated."""), # SGFGOV/Medusa MCP Server/GetProducts
    Tool(name="""Medusa MCP Server_GetProductsId""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'cart_id': {'type': 'string'}, 'country_code': {'type': 'string'}, 'fields': {'type': 'string'}, 'id': {'type': 'string'}, 'limit': {'type': 'number'}, 'offset': {'type': 'number'}, 'order': {'type': 'string'}, 'province': {'type': 'string'}, 'region_id': {'type': 'string'}}, 'type': 'object'}, description="""Retrieve a product by its ID. You can expand the product's relations or select the fields that should be returned."""), # SGFGOV/Medusa MCP Server/GetProductsId
    Tool(name="""Medusa MCP Server_GetRegions""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'$and': {'items': {'type': 'string'}, 'type': 'array'}, '$or': {'items': {'type': 'string'}, 'type': 'array'}, 'currency_code': {'type': 'string'}, 'fields': {'type': 'string'}, 'id': {'type': 'string'}, 'limit': {'type': 'number'}, 'name': {'type': 'string'}, 'offset': {'type': 'number'}, 'order': {'type': 'string'}, 'q': {'type': 'string'}}, 'type': 'object'}, description="""Retrieve a list of regions. The regions can be filtered by fields such as `id`. The regions can also be sorted or paginated."""), # SGFGOV/Medusa MCP Server/GetRegions
    Tool(name="""Medusa MCP Server_GetRegionsId""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'fields': {'type': 'string'}, 'id': {'type': 'string'}}, 'type': 'object'}, description="""Retrieve a region by its ID. You can expand the region's relations or select the fields that should be returned."""), # SGFGOV/Medusa MCP Server/GetRegionsId
    Tool(name="""Medusa MCP Server_PostReturn""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {}, 'type': 'object'}, description="""Create a return for an order's items. The admin receives the return and process it from their side."""), # SGFGOV/Medusa MCP Server/PostReturn
    Tool(name="""Medusa MCP Server_GetReturnReasons""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'fields': {'type': 'string'}, 'limit': {'type': 'number'}, 'offset': {'type': 'number'}, 'order': {'type': 'string'}}, 'type': 'object'}, description="""Retrieve a list of return reasons. The return reasons can be sorted or paginated."""), # SGFGOV/Medusa MCP Server/GetReturnReasons
    Tool(name="""Medusa MCP Server_GetReturnReasonsId""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'fields': {'type': 'string'}, 'id': {'type': 'string'}}, 'type': 'object'}, description="""Retrieve a return reason by its ID. You can expand the return reason's relations or select the fields that should be returned."""), # SGFGOV/Medusa MCP Server/GetReturnReasonsId
    Tool(name="""Medusa MCP Server_GetShippingOptions""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'$and': {'items': {'type': 'string'}, 'type': 'array'}, '$or': {'items': {'type': 'string'}, 'type': 'array'}, 'cart_id': {'type': 'string'}, 'fields': {'type': 'string'}, 'is_return': {'type': 'boolean'}, 'limit': {'type': 'number'}, 'offset': {'type': 'number'}, 'order': {'type': 'string'}}, 'type': 'object'}, description="""Retrieve a list of shipping options for a cart. The cart's ID is set in the required `cart_id` query parameter.\n\nThe shipping options also be sorted or paginated.\n"""), # SGFGOV/Medusa MCP Server/GetShippingOptions
    Tool(name="""Medusa MCP Server_PostShippingOptionsIdCalculate""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'fields': {'type': 'string'}, 'id': {'type': 'string'}}, 'type': 'object'}, description="""Calculate the price of a shipping option in a cart."""), # SGFGOV/Medusa MCP Server/PostShippingOptionsIdCalculate
    Tool(name="""Medusa MCP Server_AdminGetApiKeys""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'$and': {'items': {'type': 'string'}, 'type': 'array'}, '$or': {'items': {'type': 'string'}, 'type': 'array'}, 'created_at': {'additionalProperties': False, 'properties': {}, 'type': 'object'}, 'deleted_at': {'additionalProperties': False, 'properties': {}, 'type': 'object'}, 'fields': {'type': 'string'}, 'id': {'type': 'string'}, 'limit': {'type': 'number'}, 'offset': {'type': 'number'}, 'order': {'type': 'string'}, 'q': {'type': 'string'}, 'revoked_at': {'additionalProperties': False, 'properties': {}, 'type': 'object'}, 'title': {'type': 'string'}, 'token': {'type': 'string'}, 'type': {'type': 'string'}, 'updated_at': {'additionalProperties': False, 'properties': {}, 'type': 'object'}}, 'type': 'object'}, description="""This tool helps store administors. Retrieve a list of API keys. The API keys can be filtered by fields such as `id`. The API keys can also be sorted or paginated."""), # SGFGOV/Medusa MCP Server/AdminGetApiKeys
    Tool(name="""Medusa MCP Server_AdminGetApiKeysId""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'fields': {'type': 'string'}, 'id': {'type': 'string'}}, 'type': 'object'}, description="""This tool helps store administors. Retrieve an API key by its ID. You can expand the API key's relations or select the fields that should be returned using the query parameters."""), # SGFGOV/Medusa MCP Server/AdminGetApiKeysId
    Tool(name="""Medusa MCP Server_AdminPostApiKeysIdRevoke""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'fields': {'type': 'string'}, 'id': {'type': 'string'}}, 'type': 'object'}, description="""This tool helps store administors. Revokes an API key. If the API key is a secret, it can't be used for authentication anymore. If it's publishable, it can't be used by client applications.\n"""), # SGFGOV/Medusa MCP Server/AdminPostApiKeysIdRevoke
    Tool(name="""Medusa MCP Server_AdminPostApiKeysIdSalesChannels""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'fields': {'type': 'string'}, 'id': {'type': 'string'}}, 'type': 'object'}, description="""This tool helps store administors. Manage the sales channels of a publishable API key, either to associate them or remove them from the API key."""), # SGFGOV/Medusa MCP Server/AdminPostApiKeysIdSalesChannels
    Tool(name="""Medusa MCP Server_AdminGetCampaigns""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'fields': {'type': 'string'}, 'limit': {'type': 'number'}, 'offset': {'type': 'number'}, 'order': {'type': 'string'}}, 'type': 'object'}, description="""This tool helps store administors. Retrieve a list of campaigns. The campaigns can be filtered by fields such as `id`. The campaigns can also be sorted or paginated."""), # SGFGOV/Medusa MCP Server/AdminGetCampaigns
    Tool(name="""Medusa MCP Server_AdminGetCampaignsId""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'fields': {'type': 'string'}, 'id': {'type': 'string'}}, 'type': 'object'}, description="""This tool helps store administors. Retrieve a campaign by its ID. You can expand the campaign's relations or select the fields that should be returned using the query parameters."""), # SGFGOV/Medusa MCP Server/AdminGetCampaignsId
    Tool(name="""Medusa MCP Server_AdminPostCampaignsIdPromotions""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'fields': {'type': 'string'}, 'id': {'type': 'string'}}, 'type': 'object'}, description="""This tool helps store administors. Manage the promotions of a campaign, either by adding them or removing them from the campaign."""), # SGFGOV/Medusa MCP Server/AdminPostCampaignsIdPromotions
    Tool(name="""Medusa MCP Server_AdminGetClaims""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'$and': {'items': {'type': 'string'}, 'type': 'array'}, '$or': {'items': {'type': 'string'}, 'type': 'array'}, 'created_at': {'additionalProperties': False, 'properties': {}, 'type': 'object'}, 'deleted_at': {'additionalProperties': False, 'properties': {}, 'type': 'object'}, 'fields': {'type': 'string'}, 'id': {'type': 'string'}, 'limit': {'type': 'number'}, 'offset': {'type': 'number'}, 'order': {'type': 'string'}, 'order_id': {'type': 'string'}, 'q': {'type': 'string'}, 'status': {'type': 'string'}, 'updated_at': {'additionalProperties': False, 'properties': {}, 'type': 'object'}}, 'type': 'object'}, description="""This tool helps store administors. Retrieve a list of claims. The claims can be filtered by fields such as `id`. The claims can also be sorted or paginated."""), # SGFGOV/Medusa MCP Server/AdminGetClaims
    Tool(name="""Medusa MCP Server_AdminGetClaimsId""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'fields': {'type': 'string'}, 'id': {'type': 'string'}}, 'type': 'object'}, description="""This tool helps store administors. Retrieve a claim by its ID. You can expand the claim's relations or select the fields that should be returned using the query parameters."""), # SGFGOV/Medusa MCP Server/AdminGetClaimsId
    Tool(name="""Medusa MCP Server_AdminPostClaimsIdCancel""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'id': {'type': 'string'}}, 'type': 'object'}, description="""This tool helps store administors. Cancel a claim and its associated return."""), # SGFGOV/Medusa MCP Server/AdminPostClaimsIdCancel
    Tool(name="""Medusa MCP Server_AdminPostClaimsIdClaimItems""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'fields': {'type': 'string'}, 'id': {'type': 'string'}}, 'type': 'object'}, description="""This tool helps store administors. Add order items to a claim as claim items. These claim items will have the action `WRITE_OFF_ITEM`."""), # SGFGOV/Medusa MCP Server/AdminPostClaimsIdClaimItems
    Tool(name="""Medusa MCP Server_AdminPostClaimsIdClaimItemsAction_id""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'action_id': {'type': 'string'}, 'fields': {'type': 'string'}, 'id': {'type': 'string'}}, 'type': 'object'}, description="""This tool helps store administors. Update an order item in a claim by the ID of the item's `WRITE_OFF_ITEM` action.\n\nEvery item has an `actions` property, whose value is an array of actions. You can check the action's name using its `action` property, and use the value of the `id` property.\n"""), # SGFGOV/Medusa MCP Server/AdminPostClaimsIdClaimItemsAction_id
    Tool(name="""Medusa MCP Server_AdminPostClaimsIdInboundItems""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'id': {'type': 'string'}}, 'type': 'object'}, description="""This tool helps store administors. Add inbound (or return) items to a claim. These inbound items will have a `RETURN_ITEM` action.\n"""), # SGFGOV/Medusa MCP Server/AdminPostClaimsIdInboundItems
    Tool(name="""Medusa MCP Server_AdminPostClaimsIdInboundItemsAction_id""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'action_id': {'type': 'string'}, 'id': {'type': 'string'}}, 'type': 'object'}, description="""This tool helps store administors. Update an inbound (or return) item of a claim using the `ID` of the item's `RETURN_ITEM` action.\n\nEvery item has an `actions` property, whose value is an array of actions. You can check the action's name using its `action` property, and use the value of the `id` property.\n"""), # SGFGOV/Medusa MCP Server/AdminPostClaimsIdInboundItemsAction_id
    Tool(name="""Medusa MCP Server_AdminPostClaimsIdInboundShippingMethod""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'id': {'type': 'string'}}, 'type': 'object'}, description="""This tool helps store administors. Add an inbound (or return) shipping method to a claim. The inbound shipping method will have a `SHIPPING_ADD` action.\n"""), # SGFGOV/Medusa MCP Server/AdminPostClaimsIdInboundShippingMethod
    Tool(name="""Medusa MCP Server_AdminPostClaimsIdInboundShippingMethodAction_id""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'action_id': {'type': 'string'}, 'fields': {'type': 'string'}, 'id': {'type': 'string'}}, 'type': 'object'}, description="""This tool helps store administors. Update the shipping method for returning items in the claim using the `ID` of the method's `SHIPPING_ADD` action.\n\nEvery shipping method has an `actions` property, whose value is an array of actions. You can check the action's name using its `action` property, and use the value of the `id` property.\n"""), # SGFGOV/Medusa MCP Server/AdminPostClaimsIdInboundShippingMethodAction_id
    Tool(name="""Medusa MCP Server_AdminPostClaimsIdOutboundItems""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'fields': {'type': 'string'}, 'id': {'type': 'string'}}, 'type': 'object'}, description="""This tool helps store administors. Add outbound (or new) items to a claim. These outbound items will have an `ITEM_ADD` action.\n"""), # SGFGOV/Medusa MCP Server/AdminPostClaimsIdOutboundItems
    Tool(name="""Medusa MCP Server_AdminPostClaimsIdOutboundItemsAction_id""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'action_id': {'type': 'string'}, 'fields': {'type': 'string'}, 'id': {'type': 'string'}}, 'type': 'object'}, description="""This tool helps store administors. Update an outbound (or new) item of a claim using the `ID` of the item's `ITEM_ADD` action.\n\nEvery item has an `actions` property, whose value is an array of actions. You can check the action's name using its `action` property, and use the value of the `id` property.\n"""), # SGFGOV/Medusa MCP Server/AdminPostClaimsIdOutboundItemsAction_id
    Tool(name="""Medusa MCP Server_AdminPostClaimsIdRequest""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'fields': {'type': 'string'}, 'id': {'type': 'string'}}, 'type': 'object'}, description="""This tool helps store administors. Confirm a claim request, applying its changes on the associated order."""), # SGFGOV/Medusa MCP Server/AdminPostClaimsIdRequest
    Tool(name="""Medusa MCP Server_AdminPostClaimsIdOutboundShippingMethod""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'fields': {'type': 'string'}, 'id': {'type': 'string'}}, 'type': 'object'}, description="""This tool helps store administors. Add an outbound shipping method to a claim. The outbound shipping method will have a `SHIPPING_ADD` action.\n"""), # SGFGOV/Medusa MCP Server/AdminPostClaimsIdOutboundShippingMethod
    Tool(name="""Medusa MCP Server_AdminPostClaimsIdOutboundShippingMethodAction_id""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'action_id': {'type': 'string'}, 'fields': {'type': 'string'}, 'id': {'type': 'string'}}, 'type': 'object'}, description="""This tool helps store administors. Update the shipping method for delivering outbound items in a claim using the `ID` of the method's `SHIPPING_ADD` action.\n\nEvery shipping method has an `actions` property, whose value is an array of actions. You can check the action's name using its `action` property, and use the value of the `id` property.\n"""), # SGFGOV/Medusa MCP Server/AdminPostClaimsIdOutboundShippingMethodAction_id
    Tool(name="""Medusa MCP Server_AdminGetCollections""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'$and': {'items': {'type': 'string'}, 'type': 'array'}, '$or': {'items': {'type': 'string'}, 'type': 'array'}, 'created_at': {'additionalProperties': False, 'properties': {}, 'type': 'object'}, 'deleted_at': {'additionalProperties': False, 'properties': {}, 'type': 'object'}, 'fields': {'type': 'string'}, 'handle': {'type': 'string'}, 'id': {'type': 'string'}, 'limit': {'type': 'number'}, 'offset': {'type': 'number'}, 'order': {'type': 'string'}, 'q': {'type': 'string'}, 'title': {'type': 'string'}, 'updated_at': {'additionalProperties': False, 'properties': {}, 'type': 'object'}}, 'type': 'object'}, description="""This tool helps store administors. Retrieve a list of collections. The collections can be filtered by fields such as `id`. The collections can also be sorted or paginated."""), # SGFGOV/Medusa MCP Server/AdminGetCollections
    Tool(name="""Medusa MCP Server_AdminGetCollectionsId""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'fields': {'type': 'string'}, 'id': {'type': 'string'}}, 'type': 'object'}, description="""This tool helps store administors. Retrieve a collection by its ID. You can expand the collection's relations or select the fields that should be returned using the query parameters."""), # SGFGOV/Medusa MCP Server/AdminGetCollectionsId
    Tool(name="""Medusa MCP Server_AdminPostCollectionsIdProducts""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'fields': {'type': 'string'}, 'id': {'type': 'string'}}, 'type': 'object'}, description="""This tool helps store administors. Manage the products of a collection by adding or removing them from the collection."""), # SGFGOV/Medusa MCP Server/AdminPostCollectionsIdProducts
    Tool(name="""Medusa MCP Server_AdminGetCurrencies""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'$and': {'items': {'type': 'string'}, 'type': 'array'}, '$or': {'items': {'type': 'string'}, 'type': 'array'}, 'code': {'type': 'string'}, 'fields': {'type': 'string'}, 'limit': {'type': 'number'}, 'offset': {'type': 'number'}, 'order': {'type': 'string'}, 'q': {'type': 'string'}}, 'type': 'object'}, description="""This tool helps store administors. Retrieve a list of currencies. The currencies can be filtered by fields such as `id`. The currencies can also be sorted or paginated."""), # SGFGOV/Medusa MCP Server/AdminGetCurrencies
    Tool(name="""Medusa MCP Server_AdminGetCurrenciesCode""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'code': {'type': 'string'}, 'fields': {'type': 'string'}}, 'type': 'object'}, description="""This tool helps store administors. Retrieve a currency by its code. You can expand the currency's relations or select the fields that should be returned using the query parameters."""), # SGFGOV/Medusa MCP Server/AdminGetCurrenciesCode
    Tool(name="""Medusa MCP Server_AdminGetCustomerGroups""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'$and': {'items': {'type': 'string'}, 'type': 'array'}, '$or': {'items': {'type': 'string'}, 'type': 'array'}, 'created_at': {'additionalProperties': False, 'properties': {}, 'type': 'object'}, 'created_by': {'type': 'string'}, 'customers': {'type': 'string'}, 'deleted_at': {'additionalProperties': False, 'properties': {}, 'type': 'object'}, 'fields': {'type': 'string'}, 'id': {'type': 'string'}, 'limit': {'type': 'number'}, 'name': {'type': 'string'}, 'offset': {'type': 'number'}, 'order': {'type': 'string'}, 'q': {'type': 'string'}, 'updated_at': {'additionalProperties': False, 'properties': {}, 'type': 'object'}}, 'type': 'object'}, description="""This tool helps store administors. Retrieve a list of customer groups. The customer groups can be filtered by fields such as `id`. The customer groups can also be sorted or paginated."""), # SGFGOV/Medusa MCP Server/AdminGetCustomerGroups
    Tool(name="""Medusa MCP Server_AdminGetCustomerGroupsId""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'fields': {'type': 'string'}, 'id': {'type': 'string'}}, 'type': 'object'}, description="""This tool helps store administors. Retrieve a customer group by its ID. You can expand the customer group's relations or select the fields that should be returned."""), # SGFGOV/Medusa MCP Server/AdminGetCustomerGroupsId
    Tool(name="""Medusa MCP Server_AdminPostCustomerGroupsIdCustomers""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'fields': {'type': 'string'}, 'id': {'type': 'string'}}, 'type': 'object'}, description="""This tool helps store administors. Manage the customers of a group to add or remove them from the group."""), # SGFGOV/Medusa MCP Server/AdminPostCustomerGroupsIdCustomers
    Tool(name="""Medusa MCP Server_AdminGetCustomers""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'$and': {'items': {'type': 'string'}, 'type': 'array'}, '$or': {'items': {'type': 'string'}, 'type': 'array'}, 'company_name': {'type': 'string'}, 'created_at': {'additionalProperties': False, 'properties': {}, 'type': 'object'}, 'created_by': {'type': 'string'}, 'deleted_at': {'additionalProperties': False, 'properties': {}, 'type': 'object'}, 'email': {'type': 'string'}, 'fields': {'type': 'string'}, 'first_name': {'type': 'string'}, 'groups': {'type': 'string'}, 'has_account': {'type': 'boolean'}, 'id': {'type': 'string'}, 'last_name': {'type': 'string'}, 'limit': {'type': 'number'}, 'offset': {'type': 'number'}, 'order': {'type': 'string'}, 'q': {'type': 'string'}, 'updated_at': {'additionalProperties': False, 'properties': {}, 'type': 'object'}}, 'type': 'object'}, description="""This tool helps store administors. Retrieve a list of customers. The customers can be filtered by fields such as `id`. The customers can also be sorted or paginated."""), # SGFGOV/Medusa MCP Server/AdminGetCustomers
    Tool(name="""Medusa MCP Server_AdminGetCustomersId""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'fields': {'type': 'string'}, 'id': {'type': 'string'}}, 'type': 'object'}, description="""This tool helps store administors. Retrieve a customer by its ID. You can expand the customer's relations or select the fields that should be returned."""), # SGFGOV/Medusa MCP Server/AdminGetCustomersId
    Tool(name="""Medusa MCP Server_AdminPostExchangesIdOutboundShippingMethod""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'fields': {'type': 'string'}, 'id': {'type': 'string'}}, 'type': 'object'}, description="""This tool helps store administors. Add an outbound shipping method to an exchange. The outbound shipping method will have a `SHIPPING_ADD` action."""), # SGFGOV/Medusa MCP Server/AdminPostExchangesIdOutboundShippingMethod
    Tool(name="""Medusa MCP Server_AdminGetCustomersIdAddresses""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'$and': {'items': {'type': 'string'}, 'type': 'array'}, '$or': {'items': {'type': 'string'}, 'type': 'array'}, 'city': {'type': 'string'}, 'company': {'type': 'string'}, 'country_code': {'type': 'string'}, 'fields': {'type': 'string'}, 'id': {'type': 'string'}, 'limit': {'type': 'number'}, 'offset': {'type': 'number'}, 'order': {'type': 'string'}, 'postal_code': {'type': 'string'}, 'province': {'type': 'string'}, 'q': {'type': 'string'}}, 'type': 'object'}, description="""This tool helps store administors. Retrieve a list of addresses in a customer. The addresses can be filtered by fields like `query`. The addresses can also be paginated."""), # SGFGOV/Medusa MCP Server/AdminGetCustomersIdAddresses
    Tool(name="""Medusa MCP Server_AdminGetCustomersIdAddressesAddress_id""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'address_id': {'type': 'string'}, 'fields': {'type': 'string'}, 'id': {'type': 'string'}}, 'type': 'object'}, description="""This tool helps store administors. Retrieve a list of a customer's addresses. The addresses can be filtered by fields like `company`. The addresses can also be paginated."""), # SGFGOV/Medusa MCP Server/AdminGetCustomersIdAddressesAddress_id
    Tool(name="""Medusa MCP Server_AdminPostCustomersIdCustomerGroups""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'fields': {'type': 'string'}, 'id': {'type': 'string'}}, 'type': 'object'}, description="""This tool helps store administors. Manage the customer groups of a customer, adding or removing the customer from those groups."""), # SGFGOV/Medusa MCP Server/AdminPostCustomersIdCustomerGroups
    Tool(name="""Medusa MCP Server_AdminGetDraftOrders""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'$and': {'items': {'type': 'string'}, 'type': 'array'}, '$or': {'items': {'type': 'string'}, 'type': 'array'}, 'created_at': {'additionalProperties': False, 'properties': {}, 'type': 'object'}, 'customer_id': {'type': 'string'}, 'fields': {'type': 'string'}, 'id': {'type': 'string'}, 'limit': {'type': 'number'}, 'offset': {'type': 'number'}, 'order': {'type': 'string'}, 'q': {'type': 'string'}, 'region_id': {'type': 'string'}, 'sales_channel_id': {'items': {'type': 'string'}, 'type': 'array'}, 'status': {'type': 'string'}, 'updated_at': {'additionalProperties': False, 'properties': {}, 'type': 'object'}}, 'type': 'object'}, description="""This tool helps store administors. Retrieve a list of draft orders. The draft orders can be filtered by fields such as `id`. The draft orders can also be sorted or paginated."""), # SGFGOV/Medusa MCP Server/AdminGetDraftOrders
    Tool(name="""Medusa MCP Server_AdminGetDraftOrdersId""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'fields': {'type': 'string'}, 'id': {'type': 'string'}}, 'type': 'object'}, description="""This tool helps store administors. Retrieve a draft order by its ID. You can expand the draft order's relations or select the fields that should be returned using the query parameters."""), # SGFGOV/Medusa MCP Server/AdminGetDraftOrdersId
    Tool(name="""Medusa MCP Server_AdminGetExchanges""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'created_at': {'additionalProperties': False, 'properties': {}, 'type': 'object'}, 'deleted_at': {'additionalProperties': False, 'properties': {}, 'type': 'object'}, 'fields': {'type': 'string'}, 'id': {'type': 'string'}, 'limit': {'type': 'number'}, 'offset': {'type': 'number'}, 'order': {'type': 'string'}, 'order_id': {'type': 'string'}, 'status': {'type': 'string'}, 'updated_at': {'additionalProperties': False, 'properties': {}, 'type': 'object'}}, 'type': 'object'}, description="""This tool helps store administors. Retrieve a list of exchanges. The exchanges can be filtered by fields such as `id`. The exchanges can also be sorted or paginated."""), # SGFGOV/Medusa MCP Server/AdminGetExchanges
    Tool(name="""Medusa MCP Server_AdminGetExchangesId""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'fields': {'type': 'string'}, 'id': {'type': 'string'}}, 'type': 'object'}, description="""This tool helps store administors. Retrieve an exchange by its ID. You can expand the exchange's relations or select the fields that should be returned using query parameters."""), # SGFGOV/Medusa MCP Server/AdminGetExchangesId
    Tool(name="""Medusa MCP Server_AdminPostExchangesIdCancel""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'id': {'type': 'string'}}, 'type': 'object'}, description="""This tool helps store administors. Cancel an exchange and its associated return."""), # SGFGOV/Medusa MCP Server/AdminPostExchangesIdCancel
    Tool(name="""Medusa MCP Server_AdminPostExchangesIdInboundItems""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'id': {'type': 'string'}}, 'type': 'object'}, description="""This tool helps store administors. Add inbound (or return) items to an exchange. These inbound items will have the action `RETURN_ITEM`."""), # SGFGOV/Medusa MCP Server/AdminPostExchangesIdInboundItems
    Tool(name="""Medusa MCP Server_AdminPostExchangesIdInboundItemsAction_id""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'action_id': {'type': 'string'}, 'id': {'type': 'string'}}, 'type': 'object'}, description="""This tool helps store administors. Update an inbound (or return) item from an exchange using the `ID` of the item's `RETURN_ITEM` action.\n\nEvery item has an `actions` property, whose value is an array of actions. You can check the action's name using its `action` property, and use the value of the `id` property.\n"""), # SGFGOV/Medusa MCP Server/AdminPostExchangesIdInboundItemsAction_id
    Tool(name="""Medusa MCP Server_AdminPostExchangesIdInboundShippingMethod""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'id': {'type': 'string'}}, 'type': 'object'}, description="""This tool helps store administors. Add an inbound (or return) shipping method to an exchange. The inbound shipping method will have a `SHIPPING_ADD` action."""), # SGFGOV/Medusa MCP Server/AdminPostExchangesIdInboundShippingMethod
    Tool(name="""Medusa MCP Server_AdminPostExchangesIdInboundShippingMethodAction_id""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'action_id': {'type': 'string'}, 'fields': {'type': 'string'}, 'id': {'type': 'string'}}, 'type': 'object'}, description="""This tool helps store administors. Update the shipping method for returning items in the exchange using the `ID` of the method's `SHIPPING_ADD` action.\n\nEvery shipping method has an `actions` property, whose value is an array of actions. You can check the action's name using its `action` property, and use the value of the `id` property.\n"""), # SGFGOV/Medusa MCP Server/AdminPostExchangesIdInboundShippingMethodAction_id
    Tool(name="""Medusa MCP Server_AdminPostExchangesIdOutboundItems""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'fields': {'type': 'string'}, 'id': {'type': 'string'}}, 'type': 'object'}, description="""This tool helps store administors. Add outbound (or new) items to an exchange. These outbound items will have the action `ITEM_ADD`."""), # SGFGOV/Medusa MCP Server/AdminPostExchangesIdOutboundItems
    Tool(name="""Medusa MCP Server_AdminPostExchangesIdOutboundItemsAction_id""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'action_id': {'type': 'string'}, 'fields': {'type': 'string'}, 'id': {'type': 'string'}}, 'type': 'object'}, description="""This tool helps store administors. Update an outbound (or new) item from an exchange using the `ID` of the item's `ITEM_ADD` action.\n\nEvery item has an `actions` property, whose value is an array of actions. You can check the action's name using its `action` property, and use the value of the `id` property.\n"""), # SGFGOV/Medusa MCP Server/AdminPostExchangesIdOutboundItemsAction_id
    Tool(name="""Medusa MCP Server_AdminPostExchangesIdOutboundShippingMethodAction_id""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'action_id': {'type': 'string'}, 'fields': {'type': 'string'}, 'id': {'type': 'string'}}, 'type': 'object'}, description="""This tool helps store administors. Update the shipping method for delivering outbound items in the exchange using the `ID` of the method's `SHIPPING_ADD` action.\n\nEvery shipping method has an `actions` property, whose value is an array of actions. You can check the action's name using its `action` property, and use the value of the `id` property.\n"""), # SGFGOV/Medusa MCP Server/AdminPostExchangesIdOutboundShippingMethodAction_id
    Tool(name="""Medusa MCP Server_AdminPostExchangesIdRequest""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'fields': {'type': 'string'}, 'id': {'type': 'string'}}, 'type': 'object'}, description="""This tool helps store administors. Confirm an exchange request, applying its changes on the associated order."""), # SGFGOV/Medusa MCP Server/AdminPostExchangesIdRequest
    Tool(name="""Medusa MCP Server_AdminPostOrderEdits""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {}, 'type': 'object'}, description="""This tool helps store administors. Create an order edit."""), # SGFGOV/Medusa MCP Server/AdminPostOrderEdits
    Tool(name="""Medusa MCP Server_AdminGetFulfillmentProviders""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'fields': {'type': 'string'}, 'id': {'type': 'string'}, 'is_enabled': {'type': 'boolean'}, 'limit': {'type': 'number'}, 'offset': {'type': 'number'}, 'order': {'type': 'string'}, 'q': {'type': 'string'}, 'stock_location_id': {'type': 'string'}}, 'type': 'object'}, description="""This tool helps store administors. Retrieve a list of fulfillment providers. The fulfillment providers can be filtered by fields such as `id`. The fulfillment providers can also be sorted or paginated."""), # SGFGOV/Medusa MCP Server/AdminGetFulfillmentProviders
    Tool(name="""Medusa MCP Server_AdminGetFulfillmentProvidersIdOptions""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'id': {'type': 'string'}}, 'type': 'object'}, description="""This tool helps store administors. Retrieve the list of fulfillment options of a fulfillment provider. These options may be retrieved from an integrated third-party service."""), # SGFGOV/Medusa MCP Server/AdminGetFulfillmentProvidersIdOptions
    Tool(name="""Medusa MCP Server_AdminDeleteFulfillmentSetsId""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'id': {'type': 'string'}}, 'type': 'object'}, description="""This tool helps store administors. Delete a fulfillment set."""), # SGFGOV/Medusa MCP Server/AdminDeleteFulfillmentSetsId
    Tool(name="""Medusa MCP Server_AdminPostFulfillmentSetsIdServiceZones""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'fields': {'type': 'string'}, 'id': {'type': 'string'}}, 'type': 'object'}, description="""This tool helps store administors. Add a service zone to a fulfillment set."""), # SGFGOV/Medusa MCP Server/AdminPostFulfillmentSetsIdServiceZones
    Tool(name="""Medusa MCP Server_AdminGetFulfillmentSetsIdServiceZonesZone_id""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'fields': {'type': 'string'}, 'id': {'type': 'string'}, 'zone_id': {'type': 'string'}}, 'type': 'object'}, description="""This tool helps store administors. Retrieve a service zone that belongs to a fulfillment set. be paginated."""), # SGFGOV/Medusa MCP Server/AdminGetFulfillmentSetsIdServiceZonesZone_id
    Tool(name="""Medusa MCP Server_AdminPostFulfillments""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'fields': {'type': 'string'}}, 'type': 'object'}, description="""This tool helps store administors. Create a fulfillment for an order, return, exchange, and more."""), # SGFGOV/Medusa MCP Server/AdminPostFulfillments
    Tool(name="""Medusa MCP Server_AdminPostFulfillmentsIdCancel""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'fields': {'type': 'string'}, 'id': {'type': 'string'}}, 'type': 'object'}, description="""This tool helps store administors. Cancel a fulfillment. The fulfillment can't be shipped or delivered.\n\nTo cancel the fulfillment, the `cancelFulfillment` method of the associated fulfillment provider is used.\n"""), # SGFGOV/Medusa MCP Server/AdminPostFulfillmentsIdCancel
    Tool(name="""Medusa MCP Server_AdminPostFulfillmentsIdShipment""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'fields': {'type': 'string'}, 'id': {'type': 'string'}}, 'type': 'object'}, description="""This tool helps store administors. Create a shipment for a fulfillment. The fulfillment must not be shipped or canceled."""), # SGFGOV/Medusa MCP Server/AdminPostFulfillmentsIdShipment
    Tool(name="""Medusa MCP Server_AdminGetInventoryItems""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'$and': {'items': {'type': 'string'}, 'type': 'array'}, '$or': {'items': {'type': 'string'}, 'type': 'array'}, 'fields': {'type': 'string'}, 'height': {'type': 'string'}, 'hs_code': {'type': 'string'}, 'id': {'type': 'string'}, 'length': {'type': 'string'}, 'limit': {'type': 'number'}, 'location_levels': {'additionalProperties': False, 'properties': {}, 'type': 'object'}, 'material': {'type': 'string'}, 'mid_code': {'type': 'string'}, 'offset': {'type': 'number'}, 'order': {'type': 'string'}, 'origin_country': {'type': 'string'}, 'q': {'type': 'string'}, 'requires_shipping': {'type': 'boolean'}, 'sku': {'type': 'string'}, 'weight': {'type': 'string'}, 'width': {'type': 'string'}}, 'type': 'object'}, description="""This tool helps store administors. Retrieve a list of inventory items. The inventory items can be filtered by fields such as `id`. The inventory items can also be sorted or paginated."""), # SGFGOV/Medusa MCP Server/AdminGetInventoryItems
    Tool(name="""Medusa MCP Server_AdminDeleteOrderEditsId""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'id': {'type': 'string'}}, 'type': 'object'}, description="""This tool helps store administors. Cancel an order edit."""), # SGFGOV/Medusa MCP Server/AdminDeleteOrderEditsId
    Tool(name="""Medusa MCP Server_AdminPostInventoryItemsLocationLevelsBatch""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {}, 'type': 'object'}, description="""This tool helps store administors. Manage inventory levels to create, update, or delete them."""), # SGFGOV/Medusa MCP Server/AdminPostInventoryItemsLocationLevelsBatch
    Tool(name="""Medusa MCP Server_AdminGetInventoryItemsId""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'fields': {'type': 'string'}, 'id': {'type': 'string'}}, 'type': 'object'}, description="""This tool helps store administors. Retrieve a inventory item by its ID. You can expand the inventory item's relations or select the fields that should be returned."""), # SGFGOV/Medusa MCP Server/AdminGetInventoryItemsId
    Tool(name="""Medusa MCP Server_AdminGetInventoryItemsIdLocationLevels""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'$and': {'items': {'type': 'string'}, 'type': 'array'}, '$or': {'items': {'type': 'string'}, 'type': 'array'}, 'fields': {'type': 'string'}, 'id': {'type': 'string'}, 'limit': {'type': 'number'}, 'offset': {'type': 'number'}, 'order': {'type': 'string'}}, 'type': 'object'}, description="""This tool helps store administors. Retrieve a list of inventory levels associated with an inventory item. The inventory levels can be filtered by fields like `location_id`. The inventory levels can also be paginated."""), # SGFGOV/Medusa MCP Server/AdminGetInventoryItemsIdLocationLevels
    Tool(name="""Medusa MCP Server_AdminPostInventoryItemsIdLocationLevelsBatch""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'id': {'type': 'string'}}, 'type': 'object'}, description="""This tool helps store administors. Manage the inventory levels of an inventory item to create or delete them."""), # SGFGOV/Medusa MCP Server/AdminPostInventoryItemsIdLocationLevelsBatch
    Tool(name="""Medusa MCP Server_AdminPostInventoryItemsIdLocationLevelsLocation_id""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'fields': {'type': 'string'}, 'id': {'type': 'string'}, 'location_id': {'type': 'string'}}, 'type': 'object'}, description="""This tool helps store administors. Updates the details of an inventory item's inventory level using its associated location ID."""), # SGFGOV/Medusa MCP Server/AdminPostInventoryItemsIdLocationLevelsLocation_id
    Tool(name="""Medusa MCP Server_AdminGetInvites""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'$and': {'items': {'type': 'string'}, 'type': 'array'}, '$or': {'items': {'type': 'string'}, 'type': 'array'}, 'created_at': {'additionalProperties': False, 'properties': {}, 'type': 'object'}, 'deleted_at': {'additionalProperties': False, 'properties': {}, 'type': 'object'}, 'email': {'type': 'string'}, 'fields': {'type': 'string'}, 'id': {'type': 'string'}, 'limit': {'type': 'number'}, 'offset': {'type': 'number'}, 'order': {'type': 'string'}, 'q': {'type': 'string'}, 'updated_at': {'additionalProperties': False, 'properties': {}, 'type': 'object'}}, 'type': 'object'}, description="""This tool helps store administors. Retrieve a list of invites. The invites can be filtered by fields such as `id`. The invites can also be sorted or paginated."""), # SGFGOV/Medusa MCP Server/AdminGetInvites
    Tool(name="""Medusa MCP Server_AdminPostInvitesAccept""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {}, 'type': 'object'}, description="""This tool helps store administors. Accept an invite and create a new user.\nSince the user isn't created yet, the JWT token used in the authorization header is retrieved from the `/auth/user/emailpass/register` API route (or a provider other than `emailpass`). The user can then authenticate using the `/auth/user/emailpass` API route.\n"""), # SGFGOV/Medusa MCP Server/AdminPostInvitesAccept
    Tool(name="""Medusa MCP Server_AdminGetInvitesId""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'fields': {'type': 'string'}, 'id': {'type': 'string'}}, 'type': 'object'}, description="""This tool helps store administors. Retrieve an invite by its ID. You can expand the invite's relations or select the fields that should be returned."""), # SGFGOV/Medusa MCP Server/AdminGetInvitesId
    Tool(name="""Medusa MCP Server_AdminPostInvitesIdResend""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'fields': {'type': 'string'}, 'id': {'type': 'string'}}, 'type': 'object'}, description="""This tool helps store administors. Refresh the token of an invite."""), # SGFGOV/Medusa MCP Server/AdminPostInvitesIdResend
    Tool(name="""Medusa MCP Server_AdminGetNotifications""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'$and': {'items': {'type': 'string'}, 'type': 'array'}, '$or': {'items': {'type': 'string'}, 'type': 'array'}, 'channel': {'type': 'string'}, 'fields': {'type': 'string'}, 'id': {'type': 'string'}, 'limit': {'type': 'number'}, 'offset': {'type': 'number'}, 'order': {'type': 'string'}, 'q': {'type': 'string'}}, 'type': 'object'}, description="""This tool helps store administors. Retrieve a list of notifications. The notifications can be filtered by fields such as `id`. The notifications can also be sorted or paginated."""), # SGFGOV/Medusa MCP Server/AdminGetNotifications
    Tool(name="""Medusa MCP Server_AdminGetNotificationsId""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'fields': {'type': 'string'}, 'id': {'type': 'string'}}, 'type': 'object'}, description="""This tool helps store administors. Retrieve a notification by its ID. You can expand the notification's relations or select the fields that should be returned."""), # SGFGOV/Medusa MCP Server/AdminGetNotificationsId
    Tool(name="""Medusa MCP Server_AdminPostOrderEditsIdConfirm""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'id': {'type': 'string'}}, 'type': 'object'}, description="""This tool helps store administors. Confirm an order edit request and apply the changes on the order."""), # SGFGOV/Medusa MCP Server/AdminPostOrderEditsIdConfirm
    Tool(name="""Medusa MCP Server_AdminPostOrderEditsIdItems""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'id': {'type': 'string'}}, 'type': 'object'}, description="""This tool helps store administors. Add new items to an order edit. These items will have the action `ITEM_ADD`."""), # SGFGOV/Medusa MCP Server/AdminPostOrderEditsIdItems
    Tool(name="""Medusa MCP Server_AdminPostOrderEditsIdItemsItemItem_id""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'id': {'type': 'string'}, 'item_id': {'type': 'string'}}, 'type': 'object'}, description="""This tool helps store administors. Update an existing order item's quantity of an order edit."""), # SGFGOV/Medusa MCP Server/AdminPostOrderEditsIdItemsItemItem_id
    Tool(name="""Medusa MCP Server_AdminPostOrderEditsIdItemsAction_id""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'action_id': {'type': 'string'}, 'id': {'type': 'string'}}, 'type': 'object'}, description="""This tool helps store administors. Update an added item in the order edit by the ID of the item's `ITEM_ADD` action.\n\nEvery item has an `actions` property, whose value is an array of actions. You can check the action's name using its `action` property, and use the value of the `id` property.\n"""), # SGFGOV/Medusa MCP Server/AdminPostOrderEditsIdItemsAction_id
    Tool(name="""Medusa MCP Server_AdminPostOrderEditsIdRequest""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'id': {'type': 'string'}}, 'type': 'object'}, description="""This tool helps store administors. Change the status of an active order edit to requested."""), # SGFGOV/Medusa MCP Server/AdminPostOrderEditsIdRequest
    Tool(name="""Medusa MCP Server_AdminPostOrderEditsIdShippingMethod""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'id': {'type': 'string'}}, 'type': 'object'}, description="""This tool helps store administors. Add a shipping method to an exchange. The shipping method will have a `SHIPPING_ADD` action."""), # SGFGOV/Medusa MCP Server/AdminPostOrderEditsIdShippingMethod
    Tool(name="""Medusa MCP Server_AdminPostOrderEditsIdShippingMethodAction_id""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'action_id': {'type': 'string'}, 'id': {'type': 'string'}}, 'type': 'object'}, description="""This tool helps store administors. Update a shipping method in the order edit by the ID of the method's `SHIPPING_ADD` action.\n\nEvery shipping method has an `actions` property, whose value is an array of actions. You can check the action's name using its `action` property, and use the value of the `id` property.\n"""), # SGFGOV/Medusa MCP Server/AdminPostOrderEditsIdShippingMethodAction_id
    Tool(name="""Medusa MCP Server_AdminGetOrders""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'$and': {'items': {'type': 'string'}, 'type': 'array'}, '$or': {'items': {'type': 'string'}, 'type': 'array'}, 'created_at': {'additionalProperties': False, 'properties': {}, 'type': 'object'}, 'customer_id': {'type': 'string'}, 'fields': {'type': 'string'}, 'id': {'type': 'string'}, 'limit': {'type': 'number'}, 'offset': {'type': 'number'}, 'order': {'type': 'string'}, 'q': {'type': 'string'}, 'region_id': {'type': 'string'}, 'sales_channel_id': {'items': {'type': 'string'}, 'type': 'array'}, 'status': {'type': 'string'}, 'updated_at': {'additionalProperties': False, 'properties': {}, 'type': 'object'}}, 'type': 'object'}, description="""This tool helps store administors. Retrieve a list of orders. The orders can be filtered by fields such as `id`. The orders can also be sorted or paginated."""), # SGFGOV/Medusa MCP Server/AdminGetOrders
    Tool(name="""Medusa MCP Server_AdminGetOrdersId""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'created_at': {'type': 'string'}, 'deleted_at': {'type': 'string'}, 'fields': {'type': 'string'}, 'id': {'type': 'string'}, 'status': {'type': 'string'}, 'updated_at': {'type': 'string'}, 'version': {'type': 'number'}}, 'type': 'object'}, description="""This tool helps store administors. Retrieve an order by its ID. You can expand the order's relations or select the fields that should be returned."""), # SGFGOV/Medusa MCP Server/AdminGetOrdersId
    Tool(name="""Medusa MCP Server_AdminPostOrdersIdArchive""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'fields': {'type': 'string'}, 'id': {'type': 'string'}}, 'type': 'object'}, description="""This tool helps store administors. Change the status of an order to archived."""), # SGFGOV/Medusa MCP Server/AdminPostOrdersIdArchive
    Tool(name="""Medusa MCP Server_AdminPostOrdersIdCancel""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'fields': {'type': 'string'}, 'id': {'type': 'string'}}, 'type': 'object'}, description="""This tool helps store administors. Cancel an order. The cancelation fails if:\n- The order has captured payments.\n\n\n- The order has refund payments.\n\n\n- The order has fulfillments that aren't canceled.\n"""), # SGFGOV/Medusa MCP Server/AdminPostOrdersIdCancel
    Tool(name="""Medusa MCP Server_AdminGetOrdersIdChanges""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'fields': {'type': 'string'}, 'id': {'type': 'string'}}, 'type': 'object'}, description="""This tool helps store administors. Retrieve a list of changes made on an order, including returns, exchanges, etc...\n\nThe changes can be filtered by fields like FILTER FIELDS. The changes can also be paginated.\n"""), # SGFGOV/Medusa MCP Server/AdminGetOrdersIdChanges
    Tool(name="""Medusa MCP Server_AdminPostOrdersIdComplete""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'fields': {'type': 'string'}, 'id': {'type': 'string'}}, 'type': 'object'}, description="""This tool helps store administors. Mark an order as completed."""), # SGFGOV/Medusa MCP Server/AdminPostOrdersIdComplete
    Tool(name="""Medusa MCP Server_AdminPostOrdersIdFulfillments""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'fields': {'type': 'string'}, 'id': {'type': 'string'}}, 'type': 'object'}, description="""This tool helps store administors. Create a fulfillment for an order. The creation fails if the order is canceled."""), # SGFGOV/Medusa MCP Server/AdminPostOrdersIdFulfillments
    Tool(name="""Medusa MCP Server_AdminPostOrdersIdFulfillmentsFulfillment_idCancel""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'fields': {'type': 'string'}, 'fulfillment_id': {'type': 'string'}, 'id': {'type': 'string'}}, 'type': 'object'}, description="""This tool helps store administors. Cancel an order's fulfillment. The fulfillment can't be canceled if it's shipped."""), # SGFGOV/Medusa MCP Server/AdminPostOrdersIdFulfillmentsFulfillment_idCancel
    Tool(name="""Medusa MCP Server_AdminPostOrdersIdFulfillmentsFulfillment_idMarkAsDelivered""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'fields': {'type': 'string'}, 'fulfillment_id': {'type': 'string'}, 'id': {'type': 'string'}}, 'type': 'object'}, description="""This tool helps store administors. Mark an order's fulfillment as delivered."""), # SGFGOV/Medusa MCP Server/AdminPostOrdersIdFulfillmentsFulfillment_idMarkAsDelivered
    Tool(name="""Medusa MCP Server_AdminPostOrdersIdFulfillmentsFulfillment_idShipments""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'fields': {'type': 'string'}, 'fulfillment_id': {'type': 'string'}, 'id': {'type': 'string'}}, 'type': 'object'}, description="""This tool helps store administors. Create a shipment for an order's fulfillment."""), # SGFGOV/Medusa MCP Server/AdminPostOrdersIdFulfillmentsFulfillment_idShipments
    Tool(name="""Medusa MCP Server_AdminGetOrdersIdLineItems""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'fields': {'type': 'string'}, 'id': {'type': 'string'}, 'item_id': {'type': 'string'}, 'limit': {'type': 'number'}, 'offset': {'type': 'number'}, 'order': {'type': 'string'}, 'order_id': {'type': 'string'}, 'version': {'type': 'string'}}, 'type': 'object'}, description="""This tool helps store administors. Retrieve a list of line items in a order. The line items can be filtered by fields like FILTER FIELDS. The line items can also be paginated."""), # SGFGOV/Medusa MCP Server/AdminGetOrdersIdLineItems
    Tool(name="""Medusa MCP Server_AdminGetOrdersIdPreview""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'id': {'type': 'string'}}, 'type': 'object'}, description="""This tool helps store administors. Retrieve a preview of an order using its associated change, such as an edit."""), # SGFGOV/Medusa MCP Server/AdminGetOrdersIdPreview
    Tool(name="""Medusa MCP Server_AdminPostOrdersIdTransfer""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'fields': {'type': 'string'}, 'id': {'type': 'string'}}, 'type': 'object'}, description="""This tool helps store administors. Request an order to be transfered to another customer. The transfer is confirmed by sending a request to the [Accept Order Transfer](https://docs.medusajs.com/api/store#orders_postordersidtransferaccept) Store API route."""), # SGFGOV/Medusa MCP Server/AdminPostOrdersIdTransfer
    Tool(name="""Medusa MCP Server_AdminPostOrdersIdTransferCancel""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'fields': {'type': 'string'}, 'id': {'type': 'string'}}, 'type': 'object'}, description="""This tool helps store administors. Cancel a request to transfer an order to another customer."""), # SGFGOV/Medusa MCP Server/AdminPostOrdersIdTransferCancel
    Tool(name="""Medusa MCP Server_AdminPostPaymentCollections""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'fields': {'type': 'string'}}, 'type': 'object'}, description="""This tool helps store administors. Create a payment collection."""), # SGFGOV/Medusa MCP Server/AdminPostPaymentCollections
    Tool(name="""Medusa MCP Server_AdminDeletePaymentCollectionsId""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'id': {'type': 'string'}}, 'type': 'object'}, description="""This tool helps store administors. Delete a payment collection."""), # SGFGOV/Medusa MCP Server/AdminDeletePaymentCollectionsId
    Tool(name="""Medusa MCP Server_AdminPostPaymentCollectionsIdMarkAsPaid""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'fields': {'type': 'string'}, 'id': {'type': 'string'}}, 'type': 'object'}, description="""This tool helps store administors. Mark a payment collection as paid. This creates and authorizes a payment session, then capture its payment, using the manual payment provider."""), # SGFGOV/Medusa MCP Server/AdminPostPaymentCollectionsIdMarkAsPaid
    Tool(name="""Medusa MCP Server_AdminGetPayments""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'$and': {'items': {'type': 'string'}, 'type': 'array'}, '$or': {'items': {'type': 'string'}, 'type': 'array'}, 'created_at': {'additionalProperties': False, 'properties': {}, 'type': 'object'}, 'deleted_at': {'additionalProperties': False, 'properties': {}, 'type': 'object'}, 'fields': {'type': 'string'}, 'id': {'type': 'string'}, 'limit': {'type': 'number'}, 'offset': {'type': 'number'}, 'order': {'type': 'string'}, 'payment_session_id': {'type': 'string'}, 'q': {'type': 'string'}, 'updated_at': {'additionalProperties': False, 'properties': {}, 'type': 'object'}}, 'type': 'object'}, description="""This tool helps store administors. Retrieve a list of payments. The payments can be filtered by fields such as `id`. The payments can also be sorted or paginated."""), # SGFGOV/Medusa MCP Server/AdminGetPayments
    Tool(name="""Medusa MCP Server_AdminGetPaymentsPaymentProviders""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'$and': {'items': {'type': 'string'}, 'type': 'array'}, '$or': {'items': {'type': 'string'}, 'type': 'array'}, 'fields': {'type': 'string'}, 'id': {'type': 'string'}, 'is_enabled': {'type': 'boolean'}, 'limit': {'type': 'number'}, 'offset': {'type': 'number'}, 'order': {'type': 'string'}}, 'type': 'object'}, description="""This tool helps store administors. Retrieve a list of payment providers. The payment providers can be filtered by fields such as `id`. The payment providers can also be sorted or paginated."""), # SGFGOV/Medusa MCP Server/AdminGetPaymentsPaymentProviders
    Tool(name="""Medusa MCP Server_AdminGetPaymentsId""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'fields': {'type': 'string'}, 'id': {'type': 'string'}}, 'type': 'object'}, description="""This tool helps store administors. Retrieve a payment by its ID. You can expand the payment's relations or select the fields that should be returned."""), # SGFGOV/Medusa MCP Server/AdminGetPaymentsId
    Tool(name="""Medusa MCP Server_AdminPostPaymentsIdCapture""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'fields': {'type': 'string'}, 'id': {'type': 'string'}}, 'type': 'object'}, description="""This tool helps store administors. Capture an amount of a payment. This uses the `capturePayment` method of the payment provider associated with the payment's collection."""), # SGFGOV/Medusa MCP Server/AdminPostPaymentsIdCapture
    Tool(name="""Medusa MCP Server_AdminPostPaymentsIdRefund""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'fields': {'type': 'string'}, 'id': {'type': 'string'}}, 'type': 'object'}, description="""This tool helps store administors. Refund an amount of a payment. This uses the `refundPayment` method of the payment provider associated with the payment's collection."""), # SGFGOV/Medusa MCP Server/AdminPostPaymentsIdRefund
    Tool(name="""Medusa MCP Server_AdminGetPriceLists""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'$and': {'items': {'type': 'string'}, 'type': 'array'}, '$or': {'items': {'type': 'string'}, 'type': 'array'}, 'ends_at': {'additionalProperties': False, 'properties': {}, 'type': 'object'}, 'fields': {'type': 'string'}, 'id': {'type': 'string'}, 'limit': {'type': 'number'}, 'offset': {'type': 'number'}, 'order': {'type': 'string'}, 'q': {'type': 'string'}, 'rules_count': {'items': {'type': 'string'}, 'type': 'array'}, 'starts_at': {'additionalProperties': False, 'properties': {}, 'type': 'object'}, 'status': {'items': {'type': 'string'}, 'type': 'array'}}, 'type': 'object'}, description="""This tool helps store administors. Retrieve a list of price lists. The price lists can be filtered by fields such as `id`. The price lists can also be sorted or paginated."""), # SGFGOV/Medusa MCP Server/AdminGetPriceLists
    Tool(name="""Medusa MCP Server_AdminGetPriceListsId""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'fields': {'type': 'string'}, 'id': {'type': 'string'}}, 'type': 'object'}, description="""This tool helps store administors. Retrieve a price list by its ID. You can expand the price list's relations or select the fields that should be returned."""), # SGFGOV/Medusa MCP Server/AdminGetPriceListsId
    Tool(name="""Medusa MCP Server_AdminPostPriceListsIdPricesBatch""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'id': {'type': 'string'}}, 'type': 'object'}, description="""This tool helps store administors. Manage the prices of a price list to create, update, or delete them."""), # SGFGOV/Medusa MCP Server/AdminPostPriceListsIdPricesBatch
    Tool(name="""Medusa MCP Server_AdminPostPriceListsIdProducts""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'fields': {'type': 'string'}, 'id': {'type': 'string'}}, 'type': 'object'}, description="""This tool helps store administors. Remove products from a price list."""), # SGFGOV/Medusa MCP Server/AdminPostPriceListsIdProducts
    Tool(name="""Medusa MCP Server_AdminGetPricePreferences""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'$and': {'items': {'type': 'string'}, 'type': 'array'}, '$or': {'items': {'type': 'string'}, 'type': 'array'}, 'attribute': {'type': 'string'}, 'fields': {'type': 'string'}, 'id': {'type': 'string'}, 'limit': {'type': 'number'}, 'offset': {'type': 'number'}, 'order': {'type': 'string'}, 'q': {'type': 'string'}, 'value': {'type': 'string'}}, 'type': 'object'}, description="""This tool helps store administors. Retrieve a list of price preferences. The price preferences can be filtered by fields such as `id`. The price preferences can also be sorted or paginated."""), # SGFGOV/Medusa MCP Server/AdminGetPricePreferences
    Tool(name="""Medusa MCP Server_AdminGetPricePreferencesId""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'fields': {'type': 'string'}, 'id': {'type': 'string'}}, 'type': 'object'}, description="""This tool helps store administors. Retrieve a price preference by its ID. You can expand the price preference's relations or select the fields that should be returned."""), # SGFGOV/Medusa MCP Server/AdminGetPricePreferencesId
    Tool(name="""Medusa MCP Server_AdminPostProductsImport""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {}, 'type': 'object'}, description="""This tool helps store administors. Create a new product import process. The products aren't imported until the import is confirmed with the `/admin/products/:transaction-id/import` API route."""), # SGFGOV/Medusa MCP Server/AdminPostProductsImport
    Tool(name="""Medusa MCP Server_AdminGetProductCategories""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'$and': {'items': {'type': 'string'}, 'type': 'array'}, '$or': {'items': {'type': 'string'}, 'type': 'array'}, 'created_at': {'additionalProperties': False, 'properties': {}, 'type': 'object'}, 'deleted_at': {'additionalProperties': False, 'properties': {}, 'type': 'object'}, 'description': {'type': 'string'}, 'fields': {'type': 'string'}, 'handle': {'type': 'string'}, 'id': {'type': 'string'}, 'include_ancestors_tree': {'type': 'boolean'}, 'include_descendants_tree': {'type': 'boolean'}, 'is_active': {'type': 'boolean'}, 'is_internal': {'type': 'boolean'}, 'limit': {'type': 'number'}, 'name': {'type': 'string'}, 'offset': {'type': 'number'}, 'order': {'type': 'string'}, 'parent_category_id': {'type': 'string'}, 'q': {'type': 'string'}, 'updated_at': {'additionalProperties': False, 'properties': {}, 'type': 'object'}}, 'type': 'object'}, description="""This tool helps store administors. Retrieve a list of product categories. The product categories can be filtered by fields such as `id`. The product categories can also be sorted or paginated."""), # SGFGOV/Medusa MCP Server/AdminGetProductCategories
    Tool(name="""Medusa MCP Server_AdminGetProductCategoriesId""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'fields': {'type': 'string'}, 'id': {'type': 'string'}, 'include_ancestors_tree': {'type': 'boolean'}, 'include_descendants_tree': {'type': 'boolean'}}, 'type': 'object'}, description="""This tool helps store administors. Retrieve a product category by its ID. You can expand the product category's relations or select the fields that should be returned."""), # SGFGOV/Medusa MCP Server/AdminGetProductCategoriesId
    Tool(name="""Medusa MCP Server_AdminPostProductCategoriesIdProducts""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'fields': {'type': 'string'}, 'id': {'type': 'string'}}, 'type': 'object'}, description="""This tool helps store administors. Manage products of a category to add or remove them."""), # SGFGOV/Medusa MCP Server/AdminPostProductCategoriesIdProducts
    Tool(name="""Medusa MCP Server_AdminGetProductTags""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'$and': {'items': {'type': 'string'}, 'type': 'array'}, '$or': {'items': {'type': 'string'}, 'type': 'array'}, 'created_at': {'additionalProperties': False, 'properties': {}, 'type': 'object'}, 'deleted_at': {'additionalProperties': False, 'properties': {}, 'type': 'object'}, 'fields': {'type': 'string'}, 'id': {'type': 'string'}, 'limit': {'type': 'number'}, 'offset': {'type': 'number'}, 'order': {'type': 'string'}, 'q': {'type': 'string'}, 'updated_at': {'additionalProperties': False, 'properties': {}, 'type': 'object'}, 'value': {'type': 'string'}}, 'type': 'object'}, description="""This tool helps store administors. Retrieve a list of product tags. The product tags can be filtered by fields such as `id`. The product tags can also be sorted or paginated."""), # SGFGOV/Medusa MCP Server/AdminGetProductTags
    Tool(name="""Medusa MCP Server_AdminGetProductTagsId""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'fields': {'type': 'string'}, 'id': {'type': 'string'}}, 'type': 'object'}, description="""This tool helps store administors. Retrieve a product tag by its ID. You can expand the product tag's relations or select the fields that should be returned."""), # SGFGOV/Medusa MCP Server/AdminGetProductTagsId
    Tool(name="""Medusa MCP Server_AdminGetProductTypes""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'$and': {'items': {'type': 'string'}, 'type': 'array'}, '$or': {'items': {'type': 'string'}, 'type': 'array'}, 'created_at': {'additionalProperties': False, 'properties': {}, 'type': 'object'}, 'deleted_at': {'additionalProperties': False, 'properties': {}, 'type': 'object'}, 'fields': {'type': 'string'}, 'id': {'type': 'string'}, 'limit': {'type': 'number'}, 'offset': {'type': 'number'}, 'order': {'type': 'string'}, 'q': {'type': 'string'}, 'updated_at': {'additionalProperties': False, 'properties': {}, 'type': 'object'}, 'value': {'type': 'string'}}, 'type': 'object'}, description="""This tool helps store administors. Retrieve a list of product types. The product types can be filtered by fields such as `id`. The product types can also be sorted or paginated."""), # SGFGOV/Medusa MCP Server/AdminGetProductTypes
    Tool(name="""Medusa MCP Server_AdminGetProductTypesId""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'fields': {'type': 'string'}, 'id': {'type': 'string'}}, 'type': 'object'}, description="""This tool helps store administors. Retrieve a product type by its ID. You can expand the product type's relations or select the fields that should be returned."""), # SGFGOV/Medusa MCP Server/AdminGetProductTypesId
    Tool(name="""Medusa MCP Server_AdminGetProductVariants""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'$and': {'items': {'type': 'string'}, 'type': 'array'}, '$or': {'items': {'type': 'string'}, 'type': 'array'}, 'allow_backorder': {'type': 'boolean'}, 'created_at': {'additionalProperties': False, 'properties': {}, 'type': 'object'}, 'deleted_at': {'additionalProperties': False, 'properties': {}, 'type': 'object'}, 'fields': {'type': 'string'}, 'id': {'type': 'string'}, 'limit': {'type': 'number'}, 'manage_inventory': {'type': 'boolean'}, 'offset': {'type': 'number'}, 'order': {'type': 'string'}, 'q': {'type': 'string'}, 'updated_at': {'additionalProperties': False, 'properties': {}, 'type': 'object'}}, 'type': 'object'}, description="""This tool helps store administors. Retrieve a list of product variants. The product variants can be filtered by fields such as `id`. The product variants can also be sorted or paginated."""), # SGFGOV/Medusa MCP Server/AdminGetProductVariants
    Tool(name="""Medusa MCP Server_AdminGetProducts""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'$and': {'items': {'type': 'string'}, 'type': 'array'}, '$or': {'items': {'type': 'string'}, 'type': 'array'}, 'category_id': {'type': 'string'}, 'collection_id': {'type': 'string'}, 'created_at': {'additionalProperties': False, 'properties': {}, 'type': 'object'}, 'deleted_at': {'additionalProperties': False, 'properties': {}, 'type': 'object'}, 'fields': {'type': 'string'}, 'handle': {'type': 'string'}, 'id': {'type': 'string'}, 'is_giftcard': {'type': 'boolean'}, 'limit': {'type': 'number'}, 'offset': {'type': 'number'}, 'order': {'type': 'string'}, 'price_list_id': {'type': 'string'}, 'q': {'type': 'string'}, 'sales_channel_id': {'type': 'string'}, 'status': {'type': 'string'}, 'tags': {'type': 'string'}, 'title': {'type': 'string'}, 'type_id': {'type': 'string'}, 'updated_at': {'additionalProperties': False, 'properties': {}, 'type': 'object'}, 'variants': {'additionalProperties': False, 'properties': {}, 'type': 'object'}}, 'type': 'object'}, description="""This tool helps store administors. Retrieve a list of products. The products can be filtered by fields such as `id`. The products can also be sorted or paginated."""), # SGFGOV/Medusa MCP Server/AdminGetProducts
    Tool(name="""Medusa MCP Server_AdminPostProductsBatch""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'fields': {'type': 'string'}}, 'type': 'object'}, description="""This tool helps store administors. Manage products to create, update, or delete them."""), # SGFGOV/Medusa MCP Server/AdminPostProductsBatch
    Tool(name="""Medusa MCP Server_AdminPostProductsExport""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'fields': {'type': 'string'}}, 'type': 'object'}, description="""This tool helps store administors. Start a product export process to retrieve a CSV of exported products.\n\nYou'll receive in the response the transaction ID of the workflow generating the CSV file. To check the status of the execution, send a GET request to `/admin/workflows-executions/export-products/:transaction-id`.\nOnce the execution finishes successfully, a notification is created for the export. You can retrieve the notifications using the `/admin/notification` API route to retrieve the file's download URL.\n"""), # SGFGOV/Medusa MCP Server/AdminPostProductsExport
    Tool(name="""Medusa MCP Server_AdminPostProductsImportTransaction_idConfirm""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'transaction_id': {'type': 'string'}}, 'type': 'object'}, description="""This tool helps store administors. Confirm that a created product import should start importing the products into Medusa."""), # SGFGOV/Medusa MCP Server/AdminPostProductsImportTransaction_idConfirm
    Tool(name="""Medusa MCP Server_AdminGetProductsId""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'fields': {'type': 'string'}, 'id': {'type': 'string'}}, 'type': 'object'}, description="""This tool helps store administors. Retrieve a product by its ID. You can expand the product's relations or select the fields that should be returned."""), # SGFGOV/Medusa MCP Server/AdminGetProductsId
    Tool(name="""Medusa MCP Server_AdminGetProductsIdOptions""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'$and': {'items': {'type': 'string'}, 'type': 'array'}, '$or': {'items': {'type': 'string'}, 'type': 'array'}, 'fields': {'type': 'string'}, 'id': {'type': 'string'}, 'limit': {'type': 'number'}, 'offset': {'type': 'number'}, 'order': {'type': 'string'}, 'q': {'type': 'string'}, 'title': {'type': 'string'}}, 'type': 'object'}, description="""This tool helps store administors. Retrieve a list of options of a product. The options can be filtered by fields like `id`. The options can also be paginated."""), # SGFGOV/Medusa MCP Server/AdminGetProductsIdOptions
    Tool(name="""Medusa MCP Server_AdminGetProductsIdOptionsOption_id""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'fields': {'type': 'string'}, 'id': {'type': 'string'}, 'option_id': {'type': 'string'}}, 'type': 'object'}, description="""This tool helps store administors. Retrieve a product's option by its ID."""), # SGFGOV/Medusa MCP Server/AdminGetProductsIdOptionsOption_id
    Tool(name="""Medusa MCP Server_AdminGetProductsIdVariants""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'$and': {'items': {'type': 'string'}, 'type': 'array'}, '$or': {'items': {'type': 'string'}, 'type': 'array'}, 'allow_backorder': {'type': 'boolean'}, 'created_at': {'additionalProperties': False, 'properties': {}, 'type': 'object'}, 'deleted_at': {'additionalProperties': False, 'properties': {}, 'type': 'object'}, 'fields': {'type': 'string'}, 'id': {'type': 'string'}, 'limit': {'type': 'number'}, 'manage_inventory': {'type': 'boolean'}, 'offset': {'type': 'number'}, 'order': {'type': 'string'}, 'q': {'type': 'string'}, 'updated_at': {'additionalProperties': False, 'properties': {}, 'type': 'object'}}, 'type': 'object'}, description="""This tool helps store administors. Retrieve a list of variants in a product. The variants can be filtered by fields like FILTER FIELDS. The variants can also be paginated."""), # SGFGOV/Medusa MCP Server/AdminGetProductsIdVariants
    Tool(name="""Medusa MCP Server_AdminPostProductsIdVariantsBatch""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'fields': {'type': 'string'}, 'id': {'type': 'string'}}, 'type': 'object'}, description="""This tool helps store administors. Manage variants in a product to create, update, or delete them."""), # SGFGOV/Medusa MCP Server/AdminPostProductsIdVariantsBatch
    Tool(name="""Medusa MCP Server_AdminPostProductsIdVariantsInventoryItemsBatch""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'id': {'type': 'string'}}, 'type': 'object'}, description="""This tool helps store administors. Manage a product's variant's inventoris to associate them with inventory items, update their inventory items, or delete their association with inventory items."""), # SGFGOV/Medusa MCP Server/AdminPostProductsIdVariantsInventoryItemsBatch
    Tool(name="""Medusa MCP Server_AdminGetProductsIdVariantsVariant_id""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'fields': {'type': 'string'}, 'id': {'type': 'string'}, 'variant_id': {'type': 'string'}}, 'type': 'object'}, description="""This tool helps store administors. Retrieve a product's variant by its ID."""), # SGFGOV/Medusa MCP Server/AdminGetProductsIdVariantsVariant_id
    Tool(name="""Medusa MCP Server_AdminPostProductsIdVariantsVariant_idInventoryItems""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'fields': {'type': 'string'}, 'id': {'type': 'string'}, 'variant_id': {'type': 'string'}}, 'type': 'object'}, description="""This tool helps store administors. Associate with a product variant an inventory item that manages its inventory details."""), # SGFGOV/Medusa MCP Server/AdminPostProductsIdVariantsVariant_idInventoryItems
    Tool(name="""Medusa MCP Server_AdminPostProductsIdVariantsVariant_idInventoryItemsInventory_item_id""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'fields': {'type': 'string'}, 'id': {'type': 'string'}, 'inventory_item_id': {'type': 'string'}, 'variant_id': {'type': 'string'}}, 'type': 'object'}, description="""This tool helps store administors. Update the inventory item that manages the inventory details of a product variant."""), # SGFGOV/Medusa MCP Server/AdminPostProductsIdVariantsVariant_idInventoryItemsInventory_item_id
    Tool(name="""Medusa MCP Server_AdminGetPromotions""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'$and': {'items': {'type': 'string'}, 'type': 'array'}, '$or': {'items': {'type': 'string'}, 'type': 'array'}, 'application_method': {'additionalProperties': False, 'properties': {}, 'type': 'object'}, 'campaign_id': {'type': 'string'}, 'code': {'type': 'string'}, 'created_at': {'additionalProperties': False, 'properties': {}, 'type': 'object'}, 'deleted_at': {'additionalProperties': False, 'properties': {}, 'type': 'object'}, 'fields': {'type': 'string'}, 'limit': {'type': 'number'}, 'offset': {'type': 'number'}, 'order': {'type': 'string'}, 'q': {'type': 'string'}, 'updated_at': {'additionalProperties': False, 'properties': {}, 'type': 'object'}}, 'type': 'object'}, description="""This tool helps store administors. Retrieve a list of promotions. The promotions can be filtered by fields such as `id`. The promotions can also be sorted or paginated."""), # SGFGOV/Medusa MCP Server/AdminGetPromotions
    Tool(name="""Medusa MCP Server_AdminGetPromotionsRuleAttributeOptionsRule_type""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'application_method_type': {'type': 'string'}, 'promotion_type': {'type': 'string'}, 'rule_type': {'type': 'string'}}, 'type': 'object'}, description="""This tool helps store administors. Retrieve a list of potential rule attributes for the promotion and application method types specified in the query parameters.\nOnly the attributes of the rule type specified in the path parameter are retrieved:\n- If `rule_type` is `rules`, the attributes of the promotion's type are retrieved.\n\n- If `rule_type` is `target-rules`, the target rules' attributes of the application method's type are retrieved.\n\n- If `rule_type` is `buy-rules`, the buy rules' attributes of the application method's type are retrieved.\n"""), # SGFGOV/Medusa MCP Server/AdminGetPromotionsRuleAttributeOptionsRule_type
    Tool(name="""Medusa MCP Server_AdminGetPromotionsRuleValueOptionsRule_typeRule_attribute_id""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'application_method_type': {'type': 'string'}, 'limit': {'type': 'number'}, 'offset': {'type': 'number'}, 'order': {'type': 'string'}, 'promotion_type': {'type': 'string'}, 'rule_attribute_id': {'type': 'string'}, 'rule_type': {'type': 'string'}}, 'type': 'object'}, description="""This tool helps store administors. Retrieve all potential values for promotion rules and target and buy rules based on the specified rule attribute and type.\nFor example, if you provide the ID of the `currency_code` rule attribute, and set `rule_type` to `rules`, a list of currencies are retrieved in label-value pairs.\n"""), # SGFGOV/Medusa MCP Server/AdminGetPromotionsRuleValueOptionsRule_typeRule_attribute_id
    Tool(name="""Medusa MCP Server_AdminGetPromotionsId""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'fields': {'type': 'string'}, 'id': {'type': 'string'}}, 'type': 'object'}, description="""This tool helps store administors. Retrieve a promotion by its ID. You can expand the promotion's relations or select the fields that should be returned."""), # SGFGOV/Medusa MCP Server/AdminGetPromotionsId
    Tool(name="""Medusa MCP Server_AdminPostPromotionsIdBuyRulesBatch""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'fields': {'type': 'string'}, 'id': {'type': 'string'}}, 'type': 'object'}, description="""This tool helps store administors. Manage the buy rules of a `buyget` promotion to create, update, or delete them."""), # SGFGOV/Medusa MCP Server/AdminPostPromotionsIdBuyRulesBatch
    Tool(name="""Medusa MCP Server_AdminPostPromotionsIdRulesBatch""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'fields': {'type': 'string'}, 'id': {'type': 'string'}}, 'type': 'object'}, description="""This tool helps store administors. Manage the rules of a promotion to create, update, or delete them."""), # SGFGOV/Medusa MCP Server/AdminPostPromotionsIdRulesBatch
    Tool(name="""Medusa MCP Server_AdminPostPromotionsIdTargetRulesBatch""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'fields': {'type': 'string'}, 'id': {'type': 'string'}}, 'type': 'object'}, description="""This tool helps store administors. Manage the target rules of a promotion to create, update, or delete them."""), # SGFGOV/Medusa MCP Server/AdminPostPromotionsIdTargetRulesBatch
    Tool(name="""Medusa MCP Server_AdminGetPromotionsIdRule_type""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'fields': {'type': 'string'}, 'id': {'type': 'string'}, 'rule_type': {'type': 'string'}}, 'type': 'object'}, description="""This tool helps store administors. Retrieve a list of rules in a promotion. The type of rules retrieved depend on the value of the `rule_type` path parameter:\n- If `rule_type` is `rules`, the promotion's rules are retrivied. - If `rule_type` is `target-rules`, the target rules of the promotion's application method are retrieved.\n\n- If `rule_type` is `buy-rules`, the buy rules of the promotion's application method are retrieved.\n"""), # SGFGOV/Medusa MCP Server/AdminGetPromotionsIdRule_type
    Tool(name="""Medusa MCP Server_AdminPostReturnsIdReceiveItems""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'fields': {'type': 'string'}, 'id': {'type': 'string'}}, 'type': 'object'}, description="""This tool helps store administors. Add received items in a return. These items will have the action `RECEIVE_RETURN_ITEM`."""), # SGFGOV/Medusa MCP Server/AdminPostReturnsIdReceiveItems
    Tool(name="""Medusa MCP Server_AdminGetRefundReasons""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'$and': {'items': {'type': 'string'}, 'type': 'array'}, '$or': {'items': {'type': 'string'}, 'type': 'array'}, 'fields': {'type': 'string'}, 'id': {'type': 'string'}, 'limit': {'type': 'number'}, 'offset': {'type': 'number'}, 'order': {'type': 'string'}, 'q': {'type': 'string'}}, 'type': 'object'}, description="""This tool helps store administors. Retrieve a list of refund reasons. The refund reasons can be filtered by fields such as `id`. The refund reasons can also be sorted or paginated."""), # SGFGOV/Medusa MCP Server/AdminGetRefundReasons
    Tool(name="""Medusa MCP Server_AdminGetRefundReasonsId""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'fields': {'type': 'string'}, 'id': {'type': 'string'}}, 'type': 'object'}, description="""This tool helps store administors. Retrieve a refund reason by its ID. You can expand the refund reason's relations or select the fields that should be returned."""), # SGFGOV/Medusa MCP Server/AdminGetRefundReasonsId
    Tool(name="""Medusa MCP Server_AdminGetRegions""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'$and': {'items': {'type': 'string'}, 'type': 'array'}, '$or': {'items': {'type': 'string'}, 'type': 'array'}, 'created_at': {'additionalProperties': False, 'properties': {}, 'type': 'object'}, 'currency_code': {'type': 'string'}, 'deleted_at': {'additionalProperties': False, 'properties': {}, 'type': 'object'}, 'fields': {'type': 'string'}, 'id': {'type': 'string'}, 'limit': {'type': 'number'}, 'name': {'type': 'string'}, 'offset': {'type': 'number'}, 'order': {'type': 'string'}, 'q': {'type': 'string'}, 'updated_at': {'additionalProperties': False, 'properties': {}, 'type': 'object'}}, 'type': 'object'}, description="""This tool helps store administors. Retrieve a list of regions. The regions can be filtered by fields such as `id`. The regions can also be sorted or paginated."""), # SGFGOV/Medusa MCP Server/AdminGetRegions
    Tool(name="""Medusa MCP Server_AdminGetRegionsId""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'fields': {'type': 'string'}, 'id': {'type': 'string'}}, 'type': 'object'}, description="""This tool helps store administors. Retrieve a region by its ID. You can expand the region's relations or select the fields that should be returned."""), # SGFGOV/Medusa MCP Server/AdminGetRegionsId
    Tool(name="""Medusa MCP Server_AdminGetReservations""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'created_at': {'additionalProperties': False, 'properties': {}, 'type': 'object'}, 'created_by': {'type': 'string'}, 'deleted_at': {'additionalProperties': False, 'properties': {}, 'type': 'object'}, 'description': {'type': 'string'}, 'fields': {'type': 'string'}, 'inventory_item_id': {'type': 'string'}, 'limit': {'type': 'number'}, 'line_item_id': {'type': 'string'}, 'location_id': {'type': 'string'}, 'offset': {'type': 'number'}, 'order': {'type': 'string'}, 'updated_at': {'additionalProperties': False, 'properties': {}, 'type': 'object'}}, 'type': 'object'}, description="""This tool helps store administors. Retrieve a list of reservations. The reservations can be filtered by fields such as `id`. The reservations can also be sorted or paginated."""), # SGFGOV/Medusa MCP Server/AdminGetReservations
    Tool(name="""Medusa MCP Server_AdminGetReservationsId""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'fields': {'type': 'string'}, 'id': {'type': 'string'}}, 'type': 'object'}, description="""This tool helps store administors. Retrieve a reservation by its ID. You can expand the reservation's relations or select the fields that should be returned."""), # SGFGOV/Medusa MCP Server/AdminGetReservationsId
    Tool(name="""Medusa MCP Server_AdminGetReturnReasons""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'$and': {'items': {'type': 'string'}, 'type': 'array'}, '$or': {'items': {'type': 'string'}, 'type': 'array'}, 'created_at': {'additionalProperties': False, 'properties': {}, 'type': 'object'}, 'deleted_at': {'additionalProperties': False, 'properties': {}, 'type': 'object'}, 'description': {'type': 'string'}, 'fields': {'type': 'string'}, 'id': {'type': 'string'}, 'label': {'type': 'string'}, 'limit': {'type': 'number'}, 'offset': {'type': 'number'}, 'order': {'type': 'string'}, 'parent_return_reason_id': {'type': 'string'}, 'q': {'type': 'string'}, 'updated_at': {'additionalProperties': False, 'properties': {}, 'type': 'object'}, 'value': {'type': 'string'}}, 'type': 'object'}, description="""This tool helps store administors. Retrieve a list of return reasons. The return reasons can be filtered by fields such as `id`. The return reasons can also be sorted or paginated."""), # SGFGOV/Medusa MCP Server/AdminGetReturnReasons
    Tool(name="""Medusa MCP Server_AdminGetReturnReasonsId""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'fields': {'type': 'string'}, 'id': {'type': 'string'}}, 'type': 'object'}, description="""This tool helps store administors. Retrieve a return reason by its ID. You can expand the return reason's relations or select the fields that should be returned."""), # SGFGOV/Medusa MCP Server/AdminGetReturnReasonsId
    Tool(name="""Medusa MCP Server_AdminGetReturns""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'$and': {'items': {'type': 'string'}, 'type': 'array'}, '$or': {'items': {'type': 'string'}, 'type': 'array'}, 'created_at': {'additionalProperties': False, 'properties': {}, 'type': 'object'}, 'customer_id': {'type': 'string'}, 'fields': {'type': 'string'}, 'id': {'type': 'string'}, 'limit': {'type': 'number'}, 'offset': {'type': 'number'}, 'order': {'type': 'string'}, 'q': {'type': 'string'}, 'region_id': {'type': 'string'}, 'sales_channel_id': {'items': {'type': 'string'}, 'type': 'array'}, 'status': {'type': 'string'}, 'updated_at': {'additionalProperties': False, 'properties': {}, 'type': 'object'}}, 'type': 'object'}, description="""This tool helps store administors. Retrieve a list of returns. The returns can be filtered by fields such as `id`. The returns can also be sorted or paginated."""), # SGFGOV/Medusa MCP Server/AdminGetReturns
    Tool(name="""Medusa MCP Server_AdminGetReturnsId""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'fields': {'type': 'string'}, 'id': {'type': 'string'}}, 'type': 'object'}, description="""This tool helps store administors. Retrieve a return by its ID. You can expand the return's relations or select the fields that should be returned."""), # SGFGOV/Medusa MCP Server/AdminGetReturnsId
    Tool(name="""Medusa MCP Server_AdminPostReturnsIdCancel""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'id': {'type': 'string'}}, 'type': 'object'}, description="""This tool helps store administors. Cancel a return."""), # SGFGOV/Medusa MCP Server/AdminPostReturnsIdCancel
    Tool(name="""Medusa MCP Server_AdminPostReturnsIdDismissItems""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'fields': {'type': 'string'}, 'id': {'type': 'string'}}, 'type': 'object'}, description="""This tool helps store administors. Add damaged items, whose quantity is to be dismissed, to a return. These items will have the action `RECEIVE_DAMAGED_RETURN_ITEM`."""), # SGFGOV/Medusa MCP Server/AdminPostReturnsIdDismissItems
    Tool(name="""Medusa MCP Server_AdminPostReturnsIdDismissItemsAction_id""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'action_id': {'type': 'string'}, 'fields': {'type': 'string'}, 'id': {'type': 'string'}}, 'type': 'object'}, description="""This tool helps store administors. Update a damaged item, whose quantity is to be dismissed, in the return by the ID of the  item's `RECEIVE_DAMAGED_RETURN_ITEM` action.\n\nEvery item has an `actions` property, whose value is an array of actions. You can check the action's name using its `action` property, and use the value of the `id` property. return.\n"""), # SGFGOV/Medusa MCP Server/AdminPostReturnsIdDismissItemsAction_id
    Tool(name="""Medusa MCP Server_AdminPostReturnsIdReceive""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'fields': {'type': 'string'}, 'id': {'type': 'string'}}, 'type': 'object'}, description="""This tool helps store administors. Start a return receival process to be later confirmed using the `/admin/returns/:id/receive/confirm` API route."""), # SGFGOV/Medusa MCP Server/AdminPostReturnsIdReceive
    Tool(name="""Medusa MCP Server_AdminPostReturnsIdReceiveItemsAction_id""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'action_id': {'type': 'string'}, 'fields': {'type': 'string'}, 'id': {'type': 'string'}}, 'type': 'object'}, description="""This tool helps store administors. Update a received item in the return by the ID of the  item's `RECEIVE_RETURN_ITEM` action.\n\nEvery item has an `actions` property, whose value is an array of actions. You can check the action's name using its `action` property, and use the value of the `id` property. return.\n"""), # SGFGOV/Medusa MCP Server/AdminPostReturnsIdReceiveItemsAction_id
    Tool(name="""Medusa MCP Server_AdminPostReturnsIdReceiveConfirm""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'fields': {'type': 'string'}, 'id': {'type': 'string'}}, 'type': 'object'}, description="""This tool helps store administors. Confirm that a return has been received. This updates the quantity of the items received, if not damaged, and  reflects the changes on the order.\n"""), # SGFGOV/Medusa MCP Server/AdminPostReturnsIdReceiveConfirm
    Tool(name="""Medusa MCP Server_AdminPostReturnsIdRequest""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'fields': {'type': 'string'}, 'id': {'type': 'string'}}, 'type': 'object'}, description="""This tool helps store administors. Confirm a requested return. The changes are applied on the inventory quantity and the order only after the return has been confirmed as received using the `/admin/returns/:id/received/confirm`.\n"""), # SGFGOV/Medusa MCP Server/AdminPostReturnsIdRequest
    Tool(name="""Medusa MCP Server_AdminPostReturnsIdRequestItems""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'fields': {'type': 'string'}, 'id': {'type': 'string'}}, 'type': 'object'}, description="""This tool helps store administors. Add items that are requested to be returned. These items will have the action `RETURN_ITEM`."""), # SGFGOV/Medusa MCP Server/AdminPostReturnsIdRequestItems
    Tool(name="""Medusa MCP Server_AdminPostReturnsIdRequestItemsAction_id""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'action_id': {'type': 'string'}, 'fields': {'type': 'string'}, 'id': {'type': 'string'}}, 'type': 'object'}, description="""This tool helps store administors. Update a requested item to be returned by the ID of the  item's `RETURN_ITEM` action.\n\nEvery item has an `actions` property, whose value is an array of actions. You can check the action's name using its `action` property, and use the value of the `id` property. return.\n"""), # SGFGOV/Medusa MCP Server/AdminPostReturnsIdRequestItemsAction_id
    Tool(name="""Medusa MCP Server_AdminPostReturnsIdShippingMethod""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'fields': {'type': 'string'}, 'id': {'type': 'string'}}, 'type': 'object'}, description="""This tool helps store administors. Add a shipping method to a return. The shipping method will have a `SHIPPING_ADD` action."""), # SGFGOV/Medusa MCP Server/AdminPostReturnsIdShippingMethod
    Tool(name="""Medusa MCP Server_AdminPostReturnsIdShippingMethodAction_id""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'action_id': {'type': 'string'}, 'fields': {'type': 'string'}, 'id': {'type': 'string'}}, 'type': 'object'}, description="""This tool helps store administors. Update a shipping method of the return by the ID of the item's `SHIPPING_ADD` action.\n\nEvery item has an `actions` property, whose value is an array of actions. You can check the action's name using its `action` property, and use the value of the `id` property.\n"""), # SGFGOV/Medusa MCP Server/AdminPostReturnsIdShippingMethodAction_id
    Tool(name="""Medusa MCP Server_AdminGetSalesChannels""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'$and': {'items': {'type': 'string'}, 'type': 'array'}, '$or': {'items': {'type': 'string'}, 'type': 'array'}, 'created_at': {'additionalProperties': False, 'properties': {}, 'type': 'object'}, 'deleted_at': {'additionalProperties': False, 'properties': {}, 'type': 'object'}, 'description': {'type': 'string'}, 'fields': {'type': 'string'}, 'id': {'type': 'string'}, 'is_disabled': {'type': 'boolean'}, 'limit': {'type': 'number'}, 'location_id': {'type': 'string'}, 'name': {'type': 'string'}, 'offset': {'type': 'number'}, 'order': {'type': 'string'}, 'publishable_key_id': {'type': 'string'}, 'q': {'type': 'string'}, 'updated_at': {'additionalProperties': False, 'properties': {}, 'type': 'object'}}, 'type': 'object'}, description="""This tool helps store administors. Retrieve a list of sales channels. The sales channels can be filtered by fields such as `id`. The sales channels can also be sorted or paginated."""), # SGFGOV/Medusa MCP Server/AdminGetSalesChannels
    Tool(name="""Medusa MCP Server_AdminGetSalesChannelsId""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'fields': {'type': 'string'}, 'id': {'type': 'string'}}, 'type': 'object'}, description="""This tool helps store administors. Retrieve a sales channel by its ID. You can expand the sales channel's relations or select the fields that should be returned."""), # SGFGOV/Medusa MCP Server/AdminGetSalesChannelsId
    Tool(name="""Medusa MCP Server_AdminPostSalesChannelsIdProducts""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'fields': {'type': 'string'}, 'id': {'type': 'string'}}, 'type': 'object'}, description="""This tool helps store administors. Manage products in a sales channel to add or remove them from the channel."""), # SGFGOV/Medusa MCP Server/AdminPostSalesChannelsIdProducts
    Tool(name="""Medusa MCP Server_AdminGetShippingOptions""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'admin_only': {'type': 'boolean'}, 'created_at': {'additionalProperties': False, 'properties': {}, 'type': 'object'}, 'deleted_at': {'additionalProperties': False, 'properties': {}, 'type': 'object'}, 'fields': {'type': 'string'}, 'id': {'type': 'string'}, 'is_return': {'type': 'boolean'}, 'limit': {'type': 'number'}, 'offset': {'type': 'number'}, 'order': {'type': 'string'}, 'provider_id': {'type': 'string'}, 'q': {'type': 'string'}, 'service_zone_id': {'type': 'string'}, 'shipping_option_type_id': {'type': 'string'}, 'shipping_profile_id': {'type': 'string'}, 'stock_location_id': {'type': 'string'}, 'updated_at': {'additionalProperties': False, 'properties': {}, 'type': 'object'}}, 'type': 'object'}, description="""This tool helps store administors. Retrieve a list of shipping options. The shipping options can be filtered by fields such as `id`. The shipping options can also be sorted or paginated."""), # SGFGOV/Medusa MCP Server/AdminGetShippingOptions
    Tool(name="""Medusa MCP Server_AdminGetShippingOptionsId""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'fields': {'type': 'string'}, 'id': {'type': 'string'}}, 'type': 'object'}, description="""This tool helps store administors. Retrieve a shipping option by its ID. You can expand the shipping option's relations or select the fields that should be returned."""), # SGFGOV/Medusa MCP Server/AdminGetShippingOptionsId
    Tool(name="""Medusa MCP Server_AdminPostShippingOptionsIdRulesBatch""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'fields': {'type': 'string'}, 'id': {'type': 'string'}}, 'type': 'object'}, description="""This tool helps store administors. Manage the rules of a shipping option to create, update, or delete them."""), # SGFGOV/Medusa MCP Server/AdminPostShippingOptionsIdRulesBatch
    Tool(name="""Medusa MCP Server_AdminGetShippingProfiles""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'$and': {'items': {'type': 'string'}, 'type': 'array'}, '$or': {'items': {'type': 'string'}, 'type': 'array'}, 'created_at': {'additionalProperties': False, 'properties': {}, 'type': 'object'}, 'deleted_at': {'additionalProperties': False, 'properties': {}, 'type': 'object'}, 'fields': {'type': 'string'}, 'id': {'type': 'string'}, 'limit': {'type': 'number'}, 'name': {'type': 'string'}, 'offset': {'type': 'number'}, 'order': {'type': 'string'}, 'q': {'type': 'string'}, 'type': {'type': 'string'}, 'updated_at': {'additionalProperties': False, 'properties': {}, 'type': 'object'}}, 'type': 'object'}, description="""This tool helps store administors. Retrieve a list of shipping profiles. The shipping profiles can be filtered by fields such as `id`. The shipping profiles can also be sorted or paginated."""), # SGFGOV/Medusa MCP Server/AdminGetShippingProfiles
    Tool(name="""Medusa MCP Server_AdminGetShippingProfilesId""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'fields': {'type': 'string'}, 'id': {'type': 'string'}}, 'type': 'object'}, description="""This tool helps store administors. Retrieve a shipping profile by its ID. You can expand the shipping profile's relations or select the fields that should be returned."""), # SGFGOV/Medusa MCP Server/AdminGetShippingProfilesId
    Tool(name="""Medusa MCP Server_AdminGetStockLocations""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'$and': {'items': {'type': 'string'}, 'type': 'array'}, '$or': {'items': {'type': 'string'}, 'type': 'array'}, 'address_id': {'type': 'string'}, 'created_at': {'additionalProperties': False, 'properties': {}, 'type': 'object'}, 'deleted_at': {'additionalProperties': False, 'properties': {}, 'type': 'object'}, 'fields': {'type': 'string'}, 'id': {'type': 'string'}, 'limit': {'type': 'number'}, 'name': {'type': 'string'}, 'offset': {'type': 'number'}, 'order': {'type': 'string'}, 'q': {'type': 'string'}, 'sales_channel_id': {'type': 'string'}, 'updated_at': {'additionalProperties': False, 'properties': {}, 'type': 'object'}}, 'type': 'object'}, description="""This tool helps store administors. Retrieve a list of stock locations. The stock locations can be filtered by fields such as `id`. The stock locations can also be sorted or paginated."""), # SGFGOV/Medusa MCP Server/AdminGetStockLocations
    Tool(name="""Medusa MCP Server_AdminGetStockLocationsId""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'fields': {'type': 'string'}, 'id': {'type': 'string'}}, 'type': 'object'}, description="""This tool helps store administors. Retrieve a stock location by its ID. You can expand the stock location's relations or select the fields that should be returned."""), # SGFGOV/Medusa MCP Server/AdminGetStockLocationsId
    Tool(name="""Medusa MCP Server_AdminPostStockLocationsIdFulfillmentProviders""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'fields': {'type': 'string'}, 'id': {'type': 'string'}}, 'type': 'object'}, description="""This tool helps store administors. Manage the fulfillment providers to add or remove them from a stock location."""), # SGFGOV/Medusa MCP Server/AdminPostStockLocationsIdFulfillmentProviders
    Tool(name="""Medusa MCP Server_AdminPostStockLocationsIdFulfillmentSets""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'fields': {'type': 'string'}, 'id': {'type': 'string'}}, 'type': 'object'}, description="""This tool helps store administors. Create and add a fulfillment set to a stock location."""), # SGFGOV/Medusa MCP Server/AdminPostStockLocationsIdFulfillmentSets
    Tool(name="""Medusa MCP Server_AdminPostStockLocationsIdSalesChannels""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'fields': {'type': 'string'}, 'id': {'type': 'string'}}, 'type': 'object'}, description="""This tool helps store administors. Manage the sales channels in a stock location by adding or removing them."""), # SGFGOV/Medusa MCP Server/AdminPostStockLocationsIdSalesChannels
    Tool(name="""Medusa MCP Server_AdminGetStores""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'$and': {'items': {'type': 'string'}, 'type': 'array'}, '$or': {'items': {'type': 'string'}, 'type': 'array'}, 'fields': {'type': 'string'}, 'id': {'type': 'string'}, 'limit': {'type': 'number'}, 'name': {'type': 'string'}, 'offset': {'type': 'number'}, 'order': {'type': 'string'}, 'q': {'type': 'string'}}, 'type': 'object'}, description="""This tool helps store administors. Retrieve a list of stores. The stores can be filtered by fields such as `id`. The stores can also be sorted or paginated."""), # SGFGOV/Medusa MCP Server/AdminGetStores
    Tool(name="""Medusa MCP Server_AdminGetStoresId""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'fields': {'type': 'string'}, 'id': {'type': 'string'}}, 'type': 'object'}, description="""This tool helps store administors. Retrieve a store by its ID. You can expand the store's relations or select the fields that should be returned."""), # SGFGOV/Medusa MCP Server/AdminGetStoresId
    Tool(name="""Medusa MCP Server_AdminGetTaxRates""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'$and': {'items': {'type': 'string'}, 'type': 'array'}, '$or': {'items': {'type': 'string'}, 'type': 'array'}, 'created_at': {'additionalProperties': False, 'properties': {}, 'type': 'object'}, 'deleted_at': {'additionalProperties': False, 'properties': {}, 'type': 'object'}, 'fields': {'type': 'string'}, 'is_default': {'type': 'string'}, 'limit': {'type': 'number'}, 'offset': {'type': 'number'}, 'order': {'type': 'string'}, 'provider_id': {'type': 'string'}, 'q': {'type': 'string'}, 'service_zone_id': {'type': 'string'}, 'shipping_option_type_id': {'type': 'string'}, 'shipping_profile_id': {'type': 'string'}, 'tax_region_id': {'type': 'string'}, 'updated_at': {'additionalProperties': False, 'properties': {}, 'type': 'object'}}, 'type': 'object'}, description="""This tool helps store administors. Retrieve a list of tax rates. The tax rates can be filtered by fields such as `id`. The tax rates can also be sorted or paginated."""), # SGFGOV/Medusa MCP Server/AdminGetTaxRates
    Tool(name="""Medusa MCP Server_AdminGetTaxRatesId""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'fields': {'type': 'string'}, 'id': {'type': 'string'}}, 'type': 'object'}, description="""This tool helps store administors. Retrieve a tax rate by its ID. You can expand the tax rate's relations or select the fields that should be returned."""), # SGFGOV/Medusa MCP Server/AdminGetTaxRatesId
    Tool(name="""Medusa MCP Server_AdminPostTaxRatesIdRules""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'fields': {'type': 'string'}, 'id': {'type': 'string'}}, 'type': 'object'}, description="""This tool helps store administors. Create a tax rule for a rate."""), # SGFGOV/Medusa MCP Server/AdminPostTaxRatesIdRules
    Tool(name="""Medusa MCP Server_AdminDeleteTaxRatesIdRulesRule_id""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'fields': {'type': 'string'}, 'id': {'type': 'string'}, 'rule_id': {'type': 'string'}}, 'type': 'object'}, description="""This tool helps store administors. Remove a tax rate's rule."""), # SGFGOV/Medusa MCP Server/AdminDeleteTaxRatesIdRulesRule_id
    Tool(name="""Medusa MCP Server_AdminGetTaxRegions""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'$and': {'items': {'type': 'string'}, 'type': 'array'}, '$or': {'items': {'type': 'string'}, 'type': 'array'}, 'country_code': {'type': 'string'}, 'created_at': {'type': 'string'}, 'created_by': {'type': 'string'}, 'deleted_at': {'type': 'string'}, 'fields': {'type': 'string'}, 'id': {'type': 'string'}, 'limit': {'type': 'number'}, 'offset': {'type': 'number'}, 'order': {'type': 'string'}, 'parent_id': {'type': 'string'}, 'province_code': {'type': 'string'}, 'q': {'type': 'string'}, 'updated_at': {'type': 'string'}}, 'type': 'object'}, description="""This tool helps store administors. Retrieve a list of tax regions. The tax regions can be filtered by fields such as `id`. The tax regions can also be sorted or paginated."""), # SGFGOV/Medusa MCP Server/AdminGetTaxRegions
    Tool(name="""Medusa MCP Server_AdminGetTaxRegionsId""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'fields': {'type': 'string'}, 'id': {'type': 'string'}}, 'type': 'object'}, description="""This tool helps store administors. Retrieve a tax region by its ID. You can expand the tax region's relations or select the fields that should be returned."""), # SGFGOV/Medusa MCP Server/AdminGetTaxRegionsId
    Tool(name="""Medusa MCP Server_AdminPostUploads""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {}, 'type': 'object'}, description="""This tool helps store administors. Upload files to the configured File Module Provider."""), # SGFGOV/Medusa MCP Server/AdminPostUploads
    Tool(name="""Medusa MCP Server_AdminGetUploadsId""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'fields': {'type': 'string'}, 'id': {'type': 'string'}}, 'type': 'object'}, description="""This tool helps store administors. Retrieve an uploaded file by its ID. You can expand the file's relations or select the fields that should be returned."""), # SGFGOV/Medusa MCP Server/AdminGetUploadsId
    Tool(name="""datadog mcp_get-monitors""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'groupStates': {'items': {'type': 'string'}, 'type': 'array'}, 'limit': {'default': 100, 'type': 'number'}, 'monitorTags': {'type': 'string'}, 'tags': {'type': 'string'}}, 'type': 'object'}, description="""Fetch monitors from Datadog with optional filtering. Use groupStates to filter by monitor status (e.g., 'alert', 'warn', 'no data'), tags or monitorTags to filter by tag criteria, and limit to control result size."""), # GeLi2001/datadog mcp/get-monitors
    Tool(name="""datadog mcp_get-monitor""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'monitorId': {'type': 'number'}}, 'required': ['monitorId'], 'type': 'object'}, description="""Get detailed information about a specific Datadog monitor by its ID. Use this to retrieve the complete configuration, status, and other details of a single monitor."""), # GeLi2001/datadog mcp/get-monitor
    Tool(name="""datadog mcp_get-dashboards""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'filterConfigured': {'type': 'boolean'}, 'limit': {'default': 100, 'type': 'number'}}, 'type': 'object'}, description="""Retrieve a list of all dashboards from Datadog. Useful for discovering available dashboards and their IDs for further exploration."""), # GeLi2001/datadog mcp/get-dashboards
    Tool(name="""datadog mcp_get-dashboard""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'dashboardId': {'type': 'string'}}, 'required': ['dashboardId'], 'type': 'object'}, description="""Get the complete definition of a specific Datadog dashboard by its ID. Returns all widgets, layout, and configuration details."""), # GeLi2001/datadog mcp/get-dashboard
    Tool(name="""datadog mcp_get-metrics""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'q': {'type': 'string'}}, 'type': 'object'}, description="""List available metrics from Datadog. Optionally use the q parameter to search for specific metrics matching a pattern. Helpful for discovering metrics to use in monitors or dashboards."""), # GeLi2001/datadog mcp/get-metrics
    Tool(name="""datadog mcp_get-metric-metadata""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'metricName': {'type': 'string'}}, 'required': ['metricName'], 'type': 'object'}, description="""Retrieve detailed metadata about a specific metric, including its type, description, unit, and other attributes. Use this to understand a metric's meaning and proper usage."""), # GeLi2001/datadog mcp/get-metric-metadata
    Tool(name="""datadog mcp_get-events""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'end': {'type': 'number'}, 'excludeAggregation': {'type': 'boolean'}, 'limit': {'default': 100, 'type': 'number'}, 'priority': {'enum': ['normal', 'low'], 'type': 'string'}, 'sources': {'type': 'string'}, 'start': {'type': 'number'}, 'tags': {'type': 'string'}, 'unaggregated': {'type': 'boolean'}}, 'required': ['start', 'end'], 'type': 'object'}, description="""Search for events in Datadog within a specified time range. Events include deployments, alerts, comments, and other activities. Useful for correlating system behaviors with specific events."""), # GeLi2001/datadog mcp/get-events
    Tool(name="""datadog mcp_get-incidents""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'includeArchived': {'type': 'boolean'}, 'limit': {'default': 100, 'type': 'number'}, 'pageOffset': {'type': 'number'}, 'pageSize': {'type': 'number'}, 'query': {'type': 'string'}}, 'type': 'object'}, description="""List incidents from Datadog's incident management system. Can filter by active/archived status and use query strings to find specific incidents. Helpful for reviewing current or past incidents."""), # GeLi2001/datadog mcp/get-incidents
    Tool(name="""datadog mcp_search-logs""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'filter': {'additionalProperties': False, 'properties': {'from': {'type': 'string'}, 'indexes': {'items': {'type': 'string'}, 'type': 'array'}, 'query': {'type': 'string'}, 'to': {'type': 'string'}}, 'type': 'object'}, 'limit': {'default': 100, 'type': 'number'}, 'page': {'additionalProperties': False, 'properties': {'cursor': {'type': 'string'}, 'limit': {'type': 'number'}}, 'type': 'object'}, 'sort': {'type': 'string'}}, 'type': 'object'}, description="""Search logs in Datadog with advanced filtering options. Use filter.query for search terms (e.g., 'service:web-app status:error'), from/to for time ranges (e.g., 'now-15m', 'now'), and sort to order results. Essential for investigating application issues."""), # GeLi2001/datadog mcp/search-logs
    Tool(name="""datadog mcp_aggregate-logs""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'compute': {'items': {'additionalProperties': False, 'properties': {'aggregation': {'type': 'string'}, 'metric': {'type': 'string'}, 'type': {'type': 'string'}}, 'required': ['aggregation'], 'type': 'object'}, 'type': 'array'}, 'filter': {'additionalProperties': False, 'properties': {'from': {'type': 'string'}, 'indexes': {'items': {'type': 'string'}, 'type': 'array'}, 'query': {'type': 'string'}, 'to': {'type': 'string'}}, 'type': 'object'}, 'groupBy': {'items': {'additionalProperties': False, 'properties': {'facet': {'type': 'string'}, 'limit': {'type': 'number'}, 'sort': {'additionalProperties': False, 'properties': {'aggregation': {'type': 'string'}, 'order': {'type': 'string'}}, 'required': ['aggregation', 'order'], 'type': 'object'}}, 'required': ['facet'], 'type': 'object'}, 'type': 'array'}, 'options': {'additionalProperties': False, 'properties': {'timezone': {'type': 'string'}}, 'type': 'object'}}, 'type': 'object'}, description="""Perform analytical queries and aggregations on log data. Essential for calculating metrics (count, avg, sum, etc.), grouping data by fields, and creating statistical summaries from logs. Use this when you need to analyze patterns or extract metrics from log data."""), # GeLi2001/datadog mcp/aggregate-logs
    Tool(name="""MCP-FREDAPI_get_fred_series_observations""", inputSchema={'properties': {'aggregation_method': {'default': 'avg', 'description': "Aggregation method for frequency. Options: 'avg', 'sum', 'eop'. Defaults to 'avg'.", 'enum': ['avg', 'sum', 'eop'], 'title': 'Aggregation Method', 'type': 'string'}, 'frequency': {'default': None, 'description': "Frequency of observations. Options: 'd', 'w', 'bw', 'm', 'q', 'sa', 'a', 'wef', 'weth', 'wew', 'wetu', 'wem', 'wesu', 'wesa', 'bwew', 'bwem'. Defaults to no value for no frequency aggregation.", 'enum': ['d', 'w', 'bw', 'm', 'q', 'sa', 'a', 'wef', 'weth', 'wew', 'wetu', 'wem', 'wesu', 'wesa', 'bwew', 'bwem'], 'title': 'Frequency', 'type': 'string'}, 'limit': {'anyOf': [{'type': 'integer'}, {'type': 'string'}, {'type': 'null'}], 'default': 10, 'description': 'Maximum number of observations to return. Defaults to 10.', 'title': 'Limit'}, 'observation_end': {'anyOf': [{'type': 'string'}, {'type': 'null'}], 'default': None, 'description': 'End date of observations. Format: YYYY-MM-DD.', 'title': 'Observation End'}, 'observation_start': {'anyOf': [{'type': 'string'}, {'type': 'null'}], 'default': None, 'description': 'Start date of observations. Format: YYYY-MM-DD.', 'title': 'Observation Start'}, 'offset': {'anyOf': [{'type': 'integer'}, {'type': 'string'}, {'type': 'null'}], 'default': 0, 'description': 'Number of observations to offset from first. Defaults to 0.', 'title': 'Offset'}, 'output_type': {'default': 1, 'description': 'Output type of observations. Options: 1, 2, 3, 4. Defaults to 1.', 'enum': [1, 2, 3, 4], 'title': 'Output Type', 'type': 'integer'}, 'realtime_end': {'anyOf': [{'type': 'string'}, {'type': 'null'}], 'default': None, 'description': "The end of the real-time period. Format: YYYY-MM-DD. Defaults to today's date.", 'title': 'Realtime End'}, 'realtime_start': {'anyOf': [{'type': 'string'}, {'type': 'null'}], 'default': None, 'description': "The start of the real-time period. Format: YYYY-MM-DD. Defaults to today's date.", 'title': 'Realtime Start'}, 'series_id': {'description': 'The id for a series.', 'title': 'Series Id', 'type': 'string'}, 'sort_order': {'default': 'asc', 'description': "Sort order of observations. Options: 'asc' or 'desc'. Defaults to 'asc'.", 'enum': ['asc', 'desc'], 'title': 'Sort Order', 'type': 'string'}, 'units': {'default': 'lin', 'description': "Data value transformation. Options: 'lin', 'chg', 'ch1', 'pch', 'pc1', 'pca', 'cch', 'cca', 'log'. Defaults to 'lin'.", 'enum': ['lin', 'chg', 'ch1', 'pch', 'pc1', 'pca', 'cch', 'cca', 'log'], 'title': 'Units', 'type': 'string'}, 'vintage_dates': {'anyOf': [{'type': 'string'}, {'type': 'null'}], 'default': None, 'description': 'Comma-separated list of vintage dates.', 'title': 'Vintage Dates'}}, 'required': ['series_id'], 'title': 'get_fred_series_observationsArguments', 'type': 'object'}, description="""Get series observations from the Fred API."""), # Jaldekoa/MCP-FREDAPI/get_fred_series_observations
    Tool(name="""Youtube Vision MCP_summarize_youtube_video""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'summary_length': {'default': 'medium', 'description': "Desired summary length: 'short', 'medium', or 'long' (default: 'medium').", 'enum': ['short', 'medium', 'long'], 'type': 'string'}, 'youtube_url': {'format': 'uri', 'type': 'string'}}, 'required': ['youtube_url'], 'type': 'object'}, description="""Generates a summary of a given YouTube video URL using Gemini Vision API."""), # minbang930/Youtube Vision MCP/summarize_youtube_video
    Tool(name="""Youtube Vision MCP_ask_about_youtube_video""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'question': {'description': 'Question about the video content. If omitted, a general description will be generated.', 'type': 'string'}, 'youtube_url': {'format': 'uri', 'type': 'string'}}, 'required': ['youtube_url'], 'type': 'object'}, description="""Answers a question about the video or provides a general description if no question is asked."""), # minbang930/Youtube Vision MCP/ask_about_youtube_video
    Tool(name="""Youtube Vision MCP_extract_key_moments""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'number_of_moments': {'default': 3, 'description': 'Number of key moments to extract (default: 3).', 'exclusiveMinimum': 0, 'type': 'integer'}, 'youtube_url': {'format': 'uri', 'type': 'string'}}, 'required': ['youtube_url'], 'type': 'object'}, description="""Extracts key moments (timestamps and descriptions) from a given YouTube video."""), # minbang930/Youtube Vision MCP/extract_key_moments
    Tool(name="""Youtube Vision MCP_list_supported_models""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {}, 'type': 'object'}, description="""Lists available Gemini models that support the 'generateContent' method."""), # minbang930/Youtube Vision MCP/list_supported_models
    Tool(name="""Agentset_knowledge-base-retrieve""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'query': {'description': 'The query to search for data in the Knowledge Base', 'type': 'string'}, 'rerank': {'default': True, 'description': 'Whether to rerank the results based on relevance. Defaults to true.', 'type': 'boolean'}, 'topK': {'default': 10, 'description': 'The maximum number of results to return. Defaults to 10.', 'maximum': 100, 'minimum': 1, 'type': 'number'}}, 'required': ['query'], 'type': 'object'}, description="""Look up information in the Knowledge Base. Use this tool when you need to:\n  - Find relevant documents or information on specific topics\n  - Retrieve company policies, procedures, or guidelines\n  - Access product specifications or technical documentation\n  - Get contextual information to answer company-specific questions\n  - Find historical data or information about projects"""), # agentset-ai/Agentset/knowledge-base-retrieve
    Tool(name="""MCP Microsoft Teams Server_start_thread""", inputSchema={'properties': {'content': {'description': 'The thread content', 'title': 'Content', 'type': 'string'}, 'member_name': {'anyOf': [{'type': 'string'}, {'type': 'null'}], 'default': None, 'description': 'Member name to mention in the thread', 'title': 'Member Name'}, 'title': {'description': 'The thread title', 'title': 'Title', 'type': 'string'}}, 'required': ['title', 'content'], 'title': 'start_threadArguments', 'type': 'object'}, description="""Start a new thread with a given title and content"""), # InditexTech/MCP Microsoft Teams Server/start_thread
    Tool(name="""MCP Microsoft Teams Server_update_thread""", inputSchema={'properties': {'content': {'description': 'The content to update in the thread', 'title': 'Content', 'type': 'string'}, 'member_name': {'anyOf': [{'type': 'string'}, {'type': 'null'}], 'default': None, 'description': 'Member name to mention in the thread', 'title': 'Member Name'}, 'thread_id': {'description': "The thread ID as a string in the format '1743086901347'", 'title': 'Thread Id', 'type': 'string'}}, 'required': ['thread_id', 'content'], 'title': 'update_threadArguments', 'type': 'object'}, description="""Update an existing thread with new content"""), # InditexTech/MCP Microsoft Teams Server/update_thread
    Tool(name="""MCP Microsoft Teams Server_read_thread""", inputSchema={'properties': {'thread_id': {'description': "The thread ID as a string in the format '1743086901347'", 'title': 'Thread Id', 'type': 'string'}}, 'required': ['thread_id'], 'title': 'read_threadArguments', 'type': 'object'}, description="""Read replies in a thread"""), # InditexTech/MCP Microsoft Teams Server/read_thread
    Tool(name="""MCP Microsoft Teams Server_list_threads""", inputSchema={'properties': {'cursor': {'anyOf': [{'type': 'string'}, {'type': 'null'}], 'default': None, 'description': 'Pagination cursor for the next page of results', 'title': 'Cursor'}, 'limit': {'default': 50, 'description': 'Maximum number of items to retrieve or page size', 'title': 'Limit', 'type': 'integer'}}, 'title': 'list_threadsArguments', 'type': 'object'}, description="""List threads in channel with pagination"""), # InditexTech/MCP Microsoft Teams Server/list_threads
    Tool(name="""MCP Microsoft Teams Server_get_member_by_name""", inputSchema={'properties': {'name': {'description': 'Member name', 'title': 'Name', 'type': 'string'}}, 'required': ['name'], 'title': 'get_member_by_nameArguments', 'type': 'object'}, description="""Get a member by its name"""), # InditexTech/MCP Microsoft Teams Server/get_member_by_name
    Tool(name="""MCP Microsoft Teams Server_list_members""", inputSchema={'properties': {}, 'title': 'list_membersArguments', 'type': 'object'}, description="""List all members in the team"""), # InditexTech/MCP Microsoft Teams Server/list_members
    Tool(name="""BloodHound MCP_tool://list_network_shares_ignoring_sysvol""", inputSchema={'properties': {'domain': {'title': 'domain', 'type': 'string'}}, 'required': ['domain'], 'title': 'list_network_shares_ignoring_sysvolArguments', 'type': 'object'}, description="""\nList network share(s), ignoring SYSVOL\n"""), # stevenyu113228/BloodHound MCP/tool://list_network_shares_ignoring_sysvol
    Tool(name="""BloodHound MCP_tool://list_all_groups""", inputSchema={'properties': {'domain': {'title': 'domain', 'type': 'string'}}, 'required': ['domain'], 'title': 'list_all_groupsArguments', 'type': 'object'}, description="""\nList all group(s)\n"""), # stevenyu113228/BloodHound MCP/tool://list_all_groups
    Tool(name="""BloodHound MCP_tool://list_all_gpos""", inputSchema={'properties': {'domain': {'title': 'domain', 'type': 'string'}}, 'required': ['domain'], 'title': 'list_all_gposArguments', 'type': 'object'}, description="""\nList all GPO(s)\n"""), # stevenyu113228/BloodHound MCP/tool://list_all_gpos
    Tool(name="""BloodHound MCP_tool://list_all_aad_groups_synchronized_with_ad""", inputSchema={'properties': {}, 'title': 'list_all_aad_groups_synchronized_with_adArguments', 'type': 'object'}, description="""\n[WIP] List all AAD Group(s) that are synchronized with AD (Required: azurehound)\n"""), # stevenyu113228/BloodHound MCP/tool://list_all_aad_groups_synchronized_with_ad
    Tool(name="""BloodHound MCP_tool://list_all_enabled_azure_users_group_memberships""", inputSchema={'properties': {}, 'title': 'list_all_enabled_azure_users_group_membershipsArguments', 'type': 'object'}, description="""\nList all enabled Azure User(s) Azure Group membership(s) (Required: azurehound)\n"""), # stevenyu113228/BloodHound MCP/tool://list_all_enabled_azure_users_group_memberships
    Tool(name="""BloodHound MCP_tool://list_all_principals_used_for_syncing_ad_and_aad""", inputSchema={'properties': {}, 'title': 'list_all_principals_used_for_syncing_ad_and_aadArguments', 'type': 'object'}, description="""\n[WIP] List all principal(s) used for syncing AD and AAD\n"""), # stevenyu113228/BloodHound MCP/tool://list_all_principals_used_for_syncing_ad_and_aad
    Tool(name="""BloodHound MCP_tool://list_all_enabled_azure_users""", inputSchema={'properties': {}, 'title': 'list_all_enabled_azure_usersArguments', 'type': 'object'}, description="""\nList all enabled Azure User(s) (Required: azurehound)\n"""), # stevenyu113228/BloodHound MCP/tool://list_all_enabled_azure_users
    Tool(name="""BloodHound MCP_tool://list_privileges_for_certificate_authority_servers""", inputSchema={'properties': {'domain': {'title': 'domain', 'type': 'string'}}, 'required': ['domain'], 'title': 'list_privileges_for_certificate_authority_serversArguments', 'type': 'object'}, description="""\n[WIP] List privileges for Certificate Authority server(s) [Required: Certipy]\n"""), # stevenyu113228/BloodHound MCP/tool://list_privileges_for_certificate_authority_servers
    Tool(name="""BloodHound MCP_tool://list_all_certificate_templates""", inputSchema={'properties': {'domain': {'title': 'domain', 'type': 'string'}}, 'required': ['domain'], 'title': 'list_all_certificate_templatesArguments', 'type': 'object'}, description="""\nList all Certificate Template(s) [Required: Certipy]\n"""), # stevenyu113228/BloodHound MCP/tool://list_all_certificate_templates
    Tool(name="""BloodHound MCP_tool://find_enabled_certificate_templates""", inputSchema={'properties': {'domain': {'title': 'domain', 'type': 'string'}}, 'required': ['domain'], 'title': 'find_enabled_certificate_templatesArguments', 'type': 'object'}, description="""\nFind enabled Certificate Template(s) [Required: Certipy]\n"""), # stevenyu113228/BloodHound MCP/tool://find_enabled_certificate_templates
    Tool(name="""BloodHound MCP_tool://list_all_enrollment_rights_for_certificate_templates""", inputSchema={'properties': {'domain': {'title': 'domain', 'type': 'string'}}, 'required': ['domain'], 'title': 'list_all_enrollment_rights_for_certificate_templatesArguments', 'type': 'object'}, description="""\n[WIP] List all Enrollment Right(s) for Certificate Template(s)\n"""), # stevenyu113228/BloodHound MCP/tool://list_all_enrollment_rights_for_certificate_templates
    Tool(name="""BloodHound MCP_tool://run_query""", inputSchema={'properties': {'parameters': {'anyOf': [{'additionalProperties': True, 'type': 'object'}, {'type': 'null'}], 'default': None, 'title': 'Parameters'}, 'query': {'title': 'Query', 'type': 'string'}}, 'required': ['query'], 'title': 'run_queryArguments', 'type': 'object'}, description="""\nCypher\n\nArgs:\n    query: Cypher\n    parameters: \n    \nReturns:\n    \n"""), # stevenyu113228/BloodHound MCP/tool://run_query
    Tool(name="""BloodHound MCP_tool://users_with_most_local_admin_rights""", inputSchema={'properties': {'domain': {'title': 'domain', 'type': 'string'}}, 'required': ['domain'], 'title': 'users_with_most_local_admin_rightsArguments', 'type': 'object'}, description="""\n[WIP] Users with Most Local Admin Rights\n"""), # stevenyu113228/BloodHound MCP/tool://users_with_most_local_admin_rights
    Tool(name="""BloodHound MCP_tool://computers_with_most_sessions""", inputSchema={'properties': {'domain': {'title': 'domain', 'type': 'string'}}, 'required': ['domain'], 'title': 'computers_with_most_sessionsArguments', 'type': 'object'}, description="""\n[WIP] Computers with Most Sessions [Required: sessions]\n"""), # stevenyu113228/BloodHound MCP/tool://computers_with_most_sessions
    Tool(name="""BloodHound MCP_tool://users_with_most_sessions""", inputSchema={'properties': {'domain': {'title': 'domain', 'type': 'string'}}, 'required': ['domain'], 'title': 'users_with_most_sessionsArguments', 'type': 'object'}, description="""\n[WIP] Users with Most Sessions [Required: sessions]\n"""), # stevenyu113228/BloodHound MCP/tool://users_with_most_sessions
    Tool(name="""BloodHound MCP_tool://non_privileged_users_with_dangerous_permissions""", inputSchema={'properties': {'domain': {'title': 'domain', 'type': 'string'}}, 'required': ['domain'], 'title': 'non_privileged_users_with_dangerous_permissionsArguments', 'type': 'object'}, description="""\nList non-privileged user(s) with dangerous permissions to any node type\n"""), # stevenyu113228/BloodHound MCP/tool://non_privileged_users_with_dangerous_permissions
    Tool(name="""BloodHound MCP_tool://route_non_privileged_users_with_dangerous_permissions""", inputSchema={'properties': {'domain': {'title': 'domain', 'type': 'string'}}, 'required': ['domain'], 'title': 'route_non_privileged_users_with_dangerous_permissionsArguments', 'type': 'object'}, description="""\nRoute non-privileged user(s) with dangerous permissions to any node type\n"""), # stevenyu113228/BloodHound MCP/tool://route_non_privileged_users_with_dangerous_permissions
    Tool(name="""BloodHound MCP_tool://users_with_most_cross_domain_sessions""", inputSchema={'properties': {'domain': {'title': 'domain', 'type': 'string'}}, 'required': ['domain'], 'title': 'users_with_most_cross_domain_sessionsArguments', 'type': 'object'}, description="""\n[WIP] Users with most cross-domain sessions [Required: sessions]\n"""), # stevenyu113228/BloodHound MCP/tool://users_with_most_cross_domain_sessions
    Tool(name="""BloodHound MCP_tool://list_high_value_targets""", inputSchema={'properties': {'domain': {'title': 'domain', 'type': 'string'}}, 'required': ['domain'], 'title': 'list_high_value_targetsArguments', 'type': 'object'}, description="""\nList high value target(s)\n"""), # stevenyu113228/BloodHound MCP/tool://list_high_value_targets
    Tool(name="""BloodHound MCP_tool://list_domains""", inputSchema={'properties': {}, 'title': 'list_domainsArguments', 'type': 'object'}, description="""\nList domain(s)\n"""), # stevenyu113228/BloodHound MCP/tool://list_domains
    Tool(name="""BloodHound MCP_tool://list_domain_trusts""", inputSchema={'properties': {}, 'title': 'list_domain_trustsArguments', 'type': 'object'}, description="""\nList domain trust(s)\n"""), # stevenyu113228/BloodHound MCP/tool://list_domain_trusts
    Tool(name="""BloodHound MCP_tool://list_enabled_users""", inputSchema={'properties': {'domain': {'title': 'domain', 'type': 'string'}}, 'required': ['domain'], 'title': 'list_enabled_usersArguments', 'type': 'object'}, description="""\nList enabled user(s)\n"""), # stevenyu113228/BloodHound MCP/tool://list_enabled_users
    Tool(name="""BloodHound MCP_tool://list_enabled_users_with_email""", inputSchema={'properties': {'domain': {'title': 'domain', 'type': 'string'}}, 'required': ['domain'], 'title': 'list_enabled_users_with_emailArguments', 'type': 'object'}, description="""\nList enabled user(s) with an email address\n"""), # stevenyu113228/BloodHound MCP/tool://list_enabled_users_with_email
    Tool(name="""BloodHound MCP_tool://list_non_managed_service_accounts""", inputSchema={'properties': {'domain': {'title': 'domain', 'type': 'string'}}, 'required': ['domain'], 'title': 'list_non_managed_service_accountsArguments', 'type': 'object'}, description="""\nList non-managed service account(s)\n"""), # stevenyu113228/BloodHound MCP/tool://list_non_managed_service_accounts
    Tool(name="""BloodHound MCP_tool://list_enabled_principals_with_unconstrained_delegation""", inputSchema={'properties': {'domain': {'title': 'domain', 'type': 'string'}}, 'required': ['domain'], 'title': 'list_enabled_principals_with_unconstrained_delegationArguments', 'type': 'object'}, description="""\nList enabled principal(s) with \"Unconstrained Delegation\"\n"""), # stevenyu113228/BloodHound MCP/tool://list_enabled_principals_with_unconstrained_delegation
    Tool(name="""BloodHound MCP_tool://list_enabled_principals_with_constrained_delegation""", inputSchema={'properties': {'domain': {'title': 'domain', 'type': 'string'}}, 'required': ['domain'], 'title': 'list_enabled_principals_with_constrained_delegationArguments', 'type': 'object'}, description="""\nList enabled principal(s) with \"Constrained Delegation\"\n"""), # stevenyu113228/BloodHound MCP/tool://list_enabled_principals_with_constrained_delegation
    Tool(name="""BloodHound MCP_tool://list_domain_controllers""", inputSchema={'properties': {'domain': {'title': 'domain', 'type': 'string'}}, 'required': ['domain'], 'title': 'list_domain_controllersArguments', 'type': 'object'}, description="""\nList domain controller(s)\n"""), # stevenyu113228/BloodHound MCP/tool://list_domain_controllers
    Tool(name="""BloodHound MCP_tool://list_domain_computers""", inputSchema={'properties': {'domain': {'title': 'domain', 'type': 'string'}}, 'required': ['domain'], 'title': 'list_domain_computersArguments', 'type': 'object'}, description="""\nList domain computer(s)\n"""), # stevenyu113228/BloodHound MCP/tool://list_domain_computers
    Tool(name="""BloodHound MCP_tool://list_certificate_authority_servers""", inputSchema={'properties': {'domain': {'title': 'domain', 'type': 'string'}}, 'required': ['domain'], 'title': 'list_certificate_authority_serversArguments', 'type': 'object'}, description="""\nList Certificate Authority server(s) [Required: Certipy]\n"""), # stevenyu113228/BloodHound MCP/tool://list_certificate_authority_servers
    Tool(name="""BloodHound MCP_tool://list_computers_without_laps""", inputSchema={'properties': {'domain': {'title': 'domain', 'type': 'string'}}, 'required': ['domain'], 'title': 'list_computers_without_lapsArguments', 'type': 'object'}, description="""\nList computer(s) WITHOUT LAPS\n"""), # stevenyu113228/BloodHound MCP/tool://list_computers_without_laps
    Tool(name="""BloodHound MCP_tool://list_all_principals_with_local_admin_permission""", inputSchema={'properties': {'domain': {'title': 'domain', 'type': 'string'}}, 'required': ['domain'], 'title': 'list_all_principals_with_local_admin_permissionArguments', 'type': 'object'}, description="""\nList all principal(s) with \"Local Admin\" permission\n"""), # stevenyu113228/BloodHound MCP/tool://list_all_principals_with_local_admin_permission
    Tool(name="""BloodHound MCP_tool://list_all_principals_with_rdp_permission""", inputSchema={'properties': {'domain': {'title': 'domain', 'type': 'string'}}, 'required': ['domain'], 'title': 'list_all_principals_with_rdp_permissionArguments', 'type': 'object'}, description="""\nList all principal(s) with \"RDP\" permission\n"""), # stevenyu113228/BloodHound MCP/tool://list_all_principals_with_rdp_permission
    Tool(name="""BloodHound MCP_tool://list_all_principals_with_sqladmin_permission""", inputSchema={'properties': {'domain': {'title': 'domain', 'type': 'string'}}, 'required': ['domain'], 'title': 'list_all_principals_with_sqladmin_permissionArguments', 'type': 'object'}, description="""\nList all principal(s) with \"SQLAdmin\" permission\n"""), # stevenyu113228/BloodHound MCP/tool://list_all_principals_with_sqladmin_permission
    Tool(name="""BloodHound MCP_tool://list_all_user_sessions""", inputSchema={'properties': {'domain': {'title': 'domain', 'type': 'string'}}, 'required': ['domain'], 'title': 'list_all_user_sessionsArguments', 'type': 'object'}, description="""\nList all user session(s) [Required: sessions]\n"""), # stevenyu113228/BloodHound MCP/tool://list_all_user_sessions
    Tool(name="""BloodHound MCP_tool://list_all_users_with_description_field""", inputSchema={'properties': {'domain': {'title': 'domain', 'type': 'string'}}, 'required': ['domain'], 'title': 'list_all_users_with_description_fieldArguments', 'type': 'object'}, description="""\nList all user(s) with description field\n"""), # stevenyu113228/BloodHound MCP/tool://list_all_users_with_description_field
    Tool(name="""BloodHound MCP_tool://list_all_enabled_users_with_userpassword_attribute""", inputSchema={'properties': {'domain': {'title': 'domain', 'type': 'string'}}, 'required': ['domain'], 'title': 'list_all_enabled_users_with_userpassword_attributeArguments', 'type': 'object'}, description="""\nList all enabled user(s) with \"userpassword\" attribute\n"""), # stevenyu113228/BloodHound MCP/tool://list_all_enabled_users_with_userpassword_attribute
    Tool(name="""BloodHound MCP_tool://list_all_enabled_users_with_password_never_expires""", inputSchema={'properties': {'domain': {'title': 'domain', 'type': 'string'}}, 'required': ['domain'], 'title': 'list_all_enabled_users_with_password_never_expiresArguments', 'type': 'object'}, description="""\nList all enabled user(s) with \"password never expires\" attribute\n"""), # stevenyu113228/BloodHound MCP/tool://list_all_enabled_users_with_password_never_expires
    Tool(name="""BloodHound MCP_tool://list_all_enabled_users_with_password_never_expires_not_changed_last_year""", inputSchema={'properties': {'domain': {'title': 'domain', 'type': 'string'}}, 'required': ['domain'], 'title': 'list_all_enabled_users_with_password_never_expires_not_changed_last_yearArguments', 'type': 'object'}, description="""\nList all enabled user(s) with \"password never expires\" attribute and not changed in last year\n"""), # stevenyu113228/BloodHound MCP/tool://list_all_enabled_users_with_password_never_expires_not_changed_last_year
    Tool(name="""BloodHound MCP_tool://list_all_enabled_users_with_no_password_required""", inputSchema={'properties': {'domain': {'title': 'domain', 'type': 'string'}}, 'required': ['domain'], 'title': 'list_all_enabled_users_with_no_password_requiredArguments', 'type': 'object'}, description="""\nList all enabled user(s) with \"don't require passwords\" attribute\n"""), # stevenyu113228/BloodHound MCP/tool://list_all_enabled_users_with_no_password_required
    Tool(name="""BloodHound MCP_tool://list_all_enabled_users_never_logged_in""", inputSchema={'properties': {'domain': {'title': 'domain', 'type': 'string'}}, 'required': ['domain'], 'title': 'list_all_enabled_users_never_logged_inArguments', 'type': 'object'}, description="""\nList all enabled user(s) but never logged in\n"""), # stevenyu113228/BloodHound MCP/tool://list_all_enabled_users_never_logged_in
    Tool(name="""BloodHound MCP_tool://list_all_enabled_users_logged_in_last_90_days""", inputSchema={'properties': {'domain': {'title': 'domain', 'type': 'string'}}, 'required': ['domain'], 'title': 'list_all_enabled_users_logged_in_last_90_daysArguments', 'type': 'object'}, description="""\nList all enabled user(s) that logged in within the last 90 days\n"""), # stevenyu113228/BloodHound MCP/tool://list_all_enabled_users_logged_in_last_90_days
    Tool(name="""BloodHound MCP_tool://list_all_enabled_users_set_password_last_90_days""", inputSchema={'properties': {'domain': {'title': 'domain', 'type': 'string'}}, 'required': ['domain'], 'title': 'list_all_enabled_users_set_password_last_90_daysArguments', 'type': 'object'}, description="""\nList all enabled user(s) that set password within the last 90 days\n"""), # stevenyu113228/BloodHound MCP/tool://list_all_enabled_users_set_password_last_90_days
    Tool(name="""BloodHound MCP_tool://list_all_enabled_users_with_foreign_group_membership""", inputSchema={'properties': {'domain': {'title': 'domain', 'type': 'string'}}, 'required': ['domain'], 'title': 'list_all_enabled_users_with_foreign_group_membershipArguments', 'type': 'object'}, description="""\nList all enabled user(s) with foreign group membership\n"""), # stevenyu113228/BloodHound MCP/tool://list_all_enabled_users_with_foreign_group_membership
    Tool(name="""BloodHound MCP_tool://list_all_owned_users""", inputSchema={'properties': {'domain': {'title': 'domain', 'type': 'string'}}, 'required': ['domain'], 'title': 'list_all_owned_usersArguments', 'type': 'object'}, description="""\nList all owned user(s)\n"""), # stevenyu113228/BloodHound MCP/tool://list_all_owned_users
    Tool(name="""BloodHound MCP_tool://list_all_owned_enabled_users""", inputSchema={'properties': {'domain': {'title': 'domain', 'type': 'string'}}, 'required': ['domain'], 'title': 'list_all_owned_enabled_usersArguments', 'type': 'object'}, description="""\nList all owned & enabled user(s)\n"""), # stevenyu113228/BloodHound MCP/tool://list_all_owned_enabled_users
    Tool(name="""BloodHound MCP_tool://list_all_owned_enabled_users_with_email""", inputSchema={'properties': {'domain': {'title': 'domain', 'type': 'string'}}, 'required': ['domain'], 'title': 'list_all_owned_enabled_users_with_emailArguments', 'type': 'object'}, description="""\nList all owned & enabled user(s) with an email address\n"""), # stevenyu113228/BloodHound MCP/tool://list_all_owned_enabled_users_with_email
    Tool(name="""BloodHound MCP_tool://list_all_owned_enabled_users_with_local_admin_and_sessions""", inputSchema={'properties': {'domain': {'title': 'domain', 'type': 'string'}}, 'required': ['domain'], 'title': 'list_all_owned_enabled_users_with_local_admin_and_sessionsArguments', 'type': 'object'}, description="""\nList all owned & enabled user(s) with \"Local Admin\" permission, and any active sessions and their group membership(s)\n"""), # stevenyu113228/BloodHound MCP/tool://list_all_owned_enabled_users_with_local_admin_and_sessions
    Tool(name="""BloodHound MCP_tool://list_all_owned_enabled_users_with_rdp_and_sessions""", inputSchema={'properties': {'domain': {'title': 'domain', 'type': 'string'}}, 'required': ['domain'], 'title': 'list_all_owned_enabled_users_with_rdp_and_sessionsArguments', 'type': 'object'}, description="""\nList all owned & enabled user(s) with \"RDP\" permission, and any active sessions and their group membership(s)\n"""), # stevenyu113228/BloodHound MCP/tool://list_all_owned_enabled_users_with_rdp_and_sessions
    Tool(name="""BloodHound MCP_tool://list_all_owned_enabled_users_with_sqladmin""", inputSchema={'properties': {'domain': {'title': 'domain', 'type': 'string'}}, 'required': ['domain'], 'title': 'list_all_owned_enabled_users_with_sqladminArguments', 'type': 'object'}, description="""\nList all owned & enabled user(s) with \"SQLAdmin\" permission\n"""), # stevenyu113228/BloodHound MCP/tool://list_all_owned_enabled_users_with_sqladmin
    Tool(name="""BloodHound MCP_tool://list_all_owned_computers""", inputSchema={'properties': {'domain': {'title': 'domain', 'type': 'string'}}, 'required': ['domain'], 'title': 'list_all_owned_computersArguments', 'type': 'object'}, description="""\nList all owned computer(s)\n"""), # stevenyu113228/BloodHound MCP/tool://list_all_owned_computers
    Tool(name="""BloodHound MCP_tool://route_all_owned_enabled_group_memberships""", inputSchema={'properties': {'domain': {'title': 'domain', 'type': 'string'}}, 'required': ['domain'], 'title': 'route_all_owned_enabled_group_membershipsArguments', 'type': 'object'}, description="""\nRoute all owned & enabled group membership(s)\n"""), # stevenyu113228/BloodHound MCP/tool://route_all_owned_enabled_group_memberships
    Tool(name="""BloodHound MCP_tool://route_all_owned_enabled_non_privileged_group_memberships""", inputSchema={'properties': {'domain': {'title': 'domain', 'type': 'string'}}, 'required': ['domain'], 'title': 'route_all_owned_enabled_non_privileged_group_membershipsArguments', 'type': 'object'}, description="""\nRoute all owned & enabled non-privileged group(s) membership\n"""), # stevenyu113228/BloodHound MCP/tool://route_all_owned_enabled_non_privileged_group_memberships
    Tool(name="""BloodHound MCP_tool://route_all_owned_enabled_privileged_group_memberships""", inputSchema={'properties': {'domain': {'title': 'domain', 'type': 'string'}}, 'required': ['domain'], 'title': 'route_all_owned_enabled_privileged_group_membershipsArguments', 'type': 'object'}, description="""\nRoute all owned & enabled privileged group(s) membership\n"""), # stevenyu113228/BloodHound MCP/tool://route_all_owned_enabled_privileged_group_memberships
    Tool(name="""BloodHound MCP_tool://route_all_owned_enabled_users_with_dangerous_rights_to_any_node""", inputSchema={'properties': {'domain': {'title': 'domain', 'type': 'string'}}, 'required': ['domain'], 'title': 'route_all_owned_enabled_users_with_dangerous_rights_to_any_nodeArguments', 'type': 'object'}, description="""\nRoute all owned & enabled user(s) with Dangerous Rights to any node type\n"""), # stevenyu113228/BloodHound MCP/tool://route_all_owned_enabled_users_with_dangerous_rights_to_any_node
    Tool(name="""BloodHound MCP_tool://route_all_owned_enabled_users_with_dangerous_rights_to_groups""", inputSchema={'properties': {'domain': {'title': 'domain', 'type': 'string'}}, 'required': ['domain'], 'title': 'route_all_owned_enabled_users_with_dangerous_rights_to_groupsArguments', 'type': 'object'}, description="""\nRoute all owned & enabled user(s) with Dangerous Rights to group(s)\n"""), # stevenyu113228/BloodHound MCP/tool://route_all_owned_enabled_users_with_dangerous_rights_to_groups
    Tool(name="""BloodHound MCP_tool://route_all_owned_enabled_users_with_dangerous_rights_to_users""", inputSchema={'properties': {'domain': {'title': 'domain', 'type': 'string'}}, 'required': ['domain'], 'title': 'route_all_owned_enabled_users_with_dangerous_rights_to_usersArguments', 'type': 'object'}, description="""\nRoute all owned & enabled user(s) with Dangerous Rights to user(s)\n"""), # stevenyu113228/BloodHound MCP/tool://route_all_owned_enabled_users_with_dangerous_rights_to_users
    Tool(name="""BloodHound MCP_tool://route_from_owned_enabled_users_to_unconstrained_delegation""", inputSchema={'properties': {'domain': {'title': 'domain', 'type': 'string'}}, 'required': ['domain'], 'title': 'route_from_owned_enabled_users_to_unconstrained_delegationArguments', 'type': 'object'}, description="""\nRoute from owned & enabled user(s) to all principals with \"Unconstrained Delegation\"\n"""), # stevenyu113228/BloodHound MCP/tool://route_from_owned_enabled_users_to_unconstrained_delegation
    Tool(name="""BloodHound MCP_tool://route_from_owned_enabled_principals_to_high_value_targets""", inputSchema={'properties': {'domain': {'title': 'domain', 'type': 'string'}}, 'required': ['domain'], 'title': 'route_from_owned_enabled_principals_to_high_value_targetsArguments', 'type': 'object'}, description="""\nRoute from owned & enabled principals to high value target(s)\n"""), # stevenyu113228/BloodHound MCP/tool://route_from_owned_enabled_principals_to_high_value_targets
    Tool(name="""BloodHound MCP_tool://find_all_owned_users_with_privileged_access_to_azure_tenancy""", inputSchema={'properties': {'domain': {'title': 'domain', 'type': 'string'}}, 'required': ['domain'], 'title': 'find_all_owned_users_with_privileged_access_to_azure_tenancyArguments', 'type': 'object'}, description="""\nOwned: [WIP] Find all owned user with privileged access to Azure Tenancy (Required: azurehound)\n"""), # stevenyu113228/BloodHound MCP/tool://find_all_owned_users_with_privileged_access_to_azure_tenancy
    Tool(name="""BloodHound MCP_tool://find_all_owned_users_where_group_grants_azure_privileged_access""", inputSchema={'properties': {'domain': {'title': 'domain', 'type': 'string'}}, 'required': ['domain'], 'title': 'find_all_owned_users_where_group_grants_azure_privileged_accessArguments', 'type': 'object'}, description="""\nOwned: [WIP] Find all owned user where group membership grants privileged access to Azure Tenancy (Required: azurehound)\n"""), # stevenyu113228/BloodHound MCP/tool://find_all_owned_users_where_group_grants_azure_privileged_access
    Tool(name="""BloodHound MCP_tool://find_all_owners_of_azure_applications_with_dangerous_rights""", inputSchema={'properties': {'domain': {'title': 'domain', 'type': 'string'}}, 'required': ['domain'], 'title': 'find_all_owners_of_azure_applications_with_dangerous_rightsArguments', 'type': 'object'}, description="""\nOwned: [WIP] Find all Owners of Azure Applications with Owners to Service Principals with Dangerous Rights (Required: azurehound)\n"""), # stevenyu113228/BloodHound MCP/tool://find_all_owners_of_azure_applications_with_dangerous_rights
    Tool(name="""BloodHound MCP_tool://find_all_owned_groups_granting_network_share_access""", inputSchema={'properties': {'domain': {'title': 'domain', 'type': 'string'}}, 'required': ['domain'], 'title': 'find_all_owned_groups_granting_network_share_accessArguments', 'type': 'object'}, description="""\nFind all owned groups that grant access to network shares\n"""), # stevenyu113228/BloodHound MCP/tool://find_all_owned_groups_granting_network_share_access
    Tool(name="""BloodHound MCP_tool://route_all_sessions_to_computers_without_laps""", inputSchema={'properties': {'domain': {'title': 'domain', 'type': 'string'}}, 'required': ['domain'], 'title': 'route_all_sessions_to_computers_without_lapsArguments', 'type': 'object'}, description="""\nRoute all sessions to computers WITHOUT LAPS (Required: sessions)\n"""), # stevenyu113228/BloodHound MCP/tool://route_all_sessions_to_computers_without_laps
    Tool(name="""BloodHound MCP_tool://route_all_sessions_to_computers""", inputSchema={'properties': {'domain': {'title': 'domain', 'type': 'string'}}, 'required': ['domain'], 'title': 'route_all_sessions_to_computersArguments', 'type': 'object'}, description="""\nRoute all sessions to computers (Required: sessions)\n"""), # stevenyu113228/BloodHound MCP/tool://route_all_sessions_to_computers
    Tool(name="""BloodHound MCP_tool://list_enabled_non_privileged_users_with_local_admin""", inputSchema={'properties': {'domain': {'title': 'domain', 'type': 'string'}}, 'required': ['domain'], 'title': 'list_enabled_non_privileged_users_with_local_adminArguments', 'type': 'object'}, description="""\nList enabled non-privileged user(s) with \"Local Admin\" permission\n"""), # stevenyu113228/BloodHound MCP/tool://list_enabled_non_privileged_users_with_local_admin
    Tool(name="""BloodHound MCP_tool://list_enabled_non_privileged_users_with_local_admin_and_sessions""", inputSchema={'properties': {'domain': {'title': 'domain', 'type': 'string'}}, 'required': ['domain'], 'title': 'list_enabled_non_privileged_users_with_local_admin_and_sessionsArguments', 'type': 'object'}, description="""\nList enabled non-privileged user(s) with \"Local Admin\" permission, and any active sessions and their group membership(s)\n"""), # stevenyu113228/BloodHound MCP/tool://list_enabled_non_privileged_users_with_local_admin_and_sessions
    Tool(name="""BloodHound MCP_tool://list_enabled_non_privileged_users_with_rdp""", inputSchema={'properties': {'domain': {'title': 'domain', 'type': 'string'}}, 'required': ['domain'], 'title': 'list_enabled_non_privileged_users_with_rdpArguments', 'type': 'object'}, description="""\nList enabled non-privileged user(s) with \"RDP\" permission\n"""), # stevenyu113228/BloodHound MCP/tool://list_enabled_non_privileged_users_with_rdp
    Tool(name="""BloodHound MCP_tool://list_enabled_non_privileged_users_with_rdp_and_sessions""", inputSchema={'properties': {'domain': {'title': 'domain', 'type': 'string'}}, 'required': ['domain'], 'title': 'list_enabled_non_privileged_users_with_rdp_and_sessionsArguments', 'type': 'object'}, description="""\nList enabled non-privileged user(s) with \"RDP\" permission, and any active sessions and their group membership(s)\n"""), # stevenyu113228/BloodHound MCP/tool://list_enabled_non_privileged_users_with_rdp_and_sessions
    Tool(name="""BloodHound MCP_tool://list_enabled_non_privileged_users_with_sqladmin""", inputSchema={'properties': {'domain': {'title': 'domain', 'type': 'string'}}, 'required': ['domain'], 'title': 'list_enabled_non_privileged_users_with_sqladminArguments', 'type': 'object'}, description="""\nList enabled non-privileged user(s) with \"SQLAdmin\" permission\n"""), # stevenyu113228/BloodHound MCP/tool://list_enabled_non_privileged_users_with_sqladmin
    Tool(name="""BloodHound MCP_tool://list_all_domain_users_group_memberships""", inputSchema={'properties': {'domain': {'title': 'domain', 'type': 'string'}}, 'required': ['domain'], 'title': 'list_all_domain_users_group_membershipsArguments', 'type': 'object'}, description="""\nList all \"Domain Users\" group membership(s)\n"""), # stevenyu113228/BloodHound MCP/tool://list_all_domain_users_group_memberships
    Tool(name="""BloodHound MCP_tool://list_all_authenticated_users_group_memberships""", inputSchema={'properties': {'domain': {'title': 'domain', 'type': 'string'}}, 'required': ['domain'], 'title': 'list_all_authenticated_users_group_membershipsArguments', 'type': 'object'}, description="""\nList all \"Authenticated Users\" group membership(s)\n"""), # stevenyu113228/BloodHound MCP/tool://list_all_authenticated_users_group_memberships
    Tool(name="""BloodHound MCP_tool://find_all_enabled_as_rep_roastable_users""", inputSchema={'properties': {'domain': {'title': 'domain', 'type': 'string'}}, 'required': ['domain'], 'title': 'find_all_enabled_as_rep_roastable_usersArguments', 'type': 'object'}, description="""\nFind all enabled AS-REP roastable user(s)\n"""), # stevenyu113228/BloodHound MCP/tool://find_all_enabled_as_rep_roastable_users
    Tool(name="""BloodHound MCP_tool://find_all_enabled_kerberoastable_users""", inputSchema={'properties': {'domain': {'title': 'domain', 'type': 'string'}}, 'required': ['domain'], 'title': 'find_all_enabled_kerberoastable_usersArguments', 'type': 'object'}, description="""\nFind all enabled kerberoastable user(s)\n"""), # stevenyu113228/BloodHound MCP/tool://find_all_enabled_kerberoastable_users
    Tool(name="""BloodHound MCP_tool://route_non_privileged_users_with_dangerous_rights_to_users""", inputSchema={'properties': {'domain': {'title': 'domain', 'type': 'string'}}, 'required': ['domain'], 'title': 'route_non_privileged_users_with_dangerous_rights_to_usersArguments', 'type': 'object'}, description="""\nRoute non-privileged user(s) with dangerous rights to user(s) [HIGH RAM]\n"""), # stevenyu113228/BloodHound MCP/tool://route_non_privileged_users_with_dangerous_rights_to_users
    Tool(name="""BloodHound MCP_tool://route_non_privileged_users_with_dangerous_rights_to_groups""", inputSchema={'properties': {'domain': {'title': 'domain', 'type': 'string'}}, 'required': ['domain'], 'title': 'route_non_privileged_users_with_dangerous_rights_to_groupsArguments', 'type': 'object'}, description="""\nRoute non-privileged user(s) with dangerous rights to group(s) [HIGH RAM]\n"""), # stevenyu113228/BloodHound MCP/tool://route_non_privileged_users_with_dangerous_rights_to_groups
    Tool(name="""BloodHound MCP_tool://route_non_privileged_users_with_dangerous_rights_to_computers""", inputSchema={'properties': {'domain': {'title': 'domain', 'type': 'string'}}, 'required': ['domain'], 'title': 'route_non_privileged_users_with_dangerous_rights_to_computersArguments', 'type': 'object'}, description="""\nRoute non-privileged user(s) with dangerous rights to computer(s) [HIGH RAM]\n"""), # stevenyu113228/BloodHound MCP/tool://route_non_privileged_users_with_dangerous_rights_to_computers
    Tool(name="""BloodHound MCP_tool://route_non_privileged_users_with_dangerous_rights_to_gpos""", inputSchema={'properties': {'domain': {'title': 'domain', 'type': 'string'}}, 'required': ['domain'], 'title': 'route_non_privileged_users_with_dangerous_rights_to_gposArguments', 'type': 'object'}, description="""\nRoute non-privileged user(s) with dangerous rights to GPO(s) [HIGH RAM]\n"""), # stevenyu113228/BloodHound MCP/tool://route_non_privileged_users_with_dangerous_rights_to_gpos
    Tool(name="""BloodHound MCP_tool://route_non_privileged_users_with_dangerous_rights_to_privileged_nodes""", inputSchema={'properties': {'domain': {'title': 'domain', 'type': 'string'}}, 'required': ['domain'], 'title': 'route_non_privileged_users_with_dangerous_rights_to_privileged_nodesArguments', 'type': 'object'}, description="""\nRoute non-privileged user(s) with dangerous rights to privileged node(s) [HIGH RAM]\n"""), # stevenyu113228/BloodHound MCP/tool://route_non_privileged_users_with_dangerous_rights_to_privileged_nodes
    Tool(name="""BloodHound MCP_tool://route_non_privileged_computers_with_dangerous_rights_to_users""", inputSchema={'properties': {'domain': {'title': 'domain', 'type': 'string'}}, 'required': ['domain'], 'title': 'route_non_privileged_computers_with_dangerous_rights_to_usersArguments', 'type': 'object'}, description="""\nRoute non-privileged computer(s) with dangerous rights to user(s) [HIGH RAM]\n"""), # stevenyu113228/BloodHound MCP/tool://route_non_privileged_computers_with_dangerous_rights_to_users
    Tool(name="""BloodHound MCP_tool://route_non_privileged_computers_with_dangerous_rights_to_groups""", inputSchema={'properties': {'domain': {'title': 'domain', 'type': 'string'}}, 'required': ['domain'], 'title': 'route_non_privileged_computers_with_dangerous_rights_to_groupsArguments', 'type': 'object'}, description="""\nRoute non-privileged computer(s) with dangerous rights to group(s) [HIGH RAM]\n"""), # stevenyu113228/BloodHound MCP/tool://route_non_privileged_computers_with_dangerous_rights_to_groups
    Tool(name="""BloodHound MCP_tool://route_non_privileged_computers_with_dangerous_rights_to_computers""", inputSchema={'properties': {'domain': {'title': 'domain', 'type': 'string'}}, 'required': ['domain'], 'title': 'route_non_privileged_computers_with_dangerous_rights_to_computersArguments', 'type': 'object'}, description="""\nRoute non-privileged computer(s) with dangerous rights to computer(s) [HIGH RAM]\n"""), # stevenyu113228/BloodHound MCP/tool://route_non_privileged_computers_with_dangerous_rights_to_computers
    Tool(name="""BloodHound MCP_tool://route_non_privileged_computers_with_dangerous_rights_to_gpos""", inputSchema={'properties': {'domain': {'title': 'domain', 'type': 'string'}}, 'required': ['domain'], 'title': 'route_non_privileged_computers_with_dangerous_rights_to_gposArguments', 'type': 'object'}, description="""\nRoute non-privileged computer(s) with dangerous rights to GPO(s) [HIGH RAM]\n"""), # stevenyu113228/BloodHound MCP/tool://route_non_privileged_computers_with_dangerous_rights_to_gpos
    Tool(name="""BloodHound MCP_tool://route_non_privileged_computers_with_dangerous_rights_to_privileged_nodes""", inputSchema={'properties': {'domain': {'title': 'domain', 'type': 'string'}}, 'required': ['domain'], 'title': 'route_non_privileged_computers_with_dangerous_rights_to_privileged_nodesArguments', 'type': 'object'}, description="""\nRoute non-privileged computer(s) with dangerous rights to privileged node(s) [HIGH RAM]\n"""), # stevenyu113228/BloodHound MCP/tool://route_non_privileged_computers_with_dangerous_rights_to_privileged_nodes
    Tool(name="""BloodHound MCP_tool://list_esc1_vulnerable_certificate_templates""", inputSchema={'properties': {'domain': {'title': 'domain', 'type': 'string'}}, 'required': ['domain'], 'title': 'list_esc1_vulnerable_certificate_templatesArguments', 'type': 'object'}, description="""\nList ESC1 vulnerable Certificate Template(s) [Required: Certipy]\n"""), # stevenyu113228/BloodHound MCP/tool://list_esc1_vulnerable_certificate_templates
    Tool(name="""BloodHound MCP_tool://list_esc2_vulnerable_certificate_templates""", inputSchema={'properties': {'domain': {'title': 'domain', 'type': 'string'}}, 'required': ['domain'], 'title': 'list_esc2_vulnerable_certificate_templatesArguments', 'type': 'object'}, description="""\nList ESC2 vulnerable Certificate Template(s) [Required: Certipy]\n"""), # stevenyu113228/BloodHound MCP/tool://list_esc2_vulnerable_certificate_templates
    Tool(name="""BloodHound MCP_tool://list_esc3_vulnerable_certificate_templates""", inputSchema={'properties': {'domain': {'title': 'domain', 'type': 'string'}}, 'required': ['domain'], 'title': 'list_esc3_vulnerable_certificate_templatesArguments', 'type': 'object'}, description="""\nList ESC3 vulnerable Certificate Template(s) [Required: Certipy]\n"""), # stevenyu113228/BloodHound MCP/tool://list_esc3_vulnerable_certificate_templates
    Tool(name="""BloodHound MCP_tool://list_esc4_vulnerable_certificate_templates""", inputSchema={'properties': {'domain': {'title': 'domain', 'type': 'string'}}, 'required': ['domain'], 'title': 'list_esc4_vulnerable_certificate_templatesArguments', 'type': 'object'}, description="""\nList ESC4 vulnerable Certificate Template(s) [Required: Certipy]\n"""), # stevenyu113228/BloodHound MCP/tool://list_esc4_vulnerable_certificate_templates
    Tool(name="""BloodHound MCP_tool://list_esc6_vulnerable_certificate_templates""", inputSchema={'properties': {'domain': {'title': 'domain', 'type': 'string'}}, 'required': ['domain'], 'title': 'list_esc6_vulnerable_certificate_templatesArguments', 'type': 'object'}, description="""\nList ESC6 vulnerable Certificate Template(s) [Required: Certipy]\n"""), # stevenyu113228/BloodHound MCP/tool://list_esc6_vulnerable_certificate_templates
    Tool(name="""BloodHound MCP_tool://list_esc7_vulnerable_certificate_templates""", inputSchema={'properties': {'domain': {'title': 'domain', 'type': 'string'}}, 'required': ['domain'], 'title': 'list_esc7_vulnerable_certificate_templatesArguments', 'type': 'object'}, description="""\nList ESC7 vulnerable Certificate Template(s) [Required: Certipy]\n"""), # stevenyu113228/BloodHound MCP/tool://list_esc7_vulnerable_certificate_templates
    Tool(name="""BloodHound MCP_tool://list_esc8_vulnerable_certificate_templates""", inputSchema={'properties': {'domain': {'title': 'domain', 'type': 'string'}}, 'required': ['domain'], 'title': 'list_esc8_vulnerable_certificate_templatesArguments', 'type': 'object'}, description="""\nList ESC8 vulnerable Certificate Template(s) [Required: Certipy]\n"""), # stevenyu113228/BloodHound MCP/tool://list_esc8_vulnerable_certificate_templates
    Tool(name="""BloodHound MCP_tool://list_all_cross_domain_user_sessions_and_memberships""", inputSchema={'properties': {'domain': {'title': 'domain', 'type': 'string'}}, 'required': ['domain'], 'title': 'list_all_cross_domain_user_sessions_and_membershipsArguments', 'type': 'object'}, description="""\nList all cross-domain user session(s) and user group membership(s)\n"""), # stevenyu113228/BloodHound MCP/tool://list_all_cross_domain_user_sessions_and_memberships
    Tool(name="""BloodHound MCP_tool://list_privileged_users_without_protected_users""", inputSchema={'properties': {'domain': {'title': 'domain', 'type': 'string'}}, 'required': ['domain'], 'title': 'list_privileged_users_without_protected_usersArguments', 'type': 'object'}, description="""\nList privileged user(s) without \"Protected Users\" group membership\n"""), # stevenyu113228/BloodHound MCP/tool://list_privileged_users_without_protected_users
    Tool(name="""BloodHound MCP_tool://list_custom_privileged_groups""", inputSchema={'properties': {'domain': {'title': 'domain', 'type': 'string'}}, 'required': ['domain'], 'title': 'list_custom_privileged_groupsArguments', 'type': 'object'}, description="""\nList custom privileged group(s)\n"""), # stevenyu113228/BloodHound MCP/tool://list_custom_privileged_groups
    Tool(name="""BloodHound MCP_tool://list_enabled_svc_accounts_with_privileged_group_memberships""", inputSchema={'properties': {'domain': {'title': 'domain', 'type': 'string'}}, 'required': ['domain'], 'title': 'list_enabled_svc_accounts_with_privileged_group_membershipsArguments', 'type': 'object'}, description="""\nList all enabled SVC account(s) with privileged group membership(s)\n"""), # stevenyu113228/BloodHound MCP/tool://list_enabled_svc_accounts_with_privileged_group_memberships
    Tool(name="""BloodHound MCP_tool://route_privileged_users_with_sessions_to_non_privileged_computers""", inputSchema={'properties': {'domain': {'title': 'domain', 'type': 'string'}}, 'required': ['domain'], 'title': 'route_privileged_users_with_sessions_to_non_privileged_computersArguments', 'type': 'object'}, description="""\nRoute all privileged user(s) with sessions to non-privileged computer(s) [Required: sessions]\n"""), # stevenyu113228/BloodHound MCP/tool://route_privileged_users_with_sessions_to_non_privileged_computers
    Tool(name="""BloodHound MCP_tool://find_allshortestpaths_with_dangerous_rights_to_adminsdholder""", inputSchema={'properties': {'domain': {'title': 'domain', 'type': 'string'}}, 'required': ['domain'], 'title': 'find_allshortestpaths_with_dangerous_rights_to_adminsdholderArguments', 'type': 'object'}, description="""\nFind allshortestpaths with dangerous rights to AdminSDHolder object\n"""), # stevenyu113228/BloodHound MCP/tool://find_allshortestpaths_with_dangerous_rights_to_adminsdholder
    Tool(name="""BloodHound MCP_tool://find_allshortestpaths_with_dcsync_to_domain""", inputSchema={'properties': {'domain': {'title': 'domain', 'type': 'string'}}, 'required': ['domain'], 'title': 'find_allshortestpaths_with_dcsync_to_domainArguments', 'type': 'object'}, description="""\nFind allshortestpaths with DCSync to domain object\n"""), # stevenyu113228/BloodHound MCP/tool://find_allshortestpaths_with_dcsync_to_domain
    Tool(name="""BloodHound MCP_tool://find_allshortestpaths_with_shadow_credential_permission""", inputSchema={'properties': {'domain': {'title': 'domain', 'type': 'string'}}, 'required': ['domain'], 'title': 'find_allshortestpaths_with_shadow_credential_permissionArguments', 'type': 'object'}, description="""\nFind allshortestpaths with Shadow Credential permission to principal(s)\n"""), # stevenyu113228/BloodHound MCP/tool://find_allshortestpaths_with_shadow_credential_permission
    Tool(name="""BloodHound MCP_tool://list_all_tenancy""", inputSchema={'properties': {}, 'title': 'list_all_tenancyArguments', 'type': 'object'}, description="""\nList all Tenancy (Required: azurehound)\n"""), # stevenyu113228/BloodHound MCP/tool://list_all_tenancy
    Tool(name="""BloodHound MCP_tool://list_all_ad_principals_with_edges_to_azure_principals""", inputSchema={'properties': {}, 'title': 'list_all_ad_principals_with_edges_to_azure_principalsArguments', 'type': 'object'}, description="""\n[WIP] List all AD principal(s) with edge(s) to Azure principal(s) (Required: azurehound)\n"""), # stevenyu113228/BloodHound MCP/tool://list_all_ad_principals_with_edges_to_azure_principals
    Tool(name="""BloodHound MCP_tool://list_all_principals_with_privileged_access_to_azure_tenancy""", inputSchema={'properties': {}, 'title': 'list_all_principals_with_privileged_access_to_azure_tenancyArguments', 'type': 'object'}, description="""\n[WIP] List all principal(s) with privileged access to Azure Tenancy (Required: azurehound)\n"""), # stevenyu113228/BloodHound MCP/tool://list_all_principals_with_privileged_access_to_azure_tenancy
    Tool(name="""BloodHound MCP_tool://route_principals_to_azure_applications_and_service_principals""", inputSchema={'properties': {}, 'title': 'route_principals_to_azure_applications_and_service_principalsArguments', 'type': 'object'}, description="""\n[WIP] Route all principal(s) that have control permissions to Azure Application(s) running as Azure Service Principals (AzSP), and route from privileged ASP to Azure Tenancy (Required: azurehound)\n"""), # stevenyu113228/BloodHound MCP/tool://route_principals_to_azure_applications_and_service_principals
    Tool(name="""BloodHound MCP_tool://route_user_principals_to_azure_service_principals""", inputSchema={'properties': {}, 'title': 'route_user_principals_to_azure_service_principalsArguments', 'type': 'object'}, description="""\n[WIP] Route all user principal(s) that have control permissions to Azure Service Principals (AzSP), and route from AzSP to principal(s) (Required: azurehound)\n"""), # stevenyu113228/BloodHound MCP/tool://route_user_principals_to_azure_service_principals
    Tool(name="""BloodHound MCP_tool://route_azure_users_with_dangerous_rights_to_users""", inputSchema={'properties': {}, 'title': 'route_azure_users_with_dangerous_rights_to_usersArguments', 'type': 'object'}, description="""\n[WIP] Route from Azure User principal(s) that have dangerous rights to Azure User and User principal(s) (Required: azurehound)\n"""), # stevenyu113228/BloodHound MCP/tool://route_azure_users_with_dangerous_rights_to_users
    Tool(name="""BloodHound MCP_tool://route_principals_to_azure_vm""", inputSchema={'properties': {}, 'title': 'route_principals_to_azure_vmArguments', 'type': 'object'}, description="""\n[WIP] Route from principal(s) to Azure VM (Required: azurehound)\n"""), # stevenyu113228/BloodHound MCP/tool://route_principals_to_azure_vm
    Tool(name="""BloodHound MCP_tool://route_principals_to_global_administrators""", inputSchema={'properties': {}, 'title': 'route_principals_to_global_administratorsArguments', 'type': 'object'}, description="""\n[WIP] Route from principal(s) to principal(s) with Global Administrator permissions (Required: azurehound)\n"""), # stevenyu113228/BloodHound MCP/tool://route_principals_to_global_administrators
    Tool(name="""Azure Resource Graph MCP Server_query-resources""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'query': {'description': 'Resource Graph query, defaults to listing all resources', 'type': 'string'}, 'subscriptionId': {'default': '12a34b56-7c89-0d12-e34f-56g7890h1234', 'description': 'Azure subscription ID', 'type': 'string'}}, 'type': 'object'}, description="""Retrieves resources and their details from Azure Resource Graph. Use this tool to search, filter, and analyze Azure resources across subscriptions. It supports Kusto Query Language (KQL) for complex queries to find resources by type, location, tags, or properties. Useful for infrastructure auditing, resource inventory, compliance checking, and understanding your Azure environment's current state."""), # hardik-id/Azure Resource Graph MCP Server/query-resources
    Tool(name="""Seoul Public Data MCP Server_KoreaSeoulSubwayStatus""", inputSchema={'properties': {'date': {'description': ', YYYYMMDD  .', 'type': 'string'}, 'endIndex': {'description': ',   (   :   ),  10 .', 'type': 'number'}, 'startIndex': {'description': ',   (   :   ),  1 .', 'type': 'number'}, 'subwayLineNo': {'description': '   .  ( %20 )', 'type': 'string'}, 'subwayStationName': {'description': '   .', 'type': 'string'}}, 'required': ['date', 'subwayLineNo', 'subwayStationName'], 'type': 'object'}, description="""\n           . \n\n   YYYYMMDD   ,\n      .\n   , \"\" \"\"  .\n     \"1\", \"2\"    .\n\n    JSON  ,     :\n\n    list_total_count:   \n    RESULT.CODE:  \n    RESULT.MESSAGE:  \n    row:  \n      \n           :\n\n      USE_YMD: \n      SBWY_ROUT_LN_NM: \n      SBWY_STNS_NM: \n      GTON_TNOPE: \n      GTOFF_TNOPE: \n      REG_YMDT: \n  """), # pinnaclesoft-ko/Seoul Public Data MCP Server/KoreaSeoulSubwayStatus
    Tool(name="""Seoul Public Data MCP Server_CulturalEventInfo""", inputSchema={'properties': {'endIndex': {'description': ',   (   :   ),  10 .  list_total_count.', 'type': 'number'}, 'startIndex': {'description': ',   (   :   ),  1 .', 'type': 'number'}}, 'required': ['startIndex', 'endIndex'], 'type': 'object'}, description="""\n        .\n\n     .\n  ,   , , , , , ,    .\n\n\n    JSON  ,     :\n\n    list_total_count:   \n    RESULT.CODE:  \n    RESULT.MESSAGE:  \n    row:  \n      \n           :\n\n      CODENAME: \n      GUNAME: \n      TITLE: /\n      DATE: /\n      PLACE: \n      ORG_NAME: \n      USE_TRGT: \n      USE_FEE: \n      PLAYER: \n      PROGRAM: \n      ETC_DESC: \n      ORG_LINK:  \n      MAIN_IMG: \n      RGSTDATE: \n      TICKET: /\n      STRTDATE: \n      END_DATE: \n      THEMECODE: \n      LOT: \n      LAT: \n      IS_FREE: \n      HMPG_ADDR: URL\n  """), # pinnaclesoft-ko/Seoul Public Data MCP Server/CulturalEventInfo
    Tool(name="""Instagram Video Downloader MCP Server_download""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'path': {'description': 'Download local path (e.g. /Users/project/vue, /Users/download)', 'type': 'string'}, 'url': {'description': 'Instagram website address (e.g. https://www.instagram.com/p/DHvN6-xygmQ/, https://www.instagram.com/p/DHaq23Oy1iV/)', 'format': 'uri', 'type': 'string'}}, 'required': ['url', 'path'], 'type': 'object'}, description="""Instagram downloader"""), # handoing/Instagram Video Downloader MCP Server/download
    Tool(name="""GitHub Action Trigger MCP Server_get_github_actions""", inputSchema={'properties': {'owner': {'description': 'Owner of the repository (username or organization)', 'type': 'string'}, 'repo': {'description': 'Name of the repository', 'type': 'string'}, 'token': {'description': 'GitHub personal access token (optional)', 'type': 'string'}}, 'required': ['owner', 'repo'], 'type': 'object'}, description="""Get available GitHub Actions for a repository"""), # nextDriveIoE/GitHub Action Trigger MCP Server/get_github_actions
    Tool(name="""GitHub Action Trigger MCP Server_get_github_action""", inputSchema={'properties': {'owner': {'description': 'Owner of the action (username or organization)', 'type': 'string'}, 'path': {'description': "Path to the action.yml or action.yaml file (usually just 'action.yml')", 'type': 'string'}, 'ref': {'description': 'Git reference (branch, tag, or commit SHA, default: main)', 'type': 'string'}, 'repo': {'description': 'Repository name of the action', 'type': 'string'}, 'token': {'description': 'GitHub personal access token (optional)', 'type': 'string'}}, 'required': ['owner', 'repo'], 'type': 'object'}, description="""Get detailed information about a specific GitHub Action, including inputs and their requirements"""), # nextDriveIoE/GitHub Action Trigger MCP Server/get_github_action
    Tool(name="""GitHub Action Trigger MCP Server_trigger_github_action""", inputSchema={'properties': {'inputs': {'description': "Inputs to pass to the workflow (must match the workflow's defined inputs)", 'type': 'object'}, 'owner': {'description': 'Owner of the repository (username or organization)', 'type': 'string'}, 'ref': {'description': 'The git reference to trigger the workflow on (default: main)', 'type': 'string'}, 'repo': {'description': 'Name of the repository', 'type': 'string'}, 'token': {'description': 'GitHub personal access token (must have workflow scope)', 'type': 'string'}, 'workflow_id': {'description': 'The ID or filename of the workflow to trigger', 'type': 'string'}}, 'required': ['owner', 'repo', 'workflow_id'], 'type': 'object'}, description="""Trigger a GitHub workflow dispatch event with custom inputs"""), # nextDriveIoE/GitHub Action Trigger MCP Server/trigger_github_action
    Tool(name="""GitHub Action Trigger MCP Server_get_github_release""", inputSchema={'properties': {'owner': {'description': 'Owner of the repository (username or organization)', 'type': 'string'}, 'repo': {'description': 'Name of the repository', 'type': 'string'}, 'token': {'description': 'GitHub personal access token (optional)', 'type': 'string'}}, 'required': ['owner', 'repo'], 'type': 'object'}, description="""Get the latest 2 releases from a GitHub repository"""), # nextDriveIoE/GitHub Action Trigger MCP Server/get_github_release
    Tool(name="""MCP Gemini Server_exampleTool""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'language': {'description': "Optional language code for the greeting (e.g., 'en', 'es', 'fr'). Defaults to 'en' if not provided or invalid.", 'enum': ['en', 'es', 'fr'], 'type': 'string'}, 'name': {'description': 'The name to include in the greeting message. Required, 1-50 characters.', 'maxLength': 50, 'minLength': 1, 'type': 'string'}}, 'required': ['name'], 'type': 'object'}, description="""An example tool that takes a name and returns a greeting message. Demonstrates the basic structure of an MCP tool using Zod for parameter definition."""), # bsmi021/MCP Gemini Server/exampleTool
    Tool(name="""MCP Gemini Server_gemini_generateContent""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'generationConfig': {'additionalProperties': False, 'description': 'Optional configuration for controlling the generation process.', 'properties': {'maxOutputTokens': {'description': 'Maximum number of tokens to generate in the response.', 'minimum': 1, 'type': 'integer'}, 'stopSequences': {'description': 'Sequences where the API will stop generating further tokens.', 'items': {'type': 'string'}, 'type': 'array'}, 'temperature': {'description': 'Controls randomness. Lower values (~0.2) make output more deterministic, higher values (~0.8) make it more creative. Default varies by model.', 'maximum': 1, 'minimum': 0, 'type': 'number'}, 'topK': {'description': 'Top-k sampling parameter. The model considers the k most probable tokens. Default varies by model.', 'minimum': 1, 'type': 'integer'}, 'topP': {'description': 'Nucleus sampling parameter. The model considers only tokens with probability mass summing to this value. Default varies by model.', 'maximum': 1, 'minimum': 0, 'type': 'number'}}, 'type': 'object'}, 'modelName': {'description': "Optional. The name of the Gemini model to use (e.g., 'gemini-1.5-flash'). If omitted, the server's default model (from GOOGLE_GEMINI_MODEL env var) will be used.", 'minLength': 1, 'type': 'string'}, 'prompt': {'description': 'Required. The text prompt to send to the Gemini model for content generation.', 'minLength': 1, 'type': 'string'}, 'safetySettings': {'description': 'Optional. A list of safety settings to apply, overriding default model safety settings. Each setting specifies a harm category and a blocking threshold.', 'items': {'additionalProperties': False, 'description': 'Setting for controlling content safety for a specific harm category.', 'properties': {'category': {'description': 'Category of harmful content to apply safety settings for.', 'enum': ['HARM_CATEGORY_UNSPECIFIED', 'HARM_CATEGORY_HATE_SPEECH', 'HARM_CATEGORY_SEXUALLY_EXPLICIT', 'HARM_CATEGORY_HARASSMENT', 'HARM_CATEGORY_DANGEROUS_CONTENT'], 'type': 'string'}, 'threshold': {'description': 'Threshold for blocking harmful content. Higher thresholds block more content.', 'enum': ['HARM_BLOCK_THRESHOLD_UNSPECIFIED', 'BLOCK_LOW_AND_ABOVE', 'BLOCK_MEDIUM_AND_ABOVE', 'BLOCK_ONLY_HIGH', 'BLOCK_NONE'], 'type': 'string'}}, 'required': ['category', 'threshold'], 'type': 'object'}, 'type': 'array'}}, 'required': ['prompt'], 'type': 'object'}, description="""\nGenerates non-streaming text content using a specified Google Gemini model.\nThis tool takes a text prompt and returns the complete generated response from the model.\nIt's suitable for single-turn generation tasks where the full response is needed at once.\nOptional parameters allow control over generation (temperature, max tokens, etc.) and safety settings.\n"""), # bsmi021/MCP Gemini Server/gemini_generateContent
    Tool(name="""MCP Gemini Server_gemini_generateContentStream""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'generationConfig': {'additionalProperties': False, 'description': 'Optional configuration for controlling the generation process.', 'properties': {'maxOutputTokens': {'description': 'Maximum number of tokens to generate in the response.', 'minimum': 1, 'type': 'integer'}, 'stopSequences': {'description': 'Sequences where the API will stop generating further tokens.', 'items': {'type': 'string'}, 'type': 'array'}, 'temperature': {'description': 'Controls randomness. Lower values (~0.2) make output more deterministic, higher values (~0.8) make it more creative. Default varies by model.', 'maximum': 1, 'minimum': 0, 'type': 'number'}, 'topK': {'description': 'Top-k sampling parameter. The model considers the k most probable tokens. Default varies by model.', 'minimum': 1, 'type': 'integer'}, 'topP': {'description': 'Nucleus sampling parameter. The model considers only tokens with probability mass summing to this value. Default varies by model.', 'maximum': 1, 'minimum': 0, 'type': 'number'}}, 'type': 'object'}, 'modelName': {'description': "Optional. The name of the Gemini model to use (e.g., 'gemini-1.5-flash'). If omitted, the server's default model (from GOOGLE_GEMINI_MODEL env var) will be used.", 'minLength': 1, 'type': 'string'}, 'prompt': {'description': 'Required. The text prompt to send to the Gemini model for content generation.', 'minLength': 1, 'type': 'string'}, 'safetySettings': {'description': 'Optional. A list of safety settings to apply, overriding default model safety settings.', 'items': {'additionalProperties': False, 'description': 'Setting for controlling content safety for a specific harm category.', 'properties': {'category': {'description': 'Category of harmful content to apply safety settings for.', 'enum': ['HARM_CATEGORY_UNSPECIFIED', 'HARM_CATEGORY_HATE_SPEECH', 'HARM_CATEGORY_SEXUALLY_EXPLICIT', 'HARM_CATEGORY_HARASSMENT', 'HARM_CATEGORY_DANGEROUS_CONTENT'], 'type': 'string'}, 'threshold': {'description': 'Threshold for blocking harmful content. Higher thresholds block more content.', 'enum': ['HARM_BLOCK_THRESHOLD_UNSPECIFIED', 'BLOCK_LOW_AND_ABOVE', 'BLOCK_MEDIUM_AND_ABOVE', 'BLOCK_ONLY_HIGH', 'BLOCK_NONE'], 'type': 'string'}}, 'required': ['category', 'threshold'], 'type': 'object'}, 'type': 'array'}}, 'required': ['prompt'], 'type': 'object'}, description="""\nGenerates text content as a stream using a specified Google Gemini model.\nThis tool takes a text prompt and streams back chunks of the generated response as they become available.\nIt's suitable for interactive use cases or handling long responses.\nOptional parameters allow control over generation and safety settings.\n"""), # bsmi021/MCP Gemini Server/gemini_generateContentStream
    Tool(name="""MCP Gemini Server_gemini_functionCall""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'functionDeclarations': {'description': 'Required. An array of function declarations (schemas) that the model can choose to call based on the prompt.', 'items': {'additionalProperties': False, 'description': 'Declaration of a single function that the Gemini model can request to call.', 'properties': {'description': {'description': 'A description of what the function does. Used by the model to decide when to call it.', 'minLength': 1, 'type': 'string'}, 'name': {'description': 'The name of the function to be called. Must match the name the model is expected to use.', 'minLength': 1, 'type': 'string'}, 'parameters': {'additionalProperties': False, 'description': 'Schema defining the parameters the function accepts. Must be of type OBJECT.', 'properties': {'properties': {'additionalProperties': {'additionalProperties': False, 'description': 'Schema defining a single parameter for a function declaration, potentially recursive.', 'properties': {'description': {'description': "Description of the parameter's purpose.", 'type': 'string'}, 'enum': {'description': 'Allowed string values for an ENUM-like parameter.', 'items': {'type': 'string'}, 'type': 'array'}, 'items': {'$ref': '#/properties/functionDeclarations/items/properties/parameters/properties/properties/additionalProperties', 'description': 'Defines the schema for items if the parameter type is ARRAY.'}, 'properties': {'additionalProperties': {'$ref': '#/properties/functionDeclarations/items/properties/parameters/properties/properties/additionalProperties'}, 'type': 'object'}, 'required': {'description': 'List of required property names for OBJECT types.', 'items': {'type': 'string'}, 'type': 'array'}, 'type': {'description': 'The data type of the function parameter.', 'enum': ['OBJECT', 'STRING', 'NUMBER', 'BOOLEAN', 'ARRAY', 'INTEGER'], 'type': 'string'}}, 'required': ['type'], 'type': 'object'}, 'description': 'Defines the parameters the function accepts.', 'type': 'object'}, 'required': {'description': 'List of required parameter names at the top level.', 'items': {'type': 'string'}, 'type': 'array'}, 'type': {'const': 'OBJECT', 'description': 'The top-level parameters structure must be an OBJECT.', 'type': 'string'}}, 'required': ['type', 'properties'], 'type': 'object'}}, 'required': ['name', 'description', 'parameters'], 'type': 'object'}, 'minItems': 1, 'type': 'array'}, 'generationConfig': {'additionalProperties': False, 'description': 'Optional configuration for controlling the generation process.', 'properties': {'maxOutputTokens': {'description': 'Maximum number of tokens to generate in the response.', 'minimum': 1, 'type': 'integer'}, 'stopSequences': {'description': 'Sequences where the API will stop generating further tokens.', 'items': {'type': 'string'}, 'type': 'array'}, 'temperature': {'description': 'Controls randomness. Lower values (~0.2) make output more deterministic, higher values (~0.8) make it more creative. Default varies by model.', 'maximum': 1, 'minimum': 0, 'type': 'number'}, 'topK': {'description': 'Top-k sampling parameter. The model considers the k most probable tokens. Default varies by model.', 'minimum': 1, 'type': 'integer'}, 'topP': {'description': 'Nucleus sampling parameter. The model considers only tokens with probability mass summing to this value. Default varies by model.', 'maximum': 1, 'minimum': 0, 'type': 'number'}}, 'type': 'object'}, 'modelName': {'description': "Optional. The name of the Gemini model to use (e.g., 'gemini-1.5-flash'). If omitted, the server's default model (from GOOGLE_GEMINI_MODEL env var) will be used.", 'minLength': 1, 'type': 'string'}, 'prompt': {'description': 'Required. The text prompt to send to the Gemini model.', 'minLength': 1, 'type': 'string'}, 'safetySettings': {'items': {'additionalProperties': False, 'description': 'Setting for controlling content safety for a specific harm category.', 'properties': {'category': {'description': 'Category of harmful content to apply safety settings for.', 'enum': ['HARM_CATEGORY_UNSPECIFIED', 'HARM_CATEGORY_HATE_SPEECH', 'HARM_CATEGORY_SEXUALLY_EXPLICIT', 'HARM_CATEGORY_HARASSMENT', 'HARM_CATEGORY_DANGEROUS_CONTENT'], 'type': 'string'}, 'threshold': {'description': 'Threshold for blocking harmful content. Higher thresholds block more content.', 'enum': ['HARM_BLOCK_THRESHOLD_UNSPECIFIED', 'BLOCK_LOW_AND_ABOVE', 'BLOCK_MEDIUM_AND_ABOVE', 'BLOCK_ONLY_HIGH', 'BLOCK_NONE'], 'type': 'string'}}, 'required': ['category', 'threshold'], 'type': 'object'}, 'type': 'array'}, 'toolConfig': {'additionalProperties': False, 'description': 'Optional configuration for tools, specifically function calling.', 'properties': {'functionCallingConfig': {'additionalProperties': False, 'description': 'Configuration specific to function calling.', 'properties': {'allowedFunctionNames': {'description': 'Optional list of function names allowed to be called. If specified, the model will only call functions from this list.', 'items': {'type': 'string'}, 'type': 'array'}, 'mode': {'description': 'The function calling mode.', 'enum': ['AUTO', 'ANY', 'NONE'], 'type': 'string'}}, 'type': 'object'}}, 'type': 'object'}}, 'required': ['prompt', 'functionDeclarations'], 'type': 'object'}, description="""\nGenerates content using a specified Google Gemini model, enabling the model to request execution of predefined functions.\nThis tool accepts function declarations and returns either the standard text response OR the details of a function call requested by the model.\nNOTE: This tool only returns the *request* for a function call; it does not execute the function itself.\n"""), # bsmi021/MCP Gemini Server/gemini_functionCall
    Tool(name="""MCP Gemini Server_gemini_startChat""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'generationConfig': {'additionalProperties': False, 'description': 'Optional. Session-wide generation configuration settings.', 'properties': {'maxOutputTokens': {'description': 'Maximum number of tokens to generate in the response.', 'minimum': 1, 'type': 'integer'}, 'stopSequences': {'description': 'Sequences where the API will stop generating further tokens.', 'items': {'type': 'string'}, 'type': 'array'}, 'temperature': {'description': 'Controls randomness. Lower values (~0.2) make output more deterministic, higher values (~0.8) make it more creative. Default varies by model.', 'maximum': 1, 'minimum': 0, 'type': 'number'}, 'topK': {'description': 'Top-k sampling parameter. The model considers the k most probable tokens. Default varies by model.', 'minimum': 1, 'type': 'integer'}, 'topP': {'description': 'Nucleus sampling parameter. The model considers only tokens with probability mass summing to this value. Default varies by model.', 'maximum': 1, 'minimum': 0, 'type': 'number'}}, 'type': 'object'}, 'history': {'description': "Optional. An array of initial conversation turns to seed the chat session. Must alternate between 'user' and 'model' roles, starting with 'user'.", 'items': {'additionalProperties': False, 'description': 'A single message turn in the conversation history.', 'properties': {'parts': {'description': 'An array of Parts making up the message content.', 'items': {'additionalProperties': False, 'description': 'A part of a historical message, primarily text for initialization.', 'properties': {'text': {'description': 'Text content of the part.', 'type': 'string'}}, 'required': ['text'], 'type': 'object'}, 'minItems': 1, 'type': 'array'}, 'role': {'description': 'The role of the entity that generated this content (user or model).', 'enum': ['user', 'model'], 'type': 'string'}}, 'required': ['role', 'parts'], 'type': 'object'}, 'type': 'array'}, 'modelName': {'description': "Optional. The name of the Gemini model to use for this chat session (e.g., 'gemini-1.5-flash'). If omitted, the server's default model (from GOOGLE_GEMINI_MODEL env var) will be used.", 'minLength': 1, 'type': 'string'}, 'safetySettings': {'description': 'Optional. Session-wide safety settings to apply.', 'items': {'additionalProperties': False, 'description': 'Setting for controlling content safety for a specific harm category.', 'properties': {'category': {'description': 'Category of harmful content to apply safety settings for.', 'enum': ['HARM_CATEGORY_UNSPECIFIED', 'HARM_CATEGORY_HATE_SPEECH', 'HARM_CATEGORY_SEXUALLY_EXPLICIT', 'HARM_CATEGORY_HARASSMENT', 'HARM_CATEGORY_DANGEROUS_CONTENT'], 'type': 'string'}, 'threshold': {'description': 'Threshold for blocking harmful content. Higher thresholds block more content.', 'enum': ['HARM_BLOCK_THRESHOLD_UNSPECIFIED', 'BLOCK_LOW_AND_ABOVE', 'BLOCK_MEDIUM_AND_ABOVE', 'BLOCK_ONLY_HIGH', 'BLOCK_NONE'], 'type': 'string'}}, 'required': ['category', 'threshold'], 'type': 'object'}, 'type': 'array'}, 'tools': {'description': 'Optional. A list of tools (currently only supporting function declarations) the model may use during the chat session.', 'items': {'additionalProperties': False, 'description': 'Represents a tool definition containing function declarations.', 'properties': {'functionDeclarations': {'description': 'List of function declarations for this tool.', 'items': {'additionalProperties': False, 'description': 'Declaration of a single function that the Gemini model can request to call.', 'properties': {'description': {'description': 'A description of what the function does.', 'minLength': 1, 'type': 'string'}, 'name': {'description': 'The name of the function to be called.', 'minLength': 1, 'type': 'string'}, 'parameters': {'additionalProperties': False, 'description': 'Schema defining the parameters the function accepts.', 'properties': {'properties': {'additionalProperties': {'additionalProperties': False, 'description': 'Schema defining a single parameter for a function declaration, potentially recursive.', 'properties': {'description': {'description': "Description of the parameter's purpose.", 'type': 'string'}, 'enum': {'description': 'Allowed string values for an ENUM-like parameter.', 'items': {'type': 'string'}, 'type': 'array'}, 'items': {'$ref': '#/properties/tools/items/properties/functionDeclarations/items/properties/parameters/properties/properties/additionalProperties', 'description': 'Defines the schema for items if the parameter type is ARRAY.'}, 'properties': {'additionalProperties': {'$ref': '#/properties/tools/items/properties/functionDeclarations/items/properties/parameters/properties/properties/additionalProperties'}, 'type': 'object'}, 'required': {'description': 'List of required property names for OBJECT types.', 'items': {'type': 'string'}, 'type': 'array'}, 'type': {'description': 'The data type of the function parameter.', 'enum': ['OBJECT', 'STRING', 'NUMBER', 'BOOLEAN', 'ARRAY', 'INTEGER'], 'type': 'string'}}, 'required': ['type'], 'type': 'object'}, 'description': 'Defines the parameters the function accepts.', 'type': 'object'}, 'required': {'description': 'List of required parameter names at the top level.', 'items': {'type': 'string'}, 'type': 'array'}, 'type': {'const': 'OBJECT', 'description': 'The top-level parameters structure must be an OBJECT.', 'type': 'string'}}, 'required': ['type', 'properties'], 'type': 'object'}}, 'required': ['name', 'description', 'parameters'], 'type': 'object'}, 'type': 'array'}}, 'type': 'object'}, 'type': 'array'}}, 'type': 'object'}, description="""Initiates a new stateful chat session with a specified Gemini model. Returns a unique sessionId to be used in subsequent chat messages. Optionally accepts initial conversation history and session-wide generation/safety configurations."""), # bsmi021/MCP Gemini Server/gemini_startChat
    Tool(name="""MCP Gemini Server_gemini_sendMessage""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'generationConfig': {'additionalProperties': False, 'description': 'Optional. Per-request generation configuration settings to override session defaults for this turn.', 'properties': {'maxOutputTokens': {'description': 'Maximum number of tokens to generate in the response.', 'minimum': 1, 'type': 'integer'}, 'stopSequences': {'description': 'Sequences where the API will stop generating further tokens.', 'items': {'type': 'string'}, 'type': 'array'}, 'temperature': {'description': 'Controls randomness. Lower values (~0.2) make output more deterministic, higher values (~0.8) make it more creative. Default varies by model.', 'maximum': 1, 'minimum': 0, 'type': 'number'}, 'topK': {'description': 'Top-k sampling parameter. The model considers the k most probable tokens. Default varies by model.', 'minimum': 1, 'type': 'integer'}, 'topP': {'description': 'Nucleus sampling parameter. The model considers only tokens with probability mass summing to this value. Default varies by model.', 'maximum': 1, 'minimum': 0, 'type': 'number'}}, 'type': 'object'}, 'message': {'description': 'Required. The text message content to send to the model. (Note: Currently only supports text input; complex Part types like images are not yet supported by this tool parameter).', 'minLength': 1, 'type': 'string'}, 'safetySettings': {'description': 'Optional. Per-request safety settings to override session defaults for this turn.', 'items': {'additionalProperties': False, 'description': 'Setting for controlling content safety for a specific harm category.', 'properties': {'category': {'description': 'Category of harmful content to apply safety settings for.', 'enum': ['HARM_CATEGORY_UNSPECIFIED', 'HARM_CATEGORY_HATE_SPEECH', 'HARM_CATEGORY_SEXUALLY_EXPLICIT', 'HARM_CATEGORY_HARASSMENT', 'HARM_CATEGORY_DANGEROUS_CONTENT'], 'type': 'string'}, 'threshold': {'description': 'Threshold for blocking harmful content. Higher thresholds block more content.', 'enum': ['HARM_BLOCK_THRESHOLD_UNSPECIFIED', 'BLOCK_LOW_AND_ABOVE', 'BLOCK_MEDIUM_AND_ABOVE', 'BLOCK_ONLY_HIGH', 'BLOCK_NONE'], 'type': 'string'}}, 'required': ['category', 'threshold'], 'type': 'object'}, 'type': 'array'}, 'sessionId': {'description': 'Required. The unique identifier of the chat session to send the message to.', 'format': 'uuid', 'type': 'string'}, 'toolConfig': {'additionalProperties': False, 'description': 'Optional. Per-request tool configuration, e.g., to force function calling mode.', 'properties': {'functionCallingConfig': {'additionalProperties': False, 'properties': {'allowedFunctionNames': {'description': 'Optional list of function names allowed.', 'items': {'type': 'string'}, 'type': 'array'}, 'mode': {'description': 'The function calling mode.', 'enum': ['AUTO', 'ANY', 'NONE'], 'type': 'string'}}, 'type': 'object'}}, 'type': 'object'}, 'tools': {'description': 'Optional. Per-request tools definition (e.g., function declarations) to override session defaults for this turn.', 'items': {'additionalProperties': False, 'properties': {'functionDeclarations': {'items': {'additionalProperties': False, 'properties': {'description': {'minLength': 1, 'type': 'string'}, 'name': {'minLength': 1, 'type': 'string'}, 'parameters': {'additionalProperties': False, 'properties': {'properties': {'additionalProperties': {}, 'type': 'object'}, 'required': {'items': {'type': 'string'}, 'type': 'array'}, 'type': {'const': 'OBJECT', 'type': 'string'}}, 'required': ['type', 'properties'], 'type': 'object'}}, 'required': ['name', 'description', 'parameters'], 'type': 'object'}, 'type': 'array'}}, 'type': 'object'}, 'type': 'array'}}, 'required': ['sessionId', 'message'], 'type': 'object'}, description="""Sends a message to an existing Gemini chat session, identified by its sessionId. Returns the model's response, which might include text or a function call request."""), # bsmi021/MCP Gemini Server/gemini_sendMessage
    Tool(name="""MCP Gemini Server_gemini_sendFunctionResult""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'functionResponses': {'description': "Required. An array containing the results of the function calls executed by the client. Each item must include the function 'name' and its 'response' object.", 'items': {'additionalProperties': False, 'description': 'Represents the result of a single function execution to be sent back to the model.', 'properties': {'name': {'description': 'Required. The name of the function that was called by the model.', 'minLength': 1, 'type': 'string'}, 'response': {'additionalProperties': {}, 'description': 'Required. The JSON object result returned by the function execution.', 'type': 'object'}}, 'required': ['name', 'response'], 'type': 'object'}, 'minItems': 1, 'type': 'array'}, 'generationConfig': {'additionalProperties': False, 'description': 'Optional. Per-request generation configuration settings to override session defaults for this turn.', 'properties': {'maxOutputTokens': {'description': 'Maximum number of tokens to generate in the response.', 'minimum': 1, 'type': 'integer'}, 'stopSequences': {'description': 'Sequences where the API will stop generating further tokens.', 'items': {'type': 'string'}, 'type': 'array'}, 'temperature': {'description': 'Controls randomness. Lower values (~0.2) make output more deterministic, higher values (~0.8) make it more creative. Default varies by model.', 'maximum': 1, 'minimum': 0, 'type': 'number'}, 'topK': {'description': 'Top-k sampling parameter. The model considers the k most probable tokens. Default varies by model.', 'minimum': 1, 'type': 'integer'}, 'topP': {'description': 'Nucleus sampling parameter. The model considers only tokens with probability mass summing to this value. Default varies by model.', 'maximum': 1, 'minimum': 0, 'type': 'number'}}, 'type': 'object'}, 'safetySettings': {'description': 'Optional. Per-request safety settings to override session defaults for this turn.', 'items': {'additionalProperties': False, 'description': 'Setting for controlling content safety for a specific harm category.', 'properties': {'category': {'description': 'Category of harmful content to apply safety settings for.', 'enum': ['HARM_CATEGORY_UNSPECIFIED', 'HARM_CATEGORY_HATE_SPEECH', 'HARM_CATEGORY_SEXUALLY_EXPLICIT', 'HARM_CATEGORY_HARASSMENT', 'HARM_CATEGORY_DANGEROUS_CONTENT'], 'type': 'string'}, 'threshold': {'description': 'Threshold for blocking harmful content. Higher thresholds block more content.', 'enum': ['HARM_BLOCK_THRESHOLD_UNSPECIFIED', 'BLOCK_LOW_AND_ABOVE', 'BLOCK_MEDIUM_AND_ABOVE', 'BLOCK_ONLY_HIGH', 'BLOCK_NONE'], 'type': 'string'}}, 'required': ['category', 'threshold'], 'type': 'object'}, 'type': 'array'}, 'sessionId': {'description': 'Required. The unique identifier of the chat session.', 'format': 'uuid', 'type': 'string'}}, 'required': ['sessionId', 'functionResponses'], 'type': 'object'}, description="""Sends the result(s) of function execution(s) back to an existing Gemini chat session, identified by its sessionId. Returns the model's subsequent response."""), # bsmi021/MCP Gemini Server/gemini_sendFunctionResult
    Tool(name="""MCP Gemini Server_gemini_uploadFile""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'displayName': {'description': 'Optional. A human-readable name for the file in the API. Max 100 chars.', 'maxLength': 100, 'minLength': 1, 'type': 'string'}, 'filePath': {'description': 'Required. The full local path to the file that needs to be uploaded.', 'minLength': 1, 'type': 'string'}, 'mimeType': {'description': "Optional. The IANA MIME type of the file (e.g., 'text/plain', 'image/jpeg'). If omitted, the server will attempt to infer it from the file extension of filePath.", 'minLength': 1, 'type': 'string'}}, 'required': ['filePath'], 'type': 'object'}, description="""\nUploads a file (specified by a local path) to be used with the Gemini API.\nNOTE: This API is not supported on Vertex AI clients. It only works with Google AI Studio API keys.\nReturns metadata about the uploaded file, including its unique name and URI.\n"""), # bsmi021/MCP Gemini Server/gemini_uploadFile
    Tool(name="""MCP Gemini Server_gemini_listFiles""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'pageSize': {'description': 'Optional. The maximum number of files to return per page. Defaults to 100 if not specified by the API, max 1000.', 'exclusiveMinimum': 0, 'maximum': 1000, 'type': 'integer'}, 'pageToken': {'description': 'Optional. A token received from a previous listFiles call to retrieve the next page of results.', 'minLength': 1, 'type': 'string'}}, 'type': 'object'}, description="""\nLists files previously uploaded to the Gemini API.\nSupports pagination to handle large numbers of files.\nNOTE: This API is not supported on Vertex AI clients. It only works with Google AI Studio API keys.\nReturns a list of file metadata objects and potentially a token for the next page.\n"""), # bsmi021/MCP Gemini Server/gemini_listFiles
    Tool(name="""MCP Gemini Server_gemini_getFile""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'fileName': {'description': "Required. The unique name/ID of the file to retrieve metadata for (e.g., 'files/abc123xyz').", 'minLength': 1, 'pattern': '^files\\/.+$', 'type': 'string'}}, 'required': ['fileName'], 'type': 'object'}, description="""\nRetrieves metadata for a specific file previously uploaded to the Gemini API.\nNOTE: This API is not supported on Vertex AI clients. It only works with Google AI Studio API keys.\nRequires the unique file name (e.g., 'files/abc123xyz').\n"""), # bsmi021/MCP Gemini Server/gemini_getFile
    Tool(name="""MCP Gemini Server_gemini_deleteFile""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'fileName': {'description': "Required. The unique name/ID of the file to delete (e.g., 'files/abc123xyz').", 'minLength': 1, 'pattern': '^files\\/.+$', 'type': 'string'}}, 'required': ['fileName'], 'type': 'object'}, description="""\nDeletes a specific file previously uploaded to the Gemini API.\nNOTE: This API is not supported on Vertex AI clients. It only works with Google AI Studio API keys.\nRequires the unique file name (e.g., 'files/abc123xyz'). Returns a success confirmation.\n"""), # bsmi021/MCP Gemini Server/gemini_deleteFile
    Tool(name="""MCP Gemini Server_gemini_createCache""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'contents': {'description': "Required. The content to cache, matching the SDK's Content structure (an array of Parts).", 'items': {'additionalProperties': False, 'properties': {'parts': {'items': {'additionalProperties': False, 'properties': {'fileData': {'additionalProperties': False, 'properties': {'fileUri': {'format': 'uri', 'type': 'string'}, 'mimeType': {'type': 'string'}}, 'required': ['mimeType', 'fileUri'], 'type': 'object'}, 'functionCall': {'additionalProperties': False, 'properties': {'args': {'additionalProperties': {}, 'type': 'object'}, 'id': {'type': 'string'}, 'name': {'type': 'string'}}, 'required': ['name', 'args'], 'type': 'object'}, 'functionResponse': {'additionalProperties': False, 'properties': {'id': {'type': 'string'}, 'name': {'type': 'string'}, 'response': {'additionalProperties': {}, 'type': 'object'}}, 'required': ['name', 'response'], 'type': 'object'}, 'inlineData': {'additionalProperties': False, 'properties': {'data': {'type': 'string'}, 'mimeType': {'type': 'string'}}, 'required': ['mimeType', 'data'], 'type': 'object'}, 'text': {'type': 'string'}}, 'type': 'object'}, 'minItems': 1, 'type': 'array'}, 'role': {'enum': ['user', 'model', 'function', 'tool'], 'type': 'string'}}, 'required': ['parts'], 'type': 'object'}, 'minItems': 1, 'type': 'array'}, 'displayName': {'description': 'Optional. A human-readable name for the cache.', 'maxLength': 100, 'minLength': 1, 'type': 'string'}, 'model': {'description': "Optional. The name/ID of the model compatible with caching (e.g., 'gemini-1.5-flash'). If omitted, the server's default model (from GOOGLE_GEMINI_MODEL env var) will be used.", 'minLength': 1, 'type': 'string'}, 'systemInstruction': {'$ref': '#/properties/contents/items', 'description': 'Optional. System instructions to associate with the cache.'}, 'ttl': {'description': "Optional. Time-to-live for the cache as a duration string (e.g., '3600s' for 1 hour). Max 48 hours.", 'pattern': '^\\d+(\\.\\d+)?s$', 'type': 'string'}}, 'required': ['contents'], 'type': 'object'}, description="""\nCreates a cached content resource for a compatible Gemini model.\nCaching can reduce latency and costs for prompts that are reused often.\nNOTE: Caching is only supported for specific models (e.g., gemini-1.5-flash, gemini-1.5-pro).\nReturns metadata about the created cache.\n"""), # bsmi021/MCP Gemini Server/gemini_createCache
    Tool(name="""MCP Gemini Server_gemini_listCaches""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'pageSize': {'description': 'Optional. The maximum number of caches to return per page. Defaults to 100 if not specified by the API, max 1000.', 'exclusiveMinimum': 0, 'maximum': 1000, 'type': 'integer'}, 'pageToken': {'description': 'Optional. A token received from a previous listCaches call to retrieve the next page of results.', 'minLength': 1, 'type': 'string'}}, 'type': 'object'}, description="""\nLists cached content resources available for the project.\nSupports pagination.\nReturns a list of cache metadata objects and potentially a token for the next page.\n"""), # bsmi021/MCP Gemini Server/gemini_listCaches
    Tool(name="""MCP Gemini Server_gemini_getCache""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'cacheName': {'description': "Required. The unique name/ID of the cache to retrieve metadata for (e.g., 'cachedContents/abc123xyz').", 'minLength': 1, 'pattern': '^cachedContents\\/.+$', 'type': 'string'}}, 'required': ['cacheName'], 'type': 'object'}, description="""\nRetrieves metadata for a specific cached content resource.\nRequires the unique cache name (e.g., 'cachedContents/abc123xyz').\n"""), # bsmi021/MCP Gemini Server/gemini_getCache
    Tool(name="""MCP Gemini Server_gemini_updateCache""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'cacheName': {'description': "Required. The unique name/ID of the cache to update (e.g., 'cachedContents/abc123xyz').", 'minLength': 1, 'pattern': '^cachedContents\\/.+$', 'type': 'string'}, 'displayName': {'description': 'Optional. The new human-readable name for the cache. Max 100 chars.', 'maxLength': 100, 'minLength': 1, 'type': 'string'}, 'ttl': {'description': "Optional. The new time-to-live for the cache as a duration string (e.g., '3600s' for 1 hour). Max 48 hours.", 'pattern': '^\\d+(\\.\\d+)?s$', 'type': 'string'}}, 'required': ['cacheName'], 'type': 'object'}, description="""\nUpdates metadata (TTL and/or displayName) for a specific cached content resource.\nRequires the unique cache name (e.g., 'cachedContents/abc123xyz').\nReturns the updated cache metadata.\n"""), # bsmi021/MCP Gemini Server/gemini_updateCache
    Tool(name="""MCP Gemini Server_gemini_deleteCache""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'cacheName': {'description': "Required. The unique name/ID of the cache to delete (e.g., 'cachedContents/abc123xyz').", 'minLength': 1, 'pattern': '^cachedContents\\/.+$', 'type': 'string'}}, 'required': ['cacheName'], 'type': 'object'}, description="""\nDeletes a specific cached content resource.\nRequires the unique cache name (e.g., 'cachedContents/abc123xyz').\nReturns a success confirmation.\n"""), # bsmi021/MCP Gemini Server/gemini_deleteCache
    Tool(name="""MindManager MCP Server_get_mindmap""", inputSchema={'properties': {'mode': {'default': 'full', 'title': 'Mode', 'type': 'string'}, 'turbo_mode': {'default': False, 'title': 'Turbo Mode', 'type': 'boolean'}}, 'title': 'get_mindmapArguments', 'type': 'object'}, description="""\n    Retrieves the current mind map structure from MindManager.\n\n    Args:\n        mode (str): Detail level ('full', 'content', 'text'). Defaults to 'full'.\n        turbo_mode (bool): Enable turbo mode (text only). Defaults to False.\n\n    Returns:\n        Dict[str, Any]: Serialized mind map structure or error dictionary.\n    """), # robertZaufall/MindManager MCP Server/get_mindmap
    Tool(name="""MindManager MCP Server_get_selection""", inputSchema={'properties': {'mode': {'default': 'full', 'title': 'Mode', 'type': 'string'}, 'turbo_mode': {'default': False, 'title': 'Turbo Mode', 'type': 'boolean'}}, 'title': 'get_selectionArguments', 'type': 'object'}, description="""\n    Retrieves the currently selected topics in MindManager.\n\n    Args:\n        mode (str): Detail level ('full', 'content', 'text'). Defaults to 'full'.\n        turbo_mode (bool): Enable turbo mode (text only). Defaults to False.\n\n    Returns:\n        Union[List[Dict[str, Any]], Dict[str, str]]: List of serialized selected topics or error dictionary.\n    """), # robertZaufall/MindManager MCP Server/get_selection
    Tool(name="""MindManager MCP Server_get_library_folder""", inputSchema={'properties': {}, 'title': 'get_library_folderArguments', 'type': 'object'}, description="""\n    Gets the path to the MindManager library folder.\n\n    Returns:\n        Union[str, Dict[str, str]]: The library folder path or error dictionary.\n    """), # robertZaufall/MindManager MCP Server/get_library_folder
    Tool(name="""MindManager MCP Server_get_mindmanager_version""", inputSchema={'properties': {}, 'title': 'get_mindmanager_versionArguments', 'type': 'object'}, description="""\n    Gets the version of the MindManager application.\n\n    Returns:\n        Union[str, Dict[str, str]]: The version of the MindManager application or error dictionary.\n    """), # robertZaufall/MindManager MCP Server/get_mindmanager_version
    Tool(name="""MindManager MCP Server_get_grounding_information""", inputSchema={'properties': {'mode': {'default': 'full', 'title': 'Mode', 'type': 'string'}, 'turbo_mode': {'default': False, 'title': 'Turbo Mode', 'type': 'boolean'}}, 'title': 'get_grounding_informationArguments', 'type': 'object'}, description="""\n    Extracts grounding information (central topic, selected subtopics) from the mindmap.\n\n    Args:\n        mode (str): Detail level ('full', 'content', 'text'). Defaults to 'full'.\n        turbo_mode (bool): Enable turbo mode (text only). Defaults to False.\n\n    Returns:\n        Union[List[str], Dict[str, str]]: A list containing [top_most_topic, subtopics_string] or error dictionary.\n    """), # robertZaufall/MindManager MCP Server/get_grounding_information
    Tool(name="""MindManager MCP Server_serialize_current_mindmap_to_mermaid""", inputSchema={'properties': {'id_only': {'default': False, 'title': 'Id Only', 'type': 'boolean'}, 'mode': {'default': 'full', 'title': 'Mode', 'type': 'string'}, 'turbo_mode': {'default': False, 'title': 'Turbo Mode', 'type': 'boolean'}}, 'title': 'serialize_current_mindmap_to_mermaidArguments', 'type': 'object'}, description="""\n    Serializes the currently loaded mindmap to Mermaid format.\n\n    Args:\n        id_only (bool): If True, only include IDs without detailed attributes. Defaults to False.\n        mode (str): Detail level ('full', 'content', 'text'). Defaults to 'full'.\n        turbo_mode (bool): Enable turbo mode (text only). Defaults to False.\n\n    Returns:\n        Union[str, Dict[str, str]]: Mermaid formatted string or error dictionary.\n    """), # robertZaufall/MindManager MCP Server/serialize_current_mindmap_to_mermaid
    Tool(name="""MindManager MCP Server_serialize_current_mindmap_to_markdown""", inputSchema={'properties': {'include_notes': {'default': True, 'title': 'Include Notes', 'type': 'boolean'}, 'mode': {'default': 'content', 'title': 'Mode', 'type': 'string'}, 'turbo_mode': {'default': False, 'title': 'Turbo Mode', 'type': 'boolean'}}, 'title': 'serialize_current_mindmap_to_markdownArguments', 'type': 'object'}, description="""\n    Serializes the currently loaded mindmap to Markdown format.\n\n    Args:\n        include_notes (bool): If True, include notes in the serialization. Defaults to True.\n        mode (str): Detail level ('full', 'content', 'text'). Defaults to 'full'.\n        turbo_mode (bool): Enable turbo mode (text only). Defaults to False.\n\n    Returns:\n        Union[str, Dict[str, str]]: Markdown formatted string or error dictionary.\n    """), # robertZaufall/MindManager MCP Server/serialize_current_mindmap_to_markdown
    Tool(name="""MindManager MCP Server_serialize_current_mindmap_to_json""", inputSchema={'properties': {'ignore_rtf': {'default': True, 'title': 'Ignore Rtf', 'type': 'boolean'}, 'mode': {'default': 'content', 'title': 'Mode', 'type': 'string'}, 'turbo_mode': {'default': True, 'title': 'Turbo Mode', 'type': 'boolean'}}, 'title': 'serialize_current_mindmap_to_jsonArguments', 'type': 'object'}, description="""\n    Serializes the currently loaded mindmap to a detailed JSON object with ID mapping.\n\n    Args:\n        ignore_rtf (bool): Whether to ignore RTF content. Defaults to True.\n        mode (str): Detail level ('full', 'content', 'text'). Defaults to 'full'.\n        turbo_mode (bool): Enable turbo mode (text only). Defaults to False.\n\n    Returns:\n        Union[Dict[str, Any], Dict[str, str]]: JSON serializable dictionary or error dictionary.\n    """), # robertZaufall/MindManager MCP Server/serialize_current_mindmap_to_json
    Tool(name="""MindManager MCP Server_get_versions""", inputSchema={'properties': {}, 'title': 'get_versionsArguments', 'type': 'object'}, description="""\n    Get the versions of the MindManager Automation MCP Server components.\n\n    Returns:\n        Dict[str, str]: A dictionary containing the versions of the components.\n    """), # robertZaufall/MindManager MCP Server/get_versions
    Tool(name="""MIDI File MCP_get_midi_info""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'filePath': {'description': 'Absoulate File Path to midi file', 'type': 'string'}}, 'required': ['filePath'], 'type': 'object'}, description="""Get midi file info"""), # xiaolaa2/MIDI File MCP/get_midi_info
    Tool(name="""MIDI File MCP_set_tempo""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'bpm': {'description': 'BPM', 'type': 'number'}, 'filePath': {'description': 'Absoulate File Path to midi file', 'type': 'string'}}, 'required': ['filePath', 'bpm'], 'type': 'object'}, description="""Set tempo for midi file"""), # xiaolaa2/MIDI File MCP/set_tempo
    Tool(name="""MIDI File MCP_get_tracks_info""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'filePath': {'description': 'Absoulate File Path to midi file \n            eg: D:programmingProjectmy-projectmidi-parser-mcp\test.mid', 'type': 'string'}}, 'required': ['filePath'], 'type': 'object'}, description="""Get tracks info from midi file"""), # xiaolaa2/MIDI File MCP/get_tracks_info
    Tool(name="""MIDI File MCP_get_track_info_by_index""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'filePath': {'description': 'Absoulate File Path to midi file', 'type': 'string'}, 'trackIndex': {'description': 'Track index number', 'type': 'number'}}, 'required': ['filePath', 'trackIndex'], 'type': 'object'}, description="""Get track info from midi file by track index. \n    name, instrument, channel, endOfTrackTicks, duration, durationTicks, noteCount"""), # xiaolaa2/MIDI File MCP/get_track_info_by_index
    Tool(name="""MIDI File MCP_get_notes_by_index""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'filePath': {'description': 'Absoulate File Path to midi file', 'type': 'string'}, 'trackIndex': {'description': 'Track index number', 'type': 'number'}}, 'required': ['filePath', 'trackIndex'], 'type': 'object'}, description="""Get notes from midi file by track index"""), # xiaolaa2/MIDI File MCP/get_notes_by_index
    Tool(name="""MIDI File MCP_get_pitchbends_by_index""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'filePath': {'description': 'Absoulate File Path to midi file', 'type': 'string'}, 'trackIndex': {'description': 'Track index number', 'type': 'number'}}, 'required': ['filePath', 'trackIndex'], 'type': 'object'}, description="""Get pitchbends from midi file by track index"""), # xiaolaa2/MIDI File MCP/get_pitchbends_by_index
    Tool(name="""MIDI File MCP_get_controlchanges_by_index""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'filePath': {'description': 'Absoulate File Path to midi file', 'type': 'string'}, 'trackIndex': {'description': 'Track index number', 'type': 'number'}}, 'required': ['filePath', 'trackIndex'], 'type': 'object'}, description="""Get controlchanges from midi file by track index"""), # xiaolaa2/MIDI File MCP/get_controlchanges_by_index
    Tool(name="""MIDI File MCP_add_notes_by_index""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'filePath': {'description': 'Absoulate File Path to midi file', 'type': 'string'}, 'notes': {'items': {'allOf': [{'anyOf': [{'additionalProperties': False, 'properties': {'name': {'type': 'string'}, 'type': {'const': 'name', 'type': 'string'}}, 'required': ['type', 'name'], 'type': 'object'}, {'additionalProperties': False, 'properties': {'octave': {'type': 'number'}, 'pitch': {'type': 'string'}, 'type': {'const': 'pitch', 'type': 'string'}}, 'required': ['type', 'pitch', 'octave'], 'type': 'object'}, {'additionalProperties': False, 'properties': {'midi': {'type': 'number'}, 'type': {'const': 'midi', 'type': 'string'}}, 'required': ['type', 'midi'], 'type': 'object'}]}, {'properties': {'noteOffVelocity': {'type': 'number'}, 'velocity': {'type': 'number'}}, 'type': 'object'}, {'anyOf': [{'additionalProperties': False, 'properties': {'duration': {'type': 'number'}, 'time': {'type': 'number'}, 'timeType': {'const': 'seconds', 'type': 'string'}}, 'required': ['timeType', 'time'], 'type': 'object'}, {'additionalProperties': False, 'properties': {'durationTicks': {'type': 'number'}, 'ticks': {'type': 'number'}, 'timeType': {'const': 'ticks', 'type': 'string'}}, 'required': ['timeType', 'ticks'], 'type': 'object'}]}]}, 'type': 'array'}, 'trackIndex': {'description': 'Track index number', 'type': 'number'}}, 'required': ['filePath', 'trackIndex', 'notes'], 'type': 'object'}, description="""Add notes to midi file by track index"""), # xiaolaa2/MIDI File MCP/add_notes_by_index
    Tool(name="""MIDI File MCP_add_controlchanges_by_index""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'controlchanges': {'items': {'allOf': [{'properties': {'number': {'type': 'number'}, 'value': {'type': 'number'}}, 'required': ['number', 'value'], 'type': 'object'}, {'anyOf': [{'additionalProperties': False, 'properties': {'time': {'type': 'number'}}, 'required': ['time'], 'type': 'object'}, {'additionalProperties': False, 'properties': {'ticks': {'type': 'number'}}, 'required': ['ticks'], 'type': 'object'}]}]}, 'type': 'array'}, 'filePath': {'description': 'Absoulate File Path to midi file', 'type': 'string'}, 'trackIndex': {'description': 'Track index number', 'type': 'number'}}, 'required': ['filePath', 'trackIndex', 'controlchanges'], 'type': 'object'}, description="""Add controlchanges to midi file by track index"""), # xiaolaa2/MIDI File MCP/add_controlchanges_by_index
    Tool(name="""MIDI File MCP_add_pitchbends_by_index""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'filePath': {'description': 'Absoulate File Path to midi file', 'type': 'string'}, 'pitchbends': {'items': {'allOf': [{'properties': {'value': {'type': 'number'}}, 'required': ['value'], 'type': 'object'}, {'anyOf': [{'additionalProperties': False, 'properties': {'time': {'type': 'number'}}, 'required': ['time'], 'type': 'object'}, {'additionalProperties': False, 'properties': {'ticks': {'type': 'number'}}, 'required': ['ticks'], 'type': 'object'}]}]}, 'type': 'array'}, 'trackIndex': {'description': 'Track index number', 'type': 'number'}}, 'required': ['filePath', 'trackIndex', 'pitchbends'], 'type': 'object'}, description="""Add pitchbends to midi file by track index"""), # xiaolaa2/MIDI File MCP/add_pitchbends_by_index
    Tool(name="""MIDI File MCP_add_track""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'filePath': {'description': 'Absoulate File Path to midi file', 'type': 'string'}}, 'required': ['filePath'], 'type': 'object'}, description="""Add a new track to midi file and return the new track info"""), # xiaolaa2/MIDI File MCP/add_track
    Tool(name="""peacock-mcp_fetch-peacock-docs""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'query': {'description': 'The question to answer based on the Peacock documentation', 'type': 'string'}}, 'required': ['query'], 'type': 'object'}, description="""Fetches the Peacock for VS Code extension docs from its GitHub repository and answers questions based on the documentation"""), # johnpapa/peacock-mcp/fetch-peacock-docs
    Tool(name="""Gong MCP Server_list_calls""", inputSchema={'properties': {'fromDateTime': {'description': 'Start date/time in ISO format (e.g. 2024-03-01T00:00:00Z)', 'type': 'string'}, 'toDateTime': {'description': 'End date/time in ISO format (e.g. 2024-03-31T23:59:59Z)', 'type': 'string'}}, 'type': 'object'}, description="""List Gong calls with optional date range filtering. Returns call details including ID, title, start/end times, participants, and duration."""), # kenazk/Gong MCP Server/list_calls
    Tool(name="""Gong MCP Server_retrieve_transcripts""", inputSchema={'properties': {'callIds': {'description': 'Array of Gong call IDs to retrieve transcripts for', 'items': {'type': 'string'}, 'type': 'array'}}, 'required': ['callIds'], 'type': 'object'}, description="""Retrieve transcripts for specified call IDs. Returns detailed transcripts including speaker IDs, topics, and timestamped sentences."""), # kenazk/Gong MCP Server/retrieve_transcripts
    Tool(name="""memento-mcp_read_graph""", inputSchema={'properties': {'random_string': {'description': 'Dummy parameter for no-parameter tools', 'type': 'string'}}, 'type': 'object'}, description="""Read the entire Memento MCP knowledge graph memory system"""), # gannonh/memento-mcp/read_graph
    Tool(name="""memento-mcp_get_entity_embedding""", inputSchema={'properties': {'entity_name': {'description': 'The name of the entity to get the embedding for', 'type': 'string'}}, 'required': ['entity_name'], 'type': 'object'}, description="""Get the vector embedding for a specific entity from your Memento MCP knowledge graph memory"""), # gannonh/memento-mcp/get_entity_embedding
    Tool(name="""memento-mcp_search_nodes""", inputSchema={'properties': {'query': {'description': 'The search query to match against entity names, types, and observation content', 'type': 'string'}}, 'required': ['query'], 'type': 'object'}, description="""Search for nodes in your Memento MCP knowledge graph memory based on a query"""), # gannonh/memento-mcp/search_nodes
    Tool(name="""memento-mcp_open_nodes""", inputSchema={'properties': {'names': {'description': 'An array of entity names to retrieve', 'items': {'type': 'string'}, 'type': 'array'}}, 'required': ['names'], 'type': 'object'}, description="""Open specific nodes in your Memento MCP knowledge graph memory by their names"""), # gannonh/memento-mcp/open_nodes
    Tool(name="""memento-mcp_semantic_search""", inputSchema={'properties': {'entity_types': {'description': 'Filter results by entity types', 'items': {'type': 'string'}, 'type': 'array'}, 'hybrid_search': {'description': 'Whether to combine keyword and semantic search (default: true)', 'type': 'boolean'}, 'limit': {'description': 'Maximum number of results to return (default: 10)', 'type': 'number'}, 'min_similarity': {'description': 'Minimum similarity threshold from 0.0 to 1.0 (default: 0.6)', 'type': 'number'}, 'query': {'description': 'The text query to search for semantically', 'type': 'string'}, 'semantic_weight': {'description': 'Weight of semantic results in hybrid search from 0.0 to 1.0 (default: 0.6)', 'type': 'number'}}, 'required': ['query'], 'type': 'object'}, description="""Search for entities semantically using vector embeddings and similarity in your Memento MCP knowledge graph memory"""), # gannonh/memento-mcp/semantic_search
    Tool(name="""memento-mcp_create_entities""", inputSchema={'properties': {'entities': {'items': {'properties': {'changedBy': {'description': 'Optional user/system identifier', 'type': 'string'}, 'createdAt': {'description': 'Optional creation timestamp', 'type': 'number'}, 'entityType': {'description': 'The type of the entity', 'type': 'string'}, 'id': {'description': 'Optional entity ID', 'type': 'string'}, 'name': {'description': 'The name of the entity', 'type': 'string'}, 'observations': {'description': 'An array of observation contents associated with the entity', 'items': {'type': 'string'}, 'type': 'array'}, 'updatedAt': {'description': 'Optional update timestamp', 'type': 'number'}, 'validFrom': {'description': 'Optional validity start timestamp', 'type': 'number'}, 'validTo': {'description': 'Optional validity end timestamp', 'type': 'number'}, 'version': {'description': 'Optional entity version', 'type': 'number'}}, 'required': ['name', 'entityType', 'observations'], 'type': 'object'}, 'type': 'array'}}, 'required': ['entities'], 'type': 'object'}, description="""Create multiple new entities in your Memento MCP knowledge graph memory system"""), # gannonh/memento-mcp/create_entities
    Tool(name="""memento-mcp_create_relations""", inputSchema={'properties': {'relations': {'items': {'properties': {'changedBy': {'description': 'Optional user/system identifier', 'type': 'string'}, 'confidence': {'description': 'Optional confidence level in relation accuracy (0.0 to 1.0)', 'type': 'number'}, 'createdAt': {'description': 'Optional creation timestamp', 'type': 'number'}, 'from': {'description': 'The name of the entity where the relation starts', 'type': 'string'}, 'id': {'description': 'Optional relation ID', 'type': 'string'}, 'metadata': {'additionalProperties': True, 'description': 'Optional metadata about the relation (source, timestamps, tags, etc.)', 'type': 'object'}, 'relationType': {'description': 'The type of the relation', 'type': 'string'}, 'strength': {'description': 'Optional strength of relation (0.0 to 1.0)', 'type': 'number'}, 'to': {'description': 'The name of the entity where the relation ends', 'type': 'string'}, 'updatedAt': {'description': 'Optional update timestamp', 'type': 'number'}, 'validFrom': {'description': 'Optional validity start timestamp', 'type': 'number'}, 'validTo': {'description': 'Optional validity end timestamp', 'type': 'number'}, 'version': {'description': 'Optional relation version', 'type': 'number'}}, 'required': ['from', 'to', 'relationType'], 'type': 'object'}, 'type': 'array'}}, 'required': ['relations'], 'type': 'object'}, description="""Create multiple new relations between entities in your Memento MCP knowledge graph memory. Relations should be in active voice"""), # gannonh/memento-mcp/create_relations
    Tool(name="""memento-mcp_add_observations""", inputSchema={'properties': {'confidence': {'description': 'Default confidence level (0.0 to 1.0) for all observations', 'type': 'number'}, 'metadata': {'additionalProperties': True, 'description': 'Default metadata for all observations', 'type': 'object'}, 'observations': {'items': {'properties': {'confidence': {'description': 'Confidence level (0.0 to 1.0) for this specific observation', 'type': 'number'}, 'contents': {'description': 'An array of observation contents to add', 'items': {'type': 'string'}, 'type': 'array'}, 'entityName': {'description': 'The name of the entity to add the observations to', 'type': 'string'}, 'metadata': {'additionalProperties': True, 'description': 'Metadata for this specific observation', 'type': 'object'}, 'strength': {'description': 'Strength value (0.0 to 1.0) for this specific observation', 'type': 'number'}}, 'required': ['entityName', 'contents'], 'type': 'object'}, 'type': 'array'}, 'strength': {'description': 'Default strength value (0.0 to 1.0) for all observations', 'type': 'number'}}, 'required': ['observations'], 'type': 'object'}, description="""Add new observations to existing entities in your Memento MCP knowledge graph memory"""), # gannonh/memento-mcp/add_observations
    Tool(name="""memento-mcp_delete_entities""", inputSchema={'properties': {'entityNames': {'description': 'An array of entity names to delete', 'items': {'type': 'string'}, 'type': 'array'}}, 'required': ['entityNames'], 'type': 'object'}, description="""Delete multiple entities and their associated relations from your Memento MCP knowledge graph memory"""), # gannonh/memento-mcp/delete_entities
    Tool(name="""memento-mcp_delete_observations""", inputSchema={'properties': {'deletions': {'items': {'properties': {'entityName': {'description': 'The name of the entity containing the observations', 'type': 'string'}, 'observations': {'description': 'An array of observations to delete', 'items': {'type': 'string'}, 'type': 'array'}}, 'required': ['entityName', 'observations'], 'type': 'object'}, 'type': 'array'}}, 'required': ['deletions'], 'type': 'object'}, description="""Delete specific observations from entities in your Memento MCP knowledge graph memory"""), # gannonh/memento-mcp/delete_observations
    Tool(name="""memento-mcp_delete_relations""", inputSchema={'properties': {'relations': {'description': 'An array of relations to delete', 'items': {'properties': {'from': {'description': 'The name of the entity where the relation starts', 'type': 'string'}, 'relationType': {'description': 'The type of the relation', 'type': 'string'}, 'to': {'description': 'The name of the entity where the relation ends', 'type': 'string'}}, 'required': ['from', 'to', 'relationType'], 'type': 'object'}, 'type': 'array'}}, 'required': ['relations'], 'type': 'object'}, description="""Delete multiple relations from your Memento MCP knowledge graph memory"""), # gannonh/memento-mcp/delete_relations
    Tool(name="""memento-mcp_get_relation""", inputSchema={'properties': {'from': {'description': 'The name of the entity where the relation starts', 'type': 'string'}, 'relationType': {'description': 'The type of the relation', 'type': 'string'}, 'to': {'description': 'The name of the entity where the relation ends', 'type': 'string'}}, 'required': ['from', 'to', 'relationType'], 'type': 'object'}, description="""Get a specific relation with its enhanced properties from your Memento MCP knowledge graph memory"""), # gannonh/memento-mcp/get_relation
    Tool(name="""memento-mcp_update_relation""", inputSchema={'properties': {'relation': {'properties': {'changedBy': {'description': 'Optional user/system identifier', 'type': 'string'}, 'confidence': {'description': 'Optional confidence level in relation accuracy (0.0 to 1.0)', 'type': 'number'}, 'createdAt': {'description': 'Optional creation timestamp', 'type': 'number'}, 'from': {'description': 'The name of the entity where the relation starts', 'type': 'string'}, 'id': {'description': 'Optional relation ID', 'type': 'string'}, 'metadata': {'additionalProperties': True, 'description': 'Optional metadata about the relation (source, timestamps, tags, etc.)', 'type': 'object'}, 'relationType': {'description': 'The type of the relation', 'type': 'string'}, 'strength': {'description': 'Optional strength of relation (0.0 to 1.0)', 'type': 'number'}, 'to': {'description': 'The name of the entity where the relation ends', 'type': 'string'}, 'updatedAt': {'description': 'Optional update timestamp', 'type': 'number'}, 'validFrom': {'description': 'Optional validity start timestamp', 'type': 'number'}, 'validTo': {'description': 'Optional validity end timestamp', 'type': 'number'}, 'version': {'description': 'Optional relation version', 'type': 'number'}}, 'required': ['from', 'to', 'relationType'], 'type': 'object'}}, 'required': ['relation'], 'type': 'object'}, description="""Update an existing relation with enhanced properties in your Memento MCP knowledge graph memory"""), # gannonh/memento-mcp/update_relation
    Tool(name="""memento-mcp_get_entity_history""", inputSchema={'properties': {'entityName': {'description': 'The name of the entity to retrieve history for', 'type': 'string'}}, 'required': ['entityName'], 'type': 'object'}, description="""Get the version history of an entity from your Memento MCP knowledge graph memory"""), # gannonh/memento-mcp/get_entity_history
    Tool(name="""memento-mcp_get_relation_history""", inputSchema={'properties': {'from': {'description': 'The name of the entity where the relation starts', 'type': 'string'}, 'relationType': {'description': 'The type of the relation', 'type': 'string'}, 'to': {'description': 'The name of the entity where the relation ends', 'type': 'string'}}, 'required': ['from', 'to', 'relationType'], 'type': 'object'}, description="""Get the version history of a relation from your Memento MCP knowledge graph memory"""), # gannonh/memento-mcp/get_relation_history
    Tool(name="""memento-mcp_get_graph_at_time""", inputSchema={'properties': {'timestamp': {'description': 'The timestamp (in milliseconds since epoch) to query the graph at', 'type': 'number'}}, 'required': ['timestamp'], 'type': 'object'}, description="""Get your Memento MCP knowledge graph memory as it existed at a specific point in time"""), # gannonh/memento-mcp/get_graph_at_time
    Tool(name="""memento-mcp_get_decayed_graph""", inputSchema={'properties': {'decay_factor': {'description': 'Optional decay factor override (normally calculated from half-life)', 'type': 'number'}, 'reference_time': {'description': 'Optional reference timestamp (in milliseconds since epoch) for decay calculation', 'type': 'number'}}, 'type': 'object'}, description="""Get your Memento MCP knowledge graph memory with confidence values decayed based on time"""), # gannonh/memento-mcp/get_decayed_graph
    Tool(name="""memento-mcp_force_generate_embedding""", inputSchema={'properties': {'entity_name': {'description': 'Name of the entity to generate embedding for', 'type': 'string'}}, 'required': ['entity_name'], 'type': 'object'}, description="""Forcibly generate and store an embedding for an entity in your Memento MCP knowledge graph memory"""), # gannonh/memento-mcp/force_generate_embedding
    Tool(name="""memento-mcp_debug_embedding_config""", inputSchema={'properties': {'random_string': {'description': 'Dummy parameter for no-parameter tools', 'type': 'string'}}, 'type': 'object'}, description="""Debug tool to check embedding configuration and status of your Memento MCP knowledge graph memory system"""), # gannonh/memento-mcp/debug_embedding_config
    Tool(name="""memento-mcp_diagnose_vector_search""", inputSchema={'properties': {'random_string': {'description': 'Dummy parameter for no-parameter tools', 'type': 'string'}}, 'type': 'object'}, description="""Diagnostic tool to directly query Neo4j database for entity embeddings, bypassing application abstractions"""), # gannonh/memento-mcp/diagnose_vector_search
    Tool(name="""mmnt-mcp-server_mmnt_search""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'page': {'description': 'page number', 'type': 'number'}, 'query': {'description': 'query string', 'type': 'string'}}, 'required': ['query', 'page'], 'type': 'object'}, description="""Search in Mamont search engine"""), # zbkm/mmnt-mcp-server/mmnt_search
    Tool(name="""mmnt-mcp-server_mmnt_cache""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'id': {'description': 'unique cache id', 'type': 'string'}, 'onlyText': {'description': 'Should the result be text only (no html)', 'type': 'boolean'}}, 'required': ['id', 'onlyText'], 'type': 'object'}, description="""Extract page from Mamont cache"""), # zbkm/mmnt-mcp-server/mmnt_cache
    Tool(name="""Runbook_create_runbook""", inputSchema={'properties': {'content': {'title': 'Content', 'type': 'string'}, 'name': {'title': 'Name', 'type': 'string'}}, 'required': ['name', 'content'], 'title': 'create_runbookArguments', 'type': 'object'}, description=""""""), # runbookai/Runbook/create_runbook
    Tool(name="""Runbook_delete_runbook""", inputSchema={'properties': {'name': {'title': 'Name', 'type': 'string'}}, 'required': ['name'], 'title': 'delete_runbookArguments', 'type': 'object'}, description=""""""), # runbookai/Runbook/delete_runbook
    Tool(name="""mcp-n8n-builder_list_available_nodes""", inputSchema={'properties': {'category': {'description': 'Filter nodes by category (e.g., "n8n-nodes-base")', 'type': 'string'}, 'verbosity': {'description': 'Output verbosity level (concise, summary, or full). Default is concise which preserves context window space. Use summary for just category counts, or full for complete node details including descriptions.', 'enum': ['concise', 'summary', 'full'], 'type': 'string'}}, 'type': 'object'}, description="""Lists all available nodes in the n8n instance. Use this tool BEFORE creating or updating workflows to ensure you only use valid node types. This helps prevent errors caused by using node types that do not exist in the current n8n instance."""), # spences10/mcp-n8n-builder/list_available_nodes
    Tool(name="""mcp-n8n-builder_list_workflows""", inputSchema={'properties': {'active': {'description': 'Filter by active status', 'type': 'boolean'}, 'name': {'description': 'Filter by workflow name', 'type': 'string'}, 'tags': {'description': 'Filter by tags (comma-separated)', 'type': 'string'}, 'verbosity': {'description': 'Output verbosity level (concise or full). Default is concise which preserves context window space. Use full when you need complete workflow details.', 'enum': ['concise', 'full'], 'type': 'string'}}, 'type': 'object'}, description="""Lists all workflows from n8n with their basic information including ID, name, status, creation date, and tags. Use this tool to get an overview of available workflows before performing operations on specific workflows. Results can be filtered by active status, tags, or name."""), # spences10/mcp-n8n-builder/list_workflows
    Tool(name="""mcp-n8n-builder_create_workflow""", inputSchema={'properties': {'activate': {'description': 'Whether to activate the workflow after creation (only works for workflows with automatic triggers)', 'type': 'boolean'}, 'workflow': {'description': 'Complete workflow structure including nodes, connections, and settings', 'properties': {'connections': {'description': 'Connections between nodes defining the workflow execution path', 'type': 'object'}, 'name': {'description': 'Name of the workflow - use descriptive names for easier identification', 'type': 'string'}, 'nodes': {'description': 'Array of workflow nodes (triggers, actions, etc.)', 'items': {'type': 'object'}, 'type': 'array'}, 'settings': {'description': 'Workflow settings like error handling, execution timeout, etc.', 'type': 'object'}}, 'required': ['name', 'nodes', 'connections'], 'type': 'object'}}, 'required': ['workflow'], 'type': 'object'}, description="""Creates a new workflow in n8n with specified nodes and connections. Note that only workflows with automatic trigger nodes (schedule, webhook, etc.) can be activated - workflows with only manual triggers cannot be activated. Returns the created workflow with its assigned ID."""), # spences10/mcp-n8n-builder/create_workflow
    Tool(name="""mcp-n8n-builder_get_workflow""", inputSchema={'properties': {'id': {'description': 'ID of the workflow to retrieve - can be obtained from list_workflows', 'type': 'string'}, 'verbosity': {'description': 'Output verbosity level (concise or full). Default is concise which preserves context window space. Use full when you need complete workflow details including all nodes and connections.', 'enum': ['concise', 'full'], 'type': 'string'}}, 'required': ['id'], 'type': 'object'}, description="""Retrieves complete details of a specific workflow by its ID, including all nodes, connections, settings, and metadata. Use this tool when you need to examine a workflow's structure before updating it or to understand how it works."""), # spences10/mcp-n8n-builder/get_workflow
    Tool(name="""mcp-n8n-builder_update_workflow""", inputSchema={'properties': {'id': {'description': 'ID of the workflow to update - can be obtained from list_workflows', 'type': 'string'}, 'workflow': {'description': 'Complete updated workflow structure - must include all nodes and connections, not just changes', 'properties': {'connections': {'description': 'Connections between nodes defining the workflow execution path', 'type': 'object'}, 'name': {'description': 'Name of the workflow', 'type': 'string'}, 'nodes': {'description': 'Array of workflow nodes (triggers, actions, etc.)', 'items': {'type': 'object'}, 'type': 'array'}, 'settings': {'description': 'Workflow settings like error handling, execution timeout, etc.', 'type': 'object'}}, 'required': ['name', 'nodes', 'connections'], 'type': 'object'}}, 'required': ['id', 'workflow'], 'type': 'object'}, description="""Updates an existing workflow with new configuration. Typically used after retrieving a workflow with get_workflow, modifying its structure, and then saving the changes. The entire workflow structure must be provided, not just the parts being changed."""), # spences10/mcp-n8n-builder/update_workflow
    Tool(name="""mcp-n8n-builder_delete_workflow""", inputSchema={'properties': {'id': {'description': 'ID of the workflow to delete - can be obtained from list_workflows', 'type': 'string'}}, 'required': ['id'], 'type': 'object'}, description="""Permanently deletes a workflow by its ID. This action cannot be undone, so use with caution. Consider deactivating workflows instead if you might need them again later."""), # spences10/mcp-n8n-builder/delete_workflow
    Tool(name="""mcp-n8n-builder_activate_workflow""", inputSchema={'properties': {'id': {'description': 'ID of the workflow to activate - can be obtained from list_workflows', 'type': 'string'}}, 'required': ['id'], 'type': 'object'}, description="""Activates a workflow by its ID, enabling it to run automatically based on its trigger (schedule, webhook, etc.). Note that only workflows with automatic trigger nodes can be activated - workflows with only manual triggers cannot be activated."""), # spences10/mcp-n8n-builder/activate_workflow
    Tool(name="""mcp-n8n-builder_deactivate_workflow""", inputSchema={'properties': {'id': {'description': 'ID of the workflow to deactivate - can be obtained from list_workflows', 'type': 'string'}}, 'required': ['id'], 'type': 'object'}, description="""Deactivates a workflow by its ID, preventing it from running automatically. The workflow will still exist and can be manually executed or reactivated later. Use this instead of deleting workflows that you might need again."""), # spences10/mcp-n8n-builder/deactivate_workflow
    Tool(name="""mcp-n8n-builder_list_executions""", inputSchema={'properties': {'limit': {'description': 'Maximum number of executions to return - useful for workflows with many executions', 'type': 'number'}, 'status': {'description': 'Filter by execution status (error, success, waiting)', 'enum': ['error', 'success', 'waiting'], 'type': 'string'}, 'verbosity': {'description': 'Output verbosity level (concise or full). Default is concise which preserves context window space. Use full when you need complete execution details.', 'enum': ['concise', 'full'], 'type': 'string'}, 'workflowId': {'description': 'Filter executions by workflow ID - can be obtained from list_workflows', 'type': 'string'}}, 'type': 'object'}, description="""Lists workflow execution history with details on success/failure status, duration, and timestamps. Use this tool to monitor workflow performance, troubleshoot issues, or verify that workflows are running as expected. Results can be filtered by workflow ID, status, and limited to a specific number."""), # spences10/mcp-n8n-builder/list_executions
    Tool(name="""mcp-n8n-builder_get_execution""", inputSchema={'properties': {'id': {'description': 'ID of the execution to retrieve - can be obtained from list_executions', 'type': 'string'}, 'includeData': {'description': 'Whether to include detailed execution data showing the input/output at each node (may be large for complex workflows)', 'type': 'boolean'}, 'verbosity': {'description': 'Output verbosity level (concise or full). Default is concise which preserves context window space. Use full when you need complete execution details.', 'enum': ['concise', 'full'], 'type': 'string'}}, 'required': ['id'], 'type': 'object'}, description="""Retrieves detailed information about a specific workflow execution, including execution time, status, and optionally the full data processed at each step. Particularly useful for debugging failed workflows or understanding data transformations between nodes."""), # spences10/mcp-n8n-builder/get_execution
    Tool(name="""test-1_compress_local_image""", inputSchema={'properties': {'imagePath': {'description': 'The ABSOLUTE path to the image file to compress', 'example': '/Users/user/Downloads/image.jpg', 'type': 'string'}, 'outputFormat': {'description': 'The format to save the compressed image file', 'enum': ['image/jpeg', 'image/png', 'image/webp', 'image/jpg', 'image/avif'], 'example': 'image/jpeg', 'type': 'string'}, 'outputPath': {'description': 'The ABSOLUTE path to save the compressed image file', 'example': '/Users/user/Downloads/image_compressed.jpg', 'type': 'string'}, 'preserveMetadata': {'description': 'The metadata to preserve in the image file', 'items': {'enum': ['copyright', 'creation', 'location'], 'type': 'string'}, 'type': 'array'}}, 'required': ['imagePath'], 'type': 'object'}, description="""Compress a local image file"""), # zhendi/test-1/compress_local_image
    Tool(name="""test-1_compress_remote_image""", inputSchema={'properties': {'imageUrl': {'description': 'The URL of the image file to compress', 'example': 'https://example.com/image.jpg', 'type': 'string'}, 'outputFormat': {'description': 'The format to save the compressed image file', 'enum': ['image/jpeg', 'image/png', 'image/webp', 'image/jpg', 'image/avif'], 'example': 'image/jpeg', 'type': 'string'}, 'outputPath': {'description': 'The ABSOLUTE path to save the compressed image file', 'example': '/Users/user/Downloads/image_compressed.jpg', 'type': 'string'}}, 'required': ['imageUrl'], 'type': 'object'}, description="""Compress a remote image file by giving the URL of the image"""), # zhendi/test-1/compress_remote_image
    Tool(name="""test-1_resize_image""", inputSchema={'properties': {'height': {'description': 'The height to resize the image to', 'example': 1024, 'type': 'number'}, 'imagePath': {'description': 'The ABSOLUTE path to the image file to resize', 'example': '/Users/user/Downloads/image.jpg', 'type': 'string'}, 'method': {'default': 'fit', 'description': 'The method describes the way your image will be resized.', 'enum': ['scale', 'fit', 'cover', 'thumb'], 'example': 'fit', 'type': 'string'}, 'outputPath': {'description': 'The ABSOLUTE path to save the resized image file', 'example': '/Users/user/Downloads/image_thumbnail.jpg', 'type': 'string'}, 'width': {'description': 'The width to resize the image to', 'example': 1024, 'type': 'number'}}, 'required': ['imagePath', 'width', 'height'], 'type': 'object'}, description="""Resize an image file"""), # zhendi/test-1/resize_image
    Tool(name="""mcp-openvision_image_analysis""", inputSchema={'properties': {'frequency_penalty': {'anyOf': [{'type': 'number'}, {'type': 'null'}], 'default': None, 'title': 'Frequency Penalty'}, 'image': {'title': 'Image', 'type': 'string'}, 'max_tokens': {'default': 4000, 'title': 'Max Tokens', 'type': 'integer'}, 'model': {'anyOf': [{'type': 'string'}, {'type': 'null'}], 'default': None, 'title': 'Model'}, 'presence_penalty': {'anyOf': [{'type': 'number'}, {'type': 'null'}], 'default': None, 'title': 'Presence Penalty'}, 'project_root': {'anyOf': [{'type': 'string'}, {'type': 'null'}], 'default': None, 'title': 'Project Root'}, 'query': {'default': 'Describe this image in detail', 'title': 'Query', 'type': 'string'}, 'system_prompt': {'default': "You are an expert vision analyzer with exceptional attention to detail. Your purpose is to provide accurate, comprehensive descriptions of images that help AI agents understand visual content they cannot directly perceive. Focus on describing all relevant elements in the image - objects, people, text, colors, spatial relationships, actions, and context. Be precise but concise, organizing information from most to least important. Avoid making assumptions beyond what's visible and clearly indicate any uncertainty. When text appears in images, transcribe it verbatim within quotes. Respond only with factual descriptions without subjective judgments or creative embellishments. Your descriptions should enable an agent to make informed decisions based solely on your analysis.", 'title': 'System Prompt', 'type': 'string'}, 'temperature': {'default': 0.7, 'title': 'Temperature', 'type': 'number'}, 'top_p': {'anyOf': [{'type': 'number'}, {'type': 'null'}], 'default': None, 'title': 'Top P'}}, 'required': ['image'], 'title': 'image_analysisArguments', 'type': 'object'}, description="""\n    Analyze an image using OpenRouter's vision capabilities.\n\n    This tool allows you to send an image to OpenRouter's vision models for analysis.\n    You provide a query to guide the analysis and can optionally customize the system prompt\n    for more control over the model's behavior.\n\n    Args:\n        image: The image as a base64-encoded string, URL, or local file path\n        query: Text prompt to guide the image analysis. For best results, provide context\n               about why you're analyzing the image and what specific information you need.\n               Including details about your purpose and required focus areas leads to more\n               relevant and useful responses.\n        system_prompt: Instructions for the model defining its role and behavior\n        model: The vision model to use (defaults to the value set by OPENROUTER_DEFAULT_MODEL)\n        max_tokens: Maximum number of tokens in the response (100-4000)\n        temperature: Temperature parameter for generation (0.0-1.0)\n        top_p: Optional nucleus sampling parameter (0.0-1.0)\n        presence_penalty: Optional penalty for new tokens based on presence in text so far (0.0-2.0)\n        frequency_penalty: Optional penalty for new tokens based on frequency in text so far (0.0-2.0)\n        project_root: Optional root directory to resolve relative image paths against\n\n    Returns:\n        The analysis result as text\n\n    Examples:\n        Basic usage with a file path:\n            image_analysis(image=\"path/to/image.jpg\", query=\"Describe this image in detail\")\n\n        Basic usage with an image URL:\n            image_analysis(image=\"https://example.com/image.jpg\", query=\"Describe this image in detail\")\n\n        Basic usage with a relative path and project root:\n            image_analysis(image=\"examples/image.jpg\", project_root=\"/path/to/project\", query=\"Describe this image in detail\")\n\n        Usage with a detailed contextual query:\n            image_analysis(\n                image=\"path/to/image.jpg\",\n                query=\"Analyze this product packaging design for a fitness supplement. Identify all nutritional claims,\n                      certifications, and health icons. Assess the visual hierarchy and how the key selling points\n                      are communicated. This is for a competitive analysis project.\"\n            )\n\n        Usage with custom system prompt:\n            image_analysis(\n                image=\"path/to/image.jpg\",\n                query=\"What objects can you see in this image?\",\n                system_prompt=\"You are an expert at identifying objects in images. Focus on listing all visible objects.\"\n            )\n    """), # Nazruden/mcp-openvision/image_analysis
    Tool(name="""PlayFab MCP Server_search_items""", inputSchema={'properties': {'continuationToken': {'description': 'An opaque token used to retrieve the next page of items, if any are available.', 'type': 'string'}, 'count': {'description': 'Number of items to retrieve. This value is optional. Maximum page size is 50. Default value is 10.', 'type': 'number'}, 'filter': {'description': 'An OData filter used to refine the search query (For example: "type eq \'ugc\'"). More info about Filter Complexity limits can be found here: https://learn.microsoft.com/en-us/gaming/playfab/features/economy-v2/catalog/search#limits', 'type': 'string'}, 'orderBy': {'description': 'An OData orderBy used to order the results of the search query. For example: "rating/average asc"', 'type': 'string'}, 'search': {'description': 'The text to search for.', 'type': 'string'}}, 'required': ['count'], 'type': 'object'}, description="""PlayFab search items"""), # akiojin/PlayFab MCP Server/search_items
    Tool(name="""PlayFab MCP Server_get_all_segments""", inputSchema={'properties': {}, 'required': [], 'type': 'object'}, description="""PlayFab get all segments"""), # akiojin/PlayFab MCP Server/get_all_segments
    Tool(name="""PlayFab MCP Server_get_all_players""", inputSchema={'properties': {}, 'required': [], 'type': 'object'}, description="""PlayFab get all players"""), # akiojin/PlayFab MCP Server/get_all_players
    Tool(name="""TianGong-LCA-MCP Server_Weaviate Hybrid Search with Extension""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'collection': {'type': 'string'}, 'extK': {'minimum': 0, 'type': 'number'}, 'query': {'type': 'string'}, 'topK': {'type': 'number'}}, 'required': ['collection', 'query', 'topK', 'extK'], 'type': 'object'}, description="""Hybrid search in Weaviate with context extension"""), # linancn/TianGong-LCA-MCP Server/Weaviate Hybrid Search with Extension
    Tool(name="""TianGong-LCA-MCP Server_Search_ESG_Tool""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'dateFilter': {'additionalProperties': False, 'description': 'DO NOT USE IT IF NOT EXPLICIT REQUESTED IN THE QUERY. Optional filter conditions for date ranges in UNIX timestamps.', 'properties': {'publication_date': {'additionalProperties': False, 'properties': {'gte': {'type': 'number'}, 'lte': {'type': 'number'}}, 'type': 'object'}}, 'type': 'object'}, 'extK': {'default': 0, 'description': 'Number of additional chunks to include before and after each topK result.', 'type': 'number'}, 'filter': {'additionalProperties': False, 'description': 'DO NOT USE IT IF NOT EXPLICIT REQUESTED IN THE QUERY. Optional filter conditions for specific fields, as an object with optional arrays of values.', 'properties': {'country': {'description': 'Filter by country.', 'items': {'type': 'string'}, 'type': 'array'}, 'rec_id': {'description': 'Filter by record ID.', 'items': {'type': 'string'}, 'type': 'array'}}, 'type': 'object'}, 'metaContains': {'description': 'An optional keyword string used for fuzzy searching within document metadata, such as report titles, company names, or other metadata fields. DO NOT USE IT BY DEFAULT.', 'type': 'string'}, 'query': {'description': 'Requirements or questions from the user.', 'minLength': 1, 'type': 'string'}, 'topK': {'default': 5, 'description': 'Number of top chunk results to return.', 'type': 'number'}}, 'required': ['query'], 'type': 'object'}, description="""Perform search on ESG database."""), # linancn/TianGong-LCA-MCP Server/Search_ESG_Tool
    Tool(name="""Dynamics 365 MCP Server_get-user-info""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {}, 'type': 'object'}, description="""Get user info from Dynamics 365"""), # srikanth-paladugula/Dynamics 365 MCP Server/get-user-info
    Tool(name="""Dynamics 365 MCP Server_fetch-accounts""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {}, 'type': 'object'}, description="""Fetch accounts from Dynamics 365"""), # srikanth-paladugula/Dynamics 365 MCP Server/fetch-accounts
    Tool(name="""Dynamics 365 MCP Server_get-associated-opportunities""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'accountId': {'type': 'string'}}, 'required': ['accountId'], 'type': 'object'}, description="""Fetch opportunities for a given account from Dynamics 365"""), # srikanth-paladugula/Dynamics 365 MCP Server/get-associated-opportunities
    Tool(name="""Dynamics 365 MCP Server_create-account""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'accountData': {'additionalProperties': False, 'properties': {}, 'type': 'object'}}, 'required': ['accountData'], 'type': 'object'}, description="""Create a new account in Dynamics 365"""), # srikanth-paladugula/Dynamics 365 MCP Server/create-account
    Tool(name="""Dynamics 365 MCP Server_update-account""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'accountData': {'additionalProperties': False, 'properties': {}, 'type': 'object'}, 'accountId': {'type': 'string'}}, 'required': ['accountId', 'accountData'], 'type': 'object'}, description="""Update an existing account in Dynamics 365"""), # srikanth-paladugula/Dynamics 365 MCP Server/update-account
    Tool(name="""mcp-svstudio_list_tracks""", inputSchema={'properties': {}, 'required': [], 'type': 'object'}, description="""List all tracks in the current project"""), # ocadaruma/mcp-svstudio/list_tracks
    Tool(name="""mcp-svstudio_get_track_notes""", inputSchema={'properties': {'trackId': {'description': 'ID of the track', 'type': 'string'}}, 'required': ['trackId'], 'type': 'object'}, description="""Get all notes in a specific track"""), # ocadaruma/mcp-svstudio/get_track_notes
    Tool(name="""mcp-svstudio_add_notes""", inputSchema={'properties': {'notes': {'description': 'Array of notes to add', 'items': {'properties': {'duration': {'description': 'Duration in ticks', 'type': 'number'}, 'lyrics': {'description': 'Lyrics text for the note', 'type': 'string'}, 'pitch': {'description': 'MIDI pitch (0-127)', 'type': 'number'}, 'startTime': {'description': 'Start time in ticks', 'type': 'number'}}, 'required': ['lyrics', 'startTime', 'duration', 'pitch'], 'type': 'object'}, 'type': 'array'}, 'trackId': {'description': 'ID of the track', 'type': 'string'}}, 'required': ['trackId', 'notes'], 'type': 'object'}, description="""Add one or more notes to a track"""), # ocadaruma/mcp-svstudio/add_notes
    Tool(name="""mcp-svstudio_add_track""", inputSchema={'properties': {'name': {'description': 'Name of the new track', 'type': 'string'}}, 'required': [], 'type': 'object'}, description="""Add a new track to the project"""), # ocadaruma/mcp-svstudio/add_track
    Tool(name="""mcp-svstudio_get_project_info""", inputSchema={'properties': {}, 'required': [], 'type': 'object'}, description="""Get information about the current Synthesizer V Studio project"""), # ocadaruma/mcp-svstudio/get_project_info
    Tool(name="""mcp-svstudio_edit_notes""", inputSchema={'properties': {'notes': {'description': 'Array of notes to edit', 'items': {'properties': {'duration': {'description': 'Duration in ticks', 'type': 'number'}, 'id': {'description': 'The ID of the note', 'type': 'number'}, 'lyrics': {'description': 'Lyrics text for the note', 'type': 'string'}, 'pitch': {'description': 'MIDI pitch (0-127)', 'type': 'number'}, 'startTime': {'description': 'Start time in ticks', 'type': 'number'}}, 'required': ['id'], 'type': 'object'}, 'type': 'array'}, 'trackId': {'description': 'ID of the track', 'type': 'string'}}, 'required': ['trackId', 'notes'], 'type': 'object'}, description="""Edit one or more notes"""), # ocadaruma/mcp-svstudio/edit_notes
    Tool(name="""mcp-yeoman_get_ticker_info""", inputSchema={'properties': {'symbol': {'description': 'The stock symbol', 'title': 'Symbol', 'type': 'string'}}, 'required': ['symbol'], 'title': 'get_ticker_infoArguments', 'type': 'object'}, description="""Retrieve information about a specific stock symbol using Yahoo Finance API."""), # thirdstrandstudio/mcp-yeoman/get_ticker_info
    Tool(name="""mcp-yeoman_get_ticker_news""", inputSchema={'properties': {'symbol': {'description': 'The stock symbol', 'title': 'Symbol', 'type': 'string'}}, 'required': ['symbol'], 'title': 'get_ticker_newsArguments', 'type': 'object'}, description="""Fetches news articles for a given stock ticker symbol."""), # thirdstrandstudio/mcp-yeoman/get_ticker_news
    Tool(name="""mcp-yeoman_search_quote""", inputSchema={'properties': {'max_results': {'default': 8, 'description': 'The maximum number of results', 'title': 'Max Results', 'type': 'integer'}, 'query': {'description': 'The search query', 'title': 'Query', 'type': 'string'}}, 'required': ['query'], 'title': 'search_quoteArguments', 'type': 'object'}, description="""Search for quotes using a query string."""), # thirdstrandstudio/mcp-yeoman/search_quote
    Tool(name="""mcp-yeoman_search_news""", inputSchema={'properties': {'news_count': {'default': 8, 'description': 'The number of news articles', 'title': 'News Count', 'type': 'integer'}, 'query': {'description': 'The search query', 'title': 'Query', 'type': 'string'}}, 'required': ['query'], 'title': 'search_newsArguments', 'type': 'object'}, description="""Search for news articles using a query string."""), # thirdstrandstudio/mcp-yeoman/search_news
    Tool(name="""mcp-yeoman_get_top_etfs""", inputSchema={'properties': {'sector': {'description': 'The sector to get', 'enum': ['basic-materials', 'communication-services', 'consumer-cyclical', 'consumer-defensive', 'energy', 'financial-services', 'healthcare', 'industrials', 'real-estate', 'technology', 'utilities'], 'title': 'Sector', 'type': 'string'}}, 'required': ['sector'], 'title': 'get_top_etfsArguments', 'type': 'object'}, description="""Retrieve the top ETFs in a specific sector."""), # thirdstrandstudio/mcp-yeoman/get_top_etfs
    Tool(name="""mcp-yeoman_get_top_mutual_funds""", inputSchema={'properties': {'sector': {'description': 'The sector to get', 'enum': ['basic-materials', 'communication-services', 'consumer-cyclical', 'consumer-defensive', 'energy', 'financial-services', 'healthcare', 'industrials', 'real-estate', 'technology', 'utilities'], 'title': 'Sector', 'type': 'string'}}, 'required': ['sector'], 'title': 'get_top_mutual_fundsArguments', 'type': 'object'}, description="""Retrieve the top mutual funds in a specific sector."""), # thirdstrandstudio/mcp-yeoman/get_top_mutual_funds
    Tool(name="""mcp-yeoman_get_top_companies""", inputSchema={'properties': {'sector': {'description': 'The sector to get', 'enum': ['basic-materials', 'communication-services', 'consumer-cyclical', 'consumer-defensive', 'energy', 'financial-services', 'healthcare', 'industrials', 'real-estate', 'technology', 'utilities'], 'title': 'Sector', 'type': 'string'}, 'top_n': {'description': 'Number of top companies to retrieve', 'title': 'Top N', 'type': 'integer'}}, 'required': ['sector', 'top_n'], 'title': 'get_top_companiesArguments', 'type': 'object'}, description="""Retrieve the top companies in a specific sector."""), # thirdstrandstudio/mcp-yeoman/get_top_companies
    Tool(name="""mcp-yeoman_get_top_growth_companies""", inputSchema={'properties': {'sector': {'description': 'The sector to get', 'enum': ['basic-materials', 'communication-services', 'consumer-cyclical', 'consumer-defensive', 'energy', 'financial-services', 'healthcare', 'industrials', 'real-estate', 'technology', 'utilities'], 'title': 'Sector', 'type': 'string'}, 'top_n': {'description': 'Number of top growth companies to retrieve', 'title': 'Top N', 'type': 'integer'}}, 'required': ['sector', 'top_n'], 'title': 'get_top_growth_companiesArguments', 'type': 'object'}, description="""Retrieve the top growth companies in a specific sector."""), # thirdstrandstudio/mcp-yeoman/get_top_growth_companies
    Tool(name="""mcp-yeoman_get_top_performing_companies""", inputSchema={'properties': {'sector': {'description': 'The sector to get', 'enum': ['basic-materials', 'communication-services', 'consumer-cyclical', 'consumer-defensive', 'energy', 'financial-services', 'healthcare', 'industrials', 'real-estate', 'technology', 'utilities'], 'title': 'Sector', 'type': 'string'}, 'top_n': {'description': 'Number of top performing companies to retrieve', 'title': 'Top N', 'type': 'integer'}}, 'required': ['sector', 'top_n'], 'title': 'get_top_performing_companiesArguments', 'type': 'object'}, description="""Retrieve the top performing companies in a specific sector."""), # thirdstrandstudio/mcp-yeoman/get_top_performing_companies
    Tool(name="""mcp-yeoman_analyze_sentiment""", inputSchema={'properties': {'reasoning': {'description': 'The rationale behind the sentiment analysis', 'title': 'Reasoning', 'type': 'string'}, 'score': {'description': 'The sentiment score ranging from -1 to 1, where -1 is extremely negative, 1 is extremely positive, and 0 is neutral', 'title': 'Score', 'type': 'number'}, 'sentiment': {'description': "The sentiment label, valid values are 'positive', 'negative', or 'neutral'", 'enum': ['positive', 'negative', 'neutral'], 'title': 'Sentiment', 'type': 'string'}, 'symbol': {'description': 'The stock symbol', 'title': 'Symbol', 'type': 'string'}}, 'required': ['symbol', 'reasoning', 'sentiment', 'score'], 'title': 'analyze_sentimentArguments', 'type': 'object'}, description="""You are a sentiment analysis tool.\n    Based on the provided rationale, analyze the sentiment for the given stock symbol.\n    Please ensure that your analysis is objective and unbiased.\n\n    Return the result in the following formatted output.\n    """), # thirdstrandstudio/mcp-yeoman/analyze_sentiment
    Tool(name="""Source Map Parser MCP Server_operating_guide""", inputSchema={'type': 'object'}, description="""\n  # Parse Error Stack Trace\n\n  This tool allows you to parse error stack traces by mapping them to the corresponding source code locations using source maps.\n  It is particularly useful for debugging production errors where the stack trace points to minified or obfuscated code.\n"""), # MasonChow/Source Map Parser MCP Server/operating_guide
    Tool(name="""Source Map Parser MCP Server_parse_stack""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'ctxOffset': {'default': 5, 'description': 'The number of additional context lines to include before and after the error location in the source code.', 'type': 'number'}, 'stacks': {'items': {'additionalProperties': False, 'properties': {'column': {'description': 'The column number in the stack trace.', 'type': 'number'}, 'line': {'description': 'The line number in the stack trace.', 'type': 'number'}, 'sourceMapUrl': {'description': 'The URL of the source map file corresponding to the stack trace.', 'type': 'string'}}, 'required': ['line', 'column', 'sourceMapUrl'], 'type': 'object'}, 'type': 'array'}}, 'required': ['stacks'], 'type': 'object'}, description="""\n  # Parse Error Stack Trace\n\n  This tool allows you to parse error stack traces by providing the following:\n  - A downloadable source map URL.\n  - The line and column numbers from the stack trace.\n\n  The tool will map the provided stack trace information to the corresponding source code location using the source map.\n  It also supports fetching additional context lines around the error location for better debugging.\n\n  ## Parameters:\n  - **stacks**: An array of stack trace objects, each containing:\n    - **line**: The line number in the stack trace.\n    - **column**: The column number in the stack trace.\n    - **sourceMapUrl**: The URL of the source map file corresponding to the stack trace.\n\n  - **ctxOffset** (optional): The number of additional context lines to include before and after the error location in the source code. Defaults to 5.\n\n  ## Returns:\n  - A JSON object containing the parsed stack trace information, including the mapped source code location and context lines.\n  - If parsing fails, an error message will be returned for the corresponding stack trace.\n"""), # MasonChow/Source Map Parser MCP Server/parse_stack
    Tool(name="""DefectDojo MCP Server_update_finding_status""", inputSchema={'properties': {'finding_id': {'title': 'Finding Id', 'type': 'integer'}, 'status': {'title': 'Status', 'type': 'string'}}, 'required': ['finding_id', 'status'], 'title': 'update_finding_statusArguments', 'type': 'object'}, description="""Update the status of a finding (Active, Verified, False Positive, Mitigated, Inactive)"""), # jamiesonio/DefectDojo MCP Server/update_finding_status
    Tool(name="""DefectDojo MCP Server_add_finding_note""", inputSchema={'properties': {'finding_id': {'title': 'Finding Id', 'type': 'integer'}, 'note': {'title': 'Note', 'type': 'string'}}, 'required': ['finding_id', 'note'], 'title': 'add_finding_noteArguments', 'type': 'object'}, description="""Add a note to a finding"""), # jamiesonio/DefectDojo MCP Server/add_finding_note
    Tool(name="""DefectDojo MCP Server_get_findings""", inputSchema={'properties': {'limit': {'default': 20, 'title': 'Limit', 'type': 'integer'}, 'offset': {'default': 0, 'title': 'Offset', 'type': 'integer'}, 'product_name': {'anyOf': [{'type': 'string'}, {'type': 'null'}], 'default': None, 'title': 'Product Name'}, 'severity': {'anyOf': [{'type': 'string'}, {'type': 'null'}], 'default': None, 'title': 'Severity'}, 'status': {'anyOf': [{'type': 'string'}, {'type': 'null'}], 'default': None, 'title': 'Status'}}, 'title': 'get_findingsArguments', 'type': 'object'}, description="""Get findings with filtering options and pagination support"""), # jamiesonio/DefectDojo MCP Server/get_findings
    Tool(name="""DefectDojo MCP Server_search_findings""", inputSchema={'properties': {'limit': {'default': 20, 'title': 'Limit', 'type': 'integer'}, 'offset': {'default': 0, 'title': 'Offset', 'type': 'integer'}, 'product_name': {'anyOf': [{'type': 'string'}, {'type': 'null'}], 'default': None, 'title': 'Product Name'}, 'query': {'title': 'Query', 'type': 'string'}, 'severity': {'anyOf': [{'type': 'string'}, {'type': 'null'}], 'default': None, 'title': 'Severity'}, 'status': {'anyOf': [{'type': 'string'}, {'type': 'null'}], 'default': None, 'title': 'Status'}}, 'required': ['query'], 'title': 'search_findingsArguments', 'type': 'object'}, description="""Search for findings using a text query with pagination support"""), # jamiesonio/DefectDojo MCP Server/search_findings
    Tool(name="""DefectDojo MCP Server_create_finding""", inputSchema={'properties': {'cvssv3': {'anyOf': [{'type': 'string'}, {'type': 'null'}], 'default': None, 'title': 'Cvssv3'}, 'cwe': {'anyOf': [{'type': 'integer'}, {'type': 'null'}], 'default': None, 'title': 'Cwe'}, 'description': {'title': 'Description', 'type': 'string'}, 'impact': {'anyOf': [{'type': 'string'}, {'type': 'null'}], 'default': None, 'title': 'Impact'}, 'mitigation': {'anyOf': [{'type': 'string'}, {'type': 'null'}], 'default': None, 'title': 'Mitigation'}, 'severity': {'title': 'Severity', 'type': 'string'}, 'steps_to_reproduce': {'anyOf': [{'type': 'string'}, {'type': 'null'}], 'default': None, 'title': 'Steps To Reproduce'}, 'test_id': {'title': 'Test Id', 'type': 'integer'}, 'title': {'title': 'Title', 'type': 'string'}}, 'required': ['title', 'test_id', 'severity', 'description'], 'title': 'create_findingArguments', 'type': 'object'}, description="""Create a new finding"""), # jamiesonio/DefectDojo MCP Server/create_finding
    Tool(name="""DefectDojo MCP Server_list_products""", inputSchema={'properties': {'limit': {'default': 50, 'title': 'Limit', 'type': 'integer'}, 'name': {'anyOf': [{'type': 'string'}, {'type': 'null'}], 'default': None, 'title': 'Name'}, 'offset': {'default': 0, 'title': 'Offset', 'type': 'integer'}, 'prod_type': {'anyOf': [{'type': 'integer'}, {'type': 'null'}], 'default': None, 'title': 'Prod Type'}}, 'title': 'list_productsArguments', 'type': 'object'}, description="""List all products with optional filtering and pagination support"""), # jamiesonio/DefectDojo MCP Server/list_products
    Tool(name="""DefectDojo MCP Server_list_engagements""", inputSchema={'properties': {'limit': {'default': 20, 'title': 'Limit', 'type': 'integer'}, 'name': {'anyOf': [{'type': 'string'}, {'type': 'null'}], 'default': None, 'title': 'Name'}, 'offset': {'default': 0, 'title': 'Offset', 'type': 'integer'}, 'product_id': {'anyOf': [{'type': 'integer'}, {'type': 'null'}], 'default': None, 'title': 'Product Id'}, 'status': {'anyOf': [{'type': 'string'}, {'type': 'null'}], 'default': None, 'title': 'Status'}}, 'title': 'list_engagementsArguments', 'type': 'object'}, description="""List engagements with optional filtering and pagination support"""), # jamiesonio/DefectDojo MCP Server/list_engagements
    Tool(name="""DefectDojo MCP Server_get_engagement""", inputSchema={'properties': {'engagement_id': {'title': 'Engagement Id', 'type': 'integer'}}, 'required': ['engagement_id'], 'title': 'get_engagementArguments', 'type': 'object'}, description="""Get a specific engagement by ID"""), # jamiesonio/DefectDojo MCP Server/get_engagement
    Tool(name="""DefectDojo MCP Server_create_engagement""", inputSchema={'properties': {'branch_tag': {'default': None, 'title': 'Branch Tag', 'type': 'string'}, 'build_id': {'default': None, 'title': 'Build Id', 'type': 'string'}, 'commit_hash': {'default': None, 'title': 'Commit Hash', 'type': 'string'}, 'deduplication_on_engagement': {'default': None, 'title': 'Deduplication On Engagement', 'type': 'boolean'}, 'description': {'default': None, 'title': 'Description', 'type': 'string'}, 'engagement_type': {'default': None, 'title': 'Engagement Type', 'type': 'string'}, 'lead_id': {'default': None, 'title': 'Lead Id', 'type': 'integer'}, 'name': {'title': 'Name', 'type': 'string'}, 'product_id': {'title': 'Product Id', 'type': 'integer'}, 'status': {'title': 'Status', 'type': 'string'}, 'tags': {'default': None, 'items': {}, 'title': 'Tags', 'type': 'array'}, 'target_end': {'title': 'Target End', 'type': 'string'}, 'target_start': {'title': 'Target Start', 'type': 'string'}, 'version': {'default': None, 'title': 'Version', 'type': 'string'}}, 'required': ['product_id', 'name', 'target_start', 'target_end', 'status'], 'title': 'create_engagementArguments', 'type': 'object'}, description="""Create a new engagement"""), # jamiesonio/DefectDojo MCP Server/create_engagement
    Tool(name="""DefectDojo MCP Server_update_engagement""", inputSchema={'properties': {'branch_tag': {'anyOf': [{'type': 'string'}, {'type': 'null'}], 'default': None, 'title': 'Branch Tag'}, 'build_id': {'anyOf': [{'type': 'string'}, {'type': 'null'}], 'default': None, 'title': 'Build Id'}, 'commit_hash': {'anyOf': [{'type': 'string'}, {'type': 'null'}], 'default': None, 'title': 'Commit Hash'}, 'deduplication_on_engagement': {'anyOf': [{'type': 'boolean'}, {'type': 'null'}], 'default': None, 'title': 'Deduplication On Engagement'}, 'description': {'anyOf': [{'type': 'string'}, {'type': 'null'}], 'default': None, 'title': 'Description'}, 'engagement_id': {'title': 'Engagement Id', 'type': 'integer'}, 'engagement_type': {'anyOf': [{'type': 'string'}, {'type': 'null'}], 'default': None, 'title': 'Engagement Type'}, 'lead_id': {'anyOf': [{'type': 'integer'}, {'type': 'null'}], 'default': None, 'title': 'Lead Id'}, 'name': {'anyOf': [{'type': 'string'}, {'type': 'null'}], 'default': None, 'title': 'Name'}, 'status': {'anyOf': [{'type': 'string'}, {'type': 'null'}], 'default': None, 'title': 'Status'}, 'tags': {'anyOf': [{'items': {}, 'type': 'array'}, {'type': 'null'}], 'default': None, 'title': 'Tags'}, 'target_end': {'anyOf': [{'type': 'string'}, {'type': 'null'}], 'default': None, 'title': 'Target End'}, 'target_start': {'anyOf': [{'type': 'string'}, {'type': 'null'}], 'default': None, 'title': 'Target Start'}, 'version': {'anyOf': [{'type': 'string'}, {'type': 'null'}], 'default': None, 'title': 'Version'}}, 'required': ['engagement_id'], 'title': 'update_engagementArguments', 'type': 'object'}, description="""Update an existing engagement"""), # jamiesonio/DefectDojo MCP Server/update_engagement
    Tool(name="""DefectDojo MCP Server_close_engagement""", inputSchema={'properties': {'engagement_id': {'title': 'Engagement Id', 'type': 'integer'}}, 'required': ['engagement_id'], 'title': 'close_engagementArguments', 'type': 'object'}, description="""Close an engagement"""), # jamiesonio/DefectDojo MCP Server/close_engagement
    Tool(name="""Asset Price MCP Server_get_asset_price""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'random_string': {'description': 'Dummy parameter for no-parameter tools', 'type': 'string'}}, 'type': 'object'}, description="""Retrieves current pricing information for various assets including precious metals and cryptocurrencies"""), # mk965/Asset Price MCP Server/get_asset_price
    Tool(name="""Ankr API MCP Server_get_token_balances_on_network""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'address': {'description': 'The address to check token balances for', 'type': 'string'}, 'network': {'description': 'The blockchain network (e.g., "ethereum", "base")', 'type': 'string'}}, 'required': ['network', 'address'], 'type': 'object'}, description="""Gets all token balances for a given address on a specific network"""), # akki91/Ankr API MCP Server/get_token_balances_on_network
    Tool(name="""Ableton Copilot MCP_crop_clip""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'clip_id': {'type': 'string'}}, 'required': ['clip_id'], 'type': 'object'}, description="""Crops the clip. The region that is cropped depends on whether the clip is looped or not. \n            If looped, the region outside of the loop is removed. If not looped, \n            the region outside the start and end markers is removed."""), # xiaolaa2/Ableton Copilot MCP/crop_clip
    Tool(name="""Ableton Copilot MCP_duplicate_clip_loop""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'clip_id': {'type': 'string'}}, 'required': ['clip_id'], 'type': 'object'}, description="""Makes the loop twice as long and duplicates notes and envelopes. \n        Duplicates the clip start/end range if the clip is not looped."""), # xiaolaa2/Ableton Copilot MCP/duplicate_clip_loop
    Tool(name="""Ableton Copilot MCP_get_detail_clip""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {}, 'type': 'object'}, description="""Get detail clip/piano roll clip"""), # xiaolaa2/Ableton Copilot MCP/get_detail_clip
    Tool(name="""Ableton Copilot MCP_get_clip_info_by_id""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'clip_id': {'type': 'string'}}, 'required': ['clip_id'], 'type': 'object'}, description="""Get clip info by clip id"""), # xiaolaa2/Ableton Copilot MCP/get_clip_info_by_id
    Tool(name="""Ableton Copilot MCP_get_all_notes_by_clipid""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'clip_id': {'type': 'string'}}, 'required': ['clip_id'], 'type': 'object'}, description="""Get clip all notes by clip id"""), # xiaolaa2/Ableton Copilot MCP/get_all_notes_by_clipid
    Tool(name="""Ableton Copilot MCP_remove_clip_all_notes""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'clip_id': {'type': 'string'}}, 'required': ['clip_id'], 'type': 'object'}, description="""Remove clip all notes by clip id"""), # xiaolaa2/Ableton Copilot MCP/remove_clip_all_notes
    Tool(name="""Ableton Copilot MCP_add_notes_to_clip""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'clip_id': {'type': 'string'}, 'notes': {'description': '[array] the notes to add.', 'items': {'additionalProperties': False, 'properties': {'duration': {'description': '[float] the note length in beats.', 'type': 'number'}, 'muted': {'description': '[bool] true = the note is deactivated (false by default).', 'type': 'boolean'}, 'pitch': {'description': '[int] the MIDI note number, 0...127, 60 is C3.', 'maximum': 127, 'minimum': 0, 'type': 'number'}, 'time': {'description': '[float] the note start time in beats of absolute clip time.', 'type': 'number'}, 'velocity': {'description': '[float] the note velocity, 0 ... 127 (100 by default).', 'maximum': 127, 'minimum': 0, 'type': 'number'}}, 'type': 'object'}, 'type': 'array'}}, 'required': ['notes', 'clip_id'], 'type': 'object'}, description="""Add notes to clip by clip id"""), # xiaolaa2/Ableton Copilot MCP/add_notes_to_clip
    Tool(name="""Ableton Copilot MCP_replace_all_notes_to_clip""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'clip_id': {'type': 'string'}, 'notes': {'description': '[array] the notes to remove.', 'items': {'additionalProperties': False, 'properties': {'duration': {'description': '[float] the note length in beats.', 'type': 'number'}, 'muted': {'description': '[bool] true = the note is deactivated (false by default).', 'type': 'boolean'}, 'pitch': {'description': '[int] the MIDI note number, 0...127, 60 is C3.', 'maximum': 127, 'minimum': 0, 'type': 'number'}, 'time': {'description': '[float] the note start time in beats of absolute clip time.', 'type': 'number'}, 'velocity': {'description': '[float] the note velocity, 0 ... 127 (100 by default).', 'maximum': 127, 'minimum': 0, 'type': 'number'}}, 'type': 'object'}, 'type': 'array'}}, 'required': ['notes', 'clip_id'], 'type': 'object'}, description="""Replace clip all notes by clip id"""), # xiaolaa2/Ableton Copilot MCP/replace_all_notes_to_clip
    Tool(name="""Ableton Copilot MCP_set_clip_property""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'clip_id': {'type': 'string'}, 'property': {'additionalProperties': False, 'properties': {'color': {'description': "The RGB value of the track's color in \n        the form 0x00RRGGBB or (2^16 * red) + (2^8 * green) + blue, where red, \n        green and blue are values from 0 (dark) to 255 (light). Example: Red is (2^16 * 255) = 16711680", 'type': 'number'}, 'end_marker': {'type': 'number'}, 'gain': {'type': 'number'}, 'is_playing': {'type': 'boolean'}, 'launch_mode': {'type': 'number'}, 'launch_quantization': {'type': 'number'}, 'loop_end': {'description': '[float] For looped clips: loop end. For unlooped clips: clip end.', 'type': 'number'}, 'loop_start': {'description': '[float] For looped clips: loop start.\n        loop_start and loop_end are in absolute clip beat time if clip is MIDI or warped. \n        The 1.1.1 position has beat time 0. If the clip is unwarped audio, they are given in seconds, \n        0 is the time of the first sample in the audio material.', 'type': 'number'}, 'looping': {'description': 'true = clip is looped. Unwarped audio cannot be looped.', 'type': 'boolean'}, 'muted': {'type': 'boolean'}, 'name': {'type': 'string'}, 'pitch_coarse': {'description': '[int] Pitch shift in semitones ("Transpose"), -48 ... 48.\nAvailable for audio clips only.', 'type': 'number'}, 'pitch_fine': {'description': '[float] Extra pitch shift in cents ("Detune"), -50 ... 49.\nAvailable for audio clips only.', 'type': 'number'}, 'position': {'description': "[float] Get and set the clip's loop position. \n        The value will always equal loop_start, \n        however setting this property, unlike setting loop_start, preserves the loop length", 'type': 'number'}, 'ram_mode': {'type': 'boolean'}, 'signature_denominator': {'type': 'number'}, 'signature_numerator': {'type': 'number'}, 'start_marker': {'description': '[float] The start marker of the clip in beats, \n        independent of the loop state. Cannot be set behind the end marker', 'type': 'number'}, 'velocity_amount': {'type': 'number'}, 'warp_mode': {'description': '[int] The Warp Mode of the clip as an integer index. Available Warp Modes are:\n        0 = Beats Mode\n        1 = Tones Mode\n        2 = Texture Mode\n        3 = Re-Pitch Mode\n        4 = Complex Mode\n        5 = REX Mode\n        6 = Complex Pro Mode\n        Available for audio clips only.', 'type': 'number'}, 'warping': {'description': 'Available for audio clips only.', 'type': 'boolean'}}, 'type': 'object'}}, 'required': ['clip_id', 'property'], 'type': 'object'}, description="""set clip property"""), # xiaolaa2/Ableton Copilot MCP/set_clip_property
    Tool(name="""Ableton Copilot MCP_duplicate_clip_region""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'clip_id': {'type': 'string'}, 'destination_time': {'type': 'number'}, 'pitch': {'type': 'number'}, 'region_end': {'type': 'number'}, 'region_start': {'type': 'number'}, 'transposition_amount': {'type': 'number'}}, 'required': ['clip_id', 'region_start', 'region_end', 'destination_time', 'pitch', 'transposition_amount'], 'type': 'object'}, description="""Duplicates the notes in the specified region to the destination_time.\n            Only notes of the specified pitch are duplicated if pitch is not -1.\n            If the transposition_amount is not 0, the notes in the region will be\n            transposed by the transposition_amount of semitones.\n            Raises an error on audio clips.."""), # xiaolaa2/Ableton Copilot MCP/duplicate_clip_region
    Tool(name="""Ableton Copilot MCP_get_song_info""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {}, 'type': 'object'}, description="""get song basic info, include tempo, \n        time signature, root_note(begin from 0, C..B), scale name, song length"""), # xiaolaa2/Ableton Copilot MCP/get_song_info
    Tool(name="""Ableton Copilot MCP_get_all_tracks""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {}, 'type': 'object'}, description="""get all tracks"""), # xiaolaa2/Ableton Copilot MCP/get_all_tracks
    Tool(name="""Ableton Copilot MCP_get_tracks_count""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {}, 'type': 'object'}, description="""get midi + audio tracks count"""), # xiaolaa2/Ableton Copilot MCP/get_tracks_count
    Tool(name="""Ableton Copilot MCP_create_track""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'index': {'default': 0, 'description': '[int] index of track default 0, range [0, track count]', 'type': 'number'}, 'type': {'description': 'the type of track, "return", "audio", "midi"', 'enum': ['return', 'audio', 'midi'], 'type': 'string'}}, 'required': ['type'], 'type': 'object'}, description="""create track and return raw track"""), # xiaolaa2/Ableton Copilot MCP/create_track
    Tool(name="""Ableton Copilot MCP_delete_track""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'index': {'description': '[int] index of track', 'type': 'number'}, 'type': {'description': 'the type of track, "return", "audio", "midi"', 'enum': ['return', 'audio', 'midi'], 'type': 'string'}}, 'required': ['index', 'type'], 'type': 'object'}, description="""delete track by index"""), # xiaolaa2/Ableton Copilot MCP/delete_track
    Tool(name="""Ableton Copilot MCP_duplicate_track""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'index': {'description': '[int] index of track', 'type': 'number'}}, 'required': ['index'], 'type': 'object'}, description="""duplicate midi or audio track by index"""), # xiaolaa2/Ableton Copilot MCP/duplicate_track
    Tool(name="""Ableton Copilot MCP_record_by_time_range""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'end_time': {'description': '[int] end time of record', 'type': 'number'}, 'start_time': {'description': '[float] the time in beats of absolute clip time. such as 4 is 4 beats', 'type': 'number'}}, 'required': ['start_time', 'end_time'], 'type': 'object'}, description="""Opens Ableton's audio record button and starts playback from start_time to end_time. \n        Before recording, please:\n        ENSURE: \n        1. Set the recording track to record mode\n        2. Set the recording track's input routing to Resample or a specific audio track/input routing\n        3. After recording, disable the track's record mode"""), # xiaolaa2/Ableton Copilot MCP/record_by_time_range
    Tool(name="""Ableton Copilot MCP_get_clips_by_track_id""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'track_id': {'type': 'string'}}, 'required': ['track_id'], 'type': 'object'}, description="""get all clip by track id"""), # xiaolaa2/Ableton Copilot MCP/get_clips_by_track_id
    Tool(name="""Ableton Copilot MCP_get_track_info_by_id""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'track_id': {'type': 'string'}}, 'required': ['track_id'], 'type': 'object'}, description="""get track info by id"""), # xiaolaa2/Ableton Copilot MCP/get_track_info_by_id
    Tool(name="""Ableton Copilot MCP_create_empty_midi_clip""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'length': {'description': 'Length is given in beats and must be a greater value than 0.0.', 'type': 'number'}, 'time': {'description': '[float] the time in beats of absolute clip time. such as 4 is 4 beats', 'type': 'number'}, 'track_id': {'type': 'string'}}, 'required': ['track_id', 'length', 'time'], 'type': 'object'}, description="""create empty midi clip on track"""), # xiaolaa2/Ableton Copilot MCP/create_empty_midi_clip
    Tool(name="""Ableton Copilot MCP_set_track_property""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'property': {'additionalProperties': False, 'properties': {'arm': {'description': 'true = track is armed for recording. [not in return/master tracks]', 'type': 'boolean'}, 'color': {'description': "The RGB value of the track's color in \n        the form 0x00RRGGBB or (2^16 * red) + (2^8 * green) + blue, where red, \n        green and blue are values from 0 (dark) to 255 (light). Example: Red is (2^16 * 255) = 16711680", 'type': 'number'}, 'current_input_routing': {'description': 'set the input routing ,such as "Resampling 3-MIDI 4 Audio"', 'type': 'string'}, 'current_input_sub_routing': {'type': 'string'}, 'current_monitoring_state': {'type': 'number'}, 'current_output_routing': {'type': 'string'}, 'current_output_sub_routing': {'type': 'string'}, 'fired_slot_index': {'type': 'number'}, 'fold_state': {'description': '0 = tracks within the Group Track are visible, \n        1 = Group Track is folded and the tracks within the Group Track are hidden[only available if is_foldable = 1', 'type': 'number'}, 'implicit_arm': {'type': 'boolean'}, 'input_routing_channel': {'type': 'number'}, 'is_showing_chains': {'type': 'number'}, 'mute': {'type': 'boolean'}, 'name': {'type': 'string'}, 'playing_slot_index': {'type': 'number'}, 'solo': {'description': 'solo = true = track is soloed. ', 'type': 'boolean'}}, 'type': 'object'}, 'track_id': {'type': 'string'}}, 'required': ['track_id', 'property'], 'type': 'object'}, description="""set track property"""), # xiaolaa2/Ableton Copilot MCP/set_track_property
    Tool(name="""Ableton Copilot MCP_duplicate_clip_to_track""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'clip_id': {'type': 'string'}, 'time': {'type': 'number'}, 'track_id': {'type': 'string'}}, 'required': ['clip_id', 'track_id', 'time'], 'type': 'object'}, description="""duplicate clip to track"""), # xiaolaa2/Ableton Copilot MCP/duplicate_clip_to_track
    Tool(name="""Ableton Copilot MCP_get_track_available_input_routings""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'track_id': {'type': 'string'}}, 'required': ['track_id'], 'type': 'object'}, description="""get track available input routings"""), # xiaolaa2/Ableton Copilot MCP/get_track_available_input_routings
    Tool(name="""Magic Component Platform_21st_magic_component_builder""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'message': {'description': 'Full users message', 'type': 'string'}, 'searchQuery': {'description': "Generate a search query for 21st.dev (library for searching UI components) to find a UI component that matches the user's message. Must be a two-four words max or phrase", 'type': 'string'}}, 'required': ['message', 'searchQuery'], 'type': 'object'}, description="""\n\"Use this tool when the user requests a new UI componente.g., mentions /ui, /21 /21st, or asks for a button, input, dialog, table, form, banner, card, or other React component.\nThis tool ONLY returns the text snippet for that UI component. \nAfter calling this tool, you must edit or add files to integrate the snippet into the codebase.\"\n"""), # oyasimi1209/Magic Component Platform/21st_magic_component_builder
    Tool(name="""Magic Component Platform_logo_search""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'format': {'description': 'Output format', 'enum': ['JSX', 'TSX', 'SVG'], 'type': 'string'}, 'queries': {'description': 'List of company names to search for logos', 'items': {'type': 'string'}, 'type': 'array'}}, 'required': ['queries', 'format'], 'type': 'object'}, description="""\nSearch and return logos in specified format (JSX, TSX, SVG).\nSupports single and multiple logo searches with category filtering.\nCan return logos in different themes (light/dark) if available.\n\nWhen to use this tool:\n1. When user types \"/logo\" command (e.g., \"/logo GitHub\")\n2. When user asks to add a company logo that's not in the local project\n\nExample queries:\n- Single company: [\"discord\"]\n- Multiple companies: [\"discord\", \"github\", \"slack\"]\n- Specific brand: [\"microsoft office\"]\n- Command style: \"/logo GitHub\" -> [\"github\"]\n- Request style: \"Add Discord logo to the project\" -> [\"discord\"]\n\nFormat options:\n- TSX: Returns TypeScript React component\n- JSX: Returns JavaScript React component\n- SVG: Returns raw SVG markup\n\nEach result includes:\n- Component name (e.g., DiscordIcon)\n- Component code\n- Import instructions\n"""), # oyasimi1209/Magic Component Platform/logo_search
    Tool(name="""Magic Component Platform_21st_magic_component_inspiration""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'message': {'description': 'Full users message', 'type': 'string'}, 'searchQuery': {'description': "Search query for 21st.dev (library for searching UI components) to find a UI component that matches the user's message. Must be a two-four words max or phrase", 'type': 'string'}}, 'required': ['message', 'searchQuery'], 'type': 'object'}, description="""\n\"Use this tool when the user wants to see component, get inspiration, or /21st fetch data and previews from 21st.dev. This tool returns the JSON data of matching components without generating new code. This tool ONLY returns the text snippet for that UI component. \nAfter calling this tool, you must edit or add files to integrate the snippet into the codebase.\"\n"""), # oyasimi1209/Magic Component Platform/21st_magic_component_inspiration
    Tool(name="""Vibe Coder MCP_research""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'query': {'description': 'The research query or topic to investigate', 'minLength': 3, 'type': 'string'}}, 'required': ['query'], 'type': 'object'}, description="""Performs deep research on a given topic using Perplexity Sonar and enhances the result."""), # freshtechbro/Vibe Coder MCP/research
    Tool(name="""Vibe Coder MCP_generate-rules""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'productDescription': {'description': 'Description of the product being developed', 'minLength': 10, 'type': 'string'}, 'ruleCategories': {'description': "Optional categories of rules to generate (e.g., 'Code Style', 'Security')", 'items': {'type': 'string'}, 'type': 'array'}, 'userStories': {'description': 'Optional user stories to inform the rules', 'type': 'string'}}, 'required': ['productDescription'], 'type': 'object'}, description="""Creates project-specific development rules based on product description, user stories, and research."""), # freshtechbro/Vibe Coder MCP/generate-rules
    Tool(name="""Vibe Coder MCP_generate-prd""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'productDescription': {'description': 'Description of the product to create a PRD for', 'minLength': 10, 'type': 'string'}}, 'required': ['productDescription'], 'type': 'object'}, description="""Creates comprehensive product requirements documents based on a product description and research."""), # freshtechbro/Vibe Coder MCP/generate-prd
    Tool(name="""Vibe Coder MCP_generate-user-stories""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'productDescription': {'description': 'Description of the product to create user stories for', 'minLength': 10, 'type': 'string'}}, 'required': ['productDescription'], 'type': 'object'}, description="""Creates detailed user stories with acceptance criteria based on a product description and research."""), # freshtechbro/Vibe Coder MCP/generate-user-stories
    Tool(name="""Vibe Coder MCP_generate-task-list""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'productDescription': {'description': 'Description of the product', 'minLength': 10, 'type': 'string'}, 'userStories': {'description': 'User stories (in Markdown format) to use for task list generation', 'minLength': 20, 'type': 'string'}}, 'required': ['productDescription', 'userStories'], 'type': 'object'}, description="""Creates structured development task lists with dependencies based on product description, user stories, and research."""), # freshtechbro/Vibe Coder MCP/generate-task-list
    Tool(name="""Vibe Coder MCP_generate-fullstack-starter-kit""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'include_optional_features': {'description': "Optional features to include (e.g., ['Docker', 'CI/CD'])", 'items': {'type': 'string'}, 'type': 'array'}, 'request_recommendation': {'description': 'Whether to request recommendations for tech stack components based on research', 'type': 'boolean'}, 'tech_stack_preferences': {'additionalProperties': {'anyOf': [{'not': {}}, {'type': 'string'}]}, 'description': "Optional tech stack preferences (e.g., { frontend: 'Vue', backend: 'Python' })", 'type': 'object'}, 'use_case': {'description': "The specific use case for the starter kit (e.g., 'E-commerce site', 'Blog platform')", 'minLength': 5, 'type': 'string'}}, 'required': ['use_case'], 'type': 'object'}, description="""Generates full-stack project starter kits with custom tech stacks, research-informed recommendations, and setup scripts."""), # freshtechbro/Vibe Coder MCP/generate-fullstack-starter-kit
    Tool(name="""Vibe Coder MCP_generate-code-stub""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'classProperties': {'description': 'For classes: list of properties with names, optional types, and descriptions.', 'items': {'$ref': '#/properties/parameters/items'}, 'type': 'array'}, 'contextFilePath': {'description': 'Optional relative path to a file whose content should be used as additional context.', 'type': 'string'}, 'description': {'description': 'Detailed description of what the stub should do, including its purpose, parameters, return values, or properties.', 'minLength': 1, 'type': 'string'}, 'language': {'description': "The programming language for the stub (e.g., 'typescript', 'python', 'javascript')", 'minLength': 1, 'type': 'string'}, 'methods': {'description': 'For classes/interfaces: list of method signatures with names and descriptions.', 'items': {'additionalProperties': False, 'description': 'Represents a class method signature', 'properties': {'description': {'type': 'string'}, 'name': {'type': 'string'}}, 'required': ['name'], 'type': 'object'}, 'type': 'array'}, 'name': {'description': 'The name of the function, class, interface, etc.', 'minLength': 1, 'type': 'string'}, 'parameters': {'description': 'For functions/methods: list of parameters with names, optional types, and descriptions.', 'items': {'additionalProperties': False, 'description': 'Represents a function parameter or class property', 'properties': {'description': {'type': 'string'}, 'name': {'type': 'string'}, 'type': {'type': 'string'}}, 'required': ['name'], 'type': 'object'}, 'type': 'array'}, 'returnType': {'description': 'For functions/methods: the expected return type string.', 'type': 'string'}, 'stubType': {'description': 'The type of code structure to generate (function, class, etc.)', 'enum': ['function', 'class', 'interface', 'method', 'module'], 'type': 'string'}}, 'required': ['language', 'stubType', 'name', 'description'], 'type': 'object'}, description="""Generates a code stub (function, class, etc.) in a specified language based on a description. Can optionally use content from a file (relative path) as context."""), # freshtechbro/Vibe Coder MCP/generate-code-stub
    Tool(name="""Vibe Coder MCP_refactor-code""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'codeContent': {'description': 'The actual code snippet to be refactored.', 'minLength': 1, 'type': 'string'}, 'contextFilePath': {'description': 'Optional relative path to a file whose content provides broader context for the refactoring task.', 'type': 'string'}, 'language': {'description': "The programming language of the code snippet (e.g., 'typescript', 'python', 'javascript')", 'minLength': 1, 'type': 'string'}, 'refactoringInstructions': {'description': "Specific instructions on how the code should be refactored (e.g., 'extract the loop into a separate function', 'improve variable names', 'add error handling', 'convert promises to async/await').", 'minLength': 1, 'type': 'string'}}, 'required': ['language', 'codeContent', 'refactoringInstructions'], 'type': 'object'}, description="""Refactors a given code snippet based on specific instructions, optionally using surrounding file context."""), # freshtechbro/Vibe Coder MCP/refactor-code
    Tool(name="""Vibe Coder MCP_generate-git-summary""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'staged': {'default': False, 'description': 'If true, get the summary for staged changes only. Defaults to false (unstaged changes).', 'type': 'boolean'}}, 'type': 'object'}, description="""Retrieves a summary of current Git changes (diff). Can show staged or unstaged changes."""), # freshtechbro/Vibe Coder MCP/generate-git-summary
    Tool(name="""Vibe Coder MCP_analyze-dependencies""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'filePath': {'description': "The relative path to the dependency manifest file (e.g., 'package.json', 'client/package.json', 'requirements.txt').", 'minLength': 1, 'type': 'string'}}, 'required': ['filePath'], 'type': 'object'}, description="""Analyzes dependency manifest files (currently supports package.json) to list project dependencies."""), # freshtechbro/Vibe Coder MCP/analyze-dependencies
    Tool(name="""Vibe Coder MCP_process-request""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'request': {'description': 'Natural language request to process and route to the appropriate tool', 'minLength': 3, 'type': 'string'}}, 'required': ['request'], 'type': 'object'}, description="""Processes natural language requests, determines the best tool using semantic matching and fallbacks, and either asks for confirmation or executes the tool directly."""), # freshtechbro/Vibe Coder MCP/process-request
    Tool(name="""SiYuan Note MCP Server_executeCommand""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'params': {'additionalProperties': {}, 'description': '', 'type': 'object'}, 'type': {'description': '', 'type': 'string'}}, 'required': ['type'], 'type': 'object'}, description=""""""), # onigeya/SiYuan Note MCP Server/executeCommand
    Tool(name="""SiYuan Note MCP Server_queryCommands""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'namespace': {'description': '', 'type': 'string'}, 'type': {'description': '', 'type': 'string'}}, 'type': 'object'}, description=""""""), # onigeya/SiYuan Note MCP Server/queryCommands
    Tool(name="""SiYuan Note MCP Server_help""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'type': {'description': '', 'type': 'string'}}, 'required': ['type'], 'type': 'object'}, description=""""""), # onigeya/SiYuan Note MCP Server/help
    Tool(name="""CMR Model Context Protocol_get_datasets""", inputSchema={'properties': {'daac': {'anyOf': [{'type': 'string'}, {'type': 'null'}], 'default': None, 'title': 'Daac'}, 'keyword': {'default': None, 'title': 'Keyword', 'type': 'string'}, 'startdate': {'default': None, 'title': 'Startdate', 'type': 'string'}, 'stopdate': {'default': None, 'title': 'Stopdate', 'type': 'string'}}, 'title': 'get_datasetsArguments', 'type': 'object'}, description="""Get a list of datasets form CMR based on keywords.\n\n    Args:\n        startdate: (Optional) Start date of search request (like \"2002\" or \"2022-03-22\")\n        stopdate: (Optional) Stop date of search request (like \"2002\" or \"2022-03-22\")\n        daac: the daac to search, e.g. NSIDC or PODAAC\n        keywords: A list of keyword arguments to search collections for.\n    """), # podaac/CMR Model Context Protocol/get_datasets
    Tool(name="""AWS Nova Canvas MCP Server_text_to_image""", inputSchema={'properties': {'cfg_scale': {'default': 8, 'title': 'Cfg Scale', 'type': 'number'}, 'height': {'default': 1024, 'title': 'Height', 'type': 'integer'}, 'negative_prompt': {'default': '', 'title': 'Negative Prompt', 'type': 'string'}, 'num_images': {'default': 1, 'title': 'Num Images', 'type': 'integer'}, 'open_browser': {'default': True, 'title': 'Open Browser', 'type': 'boolean'}, 'prompt': {'title': 'Prompt', 'type': 'string'}, 'seed': {'default': 0, 'title': 'Seed', 'type': 'integer'}, 'width': {'default': 1024, 'title': 'Width', 'type': 'integer'}}, 'required': ['prompt'], 'title': 'text_to_imageArguments', 'type': 'object'}, description="""\n    Generate an image from a text prompt. After generation, you can use the show_image tool to view the thumbnail.\n    \n    Args:\n        prompt: Text prompt for generating an image (maximum 1024 characters)\n        negative_prompt: Text prompt for excluding attributes from generation (maximum 1024 characters)\n        height: Image height (pixels)\n        width: Image width (pixels)\n        num_images: Number of images to generate (maximum 4)\n        cfg_scale: Image matching degree for the prompt (1-20)\n        seed: Seed value for image generation\n        open_browser: Whether to open the image in the browser after generation\n        \n    Returns:\n        Dict: Dictionary containing the file path of the generated image and the thumbnail image\n    """), # yunwoong7/AWS Nova Canvas MCP Server/text_to_image
    Tool(name="""AWS Nova Canvas MCP Server_inpainting""", inputSchema={'properties': {'cfg_scale': {'default': 8, 'title': 'Cfg Scale', 'type': 'number'}, 'height': {'default': 512, 'title': 'Height', 'type': 'integer'}, 'image_path': {'title': 'Image Path', 'type': 'string'}, 'mask_prompt': {'title': 'Mask Prompt', 'type': 'string'}, 'negative_prompt': {'default': '', 'title': 'Negative Prompt', 'type': 'string'}, 'open_browser': {'default': True, 'title': 'Open Browser', 'type': 'boolean'}, 'prompt': {'title': 'Prompt', 'type': 'string'}, 'width': {'default': 512, 'title': 'Width', 'type': 'integer'}}, 'required': ['image_path', 'prompt', 'mask_prompt'], 'title': 'inpaintingArguments', 'type': 'object'}, description="""\n    Inpaint a specific part of an image using a text mask prompt.\n    \n    Args:\n        image_path: File path of the original image\n        prompt: Text prompt for the area to be inpainted\n        mask_prompt: Text prompt for specifying the area to be masked (e.g., \"window\", \"car\")\n        negative_prompt: Text prompt for excluding attributes from generation\n        height: Output image height (pixels)\n        width: Output image width (pixels)\n        cfg_scale: Image matching degree for the prompt (1-20)\n        open_browser: Whether to open the image in the browser after generation\n        \n    Returns:\n        Dict: Dictionary containing the file path of the inpainted image\n    """), # yunwoong7/AWS Nova Canvas MCP Server/inpainting
    Tool(name="""AWS Nova Canvas MCP Server_outpainting""", inputSchema={'properties': {'cfg_scale': {'default': 8, 'title': 'Cfg Scale', 'type': 'number'}, 'height': {'default': 512, 'title': 'Height', 'type': 'integer'}, 'image_path': {'title': 'Image Path', 'type': 'string'}, 'mask_image_path': {'title': 'Mask Image Path', 'type': 'string'}, 'negative_prompt': {'default': '', 'title': 'Negative Prompt', 'type': 'string'}, 'outpainting_mode': {'default': 'DEFAULT', 'title': 'Outpainting Mode', 'type': 'string'}, 'prompt': {'title': 'Prompt', 'type': 'string'}, 'width': {'default': 512, 'title': 'Width', 'type': 'integer'}}, 'required': ['image_path', 'mask_image_path', 'prompt'], 'title': 'outpaintingArguments', 'type': 'object'}, description="""\n    Expand the image to create an outpainting.\n    \n    Args:\n        image_path: File path of the original image\n        mask_image_path: File path of the mask image\n        prompt: Text describing the content to be generated in the outpainting area\n        negative_prompt: Text specifying attributes to exclude from generation\n        outpainting_mode: Outpainting mode (DEFAULT or PRECISE)\n        height: Output image height (pixels)\n        width: Output image width (pixels)\n        cfg_scale: Prompt matching degree (1-20)\n        \n    Returns:\n        Dict: Dictionary containing the file path of the outpainted image\n    """), # yunwoong7/AWS Nova Canvas MCP Server/outpainting
    Tool(name="""AWS Nova Canvas MCP Server_image_variation""", inputSchema={'properties': {'cfg_scale': {'default': 8, 'title': 'Cfg Scale', 'type': 'number'}, 'height': {'default': 512, 'title': 'Height', 'type': 'integer'}, 'image_paths': {'items': {'type': 'string'}, 'title': 'Image Paths', 'type': 'array'}, 'negative_prompt': {'default': '', 'title': 'Negative Prompt', 'type': 'string'}, 'prompt': {'default': '', 'title': 'Prompt', 'type': 'string'}, 'similarity_strength': {'default': 0.7, 'title': 'Similarity Strength', 'type': 'number'}, 'width': {'default': 512, 'title': 'Width', 'type': 'integer'}}, 'required': ['image_paths'], 'title': 'image_variationArguments', 'type': 'object'}, description="""\n    Generate a new variation of the input image while maintaining its content.\n    \n    Args:\n        image_paths: List of file paths of the original images (1-5)\n        prompt: Text for generating a variation image (optional)\n        negative_prompt: Text specifying attributes to exclude from generation\n        similarity_strength: Similarity between the original image and the generated image (0.2-1.0)\n        height: Output image height (pixels)\n        width: Output image width (pixels)\n        cfg_scale: Prompt matching degree (1-20)\n        \n    Returns:\n        Dict: Dictionary containing the file path of the variation image\n    """), # yunwoong7/AWS Nova Canvas MCP Server/image_variation
    Tool(name="""AWS Nova Canvas MCP Server_image_conditioning""", inputSchema={'properties': {'cfg_scale': {'default': 8, 'title': 'Cfg Scale', 'type': 'number'}, 'control_mode': {'default': 'CANNY_EDGE', 'title': 'Control Mode', 'type': 'string'}, 'height': {'default': 512, 'title': 'Height', 'type': 'integer'}, 'image_path': {'title': 'Image Path', 'type': 'string'}, 'negative_prompt': {'default': '', 'title': 'Negative Prompt', 'type': 'string'}, 'prompt': {'title': 'Prompt', 'type': 'string'}, 'width': {'default': 512, 'title': 'Width', 'type': 'integer'}}, 'required': ['image_path', 'prompt'], 'title': 'image_conditioningArguments', 'type': 'object'}, description="""\n    Generate an image that follows the layout and composition of a reference image.\n    \n    Args:\n        image_path: File path of the reference image\n        prompt: Text describing the image to be generated\n        negative_prompt: Text specifying attributes to exclude from generation\n        control_mode: Control mode (CANNY_EDGE, etc.)\n        height: Output image height (pixels)\n        width: Output image width (pixels)\n        cfg_scale: Prompt matching degree (1-20)\n        \n    Returns:\n        Dict: Dictionary containing the file path of the generated image\n    """), # yunwoong7/AWS Nova Canvas MCP Server/image_conditioning
    Tool(name="""AWS Nova Canvas MCP Server_color_guided_generation""", inputSchema={'properties': {'cfg_scale': {'default': 8, 'title': 'Cfg Scale', 'type': 'number'}, 'colors': {'items': {'type': 'string'}, 'title': 'Colors', 'type': 'array'}, 'height': {'default': 512, 'title': 'Height', 'type': 'integer'}, 'negative_prompt': {'default': '', 'title': 'Negative Prompt', 'type': 'string'}, 'prompt': {'title': 'Prompt', 'type': 'string'}, 'reference_image_path': {'anyOf': [{'type': 'string'}, {'type': 'null'}], 'default': None, 'title': 'Reference Image Path'}, 'width': {'default': 512, 'title': 'Width', 'type': 'integer'}}, 'required': ['prompt', 'colors'], 'title': 'color_guided_generationArguments', 'type': 'object'}, description="""\n    Generate an image using a specified color palette.\n    \n    Args:\n        prompt: Text describing the image to be generated\n        colors: List of color codes (1-10 hex color codes, e.g., \"#ff8080\")\n        reference_image_path: File path of the reference image (optional)\n        negative_prompt: Text specifying attributes to exclude from generation\n        height: Output image height (pixels)\n        width: Output image width (pixels)\n        cfg_scale: Prompt matching degree (1-20)\n        ctx: MCP context\n        \n    Returns:\n        Dict: Dictionary containing the file path of the generated image\n    """), # yunwoong7/AWS Nova Canvas MCP Server/color_guided_generation
    Tool(name="""AWS Nova Canvas MCP Server_background_removal""", inputSchema={'properties': {'image_path': {'title': 'Image Path', 'type': 'string'}}, 'required': ['image_path'], 'title': 'background_removalArguments', 'type': 'object'}, description="""\n    Remove the background of an image automatically.\n    \n    Args:\n        image_path: File path of the original image\n        ctx: MCP context\n        \n    Returns:\n        Dict: Dictionary containing the file path of the image with the background removed\n    """), # yunwoong7/AWS Nova Canvas MCP Server/background_removal
    Tool(name="""AWS Nova Canvas MCP Server_show_image""", inputSchema={'properties': {'height': {'default': 500, 'title': 'Height', 'type': 'integer'}, 'image_path': {'title': 'Image Path', 'type': 'string'}, 'width': {'default': 500, 'title': 'Width', 'type': 'integer'}}, 'required': ['image_path'], 'title': 'show_imageArguments', 'type': 'object'}, description="""\n    Create a thumbnail of the image and return it. The maximum size is 1048578.\n    Supports URLs or local file paths.\n    \n    Args:\n        image_path: Image URL or local file path\n        width: Output image width (pixels)\n        height: Output image height (pixels)\n        \n    Returns:\n        Image: Thumbnail image\n    """), # yunwoong7/AWS Nova Canvas MCP Server/show_image
    Tool(name="""Search Intent MCP_search_intent_analysis""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'query': {'description': 'Enter a search term to analyze', 'type': 'string'}}, 'required': ['query'], 'type': 'object'}, description="""A tool for analyzing search intent and user behavior.\n\nFeatures:\n- Analyze search query intent\n- Identify relevant topic categories\n- Provide search suggestions\n- Offer reference links\n\nExamples:\n\"iphone 15\"  Product research/purchase intent\n\"python tutorial\"  Learning intent\n\nResponse format:\n- query: Original search term\n- intent: Search intention\n- categories: Related categories\n- suggestions: Related search terms\n- references: Reference links"""), # captainChaozi/Search Intent MCP/search_intent_analysis
    Tool(name="""G-Search MCP_search""", inputSchema={'properties': {'debug': {'description': 'Whether to enable debug mode (showing browser window), overrides the --debug command line flag if specified', 'type': 'boolean'}, 'limit': {'description': 'Maximum number of results to return per query (default: 10)', 'type': 'number'}, 'locale': {'description': 'Locale setting for search results (default: en-US)', 'type': 'string'}, 'noSaveState': {'description': 'Whether to avoid saving browser state (default: false)', 'type': 'boolean'}, 'queries': {'description': 'Array of search queries to perform', 'items': {'type': 'string'}, 'type': 'array'}, 'timeout': {'description': 'Page loading timeout in milliseconds (default: 60000)', 'type': 'number'}}, 'required': ['queries'], 'type': 'object'}, description="""Search on Google for multiple keywords and return the results"""), # jae-jae/G-Search MCP/search
    Tool(name="""Google Patents MCP Server_search_patents""", inputSchema={'properties': {'after': {'description': "Minimum date filter (e.g., 'publication:20230101', 'filing:20220601'). Format: type:YYYYMMDD where type is 'priority', 'filing', or 'publication'.", 'type': 'string'}, 'assignee': {'description': 'Filter by assignee names. Separate multiple names with a comma (,).', 'type': 'string'}, 'before': {'description': "Maximum date filter (e.g., 'publication:20231231', 'filing:20220101'). Format: type:YYYYMMDD where type is 'priority', 'filing', or 'publication'.", 'type': 'string'}, 'country': {'description': "Filter by country codes (e.g., 'US', 'WO,JP'). Separate multiple codes with a comma (,).", 'type': 'string'}, 'inventor': {'description': 'Filter by inventor names. Separate multiple names with a comma (,).', 'type': 'string'}, 'language': {'description': "Filter by language (e.g., 'ENGLISH', 'JAPANESE,GERMAN'). Separate multiple languages with a comma (,). Supported: ENGLISH, GERMAN, CHINESE, FRENCH, SPANISH, ARABIC, JAPANESE, KOREAN, PORTUGUESE, RUSSIAN, ITALIAN, DUTCH, SWEDISH, FINNISH, NORWEGIAN, DANISH.", 'type': 'string'}, 'num': {'default': 10, 'description': 'Number of results per page (default: 10). **IMPORTANT: Must be 10 or greater (up to 100).**', 'maximum': 100, 'minimum': 10, 'type': 'integer'}, 'page': {'default': 1, 'description': 'Page number for pagination (default: 1).', 'type': 'integer'}, 'q': {'description': "Search query (required). Although optional in SerpApi docs, a non-empty query is practically needed. Use semicolon (;) to separate multiple terms. Advanced syntax like '(Coffee) OR (Tea);(A47J)' is supported. See 'About Google Patents' for details.", 'type': 'string'}, 'scholar': {'default': False, 'description': 'Include Google Scholar results (default: false).', 'type': 'boolean'}, 'sort': {'default': 'relevance', 'description': "Sorting method. 'relevance' (default), 'new' (newest by filing/publication date), 'old' (oldest by filing/publication date).", 'enum': ['relevance', 'new', 'old'], 'type': 'string'}, 'status': {'description': "Filter by patent status: 'GRANT' or 'APPLICATION'.", 'enum': ['GRANT', 'APPLICATION'], 'type': 'string'}, 'type': {'description': "Filter by patent type: 'PATENT' or 'DESIGN'.", 'enum': ['PATENT', 'DESIGN'], 'type': 'string'}}, 'required': ['q'], 'type': 'object'}, description="""Searches Google Patents using SerpApi. Allows filtering by date, inventor, assignee, country, language, status, type, and sorting."""), # KunihiroS/Google Patents MCP Server/search_patents
    Tool(name="""Database Tools for Claude AI_mysql""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'query': {'description': 'SQL query to execute', 'type': 'string'}}, 'required': ['query'], 'type': 'object'}, description="""Execute a query in MySQL"""), # elber-code/Database Tools for Claude AI/mysql
    Tool(name="""MCP Log Reader_read_mcp_logs""", inputSchema={'properties': {'customPath': {'description': 'Optional custom path to log directory (default is system-specific)', 'type': 'string'}, 'fileLimit': {'description': 'Maximum number of files to read per page (default: 5)', 'type': 'number'}, 'filter': {'description': 'Optional text to filter log entries by (case-insensitive)', 'type': 'string'}, 'lines': {'description': 'Number of lines to read from the end of each log file (default: 100)', 'type': 'number'}, 'page': {'description': 'Page number for pagination (default: 1)', 'type': 'number'}}, 'type': 'object'}, description="""Read MCP logs from the standard location"""), # klara-research/MCP Log Reader/read_mcp_logs
    Tool(name="""MCP Calculate Server_calculate_expression""", inputSchema={'properties': {'expression': {'title': 'Expression', 'type': 'string'}}, 'required': ['expression'], 'title': 'calculate_expressionArguments', 'type': 'object'}, description="""\ncalculate mathematical expressions using the `sympify` function from `sympy`, parse and compute the input mathematical expression string, supports direct calls to SymPy functions (automatically recognizes x, y, z as symbolic variables)\nParameters:\n    expression (str): Mathematical expression, e.g., \"223 - 344 * 6\" or \"sin(pi/2) + log(10)\".Replace special symbols with approximate values, e.g., pi  3.1415\"\nExample expressions:\n    \"2 + 3*5\"                          # Basic arithmetic  17\n    \"expand((x + 1)**2)\"               # Expand  x + 2x + 1\n    \"diff(sin(x), x)\"                  # Derivative  cos(x)\n    \"integrate(exp(x), (x, 0, 1))\"      # Definite integral  E - 1\n    \"solve(x**2 - 4, x)\"               # Solve equation  [-2, 2]\n    \"limit(tan(x)/x, x, 0)\"            # Limit  1\n    \"Sum(k, (k, 1, 10)).doit()\"        # Summation  55\n    \"Matrix([[1, 2], [3, 4]]).inv()\"   # Matrix inverse  [[-2, 1], [3/2, -1/2]]\n    \"simplify((x**2 - 1)/(x + 1))\"     # Simplify  x - 1\n    \"factor(x**2 - 2*x - 15)\"          # Factorize  (x - 5)(x + 3)\n    \"series(cos(x), x, 0, 4)\"          # Taylor series  1 - x/2 + x/24 + O(x)\n    \"integrate(exp(-x**2)*sin(x), (x, -oo, oo))\"  # Complex integral\n    \"solve([x**2 + y**2 - 1, x + y - 1], [x, y])\"  # Solve system of equations\n    \"Matrix([[1, 2, 3], [4, 5, 6], [7, 8, 9]]).eigenvals()\"  # Matrix eigenvalues\nReturns:\n    str: Calculation result. If the expression cannot be parsed or computed, returns an error message (str).\n"""), # 611711Dark/MCP Calculate Server/calculate_expression
    Tool(name="""Baidu Search MCP Server_search""", inputSchema={'properties': {'deep_mode': {'default': False, 'title': 'Deep Mode', 'type': 'boolean'}, 'max_results': {'default': 6, 'title': 'Max Results', 'type': 'integer'}, 'query': {'title': 'Query', 'type': 'string'}}, 'required': ['query'], 'title': 'searchArguments', 'type': 'object'}, description="""\n    Search Baidu and return formatted results.\n\n    Args:\n        query: The search query string\n        max_results: Maximum number of results to return (default: 6)\n        deep_mode: Deep search the web content (default: False)\n        ctx: MCP context for logging\n    """), # Evilran/Baidu Search MCP Server/search
    Tool(name="""Caiyun Weather MCP Server_get_weather_by_location""", inputSchema={'properties': {'daily_steps': {'default': 5, 'description': ' (1-15)', 'maximum': 15, 'minimum': 1, 'type': 'number'}, 'hourly_steps': {'default': 24, 'description': ' (1-360)', 'maximum': 360, 'minimum': 1, 'type': 'number'}, 'language': {'default': 'zh_CN', 'description': '', 'enum': ['zh_CN', 'en_US'], 'type': 'string'}, 'latitude': {'description': '', 'type': 'number'}, 'longitude': {'description': '', 'type': 'number'}, 'unit': {'default': 'metric', 'description': ' (metric: , imperial: )', 'enum': ['metric', 'imperial'], 'type': 'string'}}, 'required': ['longitude', 'latitude'], 'type': 'object'}, description=""""""), # marcusbai/Caiyun Weather MCP Server/get_weather_by_location
    Tool(name="""Caiyun Weather MCP Server_get_weather_by_address""", inputSchema={'properties': {'address': {'description': '""', 'type': 'string'}, 'daily_steps': {'default': 5, 'description': ' (1-15)', 'maximum': 15, 'minimum': 1, 'type': 'number'}, 'hourly_steps': {'default': 24, 'description': ' (1-360)', 'maximum': 360, 'minimum': 1, 'type': 'number'}, 'language': {'default': 'zh_CN', 'description': '', 'enum': ['zh_CN', 'en_US'], 'type': 'string'}, 'unit': {'default': 'metric', 'description': ' (metric: , imperial: )', 'enum': ['metric', 'imperial'], 'type': 'string'}}, 'required': ['address'], 'type': 'object'}, description=""""""), # marcusbai/Caiyun Weather MCP Server/get_weather_by_address
    Tool(name="""Caiyun Weather MCP Server_get_realtime_weather""", inputSchema={'properties': {'language': {'default': 'zh_CN', 'description': '', 'enum': ['zh_CN', 'en_US'], 'type': 'string'}, 'latitude': {'description': '', 'type': 'number'}, 'longitude': {'description': '', 'type': 'number'}, 'unit': {'default': 'metric', 'description': ' (metric: , imperial: )', 'enum': ['metric', 'imperial'], 'type': 'string'}}, 'required': ['longitude', 'latitude'], 'type': 'object'}, description=""""""), # marcusbai/Caiyun Weather MCP Server/get_realtime_weather
    Tool(name="""Caiyun Weather MCP Server_get_minutely_forecast""", inputSchema={'properties': {'language': {'default': 'zh_CN', 'description': '', 'enum': ['zh_CN', 'en_US'], 'type': 'string'}, 'latitude': {'description': '', 'type': 'number'}, 'longitude': {'description': '', 'type': 'number'}, 'unit': {'default': 'metric', 'description': ' (metric: , imperial: )', 'enum': ['metric', 'imperial'], 'type': 'string'}}, 'required': ['longitude', 'latitude'], 'type': 'object'}, description=""""""), # marcusbai/Caiyun Weather MCP Server/get_minutely_forecast
    Tool(name="""Caiyun Weather MCP Server_get_hourly_forecast""", inputSchema={'properties': {'hourly_steps': {'default': 24, 'description': ' (1-360)', 'maximum': 360, 'minimum': 1, 'type': 'number'}, 'language': {'default': 'zh_CN', 'description': '', 'enum': ['zh_CN', 'en_US'], 'type': 'string'}, 'latitude': {'description': '', 'type': 'number'}, 'longitude': {'description': '', 'type': 'number'}, 'unit': {'default': 'metric', 'description': ' (metric: , imperial: )', 'enum': ['metric', 'imperial'], 'type': 'string'}}, 'required': ['longitude', 'latitude'], 'type': 'object'}, description=""""""), # marcusbai/Caiyun Weather MCP Server/get_hourly_forecast
    Tool(name="""Caiyun Weather MCP Server_get_daily_forecast""", inputSchema={'properties': {'daily_steps': {'default': 5, 'description': ' (1-15)', 'maximum': 15, 'minimum': 1, 'type': 'number'}, 'language': {'default': 'zh_CN', 'description': '', 'enum': ['zh_CN', 'en_US'], 'type': 'string'}, 'latitude': {'description': '', 'type': 'number'}, 'longitude': {'description': '', 'type': 'number'}, 'unit': {'default': 'metric', 'description': ' (metric: , imperial: )', 'enum': ['metric', 'imperial'], 'type': 'string'}}, 'required': ['longitude', 'latitude'], 'type': 'object'}, description=""""""), # marcusbai/Caiyun Weather MCP Server/get_daily_forecast
    Tool(name="""Caiyun Weather MCP Server_get_weather_alert""", inputSchema={'properties': {'language': {'default': 'zh_CN', 'description': '', 'enum': ['zh_CN', 'en_US'], 'type': 'string'}, 'latitude': {'description': '', 'type': 'number'}, 'longitude': {'description': '', 'type': 'number'}, 'unit': {'default': 'metric', 'description': ' (metric: , imperial: )', 'enum': ['metric', 'imperial'], 'type': 'string'}}, 'required': ['longitude', 'latitude'], 'type': 'object'}, description=""""""), # marcusbai/Caiyun Weather MCP Server/get_weather_alert
    Tool(name="""Yahoo Finance MCP Server_get_ticker_info""", inputSchema={'properties': {'symbol': {'description': 'The stock symbol', 'title': 'Symbol', 'type': 'string'}}, 'required': ['symbol'], 'title': 'get_ticker_infoArguments', 'type': 'object'}, description="""Retrieve information about a specific stock symbol using Yahoo Finance API."""), # narumiruna/Yahoo Finance MCP Server/get_ticker_info
    Tool(name="""Yahoo Finance MCP Server_get_ticker_news""", inputSchema={'properties': {'symbol': {'description': 'The stock symbol', 'title': 'Symbol', 'type': 'string'}}, 'required': ['symbol'], 'title': 'get_ticker_newsArguments', 'type': 'object'}, description="""Fetches news articles for a given stock ticker symbol."""), # narumiruna/Yahoo Finance MCP Server/get_ticker_news
    Tool(name="""Yahoo Finance MCP Server_search_quote""", inputSchema={'properties': {'max_results': {'default': 8, 'description': 'The maximum number of results', 'title': 'Max Results', 'type': 'integer'}, 'query': {'description': 'The search query', 'title': 'Query', 'type': 'string'}}, 'required': ['query'], 'title': 'search_quoteArguments', 'type': 'object'}, description="""Search for quotes using a query string."""), # narumiruna/Yahoo Finance MCP Server/search_quote
    Tool(name="""Yahoo Finance MCP Server_search_news""", inputSchema={'properties': {'news_count': {'default': 8, 'description': 'The number of news articles', 'title': 'News Count', 'type': 'integer'}, 'query': {'description': 'The search query', 'title': 'Query', 'type': 'string'}}, 'required': ['query'], 'title': 'search_newsArguments', 'type': 'object'}, description="""Search for news articles using a query string."""), # narumiruna/Yahoo Finance MCP Server/search_news
    Tool(name="""Yahoo Finance MCP Server_get_top_etfs""", inputSchema={'properties': {'sector': {'description': 'The sector to get', 'enum': ['basic-materials', 'communication-services', 'consumer-cyclical', 'consumer-defensive', 'energy', 'financial-services', 'healthcare', 'industrials', 'real-estate', 'technology', 'utilities'], 'title': 'Sector', 'type': 'string'}}, 'required': ['sector'], 'title': 'get_top_etfsArguments', 'type': 'object'}, description="""Retrieve the top ETFs in a specific sector."""), # narumiruna/Yahoo Finance MCP Server/get_top_etfs
    Tool(name="""Yahoo Finance MCP Server_get_top_mutual_funds""", inputSchema={'properties': {'sector': {'description': 'The sector to get', 'enum': ['basic-materials', 'communication-services', 'consumer-cyclical', 'consumer-defensive', 'energy', 'financial-services', 'healthcare', 'industrials', 'real-estate', 'technology', 'utilities'], 'title': 'Sector', 'type': 'string'}}, 'required': ['sector'], 'title': 'get_top_mutual_fundsArguments', 'type': 'object'}, description="""Retrieve the top mutual funds in a specific sector."""), # narumiruna/Yahoo Finance MCP Server/get_top_mutual_funds
    Tool(name="""Yahoo Finance MCP Server_get_top_companies""", inputSchema={'properties': {'sector': {'description': 'The sector to get', 'enum': ['basic-materials', 'communication-services', 'consumer-cyclical', 'consumer-defensive', 'energy', 'financial-services', 'healthcare', 'industrials', 'real-estate', 'technology', 'utilities'], 'title': 'Sector', 'type': 'string'}, 'top_n': {'description': 'Number of top companies to retrieve', 'title': 'Top N', 'type': 'integer'}}, 'required': ['sector', 'top_n'], 'title': 'get_top_companiesArguments', 'type': 'object'}, description="""Retrieve the top companies in a specific sector."""), # narumiruna/Yahoo Finance MCP Server/get_top_companies
    Tool(name="""Yahoo Finance MCP Server_get_top_growth_companies""", inputSchema={'properties': {'sector': {'description': 'The sector to get', 'enum': ['basic-materials', 'communication-services', 'consumer-cyclical', 'consumer-defensive', 'energy', 'financial-services', 'healthcare', 'industrials', 'real-estate', 'technology', 'utilities'], 'title': 'Sector', 'type': 'string'}, 'top_n': {'description': 'Number of top growth companies to retrieve', 'title': 'Top N', 'type': 'integer'}}, 'required': ['sector', 'top_n'], 'title': 'get_top_growth_companiesArguments', 'type': 'object'}, description="""Retrieve the top growth companies in a specific sector."""), # narumiruna/Yahoo Finance MCP Server/get_top_growth_companies
    Tool(name="""Yahoo Finance MCP Server_get_top_performing_companies""", inputSchema={'properties': {'sector': {'description': 'The sector to get', 'enum': ['basic-materials', 'communication-services', 'consumer-cyclical', 'consumer-defensive', 'energy', 'financial-services', 'healthcare', 'industrials', 'real-estate', 'technology', 'utilities'], 'title': 'Sector', 'type': 'string'}, 'top_n': {'description': 'Number of top performing companies to retrieve', 'title': 'Top N', 'type': 'integer'}}, 'required': ['sector', 'top_n'], 'title': 'get_top_performing_companiesArguments', 'type': 'object'}, description="""Retrieve the top performing companies in a specific sector."""), # narumiruna/Yahoo Finance MCP Server/get_top_performing_companies
    Tool(name="""Yahoo Finance MCP Server_analyze_sentiment""", inputSchema={'properties': {'reasoning': {'description': 'The rationale behind the sentiment analysis', 'title': 'Reasoning', 'type': 'string'}, 'score': {'description': 'The sentiment score ranging from -1 to 1, where -1 is extremely negative, 1 is extremely positive, and 0 is neutral', 'title': 'Score', 'type': 'number'}, 'sentiment': {'description': "The sentiment label, valid values are 'positive', 'negative', or 'neutral'", 'enum': ['positive', 'negative', 'neutral'], 'title': 'Sentiment', 'type': 'string'}, 'symbol': {'description': 'The stock symbol', 'title': 'Symbol', 'type': 'string'}}, 'required': ['symbol', 'reasoning', 'sentiment', 'score'], 'title': 'analyze_sentimentArguments', 'type': 'object'}, description="""You are a sentiment analysis tool.\n    Based on the provided rationale, analyze the sentiment for the given stock symbol.\n    Please ensure that your analysis is objective and unbiased.\n\n    Return the result in the following formatted output.\n    """), # narumiruna/Yahoo Finance MCP Server/analyze_sentiment
    Tool(name="""mcp-github-trending_get_github_trending_developers""", inputSchema={'properties': {'language': {'description': 'Language to filter repositories by', 'type': 'string'}, 'since': {'description': 'Time period to filter repositories by', 'enum': ['daily', 'weekly', 'monthly'], 'type': 'string'}, 'spoken_language': {'description': 'Spoken language to filter repositories by', 'type': 'string'}}, 'type': 'object'}, description="""Get trending developers on github"""), # hetaoBackend/mcp-github-trending/get_github_trending_developers
    Tool(name="""mcp-github-trending_get_github_trending_repositories""", inputSchema={'properties': {'language': {'description': 'Language to filter repositories by', 'type': 'string'}, 'since': {'description': 'Time period to filter repositories by', 'enum': ['daily', 'weekly', 'monthly'], 'type': 'string'}, 'spoken_language': {'description': 'Spoken language to filter repositories by', 'type': 'string'}}, 'type': 'object'}, description="""Get trending repositories on github"""), # hetaoBackend/mcp-github-trending/get_github_trending_repositories
    Tool(name="""Freshdesk MCP server_get_ticket_fields""", inputSchema={'properties': {}, 'title': 'get_ticket_fieldsArguments', 'type': 'object'}, description="""Get ticket fields from Freshdesk."""), # effytech/Freshdesk MCP server/get_ticket_fields
    Tool(name="""Freshdesk MCP server_create_ticket_reply""", inputSchema={'properties': {'body': {'title': 'Body', 'type': 'string'}, 'ticket_id': {'title': 'Ticket Id', 'type': 'integer'}}, 'required': ['ticket_id', 'body'], 'title': 'create_ticket_replyArguments', 'type': 'object'}, description="""Create a reply to a ticket in Freshdesk."""), # effytech/Freshdesk MCP server/create_ticket_reply
    Tool(name="""Freshdesk MCP server_create_ticket_note""", inputSchema={'properties': {'body': {'title': 'Body', 'type': 'string'}, 'ticket_id': {'title': 'Ticket Id', 'type': 'integer'}}, 'required': ['ticket_id', 'body'], 'title': 'create_ticket_noteArguments', 'type': 'object'}, description="""Create a note for a ticket in Freshdesk."""), # effytech/Freshdesk MCP server/create_ticket_note
    Tool(name="""Freshdesk MCP server_get_tickets""", inputSchema={'properties': {'page': {'anyOf': [{'type': 'integer'}, {'type': 'null'}], 'default': 1, 'title': 'Page'}, 'per_page': {'anyOf': [{'type': 'integer'}, {'type': 'null'}], 'default': 30, 'title': 'Per Page'}}, 'title': 'get_ticketsArguments', 'type': 'object'}, description="""Get tickets from Freshdesk with pagination support."""), # effytech/Freshdesk MCP server/get_tickets
    Tool(name="""Freshdesk MCP server_create_ticket""", inputSchema={'properties': {'custom_fields': {'anyOf': [{'type': 'object'}, {'type': 'null'}], 'default': None, 'title': 'Custom Fields'}, 'description': {'title': 'Description', 'type': 'string'}, 'email': {'anyOf': [{'type': 'string'}, {'type': 'null'}], 'default': None, 'title': 'Email'}, 'priority': {'anyOf': [{'type': 'integer'}, {'type': 'string'}], 'title': 'Priority'}, 'requester_id': {'anyOf': [{'type': 'integer'}, {'type': 'null'}], 'default': None, 'title': 'Requester Id'}, 'source': {'anyOf': [{'type': 'integer'}, {'type': 'string'}], 'title': 'Source'}, 'status': {'anyOf': [{'type': 'integer'}, {'type': 'string'}], 'title': 'Status'}, 'subject': {'title': 'Subject', 'type': 'string'}}, 'required': ['subject', 'description', 'source', 'priority', 'status'], 'title': 'create_ticketArguments', 'type': 'object'}, description="""Create a ticket in Freshdesk"""), # effytech/Freshdesk MCP server/create_ticket
    Tool(name="""Freshdesk MCP server_update_ticket""", inputSchema={'properties': {'ticket_fields': {'title': 'Ticket Fields', 'type': 'object'}, 'ticket_id': {'title': 'Ticket Id', 'type': 'integer'}}, 'required': ['ticket_id', 'ticket_fields'], 'title': 'update_ticketArguments', 'type': 'object'}, description="""Update a ticket in Freshdesk."""), # effytech/Freshdesk MCP server/update_ticket
    Tool(name="""Freshdesk MCP server_delete_ticket""", inputSchema={'properties': {'ticket_id': {'title': 'Ticket Id', 'type': 'integer'}}, 'required': ['ticket_id'], 'title': 'delete_ticketArguments', 'type': 'object'}, description="""Delete a ticket in Freshdesk."""), # effytech/Freshdesk MCP server/delete_ticket
    Tool(name="""Freshdesk MCP server_get_ticket""", inputSchema={'properties': {'ticket_id': {'title': 'Ticket Id', 'type': 'integer'}}, 'required': ['ticket_id'], 'title': 'get_ticketArguments', 'type': 'object'}, description="""Get a ticket in Freshdesk."""), # effytech/Freshdesk MCP server/get_ticket
    Tool(name="""Freshdesk MCP server_search_tickets""", inputSchema={'properties': {'query': {'title': 'Query', 'type': 'string'}}, 'required': ['query'], 'title': 'search_ticketsArguments', 'type': 'object'}, description="""Search for tickets in Freshdesk."""), # effytech/Freshdesk MCP server/search_tickets
    Tool(name="""Freshdesk MCP server_get_ticket_conversation""", inputSchema={'properties': {'ticket_id': {'title': 'Ticket Id', 'type': 'integer'}}, 'required': ['ticket_id'], 'title': 'get_ticket_conversationArguments', 'type': 'object'}, description="""Get a ticket conversation in Freshdesk."""), # effytech/Freshdesk MCP server/get_ticket_conversation
    Tool(name="""Freshdesk MCP server_update_ticket_conversation""", inputSchema={'properties': {'body': {'title': 'Body', 'type': 'string'}, 'conversation_id': {'title': 'Conversation Id', 'type': 'integer'}}, 'required': ['conversation_id', 'body'], 'title': 'update_ticket_conversationArguments', 'type': 'object'}, description="""Update a conversation for a ticket in Freshdesk."""), # effytech/Freshdesk MCP server/update_ticket_conversation
    Tool(name="""Freshdesk MCP server_get_agents""", inputSchema={'properties': {'page': {'anyOf': [{'type': 'integer'}, {'type': 'null'}], 'default': 1, 'title': 'Page'}, 'per_page': {'anyOf': [{'type': 'integer'}, {'type': 'null'}], 'default': 30, 'title': 'Per Page'}}, 'title': 'get_agentsArguments', 'type': 'object'}, description="""Get all agents in Freshdesk with pagination support."""), # effytech/Freshdesk MCP server/get_agents
    Tool(name="""Freshdesk MCP server_list_contacts""", inputSchema={'properties': {'page': {'anyOf': [{'type': 'integer'}, {'type': 'null'}], 'default': 1, 'title': 'Page'}, 'per_page': {'anyOf': [{'type': 'integer'}, {'type': 'null'}], 'default': 30, 'title': 'Per Page'}}, 'title': 'list_contactsArguments', 'type': 'object'}, description="""List all contacts in Freshdesk with pagination support."""), # effytech/Freshdesk MCP server/list_contacts
    Tool(name="""Freshdesk MCP server_get_contact""", inputSchema={'properties': {'contact_id': {'title': 'Contact Id', 'type': 'integer'}}, 'required': ['contact_id'], 'title': 'get_contactArguments', 'type': 'object'}, description="""Get a contact in Freshdesk."""), # effytech/Freshdesk MCP server/get_contact
    Tool(name="""Freshdesk MCP server_search_contacts""", inputSchema={'properties': {'query': {'title': 'Query', 'type': 'string'}}, 'required': ['query'], 'title': 'search_contactsArguments', 'type': 'object'}, description="""Search for contacts in Freshdesk."""), # effytech/Freshdesk MCP server/search_contacts
    Tool(name="""Freshdesk MCP server_update_contact""", inputSchema={'properties': {'contact_fields': {'title': 'Contact Fields', 'type': 'object'}, 'contact_id': {'title': 'Contact Id', 'type': 'integer'}}, 'required': ['contact_id', 'contact_fields'], 'title': 'update_contactArguments', 'type': 'object'}, description="""Update a contact in Freshdesk."""), # effytech/Freshdesk MCP server/update_contact
    Tool(name="""Freshdesk MCP server_list_canned_responses""", inputSchema={'properties': {'folder_id': {'title': 'Folder Id', 'type': 'integer'}}, 'required': ['folder_id'], 'title': 'list_canned_responsesArguments', 'type': 'object'}, description="""List all canned responses in Freshdesk."""), # effytech/Freshdesk MCP server/list_canned_responses
    Tool(name="""Freshdesk MCP server_list_canned_response_folders""", inputSchema={'properties': {}, 'title': 'list_canned_response_foldersArguments', 'type': 'object'}, description="""List all canned response folders in Freshdesk."""), # effytech/Freshdesk MCP server/list_canned_response_folders
    Tool(name="""Freshdesk MCP server_list_solution_articles""", inputSchema={'properties': {'folder_id': {'title': 'Folder Id', 'type': 'integer'}}, 'required': ['folder_id'], 'title': 'list_solution_articlesArguments', 'type': 'object'}, description="""List all solution articles in Freshdesk."""), # effytech/Freshdesk MCP server/list_solution_articles
    Tool(name="""Freshdesk MCP server_list_solution_folders""", inputSchema={'properties': {'category_id': {'title': 'Category Id', 'type': 'integer'}}, 'required': ['category_id'], 'title': 'list_solution_foldersArguments', 'type': 'object'}, description=""""""), # effytech/Freshdesk MCP server/list_solution_folders
    Tool(name="""Freshdesk MCP server_list_solution_categories""", inputSchema={'properties': {}, 'title': 'list_solution_categoriesArguments', 'type': 'object'}, description="""List all solution categories in Freshdesk."""), # effytech/Freshdesk MCP server/list_solution_categories
    Tool(name="""Freshdesk MCP server_view_agent""", inputSchema={'properties': {'agent_id': {'title': 'Agent Id', 'type': 'integer'}}, 'required': ['agent_id'], 'title': 'view_agentArguments', 'type': 'object'}, description="""View an agent in Freshdesk."""), # effytech/Freshdesk MCP server/view_agent
    Tool(name="""Freshdesk MCP server_create_agent""", inputSchema={'properties': {'agent_fields': {'title': 'Agent Fields', 'type': 'object'}}, 'required': ['agent_fields'], 'title': 'create_agentArguments', 'type': 'object'}, description="""Create an agent in Freshdesk."""), # effytech/Freshdesk MCP server/create_agent
    Tool(name="""Freshdesk MCP server_update_agent""", inputSchema={'properties': {'agent_fields': {'title': 'Agent Fields', 'type': 'object'}, 'agent_id': {'title': 'Agent Id', 'type': 'integer'}}, 'required': ['agent_id', 'agent_fields'], 'title': 'update_agentArguments', 'type': 'object'}, description="""Update an agent in Freshdesk."""), # effytech/Freshdesk MCP server/update_agent
    Tool(name="""Freshdesk MCP server_search_agents""", inputSchema={'properties': {'query': {'title': 'Query', 'type': 'string'}}, 'required': ['query'], 'title': 'search_agentsArguments', 'type': 'object'}, description="""Search for agents in Freshdesk."""), # effytech/Freshdesk MCP server/search_agents
    Tool(name="""Scrapeless MCP Server_google-search""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'gl': {'description': "Parameter defines the country to use for the Google search. It's a two-letter country code. (e.g., us for the United States, uk for United Kingdom, or fr for France).", 'type': 'string'}, 'hl': {'description': "Parameter defines the language to use for the Google search. It's a two-letter language code. (e.g., en for English, es for Spanish, or fr for French).", 'type': 'string'}, 'query': {'description': 'Parameter defines the query you want to search. You can use anything that you would use in a regular Google search. e.g. inurl:, site:, intitle:. We also support advanced search query parameters such as as_dt and as_eq.', 'type': 'string'}}, 'required': ['query'], 'type': 'object'}, description="""Fetch Google Search Results"""), # scrapeless-ai/Scrapeless MCP Server/google-search
    Tool(name="""Omi MCP Server_read_omi_memories""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'limit': {'description': 'Maximum number of memories to return (max: 1000, default: 100)', 'type': 'number'}, 'offset': {'description': 'Number of memories to skip for pagination (default: 0)', 'type': 'number'}, 'user_id': {'description': 'The user ID to fetch memories for', 'type': 'string'}}, 'required': ['user_id'], 'type': 'object'}, description="""Retrieves user memories from Omi with pagination options"""), # fourcolors/Omi MCP Server/read_omi_memories
    Tool(name="""Omi MCP Server_create_omi_conversation""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'finished_at': {'description': 'When the conversation/event ended in ISO 8601 format. Optional.', 'type': 'string'}, 'geolocation': {'additionalProperties': False, 'description': 'Location data for the conversation. Optional object containing latitude and longitude.', 'properties': {'latitude': {'description': 'Latitude coordinate. Required when geolocation is provided.', 'type': 'number'}, 'longitude': {'description': 'Longitude coordinate. Required when geolocation is provided.', 'type': 'number'}}, 'required': ['latitude', 'longitude'], 'type': 'object'}, 'language': {'default': 'en', 'description': 'Language code (e.g., "en" for English). Optional, defaults to "en".', 'type': 'string'}, 'started_at': {'description': 'When the conversation/event started in ISO 8601 format. Optional.', 'type': 'string'}, 'text': {'description': 'The full text content of the conversation', 'type': 'string'}, 'text_source': {'description': 'Source of the text content. Required. Options: "audio_transcript", "message", "other_text".', 'enum': ['audio_transcript', 'message', 'other_text'], 'type': 'string'}, 'text_source_spec': {'description': 'Additional specification about the source. Optional.', 'type': 'string'}, 'user_id': {'description': 'The user ID to create the conversation for', 'type': 'string'}}, 'required': ['text', 'user_id', 'text_source'], 'type': 'object'}, description="""Creates a new Omi conversation with text content and metadata"""), # fourcolors/Omi MCP Server/create_omi_conversation
    Tool(name="""Omi MCP Server_create_omi_memories""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'memories': {'description': 'An array of explicit memory objects to be created directly. Either this or text must be provided.', 'items': {'additionalProperties': False, 'properties': {'content': {'description': 'The content of the memory. Required.', 'type': 'string'}, 'tags': {'description': 'Optional tags for the memory.', 'items': {'description': 'A tag for the memory.', 'type': 'string'}, 'type': 'array'}}, 'required': ['content'], 'type': 'object'}, 'type': 'array'}, 'text': {'description': 'The text content from which memories will be extracted. Either this or memories must be provided.', 'type': 'string'}, 'text_source': {'description': 'Source of the text content. Optional. Options: "email", "social_post", "other".', 'enum': ['email', 'social_post', 'other'], 'type': 'string'}, 'text_source_spec': {'description': 'Additional specification about the source. Optional.', 'type': 'string'}, 'user_id': {'description': 'The user ID to create memories for', 'type': 'string'}}, 'required': ['user_id'], 'type': 'object'}, description="""Creates Omi memories by extracting from text or using explicit memory objects"""), # fourcolors/Omi MCP Server/create_omi_memories
    Tool(name="""Omi MCP Server_read_omi_conversations""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'include_discarded': {'description': 'Whether to include discarded conversations (default: false)', 'type': 'boolean'}, 'limit': {'description': 'Maximum number of conversations to return (max: 1000, default: 100)', 'type': 'number'}, 'offset': {'description': 'Number of conversations to skip for pagination (default: 0)', 'type': 'number'}, 'statuses': {'description': 'Comma-separated list of statuses to filter conversations by', 'type': 'string'}, 'user_id': {'description': 'The user ID to fetch conversations for', 'type': 'string'}}, 'required': ['user_id'], 'type': 'object'}, description="""Retrieves user conversations from Omi with pagination and filtering options"""), # fourcolors/Omi MCP Server/read_omi_conversations
    Tool(name="""FFmpeg MCP Server_speed_up""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'input_file': {'description': 'Path to input file', 'type': 'string'}, 'max_fps': {'default': 30, 'description': 'Max FPS for the output file', 'maximum': 60, 'minimum': 1, 'type': 'number'}, 'output_file': {'description': 'Path to output file, output to the same directory if not specified', 'type': 'string'}, 'speed_factor': {'default': 2, 'description': 'Speed factor for the output file, default to 2x sped up', 'maximum': 10, 'minimum': 0.1, 'type': 'number'}}, 'required': ['input_file'], 'type': 'object'}, description="""Speed up a video"""), # ZizoTheDev/FFmpeg MCP Server/speed_up
    Tool(name="""FFmpeg MCP Server_extract_audio""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'input_file': {'description': 'Path to input file', 'type': 'string'}, 'output_file': {'description': 'Path to output file, output to the same directory if not specified', 'type': 'string'}}, 'required': ['input_file'], 'type': 'object'}, description="""Extract audio as mp3 from a video"""), # ZizoTheDev/FFmpeg MCP Server/extract_audio
    Tool(name="""mcp-image-compression_image_compression""", inputSchema={'properties': {'format': {'description': 'Image format', 'type': 'string'}, 'quantity': {'default': 80, 'description': 'Number of transcripts to return', 'type': 'number'}, 'urls': {'description': "URL of the image to compress,If it's a local file, do not add any prefix.", 'type': 'string[]'}}, 'required': ['urls'], 'type': 'object'}, description="""Compress an image"""), # InhiblabCore/mcp-image-compression/image_compression
    Tool(name="""AgentMail_getMessage""", inputSchema={'properties': {'inbox_id': {'title': 'Inbox Id', 'type': 'string'}, 'message_id': {'title': 'Message Id', 'type': 'string'}}, 'required': ['inbox_id', 'message_id'], 'title': 'getMessageArguments', 'type': 'object'}, description="""Get message by ID"""), # agentmail-to/AgentMail/getMessage
    Tool(name="""AgentMail_listInboxes""", inputSchema={'properties': {'limit': {'anyOf': [{'type': 'integer'}, {'type': 'null'}], 'default': None, 'title': 'Limit'}, 'offset': {'anyOf': [{'type': 'integer'}, {'type': 'null'}], 'default': None, 'title': 'Offset'}}, 'title': 'listInboxesArguments', 'type': 'object'}, description="""List all inboxes"""), # agentmail-to/AgentMail/listInboxes
    Tool(name="""AgentMail_getInbox""", inputSchema={'properties': {'inbox_id': {'title': 'Inbox Id', 'type': 'string'}}, 'required': ['inbox_id'], 'title': 'getInboxArguments', 'type': 'object'}, description="""Get inbox by ID"""), # agentmail-to/AgentMail/getInbox
    Tool(name="""AgentMail_createInbox""", inputSchema={'properties': {'display_name': {'anyOf': [{'type': 'string'}, {'type': 'null'}], 'default': None, 'title': 'Display Name'}, 'domain': {'anyOf': [{'type': 'string'}, {'type': 'null'}], 'default': None, 'title': 'Domain'}, 'username': {'anyOf': [{'type': 'string'}, {'type': 'null'}], 'default': None, 'title': 'Username'}}, 'title': 'createInboxArguments', 'type': 'object'}, description="""Create a new inbox"""), # agentmail-to/AgentMail/createInbox
    Tool(name="""AgentMail_listThreads""", inputSchema={'properties': {'inbox_id': {'title': 'Inbox Id', 'type': 'string'}, 'limit': {'anyOf': [{'type': 'integer'}, {'type': 'null'}], 'default': None, 'title': 'Limit'}, 'offset': {'anyOf': [{'type': 'integer'}, {'type': 'null'}], 'default': None, 'title': 'Offset'}}, 'required': ['inbox_id'], 'title': 'listThreadsArguments', 'type': 'object'}, description="""List threads by inbox ID"""), # agentmail-to/AgentMail/listThreads
    Tool(name="""AgentMail_getThread""", inputSchema={'properties': {'inbox_id': {'title': 'Inbox Id', 'type': 'string'}, 'thread_id': {'title': 'Thread Id', 'type': 'string'}}, 'required': ['inbox_id', 'thread_id'], 'title': 'getThreadArguments', 'type': 'object'}, description="""Get thread by ID"""), # agentmail-to/AgentMail/getThread
    Tool(name="""AgentMail_listMessages""", inputSchema={'properties': {'inbox_id': {'title': 'Inbox Id', 'type': 'string'}, 'limit': {'anyOf': [{'type': 'integer'}, {'type': 'null'}], 'default': None, 'title': 'Limit'}, 'offset': {'anyOf': [{'type': 'integer'}, {'type': 'null'}], 'default': None, 'title': 'Offset'}}, 'required': ['inbox_id'], 'title': 'listMessagesArguments', 'type': 'object'}, description="""List messages"""), # agentmail-to/AgentMail/listMessages
    Tool(name="""AgentMail_getAttachment""", inputSchema={'properties': {'attachment_id': {'title': 'Attachment Id', 'type': 'string'}, 'inbox_id': {'title': 'Inbox Id', 'type': 'string'}, 'message_id': {'title': 'Message Id', 'type': 'string'}}, 'required': ['inbox_id', 'message_id', 'attachment_id'], 'title': 'getAttachmentArguments', 'type': 'object'}, description="""Get attachment by ID"""), # agentmail-to/AgentMail/getAttachment
    Tool(name="""AgentMail_sendMessage""", inputSchema={'properties': {'bcc': {'anyOf': [{'items': {'type': 'string'}, 'type': 'array'}, {'type': 'null'}], 'default': None, 'title': 'Bcc'}, 'cc': {'anyOf': [{'items': {'type': 'string'}, 'type': 'array'}, {'type': 'null'}], 'default': None, 'title': 'Cc'}, 'html': {'anyOf': [{'type': 'string'}, {'type': 'null'}], 'default': None, 'title': 'Html'}, 'inbox_id': {'title': 'Inbox Id', 'type': 'string'}, 'subject': {'title': 'Subject', 'type': 'string'}, 'text': {'title': 'Text', 'type': 'string'}, 'to': {'items': {'type': 'string'}, 'title': 'To', 'type': 'array'}}, 'required': ['inbox_id', 'to', 'subject', 'text'], 'title': 'sendMessageArguments', 'type': 'object'}, description="""Send a message"""), # agentmail-to/AgentMail/sendMessage
    Tool(name="""AgentMail_replyToMessage""", inputSchema={'properties': {'html': {'anyOf': [{'type': 'string'}, {'type': 'null'}], 'default': None, 'title': 'Html'}, 'inbox_id': {'title': 'Inbox Id', 'type': 'string'}, 'include_quoted_reply': {'anyOf': [{'type': 'boolean'}, {'type': 'null'}], 'default': None, 'title': 'Include Quoted Reply'}, 'message_id': {'title': 'Message Id', 'type': 'string'}, 'text': {'title': 'Text', 'type': 'string'}}, 'required': ['inbox_id', 'message_id', 'text'], 'title': 'replyToMessageArguments', 'type': 'object'}, description="""Reply to a message"""), # agentmail-to/AgentMail/replyToMessage
    Tool(name="""Kali Linux MCP Server_execute_command""", inputSchema={'properties': {'command': {'description': 'Kali Linux', 'type': 'string'}}, 'required': ['command'], 'type': 'object'}, description="""(ping 127.0.0.1)Kali LinuxKali LinuxLinux"""), # sfz009900/Kali Linux MCP Server/execute_command
    Tool(name="""Kali Linux MCP Server_start_interactive_command""", inputSchema={'properties': {'command': {'description': 'Kali Linux', 'type': 'string'}}, 'required': ['command'], 'type': 'object'}, description="""(mysql -u root -p)Kali LinuxID,close_interactive_commandexecute_command"""), # sfz009900/Kali Linux MCP Server/start_interactive_command
    Tool(name="""Kali Linux MCP Server_send_input_to_command""", inputSchema={'properties': {'end_line': {'description': 'true', 'type': 'boolean'}, 'input': {'description': '', 'type': 'string'}, 'session_id': {'description': 'ID', 'type': 'string'}}, 'required': ['session_id', 'input'], 'type': 'object'}, description="""(AI)"""), # sfz009900/Kali Linux MCP Server/send_input_to_command
    Tool(name="""Kali Linux MCP Server_get_command_output""", inputSchema={'properties': {'session_id': {'description': 'ID', 'type': 'string'}}, 'required': ['session_id'], 'type': 'object'}, description=""""""), # sfz009900/Kali Linux MCP Server/get_command_output
    Tool(name="""Kali Linux MCP Server_close_interactive_command""", inputSchema={'properties': {'session_id': {'description': 'ID', 'type': 'string'}}, 'required': ['session_id'], 'type': 'object'}, description=""""""), # sfz009900/Kali Linux MCP Server/close_interactive_command
    Tool(name="""Lara Translate MCP Server_translate""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'context': {'description': "Additional context string to improve translation quality (e.g., 'This is a legal document' or 'Im talking with a doctor'). This helps the translation system better understand the domain.", 'type': 'string'}, 'instructions': {'description': "A list of instructions to adjust the networks behavior regarding the output (e.g., 'Use a formal tone').", 'items': {'type': 'string'}, 'type': 'array'}, 'source': {'description': "The source language code (e.g., 'en-EN' for English). If not specified, the system will attempt to detect it automatically. If you have a hint about the source language, you should specify it in the source_hint field.", 'type': 'string'}, 'source_hint': {'description': 'Used to guide language detection. Specify this when the source language is uncertain to improve detection accuracy.', 'type': 'string'}, 'target': {'description': "The target language code (e.g., 'it-IT' for Italian). This specifies the language you want the text translated into.", 'type': 'string'}, 'text': {'description': 'An array of text blocks to translate. Each block contains a text string and a boolean indicating whether it should be translated. This allows for selective translation where some text blocks can be preserved in their original form while others are translated.', 'items': {'additionalProperties': False, 'properties': {'text': {'type': 'string'}, 'translatable': {'type': 'boolean'}}, 'required': ['text', 'translatable'], 'type': 'object'}, 'type': 'array'}}, 'required': ['text', 'target'], 'type': 'object'}, description="""Translate text between languages with support for language detection and context-aware translations."""), # translated/Lara Translate MCP Server/translate
    Tool(name="""YouTube MCP Server_search-videos""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'channelId': {'type': 'string'}, 'maxResults': {'maximum': 50, 'minimum': 1, 'type': 'number'}, 'order': {'enum': ['date', 'rating', 'relevance', 'title', 'videoCount', 'viewCount'], 'type': 'string'}, 'publishedAfter': {'pattern': '^\\d{4}-\\d{2}-\\d{2}T\\d{2}:\\d{2}:\\d{2}Z$', 'type': 'string'}, 'publishedBefore': {'pattern': '^\\d{4}-\\d{2}-\\d{2}T\\d{2}:\\d{2}:\\d{2}Z$', 'type': 'string'}, 'query': {'minLength': 1, 'type': 'string'}, 'regionCode': {'maxLength': 2, 'minLength': 2, 'type': 'string'}, 'type': {'enum': ['video', 'channel', 'playlist'], 'type': 'string'}, 'videoCaption': {'enum': ['any', 'closedCaption', 'none'], 'type': 'string'}, 'videoDefinition': {'enum': ['any', 'high', 'standard'], 'type': 'string'}, 'videoDuration': {'enum': ['any', 'short', 'medium', 'long'], 'type': 'string'}}, 'required': ['query'], 'type': 'object'}, description="""Search for YouTube videos with advanced filtering options. Supports parameters: - query: Search term (required) - maxResults: Number of results to return (1-50) - channelId: Filter by specific channel - order: Sort by date, rating, viewCount, relevance, title - type: Filter by resource type (video, channel, playlist) - videoDuration: Filter by length (short: <4min, medium: 4-20min, long: >20min) - publishedAfter/publishedBefore: Filter by publish date (ISO format) - videoCaption: Filter by caption availability - videoDefinition: Filter by quality (standard/high) - regionCode: Filter by country (ISO country code)"""), # coyaSONG/YouTube MCP Server/search-videos
    Tool(name="""YouTube MCP Server_get-video-comments""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'maxResults': {'maximum': 100, 'minimum': 1, 'type': 'number'}, 'videoId': {'minLength': 1, 'type': 'string'}}, 'required': ['videoId'], 'type': 'object'}, description="""Retrieve comments for a specific YouTube video"""), # coyaSONG/YouTube MCP Server/get-video-comments
    Tool(name="""YouTube MCP Server_get-video-transcript""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'language': {'type': 'string'}, 'videoId': {'minLength': 1, 'type': 'string'}}, 'required': ['videoId'], 'type': 'object'}, description="""Get the transcript/captions for a YouTube video with optional language selection. This tool retrieves the full transcript of a video with timestamped captions. Each caption includes the text and its timestamp in the video. Parameters: videoId (required) - The YouTube video ID; language (optional) - Language code for the transcript (e.g., \"en\", \"ko\", \"ja\"). If not specified, the default language for the video will be used. Returns a text with each caption line preceded by its timestamp."""), # coyaSONG/YouTube MCP Server/get-video-transcript
    Tool(name="""YouTube MCP Server_get-video-stats""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'videoId': {'minLength': 1, 'type': 'string'}}, 'required': ['videoId'], 'type': 'object'}, description="""Get statistical information for a specific YouTube video (views, likes, comments, upload date, etc.)"""), # coyaSONG/YouTube MCP Server/get-video-stats
    Tool(name="""YouTube MCP Server_get-channel-stats""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'channelId': {'minLength': 1, 'type': 'string'}}, 'required': ['channelId'], 'type': 'object'}, description="""Get statistical information for a specific YouTube channel (subscriber count, total views, video count, etc.)"""), # coyaSONG/YouTube MCP Server/get-channel-stats
    Tool(name="""YouTube MCP Server_compare-videos""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'videoIds': {'items': {'type': 'string'}, 'maxItems': 10, 'minItems': 2, 'type': 'array'}}, 'required': ['videoIds'], 'type': 'object'}, description="""Compare statistics for multiple YouTube videos"""), # coyaSONG/YouTube MCP Server/compare-videos
    Tool(name="""YouTube MCP Server_get-trending-videos""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'categoryId': {'type': 'string'}, 'maxResults': {'maximum': 50, 'minimum': 1, 'type': 'number'}, 'regionCode': {'maxLength': 2, 'minLength': 2, 'type': 'string'}}, 'type': 'object'}, description="""Retrieve trending videos by region and category. This helps analyze current popular content trends."""), # coyaSONG/YouTube MCP Server/get-trending-videos
    Tool(name="""YouTube MCP Server_get-video-categories""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'regionCode': {'maxLength': 2, 'minLength': 2, 'type': 'string'}}, 'type': 'object'}, description="""Retrieve available video categories for a specific region"""), # coyaSONG/YouTube MCP Server/get-video-categories
    Tool(name="""YouTube MCP Server_analyze-channel-videos""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'channelId': {'minLength': 1, 'type': 'string'}, 'maxResults': {'maximum': 50, 'minimum': 1, 'type': 'number'}, 'sortBy': {'enum': ['date', 'viewCount', 'rating'], 'type': 'string'}}, 'required': ['channelId'], 'type': 'object'}, description="""Analyze recent videos from a specific channel to identify performance trends"""), # coyaSONG/YouTube MCP Server/analyze-channel-videos
    Tool(name="""YouTube MCP Server_enhanced-transcript""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'filters': {'additionalProperties': False, 'properties': {'search': {'additionalProperties': False, 'properties': {'caseSensitive': {'type': 'boolean'}, 'contextLines': {'maximum': 5, 'minimum': 0, 'type': 'number'}, 'query': {'minLength': 1, 'type': 'string'}}, 'required': ['query'], 'type': 'object'}, 'segment': {'additionalProperties': False, 'properties': {'count': {'maximum': 10, 'minimum': 1, 'type': 'number'}, 'method': {'enum': ['equal', 'smart'], 'type': 'string'}}, 'type': 'object'}, 'timeRange': {'additionalProperties': False, 'properties': {'end': {'minimum': 0, 'type': 'number'}, 'start': {'minimum': 0, 'type': 'number'}}, 'type': 'object'}}, 'type': 'object'}, 'format': {'enum': ['raw', 'timestamped', 'merged'], 'type': 'string'}, 'includeMetadata': {'type': 'boolean'}, 'language': {'type': 'string'}, 'videoIds': {'items': {'type': 'string'}, 'maxItems': 5, 'minItems': 1, 'type': 'array'}}, 'required': ['videoIds'], 'type': 'object'}, description="""Advanced transcript extraction tool with filtering, search, and multi-video capabilities. Provides rich transcript data for detailed analysis and processing. This tool offers multiple advanced features: 1) Extract transcripts from multiple videos in one request; 2) Filter by time ranges to focus on specific parts; 3) Search for specific content within transcripts; 4) Segment transcripts for structural analysis; 5) Format output in different ways (raw, timestamped, merged text); 6) Include video metadata. Parameters: videoIds (required) - Array of YouTube video IDs (up to 5); language (optional) - Language code; format (optional) - Output format (\"raw\", \"timestamped\", \"merged\"); includeMetadata (optional) - Whether to include video details; filters (optional) - Complex filtering options including timeRange, search, and segment."""), # coyaSONG/YouTube MCP Server/enhanced-transcript
    Tool(name="""YouTube MCP Server_get-key-moments""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'maxMoments': {'type': 'string'}, 'videoId': {'minLength': 1, 'type': 'string'}}, 'required': ['videoId'], 'type': 'object'}, description="""Extract key moments with timestamps from a video transcript for easier navigation and summarization. This tool analyzes the video transcript to identify important segments based on content density and creates a structured output with timestamped key moments. Useful for quickly navigating to important parts of longer videos. Parameters: videoId (required) - The YouTube video ID; maxMoments (optional) - Number of key moments to extract (default: 5, max: 10). Returns a formatted text with key moments and their timestamps, plus the full transcript."""), # coyaSONG/YouTube MCP Server/get-key-moments
    Tool(name="""YouTube MCP Server_get-segmented-transcript""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'segmentCount': {'type': 'string'}, 'videoId': {'minLength': 1, 'type': 'string'}}, 'required': ['videoId'], 'type': 'object'}, description="""Divide a video transcript into segments for easier analysis and navigation. This tool splits the video into equal time segments and extracts the transcript for each segment with proper timestamps. Ideal for analyzing the structure of longer videos or when you need to focus on specific parts of the content. Parameters: videoId (required) - The YouTube video ID; segmentCount (optional) - Number of segments to divide the video into (default: 4, max: 10). Returns a markdown-formatted text with each segment clearly labeled with time ranges and containing the relevant transcript text."""), # coyaSONG/YouTube MCP Server/get-segmented-transcript
    Tool(name="""https://github.com/jkingsman/qanon-mcp-server_get_post_by_id_tool""", inputSchema={'properties': {'post_id': {'title': 'Post Id', 'type': 'integer'}}, 'required': ['post_id'], 'title': 'get_post_by_id_toolArguments', 'type': 'object'}, description="""\n    Retrieve a specific post by its ID.\n\n    Args:\n        post_id: The ID of the post to retrieve\n    """), # jkingsman/https://github.com/jkingsman/qanon-mcp-server/get_post_by_id_tool
    Tool(name="""https://github.com/jkingsman/qanon-mcp-server_search_posts""", inputSchema={'properties': {'limit': {'default': 10, 'title': 'Limit', 'type': 'integer'}, 'query': {'title': 'Query', 'type': 'string'}}, 'required': ['query'], 'title': 'search_postsArguments', 'type': 'object'}, description="""\n    Search for posts/drops containing a specific keyword or phrase.\n\n    Args:\n        query: The keyword or phrase to search for\n        limit: Maximum number of results to return (default: 10)\n    """), # jkingsman/https://github.com/jkingsman/qanon-mcp-server/search_posts
    Tool(name="""https://github.com/jkingsman/qanon-mcp-server_get_posts_by_date""", inputSchema={'properties': {'end_date': {'default': None, 'title': 'End Date', 'type': 'string'}, 'limit': {'default': 10, 'title': 'Limit', 'type': 'integer'}, 'start_date': {'title': 'Start Date', 'type': 'string'}}, 'required': ['start_date'], 'title': 'get_posts_by_dateArguments', 'type': 'object'}, description="""\n    Get posts/drops within a specific date range.\n\n    Args:\n        start_date: Start date in YYYY-MM-DD format\n        end_date: End date in YYYY-MM-DD format (defaults to start_date if not provided)\n        limit: Maximum number of results to return (default: 10)\n    """), # jkingsman/https://github.com/jkingsman/qanon-mcp-server/get_posts_by_date
    Tool(name="""https://github.com/jkingsman/qanon-mcp-server_get_posts_by_author_id""", inputSchema={'properties': {'author_id': {'title': 'Author Id', 'type': 'string'}, 'limit': {'default': 10, 'title': 'Limit', 'type': 'integer'}}, 'required': ['author_id'], 'title': 'get_posts_by_author_idArguments', 'type': 'object'}, description="""\n    Get posts/drops by a specific author ID.\n\n    Args:\n        author_id: The author ID to search for\n        limit: Maximum number of results to return (default: 10)\n    """), # jkingsman/https://github.com/jkingsman/qanon-mcp-server/get_posts_by_author_id
    Tool(name="""https://github.com/jkingsman/qanon-mcp-server_analyze_post""", inputSchema={'properties': {'post_id': {'title': 'Post Id', 'type': 'integer'}}, 'required': ['post_id'], 'title': 'analyze_postArguments', 'type': 'object'}, description="""\n    Get detailed analysis of a specific post/drop including references and context.\n\n    Args:\n        post_id: The ID of the post to analyze\n    """), # jkingsman/https://github.com/jkingsman/qanon-mcp-server/analyze_post
    Tool(name="""https://github.com/jkingsman/qanon-mcp-server_get_timeline_summary""", inputSchema={'properties': {'end_date': {'default': None, 'title': 'End Date', 'type': 'string'}, 'start_date': {'default': None, 'title': 'Start Date', 'type': 'string'}}, 'title': 'get_timeline_summaryArguments', 'type': 'object'}, description="""\n    Get a timeline summary of posts/drops, optionally within a date range.\n\n    Args:\n        start_date: Optional start date in YYYY-MM-DD format\n        end_date: Optional end date in YYYY-MM-DD format\n    """), # jkingsman/https://github.com/jkingsman/qanon-mcp-server/get_timeline_summary
    Tool(name="""https://github.com/jkingsman/qanon-mcp-server_word_cloud_by_post_ids""", inputSchema={'properties': {'end_id': {'title': 'End Id', 'type': 'integer'}, 'max_words': {'default': 100, 'title': 'Max Words', 'type': 'integer'}, 'min_word_length': {'default': 3, 'title': 'Min Word Length', 'type': 'integer'}, 'start_id': {'title': 'Start Id', 'type': 'integer'}}, 'required': ['start_id', 'end_id'], 'title': 'word_cloud_by_post_idsArguments', 'type': 'object'}, description="""\n    Generate a word cloud analysis showing the most common words used in posts within a specified ID range.\n\n    Args:\n        start_id: Starting post ID\n        end_id: Ending post ID\n        min_word_length: Minimum length of words to include (default: 3)\n        max_words: Maximum number of words to return (default: 100)\n    """), # jkingsman/https://github.com/jkingsman/qanon-mcp-server/word_cloud_by_post_ids
    Tool(name="""https://github.com/jkingsman/qanon-mcp-server_word_cloud_by_date_range""", inputSchema={'properties': {'end_date': {'title': 'End Date', 'type': 'string'}, 'max_words': {'default': 100, 'title': 'Max Words', 'type': 'integer'}, 'min_word_length': {'default': 3, 'title': 'Min Word Length', 'type': 'integer'}, 'start_date': {'title': 'Start Date', 'type': 'string'}}, 'required': ['start_date', 'end_date'], 'title': 'word_cloud_by_date_rangeArguments', 'type': 'object'}, description="""\n    Generate a word cloud analysis showing the most common words used in posts within a specified date range.\n\n    Args:\n        start_date: Start date in YYYY-MM-DD format\n        end_date: End date in YYYY-MM-DD format\n        min_word_length: Minimum length of words to include (default: 3)\n        max_words: Maximum number of words to return (default: 100)\n    """), # jkingsman/https://github.com/jkingsman/qanon-mcp-server/word_cloud_by_date_range
    Tool(name="""Marvel MCP_get_characters""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'comics': {'type': 'string'}, 'events': {'type': 'string'}, 'limit': {'maximum': 100, 'minimum': 1, 'type': 'number'}, 'modifiedSince': {'type': 'string'}, 'name': {'type': 'string'}, 'nameStartsWith': {'type': 'string'}, 'offset': {'type': 'number'}, 'orderBy': {'type': 'string'}, 'series': {'type': 'string'}, 'stories': {'type': 'string'}}, 'type': 'object'}, description="""Fetch Marvel characters with optional filters"""), # DanWahlin/Marvel MCP/get_characters
    Tool(name="""Marvel MCP_get_character_by_id""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'characterId': {'type': 'number'}}, 'required': ['characterId'], 'type': 'object'}, description="""Fetch a Marvel character by ID"""), # DanWahlin/Marvel MCP/get_character_by_id
    Tool(name="""Marvel MCP_get_comics_for_character""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'characterId': {'type': 'number'}, 'collaborators': {'type': 'string'}, 'creators': {'type': 'string'}, 'dateDescriptor': {'type': 'string'}, 'dateRange': {'type': 'string'}, 'diamondCode': {'type': 'string'}, 'digitalId': {'type': 'number'}, 'ean': {'type': 'string'}, 'events': {'type': 'string'}, 'format': {'type': 'string'}, 'formatType': {'type': 'string'}, 'hasDigitalIssue': {'type': 'boolean'}, 'isbn': {'type': 'string'}, 'issn': {'type': 'string'}, 'issueNumber': {'type': 'number'}, 'limit': {'maximum': 100, 'minimum': 1, 'type': 'number'}, 'modifiedSince': {'type': 'string'}, 'noVariants': {'type': 'boolean'}, 'offset': {'type': 'number'}, 'orderBy': {'type': 'string'}, 'series': {'type': 'string'}, 'sharedAppearances': {'type': 'string'}, 'startYear': {'type': 'number'}, 'stories': {'type': 'string'}, 'title': {'type': 'string'}, 'titleStartsWith': {'type': 'string'}, 'upc': {'type': 'string'}}, 'required': ['characterId'], 'type': 'object'}, description="""Fetch Marvel comics filtered by character ID and optional filters"""), # DanWahlin/Marvel MCP/get_comics_for_character
    Tool(name="""Marvel MCP_get_comics""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'characters': {'type': 'string'}, 'collaborators': {'type': 'string'}, 'creators': {'type': 'string'}, 'dateDescriptor': {'type': 'string'}, 'dateRange': {'type': 'string'}, 'diamondCode': {'type': 'string'}, 'digitalId': {'type': 'number'}, 'ean': {'type': 'string'}, 'events': {'type': 'string'}, 'format': {'type': 'string'}, 'formatType': {'type': 'string'}, 'hasDigitalIssue': {'type': 'boolean'}, 'isbn': {'type': 'string'}, 'issn': {'type': 'string'}, 'issueNumber': {'type': 'number'}, 'limit': {'maximum': 100, 'minimum': 1, 'type': 'number'}, 'modifiedSince': {'type': 'string'}, 'noVariants': {'type': 'boolean'}, 'offset': {'type': 'number'}, 'orderBy': {'type': 'string'}, 'series': {'type': 'string'}, 'sharedAppearances': {'type': 'string'}, 'startYear': {'type': 'number'}, 'stories': {'type': 'string'}, 'title': {'type': 'string'}, 'titleStartsWith': {'type': 'string'}, 'upc': {'type': 'string'}}, 'type': 'object'}, description="""Fetches lists of Marvel comics with optional filters"""), # DanWahlin/Marvel MCP/get_comics
    Tool(name="""Marvel MCP_get_comic_by_id""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'comicId': {'type': 'number'}}, 'required': ['comicId'], 'type': 'object'}, description="""Fetch a single Marvel comic by ID"""), # DanWahlin/Marvel MCP/get_comic_by_id
    Tool(name="""Marvel MCP_get_characters_for_comic""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'comicId': {'type': 'number'}, 'events': {'type': 'string'}, 'limit': {'maximum': 100, 'minimum': 1, 'type': 'number'}, 'modifiedSince': {'type': 'string'}, 'name': {'type': 'string'}, 'nameStartsWith': {'type': 'string'}, 'offset': {'type': 'number'}, 'orderBy': {'type': 'string'}, 'series': {'type': 'string'}, 'stories': {'type': 'string'}}, 'required': ['comicId'], 'type': 'object'}, description="""Fetch Marvel characters for a given comic"""), # DanWahlin/Marvel MCP/get_characters_for_comic
    Tool(name="""Marvel MCP_generate_comics_html""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'characters': {'type': 'string'}, 'collaborators': {'type': 'string'}, 'creators': {'type': 'string'}, 'dateDescriptor': {'type': 'string'}, 'dateRange': {'type': 'string'}, 'diamondCode': {'type': 'string'}, 'digitalId': {'type': 'number'}, 'ean': {'type': 'string'}, 'events': {'type': 'string'}, 'format': {'type': 'string'}, 'formatType': {'type': 'string'}, 'hasDigitalIssue': {'type': 'boolean'}, 'isbn': {'type': 'string'}, 'issn': {'type': 'string'}, 'issueNumber': {'type': 'number'}, 'limit': {'default': 20, 'description': 'Limit results (max 100)', 'type': 'number'}, 'modifiedSince': {'type': 'string'}, 'noVariants': {'type': 'boolean'}, 'offset': {'type': 'number'}, 'orderBy': {'type': 'string'}, 'series': {'type': 'string'}, 'sharedAppearances': {'type': 'string'}, 'startYear': {'type': 'number'}, 'stories': {'type': 'string'}, 'title': {'description': 'Custom title for the HTML page', 'type': 'string'}, 'titleStartsWith': {'type': 'string'}, 'upc': {'type': 'string'}}, 'type': 'object'}, description="""Create an HTML page displaying Marvel comics with their images"""), # DanWahlin/Marvel MCP/generate_comics_html
    Tool(name="""mcp-sqlalchemy_podbc_get_schemas""", inputSchema={'properties': {'url': {'anyOf': [{'type': 'string'}, {'type': 'null'}], 'default': None, 'title': 'Url'}}, 'title': 'podbc_get_schemasArguments', 'type': 'object'}, description="""Retrieve and return a list of all schema names from the connected database."""), # OpenLinkSoftware/mcp-sqlalchemy/podbc_get_schemas
    Tool(name="""mcp-sqlalchemy_podbc_get_tables""", inputSchema={'properties': {'Schema': {'anyOf': [{'type': 'string'}, {'type': 'null'}], 'default': None, 'title': 'Schema'}, 'url': {'anyOf': [{'type': 'string'}, {'type': 'null'}], 'default': None, 'title': 'Url'}}, 'title': 'podbc_get_tablesArguments', 'type': 'object'}, description="""Retrieve and return a list containing information about tables in specified schema, if empty uses connection default"""), # OpenLinkSoftware/mcp-sqlalchemy/podbc_get_tables
    Tool(name="""mcp-sqlalchemy_podbc_describe_table""", inputSchema={'properties': {'Schema': {'title': 'Schema', 'type': 'string'}, 'table': {'title': 'Table', 'type': 'string'}, 'url': {'anyOf': [{'type': 'string'}, {'type': 'null'}], 'default': None, 'title': 'Url'}}, 'required': ['Schema', 'table'], 'title': 'podbc_describe_tableArguments', 'type': 'object'}, description="""Retrieve and return a dictionary containing the definition of a table, including column names, data types, nullable, autoincrement, primary key, and foreign keys."""), # OpenLinkSoftware/mcp-sqlalchemy/podbc_describe_table
    Tool(name="""mcp-sqlalchemy_podbc_filter_table_names""", inputSchema={'properties': {'q': {'title': 'Q', 'type': 'string'}, 'url': {'anyOf': [{'type': 'string'}, {'type': 'null'}], 'default': None, 'title': 'Url'}}, 'required': ['q'], 'title': 'podbc_filter_table_namesArguments', 'type': 'object'}, description="""Retrieve and return a list containing information about tables whose names contain the substring 'q' in the format [{'schema': 'schema_name', 'table': 'table_name'}, {'schema': 'schema_name', 'table': 'table_name'}]."""), # OpenLinkSoftware/mcp-sqlalchemy/podbc_filter_table_names
    Tool(name="""mcp-sqlalchemy_podbc_execute_query""", inputSchema={'properties': {'max_rows': {'default': 100, 'title': 'Max Rows', 'type': 'integer'}, 'params': {'anyOf': [{'additionalProperties': True, 'type': 'object'}, {'type': 'null'}], 'default': None, 'title': 'Params'}, 'query': {'title': 'Query', 'type': 'string'}, 'url': {'anyOf': [{'type': 'string'}, {'type': 'null'}], 'default': None, 'title': 'Url'}}, 'required': ['query'], 'title': 'podbc_execute_queryArguments', 'type': 'object'}, description="""Execute a SQL query and return results in JSONL format."""), # OpenLinkSoftware/mcp-sqlalchemy/podbc_execute_query
    Tool(name="""mcp-sqlalchemy_podbc_execute_query_md""", inputSchema={'properties': {'max_rows': {'default': 100, 'title': 'Max Rows', 'type': 'integer'}, 'params': {'anyOf': [{'additionalProperties': True, 'type': 'object'}, {'type': 'null'}], 'default': None, 'title': 'Params'}, 'query': {'title': 'Query', 'type': 'string'}, 'url': {'anyOf': [{'type': 'string'}, {'type': 'null'}], 'default': None, 'title': 'Url'}}, 'required': ['query'], 'title': 'podbc_execute_query_mdArguments', 'type': 'object'}, description="""Execute a SQL query and return results in Markdown table format."""), # OpenLinkSoftware/mcp-sqlalchemy/podbc_execute_query_md
    Tool(name="""mcp-sqlalchemy_podbc_query_database""", inputSchema={'properties': {'query': {'title': 'Query', 'type': 'string'}, 'url': {'anyOf': [{'type': 'string'}, {'type': 'null'}], 'default': None, 'title': 'Url'}}, 'required': ['query'], 'title': 'podbc_query_databaseArguments', 'type': 'object'}, description="""Execute a SQL query and return results in JSONL format."""), # OpenLinkSoftware/mcp-sqlalchemy/podbc_query_database
    Tool(name="""mcp-sqlalchemy_podbc_spasql_query""", inputSchema={'properties': {'max_rows': {'anyOf': [{'type': 'integer'}, {'type': 'null'}], 'default': 20, 'title': 'Max Rows'}, 'query': {'title': 'Query', 'type': 'string'}, 'timeout': {'anyOf': [{'type': 'integer'}, {'type': 'null'}], 'default': 300000, 'title': 'Timeout'}, 'url': {'anyOf': [{'type': 'string'}, {'type': 'null'}], 'default': None, 'title': 'Url'}}, 'required': ['query'], 'title': 'podbc_spasql_queryArguments', 'type': 'object'}, description="""Execute a SPASQL query and return results."""), # OpenLinkSoftware/mcp-sqlalchemy/podbc_spasql_query
    Tool(name="""mcp-sqlalchemy_podbc_sparql_query""", inputSchema={'properties': {'format': {'anyOf': [{'type': 'string'}, {'type': 'null'}], 'default': 'json', 'title': 'Format'}, 'query': {'title': 'Query', 'type': 'string'}, 'timeout': {'anyOf': [{'type': 'integer'}, {'type': 'null'}], 'default': 300000, 'title': 'Timeout'}, 'url': {'anyOf': [{'type': 'string'}, {'type': 'null'}], 'default': None, 'title': 'Url'}}, 'required': ['query'], 'title': 'podbc_sparql_queryArguments', 'type': 'object'}, description="""Execute a SPARQL query and return results."""), # OpenLinkSoftware/mcp-sqlalchemy/podbc_sparql_query
    Tool(name="""mcp-sqlalchemy_podbc_virtuoso_support_ai""", inputSchema={'properties': {'api_key': {'anyOf': [{'type': 'string'}, {'type': 'null'}], 'default': None, 'title': 'Api Key'}, 'prompt': {'title': 'Prompt', 'type': 'string'}, 'url': {'anyOf': [{'type': 'string'}, {'type': 'null'}], 'default': None, 'title': 'Url'}}, 'required': ['prompt'], 'title': 'podbc_virtuoso_support_aiArguments', 'type': 'object'}, description="""Tool to use the Virtuoso AI support function"""), # OpenLinkSoftware/mcp-sqlalchemy/podbc_virtuoso_support_ai
    Tool(name="""mcp-sqlalchemy_podbc_sparql_func""", inputSchema={'properties': {'api_key': {'anyOf': [{'type': 'string'}, {'type': 'null'}], 'default': None, 'title': 'Api Key'}, 'prompt': {'title': 'Prompt', 'type': 'string'}, 'url': {'anyOf': [{'type': 'string'}, {'type': 'null'}], 'default': None, 'title': 'Url'}}, 'required': ['prompt'], 'title': 'podbc_sparql_funcArguments', 'type': 'object'}, description="""Call ???."""), # OpenLinkSoftware/mcp-sqlalchemy/podbc_sparql_func
    Tool(name="""Windows Command Line MCP Server_list_running_processes""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'filter': {'description': 'Optional filter string to match against process names', 'type': 'string'}}, 'type': 'object'}, description="""List all running processes on the system. Can be filtered by providing an optional filter string that will match against process names."""), # alxspiker/Windows Command Line MCP Server/list_running_processes
    Tool(name="""Windows Command Line MCP Server_get_system_info""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'detail': {'default': 'basic', 'description': 'Level of detail', 'enum': ['basic', 'full'], 'type': 'string'}}, 'type': 'object'}, description="""Retrieve system information including OS, hardware, and user details. Can provide basic or full details."""), # alxspiker/Windows Command Line MCP Server/get_system_info
    Tool(name="""Windows Command Line MCP Server_get_network_info""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'networkInterface': {'description': 'Optional interface name to filter results', 'type': 'string'}}, 'type': 'object'}, description="""Retrieve network configuration information including IP addresses, adapters, and DNS settings. Can be filtered to a specific interface."""), # alxspiker/Windows Command Line MCP Server/get_network_info
    Tool(name="""Windows Command Line MCP Server_get_scheduled_tasks""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'action': {'default': 'query', 'description': 'Action to perform', 'enum': ['query', 'status'], 'type': 'string'}, 'taskName': {'description': 'Name of the specific task (optional)', 'type': 'string'}}, 'type': 'object'}, description="""Retrieve information about scheduled tasks on the system. Can query all tasks or get detailed status of a specific task."""), # alxspiker/Windows Command Line MCP Server/get_scheduled_tasks
    Tool(name="""Windows Command Line MCP Server_get_service_info""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'action': {'default': 'query', 'description': 'Action to perform', 'enum': ['query', 'status'], 'type': 'string'}, 'serviceName': {'description': 'Service name to get info about (optional)', 'type': 'string'}}, 'type': 'object'}, description="""Retrieve information about Windows services. Can query all services or get detailed status of a specific service."""), # alxspiker/Windows Command Line MCP Server/get_service_info
    Tool(name="""Windows Command Line MCP Server_list_allowed_commands""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {}, 'type': 'object'}, description="""List all commands that are allowed to be executed by this server. This helps understand what operations are permitted."""), # alxspiker/Windows Command Line MCP Server/list_allowed_commands
    Tool(name="""Windows Command Line MCP Server_execute_command""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'command': {'description': 'The command to execute', 'type': 'string'}, 'timeout': {'default': 30000, 'description': 'Timeout in milliseconds', 'type': 'number'}, 'workingDir': {'description': 'Working directory for the command', 'type': 'string'}}, 'required': ['command'], 'type': 'object'}, description="""Execute a Windows command and return its output. Only commands in the allowed list can be executed. This tool should be used for running simple commands like 'dir', 'echo', etc."""), # alxspiker/Windows Command Line MCP Server/execute_command
    Tool(name="""Windows Command Line MCP Server_execute_powershell""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'script': {'description': 'PowerShell script to execute', 'type': 'string'}, 'timeout': {'default': 30000, 'description': 'Timeout in milliseconds', 'type': 'number'}, 'workingDir': {'description': 'Working directory for the script', 'type': 'string'}}, 'required': ['script'], 'type': 'object'}, description="""Execute a PowerShell script and return its output. This allows for more complex operations and script execution. PowerShell must be in the allowed commands list."""), # alxspiker/Windows Command Line MCP Server/execute_powershell
    Tool(name="""CCXT MCP Server_cache-stats""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {}, 'type': 'object'}, description="""Get CCXT cache statistics"""), # doggybee/CCXT MCP Server/cache-stats
    Tool(name="""CCXT MCP Server_clear-cache""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {}, 'type': 'object'}, description="""Clear CCXT cache"""), # doggybee/CCXT MCP Server/clear-cache
    Tool(name="""CCXT MCP Server_set-log-level""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'level': {'description': 'Logging level to set', 'enum': ['debug', 'info', 'warning', 'error'], 'type': 'string'}}, 'required': ['level'], 'type': 'object'}, description="""Set logging level"""), # doggybee/CCXT MCP Server/set-log-level
    Tool(name="""CCXT MCP Server_list-exchanges""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {}, 'type': 'object'}, description="""List all available cryptocurrency exchanges"""), # doggybee/CCXT MCP Server/list-exchanges
    Tool(name="""CCXT MCP Server_get-ticker""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'exchange': {'description': 'Exchange ID (e.g., binance, coinbase)', 'type': 'string'}, 'marketType': {'description': 'Market type (default: spot)', 'enum': ['spot', 'future', 'swap', 'option', 'margin'], 'type': 'string'}, 'symbol': {'description': 'Trading pair symbol (e.g., BTC/USDT)', 'type': 'string'}}, 'required': ['exchange', 'symbol'], 'type': 'object'}, description="""Get current ticker information for a trading pair"""), # doggybee/CCXT MCP Server/get-ticker
    Tool(name="""CCXT MCP Server_batch-get-tickers""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'exchange': {'description': 'Exchange ID (e.g., binance, coinbase)', 'type': 'string'}, 'marketType': {'description': 'Market type (default: spot)', 'enum': ['spot', 'future', 'swap', 'option', 'margin'], 'type': 'string'}, 'symbols': {'description': "List of trading pair symbols (e.g., ['BTC/USDT', 'ETH/USDT'])", 'items': {'type': 'string'}, 'type': 'array'}}, 'required': ['exchange', 'symbols'], 'type': 'object'}, description="""Get ticker information for multiple trading pairs at once"""), # doggybee/CCXT MCP Server/batch-get-tickers
    Tool(name="""CCXT MCP Server_get-orderbook""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'exchange': {'description': 'Exchange ID (e.g., binance, coinbase)', 'type': 'string'}, 'limit': {'default': 20, 'description': 'Depth of the orderbook', 'type': 'number'}, 'symbol': {'description': 'Trading pair symbol (e.g., BTC/USDT)', 'type': 'string'}}, 'required': ['exchange', 'symbol'], 'type': 'object'}, description="""Get market order book for a trading pair"""), # doggybee/CCXT MCP Server/get-orderbook
    Tool(name="""CCXT MCP Server_get-ohlcv""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'exchange': {'description': 'Exchange ID (e.g., binance, coinbase)', 'type': 'string'}, 'limit': {'default': 100, 'description': 'Number of candles to fetch (max 1000)', 'type': 'number'}, 'symbol': {'description': 'Trading pair symbol (e.g., BTC/USDT)', 'type': 'string'}, 'timeframe': {'default': '1d', 'description': 'Timeframe (e.g., 1m, 5m, 1h, 1d)', 'type': 'string'}}, 'required': ['exchange', 'symbol'], 'type': 'object'}, description="""Get OHLCV candlestick data for a trading pair"""), # doggybee/CCXT MCP Server/get-ohlcv
    Tool(name="""CCXT MCP Server_get-trades""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'exchange': {'description': 'Exchange ID (e.g., binance, coinbase)', 'type': 'string'}, 'limit': {'default': 50, 'description': 'Number of trades to fetch', 'type': 'number'}, 'symbol': {'description': 'Trading pair symbol (e.g., BTC/USDT)', 'type': 'string'}}, 'required': ['exchange', 'symbol'], 'type': 'object'}, description="""Get recent trades for a trading pair"""), # doggybee/CCXT MCP Server/get-trades
    Tool(name="""CCXT MCP Server_get-markets""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'exchange': {'description': 'Exchange ID (e.g., binance, coinbase)', 'type': 'string'}, 'page': {'default': 1, 'description': 'Page number', 'type': 'number'}, 'pageSize': {'default': 100, 'description': 'Items per page', 'type': 'number'}}, 'required': ['exchange'], 'type': 'object'}, description="""Get all available markets for an exchange"""), # doggybee/CCXT MCP Server/get-markets
    Tool(name="""CCXT MCP Server_get-exchange-info""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'exchange': {'description': 'Exchange ID (e.g., binance, coinbase)', 'type': 'string'}, 'marketType': {'description': 'Market type (default: spot)', 'enum': ['spot', 'future', 'swap', 'option', 'margin'], 'type': 'string'}}, 'required': ['exchange'], 'type': 'object'}, description="""Get exchange information and status"""), # doggybee/CCXT MCP Server/get-exchange-info
    Tool(name="""CCXT MCP Server_get-leverage-tiers""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'exchange': {'description': 'Exchange ID (e.g., binance, bybit)', 'type': 'string'}, 'marketType': {'default': 'future', 'description': 'Market type (default: future)', 'enum': ['future', 'swap'], 'type': 'string'}, 'symbol': {'description': 'Trading pair symbol (optional, e.g., BTC/USDT)', 'type': 'string'}}, 'required': ['exchange'], 'type': 'object'}, description="""Get futures leverage tiers for trading pairs"""), # doggybee/CCXT MCP Server/get-leverage-tiers
    Tool(name="""CCXT MCP Server_get-funding-rates""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'exchange': {'description': 'Exchange ID (e.g., binance, bybit)', 'type': 'string'}, 'marketType': {'default': 'swap', 'description': 'Market type (default: swap)', 'enum': ['future', 'swap'], 'type': 'string'}, 'symbols': {'description': 'List of trading pair symbols (optional)', 'items': {'type': 'string'}, 'type': 'array'}}, 'required': ['exchange'], 'type': 'object'}, description="""Get current funding rates for perpetual contracts"""), # doggybee/CCXT MCP Server/get-funding-rates
    Tool(name="""CCXT MCP Server_get-market-types""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'exchange': {'description': 'Exchange ID (e.g., binance, coinbase)', 'type': 'string'}}, 'required': ['exchange'], 'type': 'object'}, description="""Get market types supported by an exchange"""), # doggybee/CCXT MCP Server/get-market-types
    Tool(name="""CCXT MCP Server_account-balance""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'apiKey': {'description': 'API key for authentication', 'type': 'string'}, 'exchange': {'description': 'Exchange ID (e.g., binance, coinbase)', 'type': 'string'}, 'marketType': {'description': 'Market type (default: spot)', 'enum': ['spot', 'future', 'swap', 'option', 'margin'], 'type': 'string'}, 'secret': {'description': 'API secret for authentication', 'type': 'string'}}, 'required': ['exchange', 'apiKey', 'secret'], 'type': 'object'}, description="""Get your account balance from a crypto exchange"""), # doggybee/CCXT MCP Server/account-balance
    Tool(name="""CCXT MCP Server_place-market-order""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'amount': {'description': 'Amount to buy/sell', 'exclusiveMinimum': 0, 'type': 'number'}, 'apiKey': {'description': 'API key for authentication', 'type': 'string'}, 'exchange': {'description': 'Exchange ID (e.g., binance, coinbase)', 'type': 'string'}, 'marketType': {'description': 'Market type (default: spot)', 'enum': ['spot', 'future', 'swap', 'option', 'margin'], 'type': 'string'}, 'secret': {'description': 'API secret for authentication', 'type': 'string'}, 'side': {'description': 'Order side: buy or sell', 'enum': ['buy', 'sell'], 'type': 'string'}, 'symbol': {'description': 'Trading pair symbol (e.g., BTC/USDT)', 'type': 'string'}}, 'required': ['exchange', 'symbol', 'side', 'amount', 'apiKey', 'secret'], 'type': 'object'}, description="""Place a market order on an exchange"""), # doggybee/CCXT MCP Server/place-market-order
    Tool(name="""CCXT MCP Server_set-leverage""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'apiKey': {'description': 'API key for authentication', 'type': 'string'}, 'exchange': {'description': 'Exchange ID (e.g., binance, bybit)', 'type': 'string'}, 'leverage': {'description': 'Leverage value', 'exclusiveMinimum': 0, 'type': 'number'}, 'marketType': {'default': 'future', 'description': 'Market type (default: future)', 'enum': ['future', 'swap'], 'type': 'string'}, 'secret': {'description': 'API secret for authentication', 'type': 'string'}, 'symbol': {'description': 'Trading pair symbol (e.g., BTC/USDT)', 'type': 'string'}}, 'required': ['exchange', 'symbol', 'leverage', 'apiKey', 'secret'], 'type': 'object'}, description="""Set leverage for futures trading"""), # doggybee/CCXT MCP Server/set-leverage
    Tool(name="""CCXT MCP Server_set-margin-mode""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'apiKey': {'description': 'API key for authentication', 'type': 'string'}, 'exchange': {'description': 'Exchange ID (e.g., binance, bybit)', 'type': 'string'}, 'marginMode': {'description': 'Margin mode: cross or isolated', 'enum': ['cross', 'isolated'], 'type': 'string'}, 'marketType': {'default': 'future', 'description': 'Market type (default: future)', 'enum': ['future', 'swap'], 'type': 'string'}, 'secret': {'description': 'API secret for authentication', 'type': 'string'}, 'symbol': {'description': 'Trading pair symbol (e.g., BTC/USDT)', 'type': 'string'}}, 'required': ['exchange', 'symbol', 'marginMode', 'apiKey', 'secret'], 'type': 'object'}, description="""Set margin mode for futures trading"""), # doggybee/CCXT MCP Server/set-margin-mode
    Tool(name="""CCXT MCP Server_place-futures-market-order""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'amount': {'description': 'Amount to buy/sell', 'exclusiveMinimum': 0, 'type': 'number'}, 'apiKey': {'description': 'API key for authentication', 'type': 'string'}, 'exchange': {'description': 'Exchange ID (e.g., binance, bybit)', 'type': 'string'}, 'marketType': {'default': 'future', 'description': 'Market type (default: future)', 'enum': ['future', 'swap'], 'type': 'string'}, 'params': {'additionalProperties': {}, 'description': 'Additional order parameters', 'type': 'object'}, 'secret': {'description': 'API secret for authentication', 'type': 'string'}, 'side': {'description': 'Order side: buy or sell', 'enum': ['buy', 'sell'], 'type': 'string'}, 'symbol': {'description': 'Trading pair symbol (e.g., BTC/USDT)', 'type': 'string'}}, 'required': ['exchange', 'symbol', 'side', 'amount', 'apiKey', 'secret'], 'type': 'object'}, description="""Place a futures market order"""), # doggybee/CCXT MCP Server/place-futures-market-order
    Tool(name="""CCXT MCP Server_get-proxy-config""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {}, 'type': 'object'}, description="""Get the current proxy configuration"""), # doggybee/CCXT MCP Server/get-proxy-config
    Tool(name="""CCXT MCP Server_set-proxy-config""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'clearCache': {'default': True, 'description': 'Clear exchange cache to apply changes immediately', 'type': 'boolean'}, 'enabled': {'description': 'Enable or disable proxy', 'type': 'boolean'}, 'password': {'description': 'Proxy password (optional)', 'type': 'string'}, 'url': {'description': 'Proxy URL (e.g., http://proxy-server:port)', 'type': 'string'}, 'username': {'description': 'Proxy username (optional)', 'type': 'string'}}, 'required': ['enabled', 'url'], 'type': 'object'}, description="""Configure proxy settings for all exchanges"""), # doggybee/CCXT MCP Server/set-proxy-config
    Tool(name="""CCXT MCP Server_test-proxy-connection""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'exchange': {'description': 'Exchange ID to test connection with (e.g., binance)', 'type': 'string'}}, 'required': ['exchange'], 'type': 'object'}, description="""Test the proxy connection with a specified exchange"""), # doggybee/CCXT MCP Server/test-proxy-connection
    Tool(name="""CCXT MCP Server_clear-exchange-cache""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {}, 'type': 'object'}, description="""Clear exchange instance cache to apply configuration changes"""), # doggybee/CCXT MCP Server/clear-exchange-cache
    Tool(name="""CCXT MCP Server_set-market-type""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'clearCache': {'default': True, 'description': 'Clear exchange cache to apply changes immediately', 'type': 'boolean'}, 'marketType': {'description': 'Market type to set', 'enum': ['spot', 'future', 'swap', 'option', 'margin'], 'type': 'string'}}, 'required': ['marketType'], 'type': 'object'}, description="""Set default market type for all exchanges"""), # doggybee/CCXT MCP Server/set-market-type
    Tool(name="""MCP Atlassian Server_confluence_search""", inputSchema={'properties': {'limit': {'description': 'Results limit (1-50)', 'maximum': 50, 'minimum': 1, 'type': 'number'}, 'query': {'description': 'CQL query string', 'type': 'string'}}, 'required': ['query'], 'type': 'object'}, description="""Search Confluence content using CQL"""), # petrsovadina/MCP Atlassian Server/confluence_search
    Tool(name="""MCP Atlassian Server_jira_search""", inputSchema={'properties': {'fields': {'description': 'Comma-separated fields', 'type': 'string'}, 'jql': {'description': 'JQL query string', 'type': 'string'}, 'limit': {'description': 'Results limit (1-50)', 'maximum': 50, 'minimum': 1, 'type': 'number'}}, 'required': ['jql'], 'type': 'object'}, description="""Search Jira issues using JQL"""), # petrsovadina/MCP Atlassian Server/jira_search
    Tool(name="""Yellhorn MCP_generate_work_plan""", inputSchema={'properties': {'detailed_description': {'title': 'Detailed Description', 'type': 'string'}, 'title': {'title': 'Title', 'type': 'string'}}, 'required': ['title', 'detailed_description'], 'title': 'generate_work_planArguments', 'type': 'object'}, description="""Generate a detailed work plan for implementing a task based on the current codebase. Creates a GitHub issue with customizable title and detailed description, labeled with 'yellhorn-mcp'.Note: You should generally just pass the full user task request task verbatim to detailed_description."""), # msnidal/Yellhorn MCP/generate_work_plan
    Tool(name="""Yellhorn MCP_review_work_plan""", inputSchema={'properties': {'pull_request_url': {'title': 'Pull Request Url', 'type': 'string'}, 'work_plan_issue_number': {'title': 'Work Plan Issue Number', 'type': 'string'}}, 'required': ['work_plan_issue_number', 'pull_request_url'], 'title': 'review_work_planArguments', 'type': 'object'}, description="""Review a pull request against the original work plan issue and provide feedback."""), # msnidal/Yellhorn MCP/review_work_plan
    Tool(name="""MCP OpenAPI Server_refresh-api-catalog""", inputSchema={'type': 'object'}, description="""Refresh the API catalog"""), # ReAPI-com/MCP OpenAPI Server/refresh-api-catalog
    Tool(name="""MCP OpenAPI Server_get-api-catalog""", inputSchema={'type': 'object'}, description="""Get the API catalog, the catalog contains metadata about all openapi specifications, their operations and schemas"""), # ReAPI-com/MCP OpenAPI Server/get-api-catalog
    Tool(name="""MCP OpenAPI Server_search-api-operations""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'query': {'type': 'string'}, 'specId': {'type': 'string'}}, 'required': ['query'], 'type': 'object'}, description="""Search for operations across specifications"""), # ReAPI-com/MCP OpenAPI Server/search-api-operations
    Tool(name="""MCP OpenAPI Server_search-api-schemas""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'query': {'type': 'string'}, 'specId': {'type': 'string'}}, 'required': ['query'], 'type': 'object'}, description="""Search for schemas across specifications"""), # ReAPI-com/MCP OpenAPI Server/search-api-schemas
    Tool(name="""MCP OpenAPI Server_load-api-operation-by-operationId""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'operationId': {'type': 'string'}, 'specId': {'type': 'string'}}, 'required': ['specId', 'operationId'], 'type': 'object'}, description="""Load an operation by operationId"""), # ReAPI-com/MCP OpenAPI Server/load-api-operation-by-operationId
    Tool(name="""MCP OpenAPI Server_load-api-operation-by-path-and-method""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'method': {'type': 'string'}, 'path': {'type': 'string'}, 'specId': {'type': 'string'}}, 'required': ['specId', 'path', 'method'], 'type': 'object'}, description="""Load an operation by path and method"""), # ReAPI-com/MCP OpenAPI Server/load-api-operation-by-path-and-method
    Tool(name="""MCP OpenAPI Server_load-api-schema-by-schemaName""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'schemaName': {'type': 'string'}, 'specId': {'type': 'string'}}, 'required': ['specId', 'schemaName'], 'type': 'object'}, description="""Load a schema by schemaName"""), # ReAPI-com/MCP OpenAPI Server/load-api-schema-by-schemaName
    Tool(name="""CCXT MCP Server_fetchClosedOrders""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'accountName': {'description': "Account name defined in the configuration file (e.g., 'bybit_main')", 'type': 'string'}, 'limit': {'description': 'Limit the number of orders returned (optional)', 'type': 'number'}, 'params': {'additionalProperties': {}, 'description': 'Additional exchange-specific parameters', 'type': 'object'}, 'since': {'description': 'Timestamp in ms to fetch orders since (optional)', 'type': 'number'}, 'symbol': {'description': "Trading symbol (e.g., 'BTC/USDT')", 'type': 'string'}}, 'required': ['accountName'], 'type': 'object'}, description="""Fetch all closed orders using a configured account"""), # lazy-dinosaur/CCXT MCP Server/fetchClosedOrders
    Tool(name="""CCXT MCP Server_listAccounts""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {}, 'type': 'object'}, description="""List all configured account names"""), # lazy-dinosaur/CCXT MCP Server/listAccounts
    Tool(name="""CCXT MCP Server_fetchBalance""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'accountName': {'description': "Account name defined in the configuration file (e.g., 'bybit_main')", 'type': 'string'}}, 'required': ['accountName'], 'type': 'object'}, description="""Fetch account balance for a configured account"""), # lazy-dinosaur/CCXT MCP Server/fetchBalance
    Tool(name="""CCXT MCP Server_fetchMarkets""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'exchangeId': {'description': "Exchange ID (e.g., 'binance', 'coinbase')", 'type': 'string'}}, 'required': ['exchangeId'], 'type': 'object'}, description="""Fetch markets from a cryptocurrency exchange"""), # lazy-dinosaur/CCXT MCP Server/fetchMarkets
    Tool(name="""CCXT MCP Server_fetchTicker""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'exchangeId': {'description': "Exchange ID (e.g., 'binance', 'coinbase')", 'type': 'string'}, 'symbol': {'description': "Trading symbol (e.g., 'BTC/USDT')", 'type': 'string'}}, 'required': ['exchangeId', 'symbol'], 'type': 'object'}, description="""Fetch ticker information for a symbol on an exchange"""), # lazy-dinosaur/CCXT MCP Server/fetchTicker
    Tool(name="""CCXT MCP Server_fetchTickers""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'exchangeId': {'description': "Exchange ID (e.g., 'binance', 'coinbase')", 'type': 'string'}, 'symbols': {'description': 'Optional list of specific symbols to fetch', 'items': {'type': 'string'}, 'type': 'array'}}, 'required': ['exchangeId'], 'type': 'object'}, description="""Fetch all tickers from an exchange"""), # lazy-dinosaur/CCXT MCP Server/fetchTickers
    Tool(name="""CCXT MCP Server_fetchOrderBook""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'exchangeId': {'description': "Exchange ID (e.g., 'binance', 'coinbase')", 'type': 'string'}, 'limit': {'description': 'Limit the number of orders returned (optional)', 'type': 'number'}, 'symbol': {'description': "Trading symbol (e.g., 'BTC/USDT')", 'type': 'string'}}, 'required': ['exchangeId', 'symbol'], 'type': 'object'}, description="""Fetch order book for a symbol on an exchange"""), # lazy-dinosaur/CCXT MCP Server/fetchOrderBook
    Tool(name="""CCXT MCP Server_fetchTrades""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'exchangeId': {'description': "Exchange ID (e.g., 'binance', 'coinbase')", 'type': 'string'}, 'limit': {'description': 'Limit the number of trades returned (optional)', 'type': 'number'}, 'since': {'description': 'Timestamp in ms to fetch trades since (optional)', 'type': 'number'}, 'symbol': {'description': "Trading symbol (e.g., 'BTC/USDT')", 'type': 'string'}}, 'required': ['exchangeId', 'symbol'], 'type': 'object'}, description="""Fetch recent trades for a symbol on an exchange"""), # lazy-dinosaur/CCXT MCP Server/fetchTrades
    Tool(name="""CCXT MCP Server_fetchOHLCV""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'exchangeId': {'description': "Exchange ID (e.g., 'binance', 'coinbase')", 'type': 'string'}, 'limit': {'description': 'Limit the number of candles returned (optional)', 'type': 'number'}, 'since': {'description': 'Timestamp in ms to fetch data since (optional)', 'type': 'number'}, 'symbol': {'description': "Trading symbol (e.g., 'BTC/USDT')", 'type': 'string'}, 'timeframe': {'default': '1h', 'description': "Timeframe (e.g., '1m', '5m', '1h', '1d')", 'type': 'string'}}, 'required': ['exchangeId', 'symbol'], 'type': 'object'}, description="""Fetch OHLCV candlestick data for a symbol on an exchange"""), # lazy-dinosaur/CCXT MCP Server/fetchOHLCV
    Tool(name="""CCXT MCP Server_createOrder""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'accountName': {'description': "Account name defined in the configuration file (e.g., 'bybit_main')", 'type': 'string'}, 'amount': {'description': 'Amount of base currency to trade', 'type': 'number'}, 'params': {'additionalProperties': {}, 'description': 'Additional exchange-specific parameters', 'type': 'object'}, 'price': {'description': 'Price per unit (required for limit orders)', 'type': 'number'}, 'side': {'description': "Order side: 'buy' or 'sell'", 'enum': ['buy', 'sell'], 'type': 'string'}, 'symbol': {'description': "Trading symbol (e.g., 'BTC/USDT')", 'type': 'string'}, 'type': {'description': "Order type: 'market' or 'limit'", 'enum': ['market', 'limit'], 'type': 'string'}}, 'required': ['accountName', 'symbol', 'type', 'side', 'amount'], 'type': 'object'}, description="""Create a new order using a configured account"""), # lazy-dinosaur/CCXT MCP Server/createOrder
    Tool(name="""CCXT MCP Server_cancelOrder""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'accountName': {'description': "Account name defined in the configuration file (e.g., 'bybit_main')", 'type': 'string'}, 'id': {'description': 'Order ID to cancel', 'type': 'string'}, 'params': {'additionalProperties': {}, 'description': 'Additional exchange-specific parameters', 'type': 'object'}, 'symbol': {'description': "Trading symbol (e.g., 'BTC/USDT')", 'type': 'string'}}, 'required': ['accountName', 'id', 'symbol'], 'type': 'object'}, description="""Cancel an existing order using a configured account"""), # lazy-dinosaur/CCXT MCP Server/cancelOrder
    Tool(name="""CCXT MCP Server_fetchOrder""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'accountName': {'description': "Account name defined in the configuration file (e.g., 'bybit_main')", 'type': 'string'}, 'id': {'description': 'Order ID to fetch', 'type': 'string'}, 'params': {'additionalProperties': {}, 'description': 'Additional exchange-specific parameters', 'type': 'object'}, 'symbol': {'description': "Trading symbol (e.g., 'BTC/USDT')", 'type': 'string'}}, 'required': ['accountName', 'id', 'symbol'], 'type': 'object'}, description="""Fetch information about a specific order using a configured account"""), # lazy-dinosaur/CCXT MCP Server/fetchOrder
    Tool(name="""CCXT MCP Server_fetchOpenOrders""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'accountName': {'description': "Account name defined in the configuration file (e.g., 'bybit_main')", 'type': 'string'}, 'limit': {'description': 'Limit the number of orders returned (optional)', 'type': 'number'}, 'params': {'additionalProperties': {}, 'description': 'Additional exchange-specific parameters', 'type': 'object'}, 'since': {'description': 'Timestamp in ms to fetch orders since (optional)', 'type': 'number'}, 'symbol': {'description': "Trading symbol (e.g., 'BTC/USDT')", 'type': 'string'}}, 'required': ['accountName'], 'type': 'object'}, description="""Fetch all open orders using a configured account"""), # lazy-dinosaur/CCXT MCP Server/fetchOpenOrders
    Tool(name="""CCXT MCP Server_fetchDeposits""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'accountName': {'description': "Account name defined in the configuration file (e.g., 'bybit_main')", 'type': 'string'}, 'code': {'description': "Currency code (e.g., 'BTC', 'ETH')", 'type': 'string'}, 'limit': {'description': 'Limit the number of deposits returned (optional)', 'type': 'number'}, 'since': {'description': 'Timestamp in ms to fetch deposits since (optional)', 'type': 'number'}}, 'required': ['accountName'], 'type': 'object'}, description="""Fetch deposit history for a configured account"""), # lazy-dinosaur/CCXT MCP Server/fetchDeposits
    Tool(name="""CCXT MCP Server_fetchWithdrawals""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'accountName': {'description': "Account name defined in the configuration file (e.g., 'bybit_main')", 'type': 'string'}, 'code': {'description': "Currency code (e.g., 'BTC', 'ETH')", 'type': 'string'}, 'limit': {'description': 'Limit the number of withdrawals returned (optional)', 'type': 'number'}, 'since': {'description': 'Timestamp in ms to fetch withdrawals since (optional)', 'type': 'number'}}, 'required': ['accountName'], 'type': 'object'}, description="""Fetch withdrawal history for a configured account"""), # lazy-dinosaur/CCXT MCP Server/fetchWithdrawals
    Tool(name="""CCXT MCP Server_fetchMyTrades""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'accountName': {'description': "Account name defined in the configuration file (e.g., 'bybit_main')", 'type': 'string'}, 'limit': {'description': 'Limit the number of trades returned (optional)', 'type': 'number'}, 'since': {'description': 'Timestamp in ms to fetch trades since (optional)', 'type': 'number'}, 'symbol': {'description': "Trading symbol (e.g., 'BTC/USDT')", 'type': 'string'}}, 'required': ['accountName'], 'type': 'object'}, description="""Fetch personal trade history for a configured account"""), # lazy-dinosaur/CCXT MCP Server/fetchMyTrades
    Tool(name="""CCXT MCP Server_analyzeTradingPerformance""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'accountName': {'description': "Account name defined in the configuration file (e.g., 'bybit_main')", 'type': 'string'}, 'period': {'default': '30d', 'description': "Analysis period: '7d', '30d', '90d', or 'all'", 'enum': ['7d', '30d', '90d', 'all'], 'type': 'string'}, 'symbol': {'description': "Optional trading symbol (e.g., 'BTC/USDT') to filter trades", 'type': 'string'}}, 'required': ['accountName'], 'type': 'object'}, description="""Analyze trading performance for a configured account"""), # lazy-dinosaur/CCXT MCP Server/analyzeTradingPerformance
    Tool(name="""CCXT MCP Server_calculateWinRate""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'accountName': {'description': "Account name defined in the configuration file (e.g., 'bybit_main')", 'type': 'string'}, 'period': {'default': '30d', 'description': "Analysis period: '7d', '30d', or 'all'", 'enum': ['7d', '30d', 'all'], 'type': 'string'}, 'symbol': {'description': "Optional trading symbol (e.g., 'BTC/USDT') to filter trades", 'type': 'string'}}, 'required': ['accountName'], 'type': 'object'}, description="""Calculate win rate and profit metrics for a configured account"""), # lazy-dinosaur/CCXT MCP Server/calculateWinRate
    Tool(name="""CCXT MCP Server_analyzeConsecutiveProfitLoss""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'accountName': {'description': "Account name defined in the configuration file (e.g., 'bybit_main')", 'type': 'string'}, 'period': {'default': 'all', 'description': "Analysis period: '30d' or 'all'", 'enum': ['30d', 'all'], 'type': 'string'}, 'symbol': {'description': "Optional trading symbol (e.g., 'BTC/USDT') to filter trades", 'type': 'string'}}, 'required': ['accountName'], 'type': 'object'}, description="""Analyze consecutive winning and losing trades"""), # lazy-dinosaur/CCXT MCP Server/analyzeConsecutiveProfitLoss
    Tool(name="""CCXT MCP Server_analyzePeriodicReturns""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'accountName': {'description': "Account name defined in the configuration file (e.g., 'bybit_main')", 'type': 'string'}, 'interval': {'default': 'daily', 'description': 'Return calculation interval', 'enum': ['daily', 'weekly', 'monthly'], 'type': 'string'}, 'period': {'default': '90d', 'description': "Analysis period: '30d', '90d', '180d', or '1y'", 'enum': ['30d', '90d', '180d', '1y'], 'type': 'string'}, 'symbol': {'description': "Optional trading symbol (e.g., 'BTC/USDT') to filter trades", 'type': 'string'}}, 'required': ['accountName'], 'type': 'object'}, description="""Analyze daily and monthly returns for a configured account"""), # lazy-dinosaur/CCXT MCP Server/analyzePeriodicReturns
    Tool(name="""mcp-nixos_nixos_search""", inputSchema={'properties': {'channel': {'default': 'unstable', 'title': 'Channel', 'type': 'string'}, 'ctx': {'title': 'ctx', 'type': 'string'}, 'limit': {'default': 20, 'title': 'Limit', 'type': 'integer'}, 'query': {'title': 'Query', 'type': 'string'}, 'type': {'default': 'packages', 'title': 'Type', 'type': 'string'}}, 'required': ['ctx', 'query'], 'title': 'nixos_searchArguments', 'type': 'object'}, description="""Search for NixOS packages, options, or programs.\n\n        Args:\n            query: The search term\n            type: The type to search (packages, options, or programs)\n            limit: Maximum number of results to return (default: 20)\n            channel: NixOS channel to use (default: unstable)\n\n        Returns:\n            Results formatted as text\n        """), # utensils/mcp-nixos/nixos_search
    Tool(name="""mcp-nixos_nixos_info""", inputSchema={'properties': {'channel': {'default': 'unstable', 'title': 'Channel', 'type': 'string'}, 'ctx': {'title': 'ctx', 'type': 'string'}, 'name': {'title': 'Name', 'type': 'string'}, 'type': {'default': 'package', 'title': 'Type', 'type': 'string'}}, 'required': ['ctx', 'name'], 'title': 'nixos_infoArguments', 'type': 'object'}, description="""Get detailed information about a NixOS package or option.\n\n        Args:\n            name: The name of the package or option\n            type: Either \"package\" or \"option\"\n            channel: NixOS channel to use (default: unstable)\n\n        Returns:\n            Detailed information about the package or option\n        """), # utensils/mcp-nixos/nixos_info
    Tool(name="""mcp-nixos_nixos_stats""", inputSchema={'properties': {'channel': {'default': 'unstable', 'title': 'Channel', 'type': 'string'}, 'ctx': {'title': 'ctx', 'type': 'string'}}, 'required': ['ctx'], 'title': 'nixos_statsArguments', 'type': 'object'}, description="""Get statistics about available NixOS packages and options.\n\n        Args:\n            channel: NixOS channel to use (default: unstable)\n\n        Returns:\n            Statistics about packages and options\n        """), # utensils/mcp-nixos/nixos_stats
    Tool(name="""mcp-nixos_home_manager_search""", inputSchema={'properties': {'ctx': {'title': 'ctx', 'type': 'string'}, 'limit': {'default': 20, 'title': 'Limit', 'type': 'integer'}, 'query': {'title': 'Query', 'type': 'string'}}, 'required': ['ctx', 'query'], 'title': 'home_manager_searchArguments', 'type': 'object'}, description="""Search for Home Manager options.\n\n        Args:\n            query: The search term\n            limit: Maximum number of results to return (default: 20)\n\n        Returns:\n            Results formatted as text\n        """), # utensils/mcp-nixos/home_manager_search
    Tool(name="""mcp-nixos_home_manager_info""", inputSchema={'properties': {'ctx': {'title': 'ctx', 'type': 'string'}, 'name': {'title': 'Name', 'type': 'string'}}, 'required': ['ctx', 'name'], 'title': 'home_manager_infoArguments', 'type': 'object'}, description="""Get detailed information about a Home Manager option.\n\n        Args:\n            name: The name of the option\n\n        Returns:\n            Detailed information formatted as text\n        """), # utensils/mcp-nixos/home_manager_info
    Tool(name="""mcp-nixos_home_manager_stats""", inputSchema={'properties': {'ctx': {'title': 'ctx', 'type': 'string'}}, 'required': ['ctx'], 'title': 'home_manager_statsArguments', 'type': 'object'}, description="""Get statistics about Home Manager options.\n\n        Returns:\n            Statistics about Home Manager options\n        """), # utensils/mcp-nixos/home_manager_stats
    Tool(name="""mcp-nixos_home_manager_list_options""", inputSchema={'properties': {'ctx': {'title': 'ctx', 'type': 'string'}}, 'required': ['ctx'], 'title': 'home_manager_list_optionsArguments', 'type': 'object'}, description="""List all top-level Home Manager option categories.\n\n        Returns:\n            Formatted list of top-level option categories and their statistics\n        """), # utensils/mcp-nixos/home_manager_list_options
    Tool(name="""mcp-nixos_home_manager_options_by_prefix""", inputSchema={'properties': {'ctx': {'title': 'ctx', 'type': 'string'}, 'option_prefix': {'title': 'Option Prefix', 'type': 'string'}}, 'required': ['ctx', 'option_prefix'], 'title': 'home_manager_options_by_prefixArguments', 'type': 'object'}, description="""Get all Home Manager options under a specific prefix.\n\n        Args:\n            option_prefix: The option prefix to search for (e.g., \"programs\", \"programs.git\")\n\n        Returns:\n            Formatted list of options under the given prefix\n        """), # utensils/mcp-nixos/home_manager_options_by_prefix
    Tool(name="""mcp-nixos_darwin_search""", inputSchema={'properties': {'limit': {'default': 20, 'title': 'Limit', 'type': 'integer'}, 'query': {'title': 'Query', 'type': 'string'}}, 'required': ['query'], 'title': 'darwin_search_handlerArguments', 'type': 'object'}, description=""""""), # utensils/mcp-nixos/darwin_search
    Tool(name="""mcp-nixos_darwin_info""", inputSchema={'properties': {'name': {'title': 'Name', 'type': 'string'}}, 'required': ['name'], 'title': 'darwin_info_handlerArguments', 'type': 'object'}, description=""""""), # utensils/mcp-nixos/darwin_info
    Tool(name="""mcp-nixos_darwin_stats""", inputSchema={'properties': {}, 'title': 'darwin_stats_handlerArguments', 'type': 'object'}, description=""""""), # utensils/mcp-nixos/darwin_stats
    Tool(name="""mcp-nixos_darwin_list_options""", inputSchema={'properties': {}, 'title': 'darwin_list_options_handlerArguments', 'type': 'object'}, description=""""""), # utensils/mcp-nixos/darwin_list_options
    Tool(name="""mcp-nixos_darwin_options_by_prefix""", inputSchema={'properties': {'option_prefix': {'title': 'Option Prefix', 'type': 'string'}}, 'required': ['option_prefix'], 'title': 'darwin_options_by_prefix_handlerArguments', 'type': 'object'}, description=""""""), # utensils/mcp-nixos/darwin_options_by_prefix
    Tool(name="""Linear MCP Server_list_issues""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'assignedToMe': {'default': False, 'type': 'boolean'}, 'assignee': {'type': 'string'}, 'debug': {'default': False, 'type': 'boolean'}, 'limit': {'default': 25, 'maximum': 100, 'minimum': 1, 'type': 'number'}, 'project': {'type': 'string'}, 'sortBy': {'default': 'createdAt', 'enum': ['createdAt', 'updatedAt'], 'type': 'string'}, 'sortDirection': {'default': 'DESC', 'enum': ['ASC', 'DESC'], 'type': 'string'}, 'status': {'type': 'string'}}, 'type': 'object'}, description="""List Linear issues (also called tickets) with filtering by assignee, status, and project. Use this to browse and find issues in your Linear workspace."""), # scoutos/Linear MCP Server/list_issues
    Tool(name="""Linear MCP Server_get_issue""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'debug': {'default': False, 'type': 'boolean'}, 'includeComments': {'default': True, 'type': 'boolean'}, 'issueId': {'type': 'string'}}, 'required': ['issueId'], 'type': 'object'}, description="""Get detailed information about a specific Linear issue (also called a ticket), including comments if requested."""), # scoutos/Linear MCP Server/get_issue
    Tool(name="""Linear MCP Server_list_members""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'debug': {'default': False, 'type': 'boolean'}, 'limit': {'default': 25, 'maximum': 100, 'minimum': 1, 'type': 'number'}, 'nameFilter': {'type': 'string'}, 'teamId': {'type': 'string'}}, 'type': 'object'}, description="""List Linear team members with optional filtering by name. This tool is useful for finding member details including usernames, display names, and emails."""), # scoutos/Linear MCP Server/list_members
    Tool(name="""Linear MCP Server_list_projects""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'debug': {'default': False, 'type': 'boolean'}, 'fuzzyMatch': {'default': True, 'type': 'boolean'}, 'includeArchived': {'default': False, 'type': 'boolean'}, 'includeThroughIssues': {'default': True, 'type': 'boolean'}, 'limit': {'default': 25, 'maximum': 100, 'minimum': 1, 'type': 'number'}, 'nameFilter': {'type': 'string'}, 'projectId': {'type': 'string'}, 'state': {'enum': ['active', 'completed', 'canceled', 'all'], 'type': 'string'}, 'teamId': {'type': 'string'}}, 'type': 'object'}, description="""List Linear projects with optional filtering by team, name, and archive status. Shows project details including status, lead, progress, and dates."""), # scoutos/Linear MCP Server/list_projects
    Tool(name="""Linear MCP Server_get_project""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'debug': {'default': False, 'description': 'Debug mode to show extra diagnostics', 'type': 'boolean'}, 'includeComments': {'default': False, 'description': 'Whether to include comments on issues in the project', 'type': 'boolean'}, 'includeIssues': {'default': True, 'description': 'Whether to include issues in the project details', 'type': 'boolean'}, 'includeMembers': {'default': True, 'description': 'Whether to include member details in the project', 'type': 'boolean'}, 'limit': {'default': 10, 'description': 'Maximum number of issues/members to include in details', 'maximum': 50, 'minimum': 1, 'type': 'number'}, 'projectId': {'description': 'The ID of the Linear project to retrieve', 'type': 'string'}}, 'required': ['projectId'], 'type': 'object'}, description="""Get detailed information about a Linear project including team, lead, issues, and members. Use this to see comprehensive details of a specific project."""), # scoutos/Linear MCP Server/get_project
    Tool(name="""Linear MCP Server_list_teams""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'debug': {'default': False, 'description': 'Debug mode to show extra diagnostics', 'type': 'boolean'}, 'includeMembers': {'default': True, 'description': 'Include sparse member listing for each team', 'type': 'boolean'}, 'includeProjects': {'default': True, 'description': 'Include sparse project listing for each team', 'type': 'boolean'}, 'limit': {'default': 25, 'description': 'Maximum number of teams to return', 'maximum': 100, 'minimum': 1, 'type': 'number'}, 'nameFilter': {'description': 'Filter teams by name (partial match)', 'type': 'string'}}, 'type': 'object'}, description="""List Linear teams with details about their members, projects, and issues. Use this to get a high-level view of all teams in your Linear workspace."""), # scoutos/Linear MCP Server/list_teams
    Tool(name="""Linear MCP Server_add_comment""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'comment': {'description': 'The comment text to add to the ticket', 'type': 'string'}, 'debug': {'default': False, 'description': 'Debug mode to show extra diagnostics', 'type': 'boolean'}, 'ticketId': {'description': 'The ID of the Linear ticket to comment on', 'type': 'string'}}, 'required': ['ticketId', 'comment'], 'type': 'object'}, description="""Add a comment to a specific Linear ticket. This tool is useful for providing feedback, status updates, or additional information on existing tickets."""), # scoutos/Linear MCP Server/add_comment
    Tool(name="""Linear MCP Server_create_issue""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'assigneeId': {'description': 'The ID of the user to assign the issue to', 'type': 'string'}, 'debug': {'default': False, 'description': 'Debug mode to show extra diagnostics', 'type': 'boolean'}, 'description': {'description': 'The detailed description of the issue', 'type': 'string'}, 'priority': {'description': 'The priority of the issue (0-4)', 'maximum': 4, 'minimum': 0, 'type': 'number'}, 'projectId': {'description': 'The ID of the project to associate with the issue', 'type': 'string'}, 'stateId': {'description': 'The ID of the state to set for the issue', 'type': 'string'}, 'teamId': {'description': 'The ID of the Linear team where the issue will be created', 'minLength': 1, 'type': 'string'}, 'title': {'description': 'The title of the issue to create', 'type': 'string'}}, 'required': ['title', 'teamId'], 'type': 'object'}, description="""Create a new issue in Linear. This tool is useful for adding new tasks, bugs, or feature requests to your Linear workspace."""), # scoutos/Linear MCP Server/create_issue
    Tool(name="""Shell Command MCP Server_execute-command""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'command': {'type': 'string'}, 'options': {'additionalProperties': False, 'properties': {'cwd': {'type': 'string'}, 'env': {'additionalProperties': {'type': 'string'}, 'type': 'object'}, 'timeout': {'exclusiveMinimum': 0, 'type': 'integer'}}, 'type': 'object'}}, 'required': ['command', 'options'], 'type': 'object'}, description="""# execute-command\nThis tool executes shell command on bash.\nEach command execution spawn a new bash process.\n  """), # kaznak/Shell Command MCP Server/execute-command
    Tool(name="""MCP-Slicer_list_nodes""", inputSchema={'properties': {'class_name': {'default': None, 'title': 'Class Name', 'type': 'string'}, 'filter_type': {'default': 'names', 'title': 'Filter Type', 'type': 'string'}, 'id': {'default': None, 'title': 'Id', 'type': 'string'}, 'name': {'default': None, 'title': 'Name', 'type': 'string'}}, 'title': 'list_nodesArguments', 'type': 'object'}, description="""\nList MRML nodes via the Slicer Web Server API.\n\nThe filter_type parameter specifies the type of node information to retrieve.\nPossible values include \"names\" (node names), \"ids\" (node IDs), and \"properties\" (node properties).\nThe default value is \"names\".\n\nThe class_name, name, and id parameters are optional and can be used to further filter nodes.\nThe class_name parameter allows filtering nodes by class name.\nThe name parameter allows filtering nodes by name.\nThe id parameter allows filtering nodes by ID.\n\nExamples:\n- List the names of all nodes: {\"tool\": \"list_nodes\", \"arguments\": {\"filter_type\": \"names\"}}\n- List the IDs of nodes of a specific class: {\"tool\": \"list_nodes\", \"arguments\": {\"filter_type\": \"ids\", \"class_name\": \"vtkMRMLModelNode\"}}\n- List the properties of nodes with a specific name: {\"tool\": \"list_nodes\", \"arguments\": {\"filter_type\": \"properties\", \"name\": \"MyModel\"}}\n- List nodes with a specific ID: {\"tool\": \"list_nodes\", \"arguments\": {\"filter_type\": \"ids\", \"id\": \"vtkMRMLModelNode123\"}}\n\nReturns a dictionary containing node information.\nIf filter_type is \"names\" or \"ids\", the returned dictionary contains a \"nodes\" key, whose value is a list containing node names or IDs.\nExample: {\"nodes\": [\"node1\", \"node2\", ...]} or {\"nodes\": [\"id1\", \"id2\", ...]}\nIf filter_type is \"properties\", the returned dictionary contains a \"nodes\" key, whose value is a dictionary containing node properties.\nExample: {\"nodes\": {\"node1\": {\"property1\": \"value1\", \"property2\": \"value2\"}, ...}}\nIf an error occurs, a dictionary containing an \"error\" key is returned, whose value is a string describing the error.\n"""), # zhaoyouj/MCP-Slicer/list_nodes
    Tool(name="""MCP-Slicer_execute_python_code""", inputSchema={'properties': {'code': {'title': 'Code', 'type': 'string'}}, 'required': ['code'], 'title': 'execute_python_codeArguments', 'type': 'object'}, description="""\nExecute Python code in 3D Slicer.\n\nParameters:\ncode (str): The Python code to execute.\n\nThe code parameter is a string containing the Python code to be executed in 3D Slicer's Python environment.\nThe code should be executable by Python's `exec()` function. To get return values, the code should assign the result to a variable named `__execResult`.\n\nExamples:\n- Create a sphere model: {\"tool\": \"execute_python_code\", \"arguments\": {\"code\": \"sphere = slicer.vtkMRMLModelNode(); slicer.mrmlScene.AddNode(sphere); sphere.SetName('MySphere'); __execResult = sphere.GetID()\"}}\n- Get the number of nodes in the current scene: {\"tool\": \"execute_python_code\", \"arguments\": {\"code\": \"__execResult = len(slicer.mrmlScene.GetNodes())\"}}\n- Calculate 1+1: {\"tool\": \"execute_python_code\", \"arguments\": {\"code\": \"__execResult = 1 + 1\"}}\n\nReturns:\n    dict: A dictionary containing the execution result.\n\n    If the code execution is successful, the dictionary will contain the following key-value pairs:\n    - \"success\": True\n    - \"message\": The result of the code execution. If the code assigns the result to `__execResult`, the value of `__execResult` is returned, otherwise it returns empty.\n\n    If the code execution fails, the dictionary will contain the following key-value pairs:\n    - \"success\": False\n    - \"message\": A string containing an error message indicating the cause of the failure. The error message may come from the Slicer Web Server or the Python interpreter.\n\nExamples:\n- Successful execution: {\"success\": True, \"message\": 2}  # Assuming the result of 1+1 is 2\n- Successful execution: {\"success\": True, \"message\": \"vtkMRMLScene1\"} # Assuming the created sphere id is vtkMRMLScene1\n- Python execution error: {\"success\": False, \"message\": \"Server error: name 'slicer' is not defined\"}\n- Connection error: {\"success\": False, \"message\": \"Connection error: ...\"}\n- HTTP error: {\"success\": False, \"message\": \"HTTP Error 404: Not Found\"}\n"""), # zhaoyouj/MCP-Slicer/execute_python_code
    Tool(name="""Tribal Knowledge Service_track_error""", inputSchema={'properties': {'code_snippet': {'anyOf': [{'type': 'string'}, {'type': 'null'}], 'default': None, 'title': 'Code Snippet'}, 'error_message': {'title': 'Error Message', 'type': 'string'}, 'error_type': {'title': 'Error Type', 'type': 'string'}, 'framework': {'anyOf': [{'type': 'string'}, {'type': 'null'}], 'default': None, 'title': 'Framework'}, 'language': {'title': 'Language', 'type': 'string'}, 'solution_code_fix': {'anyOf': [{'type': 'string'}, {'type': 'null'}], 'default': None, 'title': 'Solution Code Fix'}, 'solution_description': {'default': '', 'title': 'Solution Description', 'type': 'string'}, 'solution_explanation': {'default': '', 'title': 'Solution Explanation', 'type': 'string'}, 'solution_references': {'anyOf': [{'items': {'type': 'string'}, 'type': 'array'}, {'type': 'null'}], 'default': None, 'title': 'Solution References'}, 'task_description': {'anyOf': [{'type': 'string'}, {'type': 'null'}], 'default': None, 'title': 'Task Description'}}, 'required': ['error_type', 'error_message', 'language'], 'title': 'track_errorArguments', 'type': 'object'}, description="""\n    Track an error and its solution in the knowledge base.\n\n    Args:\n        error_type: Type of error (e.g., ImportError, TypeError)\n        error_message: The error message\n        language: Programming language (e.g., python, javascript)\n        framework: Framework used (e.g., fastapi, react)\n        code_snippet: The code that caused the error\n        task_description: What the user was trying to accomplish\n        solution_description: Brief description of the solution\n        solution_code_fix: Code that fixes the error\n        solution_explanation: Detailed explanation of why the solution works\n        solution_references: List of reference links\n\n    Returns:\n        The created error record\n    """), # agentience/Tribal Knowledge Service/track_error
    Tool(name="""Tribal Knowledge Service_find_similar_errors""", inputSchema={'properties': {'max_results': {'default': 5, 'title': 'Max Results', 'type': 'integer'}, 'query': {'title': 'Query', 'type': 'string'}}, 'required': ['query'], 'title': 'find_similar_errorsArguments', 'type': 'object'}, description="""\n    Find errors similar to the given query.\n\n    Args:\n        query: Text to search for in the knowledge base\n        max_results: Maximum number of results to return\n\n    Returns:\n        List of similar error records\n    """), # agentience/Tribal Knowledge Service/find_similar_errors
    Tool(name="""Tribal Knowledge Service_search_errors""", inputSchema={'properties': {'code_snippet': {'anyOf': [{'type': 'string'}, {'type': 'null'}], 'default': None, 'title': 'Code Snippet'}, 'error_message': {'anyOf': [{'type': 'string'}, {'type': 'null'}], 'default': None, 'title': 'Error Message'}, 'error_type': {'anyOf': [{'type': 'string'}, {'type': 'null'}], 'default': None, 'title': 'Error Type'}, 'framework': {'anyOf': [{'type': 'string'}, {'type': 'null'}], 'default': None, 'title': 'Framework'}, 'language': {'anyOf': [{'type': 'string'}, {'type': 'null'}], 'default': None, 'title': 'Language'}, 'max_results': {'default': 5, 'title': 'Max Results', 'type': 'integer'}, 'task_description': {'anyOf': [{'type': 'string'}, {'type': 'null'}], 'default': None, 'title': 'Task Description'}}, 'title': 'search_errorsArguments', 'type': 'object'}, description="""\n    Search for errors in the knowledge base.\n\n    Args:\n        error_type: Type of error to filter by\n        language: Programming language to filter by\n        framework: Framework to filter by\n        error_message: Error message to search for\n        code_snippet: Code snippet to search for\n        task_description: Task description to search for\n        max_results: Maximum number of results to return\n\n    Returns:\n        List of matching error records\n    """), # agentience/Tribal Knowledge Service/search_errors
    Tool(name="""Tribal Knowledge Service_get_error_by_id""", inputSchema={'properties': {'error_id': {'title': 'Error Id', 'type': 'string'}}, 'required': ['error_id'], 'title': 'get_error_by_idArguments', 'type': 'object'}, description="""\n    Get an error record by its ID.\n\n    Args:\n        error_id: UUID of the error record\n\n    Returns:\n        The error record or None if not found\n    """), # agentience/Tribal Knowledge Service/get_error_by_id
    Tool(name="""Tribal Knowledge Service_delete_error""", inputSchema={'properties': {'error_id': {'title': 'Error Id', 'type': 'string'}}, 'required': ['error_id'], 'title': 'delete_errorArguments', 'type': 'object'}, description="""\n    Delete an error record.\n\n    Args:\n        error_id: UUID of the error record\n\n    Returns:\n        True if deleted, False if not found\n    """), # agentience/Tribal Knowledge Service/delete_error
    Tool(name="""Tribal Knowledge Service_get_api_status""", inputSchema={'properties': {}, 'title': 'get_api_statusArguments', 'type': 'object'}, description="""\n    Check the API status.\n\n    Returns:\n        API status information\n    """), # agentience/Tribal Knowledge Service/get_api_status
    Tool(name="""WhatsApp MCP Server_send-whatsapp-message""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'contactName': {'description': 'Full name of the contact as it appears in WhatsApp', 'type': 'string'}, 'message': {'description': 'Message content to send', 'type': 'string'}}, 'required': ['contactName', 'message'], 'type': 'object'}, description="""Send a message to a contact on WhatsApp"""), # gfb-47/WhatsApp MCP Server/send-whatsapp-message
    Tool(name="""WhatsApp MCP Server_check-whatsapp-status""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {}, 'type': 'object'}, description="""Check if WhatsApp is currently running"""), # gfb-47/WhatsApp MCP Server/check-whatsapp-status
    Tool(name="""WhatsApp MCP Server_list-recent-contacts""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {}, 'type': 'object'}, description="""List recently contacted people on WhatsApp (simplified)"""), # gfb-47/WhatsApp MCP Server/list-recent-contacts
    Tool(name="""FileScopeMCP_get_file_importance""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'filepath': {'description': 'The path to the file to check', 'type': 'string'}}, 'required': ['filepath'], 'type': 'object'}, description="""Get the importance ranking of a specific file"""), # admica/FileScopeMCP/get_file_importance
    Tool(name="""FileScopeMCP_list_saved_trees""", inputSchema={'type': 'object'}, description="""List all saved file trees"""), # admica/FileScopeMCP/list_saved_trees
    Tool(name="""FileScopeMCP_delete_file_tree""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'filename': {'description': 'Name of the JSON file to delete', 'type': 'string'}}, 'required': ['filename'], 'type': 'object'}, description="""Delete a file tree configuration"""), # admica/FileScopeMCP/delete_file_tree
    Tool(name="""FileScopeMCP_create_file_tree""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'baseDirectory': {'description': 'Base directory to scan for files', 'type': 'string'}, 'filename': {'description': 'Name of the JSON file to store the file tree', 'type': 'string'}}, 'required': ['filename', 'baseDirectory'], 'type': 'object'}, description="""Create or load a file tree configuration"""), # admica/FileScopeMCP/create_file_tree
    Tool(name="""FileScopeMCP_select_file_tree""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'filename': {'description': 'Name of the JSON file containing the file tree', 'type': 'string'}}, 'required': ['filename'], 'type': 'object'}, description="""Select an existing file tree to work with"""), # admica/FileScopeMCP/select_file_tree
    Tool(name="""FileScopeMCP_list_files""", inputSchema={'type': 'object'}, description="""List all files in the project with their importance rankings"""), # admica/FileScopeMCP/list_files
    Tool(name="""FileScopeMCP_find_important_files""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'limit': {'description': 'Number of files to return (default: 10)', 'type': 'number'}, 'minImportance': {'description': 'Minimum importance score (0-10)', 'type': 'number'}}, 'type': 'object'}, description="""Find the most important files in the project"""), # admica/FileScopeMCP/find_important_files
    Tool(name="""FileScopeMCP_get_file_summary""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'filepath': {'description': 'The path to the file to check', 'type': 'string'}}, 'required': ['filepath'], 'type': 'object'}, description="""Get the summary of a specific file"""), # admica/FileScopeMCP/get_file_summary
    Tool(name="""FileScopeMCP_set_file_summary""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'filepath': {'description': 'The path to the file to update', 'type': 'string'}, 'summary': {'description': 'The summary text to set', 'type': 'string'}}, 'required': ['filepath', 'summary'], 'type': 'object'}, description="""Set the summary of a specific file"""), # admica/FileScopeMCP/set_file_summary
    Tool(name="""FileScopeMCP_read_file_content""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'filepath': {'description': 'The path to the file to read', 'type': 'string'}}, 'required': ['filepath'], 'type': 'object'}, description="""Read the content of a specific file"""), # admica/FileScopeMCP/read_file_content
    Tool(name="""FileScopeMCP_set_file_importance""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'filepath': {'description': 'The path to the file to update', 'type': 'string'}, 'importance': {'description': 'The importance value to set (0-10)', 'maximum': 10, 'minimum': 0, 'type': 'number'}}, 'required': ['filepath', 'importance'], 'type': 'object'}, description="""Manually set the importance ranking of a specific file"""), # admica/FileScopeMCP/set_file_importance
    Tool(name="""FileScopeMCP_recalculate_importance""", inputSchema={'type': 'object'}, description="""Recalculate importance values for all files based on dependencies"""), # admica/FileScopeMCP/recalculate_importance
    Tool(name="""FileScopeMCP_debug_list_all_files""", inputSchema={'type': 'object'}, description="""List all file paths in the current file tree"""), # admica/FileScopeMCP/debug_list_all_files
    Tool(name="""FileScopeMCP_generate_diagram""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'layout': {'additionalProperties': False, 'properties': {'direction': {'enum': ['TB', 'BT', 'LR', 'RL'], 'type': 'string'}, 'nodeSpacing': {'maximum': 100, 'minimum': 10, 'type': 'number'}, 'rankSpacing': {'maximum': 100, 'minimum': 10, 'type': 'number'}}, 'type': 'object'}, 'maxDepth': {'description': 'Maximum depth for directory trees (1-10)', 'type': 'number'}, 'minImportance': {'description': 'Only show files above this importance (0-10)', 'type': 'number'}, 'outputFile': {'description': 'Optional output file name for the diagram', 'type': 'string'}, 'outputFormat': {'description': 'Output format (mmd or png)', 'enum': ['mmd', 'png'], 'type': 'string'}, 'showDependencies': {'description': 'Whether to show dependency relationships', 'type': 'boolean'}, 'style': {'description': 'Diagram style', 'enum': ['default', 'dependency', 'directory', 'hybrid'], 'type': 'string'}}, 'required': ['style'], 'type': 'object'}, description="""Generate a Mermaid diagram for the current file tree"""), # admica/FileScopeMCP/generate_diagram
    Tool(name="""MCP Azure DevOps Server_query_work_items""", inputSchema={'properties': {'query': {'title': 'Query', 'type': 'string'}, 'top': {'anyOf': [{'type': 'integer'}, {'type': 'null'}], 'title': 'Top'}}, 'required': ['query', 'top'], 'title': 'query_work_itemsArguments', 'type': 'object'}, description="""\n        Query work items using WIQL.\n        \n        Args:\n            query: The WIQL query string\n            top: Maximum number of results to return (default: 30)\n                \n        Returns:\n            Formatted string containing work item details\n        """), # Vortiago/MCP Azure DevOps Server/query_work_items
    Tool(name="""MCP Azure DevOps Server_get_work_item_basic""", inputSchema={'properties': {'id': {'title': 'Id', 'type': 'integer'}}, 'required': ['id'], 'title': 'get_work_item_basicArguments', 'type': 'object'}, description="""\n        Get basic information about a work item.\n        \n        Args:\n            id: The work item ID\n            \n        Returns:\n            Formatted string containing basic work item information\n        """), # Vortiago/MCP Azure DevOps Server/get_work_item_basic
    Tool(name="""MCP Azure DevOps Server_get_work_item_details""", inputSchema={'properties': {'id': {'title': 'Id', 'type': 'integer'}}, 'required': ['id'], 'title': 'get_work_item_detailsArguments', 'type': 'object'}, description="""\n        Get detailed information about a work item.\n        \n        Args:\n            id: The work item ID\n            \n        Returns:\n            Formatted string containing comprehensive work item information\n        """), # Vortiago/MCP Azure DevOps Server/get_work_item_details
    Tool(name="""MCP Azure DevOps Server_get_work_item_comments""", inputSchema={'properties': {'id': {'title': 'Id', 'type': 'integer'}, 'project': {'anyOf': [{'type': 'string'}, {'type': 'null'}], 'default': None, 'title': 'Project'}}, 'required': ['id'], 'title': 'get_work_item_commentsArguments', 'type': 'object'}, description="""\n        Get all comments for a work item.\n    \n        Args:\n            id: The work item ID\n            project: Optional project name. If not provided, will be determined from the work item.\n            \n        Returns:\n            Formatted string containing all comments on the work item\n        """), # Vortiago/MCP Azure DevOps Server/get_work_item_comments
    Tool(name="""MCP Azure DevOps Server_get_projects""", inputSchema={'properties': {'state_filter': {'anyOf': [{'type': 'string'}, {'type': 'null'}], 'default': None, 'title': 'State Filter'}, 'top': {'anyOf': [{'type': 'integer'}, {'type': 'null'}], 'default': None, 'title': 'Top'}}, 'title': 'get_projectsArguments', 'type': 'object'}, description="""\n        Get all projects in the organization that the authenticated user has access to.\n        \n        Args:\n            state_filter: Filter on team projects in a specific state (e.g., \"WellFormed\", \"Deleting\")\n            top: Maximum number of projects to return\n                \n        Returns:\n            Formatted string containing project information\n        """), # Vortiago/MCP Azure DevOps Server/get_projects
    Tool(name="""MCP Azure DevOps Server_get_all_teams""", inputSchema={'properties': {'skip': {'anyOf': [{'type': 'integer'}, {'type': 'null'}], 'default': None, 'title': 'Skip'}, 'top': {'anyOf': [{'type': 'integer'}, {'type': 'null'}], 'default': None, 'title': 'Top'}, 'user_is_member_of': {'anyOf': [{'type': 'boolean'}, {'type': 'null'}], 'default': None, 'title': 'User Is Member Of'}}, 'title': 'get_all_teamsArguments', 'type': 'object'}, description="""\n        Get a list of all teams in the organization.\n        \n        Args:\n            user_is_member_of: If true, return only teams where the current user is a member.\n                              Otherwise return all teams the user has read access to.\n            top: Maximum number of teams to return\n            skip: Number of teams to skip\n                \n        Returns:\n            Formatted string containing team information\n        """), # Vortiago/MCP Azure DevOps Server/get_all_teams
    Tool(name="""MCP Azure DevOps Server_get_team_members""", inputSchema={'properties': {'project_id': {'title': 'Project Id', 'type': 'string'}, 'skip': {'anyOf': [{'type': 'integer'}, {'type': 'null'}], 'default': None, 'title': 'Skip'}, 'team_id': {'title': 'Team Id', 'type': 'string'}, 'top': {'anyOf': [{'type': 'integer'}, {'type': 'null'}], 'default': None, 'title': 'Top'}}, 'required': ['project_id', 'team_id'], 'title': 'get_team_membersArguments', 'type': 'object'}, description="""\n        Get a list of members for a specific team.\n        \n        Args:\n            project_id: The name or ID (GUID) of the team project the team belongs to\n            team_id: The name or ID (GUID) of the team\n            top: Maximum number of members to return\n            skip: Number of members to skip\n                \n        Returns:\n            Formatted string containing team members information\n        """), # Vortiago/MCP Azure DevOps Server/get_team_members
    Tool(name="""MCP Azure DevOps Server_get_team_area_paths""", inputSchema={'properties': {'project_name_or_id': {'title': 'Project Name Or Id', 'type': 'string'}, 'team_name_or_id': {'title': 'Team Name Or Id', 'type': 'string'}}, 'required': ['project_name_or_id', 'team_name_or_id'], 'title': 'get_team_area_pathsArguments', 'type': 'object'}, description="""\n        Get the area paths assigned to a team.\n        \n        Args:\n            project_name_or_id: The name or ID of the team project\n            team_name_or_id: The name or ID of the team\n                \n        Returns:\n            Formatted string containing team area path information\n        """), # Vortiago/MCP Azure DevOps Server/get_team_area_paths
    Tool(name="""MCP Azure DevOps Server_get_team_iterations""", inputSchema={'properties': {'current': {'anyOf': [{'type': 'boolean'}, {'type': 'null'}], 'default': None, 'title': 'Current'}, 'project_name_or_id': {'title': 'Project Name Or Id', 'type': 'string'}, 'team_name_or_id': {'title': 'Team Name Or Id', 'type': 'string'}}, 'required': ['project_name_or_id', 'team_name_or_id'], 'title': 'get_team_iterationsArguments', 'type': 'object'}, description="""\n        Get the iterations assigned to a team.\n        \n        Args:\n            project_name_or_id: The name or ID of the team project\n            team_name_or_id: The name or ID of the team\n            current: If True, return only the current iteration\n                \n        Returns:\n            Formatted string containing team iteration information\n        """), # Vortiago/MCP Azure DevOps Server/get_team_iterations
    Tool(name="""DocGen MCP Server_create_documentation""", inputSchema={'properties': {'output_path': {'description': 'Path where to save the generated documentation', 'type': 'string'}, 'project_id': {'description': 'Project identifier (e.g., "JUVR058")', 'type': 'string'}, 'sources': {'items': {'properties': {'description': {'description': 'Brief description of the source', 'type': 'string'}, 'type': {'description': 'Type of source file', 'enum': ['presentation', 'script', 'code', 'reference'], 'type': 'string'}, 'url': {'description': 'URL or path to the source file', 'type': 'string'}}, 'required': ['url'], 'type': 'object'}, 'type': 'array'}, 'template_type': {'description': 'Type of documentation template to use (e.g., "CRISPRseq_Analysis")', 'type': 'string'}}, 'required': ['template_type', 'project_id', 'sources'], 'type': 'object'}, description="""Create documentation from source files using a template"""), # rjadhavJT/DocGen MCP Server/create_documentation
    Tool(name="""DocGen MCP Server_list_templates""", inputSchema={'properties': {'category': {'description': 'Optional category to filter templates', 'type': 'string'}}, 'type': 'object'}, description="""List available documentation templates"""), # rjadhavJT/DocGen MCP Server/list_templates
    Tool(name="""DocGen MCP Server_view_document_history""", inputSchema={'properties': {'limit': {'description': 'Maximum number of history entries to return', 'type': 'number'}, 'project_id': {'description': 'Filter by project ID', 'type': 'string'}}, 'type': 'object'}, description="""View history of previously generated documents"""), # rjadhavJT/DocGen MCP Server/view_document_history
    Tool(name="""MCP-Server-Inbox_write_note""", inputSchema={'properties': {'content': {'description': 'Text content of the note with markdown format', 'type': 'string'}, 'title': {'description': 'Optional title of the note', 'type': 'string'}}, 'required': ['content'], 'type': 'object'}, description="""Write note to inBox"""), # maoruibin/MCP-Server-Inbox/write_note
    Tool(name="""Weather MCP Server_get-alerts""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'state': {'description': 'Two-letter state code (e.g. CA, NY)', 'maxLength': 2, 'minLength': 2, 'type': 'string'}}, 'required': ['state'], 'type': 'object'}, description="""Get weather alerts for a state"""), # akaramanapp/Weather MCP Server/get-alerts
    Tool(name="""Weather MCP Server_get-forecast""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'latitude': {'description': 'Latitude of the location', 'maximum': 90, 'minimum': -90, 'type': 'number'}, 'longitude': {'description': 'Longitude of the location', 'maximum': 180, 'minimum': -180, 'type': 'number'}}, 'required': ['latitude', 'longitude'], 'type': 'object'}, description="""Get weather forecast for a location"""), # akaramanapp/Weather MCP Server/get-forecast
    Tool(name="""AdsPower LocalAPI MCP Server_close-browser""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'userId': {'description': 'The browser id of the browser to stop', 'type': 'string'}}, 'required': ['userId'], 'type': 'object'}, description="""Close the browser"""), # AdsPower/AdsPower LocalAPI MCP Server/close-browser
    Tool(name="""AdsPower LocalAPI MCP Server_create-browser""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'cookie': {'description': 'The cookie of the browser, eg: "[{"domain":".baidu.com","expirationDate":"","name":"","path":"/","sameSite":"unspecified","secure":true,"value":"","id":1}]"', 'type': 'string'}, 'country': {'description': 'The country of the browser, eg: "CN"', 'type': 'string'}, 'domainName': {'description': 'The domain name of the browser, eg: facebook.com', 'type': 'string'}, 'fingerprintConfig': {'additionalProperties': False, 'description': 'The fingerprint config of the browser, default is automatic_timezone: 0, timezone: "", language: [], flash: "", fonts: [], webrtc: disabled, browser_kernel_config: ua_auto, random_ua: ua_version: [], ua_system_version: [], tls_switch: 0, tls: ""', 'properties': {'automatic_timezone': {'description': 'The automatic timezone of the browser, default is 0', 'enum': ['0', '1'], 'type': 'string'}, 'browser_kernel_config': {'additionalProperties': False, 'description': 'The browser kernel config of the browser, default is version: ua_auto, type: chrome', 'properties': {'type': {'description': 'The type of the browser, default is chrome', 'enum': ['chrome', 'firefox'], 'type': 'string'}, 'version': {'description': 'The version of the browser, default is ua_auto', 'enum': ['92', '99', '102', '105', '108', '110', '113', '116', '120', '126', '130', '134', 'ua_auto'], 'type': 'string'}}, 'type': 'object'}, 'flash': {'description': 'The flash of the browser, default is disabled', 'enum': ['block', 'allow'], 'type': 'string'}, 'fonts': {'description': 'The fonts of the browser, eg: ["Arial", "Times New Roman"]', 'items': {'type': 'string'}, 'type': 'array'}, 'language': {'description': 'The language of the browser, eg: ["en-US", "zh-CN"]', 'items': {'type': 'string'}, 'type': 'array'}, 'random_ua': {'additionalProperties': False, 'description': 'The random ua config of the browser, default is ua_version: [], ua_system_version: []', 'properties': {'ua_system_version': {'description': 'The ua system version of the browser, eg: ["Android 9", "iOS 14"]', 'items': {'enum': ['Android 9', 'Android 10', 'Android 11', 'Android 12', 'Android 13', 'iOS 14', 'iOS 15', 'Windows 7', 'Windows 8', 'Windows 10', 'Windows 11', 'Mac OS X 10', 'Mac OS X 11', 'Mac OS X 12', 'Mac OS X 13', 'Linux'], 'type': 'string'}, 'type': 'array'}, 'ua_version': {'items': {'type': 'string'}, 'type': 'array'}}, 'type': 'object'}, 'timezone': {'description': 'The timezone of the browser, eg: Asia/Shanghai', 'type': 'string'}, 'tls': {'description': 'The tls of the browser, default is ""', 'type': 'string'}, 'tls_switch': {'description': 'The tls switch of the browser, default is 0', 'enum': ['0', '1'], 'type': 'string'}, 'webrtc': {'description': 'The webrtc of the browser, default is disabled', 'enum': ['disabled', 'forward', 'proxy', 'local'], 'type': 'string'}}, 'type': 'object'}, 'groupId': {'description': 'The group id of the browser, must be a valid group id, if not, you can use the get-group-list tool to get the group list or create a new group', 'type': 'string'}, 'name': {'description': 'The name of the browser, eg: "My Browser"', 'type': 'string'}, 'openUrls': {'description': 'The open urls of the browser, eg: ["https://www.google.com"]', 'items': {'type': 'string'}, 'type': 'array'}, 'password': {'description': 'The password of the browser, eg: "password"', 'type': 'string'}, 'storageStrategy': {'description': 'The storage strategy of the browser, default is 0', 'type': 'number'}, 'sysAppCateId': {'description': 'The sys app cate id of the browser, you can use the get-application-list tool to get the application list', 'type': 'string'}, 'userProxyConfig': {'additionalProperties': False, 'description': 'The user proxy config of the browser', 'properties': {'global_config': {'description': 'The global config of the browser, default is 0', 'enum': ['0', '1'], 'type': 'string'}, 'proxy_host': {'description': 'The proxy host of the browser, eg: 127.0.0.1', 'type': 'string'}, 'proxy_password': {'description': 'The proxy password of the browser, eg: password', 'type': 'string'}, 'proxy_port': {'description': 'The proxy port of the browser, eg: 8080', 'type': 'string'}, 'proxy_soft': {'description': 'The proxy soft of the browser', 'enum': ['brightdata', 'brightauto', 'oxylabsauto', '922S5auto', 'ipideeauto', 'ipfoxyauto', '922S5auth', 'kookauto', 'ssh', 'other', 'no_proxy'], 'type': 'string'}, 'proxy_type': {'enum': ['http', 'https', 'socks5', 'no_proxy'], 'type': 'string'}, 'proxy_url': {'description': 'The proxy url of the browser, eg: http://127.0.0.1:8080', 'type': 'string'}, 'proxy_user': {'description': 'The proxy user of the browser, eg: user', 'type': 'string'}}, 'required': ['proxy_soft'], 'type': 'object'}, 'username': {'description': 'The username of the browser, eg: "user"', 'type': 'string'}}, 'required': ['groupId', 'userProxyConfig'], 'type': 'object'}, description="""Create a browser"""), # AdsPower/AdsPower LocalAPI MCP Server/create-browser
    Tool(name="""AdsPower LocalAPI MCP Server_update-browser""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'cookie': {'description': 'The cookie of the browser, eg: "[{"domain":".baidu.com","expirationDate":"","name":"","path":"/","sameSite":"unspecified","secure":true,"value":"","id":1}]"', 'type': 'string'}, 'country': {'description': 'The country of the browser, eg: "CN"', 'type': 'string'}, 'domainName': {'description': 'The domain name of the browser, eg: facebook.com', 'type': 'string'}, 'fingerprintConfig': {'additionalProperties': False, 'description': 'The fingerprint config of the browser, default is automatic_timezone: 0, timezone: "", language: [], flash: "", fonts: [], webrtc: disabled, browser_kernel_config: ua_auto, random_ua: ua_version: [], ua_system_version: [], tls_switch: 0, tls: ""', 'properties': {'automatic_timezone': {'description': 'The automatic timezone of the browser, default is 0', 'enum': ['0', '1'], 'type': 'string'}, 'browser_kernel_config': {'additionalProperties': False, 'description': 'The browser kernel config of the browser, default is version: ua_auto, type: chrome', 'properties': {'type': {'description': 'The type of the browser, default is chrome', 'enum': ['chrome', 'firefox'], 'type': 'string'}, 'version': {'description': 'The version of the browser, default is ua_auto', 'enum': ['92', '99', '102', '105', '108', '110', '113', '116', '120', '126', '130', '134', 'ua_auto'], 'type': 'string'}}, 'type': 'object'}, 'flash': {'description': 'The flash of the browser, default is disabled', 'enum': ['block', 'allow'], 'type': 'string'}, 'fonts': {'description': 'The fonts of the browser, eg: ["Arial", "Times New Roman"]', 'items': {'type': 'string'}, 'type': 'array'}, 'language': {'description': 'The language of the browser, eg: ["en-US", "zh-CN"]', 'items': {'type': 'string'}, 'type': 'array'}, 'random_ua': {'additionalProperties': False, 'description': 'The random ua config of the browser, default is ua_version: [], ua_system_version: []', 'properties': {'ua_system_version': {'description': 'The ua system version of the browser, eg: ["Android 9", "iOS 14"]', 'items': {'enum': ['Android 9', 'Android 10', 'Android 11', 'Android 12', 'Android 13', 'iOS 14', 'iOS 15', 'Windows 7', 'Windows 8', 'Windows 10', 'Windows 11', 'Mac OS X 10', 'Mac OS X 11', 'Mac OS X 12', 'Mac OS X 13', 'Linux'], 'type': 'string'}, 'type': 'array'}, 'ua_version': {'items': {'type': 'string'}, 'type': 'array'}}, 'type': 'object'}, 'timezone': {'description': 'The timezone of the browser, eg: Asia/Shanghai', 'type': 'string'}, 'tls': {'description': 'The tls of the browser, default is ""', 'type': 'string'}, 'tls_switch': {'description': 'The tls switch of the browser, default is 0', 'enum': ['0', '1'], 'type': 'string'}, 'webrtc': {'description': 'The webrtc of the browser, default is disabled', 'enum': ['disabled', 'forward', 'proxy', 'local'], 'type': 'string'}}, 'type': 'object'}, 'groupId': {'description': 'The group id of the browser, must be a valid group id, if not, you can use the get-group-list tool to get the group list or create a new group', 'type': 'string'}, 'name': {'description': 'The name of the browser, eg: "My Browser"', 'type': 'string'}, 'openUrls': {'description': 'The open urls of the browser, eg: ["https://www.google.com"]', 'items': {'type': 'string'}, 'type': 'array'}, 'password': {'description': 'The password of the browser, eg: "password"', 'type': 'string'}, 'storageStrategy': {'description': 'The storage strategy of the browser, default is 0', 'type': 'number'}, 'sysAppCateId': {'description': 'The sys app cate id of the browser, you can use the get-application-list tool to get the application list', 'type': 'string'}, 'userId': {'description': 'The user id of the browser to update', 'type': 'string'}, 'userProxyConfig': {'additionalProperties': False, 'description': 'The user proxy config of the browser', 'properties': {'global_config': {'description': 'The global config of the browser, default is 0', 'enum': ['0', '1'], 'type': 'string'}, 'proxy_host': {'description': 'The proxy host of the browser, eg: 127.0.0.1', 'type': 'string'}, 'proxy_password': {'description': 'The proxy password of the browser, eg: password', 'type': 'string'}, 'proxy_port': {'description': 'The proxy port of the browser, eg: 8080', 'type': 'string'}, 'proxy_soft': {'description': 'The proxy soft of the browser', 'enum': ['brightdata', 'brightauto', 'oxylabsauto', '922S5auto', 'ipideeauto', 'ipfoxyauto', '922S5auth', 'kookauto', 'ssh', 'other', 'no_proxy'], 'type': 'string'}, 'proxy_type': {'enum': ['http', 'https', 'socks5', 'no_proxy'], 'type': 'string'}, 'proxy_url': {'description': 'The proxy url of the browser, eg: http://127.0.0.1:8080', 'type': 'string'}, 'proxy_user': {'description': 'The proxy user of the browser, eg: user', 'type': 'string'}}, 'required': ['proxy_soft'], 'type': 'object'}, 'username': {'description': 'The username of the browser, eg: "user"', 'type': 'string'}}, 'required': ['groupId', 'userProxyConfig', 'userId'], 'type': 'object'}, description="""Update the browser"""), # AdsPower/AdsPower LocalAPI MCP Server/update-browser
    Tool(name="""AdsPower LocalAPI MCP Server_open-browser""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'serialNumber': {'description': 'The serial number of the browser to open', 'type': 'string'}, 'userId': {'description': 'The browser id of the browser to open', 'type': 'string'}}, 'type': 'object'}, description="""Open the browser"""), # AdsPower/AdsPower LocalAPI MCP Server/open-browser
    Tool(name="""AdsPower LocalAPI MCP Server_delete-browser""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'userIds': {'description': 'The user ids of the browsers to delete', 'items': {'type': 'string'}, 'type': 'array'}}, 'required': ['userIds'], 'type': 'object'}, description="""Delete the browser"""), # AdsPower/AdsPower LocalAPI MCP Server/delete-browser
    Tool(name="""AdsPower LocalAPI MCP Server_get-browser-list""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'groupId': {'description': 'The group id of the browser', 'type': 'string'}, 'id': {'description': 'The id of the browser', 'type': 'string'}, 'order': {'description': 'The order of the browser', 'enum': ['asc', 'desc'], 'type': 'string'}, 'serialNumber': {'description': 'The serial number of the browser', 'type': 'string'}, 'size': {'description': 'The size of the page', 'type': 'number'}, 'sort': {'description': 'The sort of the browser', 'enum': ['serial_number', 'last_open_time', 'created_time'], 'type': 'string'}}, 'type': 'object'}, description="""Get the list of browsers"""), # AdsPower/AdsPower LocalAPI MCP Server/get-browser-list
    Tool(name="""AdsPower LocalAPI MCP Server_get-opened-browser""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {}, 'type': 'object'}, description="""Get the list of opened browsers"""), # AdsPower/AdsPower LocalAPI MCP Server/get-opened-browser
    Tool(name="""AdsPower LocalAPI MCP Server_move-browser""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'groupId': {'description': 'The target group id', 'type': 'string'}, 'userIds': {'description': 'The browser ids to move', 'items': {'type': 'string'}, 'type': 'array'}}, 'required': ['groupId', 'userIds'], 'type': 'object'}, description="""Move browsers to a group"""), # AdsPower/AdsPower LocalAPI MCP Server/move-browser
    Tool(name="""AdsPower LocalAPI MCP Server_create-group""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'groupName': {'description': 'The name of the group to create', 'type': 'string'}, 'remark': {'description': 'The remark of the group', 'type': 'string'}}, 'required': ['groupName'], 'type': 'object'}, description="""Create a browser group"""), # AdsPower/AdsPower LocalAPI MCP Server/create-group
    Tool(name="""AdsPower LocalAPI MCP Server_update-group""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'groupId': {'description': 'The id of the group to update', 'type': 'string'}, 'groupName': {'description': 'The new name of the group', 'type': 'string'}, 'remark': {'description': 'The new remark of the group', 'type': ['string', 'null']}}, 'required': ['groupId', 'groupName'], 'type': 'object'}, description="""Update the browser group"""), # AdsPower/AdsPower LocalAPI MCP Server/update-group
    Tool(name="""AdsPower LocalAPI MCP Server_get-group-list""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'name': {'description': 'The name of the group', 'type': 'string'}, 'size': {'description': 'The size of the page', 'type': 'number'}}, 'type': 'object'}, description="""Get the list of groups"""), # AdsPower/AdsPower LocalAPI MCP Server/get-group-list
    Tool(name="""AdsPower LocalAPI MCP Server_get-application-list""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'size': {'description': 'The size of the page', 'type': 'number'}}, 'type': 'object'}, description="""Get the list of applications"""), # AdsPower/AdsPower LocalAPI MCP Server/get-application-list
    Tool(name="""React Native Debugger MCP_getConnectedApps""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'metroServerPort': {'description': 'The port number of the Metro server', 'type': 'number'}}, 'required': ['metroServerPort'], 'type': 'object'}, description="""Get the connected apps"""), # twodoorsdev/React Native Debugger MCP/getConnectedApps
    Tool(name="""React Native Debugger MCP_readConsoleLogsFromApp""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'app': {'additionalProperties': False, 'description': 'The app object as returned by getConnectedApps', 'properties': {'description': {'description': "The Metro application's bundle ID", 'type': 'string'}, 'id': {'description': 'The Metro application ID', 'type': 'string'}, 'webSocketDebuggerUrl': {'description': 'The websocket debugger URL for the application', 'type': 'string'}}, 'required': ['id', 'description', 'webSocketDebuggerUrl'], 'type': 'object'}, 'maxLogs': {'description': 'Maximum number of logs to return (default: 100)', 'type': 'number'}}, 'required': ['app'], 'type': 'object'}, description="""Reads console logs from a connected React Native app through the debugger WebSocket"""), # twodoorsdev/React Native Debugger MCP/readConsoleLogsFromApp
    Tool(name="""Geekbot MCP_fetch_standups""", inputSchema={'properties': {}, 'title': 'fetch_standupsArguments', 'type': 'object'}, description="""Fetch standups list from Geekbot\n\n    Returns:\n        str: Properly formatted JSON string of standups list\n    """), # geekbot-com/Geekbot MCP/fetch_standups
    Tool(name="""Geekbot MCP_fetch_reports""", inputSchema={'properties': {'after': {'default': None, 'title': 'After', 'type': 'string'}, 'before': {'default': None, 'title': 'Before', 'type': 'string'}, 'standup_id': {'default': None, 'title': 'Standup Id', 'type': 'integer'}, 'user_id': {'default': None, 'title': 'User Id', 'type': 'integer'}}, 'title': 'fetch_reportsArguments', 'type': 'object'}, description="""Fetch reports list from Geekbot\n\n    Args:\n        standup_id: int, optional, default is None The standup id to fetch reports for\n        user_id: int, optional, default is None The user id to fetch reports for\n        after: str, optional, default is None The date to fetch reports after in YYYY-MM-DD format\n        before: str, optional, default is None The date to fetch reports before in YYYY-MM-DD format\n    Returns:\n        str: Properly formatted JSON string of reports list\n    """), # geekbot-com/Geekbot MCP/fetch_reports
    Tool(name="""MCP Server Flomo_write_note""", inputSchema={'properties': {'content': {'description': 'Text content of the note with markdown format', 'type': 'string'}}, 'required': ['content'], 'type': 'object'}, description="""Write note to flomo"""), # chatmcp/MCP Server Flomo/write_note
    Tool(name="""coindesk-mcp_read_news""", inputSchema={'properties': {'url': {'title': 'Url', 'type': 'string'}}, 'required': ['url'], 'title': 'read_newsArguments', 'type': 'object'}, description="""\n    Retrieves and extracts the full content of a specific news article from CoinDesk.\n\n    Fetches the HTML content from the provided URL, processes it to extract\n    structured news information including title, subtitle, author, publication date,\n    and article content.\n\n    Args:\n        url (str): The complete URL of the CoinDesk news article to retrieve\n\n    Returns:\n        str: A formatted string containing the article's title, subtitle, author,\n             publication information, and content preview\n\n    Raises:\n        HTTPStatusError: If the URL request fails\n        Exception: If article parsing encounters errors\n    """), # narumiruna/coindesk-mcp/read_news
    Tool(name="""coindesk-mcp_recent_news""", inputSchema={'properties': {}, 'title': 'recent_newsArguments', 'type': 'object'}, description="""\n    Retrieves the latest cryptocurrency and blockchain news articles from CoinDesk's RSS feed.\n\n    Fetches the current RSS feed from CoinDesk, parses it to extract information about\n    recent articles, and returns a formatted list of news items including titles,\n    links, publication timestamps, and summary content.\n\n    Returns:\n        str: A formatted string containing multiple news entries separated by '---',\n             with each entry showing title, URL, publication time, and summary\n\n    Raises:\n        HTTPStatusError: If the RSS feed request fails\n        Exception: If RSS parsing encounters errors\n    """), # narumiruna/coindesk-mcp/recent_news
    Tool(name="""mcp-scholar_scholar_search""", inputSchema={'properties': {'count': {'default': 5, 'title': 'Count', 'type': 'integer'}, 'fuzzy_search': {'default': False, 'title': 'Fuzzy Search', 'type': 'boolean'}, 'keywords': {'title': 'Keywords', 'type': 'string'}, 'sort_by': {'default': 'relevance', 'title': 'Sort By', 'type': 'string'}, 'year_end': {'anyOf': [{'type': 'integer'}, {'type': 'null'}], 'default': None, 'title': 'Year End'}, 'year_start': {'anyOf': [{'type': 'integer'}, {'type': 'null'}], 'default': None, 'title': 'Year Start'}}, 'required': ['keywords'], 'title': 'scholar_searchArguments', 'type': 'object'}, description="""\n    \n\n    Args:\n        keywords: \n        count: 5\n        fuzzy_search: False\n        sort_by: :\n            - \"relevance\": \n            - \"citations\": \n            - \"date\": \n            - \"title\": \n        year_start: \n        year_end: \n\n    Returns:\n        Dict: \n    """), # renyumeng1/mcp-scholar/scholar_search
    Tool(name="""mcp-scholar_adaptive_search""", inputSchema={'properties': {'count': {'default': 5, 'title': 'Count', 'type': 'integer'}, 'keywords': {'title': 'Keywords', 'type': 'string'}, 'min_results': {'default': 3, 'title': 'Min Results', 'type': 'integer'}, 'sort_by': {'default': 'relevance', 'title': 'Sort By', 'type': 'string'}, 'year_end': {'anyOf': [{'type': 'integer'}, {'type': 'null'}], 'default': None, 'title': 'Year End'}, 'year_start': {'anyOf': [{'type': 'integer'}, {'type': 'null'}], 'default': None, 'title': 'Year Start'}}, 'required': ['keywords'], 'title': 'adaptive_searchArguments', 'type': 'object'}, description="""\n    \n\n    Args:\n        keywords: \n        count: 5\n        min_results: 3\n        sort_by: :\n            - \"relevance\": \n            - \"citations\": \n            - \"date\": \n            - \"title\": \n        year_start: \n        year_end: \n\n    Returns:\n        Dict: \n    """), # renyumeng1/mcp-scholar/adaptive_search
    Tool(name="""mcp-scholar_paper_detail""", inputSchema={'properties': {'paper_id': {'title': 'Paper Id', 'type': 'string'}}, 'required': ['paper_id'], 'title': 'paper_detailArguments', 'type': 'object'}, description="""\n    \n\n    Args:\n        paper_id: ID\n\n    Returns:\n        Dict: \n    """), # renyumeng1/mcp-scholar/paper_detail
    Tool(name="""mcp-scholar_paper_references""", inputSchema={'properties': {'count': {'default': 5, 'title': 'Count', 'type': 'integer'}, 'paper_id': {'title': 'Paper Id', 'type': 'string'}, 'sort_by': {'default': 'relevance', 'title': 'Sort By', 'type': 'string'}}, 'required': ['paper_id'], 'title': 'paper_referencesArguments', 'type': 'object'}, description="""\n    \n\n    Args:\n        paper_id: ID\n        count: 5\n        sort_by: :\n            - \"relevance\": \n            - \"citations\": \n            - \"date\": \n            - \"title\": \n\n    Returns:\n        Dict: \n    """), # renyumeng1/mcp-scholar/paper_references
    Tool(name="""mcp-scholar_profile_papers""", inputSchema={'properties': {'count': {'default': 5, 'title': 'Count', 'type': 'integer'}, 'profile_url': {'title': 'Profile Url', 'type': 'string'}, 'sort_by': {'default': 'relevance', 'title': 'Sort By', 'type': 'string'}}, 'required': ['profile_url'], 'title': 'profile_papersArguments', 'type': 'object'}, description="""\n    \n\n    Args:\n        profile_url: URL\n        count: 5\n        sort_by: :\n            - \"relevance\": \n            - \"citations\": \n            - \"date\": \n            - \"title\": \n\n    Returns:\n        Dict: \n    """), # renyumeng1/mcp-scholar/profile_papers
    Tool(name="""mcp-scholar_summarize_papers""", inputSchema={'properties': {'count': {'default': 5, 'title': 'Count', 'type': 'integer'}, 'sort_by': {'default': 'relevance', 'title': 'Sort By', 'type': 'string'}, 'topic': {'title': 'Topic', 'type': 'string'}, 'year_end': {'anyOf': [{'type': 'integer'}, {'type': 'null'}], 'default': None, 'title': 'Year End'}, 'year_start': {'anyOf': [{'type': 'integer'}, {'type': 'null'}], 'default': None, 'title': 'Year Start'}}, 'required': ['topic'], 'title': 'summarize_papersArguments', 'type': 'object'}, description="""\n    \n\n    Args:\n        topic: \n        count: 5\n        sort_by: :\n            - \"relevance\": \n            - \"citations\": \n            - \"date\": \n            - \"title\": \n        year_start: \n        year_end: \n\n    Returns:\n        str: Markdown\n    """), # renyumeng1/mcp-scholar/summarize_papers
    Tool(name="""mcp-scholar_health_check""", inputSchema={'properties': {}, 'title': 'health_checkArguments', 'type': 'object'}, description="""\n    \n\n    Returns:\n        str: \n    """), # renyumeng1/mcp-scholar/health_check
    Tool(name="""Crunchbase MCP Server_search_companies""", inputSchema={'properties': {'category': {'description': 'Filter by category (e.g., "Artificial Intelligence", "Fintech")', 'type': 'string'}, 'founded_after': {'description': 'Filter by founding date (YYYY-MM-DD)', 'type': 'string'}, 'founded_before': {'description': 'Filter by founding date (YYYY-MM-DD)', 'type': 'string'}, 'limit': {'description': 'Maximum number of results to return (default: 10)', 'type': 'number'}, 'location': {'description': 'Filter by location (e.g., "San Francisco", "New York")', 'type': 'string'}, 'query': {'description': 'Search query (e.g., company name, description)', 'type': 'string'}, 'status': {'description': 'Filter by company status (e.g., "active", "closed")', 'type': 'string'}}, 'type': 'object'}, description="""Search for companies based on various criteria"""), # Cyreslab-AI/Crunchbase MCP Server/search_companies
    Tool(name="""Crunchbase MCP Server_get_company_details""", inputSchema={'properties': {'name_or_id': {'description': 'Company name or UUID', 'type': 'string'}}, 'required': ['name_or_id'], 'type': 'object'}, description="""Get detailed information about a specific company"""), # Cyreslab-AI/Crunchbase MCP Server/get_company_details
    Tool(name="""Crunchbase MCP Server_get_funding_rounds""", inputSchema={'properties': {'company_name_or_id': {'description': 'Company name or UUID', 'type': 'string'}, 'limit': {'description': 'Maximum number of results to return (default: 10)', 'type': 'number'}}, 'required': ['company_name_or_id'], 'type': 'object'}, description="""Get funding rounds for a specific company"""), # Cyreslab-AI/Crunchbase MCP Server/get_funding_rounds
    Tool(name="""Crunchbase MCP Server_get_acquisitions""", inputSchema={'properties': {'company_name_or_id': {'description': 'Company name or UUID', 'type': 'string'}, 'limit': {'description': 'Maximum number of results to return (default: 10)', 'type': 'number'}}, 'type': 'object'}, description="""Get acquisitions made by or of a specific company"""), # Cyreslab-AI/Crunchbase MCP Server/get_acquisitions
    Tool(name="""Crunchbase MCP Server_search_people""", inputSchema={'properties': {'company': {'description': 'Filter by company name', 'type': 'string'}, 'limit': {'description': 'Maximum number of results to return (default: 10)', 'type': 'number'}, 'query': {'description': 'Search query (e.g., person name)', 'type': 'string'}, 'title': {'description': 'Filter by job title', 'type': 'string'}}, 'type': 'object'}, description="""Search for people based on various criteria"""), # Cyreslab-AI/Crunchbase MCP Server/search_people
    Tool(name="""APISIX-MCP_get_plugin_metadata""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'name': {'description': 'plugins name', 'type': 'string'}}, 'required': ['name'], 'type': 'object'}, description="""Get metadata for a specific plugin"""), # api7/APISIX-MCP/get_plugin_metadata
    Tool(name="""APISIX-MCP_create_plugin_config""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'id': {'description': 'plugin config ID', 'type': 'string'}, 'plugins': {'additionalProperties': False, 'properties': {'desc': {'description': 'plugin config description', 'type': 'string'}, 'labels': {'additionalProperties': {'type': 'string'}, 'description': 'plugin config labels', 'type': 'object'}, 'plugins': {'additionalProperties': {}, 'description': 'plugins configuration', 'type': 'object'}}, 'required': ['desc', 'labels', 'plugins'], 'type': 'object'}}, 'required': ['id', 'plugins'], 'type': 'object'}, description="""Create a new plugin config"""), # api7/APISIX-MCP/create_plugin_config
    Tool(name="""APISIX-MCP_get_resource""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'id': {'description': 'resource id', 'type': 'string'}, 'labels': {'additionalProperties': {'type': 'string'}, 'description': 'filter labels', 'type': 'object'}, 'name': {'description': 'filter name', 'type': 'string'}, 'page': {'default': 1, 'description': 'page number', 'type': 'number'}, 'page_size': {'default': 50, 'description': 'page size', 'maximum': 500, 'minimum': 10, 'type': 'number'}, 'type': {'description': 'resource type', 'enum': ['routes', 'services', 'upstreams', 'consumers', 'ssls', 'consumer_groups', 'plugin_configs', 'global_rules', 'stream_routes', 'protos', 'plugin_configs'], 'type': 'string'}, 'uri': {'description': 'filter uri', 'type': 'string'}}, 'required': ['type'], 'type': 'object'}, description="""Get resource details by ID or list all resources"""), # api7/APISIX-MCP/get_resource
    Tool(name="""APISIX-MCP_delete_resource""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'id': {'description': 'resource id', 'type': 'string'}, 'type': {'description': 'resource type', 'enum': ['routes', 'services', 'upstreams', 'consumers', 'ssls', 'consumer_groups', 'plugin_configs', 'global_rules', 'stream_routes', 'protos', 'plugin_configs'], 'type': 'string'}}, 'required': ['id', 'type'], 'type': 'object'}, description="""Delete a resource by ID"""), # api7/APISIX-MCP/delete_resource
    Tool(name="""APISIX-MCP_create_route""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'id': {'description': 'route id', 'type': 'string'}, 'route': {'additionalProperties': True, 'description': 'route configuration', 'properties': {'desc': {'description': 'route description', 'maxLength': 256, 'type': 'string'}, 'enable_websocket': {'description': 'enable websocket', 'type': 'boolean'}, 'filter_func': {'description': 'route filter function', 'type': 'string'}, 'host': {'description': 'route host', 'type': 'string'}, 'hosts': {'description': 'allowed hosts', 'items': {'type': 'string'}, 'type': 'array'}, 'labels': {'additionalProperties': {'type': 'string'}, 'description': 'route labels', 'type': 'object'}, 'methods': {'description': 'allowed HTTP methods', 'items': {'enum': ['GET', 'POST', 'PUT', 'DELETE', 'PATCH', 'HEAD', 'OPTIONS', 'TRACE', 'CONNECT', 'PURGE'], 'type': 'string'}, 'type': 'array'}, 'name': {'description': 'route name', 'type': 'string'}, 'plugins': {'additionalProperties': {}, 'description': 'plugins', 'type': 'object'}, 'priority': {'default': 0, 'description': 'route priority', 'type': 'number'}, 'remote_addr': {'description': 'allowed remote address', 'type': 'string'}, 'remote_addrs': {'description': 'allowed remote addresses', 'items': {'type': 'string'}, 'type': 'array'}, 'script': {'additionalProperties': {}, 'description': 'route script configuration', 'type': 'object'}, 'service_id': {'description': 'service id', 'type': 'string'}, 'service_protocol': {'description': 'service protocol', 'type': 'string'}, 'status': {'description': 'route status', 'enum': [0, 1], 'type': 'number'}, 'upstream': {'additionalProperties': True, 'description': 'upstream configuration', 'properties': {'checks': {'additionalProperties': False, 'description': 'health check configuration', 'properties': {'active': {'additionalProperties': False, 'description': 'active health check configuration', 'properties': {'healthy': {'additionalProperties': False, 'properties': {'interval': {'description': 'check interval for healthy status', 'type': 'number'}, 'successes': {'description': 'success count threshold', 'type': 'number'}}, 'type': 'object'}, 'host': {'description': 'host for health check', 'type': 'string'}, 'http_path': {'description': 'HTTP path for health check', 'type': 'string'}, 'https_verify_certificate': {'description': 'verify HTTPS certificate', 'type': 'boolean'}, 'port': {'description': 'port for health check', 'type': 'number'}, 'timeout': {'description': 'timeout for health check', 'type': 'number'}, 'unhealthy': {'additionalProperties': False, 'properties': {'http_failures': {'description': 'HTTP failure count threshold', 'type': 'number'}, 'interval': {'description': 'check interval for unhealthy status', 'type': 'number'}}, 'type': 'object'}}, 'type': 'object'}, 'passive': {'additionalProperties': False, 'description': 'passive health check configuration', 'properties': {'healthy': {'additionalProperties': False, 'properties': {'http_statuses': {'description': 'HTTP status codes for healthy state', 'items': {'type': 'number'}, 'type': 'array'}, 'successes': {'description': 'success count threshold', 'type': 'number'}}, 'type': 'object'}, 'unhealthy': {'additionalProperties': False, 'properties': {'http_failures': {'description': 'HTTP failure count threshold', 'type': 'number'}, 'http_statuses': {'description': 'HTTP status codes for unhealthy state', 'items': {'type': 'number'}, 'type': 'array'}, 'timeout': {'description': 'timeout threshold', 'type': 'number'}}, 'type': 'object'}}, 'type': 'object'}}, 'type': 'object'}, 'desc': {'description': 'upstream description', 'maxLength': 256, 'type': 'string'}, 'hash_on': {'description': 'hash on type for chash algorithm', 'enum': ['vars', 'header', 'cookie', 'consumer', 'vars_combinations'], 'type': 'string'}, 'keepalive_pool': {'additionalProperties': False, 'description': 'keepalive pool configuration', 'properties': {'idle_timeout': {'default': 60, 'description': 'idle timeout', 'type': 'number'}, 'requests': {'default': 1000, 'description': 'requests', 'type': 'number'}, 'size': {'default': 320, 'description': 'size', 'type': 'number'}}, 'type': 'object'}, 'key': {'description': 'hash key for chash algorithm', 'type': 'string'}, 'labels': {'additionalProperties': {'type': 'string'}, 'description': 'upstream labels', 'type': 'object'}, 'name': {'description': 'upstream name', 'type': 'string'}, 'nodes': {'description': 'upstream nodes with weights', 'items': {'additionalProperties': False, 'properties': {'host': {'description': 'upstream host', 'type': 'string'}, 'port': {'description': 'upstream port', 'type': 'number'}, 'priority': {'description': 'upstream priority', 'minimum': 0, 'type': 'number'}, 'weight': {'description': 'upstream weight', 'minimum': 0, 'type': 'number'}}, 'required': ['host', 'port'], 'type': 'object'}, 'type': 'array'}, 'pass_host': {'default': 'pass', 'description': 'host passing mode', 'enum': ['pass', 'node', 'rewrite'], 'type': 'string'}, 'retries': {'description': 'retry count', 'minimum': 0, 'type': 'number'}, 'retry_timeout': {'description': 'retry timeout', 'minimum': 0, 'type': 'number'}, 'scheme': {'default': 'http', 'description': 'upstream scheme', 'enum': ['http', 'https', 'grpc', 'grpcs', 'tcp', 'tls', 'udp', 'kafka'], 'type': 'string'}, 'timeout': {'additionalProperties': False, 'description': 'timeout configuration', 'properties': {'connect': {'description': 'connection timeout in seconds', 'type': 'number'}, 'read': {'description': 'read timeout in seconds', 'type': 'number'}, 'send': {'description': 'send timeout in seconds', 'type': 'number'}}, 'type': 'object'}, 'tls': {'additionalProperties': False, 'description': 'TLS configuration', 'properties': {'client_cert': {'description': 'TLS certificate', 'type': 'string'}, 'client_cert_id': {'description': 'TLS certificate id', 'items': {'type': 'string'}, 'type': 'array'}, 'client_key': {'description': 'TLS key', 'type': 'string'}, 'verify': {'description': 'TLS verification', 'type': 'boolean'}}, 'type': 'object'}, 'type': {'default': 'roundrobin', 'description': 'load balancing algorithm', 'enum': ['roundrobin', 'chash', 'ewma', 'least_conn'], 'type': 'string'}, 'upstream_host': {'description': 'upstream host for rewrite mode', 'type': 'string'}}, 'type': 'object'}, 'upstream_id': {'description': 'upstream id', 'type': 'string'}, 'uri': {'description': 'route path', 'type': 'string'}, 'uris': {'description': 'multiple route paths', 'items': {'type': 'string'}, 'type': 'array'}, 'vars': {'description': 'route match variables', 'items': {'type': 'array'}, 'type': 'array'}}, 'required': ['uri'], 'type': 'object'}}, 'required': ['route'], 'type': 'object'}, description="""Create a route"""), # api7/APISIX-MCP/create_route
    Tool(name="""APISIX-MCP_update_route""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'id': {'description': 'route id', 'type': 'string'}, 'route': {'additionalProperties': True, 'description': 'route configuration', 'properties': {'desc': {'description': 'route description', 'maxLength': 256, 'type': 'string'}, 'enable_websocket': {'description': 'enable websocket', 'type': 'boolean'}, 'filter_func': {'description': 'route filter function', 'type': 'string'}, 'host': {'description': 'route host', 'type': 'string'}, 'hosts': {'description': 'allowed hosts', 'items': {'type': 'string'}, 'type': 'array'}, 'labels': {'additionalProperties': {'type': 'string'}, 'description': 'route labels', 'type': 'object'}, 'methods': {'description': 'allowed HTTP methods', 'items': {'enum': ['GET', 'POST', 'PUT', 'DELETE', 'PATCH', 'HEAD', 'OPTIONS', 'TRACE', 'CONNECT', 'PURGE'], 'type': 'string'}, 'type': 'array'}, 'name': {'description': 'route name', 'type': 'string'}, 'plugins': {'additionalProperties': {}, 'description': 'plugins', 'type': 'object'}, 'priority': {'default': 0, 'description': 'route priority', 'type': 'number'}, 'remote_addr': {'description': 'allowed remote address', 'type': 'string'}, 'remote_addrs': {'description': 'allowed remote addresses', 'items': {'type': 'string'}, 'type': 'array'}, 'script': {'additionalProperties': {}, 'description': 'route script configuration', 'type': 'object'}, 'service_id': {'description': 'service id', 'type': 'string'}, 'service_protocol': {'description': 'service protocol', 'type': 'string'}, 'status': {'description': 'route status', 'enum': [0, 1], 'type': 'number'}, 'upstream': {'additionalProperties': True, 'description': 'upstream configuration', 'properties': {'checks': {'additionalProperties': False, 'description': 'health check configuration', 'properties': {'active': {'additionalProperties': False, 'description': 'active health check configuration', 'properties': {'healthy': {'additionalProperties': False, 'properties': {'interval': {'description': 'check interval for healthy status', 'type': 'number'}, 'successes': {'description': 'success count threshold', 'type': 'number'}}, 'type': 'object'}, 'host': {'description': 'host for health check', 'type': 'string'}, 'http_path': {'description': 'HTTP path for health check', 'type': 'string'}, 'https_verify_certificate': {'description': 'verify HTTPS certificate', 'type': 'boolean'}, 'port': {'description': 'port for health check', 'type': 'number'}, 'timeout': {'description': 'timeout for health check', 'type': 'number'}, 'unhealthy': {'additionalProperties': False, 'properties': {'http_failures': {'description': 'HTTP failure count threshold', 'type': 'number'}, 'interval': {'description': 'check interval for unhealthy status', 'type': 'number'}}, 'type': 'object'}}, 'type': 'object'}, 'passive': {'additionalProperties': False, 'description': 'passive health check configuration', 'properties': {'healthy': {'additionalProperties': False, 'properties': {'http_statuses': {'description': 'HTTP status codes for healthy state', 'items': {'type': 'number'}, 'type': 'array'}, 'successes': {'description': 'success count threshold', 'type': 'number'}}, 'type': 'object'}, 'unhealthy': {'additionalProperties': False, 'properties': {'http_failures': {'description': 'HTTP failure count threshold', 'type': 'number'}, 'http_statuses': {'description': 'HTTP status codes for unhealthy state', 'items': {'type': 'number'}, 'type': 'array'}, 'timeout': {'description': 'timeout threshold', 'type': 'number'}}, 'type': 'object'}}, 'type': 'object'}}, 'type': 'object'}, 'desc': {'description': 'upstream description', 'maxLength': 256, 'type': 'string'}, 'hash_on': {'description': 'hash on type for chash algorithm', 'enum': ['vars', 'header', 'cookie', 'consumer', 'vars_combinations'], 'type': 'string'}, 'keepalive_pool': {'additionalProperties': False, 'description': 'keepalive pool configuration', 'properties': {'idle_timeout': {'default': 60, 'description': 'idle timeout', 'type': 'number'}, 'requests': {'default': 1000, 'description': 'requests', 'type': 'number'}, 'size': {'default': 320, 'description': 'size', 'type': 'number'}}, 'type': 'object'}, 'key': {'description': 'hash key for chash algorithm', 'type': 'string'}, 'labels': {'additionalProperties': {'type': 'string'}, 'description': 'upstream labels', 'type': 'object'}, 'name': {'description': 'upstream name', 'type': 'string'}, 'nodes': {'description': 'upstream nodes with weights', 'items': {'additionalProperties': False, 'properties': {'host': {'description': 'upstream host', 'type': 'string'}, 'port': {'description': 'upstream port', 'type': 'number'}, 'priority': {'description': 'upstream priority', 'minimum': 0, 'type': 'number'}, 'weight': {'description': 'upstream weight', 'minimum': 0, 'type': 'number'}}, 'required': ['host', 'port'], 'type': 'object'}, 'type': 'array'}, 'pass_host': {'default': 'pass', 'description': 'host passing mode', 'enum': ['pass', 'node', 'rewrite'], 'type': 'string'}, 'retries': {'description': 'retry count', 'minimum': 0, 'type': 'number'}, 'retry_timeout': {'description': 'retry timeout', 'minimum': 0, 'type': 'number'}, 'scheme': {'default': 'http', 'description': 'upstream scheme', 'enum': ['http', 'https', 'grpc', 'grpcs', 'tcp', 'tls', 'udp', 'kafka'], 'type': 'string'}, 'timeout': {'additionalProperties': False, 'description': 'timeout configuration', 'properties': {'connect': {'description': 'connection timeout in seconds', 'type': 'number'}, 'read': {'description': 'read timeout in seconds', 'type': 'number'}, 'send': {'description': 'send timeout in seconds', 'type': 'number'}}, 'type': 'object'}, 'tls': {'additionalProperties': False, 'description': 'TLS configuration', 'properties': {'client_cert': {'description': 'TLS certificate', 'type': 'string'}, 'client_cert_id': {'description': 'TLS certificate id', 'items': {'type': 'string'}, 'type': 'array'}, 'client_key': {'description': 'TLS key', 'type': 'string'}, 'verify': {'description': 'TLS verification', 'type': 'boolean'}}, 'type': 'object'}, 'type': {'default': 'roundrobin', 'description': 'load balancing algorithm', 'enum': ['roundrobin', 'chash', 'ewma', 'least_conn'], 'type': 'string'}, 'upstream_host': {'description': 'upstream host for rewrite mode', 'type': 'string'}}, 'type': 'object'}, 'upstream_id': {'description': 'upstream id', 'type': 'string'}, 'uri': {'description': 'route path', 'type': 'string'}, 'uris': {'description': 'multiple route paths', 'items': {'type': 'string'}, 'type': 'array'}, 'vars': {'description': 'route match variables', 'items': {'type': 'array'}, 'type': 'array'}}, 'type': 'object'}}, 'required': ['id', 'route'], 'type': 'object'}, description="""Update specific attributes of an existing route"""), # api7/APISIX-MCP/update_route
    Tool(name="""APISIX-MCP_create_service""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'id': {'description': 'service id', 'type': 'string'}, 'service': {'additionalProperties': True, 'description': 'service configuration object', 'properties': {'desc': {'description': 'service description', 'maxLength': 256, 'type': 'string'}, 'enable_websocket': {'description': 'enable websocket', 'type': 'boolean'}, 'hosts': {'description': 'allowed hosts', 'items': {'type': 'string'}, 'type': 'array'}, 'labels': {'additionalProperties': {'type': 'string'}, 'description': 'service labels', 'type': 'object'}, 'name': {'description': 'service name', 'maxLength': 100, 'minLength': 1, 'type': 'string'}, 'plugins': {'additionalProperties': {}, 'description': 'plugins', 'type': 'object'}, 'script': {'additionalProperties': {}, 'description': 'service script configuration', 'type': 'object'}, 'upstream': {'additionalProperties': True, 'description': 'upstream service configuration object', 'properties': {'checks': {'additionalProperties': False, 'description': 'health check configuration', 'properties': {'active': {'additionalProperties': False, 'description': 'active health check configuration', 'properties': {'healthy': {'additionalProperties': False, 'properties': {'interval': {'description': 'check interval for healthy status', 'type': 'number'}, 'successes': {'description': 'success count threshold', 'type': 'number'}}, 'type': 'object'}, 'host': {'description': 'host for health check', 'type': 'string'}, 'http_path': {'description': 'HTTP path for health check', 'type': 'string'}, 'https_verify_certificate': {'description': 'verify HTTPS certificate', 'type': 'boolean'}, 'port': {'description': 'port for health check', 'type': 'number'}, 'timeout': {'description': 'timeout for health check', 'type': 'number'}, 'unhealthy': {'additionalProperties': False, 'properties': {'http_failures': {'description': 'HTTP failure count threshold', 'type': 'number'}, 'interval': {'description': 'check interval for unhealthy status', 'type': 'number'}}, 'type': 'object'}}, 'type': 'object'}, 'passive': {'additionalProperties': False, 'description': 'passive health check configuration', 'properties': {'healthy': {'additionalProperties': False, 'properties': {'http_statuses': {'description': 'HTTP status codes for healthy state', 'items': {'type': 'number'}, 'type': 'array'}, 'successes': {'description': 'success count threshold', 'type': 'number'}}, 'type': 'object'}, 'unhealthy': {'additionalProperties': False, 'properties': {'http_failures': {'description': 'HTTP failure count threshold', 'type': 'number'}, 'http_statuses': {'description': 'HTTP status codes for unhealthy state', 'items': {'type': 'number'}, 'type': 'array'}, 'timeout': {'description': 'timeout threshold', 'type': 'number'}}, 'type': 'object'}}, 'type': 'object'}}, 'type': 'object'}, 'desc': {'description': 'upstream description', 'maxLength': 256, 'type': 'string'}, 'hash_on': {'description': 'hash on type for chash algorithm', 'enum': ['vars', 'header', 'cookie', 'consumer', 'vars_combinations'], 'type': 'string'}, 'keepalive_pool': {'additionalProperties': False, 'description': 'keepalive pool configuration', 'properties': {'idle_timeout': {'default': 60, 'description': 'idle timeout', 'type': 'number'}, 'requests': {'default': 1000, 'description': 'requests', 'type': 'number'}, 'size': {'default': 320, 'description': 'size', 'type': 'number'}}, 'type': 'object'}, 'key': {'description': 'hash key for chash algorithm', 'type': 'string'}, 'labels': {'additionalProperties': {'type': 'string'}, 'description': 'upstream labels', 'type': 'object'}, 'name': {'description': 'upstream name', 'type': 'string'}, 'nodes': {'description': 'upstream nodes with weights', 'items': {'additionalProperties': False, 'properties': {'host': {'description': 'upstream host', 'type': 'string'}, 'port': {'description': 'upstream port', 'type': 'number'}, 'priority': {'description': 'upstream priority', 'minimum': 0, 'type': 'number'}, 'weight': {'description': 'upstream weight', 'minimum': 0, 'type': 'number'}}, 'required': ['host', 'port'], 'type': 'object'}, 'type': 'array'}, 'pass_host': {'default': 'pass', 'description': 'host passing mode', 'enum': ['pass', 'node', 'rewrite'], 'type': 'string'}, 'retries': {'description': 'retry count', 'minimum': 0, 'type': 'number'}, 'retry_timeout': {'description': 'retry timeout', 'minimum': 0, 'type': 'number'}, 'scheme': {'default': 'http', 'description': 'upstream scheme', 'enum': ['http', 'https', 'grpc', 'grpcs', 'tcp', 'tls', 'udp', 'kafka'], 'type': 'string'}, 'timeout': {'additionalProperties': False, 'description': 'timeout configuration', 'properties': {'connect': {'description': 'connection timeout in seconds', 'type': 'number'}, 'read': {'description': 'read timeout in seconds', 'type': 'number'}, 'send': {'description': 'send timeout in seconds', 'type': 'number'}}, 'type': 'object'}, 'tls': {'additionalProperties': False, 'description': 'TLS configuration', 'properties': {'client_cert': {'description': 'TLS certificate', 'type': 'string'}, 'client_cert_id': {'description': 'TLS certificate id', 'items': {'type': 'string'}, 'type': 'array'}, 'client_key': {'description': 'TLS key', 'type': 'string'}, 'verify': {'description': 'TLS verification', 'type': 'boolean'}}, 'type': 'object'}, 'type': {'default': 'roundrobin', 'description': 'load balancing algorithm', 'enum': ['roundrobin', 'chash', 'ewma', 'least_conn'], 'type': 'string'}, 'upstream_host': {'description': 'upstream host for rewrite mode', 'type': 'string'}}, 'type': 'object'}, 'upstream_id': {'description': 'upstream id', 'type': 'string'}, 'vars': {'description': 'service match variables', 'items': {'type': 'array'}, 'type': 'array'}}, 'type': 'object'}}, 'required': ['service'], 'type': 'object'}, description="""Create a service"""), # api7/APISIX-MCP/create_service
    Tool(name="""APISIX-MCP_update_service""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'id': {'description': 'service id', 'type': 'string'}, 'service': {'additionalProperties': True, 'description': 'service configuration object', 'properties': {'desc': {'description': 'service description', 'maxLength': 256, 'type': 'string'}, 'enable_websocket': {'description': 'enable websocket', 'type': 'boolean'}, 'hosts': {'description': 'allowed hosts', 'items': {'type': 'string'}, 'type': 'array'}, 'labels': {'additionalProperties': {'type': 'string'}, 'description': 'service labels', 'type': 'object'}, 'name': {'description': 'service name', 'maxLength': 100, 'minLength': 1, 'type': 'string'}, 'plugins': {'additionalProperties': {}, 'description': 'plugins', 'type': 'object'}, 'script': {'additionalProperties': {}, 'description': 'service script configuration', 'type': 'object'}, 'upstream': {'additionalProperties': True, 'description': 'upstream service configuration object', 'properties': {'checks': {'additionalProperties': False, 'description': 'health check configuration', 'properties': {'active': {'additionalProperties': False, 'description': 'active health check configuration', 'properties': {'healthy': {'additionalProperties': False, 'properties': {'interval': {'description': 'check interval for healthy status', 'type': 'number'}, 'successes': {'description': 'success count threshold', 'type': 'number'}}, 'type': 'object'}, 'host': {'description': 'host for health check', 'type': 'string'}, 'http_path': {'description': 'HTTP path for health check', 'type': 'string'}, 'https_verify_certificate': {'description': 'verify HTTPS certificate', 'type': 'boolean'}, 'port': {'description': 'port for health check', 'type': 'number'}, 'timeout': {'description': 'timeout for health check', 'type': 'number'}, 'unhealthy': {'additionalProperties': False, 'properties': {'http_failures': {'description': 'HTTP failure count threshold', 'type': 'number'}, 'interval': {'description': 'check interval for unhealthy status', 'type': 'number'}}, 'type': 'object'}}, 'type': 'object'}, 'passive': {'additionalProperties': False, 'description': 'passive health check configuration', 'properties': {'healthy': {'additionalProperties': False, 'properties': {'http_statuses': {'description': 'HTTP status codes for healthy state', 'items': {'type': 'number'}, 'type': 'array'}, 'successes': {'description': 'success count threshold', 'type': 'number'}}, 'type': 'object'}, 'unhealthy': {'additionalProperties': False, 'properties': {'http_failures': {'description': 'HTTP failure count threshold', 'type': 'number'}, 'http_statuses': {'description': 'HTTP status codes for unhealthy state', 'items': {'type': 'number'}, 'type': 'array'}, 'timeout': {'description': 'timeout threshold', 'type': 'number'}}, 'type': 'object'}}, 'type': 'object'}}, 'type': 'object'}, 'desc': {'description': 'upstream description', 'maxLength': 256, 'type': 'string'}, 'hash_on': {'description': 'hash on type for chash algorithm', 'enum': ['vars', 'header', 'cookie', 'consumer', 'vars_combinations'], 'type': 'string'}, 'keepalive_pool': {'additionalProperties': False, 'description': 'keepalive pool configuration', 'properties': {'idle_timeout': {'default': 60, 'description': 'idle timeout', 'type': 'number'}, 'requests': {'default': 1000, 'description': 'requests', 'type': 'number'}, 'size': {'default': 320, 'description': 'size', 'type': 'number'}}, 'type': 'object'}, 'key': {'description': 'hash key for chash algorithm', 'type': 'string'}, 'labels': {'additionalProperties': {'type': 'string'}, 'description': 'upstream labels', 'type': 'object'}, 'name': {'description': 'upstream name', 'type': 'string'}, 'nodes': {'description': 'upstream nodes with weights', 'items': {'additionalProperties': False, 'properties': {'host': {'description': 'upstream host', 'type': 'string'}, 'port': {'description': 'upstream port', 'type': 'number'}, 'priority': {'description': 'upstream priority', 'minimum': 0, 'type': 'number'}, 'weight': {'description': 'upstream weight', 'minimum': 0, 'type': 'number'}}, 'required': ['host', 'port'], 'type': 'object'}, 'type': 'array'}, 'pass_host': {'default': 'pass', 'description': 'host passing mode', 'enum': ['pass', 'node', 'rewrite'], 'type': 'string'}, 'retries': {'description': 'retry count', 'minimum': 0, 'type': 'number'}, 'retry_timeout': {'description': 'retry timeout', 'minimum': 0, 'type': 'number'}, 'scheme': {'default': 'http', 'description': 'upstream scheme', 'enum': ['http', 'https', 'grpc', 'grpcs', 'tcp', 'tls', 'udp', 'kafka'], 'type': 'string'}, 'timeout': {'additionalProperties': False, 'description': 'timeout configuration', 'properties': {'connect': {'description': 'connection timeout in seconds', 'type': 'number'}, 'read': {'description': 'read timeout in seconds', 'type': 'number'}, 'send': {'description': 'send timeout in seconds', 'type': 'number'}}, 'type': 'object'}, 'tls': {'additionalProperties': False, 'description': 'TLS configuration', 'properties': {'client_cert': {'description': 'TLS certificate', 'type': 'string'}, 'client_cert_id': {'description': 'TLS certificate id', 'items': {'type': 'string'}, 'type': 'array'}, 'client_key': {'description': 'TLS key', 'type': 'string'}, 'verify': {'description': 'TLS verification', 'type': 'boolean'}}, 'type': 'object'}, 'type': {'default': 'roundrobin', 'description': 'load balancing algorithm', 'enum': ['roundrobin', 'chash', 'ewma', 'least_conn'], 'type': 'string'}, 'upstream_host': {'description': 'upstream host for rewrite mode', 'type': 'string'}}, 'type': 'object'}, 'upstream_id': {'description': 'upstream id', 'type': 'string'}, 'vars': {'description': 'service match variables', 'items': {'type': 'array'}, 'type': 'array'}}, 'type': 'object'}}, 'required': ['id', 'service'], 'type': 'object'}, description="""Update specific attributes of an existing service"""), # api7/APISIX-MCP/update_service
    Tool(name="""APISIX-MCP_create_upstream""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'id': {'description': 'upstream id', 'type': 'string'}, 'upstream': {'additionalProperties': True, 'description': 'upstream service configuration object', 'properties': {'checks': {'additionalProperties': False, 'description': 'health check configuration', 'properties': {'active': {'additionalProperties': False, 'description': 'active health check configuration', 'properties': {'healthy': {'additionalProperties': False, 'properties': {'interval': {'description': 'check interval for healthy status', 'type': 'number'}, 'successes': {'description': 'success count threshold', 'type': 'number'}}, 'type': 'object'}, 'host': {'description': 'host for health check', 'type': 'string'}, 'http_path': {'description': 'HTTP path for health check', 'type': 'string'}, 'https_verify_certificate': {'description': 'verify HTTPS certificate', 'type': 'boolean'}, 'port': {'description': 'port for health check', 'type': 'number'}, 'timeout': {'description': 'timeout for health check', 'type': 'number'}, 'unhealthy': {'additionalProperties': False, 'properties': {'http_failures': {'description': 'HTTP failure count threshold', 'type': 'number'}, 'interval': {'description': 'check interval for unhealthy status', 'type': 'number'}}, 'type': 'object'}}, 'type': 'object'}, 'passive': {'additionalProperties': False, 'description': 'passive health check configuration', 'properties': {'healthy': {'additionalProperties': False, 'properties': {'http_statuses': {'description': 'HTTP status codes for healthy state', 'items': {'type': 'number'}, 'type': 'array'}, 'successes': {'description': 'success count threshold', 'type': 'number'}}, 'type': 'object'}, 'unhealthy': {'additionalProperties': False, 'properties': {'http_failures': {'description': 'HTTP failure count threshold', 'type': 'number'}, 'http_statuses': {'description': 'HTTP status codes for unhealthy state', 'items': {'type': 'number'}, 'type': 'array'}, 'timeout': {'description': 'timeout threshold', 'type': 'number'}}, 'type': 'object'}}, 'type': 'object'}}, 'type': 'object'}, 'desc': {'description': 'upstream description', 'maxLength': 256, 'type': 'string'}, 'hash_on': {'description': 'hash on type for chash algorithm', 'enum': ['vars', 'header', 'cookie', 'consumer', 'vars_combinations'], 'type': 'string'}, 'keepalive_pool': {'additionalProperties': False, 'description': 'keepalive pool configuration', 'properties': {'idle_timeout': {'default': 60, 'description': 'idle timeout', 'type': 'number'}, 'requests': {'default': 1000, 'description': 'requests', 'type': 'number'}, 'size': {'default': 320, 'description': 'size', 'type': 'number'}}, 'type': 'object'}, 'key': {'description': 'hash key for chash algorithm', 'type': 'string'}, 'labels': {'additionalProperties': {'type': 'string'}, 'description': 'upstream labels', 'type': 'object'}, 'name': {'description': 'upstream name', 'type': 'string'}, 'nodes': {'description': 'upstream nodes with weights', 'items': {'additionalProperties': False, 'properties': {'host': {'description': 'upstream host', 'type': 'string'}, 'port': {'description': 'upstream port', 'type': 'number'}, 'priority': {'description': 'upstream priority', 'minimum': 0, 'type': 'number'}, 'weight': {'description': 'upstream weight', 'minimum': 0, 'type': 'number'}}, 'required': ['host', 'port'], 'type': 'object'}, 'type': 'array'}, 'pass_host': {'default': 'pass', 'description': 'host passing mode', 'enum': ['pass', 'node', 'rewrite'], 'type': 'string'}, 'retries': {'description': 'retry count', 'minimum': 0, 'type': 'number'}, 'retry_timeout': {'description': 'retry timeout', 'minimum': 0, 'type': 'number'}, 'scheme': {'default': 'http', 'description': 'upstream scheme', 'enum': ['http', 'https', 'grpc', 'grpcs', 'tcp', 'tls', 'udp', 'kafka'], 'type': 'string'}, 'timeout': {'additionalProperties': False, 'description': 'timeout configuration', 'properties': {'connect': {'description': 'connection timeout in seconds', 'type': 'number'}, 'read': {'description': 'read timeout in seconds', 'type': 'number'}, 'send': {'description': 'send timeout in seconds', 'type': 'number'}}, 'type': 'object'}, 'tls': {'additionalProperties': False, 'description': 'TLS configuration', 'properties': {'client_cert': {'description': 'TLS certificate', 'type': 'string'}, 'client_cert_id': {'description': 'TLS certificate id', 'items': {'type': 'string'}, 'type': 'array'}, 'client_key': {'description': 'TLS key', 'type': 'string'}, 'verify': {'description': 'TLS verification', 'type': 'boolean'}}, 'type': 'object'}, 'type': {'default': 'roundrobin', 'description': 'load balancing algorithm', 'enum': ['roundrobin', 'chash', 'ewma', 'least_conn'], 'type': 'string'}, 'upstream_host': {'description': 'upstream host for rewrite mode', 'type': 'string'}}, 'required': ['nodes'], 'type': 'object'}}, 'required': ['upstream'], 'type': 'object'}, description="""Create an upstream service with load balancing settings"""), # api7/APISIX-MCP/create_upstream
    Tool(name="""APISIX-MCP_update_upstream""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'id': {'description': 'upstream id', 'type': 'string'}, 'upstream': {'additionalProperties': True, 'description': 'upstream service configuration object', 'properties': {'checks': {'additionalProperties': False, 'description': 'health check configuration', 'properties': {'active': {'additionalProperties': False, 'description': 'active health check configuration', 'properties': {'healthy': {'additionalProperties': False, 'properties': {'interval': {'description': 'check interval for healthy status', 'type': 'number'}, 'successes': {'description': 'success count threshold', 'type': 'number'}}, 'type': 'object'}, 'host': {'description': 'host for health check', 'type': 'string'}, 'http_path': {'description': 'HTTP path for health check', 'type': 'string'}, 'https_verify_certificate': {'description': 'verify HTTPS certificate', 'type': 'boolean'}, 'port': {'description': 'port for health check', 'type': 'number'}, 'timeout': {'description': 'timeout for health check', 'type': 'number'}, 'unhealthy': {'additionalProperties': False, 'properties': {'http_failures': {'description': 'HTTP failure count threshold', 'type': 'number'}, 'interval': {'description': 'check interval for unhealthy status', 'type': 'number'}}, 'type': 'object'}}, 'type': 'object'}, 'passive': {'additionalProperties': False, 'description': 'passive health check configuration', 'properties': {'healthy': {'additionalProperties': False, 'properties': {'http_statuses': {'description': 'HTTP status codes for healthy state', 'items': {'type': 'number'}, 'type': 'array'}, 'successes': {'description': 'success count threshold', 'type': 'number'}}, 'type': 'object'}, 'unhealthy': {'additionalProperties': False, 'properties': {'http_failures': {'description': 'HTTP failure count threshold', 'type': 'number'}, 'http_statuses': {'description': 'HTTP status codes for unhealthy state', 'items': {'type': 'number'}, 'type': 'array'}, 'timeout': {'description': 'timeout threshold', 'type': 'number'}}, 'type': 'object'}}, 'type': 'object'}}, 'type': 'object'}, 'desc': {'description': 'upstream description', 'maxLength': 256, 'type': 'string'}, 'hash_on': {'description': 'hash on type for chash algorithm', 'enum': ['vars', 'header', 'cookie', 'consumer', 'vars_combinations'], 'type': 'string'}, 'keepalive_pool': {'additionalProperties': False, 'description': 'keepalive pool configuration', 'properties': {'idle_timeout': {'default': 60, 'description': 'idle timeout', 'type': 'number'}, 'requests': {'default': 1000, 'description': 'requests', 'type': 'number'}, 'size': {'default': 320, 'description': 'size', 'type': 'number'}}, 'type': 'object'}, 'key': {'description': 'hash key for chash algorithm', 'type': 'string'}, 'labels': {'additionalProperties': {'type': 'string'}, 'description': 'upstream labels', 'type': 'object'}, 'name': {'description': 'upstream name', 'type': 'string'}, 'nodes': {'description': 'upstream nodes with weights', 'items': {'additionalProperties': False, 'properties': {'host': {'description': 'upstream host', 'type': 'string'}, 'port': {'description': 'upstream port', 'type': 'number'}, 'priority': {'description': 'upstream priority', 'minimum': 0, 'type': 'number'}, 'weight': {'description': 'upstream weight', 'minimum': 0, 'type': 'number'}}, 'required': ['host', 'port'], 'type': 'object'}, 'type': 'array'}, 'pass_host': {'default': 'pass', 'description': 'host passing mode', 'enum': ['pass', 'node', 'rewrite'], 'type': 'string'}, 'retries': {'description': 'retry count', 'minimum': 0, 'type': 'number'}, 'retry_timeout': {'description': 'retry timeout', 'minimum': 0, 'type': 'number'}, 'scheme': {'default': 'http', 'description': 'upstream scheme', 'enum': ['http', 'https', 'grpc', 'grpcs', 'tcp', 'tls', 'udp', 'kafka'], 'type': 'string'}, 'timeout': {'additionalProperties': False, 'description': 'timeout configuration', 'properties': {'connect': {'description': 'connection timeout in seconds', 'type': 'number'}, 'read': {'description': 'read timeout in seconds', 'type': 'number'}, 'send': {'description': 'send timeout in seconds', 'type': 'number'}}, 'type': 'object'}, 'tls': {'additionalProperties': False, 'description': 'TLS configuration', 'properties': {'client_cert': {'description': 'TLS certificate', 'type': 'string'}, 'client_cert_id': {'description': 'TLS certificate id', 'items': {'type': 'string'}, 'type': 'array'}, 'client_key': {'description': 'TLS key', 'type': 'string'}, 'verify': {'description': 'TLS verification', 'type': 'boolean'}}, 'type': 'object'}, 'type': {'default': 'roundrobin', 'description': 'load balancing algorithm', 'enum': ['roundrobin', 'chash', 'ewma', 'least_conn'], 'type': 'string'}, 'upstream_host': {'description': 'upstream host for rewrite mode', 'type': 'string'}}, 'type': 'object'}}, 'required': ['id', 'upstream'], 'type': 'object'}, description="""Update specific attributes of an existing upstream"""), # api7/APISIX-MCP/update_upstream
    Tool(name="""APISIX-MCP_create_or_update_consumer""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'desc': {'description': 'consumer description', 'type': 'string'}, 'group_id': {'description': 'consumer group id', 'type': 'string'}, 'labels': {'additionalProperties': {'type': 'string'}, 'description': 'consumer labels', 'type': 'object'}, 'plugins': {'additionalProperties': {}, 'description': 'consumer plugins', 'type': 'object'}, 'username': {'description': 'consumer username', 'type': 'string'}}, 'required': ['username'], 'type': 'object'}, description="""Create a consumer, if the consumer already exists, it will be updated"""), # api7/APISIX-MCP/create_or_update_consumer
    Tool(name="""APISIX-MCP_get_credential""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'id': {'description': 'credential id', 'type': 'string'}, 'username': {'description': 'consumer username', 'type': 'string'}}, 'required': ['username'], 'type': 'object'}, description="""Get all credentials or a specific credential for a consumer"""), # api7/APISIX-MCP/get_credential
    Tool(name="""APISIX-MCP_create_or_update_credential""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'credential': {'additionalProperties': True, 'description': 'credential configuration object', 'properties': {'desc': {'description': 'credential description', 'maxLength': 256, 'type': 'string'}, 'labels': {'additionalProperties': {'type': 'string'}, 'description': 'credential labels', 'type': 'object'}, 'name': {'description': 'credential name', 'type': 'string'}, 'plugins': {'additionalProperties': {}, 'description': 'credential plugins', 'type': 'object'}}, 'required': ['name'], 'type': 'object'}, 'id': {'description': 'credential id', 'type': 'string'}, 'username': {'description': 'consumer username', 'type': 'string'}}, 'required': ['username', 'id', 'credential'], 'type': 'object'}, description="""Create or update a credential for a consumer"""), # api7/APISIX-MCP/create_or_update_credential
    Tool(name="""APISIX-MCP_delete_credential""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'id': {'description': 'credential id', 'type': 'string'}, 'username': {'description': 'consumer username', 'type': 'string'}}, 'required': ['username', 'id'], 'type': 'object'}, description="""Delete a credential for a consumer"""), # api7/APISIX-MCP/delete_credential
    Tool(name="""APISIX-MCP_create_ssl""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'id': {'description': 'SSL certificate ID', 'type': 'string'}, 'ssl': {'additionalProperties': True, 'description': 'SSL certificate configuration object', 'properties': {'cert': {'description': 'SSL certificate in PEM format', 'type': 'string'}, 'certs': {'description': 'SSL certificates in PEM format', 'items': {'type': 'string'}, 'type': 'array'}, 'client': {'additionalProperties': False, 'description': 'SSL client configuration', 'properties': {'ca': {'description': 'SSL client CA certificate in PEM format', 'type': 'string'}, 'depth': {'default': 1, 'description': 'SSL client verification depth', 'type': 'number'}, 'skip_mtls_uri_regex': {'description': 'URIs to skip mTLS verification', 'items': {'type': 'string'}, 'type': 'array'}}, 'required': ['ca'], 'type': 'object'}, 'key': {'description': 'SSL private key in PEM format', 'type': 'string'}, 'keys': {'description': 'SSL private keys in PEM format', 'items': {'type': 'string'}, 'type': 'array'}, 'label': {'description': 'SSL label', 'type': 'string'}, 'sni': {'description': 'Server Name Indication', 'type': 'string'}, 'snis': {'description': 'Server Name Indications', 'items': {'type': 'string'}, 'type': 'array'}, 'status': {'description': 'SSL certificate status', 'enum': [0, 1], 'type': 'number'}, 'type': {'default': 'server', 'description': 'SSL type', 'enum': ['server', 'client'], 'type': 'string'}, 'validity_end': {'description': 'SSL certificate validity end timestamp', 'type': 'number'}, 'validity_start': {'description': 'SSL certificate validity start timestamp', 'type': 'number'}}, 'required': ['cert', 'key'], 'type': 'object'}}, 'required': ['ssl'], 'type': 'object'}, description="""Create an SSL certificate"""), # api7/APISIX-MCP/create_ssl
    Tool(name="""APISIX-MCP_update_ssl""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'id': {'description': 'SSL certificate ID', 'type': 'string'}, 'ssl': {'additionalProperties': True, 'description': 'SSL certificate configuration object', 'properties': {'cert': {'description': 'SSL certificate in PEM format', 'type': 'string'}, 'certs': {'description': 'SSL certificates in PEM format', 'items': {'type': 'string'}, 'type': 'array'}, 'client': {'additionalProperties': False, 'description': 'SSL client configuration', 'properties': {'ca': {'description': 'SSL client CA certificate in PEM format', 'type': 'string'}, 'depth': {'default': 1, 'description': 'SSL client verification depth', 'type': 'number'}, 'skip_mtls_uri_regex': {'description': 'URIs to skip mTLS verification', 'items': {'type': 'string'}, 'type': 'array'}}, 'required': ['ca'], 'type': 'object'}, 'key': {'description': 'SSL private key in PEM format', 'type': 'string'}, 'keys': {'description': 'SSL private keys in PEM format', 'items': {'type': 'string'}, 'type': 'array'}, 'label': {'description': 'SSL label', 'type': 'string'}, 'sni': {'description': 'Server Name Indication', 'type': 'string'}, 'snis': {'description': 'Server Name Indications', 'items': {'type': 'string'}, 'type': 'array'}, 'status': {'description': 'SSL certificate status', 'enum': [0, 1], 'type': 'number'}, 'type': {'default': 'server', 'description': 'SSL type', 'enum': ['server', 'client'], 'type': 'string'}, 'validity_end': {'description': 'SSL certificate validity end timestamp', 'type': 'number'}, 'validity_start': {'description': 'SSL certificate validity start timestamp', 'type': 'number'}}, 'type': 'object'}}, 'required': ['id', 'ssl'], 'type': 'object'}, description="""Update specific attributes of an existing SSL certificate"""), # api7/APISIX-MCP/update_ssl
    Tool(name="""APISIX-MCP_create_global_rule""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'id': {'description': 'global rule ID', 'type': 'string'}, 'plugins': {'additionalProperties': {}, 'description': 'plugins configuration', 'type': 'object'}}, 'required': ['id', 'plugins'], 'type': 'object'}, description="""Create a global rule"""), # api7/APISIX-MCP/create_global_rule
    Tool(name="""APISIX-MCP_update_global_rule""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'id': {'description': 'global rule ID', 'type': 'string'}, 'plugins': {'additionalProperties': {}, 'description': 'plugins configuration', 'type': 'object'}}, 'required': ['id', 'plugins'], 'type': 'object'}, description="""Update specific attributes of an existing global rule"""), # api7/APISIX-MCP/update_global_rule
    Tool(name="""APISIX-MCP_create_consumer_group""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'consumerGroup': {'additionalProperties': True, 'description': 'consumer group configuration object', 'properties': {'desc': {'description': 'consumer group description', 'type': 'string'}, 'labels': {'additionalProperties': {'type': 'string'}, 'description': 'consumer group labels', 'type': 'object'}, 'plugins': {'additionalProperties': {}, 'description': 'consumer group plugins', 'type': 'object'}}, 'type': 'object'}, 'id': {'description': 'consumer group ID', 'type': 'string'}}, 'required': ['consumerGroup'], 'type': 'object'}, description="""Create a consumer group"""), # api7/APISIX-MCP/create_consumer_group
    Tool(name="""APISIX-MCP_update_consumer_group""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'consumerGroup': {'additionalProperties': True, 'description': 'consumer group configuration object', 'properties': {'desc': {'description': 'consumer group description', 'type': 'string'}, 'labels': {'additionalProperties': {'type': 'string'}, 'description': 'consumer group labels', 'type': 'object'}, 'plugins': {'additionalProperties': {}, 'description': 'consumer group plugins', 'type': 'object'}}, 'type': 'object'}, 'id': {'description': 'consumer group ID', 'type': 'string'}}, 'required': ['id', 'consumerGroup'], 'type': 'object'}, description="""Update specific attributes of an existing consumer group"""), # api7/APISIX-MCP/update_consumer_group
    Tool(name="""APISIX-MCP_get_all_plugin_names""", inputSchema={'type': 'object'}, description="""Get all plugin names"""), # api7/APISIX-MCP/get_all_plugin_names
    Tool(name="""APISIX-MCP_get_plugin_schema""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'name': {'description': 'plugins name', 'type': 'string'}, 'type': {'description': 'plugins type', 'enum': ['http', 'stream'], 'type': 'string'}}, 'required': ['name'], 'type': 'object'}, description="""Get all plugins schema or a specific plugin schema by name"""), # api7/APISIX-MCP/get_plugin_schema
    Tool(name="""APISIX-MCP_update_plugin_config""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'id': {'description': 'plugin config ID', 'type': 'string'}, 'plugins': {'additionalProperties': False, 'properties': {'desc': {'description': 'plugin config description', 'type': 'string'}, 'labels': {'additionalProperties': {'type': 'string'}, 'description': 'plugin config labels', 'type': 'object'}, 'plugins': {'additionalProperties': {}, 'description': 'plugins configuration', 'type': 'object'}}, 'required': ['desc', 'labels', 'plugins'], 'type': 'object'}}, 'required': ['id', 'plugins'], 'type': 'object'}, description="""Update a plugin config"""), # api7/APISIX-MCP/update_plugin_config
    Tool(name="""APISIX-MCP_create_or_update_plugin_metadata""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'metadata': {'additionalProperties': {}, 'description': 'plugins configuration', 'type': 'object'}, 'name': {'description': 'plugins name', 'type': 'string'}}, 'required': ['name', 'metadata'], 'type': 'object'}, description="""Create or update plugin metadata"""), # api7/APISIX-MCP/create_or_update_plugin_metadata
    Tool(name="""APISIX-MCP_delete_plugin_metadata""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'name': {'description': 'plugins name', 'type': 'string'}}, 'required': ['name'], 'type': 'object'}, description="""Delete plugin metadata"""), # api7/APISIX-MCP/delete_plugin_metadata
    Tool(name="""APISIX-MCP_create_or_update_stream_route""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'id': {'description': 'stream route id', 'type': 'string'}, 'route': {'additionalProperties': True, 'description': 'stream route configuration', 'properties': {'desc': {'description': 'stream route description', 'maxLength': 256, 'type': 'string'}, 'plugins': {'additionalProperties': {}, 'description': 'plugins', 'type': 'object'}, 'protocol': {'additionalProperties': False, 'properties': {'conf': {'additionalProperties': {}, 'description': 'protocol-specific configuration', 'type': 'object'}, 'logger': {'items': {'additionalProperties': False, 'properties': {'conf': {'additionalProperties': {}, 'description': 'logger plugin configuration', 'type': 'object'}, 'filter': {'description': 'logger filter rules', 'items': {'type': 'string'}, 'type': 'array'}, 'name': {'type': 'string'}}, 'required': ['name'], 'type': 'object'}, 'type': 'array'}, 'name': {'type': 'string'}, 'superior_id': {'type': 'string'}}, 'required': ['name'], 'type': 'object'}, 'remote_addr': {'anyOf': [{'$ref': '#/properties/route/properties/server_addr/anyOf/0'}, {'$ref': '#/properties/route/properties/server_addr/anyOf/1'}, {'$ref': '#/properties/route/properties/server_addr/anyOf/2'}, {'$ref': '#/properties/route/properties/server_addr/anyOf/3'}], 'description': 'client IP'}, 'server_addr': {'anyOf': [{'description': 'IPv4', 'format': 'ipv4', 'type': 'string'}, {'description': 'IPv4/CIDR', 'pattern': '^([0-9]|[1-9][0-9]|1[0-9]{2}|2[0-4][0-9]|25[0-5])\\.([0-9]|[1-9][0-9]|1[0-9]{2}|2[0-4][0-9]|25[0-5])\\.([0-9]|[1-9][0-9]|1[0-9]{2}|2[0-4][0-9]|25[0-5])\\.([0-9]|[1-9][0-9]|1[0-9]{2}|2[0-4][0-9]|25[0-5])\\/([12]?[0-9]|3[0-2])$', 'type': 'string'}, {'description': 'IPv6', 'format': 'ipv6', 'type': 'string'}, {'description': 'IPv6/CIDR', 'pattern': '^([a-fA-F0-9]{0,4}:){1,8}(:[a-fA-F0-9]{0,4}){0,8}([a-fA-F0-9]{0,4})?\\/[0-9]{1,3}$', 'type': 'string'}], 'description': 'server IP'}, 'server_port': {'description': 'server port', 'type': 'number'}, 'service_id': {'description': 'service id', 'type': 'string'}, 'sni': {'description': 'SNI', 'type': 'string'}, 'upstream': {'additionalProperties': True, 'description': 'upstream service configuration object', 'properties': {'checks': {'additionalProperties': False, 'description': 'health check configuration', 'properties': {'active': {'additionalProperties': False, 'description': 'active health check configuration', 'properties': {'healthy': {'additionalProperties': False, 'properties': {'interval': {'description': 'check interval for healthy status', 'type': 'number'}, 'successes': {'description': 'success count threshold', 'type': 'number'}}, 'type': 'object'}, 'host': {'description': 'host for health check', 'type': 'string'}, 'http_path': {'description': 'HTTP path for health check', 'type': 'string'}, 'https_verify_certificate': {'description': 'verify HTTPS certificate', 'type': 'boolean'}, 'port': {'description': 'port for health check', 'type': 'number'}, 'timeout': {'description': 'timeout for health check', 'type': 'number'}, 'unhealthy': {'additionalProperties': False, 'properties': {'http_failures': {'description': 'HTTP failure count threshold', 'type': 'number'}, 'interval': {'description': 'check interval for unhealthy status', 'type': 'number'}}, 'type': 'object'}}, 'type': 'object'}, 'passive': {'additionalProperties': False, 'description': 'passive health check configuration', 'properties': {'healthy': {'additionalProperties': False, 'properties': {'http_statuses': {'description': 'HTTP status codes for healthy state', 'items': {'type': 'number'}, 'type': 'array'}, 'successes': {'description': 'success count threshold', 'type': 'number'}}, 'type': 'object'}, 'unhealthy': {'additionalProperties': False, 'properties': {'http_failures': {'description': 'HTTP failure count threshold', 'type': 'number'}, 'http_statuses': {'description': 'HTTP status codes for unhealthy state', 'items': {'type': 'number'}, 'type': 'array'}, 'timeout': {'description': 'timeout threshold', 'type': 'number'}}, 'type': 'object'}}, 'type': 'object'}}, 'type': 'object'}, 'desc': {'description': 'upstream description', 'maxLength': 256, 'type': 'string'}, 'hash_on': {'description': 'hash on type for chash algorithm', 'enum': ['vars', 'header', 'cookie', 'consumer', 'vars_combinations'], 'type': 'string'}, 'keepalive_pool': {'additionalProperties': False, 'description': 'keepalive pool configuration', 'properties': {'idle_timeout': {'default': 60, 'description': 'idle timeout', 'type': 'number'}, 'requests': {'default': 1000, 'description': 'requests', 'type': 'number'}, 'size': {'default': 320, 'description': 'size', 'type': 'number'}}, 'type': 'object'}, 'key': {'description': 'hash key for chash algorithm', 'type': 'string'}, 'labels': {'additionalProperties': {'type': 'string'}, 'description': 'upstream labels', 'type': 'object'}, 'name': {'description': 'upstream name', 'type': 'string'}, 'nodes': {'description': 'upstream nodes with weights', 'items': {'additionalProperties': False, 'properties': {'host': {'description': 'upstream host', 'type': 'string'}, 'port': {'description': 'upstream port', 'type': 'number'}, 'priority': {'description': 'upstream priority', 'minimum': 0, 'type': 'number'}, 'weight': {'description': 'upstream weight', 'minimum': 0, 'type': 'number'}}, 'required': ['host', 'port'], 'type': 'object'}, 'type': 'array'}, 'pass_host': {'default': 'pass', 'description': 'host passing mode', 'enum': ['pass', 'node', 'rewrite'], 'type': 'string'}, 'retries': {'description': 'retry count', 'minimum': 0, 'type': 'number'}, 'retry_timeout': {'description': 'retry timeout', 'minimum': 0, 'type': 'number'}, 'scheme': {'default': 'http', 'description': 'upstream scheme', 'enum': ['http', 'https', 'grpc', 'grpcs', 'tcp', 'tls', 'udp', 'kafka'], 'type': 'string'}, 'timeout': {'additionalProperties': False, 'description': 'timeout configuration', 'properties': {'connect': {'description': 'connection timeout in seconds', 'type': 'number'}, 'read': {'description': 'read timeout in seconds', 'type': 'number'}, 'send': {'description': 'send timeout in seconds', 'type': 'number'}}, 'type': 'object'}, 'tls': {'additionalProperties': False, 'description': 'TLS configuration', 'properties': {'client_cert': {'description': 'TLS certificate', 'type': 'string'}, 'client_cert_id': {'description': 'TLS certificate id', 'items': {'type': 'string'}, 'type': 'array'}, 'client_key': {'description': 'TLS key', 'type': 'string'}, 'verify': {'description': 'TLS verification', 'type': 'boolean'}}, 'type': 'object'}, 'type': {'default': 'roundrobin', 'description': 'load balancing algorithm', 'enum': ['roundrobin', 'chash', 'ewma', 'least_conn'], 'type': 'string'}, 'upstream_host': {'description': 'upstream host for rewrite mode', 'type': 'string'}}, 'type': 'object'}, 'upstream_id': {'description': 'upstream id', 'type': 'string'}}, 'required': ['server_addr', 'server_port'], 'type': 'object'}}, 'required': ['route'], 'type': 'object'}, description="""Create a stream route, if the stream route already exists, it will be updated"""), # api7/APISIX-MCP/create_or_update_stream_route
    Tool(name="""APISIX-MCP_get_secret_by_id""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'id': {'description': 'secret id', 'type': 'string'}, 'manager': {'description': 'secret manager type', 'enum': ['vault', 'aws', 'gcp'], 'type': 'string'}, 'page': {'default': 1, 'description': 'page number', 'type': 'number'}, 'page_size': {'default': 50, 'description': 'page size', 'maximum': 500, 'minimum': 10, 'type': 'number'}}, 'required': ['manager'], 'type': 'object'}, description="""Get a secret by ID"""), # api7/APISIX-MCP/get_secret_by_id
    Tool(name="""APISIX-MCP_create_secret""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'id': {'description': 'secret id', 'type': 'string'}, 'manager': {'description': 'secret manager type', 'enum': ['vault', 'aws', 'gcp'], 'type': 'string'}, 'secret': {'anyOf': [{'additionalProperties': False, 'properties': {'namespace': {'description': 'Vault namespace', 'type': 'string'}, 'prefix': {'description': 'path prefix of the secret engine', 'type': 'string'}, 'token': {'description': 'token for Vault authentication', 'type': 'string'}, 'type': {'const': 'vault', 'type': 'string'}, 'uri': {'description': 'address of the Vault server', 'type': 'string'}}, 'required': ['type', 'uri', 'prefix', 'token'], 'type': 'object'}, {'additionalProperties': False, 'properties': {'access_key_id': {'description': 'AWS access key', 'type': 'string'}, 'endpoint_url': {'description': 'AWS secret manager endpoint url', 'type': 'string'}, 'region': {'description': 'AWS region', 'type': 'string'}, 'secret_access_key': {'description': 'AWS secret key', 'type': 'string'}, 'session_token': {'description': 'AWS session token', 'type': 'string'}, 'type': {'const': 'aws', 'type': 'string'}}, 'required': ['type', 'region', 'access_key_id', 'secret_access_key'], 'type': 'object'}, {'additionalProperties': False, 'properties': {'auth_config': {'additionalProperties': False, 'properties': {'client_email': {'description': 'Email address of the Google Cloud service account', 'type': 'string'}, 'entries_uri': {'default': 'https://secretmanager.googleapis.com/v1', 'description': 'The API access endpoint for the Google Secrets Manager', 'type': 'string'}, 'private_key': {'description': 'Private key of the Google Cloud service account', 'type': 'string'}, 'project_id': {'description': 'Project ID in the Google Cloud service account', 'type': 'string'}, 'scope': {'default': 'https://www.googleapis.com/auth/cloud-platform', 'description': 'Access scopes of the Google Cloud service account', 'type': 'string'}, 'token_uri': {'default': 'https://oauth2.googleapis.com/token', 'description': 'Token URI of the Google Cloud service account', 'type': 'string'}}, 'required': ['client_email', 'private_key', 'project_id'], 'type': 'object'}, 'auth_file': {'description': 'Path to the Google Cloud service account authentication JSON file', 'type': 'string'}, 'project_id': {'description': 'GCP project ID', 'type': 'string'}, 'ssl_verify': {'default': True, 'description': 'Enable SSL verification', 'type': 'boolean'}, 'type': {'const': 'gcp', 'type': 'string'}}, 'required': ['type', 'project_id'], 'type': 'object'}]}}, 'required': ['manager', 'secret'], 'type': 'object'}, description="""Create a secret"""), # api7/APISIX-MCP/create_secret
    Tool(name="""APISIX-MCP_update_secret""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'id': {'description': 'secret id', 'type': 'string'}, 'manager': {'description': 'secret manager type', 'enum': ['vault', 'aws', 'gcp'], 'type': 'string'}, 'secret': {'anyOf': [{'additionalProperties': False, 'properties': {'namespace': {'description': 'Vault namespace', 'type': 'string'}, 'prefix': {'description': 'path prefix of the secret engine', 'type': 'string'}, 'token': {'description': 'token for Vault authentication', 'type': 'string'}, 'type': {'const': 'vault', 'type': 'string'}, 'uri': {'description': 'address of the Vault server', 'type': 'string'}}, 'required': ['type', 'uri', 'prefix', 'token'], 'type': 'object'}, {'additionalProperties': False, 'properties': {'access_key_id': {'description': 'AWS access key', 'type': 'string'}, 'endpoint_url': {'description': 'AWS secret manager endpoint url', 'type': 'string'}, 'region': {'description': 'AWS region', 'type': 'string'}, 'secret_access_key': {'description': 'AWS secret key', 'type': 'string'}, 'session_token': {'description': 'AWS session token', 'type': 'string'}, 'type': {'const': 'aws', 'type': 'string'}}, 'required': ['type', 'region', 'access_key_id', 'secret_access_key'], 'type': 'object'}, {'additionalProperties': False, 'properties': {'auth_config': {'additionalProperties': False, 'properties': {'client_email': {'description': 'Email address of the Google Cloud service account', 'type': 'string'}, 'entries_uri': {'default': 'https://secretmanager.googleapis.com/v1', 'description': 'The API access endpoint for the Google Secrets Manager', 'type': 'string'}, 'private_key': {'description': 'Private key of the Google Cloud service account', 'type': 'string'}, 'project_id': {'description': 'Project ID in the Google Cloud service account', 'type': 'string'}, 'scope': {'default': 'https://www.googleapis.com/auth/cloud-platform', 'description': 'Access scopes of the Google Cloud service account', 'type': 'string'}, 'token_uri': {'default': 'https://oauth2.googleapis.com/token', 'description': 'Token URI of the Google Cloud service account', 'type': 'string'}}, 'required': ['client_email', 'private_key', 'project_id'], 'type': 'object'}, 'auth_file': {'description': 'Path to the Google Cloud service account authentication JSON file', 'type': 'string'}, 'project_id': {'description': 'GCP project ID', 'type': 'string'}, 'ssl_verify': {'default': True, 'description': 'Enable SSL verification', 'type': 'boolean'}, 'type': {'const': 'gcp', 'type': 'string'}}, 'required': ['type', 'project_id'], 'type': 'object'}]}}, 'required': ['id', 'manager', 'secret'], 'type': 'object'}, description="""Update specific attributes of an existing secret"""), # api7/APISIX-MCP/update_secret
    Tool(name="""APISIX-MCP_delete_secret""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'id': {'description': 'secret id', 'type': 'string'}, 'manager': {'description': 'secret manager type', 'enum': ['vault', 'aws', 'gcp'], 'type': 'string'}}, 'required': ['id', 'manager'], 'type': 'object'}, description="""Delete a secret by ID"""), # api7/APISIX-MCP/delete_secret
    Tool(name="""APISIX-MCP_create_or_update_proto""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'id': {'description': 'proto id', 'type': 'string'}, 'proto': {'additionalProperties': False, 'properties': {'content': {'description': 'proto content', 'type': 'string'}}, 'required': ['content'], 'type': 'object'}}, 'required': ['proto'], 'type': 'object'}, description="""Create a proto, if the proto already exists, it will be updated"""), # api7/APISIX-MCP/create_or_update_proto
    Tool(name="""pubmed-mcp-server_search_pubmed""", inputSchema={'properties': {'max_results': {'default': 10, 'title': 'Max Results', 'type': 'integer'}, 'query': {'default': 'endocarditis', 'title': 'Query', 'type': 'string'}}, 'title': 'search_pubmedArguments', 'type': 'object'}, description="""\n    Search PubMed for articles matching the query.\n\n    Args:\n        query: The search term for PubMed.\n        max_results: Maximum number of articles to retrieve.\n\n    Returns:\n        A string containing the abstracts of found articles, separated by two newlines.\n    """), # AIAnytime/pubmed-mcp-server/search_pubmed
    Tool(name="""CODING DevOps MCP Server_list_issues""", inputSchema={'properties': {'issueType': {'description': ' ALL -  DEFECT -  REQUIREMENT -  MISSION -  EPIC - ', 'type': 'string'}, 'limit': {'description': '20', 'type': 'string'}, 'projectName': {'description': '', 'type': 'string'}}, 'required': ['projectName'], 'type': 'object'}, description="""IssueTypelimit20"""), # yupengfei1209/CODING DevOps MCP Server/list_issues
    Tool(name="""CODING DevOps MCP Server_create_issue""", inputSchema={'properties': {'description': {'description': '', 'type': 'string'}, 'name': {'description': '', 'type': 'string'}, 'priority': {'description': '0 -  1 -  2 -  3 - ', 'type': 'string'}, 'projectName': {'description': '', 'type': 'string'}, 'type': {'description': ' DEFECT -  REQUIREMENT -  MISSION -  EPIC - ', 'type': 'string'}}, 'required': ['projectName', 'name', 'type', 'priority', 'description'], 'type': 'object'}, description=""""""), # yupengfei1209/CODING DevOps MCP Server/create_issue
    Tool(name="""CODING DevOps MCP Server_delete_issue""", inputSchema={'properties': {'issueCode': {'description': '', 'type': 'number'}, 'projectName': {'description': '', 'type': 'string'}}, 'required': ['projectName', 'issueCode'], 'type': 'object'}, description=""""""), # yupengfei1209/CODING DevOps MCP Server/delete_issue
    Tool(name="""CODING DevOps MCP Server_delete_project""", inputSchema={'properties': {'projectId': {'description': 'ID', 'type': 'string'}}, 'required': ['projectId'], 'type': 'object'}, description=""" CODING DevOps """), # yupengfei1209/CODING DevOps MCP Server/delete_project
    Tool(name="""CODING DevOps MCP Server_list_projects""", inputSchema={'properties': {'projectName': {'description': '', 'type': 'string'}}, 'required': [], 'type': 'object'}, description=""" CODING DevOps """), # yupengfei1209/CODING DevOps MCP Server/list_projects
    Tool(name="""CODING DevOps MCP Server_create_project""", inputSchema={'properties': {'description': {'description': '', 'type': 'string'}, 'displayName': {'description': '', 'type': 'string'}, 'name': {'description': '', 'type': 'string'}, 'projectTemplate': {'description': '', 'enum': ['DEV_OPS', 'DEMO_BEGIN', 'CHOICE_DEMAND', 'PROJECT_MANAGE', 'CODE_HOST'], 'type': 'string'}, 'shared': {'description': '(0:,1:),', 'enum': ['0', '1'], 'type': 'string'}}, 'required': ['name', 'displayName', 'projectTemplate', 'shared'], 'type': 'object'}, description=""" CODING DevOps """), # yupengfei1209/CODING DevOps MCP Server/create_project
    Tool(name="""WireMCP_capture_packets""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'duration': {'default': 5, 'description': 'Capture duration in seconds', 'type': 'number'}, 'interface': {'default': 'en0', 'description': 'Network interface to capture from (e.g., eth0, en0)', 'type': 'string'}}, 'type': 'object'}, description="""Capture live traffic and provide raw packet data as JSON for LLM analysis"""), # 0xKoda/WireMCP/capture_packets
    Tool(name="""WireMCP_get_summary_stats""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'duration': {'default': 5, 'description': 'Capture duration in seconds', 'type': 'number'}, 'interface': {'default': 'en0', 'description': 'Network interface to capture from (e.g., eth0, en0)', 'type': 'string'}}, 'type': 'object'}, description="""Capture live traffic and provide protocol hierarchy statistics for LLM analysis"""), # 0xKoda/WireMCP/get_summary_stats
    Tool(name="""WireMCP_get_conversations""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'duration': {'default': 5, 'description': 'Capture duration in seconds', 'type': 'number'}, 'interface': {'default': 'en0', 'description': 'Network interface to capture from (e.g., eth0, en0)', 'type': 'string'}}, 'type': 'object'}, description="""Capture live traffic and provide TCP/UDP conversation statistics for LLM analysis"""), # 0xKoda/WireMCP/get_conversations
    Tool(name="""WireMCP_check_threats""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'duration': {'default': 5, 'description': 'Capture duration in seconds', 'type': 'number'}, 'interface': {'default': 'en0', 'description': 'Network interface to capture from (e.g., eth0, en0)', 'type': 'string'}}, 'type': 'object'}, description="""Capture live traffic and check IPs against URLhaus blacklist"""), # 0xKoda/WireMCP/check_threats
    Tool(name="""WireMCP_check_ip_threats""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'ip': {'description': 'IP address to check (e.g., 192.168.1.1)', 'pattern': '\\b\\d{1,3}\\.\\d{1,3}\\.\\d{1,3}\\.\\d{1,3}\\b', 'type': 'string'}}, 'required': ['ip'], 'type': 'object'}, description="""Check a given IP address against URLhaus blacklist for IOCs"""), # 0xKoda/WireMCP/check_ip_threats
    Tool(name="""WireMCP_analyze_pcap""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'pcapPath': {'description': 'Path to the PCAP file to analyze (e.g., ./demo.pcap)', 'type': 'string'}}, 'required': ['pcapPath'], 'type': 'object'}, description="""Analyze a PCAP file and provide general packet data as JSON for LLM analysis"""), # 0xKoda/WireMCP/analyze_pcap
    Tool(name="""WireMCP_extract_credentials""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'pcapPath': {'description': 'Path to the PCAP file to analyze (e.g., ./demo.pcap)', 'type': 'string'}}, 'required': ['pcapPath'], 'type': 'object'}, description="""Extract potential credentials (HTTP Basic Auth, FTP, Telnet) from a PCAP file for LLM analysis"""), # 0xKoda/WireMCP/extract_credentials
    Tool(name="""Paddle MCP Server_list_products""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'after': {'description': 'Cursor for use in pagination. Represents the ID of the last entity in the previous page of results.', 'type': 'string'}, 'id': {'description': 'Filter products by their ID. Accepts multiple values.', 'items': {'type': 'string'}, 'type': 'array'}, 'include': {'description': 'Related data to include in the response.', 'items': {'enum': ['prices'], 'type': 'string'}, 'type': 'array'}, 'orderBy': {'description': 'Sort order for returned items.', 'enum': ['created_at[ASC]', 'created_at[DESC]', 'custom_data[ASC]', 'custom_data[DESC]', 'description[ASC]', 'description[DESC]', 'id[ASC]', 'id[DESC]', 'image_url[ASC]', 'image_url[DESC]', 'name[ASC]', 'name[DESC]', 'status[ASC]', 'status[DESC]', 'tax_category[ASC]', 'tax_category[DESC]', 'updated_at[ASC]', 'updated_at[DESC]'], 'type': 'string'}, 'perPage': {'description': 'Number of items to be returned per page (default: 25, maximum: 50).', 'type': 'number'}, 'status': {'description': 'Filter products by their status. Accepts multiple values.', 'items': {'enum': ['active', 'archived'], 'type': 'string'}, 'type': 'array'}, 'taxCategory': {'description': 'Filter products by their tax category. Accepts multiple values.', 'items': {'enum': ['digital-goods', 'ebooks', 'implementation-services', 'professional-services', 'saas', 'software-programming-services', 'standard', 'training-services', 'website-hosting'], 'type': 'string'}, 'type': 'array'}, 'type': {'description': 'Filter products by their type. Accepts multiple values.', 'items': {'enum': ['standard', 'custom'], 'type': 'string'}, 'type': 'array'}}, 'type': 'object'}, description="""\nThis tool will list products in your Paddle catalog.\n\nUse the maximum perPage by default (200) to ensure comprehensive results.\nFilter products by status, tax category, and type as needed.\nResults are paginated - use the 'after' parameter with the last ID from previous results to get the next page.\nSort results using orderBy parameter.\nInclude related entities like prices if needed.\nAmounts are in the smallest currency unit (e.g., cents).\n"""), # PaddleHQ/Paddle MCP Server/list_products
    Tool(name="""Paddle MCP Server_create_product""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'customData': {'additionalProperties': {}, 'description': 'A JSON object containing custom data. Limited to 50 keys, with key names up to 40 characters long.', 'type': 'object'}, 'description': {'description': 'A description of the product that will be displayed to customers.', 'type': 'string'}, 'imageUrl': {'description': 'A URL to an image that will be displayed to customers. Must be publicly accessible.', 'type': 'string'}, 'name': {'description': 'The name of the product. Must be unique within your catalog.', 'type': 'string'}, 'taxCategory': {'description': 'The tax category that best describes your product. Used to automatically calculate tax rates.', 'enum': ['digital-goods', 'ebooks', 'implementation-services', 'professional-services', 'saas', 'software-programming-services', 'standard', 'training-services', 'website-hosting'], 'type': 'string'}}, 'required': ['name', 'taxCategory'], 'type': 'object'}, description="""\nThis tool will create a new product in Paddle.\n\nWhen selecting a tax category, choose the one that best describes your product:\n\n- standard: Software products that are pre-written and can be downloaded and installed onto a local device\n- digital-goods: Non-customizable digital files or media (not software) acquired with an up front payment that can be accessed without any physical product being delivered\n- ebooks: Digital books and educational material which is sold with permanent rights for use by the customer\n- implementation-services: Remote configuration, set-up, and integrating software on behalf of a customer\n- professional-services: Services that involve the application of your expertise and specialized knowledge of a software product\n- saas: Products that allow users to connect to and use online or cloud-based applications over the Internet\n- software-programming-services: Services that can be used to customize and white label software products\n- training-services: Training and education services related to software products\n- website-hosting: Cloud storage service for personal or corporate information, assets, or intellectual property\n\nThe tax category affects how taxes are calculated in different jurisdictions. Choose carefully as it impacts your customers' tax rates.\nWhen using the standard tax category, prompt the user to review the tax category in the Paddle dashboard.\n"""), # PaddleHQ/Paddle MCP Server/create_product
    Tool(name="""Paddle MCP Server_list_prices""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'after': {'description': 'Cursor for pagination. Returns results after the cursor position.', 'type': 'string'}, 'id': {'description': 'Filter by a list of price IDs. Use this to retrieve multiple prices by ID.', 'items': {'type': 'string'}, 'type': 'array'}, 'include': {'description': 'Related entities to include in the response.', 'items': {'enum': ['product'], 'type': 'string'}, 'type': 'array'}, 'orderBy': {'description': 'Sort field and order.', 'enum': ['billing_cycle.frequency[ASC]', 'billing_cycle.frequency[DESC]', 'billing_cycle.interval[ASC]', 'billing_cycle.interval[DESC]', 'id[ASC]', 'id[DESC]', 'product_id[ASC]', 'product_id[DESC]', 'quantity.maximum[ASC]', 'quantity.maximum[DESC]', 'quantity.minimum[ASC]', 'quantity.minimum[DESC]', 'status[ASC]', 'status[DESC]', 'tax_mode[ASC]', 'tax_mode[DESC]', 'unit_price.amount[ASC]', 'unit_price.amount[DESC]', 'unit_price.currency_code[ASC]', 'unit_price.currency_code[DESC]'], 'type': 'string'}, 'perPage': {'description': 'Number of records to return per page. Default is 25, maximum is 50.', 'type': 'number'}, 'productId': {'description': 'Filter by a list of product IDs. Returns prices for the specified products.', 'items': {'type': 'string'}, 'type': 'array'}, 'status': {'description': 'Filter by price status. Returns prices with the specified statuses.', 'items': {'enum': ['active', 'archived'], 'type': 'string'}, 'type': 'array'}}, 'type': 'object'}, description="""\nThis tool will list prices in your Paddle catalog.\n\nUse the maximum perPage by default (200) to ensure comprehensive results.\nFilter prices by product ID, status, recurring, and type as needed.\nResults are paginated - use the 'after' parameter with the last ID from previous results to get the next page.\nSort results using orderBy parameter.\nInclude related entities like products if needed.\nAmounts are in the smallest currency unit (e.g., cents).\n"""), # PaddleHQ/Paddle MCP Server/list_prices
    Tool(name="""Paddle MCP Server_create_price""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'billingCycle': {'additionalProperties': False, 'description': 'For subscription prices, defines the recurring billing period', 'properties': {'frequency': {'description': 'How many intervals make up one billing cycle (e.g., 2 weeks, 3 months)', 'type': 'number'}, 'interval': {'description': 'The billing period unit (day, week, month, or year)', 'enum': ['day', 'week', 'month', 'year'], 'type': 'string'}}, 'required': ['interval', 'frequency'], 'type': 'object'}, 'customData': {'additionalProperties': {}, 'description': 'A JSON object of custom metadata. Limited to 50 keys, with key names up to 40 characters', 'type': 'object'}, 'description': {'description': 'A description of this price that will be displayed to customers', 'type': 'string'}, 'name': {'description': 'The name of the price', 'type': 'string'}, 'productId': {'description': 'The ID of the product this price is for', 'type': 'string'}, 'quantity': {'additionalProperties': False, 'description': 'Quantity limits for this price', 'properties': {'maximum': {'description': 'The maximum quantity that can be purchased. Must be greater than minimum if specified', 'type': 'number'}, 'minimum': {'description': 'The minimum quantity that can be purchased. Must be at least 1 if specified', 'type': 'number'}}, 'type': 'object'}, 'trialPeriod': {'additionalProperties': False, 'description': 'For subscription prices with a trial, defines the trial period duration', 'properties': {'frequency': {'description': 'How many intervals make up the trial period (e.g., 14 days, 1 month)', 'type': 'number'}, 'interval': {'description': 'The trial period unit (day, week, month, or year)', 'enum': ['day', 'week', 'month', 'year'], 'type': 'string'}}, 'required': ['interval', 'frequency'], 'type': 'object'}, 'unitPrice': {'additionalProperties': False, 'description': 'The base price details', 'properties': {'amount': {'description': 'The price amount in the smallest currency unit (e.g., cents). Must be a positive integer represented as a string', 'type': 'string'}, 'currencyCode': {'description': 'The three-letter ISO 4217 currency code (e.g., USD, EUR, GBP)', 'type': 'string'}}, 'required': ['amount', 'currencyCode'], 'type': 'object'}, 'unitPriceOverrides': {'description': 'Country-specific price overrides. Used for regional pricing', 'items': {'additionalProperties': False, 'properties': {'countryCodes': {'description': 'List of two-letter ISO 3166-1 alpha-2 country codes where this override applies', 'items': {'type': 'string'}, 'type': 'array'}, 'unitPrice': {'additionalProperties': False, 'description': 'The override price details', 'properties': {'amount': {'description': 'The override price amount in the smallest currency unit. Must be a positive integer represented as a string', 'type': 'string'}, 'currencyCode': {'description': 'The three-letter ISO 4217 currency code (e.g., USD, EUR, GBP)', 'type': 'string'}}, 'required': ['amount', 'currencyCode'], 'type': 'object'}}, 'required': ['countryCodes', 'unitPrice'], 'type': 'object'}, 'type': 'array'}}, 'required': ['productId', 'description', 'unitPrice'], 'type': 'object'}, description="""\nThis tool will create a new price for a product in Paddle.\n\nWhen using unitPriceOverrides:\n1. Group countries based on purchasing power parity (PPP), not just currency zones\n2. Create separate overrides for countries with different economic conditions even if they share the same currency (e.g., Greece and Ireland should have different price points)\n3. Adjust prices relative to local economic conditions - higher in wealthy markets, lower in developing economies\n4. For optimal conversion rates, set prices using local market research and willingness-to-pay data\n5. Use local currencies where preferred by the customer\n\nExample unitPriceOverrides structure:\n[\n  {\n    \"countryCodes\": [\"GB\"],\n    \"unitPrice\": {\n      \"amount\": \"8500\",\n      \"currencyCode\": \"GBP\"\n    }\n  },\n  {\n    \"countryCodes\": [\"IE\"],\n    \"unitPrice\": {\n      \"amount\": \"9500\",\n      \"currencyCode\": \"EUR\"\n    }\n  },\n  {\n    \"countryCodes\": [\"GR\"],\n    \"unitPrice\": {\n      \"amount\": \"6500\",\n      \"currencyCode\": \"EUR\"\n    }\n  },\n  {\n    \"countryCodes\": [\"IN\"],\n    \"unitPrice\": {\n      \"amount\": \"30000\",\n      \"currencyCode\": \"INR\"\n    }\n  },\n  {\n    \"countryCodes\": [\"CN\"],\n    \"unitPrice\": {\n      \"amount\": \"20000\",\n      \"currencyCode\": \"CNY\"\n    }\n  }\n]\n"""), # PaddleHQ/Paddle MCP Server/create_price
    Tool(name="""Paddle MCP Server_list_customers""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'after': {'description': 'Return entities after the specified Paddle ID when working with paginated endpoints.', 'type': 'string'}, 'email': {'description': 'Return entities that exactly match the specified email address.', 'items': {'type': 'string'}, 'type': 'array'}, 'id': {'description': 'Return only the IDs specified.', 'items': {'type': 'string'}, 'type': 'array'}, 'orderBy': {'description': 'Order returned entities by the specified field and direction.', 'enum': ['id[ASC]', 'id[DESC]'], 'type': 'string'}, 'perPage': {'description': 'Set how many entities are returned per page. Default: 50; Maximum: 200.', 'type': 'number'}, 'search': {'description': 'Return entities that match a search query. Searches id, name, and email fields.', 'type': 'string'}, 'status': {'description': 'Return entities that match the specified status.', 'items': {'enum': ['active', 'archived'], 'type': 'string'}, 'type': 'array'}}, 'type': 'object'}, description="""\nThis tool will list customers in your Paddle account.\n\nUse the maximum perPage by default (200) to ensure comprehensive results.\nFilter customers by email, ID, and status as needed.\nUse the search parameter to find customers by ID, name, or email address.\nResults are paginated - use the 'after' parameter with the last ID from previous results to get the next page.\nSort results using orderBy parameter.\nCustomers can have either 'active' or 'archived' status.\n"""), # PaddleHQ/Paddle MCP Server/list_customers
    Tool(name="""Paddle MCP Server_list_transactions""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'after': {'description': 'Return entities after the specified Paddle ID when working with paginated endpoints.', 'type': 'string'}, 'billedAt': {'description': 'Return entities billed at a specific time. Pass an RFC 3339 datetime string.', 'type': 'string'}, 'billedAt_gt': {'description': 'Return entities billed after a specific time. Pass an RFC 3339 datetime string.', 'type': 'string'}, 'billedAt_gte': {'description': 'Return entities billed at or after a specific time. Pass an RFC 3339 datetime string.', 'type': 'string'}, 'billedAt_lt': {'description': 'Return entities billed before a specific time. Pass an RFC 3339 datetime string.', 'type': 'string'}, 'billedAt_lte': {'description': 'Return entities billed at or before a specific time. Pass an RFC 3339 datetime string.', 'type': 'string'}, 'collectionMode': {'description': 'Return entities that match the specified collection mode.', 'enum': ['automatic', 'manual'], 'type': 'string'}, 'createdAt': {'description': 'Return entities created at a specific time. Pass an RFC 3339 datetime string.', 'type': 'string'}, 'createdAt_gt': {'description': 'Return entities created after a specific time. Pass an RFC 3339 datetime string.', 'type': 'string'}, 'createdAt_gte': {'description': 'Return entities created at or after a specific time. Pass an RFC 3339 datetime string.', 'type': 'string'}, 'createdAt_lt': {'description': 'Return entities created before a specific time. Pass an RFC 3339 datetime string.', 'type': 'string'}, 'createdAt_lte': {'description': 'Return entities created at or before a specific time. Pass an RFC 3339 datetime string.', 'type': 'string'}, 'customerId': {'description': 'Return entities related to the specified customer.', 'items': {'type': 'string'}, 'type': 'array'}, 'id': {'description': 'Return only the IDs specified.', 'items': {'type': 'string'}, 'type': 'array'}, 'include': {'description': 'Include related entities in the response.', 'items': {'enum': ['address', 'adjustment', 'adjustments_totals', 'business', 'customer', 'discount'], 'type': 'string'}, 'type': 'array'}, 'invoiceNumber': {'description': 'Return entities that match the invoice number.', 'items': {'type': 'string'}, 'type': 'array'}, 'orderBy': {'description': 'Order returned entities by field and direction.', 'enum': ['billed_at[ASC]', 'billed_at[DESC]', 'created_at[ASC]', 'created_at[DESC]', 'id[ASC]', 'id[DESC]', 'updated_at[ASC]', 'updated_at[DESC]'], 'type': 'string'}, 'origin': {'description': 'Return entities related to the specified origin.', 'items': {'enum': ['api', 'subscription_charge', 'subscription_payment_method_change', 'subscription_recurring', 'subscription_update', 'web'], 'type': 'string'}, 'type': 'array'}, 'perPage': {'description': 'Set how many entities are returned per page.', 'type': 'number'}, 'status': {'description': 'Return entities that match the specified status.', 'items': {'enum': ['draft', 'ready', 'billed', 'paid', 'completed', 'canceled', 'past_due'], 'type': 'string'}, 'type': 'array'}, 'subscriptionId': {'description': 'Return entities related to the specified subscription. Pass null to return entities not related to any subscription.', 'items': {'type': 'string'}, 'type': 'array'}, 'updatedAt': {'description': 'Return entities updated at a specific time. Pass an RFC 3339 datetime string.', 'type': 'string'}, 'updatedAt_gt': {'description': 'Return entities updated after a specific time. Pass an RFC 3339 datetime string.', 'type': 'string'}, 'updatedAt_gte': {'description': 'Return entities updated at or after a specific time. Pass an RFC 3339 datetime string.', 'type': 'string'}, 'updatedAt_lt': {'description': 'Return entities updated before a specific time. Pass an RFC 3339 datetime string.', 'type': 'string'}, 'updatedAt_lte': {'description': 'Return entities updated at or before a specific time. Pass an RFC 3339 datetime string.', 'type': 'string'}}, 'type': 'object'}, description="""\nThis tool will list transactions from your Paddle account.\n\nUse the maximum perPage by default (30) to ensure comprehensive results. \nFilter transactions by billing and creation dates, collection mode, customer ID, invoice number, origin, status and subscription ID as required. \nYou can include related information such as addresses, adjustments, adjustment totals, available payment methods, business details, customer data, and discounts when needed.\nResults are paginated - use the 'after' parameter with the last ID from previous results to get the next page.\nSort results using orderBy parameter.\nAmounts are in the smallest currency unit (e.g., cents).\n"""), # PaddleHQ/Paddle MCP Server/list_transactions
    Tool(name="""Paddle MCP Server_list_subscriptions""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'addressId': {'description': 'Return entities related to the specified address.', 'items': {'type': 'string'}, 'type': 'array'}, 'after': {'description': 'Return entities after the specified Paddle ID when working with paginated endpoints.', 'type': 'string'}, 'collectionMode': {'description': 'Return entities that match the specified collection mode.', 'enum': ['automatic', 'manual'], 'type': 'string'}, 'customerId': {'description': 'Return entities related to the specified customer.', 'items': {'type': 'string'}, 'type': 'array'}, 'id': {'description': 'Return only the IDs specified.', 'items': {'type': 'string'}, 'type': 'array'}, 'orderBy': {'description': 'Order returned entities by field and direction.', 'enum': ['id[ASC]', 'id[DESC]'], 'type': 'string'}, 'perPage': {'description': 'Set how many entities are returned per page. Default: 50; Maximum: 200.', 'type': 'number'}, 'priceId': {'description': 'Return entities related to the specified price.', 'items': {'type': 'string'}, 'type': 'array'}, 'scheduledChangeAction': {'description': 'Return subscriptions that have a scheduled change.', 'items': {'enum': ['cancel', 'pause', 'resume'], 'type': 'string'}, 'type': 'array'}, 'status': {'description': 'Return entities that match the specified status.', 'items': {'enum': ['active', 'canceled', 'past_due', 'paused', 'trialing'], 'type': 'string'}, 'type': 'array'}}, 'type': 'object'}, description="""\nThis tool will list subscriptions from your Paddle account.\n\nUse the maximum perPage by default (200) to ensure comprehensive results. \nFilter subscriptions by address ID, customer ID, price ID, collection mode, scheduled change action, and status as needed. \nResults are paginated - use the 'after' parameter with the last ID from previous results to get the next page.\nSort results using orderBy parameter.\nAmounts are in the smallest currency unit (e.g., cents).\n"""), # PaddleHQ/Paddle MCP Server/list_subscriptions
    Tool(name="""Paddle MCP Server_create_report""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'filters': {'description': 'Filter criteria for this report.', 'items': {'additionalProperties': False, 'properties': {'name': {'description': 'Field name to filter by.', 'enum': ['collection_mode', 'currency_code', 'origin', 'status', 'updated_at'], 'type': 'string'}, 'operator': {'description': 'Operator to use when filtering. Valid when filtering by updated_at, null otherwise.', 'enum': ['lt', 'gte'], 'type': 'string'}, 'value': {'anyOf': [{'type': 'string'}, {'items': {'type': 'string'}, 'type': 'array'}], 'description': 'Value to filter by. Check the allowed values descriptions for the name field to see valid values for a field.'}}, 'required': ['name', 'operator', 'value'], 'type': 'object'}, 'type': 'array'}, 'type': {'description': 'Type of report to create.', 'enum': ['adjustments', 'adjustment_line_items', 'transactions', 'transaction_line_items', 'products_prices', 'discounts'], 'type': 'string'}}, 'required': ['type'], 'type': 'object'}, description="""\nThis tool creates custom reports in your Paddle account for financial analysis and reconciliation.\n\nUse this tool over list_transactions when trying to gather larger amounts of data from Paddle.\n\nAvailable report types:\n- 'adjustments': For information about refunds, credits, and chargebacks\n- 'adjustment_line_items': For information about refunds, credits, and chargebacks, broken down by line item level\n- 'transactions': For information about revenue received, past due invoices, draft and issued invoices, and canceled transactions\n- 'transaction_line_items': For information about revenue received, past due invoices, draft and issued invoices, and canceled transactions, broken down by line item level\n- 'products_prices': For information about your products and prices. May include non-catalog products and prices.\n- 'discounts': For information about your product and checkout discounts\n\nReports are generated asynchronously - you'll receive a report ID that can be used to check status.\nReports initially have 'pending' status, then move to 'ready' when available to download.\nReports are available in CSV format and can be downloaded once ready.\nReports expire after a certain period and are no longer available to download after expiration.\n\nUse this tool when you need detailed financial data for analysis, reconciliation, or export to spreadsheet applications.\n"""), # PaddleHQ/Paddle MCP Server/create_report
    Tool(name="""Revit MCP Server_create_levels""", inputSchema={'properties': {'method': {'default': 'CreateLevels', 'title': 'Method', 'type': 'string'}, 'params': {'default': None, 'items': {'additionalProperties': True, 'type': 'object'}, 'title': 'Params', 'type': 'array'}}, 'title': 'create_levelsArguments', 'type': 'object'}, description="""\nRevitJSON-RPC 2.0\nmcp_toolparams\n\n:\n- \n- \n- \n- \n\n:\n    ctx (Context): FastMCP\n    method (str): JSON-RPC\"CreateLevels\"\n    params (List[Dict]): :\n        - elevation (float): \n        - name (str, optional): \"Level_{elevation}\"\n\n:\n    dict: JSON-RPC 2.0:\n        : {\n            \"jsonrpc\": \"2.0\",\n            \"result\": [\n                {\n                    \"elementId\": \"ID\",\n                    \"name\": \"\",\n                    \"familyName\": \"\"\n                },\n                ...\n            ],\n            \"id\": request_id\n        }\n        : {\n            \"jsonrpc\": \"2.0\",\n            \"error\": {\n                \"code\": int,\n                \"message\": str,\n                \"data\": any\n            },\n            \"id\": request_id\n        }\n\n:\n    # \n    response = create_levels(ctx, params=[\n        {\"elevation\": 8000, \"name\": \"Level_3\"},\n        {\"elevation\": 12000}  # \"Level_12000\"\n    ])\n"""), # ZedMoster/Revit MCP Server/create_levels
    Tool(name="""Revit MCP Server_create_floor_plan_views""", inputSchema={'properties': {'method': {'default': 'CreateFloorPlanViews', 'title': 'Method', 'type': 'string'}, 'params': {'default': None, 'items': {'additionalProperties': True, 'type': 'object'}, 'title': 'Params', 'type': 'array'}}, 'title': 'create_floor_plan_viewsArguments', 'type': 'object'}, description="""\nJSON-RPC 2.0\nmcp_toolparams\n\n:\n- \n- \n- \n\n:\nctx (Context): FastMCP\nmethod (str): JSON-RPC CreateFloorPlanViews\nparams (List[Dict]): :\n    - levelId (str): ElementId\n    - viewName (str): \n\n:\n    dict: JSON-RPC 2.0:\n        : {\n            \"jsonrpc\": \"2.0\",\n            \"result\": [\n                {\n                    \"elementId\": \"ID\",\n                    \"name\": \"\",\n                    \"familyName\": \"\"\n                },\n                ...\n            ],\n            \"id\": request_id\n        }\n        : {\n            \"jsonrpc\": \"2.0\",\n            \"error\": {\n                \"code\": int,\n                \"message\": str,\n                \"data\": any\n            },\n            \"id\": request_id\n        }\n\n:\n    response = create_floor_plan_views(ctx, params=[\n        {\"levelId\": \"123456\", \"viewName\": \"Level 1 - Floor Plan\"},\n        {\"levelId\": \"789012\", \"viewName\": \"Level 2 - Floor Plan\"}\n    ])\n\n    # \n    {\n        \"jsonrpc\": \"2.0\",\n        \"result\": [\n            {\n                \"elementId\": \"123789\",\n                \"name\": \"Level 1 - Floor Plan\",\n                \"familyName\": \"Floor Plan\"\n            },\n            {\n                \"elementId\": \"123790\",\n                \"name\": \"Level 2 - Floor Plan\",\n                \"familyName\": \"Floor Plan\"\n            }\n        ],\n        \"id\": 1\n    }\n"""), # ZedMoster/Revit MCP Server/create_floor_plan_views
    Tool(name="""Revit MCP Server_create_grids""", inputSchema={'properties': {'method': {'default': 'CreateGrids', 'title': 'Method', 'type': 'string'}, 'params': {'default': None, 'items': {'additionalProperties': True, 'type': 'object'}, 'title': 'Params', 'type': 'array'}}, 'title': 'create_gridsArguments', 'type': 'object'}, description="""\nRevitJSON-RPC 2.0\nmcp_toolparams\n\n:\n- \n- \n- \n- \n- \n\n:\n    ctx (Context): FastMCP\n    method (str): JSON-RPC\"CreateGrids\"\n    params (List[Dict]): :\n        - startX (float): X\n        - startY (float): Y\n        - endX (float): X\n        - endY (float): Y\n        - name (str, optional): \n        - centerX (float, optional): X\n        - centerY (float, optional): Y\n\n:\n    dict: JSON-RPC 2.0:\n        : {\n            \"jsonrpc\": \"2.0\",\n            \"result\": [\n                {\n                    \"elementId\": \"ID\",\n                    \"name\": \"\",\n                    \"familyName\": \"\"\n                },\n                ...\n            ],\n            \"id\": request_id\n        }\n        : {\n            \"jsonrpc\": \"2.0\",\n            \"error\": {\n                \"code\": int,\n                \"message\": str,\n                \"data\": any\n            },\n            \"id\": request_id\n        }\n\n:\n    # \n    response = create_grids(ctx, params=[\n        {\n            \"name\": \"Grid_A\",\n            \"startX\": 0,\n            \"startY\": 0,\n            \"endX\": 10000,\n            \"endY\": 0\n        },\n        {\n            \"name\": \"Grid_B\",\n            \"startX\": 5000,\n            \"startY\": 0,\n            \"endX\": 5000,\n            \"endY\": 10000,\n            \"centerX\": 5000,\n            \"centerY\": 5000\n        }\n    ])\n\n    # \n    {\n        \"jsonrpc\": \"2.0\",\n        \"result\": [\n            {\n                \"elementId\": \"212801\",\n                \"name\": \"Grid_A\",\n                \"familyName\": \"\"\n            },\n            {\n                \"elementId\": \"212802\",\n                \"name\": \"Grid_B\",\n                \"familyName\": \"\"\n            }\n        ],\n        \"id\": 1\n    }\n"""), # ZedMoster/Revit MCP Server/create_grids
    Tool(name="""Revit MCP Server_create_walls""", inputSchema={'properties': {'method': {'default': 'CreateWalls', 'title': 'Method', 'type': 'string'}, 'params': {'default': None, 'items': {'additionalProperties': True, 'type': 'object'}, 'title': 'Params', 'type': 'array'}}, 'title': 'create_wallsArguments', 'type': 'object'}, description="""\nRevitJSON-RPC 2.0\nmcp_toolparams\n\n:\n- \n- \n- \n- \n- \n\n:\n    ctx (Context): FastMCP\n    method (str): JSON-RPC\"CreateWalls\"\n    params (List[Dict]): :\n        - startX (float): X\n        - startY (float): Y\n        - endX (float): X\n        - endY (float): Y\n        - height (float): \n        - width (float): \n        - elevation (float, optional): 0\n\n:\n    dict: JSON-RPC 2.0:\n        : {\n            \"jsonrpc\": \"2.0\",\n            \"result\": [\n                {\n                    \"elementId\": \"ID\",\n                    \"name\": \"\",\n                    \"familyName\": \"\"\n                },\n                ...\n            ],\n            \"id\": request_id\n        }\n        : {\n            \"jsonrpc\": \"2.0\",\n            \"error\": {\n                \"code\": int,\n                \"message\": str,\n                \"data\": any\n            },\n            \"id\": request_id\n        }\n\n:\n    response = create_walls(ctx, params=[\n        {\"startX\": 0, \"startY\": 0, \"endX\": 5000, \"endY\": 0, \"height\": 3000, \"width\": 200},\n        {\"startX\": 5000, \"startY\": 0, \"endX\": 5000, \"endY\": 5000, \"height\": 3000, \"width\": 200, \"elevation\": 1000}\n    ])\n\n    # \n    {\n        \"jsonrpc\": \"2.0\",\n        \"result\": [\n            {\n                \"elementId\": \"123456\",\n                \"name\": \"\",\n                \"familyName\": \"\"\n            },\n            {\n                \"elementId\": \"123457\",\n                \"name\": \"\",\n                \"familyName\": \"\"\n            }\n        ],\n        \"id\": 1\n    }\n"""), # ZedMoster/Revit MCP Server/create_walls
    Tool(name="""Revit MCP Server_create_floors""", inputSchema={'properties': {'method': {'default': 'CreateFloors', 'title': 'Method', 'type': 'string'}, 'params': {'default': None, 'items': {'additionalProperties': True, 'type': 'object'}, 'title': 'Params', 'type': 'array'}}, 'title': 'create_floorsArguments', 'type': 'object'}, description="""\nRevitJSON-RPC 2.0\nmcp_toolparams\n\n:\n- \n- \n- \n- \n- z\n- \n\n:\n    ctx (Context): FastMCP\n    method (str): JSON-RPC\"CreateFloors\"\n    params (List[Dict]): :\n        - boundaryPoints (List[Dict]): :\n            - x (float): X\n            - y (float): Y\n            - z (float): Z\n        - floorTypeName (str, optional): \n        - structural (bool, optional): False\n\n:\n    dict: JSON-RPC 2.0:\n    : {\n        \"jsonrpc\": \"2.0\",\n        \"result\": [\n            {\n                \"elementId\": \"ID\",\n                \"name\": \"\",\n                \"familyName\": \"\"\n            },\n            ...\n        ],\n        \"id\": request_id\n    }\n    : {\n        \"jsonrpc\": \"2.0\",\n        \"error\": {\n            \"code\": int,\n            \"message\": str,\n            \"data\": any\n        },\n        \"id\": request_id\n    }\n\n:\n    # \n    response = create_floors(ctx, params=[\n        {\n            \"boundaryPoints\": [\n                {\"x\": 0, \"y\": 0, \"z\": 0},\n                {\"x\": 5000, \"y\": 0, \"z\": 0},\n                {\"x\": 5000, \"y\": 5000, \"z\": 0},\n                {\"x\": 0, \"y\": 5000, \"z\": 0},\n                {\"x\": 0, \"y\": 0, \"z\": 0}\n            ],\n            \"floorTypeName\": \" - 150mm\",\n            \"structural\": True\n        },\n        {\n            \"boundaryPoints\": [\n                {\"x\": 0, \"y\": 0, \"z\": 3000},\n                {\"x\": 5000, \"y\": 0, \"z\": 3000},\n                {\"x\": 5000, \"y\": 5000, \"z\": 3000},\n                {\"x\": 0, \"y\": 5000, \"z\": 3000},\n                {\"x\": 0, \"y\": 0, \"z\": 3000}\n            ],\n            \"floorTypeName\": \" - 200mm\"\n        }\n    ])\n\n    # \n    {\n        \"jsonrpc\": \"2.0\",\n        \"result\": [213001, 213002],\n        \"id\": 1\n    }\n"""), # ZedMoster/Revit MCP Server/create_floors
    Tool(name="""Revit MCP Server_create_door_windows""", inputSchema={'properties': {'method': {'default': 'CreateDoorWindows', 'title': 'Method', 'type': 'string'}, 'params': {'default': None, 'items': {'additionalProperties': True, 'type': 'object'}, 'title': 'Params', 'type': 'array'}}, 'title': 'create_door_windowsArguments', 'type': 'object'}, description="""\nRevitJSON-RPC 2.0\nmcp_toolparams\n\n:\n- \n- \n- \n- ElementId\n- \n\n:\n    ctx (Context): FastMCP\n    method (str): JSON-RPC\"CreateDoorWindows\"\n    params (List[Dict]): :\n        - categoryName (str): \n        - familyName (str): \n        - name (str): \n        - startX (float): X\n        - startY (float): Y\n        - startZ (float): Z\n        - hostId (str): ElementId\n        - offset (str, optional): \n\n:\n    dict: JSON-RPC 2.0:\n        : {\n            \"jsonrpc\": \"2.0\",\n            \"result\": [\n                {\n                    \"elementId\": \"ID\",\n                    \"name\": \"\",\n                    \"familyName\": \"\"\n                },\n                ...\n            ],\n            \"id\": request_id\n        }\n        : {\n            \"jsonrpc\": \"2.0\",\n            \"error\": {\n                \"code\": int,\n                \"message\": str,\n                \"data\": any\n            },\n            \"id\": request_id\n        }\n\n:\n    response = create_door_windows(ctx, params=[\n        {\n            \"categoryName\": \"\",\n            \"familyName\": \"\",\n            \"name\": \"915 x 2134mm\",\n            \"startX\": 5000,\n            \"startY\": 2500,\n            \"startZ\": 0,\n            \"hostId\": \"123456\",\n            \"offset\": \"0\"\n        },\n        {\n            \"categoryName\": \"\",\n            \"familyName\": \"\",\n            \"name\": \"0915 x 1220mm\",\n            \"startX\": 8000,\n            \"startY\": 2500,\n            \"startZ\": 1000,\n            \"hostId\": \"123456\",\n            \"offset\": \"900\"\n        }\n    ])\n"""), # ZedMoster/Revit MCP Server/create_door_windows
    Tool(name="""Revit MCP Server_create_rooms""", inputSchema={'properties': {'method': {'default': 'CreateRooms', 'title': 'Method', 'type': 'string'}, 'params': {'default': None, 'items': {'additionalProperties': True, 'type': 'object'}, 'title': 'Params', 'type': 'array'}}, 'title': 'create_roomsArguments', 'type': 'object'}, description="""\nJSON-RPC 2.0\nmcp_toolparams\n\n:\n- \n- \n- \n- \n\n:\n    ctx (Context): FastMCP\n    method (str): JSON-RPC\"CreateRooms\"\n    params (List[Dict]): :\n        - elementId (Union[int, str]): ID\n\n:\n    dict: JSON-RPC 2.0:\n        : {\n            \"jsonrpc\": \"2.0\",\n            \"result\": [\n                {\n                    \"elementId\": \"ID\",\n                    \"name\": \"\",\n                    \"familyName\": \"\"\n                },\n                ...\n            ],\n            \"id\": request_id\n        }\n        : {\n            \"jsonrpc\": \"2.0\",\n            \"error\": {\n                \"code\": int,\n                \"message\": str,\n                \"data\": any\n            },\n            \"id\": request_id\n        }\n\n:\n    -32600: \n    -32602: \n    -32603: \n    -32700: \n\n:\n    # \n    response = create_rooms(ctx, params=[\n        {\"elementId\": 123456},\n        {\"elementId\": \"789012\"}\n    ])\n\n    # \n    {\n        \"jsonrpc\": \"2.0\",\n        \"result\": [\n            {\n                \"elementId\": \"212801\",\n                \"name\": \" 1\",\n                \"familyName\": \"\"\n            },\n            {\n                \"elementId\": \"212802\",\n                \"name\": \" 2\",\n                \"familyName\": \"\"\n            }\n        ],\n        \"id\": 1\n    }\n\n:\n    1. \n    2. \n    3. \n"""), # ZedMoster/Revit MCP Server/create_rooms
    Tool(name="""Revit MCP Server_create_room_tags""", inputSchema={'properties': {'method': {'default': 'CreateRoomTags', 'title': 'Method', 'type': 'string'}, 'params': {'default': None, 'items': {'additionalProperties': True, 'type': 'object'}, 'title': 'Params', 'type': 'array'}}, 'title': 'create_room_tagsArguments', 'type': 'object'}, description="""\nIDJSON-RPC 2.0\nmcp_toolparams\n\n:\n- \n- \n- \n- \n\n:\n    ctx (Context): FastMCP\n    method (str): JSON-RPC\"CreateRoomTags\"\n    params (List[Dict]): :\n        - elementId (Union[int, str]): ID\n\n:\n    dict: JSON-RPC 2.0:\n        : {\n            \"jsonrpc\": \"2.0\",\n            \"result\": [\n                {\n                    \"elementId\": \"ID\",\n                    \"name\": \"\",\n                    \"familyName\": \"\"\n                },\n                ...\n            ],\n            \"id\": request_id\n        }\n        : {\n            \"jsonrpc\": \"2.0\",\n            \"error\": {\n                \"code\": int,\n                \"message\": str,\n                \"data\": any\n            },\n            \"id\": request_id\n        }\n\n:\n    # \n    response = create_room_tags(ctx, params=[{\"elementId\": 123456}])\n\n    # \n    response = create_room_tags(ctx, params=[\n        {\"elementId\": 123456},\n        {\"elementId\": \"789012\"}\n    ])\n\n    # \n    {\n        \"jsonrpc\": \"2.0\",\n        \"result\": [\n            {\n                \"elementId\": \"212801\",\n                \"name\": \" 1\",\n                \"familyName\": \"\"\n            },\n            {\n                \"elementId\": \"212802\",\n                \"name\": \" 2\",\n                \"familyName\": \"\"\n            }\n        ],\n        \"id\": 1\n    }\n\n:\n    1. \n    2. \n    3. \n"""), # ZedMoster/Revit MCP Server/create_room_tags
    Tool(name="""Revit MCP Server_create_family_instances""", inputSchema={'properties': {'method': {'default': 'CreateFamilyInstances', 'title': 'Method', 'type': 'string'}, 'params': {'default': None, 'items': {'additionalProperties': True, 'type': 'object'}, 'title': 'Params', 'type': 'array'}}, 'title': 'create_family_instancesArguments', 'type': 'object'}, description="""\nRevitJSON-RPC 2.0\nmcp_toolparams\n\n:\n- \n- \n- \n    - \n    - \n    - \n    - \n    - \n- \n- \n- \n\n:\n    ctx (Context): FastMCP\n    method (str): JSON-RPC\"CreateFamilyInstances\"\n    params (List[Dict]): :\n        - categoryName (str): BuiltInCategoryCategory.Name\"OST_Walls\",\"OST_Doors\", \"\", \"\", \"\"\n        - name (str): \n        - startX (float): X\n        - startY (float): Y\n        - startZ (float): Z\n        - familyName (str, optional): \n        - endX (float, optional): XstartX\n        - endY (float, optional): YstartY\n        - endZ (float, optional): ZstartZ\n        - hostId (str, optional): ID\n        - viewName (str, optional): \n        - rotationAngle (float, optional): 0\n        - offset (float, optional): 0\n\n:\n    dict: JSON-RPC 2.0:\n        : {\n            \"jsonrpc\": \"2.0\",\n            \"result\": [\n                {\n                    \"elementId\": \"ID\",\n                    \"name\": \"\",\n                    \"familyName\": \"\"\n                },\n                ...\n            ],\n            \"id\": request_id\n        }\n        : {\n            \"jsonrpc\": \"2.0\",\n            \"error\": {\n                \"code\": int,\n                \"message\": str,\n                \"data\": any\n            },\n            \"id\": request_id\n        }\n\n:\n    # \n    response = create_family_instances(ctx, params=[\n        # \n        {\n            \"categoryName\": \"\",\n            \"name\": \"0406 x 0610mm\",\n            \"startX\": 1000,\n            \"startY\": 2000,\n            \"startZ\": 0,\n            \"hostId\": 225535,\n            \"level\": \" 1\",\n        },\n        # \n        {\n            \"categoryName\": \"OST_Furniture\",\n            \"name\": \"\",\n            \"startX\": 3000,\n            \"startY\": 4000,\n            \"startZ\": 0,\n            \"viewName\": \" 1\",\n            \"rotationAngle\": 90\n        },\n        # \n        {\n            \"categoryName\": \"OST_StructuralFraming\",\n            \"name\": \"H\",\n            \"startX\": 0,\n            \"startY\": 0,\n            \"startZ\": 3000,\n            \"endX\": 5000,\n            \"endY\": 0,\n            \"endZ\": 3000\n        }\n    ])\n\n    # \n    {\n        \"jsonrpc\": \"2.0\",\n        \"result\": [213101, 213102, 213103],\n        \"id\": 1\n    }\n"""), # ZedMoster/Revit MCP Server/create_family_instances
    Tool(name="""Revit MCP Server_create_sheets""", inputSchema={'properties': {'method': {'default': 'CreateSheets', 'title': 'Method', 'type': 'string'}, 'params': {'default': None, 'items': {'additionalProperties': {'type': 'string'}, 'type': 'object'}, 'title': 'Params', 'type': 'array'}}, 'title': 'create_sheetsArguments', 'type': 'object'}, description="""\nJSON-RPC 2.0\n\n:\n- \n- \n- \n- \n\n:\n    ctx (Context): FastMCP\n    method (str): JSON-RPC\"CreateSheets\"\n    params (List[Dict]): :\n        - number (str): \n        - name (str): \n        - titleBlockType (str): \n        - viewName (str, optional): \n\n:\n    dict: JSON-RPC 2.0:\n        : {\n            \"jsonrpc\": \"2.0\",\n            \"result\": [\n                {\n                    \"elementId\": \"/ID\",\n                    \"name\": \"\",\n                    \"familyName\": \"\"\n                },\n                ...\n            ],\n            \"id\": request_id\n        }\n        : {\n            \"jsonrpc\": \"2.0\",\n            \"error\": {\n                \"code\": int,\n                \"message\": str,\n                \"data\": any\n            },\n            \"id\": request_id\n        }\n\n:\n    response = create_sheets(ctx, params=[\n        {\n            \"number\": \"101\",\n            \"name\": \"\",\n            \"titleBlockType\": \"A0 \",\n            \"viewName\": \" 1\"\n        },\n        {\n            \"number\": \"102\",\n            \"name\": \"\",\n            \"titleBlockType\": \"A0 \"\n        }\n    ])\n\n    # \n    {\n        \"jsonrpc\": \"2.0\",\n        \"result\": [\n            {\n                \"elementId\": \"654321\",\n                \"name\": \"A101 \",\n                \"familyName\": \"\"\n            },\n            {\n                \"elementId\": \"654322\",\n                \"name\": \"-123456\",\n                \"familyName\": \"\"\n            },\n            {\n                \"elementId\": \"654323\",\n                \"name\": \"A102 \",\n                \"familyName\": \"\"\n            }\n        ],\n        \"id\": 1\n    }\n"""), # ZedMoster/Revit MCP Server/create_sheets
    Tool(name="""Revit MCP Server_create_ducts""", inputSchema={'properties': {'method': {'default': 'CreateDucts', 'title': 'Method', 'type': 'string'}, 'params': {'default': None, 'items': {'additionalProperties': True, 'type': 'object'}, 'title': 'Params', 'type': 'array'}}, 'title': 'create_ductsArguments', 'type': 'object'}, description="""\nRevitJSON-RPC 2.0\nmcp_toolparams\n\n:\n- \n- \n- \n- \n- \n\n:\n    ctx (Context): FastMCP\n    method (str): JSON-RPC\"CreateDucts\"\n    params (List[Dict]): :\n        - ductTypeName (str): \n        - systemTypeName (str): \n        - startX (float): X\n        - startY (float): Y\n        - startZ (float): Z\n        - endX (float): X\n        - endY (float): Y\n        - endZ (float): Z\n        - width (float): \n        - height (float): \n\n:\n    dict: JSON-RPC 2.0:\n        : {\n            \"jsonrpc\": \"2.0\",\n            \"result\": [\n                {\n                    \"elementId\": \"ID\",\n                    \"name\": \"\",\n                    \"familyName\": \"\"\n                },\n                ...\n            ],\n            \"id\": request_id\n        }\n        : {\n            \"jsonrpc\": \"2.0\",\n            \"error\": {\n                \"code\": int,\n                \"message\": str,\n                \"data\": any\n            },\n            \"id\": request_id\n        }\n\n:\n    response = create_ducts(ctx, params=[\n        {\n            \"ductTypeName\": \"\",\n            \"systemTypeName\": \"\",\n            \"startX\": 0,\n            \"startY\": 0,\n            \"startZ\": 3000,\n            \"endX\": 5000,\n            \"endY\": 0,\n            \"endZ\": 3000,\n            \"width\": 300,\n            \"height\": 200\n        },\n        {\n            \"ductTypeName\": \"\",\n            \"systemTypeName\": \"\",\n            \"startX\": 5000,\n            \"startY\": 0,\n            \"startZ\": 3000,\n            \"endX\": 5000,\n            \"endY\": 5000,\n            \"endZ\": 3000,\n            \"width\": 300,\n            \"height\": 200\n        }\n    ])\n"""), # ZedMoster/Revit MCP Server/create_ducts
    Tool(name="""Revit MCP Server_create_pipes""", inputSchema={'properties': {'method': {'default': 'CreatePipes', 'title': 'Method', 'type': 'string'}, 'params': {'default': None, 'items': {'additionalProperties': True, 'type': 'object'}, 'title': 'Params', 'type': 'array'}}, 'title': 'create_pipesArguments', 'type': 'object'}, description="""\nRevitJSON-RPC 2.0\nmcp_toolparams\n\n:\n- \n- \n- \n- \n- \n\n:\n    ctx (Context): FastMCP\n    method (str): JSON-RPC\"CreatePipes\"\n    params (List[Dict]): :\n        - pipeTypeName (str): \n        - systemTypeName (str): \n        - startX (float): X\n        - startY (float): Y\n        - startZ (float): Z\n        - endX (float): X\n        - endY (float): Y\n        - endZ (float): Z\n        - diameter (float): \n\n:\n    dict: JSON-RPC 2.0:\n        : {\n            \"jsonrpc\": \"2.0\",\n            \"result\": [\n                {\n                    \"elementId\": \"ID\",\n                    \"name\": \"\",\n                    \"familyName\": \"\"\n                },\n                ...\n            ],\n            \"id\": request_id\n        }\n        : {\n            \"jsonrpc\": \"2.0\",\n            \"error\": {\n                \"code\": int,\n                \"message\": str,\n                \"data\": any\n            },\n            \"id\": request_id\n        }\n\n:\n    response = create_pipes(ctx, params=[\n        {\n            \"pipeTypeName\": \"\",\n            \"systemTypeName\": \"\",\n            \"startX\": 0,\n            \"startY\": 0,\n            \"startZ\": 3000,\n            \"endX\": 5000,\n            \"endY\": 0,\n            \"endZ\": 3000,\n            \"diameter\": 50\n        },\n        {\n            \"pipeTypeName\": \"\",\n            \"systemTypeName\": \"\",\n            \"startX\": 5000,\n            \"startY\": 0,\n            \"startZ\": 3000,\n            \"endX\": 5000,\n            \"endY\": 5000,\n            \"endZ\": 3000,\n            \"diameter\": 40\n        }\n    ])\n"""), # ZedMoster/Revit MCP Server/create_pipes
    Tool(name="""Revit MCP Server_create_cable_trays""", inputSchema={'properties': {'method': {'default': 'CreateCableTrays', 'title': 'Method', 'type': 'string'}, 'params': {'default': None, 'items': {'additionalProperties': True, 'type': 'object'}, 'title': 'Params', 'type': 'array'}}, 'title': 'create_cable_traysArguments', 'type': 'object'}, description="""\nRevitJSON-RPC 2.0\nmcp_toolparams\n\n:\n- \n- \n- \n- \n- \n\n:\n    ctx (Context): FastMCP\n    method (str): JSON-RPC\"CreateCableTrays\"\n    params (List[Dict]): :\n        - cableTrayTypeName (str): \n        - startX (float): X\n        - startY (float): Y\n        - startZ (float): Z\n        - endX (float): X\n        - endY (float): Y\n        - endZ (float): Z\n        - width (float): \n        - height (float): \n\n:\n    dict: JSON-RPC 2.0:\n        : {\n            \"jsonrpc\": \"2.0\",\n            \"result\": [\n                {\n                    \"elementId\": \"ID\",\n                    \"name\": \"\",\n                    \"familyName\": \"\"\n                },\n                ...\n            ],\n            \"id\": request_id\n        }\n        : {\n            \"jsonrpc\": \"2.0\",\n            \"error\": {\n                \"code\": int,\n                \"message\": str,\n                \"data\": any\n            },\n            \"id\": request_id\n        }\n\n:\n    response = create_cable_trays(ctx, params=[\n        {\n            \"cableTrayTypeName\": \"\",\n            \"startX\": 0,\n            \"startY\": 0,\n            \"startZ\": 3000,\n            \"endX\": 5000,\n            \"endY\": 0,\n            \"endZ\": 3000,\n            \"width\": 200,\n            \"height\": 100\n        },\n        {\n            \"cableTrayTypeName\": \"\",\n            \"startX\": 5000,\n            \"startY\": 0,\n            \"startZ\": 3000,\n            \"endX\": 5000,\n            \"endY\": 5000,\n            \"endZ\": 3000,\n            \"width\": 200,\n            \"height\": 100\n        }\n    ])\n"""), # ZedMoster/Revit MCP Server/create_cable_trays
    Tool(name="""Revit MCP Server_get_commands""", inputSchema={'properties': {'method': {'default': 'GetCommands', 'title': 'Method', 'type': 'string'}}, 'title': 'get_commandsArguments', 'type': 'object'}, description="""\nJSON-RPC 2.0\nmcp_toolparams\n\n:\n- Revit\n- \n- \n- \n\n:\n    ctx (Context): FastMCP\n    method (str): JSON-RPC\"GetCommands\"\n\n:\n    dict: JSON-RPC 2.0:\n        : {\n            \"jsonrpc\": \"2.0\",\n            \"result\": [\n                {\n                    \"name\": \"\",\n                    \"description\": \"\",\n                    \"tooltip\": \"\"\n                },\n                ...\n            ],\n            \"id\": request_id\n        }\n        : {\n            \"jsonrpc\": \"2.0\",\n            \"error\": {\n                \"code\": int,\n                \"message\": str,\n                \"data\": any\n            },\n            \"id\": request_id\n        }\n\n:\n    # \n    response = get_commands(ctx)\n\n    # \n    {\n        \"jsonrpc\": \"2.0\",\n        \"result\": [\n            {\n                \"name\": \"\",\n                \"description\": \"\",\n                \"tooltip\": \"\"\n            },\n            {\n                \"name\": \"\",\n                \"description\": \"\",\n                \"tooltip\": \"\"\n            },\n            ...\n        ],\n        \"id\": 1\n    }\n"""), # ZedMoster/Revit MCP Server/get_commands
    Tool(name="""Revit MCP Server_execute_commands""", inputSchema={'properties': {'method': {'default': 'ExecuteCommands', 'title': 'Method', 'type': 'string'}, 'params': {'default': None, 'items': {'additionalProperties': True, 'type': 'object'}, 'title': 'Params', 'type': 'array'}}, 'title': 'execute_commandsArguments', 'type': 'object'}, description="""\nJSON-RPC 2.0\nmcp_toolparams\n\n:\n- \n- \n- \n- \n\n:\n    ctx (Context): FastMCP\n    method (str): JSON-RPC\"ExecuteCommands\"\n    params (List[Dict]): :\n        - name (str): \n        - add (bool): TrueFalse\n\n:\n    dict: JSON-RPC 2.0:\n        : {\n            \"jsonrpc\": \"2.0\",\n            \"result\": [\n                {\n                    \"name\": \"AI\",\n                    \"description\": \"DeepSeekRevit,\",\n                    \"tooltip\": \"(F1)\"\n                },\n                {\n                    \"name\": \"AI\",\n                    \"description\": \"AIRevit,~\",\n                    \"tooltip\": \"(F1)\"\n                },\n                ...\n            ],\n            \"id\": request_id\n        }\n        : {\n            \"jsonrpc\": \"2.0\",\n            \"error\": {\n                \"code\": int,\n                \"message\": str,\n                \"data\": any\n            },\n            \"id\": request_id\n        }\n\n:\n    # \n    response = execute_command(ctx, params=[\n        {\"name\": \"AI\", \"add\": True},\n        {\"name\": \"AI\", \"add\": True}\n    ])\n\n    # \n    response = execute_command(ctx, params=[\n        {\"name\": \"AI\", \"add\": False}\n    ])\n"""), # ZedMoster/Revit MCP Server/execute_commands
    Tool(name="""Revit MCP Server_call_func""", inputSchema={'properties': {'method': {'default': 'CallFunc', 'title': 'Method', 'type': 'string'}, 'params': {'default': None, 'items': {'additionalProperties': True, 'type': 'object'}, 'title': 'Params', 'type': 'array'}}, 'title': 'call_funcArguments', 'type': 'object'}, description="""\n Revit  JSON-RPC 2.0 \n\n:\n- \n- \n- \n- \n\n:\n    ctx (Context): FastMCP\n    method (str): JSON-RPC\"CallFunc\"\n    params (List[Dict]): :\n        - name (str): \n        - params (dict, optional): ,\n\n:\n    dict: JSON-RPC 2.0:\n        : {\n            \"jsonrpc\": \"2.0\",\n            \"result\": [\n                {\n                    \"elementId\": \"ID\",\n                    \"name\": \"\",\n                    \"familyName\": \"\"\n                },\n                ...\n            ],\n            \"id\": request_id\n        }\n        : {\n            \"jsonrpc\": \"2.0\",\n            \"error\": {\n                \"code\": int,\n                \"message\": str,\n                \"data\": any\n            },\n            \"id\": request_id\n        }\n\n:\n    response = call_func(ctx, params=[\n        {\"name\": \"ClearDuplicates\"},\n        {\"name\": \"DeleteZeroRooms\"},\n        {\"name\": \"DimensionViewPlanGrids\"},\n        {\"name\": \"\", \"params\": {\"offset\": 3000}}\n    ])\n\n    # \n    {\n        \"jsonrpc\": \"2.0\",\n        \"result\": [\n            {\"elementId\": \"123456\", \"name\": \"\", \"familyName\": \"\"},\n            {\"elementId\": \"789012\", \"name\": \"\", \"familyName\": \"\"},\n            {\"elementId\": \"345678\", \"name\": \"\", \"familyName\": \"\"},\n            {\"elementId\": \"345672\", \"name\": \" 3\", \"familyName\": \"\"},\n        ],\n        \"id\": 1\n    }\n"""), # ZedMoster/Revit MCP Server/call_func
    Tool(name="""Revit MCP Server_find_elements""", inputSchema={'properties': {'method': {'default': 'FindElements', 'title': 'Method', 'type': 'string'}, 'params': {'default': None, 'items': {'additionalProperties': True, 'type': 'object'}, 'title': 'Params', 'type': 'array'}}, 'title': 'find_elementsArguments', 'type': 'object'}, description="""\nRevitJSON-RPC 2.0\nmcp_toolparams\n\n:\n- BuiltInCategoryCategory.Name\n- \n- \n- JSON-RPC 2.0\n- \n\n:\n    ctx (Context): FastMCP\n    method (str): JSON-RPC\"FindElements\"\n    params (List[Dict[str, Union[str, bool]]]): :\n        - categoryName (str): BuiltInCategoryCategory.Name \"OST_Walls\",\"OST_Doors\", \"\", \"\", \"\"\n        - isInstance (bool): True,False\n\n:\n    dict: JSON-RPC 2.0:\n        : {\n            \"jsonrpc\": \"2.0\",\n            \"result\": [\n                {\n                    \"elementId\": \"ID\",\n                    \"name\": \"\",\n                    \"familyName\": \"\"\n                },\n                ...\n            ],\n            \"id\": request_id\n        }\n        : {\n            \"jsonrpc\": \"2.0\",\n            \"error\": {\n                \"code\": ,\n                \"message\": ,\n                \"data\": \n            },\n            \"id\": request_id\n        }\n\n:\n    -32600: \n    -32602: BuiltInCategoryCategory.Name\n    -32603: \n    -32700: \n\n:\n    >>> response = find_elements(ctx, params=[\n    ...     {\"categoryName\": \"OST_Doors\", \"isInstance\": False},\n    ...     {\"categoryName\": \"\", \"isInstance\": True}\n    ... ])\n    >>> print(response)\n    {\n        \"jsonrpc\": \"2.0\",\n        \"result\": [\n            {\"elementId\": \"123456\", \"name\": \"\", \"familyName\": \"M_\"},\n            {\"elementId\": \"789012\", \"name\": \"\", \"familyName\": \"M_\"}\n        ],\n        \"id\": 1\n    }\n"""), # ZedMoster/Revit MCP Server/find_elements
    Tool(name="""Revit MCP Server_update_elements""", inputSchema={'properties': {'method': {'default': 'UpdateElements', 'title': 'Method', 'type': 'string'}, 'params': {'default': None, 'items': {'additionalProperties': True, 'type': 'object'}, 'title': 'Params', 'type': 'array'}}, 'title': 'update_elementsArguments', 'type': 'object'}, description="""\nRevitJSON-RPC 2.0\nmcp_toolparams\n\n:\n- ID/\n- \n- \n- JSON-RPC 2.0\n\n:\nctx (Context): FastMCP\nmethod (str): JSON-RPC\"UpdateElements\"\nparams (List[Dict[str, Union[str, int]]]): :\n    - elementId (Union[str, int]): ID\n    - parameterName (str): \n    - parameterValue (str): \n\n:\n    dict: JSON-RPC 2.0:\n        : {\n            \"jsonrpc\": \"2.0\",\n            \"result\": [\n                {\n                    \"elementId\": \"ID\",\n                    \"name\": \"\",\n                    \"familyName\": \"\"\n                },\n                ...\n            ],\n            \"id\": request_id\n        }\n        : {\n            \"jsonrpc\": \"2.0\",\n            \"error\": {\n                \"code\": ,\n                \"message\": ,\n                \"data\": \n            },\n            \"id\": request_id\n        }\n\n:\n    -32600 (Invalid Request): \n    -32602 (Invalid Params): /\n    -32603 (Internal Error): \n    -32700 (Parse Error): \n\n:\n    > # \n    > response = update_elements(ctx, params=[\n    ...     {\"elementId\": 123456, \"parameterName\": \"Comments\", \"parameterValue\": \"Test\"},\n    ...     {\"elementId\": \"789012\", \"parameterName\": \"Height\", \"parameterValue\": \"3000\"}\n    ... ])\n    > print(response)\n    {\n        \"jsonrpc\": \"2.0\",\n        \"result\": [\n            {\"elementId\": \"123456\", \"name\": \"\", \"familyName\": \"\"},\n            {\"elementId\": \"789012\", \"name\": \"\", \"familyName\": \"M_\"}\n        ],\n        \"id\": 1\n    }\n\n    # \n    > response = update_elements(ctx, params=[\n    ...     {\"elementId\":112,\"parameterName\":\"InvalidParam\",\"parameterValue\":\"X\"} ])\n    > print(response)\n    > {\"jsonrpc\":\"2.0\",\"error\":{\"code\":-32602,\"message\":\"\",\"data\":\"'InvalidParam'\"},\"id\":1}\n\n:\n    Revit\n"""), # ZedMoster/Revit MCP Server/update_elements
    Tool(name="""Revit MCP Server_delete_elements""", inputSchema={'properties': {'method': {'default': 'DeleteElements', 'title': 'Method', 'type': 'string'}, 'params': {'default': None, 'items': {'additionalProperties': True, 'type': 'object'}, 'title': 'Params', 'type': 'array'}}, 'title': 'delete_elementsArguments', 'type': 'object'}, description="""\nRevitJSON-RPC 2.0\nmcp_toolparams\n\n:\n- \n- elementId\n- elementId\n- \n- \n\n:\n    ctx (Context): FastMCP\n    method (str): JSON-RPC\"DeleteElements\"\n    params (List[Dict[str, Union[int, str]]]): :\n        - elementId (Union[int, str]): ID\n\n:\n    dict: JSON-RPC 2.0:\n        : {\n            \"jsonrpc\": \"2.0\",\n            \"result\": [\n                {\n                    \"elementId\": \"ID\",\n                    \"name\": \"\",\n                    \"familyName\": \"\"\n                },\n                ...\n            ],\n            \"id\": request_id\n        }\n        : {\n            \"jsonrpc\": \"2.0\",\n            \"error\": {\n                \"code\": int,\n                \"message\": str,\n                \"data\": any\n            },\n            \"id\": request_id\n        }\n\n:\n    >>> # \n    >>> response = delete_elements(ctx, params=[\n    ...     {\"elementId\": 5943},\n    ...     {\"elementId\": \"5913\"},\n    ...     {\"elementId\": 212831}\n    ... ])\n    >>> print(response)\n    {\n        \"jsonrpc\": \"2.0\",\n        \"result\": [\n            {\"elementId\": \"5943\", \"name\": \"Wall 1\", \"familyName\": \"Basic Wall\"},\n            {\"elementId\": \"5913\", \"name\": \"Door 1\", \"familyName\": \"Single-Flush\"},\n            {\"elementId\": \"212831\", \"name\": \"Window 1\", \"familyName\": \"Fixed\"}\n        ],\n        \"id\": 1\n    }\n"""), # ZedMoster/Revit MCP Server/delete_elements
    Tool(name="""Revit MCP Server_parameter_elements""", inputSchema={'properties': {'method': {'default': 'ParameterElements', 'title': 'Method', 'type': 'string'}, 'params': {'default': None, 'items': {'additionalProperties': True, 'type': 'object'}, 'title': 'Params', 'type': 'array'}}, 'title': 'parameter_elementsArguments', 'type': 'object'}, description="""\nRevitJSON-RPC 2.0\nmcp_toolparams\n\n:\n- \n- \n- \n- \n\n:\n    ctx (Context): FastMCP\n    method (str): JSON-RPC\"ParameterElements\"\n    params (List[Dict]): :\n        - elementId (Union[int, str]): ID\n        - parameterName (str, optional): \n\n:\n    dict: JSON-RPC 2.0:\n        : {\n            \"jsonrpc\": \"2.0\",\n            \"result\": {\n                \"elementId1\": [\n                    {\n                        \"hashCode\": int,\n                        \"parameterName\": str,\n                        \"parameterValue\": str,\n                    }\n                ],\n                ...\n            },\n            \"id\": request_id\n        }\n        : {\n            \"jsonrpc\": \"2.0\",\n            \"error\": {\n                \"code\": int,\n                \"message\": str,\n                \"data\": any\n            },\n            \"id\": request_id\n        }\n\n:\n    # \n    response = parameter_elements(ctx, params=[\n        {\"elementId\": 212792, \"parameterName\": \"\"},  # \n        {\"elementId\": 212781}  # \n    ])\n\n    # \n    {\n        \"jsonrpc\": \"2.0\",\n        \"result\": {\n            \"212792\": [\n                {\n                    \"hashCode\": 12345,\n                    \"parameterName\": \"\",\n                    \"parameterValue\": \"\",\n                }\n            ],\n            \"212781\": [\n                {\n                    \"hashCode\": 23456,\n                    \"parameterName\": \"\",\n                    \"parameterValue\": \"5000\",\n                },\n                ...\n            ]\n        },\n        \"id\": 1\n    }\n"""), # ZedMoster/Revit MCP Server/parameter_elements
    Tool(name="""Revit MCP Server_get_locations""", inputSchema={'properties': {'method': {'default': 'GetLocations', 'title': 'Method', 'type': 'string'}, 'params': {'default': None, 'items': {'additionalProperties': True, 'type': 'object'}, 'title': 'Params', 'type': 'array'}}, 'title': 'get_locationsArguments', 'type': 'object'}, description="""\nRevitJSON-RPC 2.0\nmcp_toolparams\n\n:\n- \n- \n- \n- \n\n:\n    ctx (Context): FastMCP\n    method (str): JSON-RPC\"GetLocations\"\n    params (List[Dict]): :\n        - elementId (Union[str, int]): ID,strId\n\n:\n    dict: JSON-RPC 2.0:\n        : {\n            \"jsonrpc\": \"2.0\",\n            \"result\": {\n                \"elementId1\": [\n                    {\n                        \"X\": float,  # X\n                        \"Y\": float,  # Y\n                        \"Z\": float   # Z\n                    },\n                    ...\n                ],\n                ...\n            },\n            \"id\": request_id\n        }\n        : {\n            \"jsonrpc\": \"2.0\",\n            \"error\": {\n                \"code\": int,\n                \"message\": str,\n                \"data\": any\n            },\n            \"id\": request_id\n        }\n\n:\n    -32600: \n    -32602: \n    -32603: \n    -32700: \n\n:\n    # \n    response = get_location(ctx, params=[\n        {\"elementId\": 123456},\n        {\"elementId\": \"789012\"}\n    ])\n\n    # XYZ\n    {\n        \"jsonrpc\": \"2.0\",\n        \"result\": {\n            \"123456\": [\n                {\"X\": 1000.0, \"Y\": 2000.0, \"Z\": 0.0}\n            ]\n        },\n        \"id\": 1\n    }\n\n    # Line\n    {\n        \"jsonrpc\": \"2.0\",\n        \"result\": {\n            \"789012\": [\n                {\"X\": 0.0, \"Y\": 0.0, \"Z\": 0.0},\n                {\"X\": 5000.0, \"Y\": 0.0, \"Z\": 0.0}\n            ]\n        },\n        \"id\": 1\n    }\n    # Arc\n    {\n        \"jsonrpc\": \"2.0\",\n        \"result\": {\n            \"789012\": [\n                {\"X\": 0.0, \"Y\": 0.0, \"Z\": 0.0},\n                {\"X\": 5000.0, \"Y\": 0.0, \"Z\": 0.0}\n                {\"X\": 2500.0, \"Y\": 1200, \"Z\": 0.0}\n            ]\n        },\n        \"id\": 1\n    }\n\n    :,\n\n"""), # ZedMoster/Revit MCP Server/get_locations
    Tool(name="""Revit MCP Server_move_elements""", inputSchema={'properties': {'method': {'default': 'MoveElements', 'title': 'Method', 'type': 'string'}, 'params': {'default': None, 'items': {'additionalProperties': True, 'type': 'object'}, 'title': 'Params', 'type': 'array'}}, 'title': 'move_elementsArguments', 'type': 'object'}, description="""\nRevitJSON-RPC 2.0\nmcp_toolparams\n\n:\n- Revit\n- \n- ElementModelRequest\n- \n\n:\n    ctx (Context): FastMCP\n    method (str): JSON-RPC\"MoveElements\"\n    params (List[Dict]): :\n        - elementId (str): ID\n        - x (float): X\n        - y (float): Y\n        - z (float): Z\n\n:\n    dict: JSON-RPC 2.0:\n        : {\n            \"jsonrpc\": \"2.0\",\n            \"result\": [\n                {\n                    \"elementId\": \"ID\",\n                    \"name\": \"\",\n                    \"familyName\": \"\"\n                },\n                ...\n            ],\n            \"id\": request_id\n        }\n        : {\n            \"jsonrpc\": \"2.0\",\n            \"error\": {\n                \"code\": int,\n                \"message\": str,\n                \"data\": any\n            },\n            \"id\": request_id\n        }\n\n:\n    response = move_elements(ctx, params=[\n        {\"elementId\": \"123456\", \"x\": 100, \"y\": 200, \"z\": 0},\n        {\"elementId\": \"789012\", \"x\": -50, \"y\": 0, \"z\": 300}\n    ])\n"""), # ZedMoster/Revit MCP Server/move_elements
    Tool(name="""Revit MCP Server_show_elements""", inputSchema={'properties': {'method': {'default': 'ShowElements', 'title': 'Method', 'type': 'string'}, 'params': {'default': None, 'items': {'additionalProperties': True, 'type': 'object'}, 'title': 'Params', 'type': 'array'}}, 'title': 'show_elementsArguments', 'type': 'object'}, description="""\nRevitJSON-RPC 2.0\nmcp_toolparams\n\n:\n- \n- ID\n- \n- \n- \n\n:\n    ctx (Context): FastMCP\n    method (str): JSON-RPC\"ShowElements\"\n    params (List[Dict[str, Union[int, str]]]): :\n        - elementId (Union[int, str]): ID\n\n:\n    dict: JSON-RPC 2.0:\n        : {\n            \"jsonrpc\": \"2.0\",\n            \"result\": [ID],\n            \"id\": request_id\n        }\n        : {\n            \"jsonrpc\": \"2.0\",\n            \"error\": {\n                \"code\": ,\n                \"message\": ,\n                \"data\": \n            },\n            \"id\": request_id\n        }\n\n:\n    -32600 (Invalid Request): \n    -32602 (Invalid Params): ID\n    -32603 (Internal Error): \n    -32700 (Parse Error): \n\n:\n    >>> # \n    >>> response = show_elements(ctx, params=[\n    ...     {\"elementId\": 212781},\n    ...     {\"elementId\": \"212792\"}\n    ... ])\n    >>> print(response)\n    {\"jsonrpc\":\"2.0\",\"result\":[212781,212792],\"id\":1}\n\n:\n    :\n    1. \n    2. \n    3. \n"""), # ZedMoster/Revit MCP Server/show_elements
    Tool(name="""Revit MCP Server_active_view""", inputSchema={'properties': {'method': {'default': 'ActiveView', 'title': 'Method', 'type': 'string'}, 'params': {'default': None, 'items': {'additionalProperties': True, 'type': 'object'}, 'title': 'Params', 'type': 'array'}}, 'title': 'active_viewArguments', 'type': 'object'}, description="""\nRevitJSON-RPC 2.0\nmcp_toolparams\n\n:\n- \n- \n- \n- \n\n:\n    ctx (Context): FastMCP\n    method (str): JSON-RPC\"ActiveView\"\n    params (List[Dict]): :\n        - elementId (Union[int, str]): ID\n\n:\n    dict: JSON-RPC 2.0:\n        : {\n            \"jsonrpc\": \"2.0\",\n            \"result\": [\n                {\n                    \"elementId\": \"ID\",\n                    \"name\": \"\",\n                    \"familyName\": \"\"\n                },\n                ...\n            ],\n            \"id\": request_id\n        }\n        : {\n            \"jsonrpc\": \"2.0\",\n            \"error\": {\n                \"code\": int,\n                \"message\": str,\n                \"data\": any\n            },\n            \"id\": request_id\n        }\n\n:\n    -32600: \n    -32602: //\n    -32603: \n    -32700: \n\n:\n    # \n    response = active_view(ctx, params=[{\"elementId\": 123456}])\n\n    # \n    response = active_view(ctx, params=[\n        {\"elementId\": 123456},\n        {\"elementId\": \"789012\"}\n    ])\n\n    # \n    {\n        \"jsonrpc\": \"2.0\",\n        \"result\": [123456, 789012],\n        \"id\": 1\n    }\n\n:\n    1. \n    2. ID\n    3. ID\n"""), # ZedMoster/Revit MCP Server/active_view
    Tool(name="""Revit MCP Server_get_selected_elements""", inputSchema={'properties': {'method': {'default': 'GetSelectedElements', 'title': 'Method', 'type': 'string'}}, 'title': 'get_selected_elementsArguments', 'type': 'object'}, description="""\nRevit UIJSON-RPC 2.0\n\n:\n- Revit\n- ID\n- UI\n- \n\n:\n    ctx (Context): FastMCP\n    method (str): JSON-RPC\"GetSelectedElements\"\n\n:\n    dict: JSON-RPC 2.0:\n        : {\n            \"jsonrpc\": \"2.0\",\n            \"result\": [\n                {\n                    \"elementId\": \"ID\",\n                    \"name\": \"\",\n                    \"familyName\": \"\"\n                },\n                ...\n            ],\n            \"id\": request_id\n        }\n        : {\n            \"jsonrpc\": \"2.0\",\n            \"error\": {\n                \"code\": int,\n                \"message\": str,\n                \"data\": any\n            },\n            \"id\": request_id\n        }\n\n:\n    # \n    response = get_selected_elements(ctx)\n\n    # \n    {\n        \"jsonrpc\":\"2.0\",\"id\":\"a39934f6-0ee9-4319-b820-1eba95a82c51\",\n        \"result\":\n        [\n            {\"elementId\":\"355\",\"familyName\":\"\",\"name\":\" 1\"},\n            {\"elementId\":\"2607\",\"familyName\":\"\",\"name\":\" 2\"},\n            {\"elementId\":\"5855\",\"familyName\":\"\",\"name\":\"T.O. Fnd. \"}\n        ],\n        \"error\":[]\n    }\n"""), # ZedMoster/Revit MCP Server/get_selected_elements
    Tool(name="""Revit MCP Server_link_dwg_and_activate_view""", inputSchema={'properties': {'method': {'default': 'LinkDWGAndActivateView', 'title': 'Method', 'type': 'string'}, 'params': {'default': None, 'items': {'additionalProperties': True, 'type': 'object'}, 'title': 'Params', 'type': 'array'}}, 'title': 'link_dwg_and_activate_viewArguments', 'type': 'object'}, description="""\n DWG JSON-RPC 2.0\n\n:\n-  DWG \n- \n- \n- \n\n:\n    ctx (Context): FastMCP\n    method (str): JSON-RPC\"LinkDWGAndActivateView\"\n    params (List[Dict]): :\n        - filePath (str):  DWG \n        - viewName (str): \n\n:\n    dict: JSON-RPC 2.0:\n        : {\n            \"jsonrpc\": \"2.0\",\n            \"result\": [\n                {\n                    \"filePath\": \"\",\n                    \"viewId\": \"ID\",\n                    \"viewName\": \"\"\n                },\n                ...\n            ],\n            \"id\": request_id\n        }\n        : {\n            \"jsonrpc\": \"2.0\",\n            \"error\": {\n                \"code\": int,\n                \"message\": str,\n                \"data\": any\n            },\n            \"id\": request_id\n        }\n\n:\n    response = link_and_activate_view(ctx, params=[\n        {\"filePath\": \"C:\\Projects\\SampleDrawing.dwg\", \"viewName\": \"Level 1\"}\n    ])\n\n    # \n    {\n        \"jsonrpc\": \"2.0\",\n        \"result\": [\n            {\n                \"filePath\": \"C:\\Projects\\SampleDrawing.dwg\",\n                \"viewId\": 123456,\n                \"viewName\": \"Level 1\"\n            }\n        ],\n        \"id\": 1\n    }\n"""), # ZedMoster/Revit MCP Server/link_dwg_and_activate_view
    Tool(name="""Safe Local Python Executor/Interpreter_run_python""", inputSchema={'properties': {'code': {'title': 'Code', 'type': 'string'}}, 'required': ['code'], 'title': 'run_pythonArguments', 'type': 'object'}, description="""Execute Python code in a secure sandbox environment.\n    \n    This tool allows running simple Python code for calculations and data manipulations.\n    The execution environment is restricted for security purposes. Make sure you create a single file\n    that can be executed in one go and it returns a result.\n\n    Default allowed imports:\n    - math\n    - random \n    - datetime\n    - time\n    - json\n    - re\n    - string\n    - collections\n    - itertools\n    - functools\n    - operator\n    \n    Args:\n        code: The Python code to execute. Must be valid Python 3 code. The result must be stored in a variable called `result`. E.g.:\n        ```python\n        import math\n        result = math.sqrt(16)\n        ```\n        \n    Returns:\n        A dictionary with execution results containing:\n        - result: The final value or None if no value is returned\n        - logs: Any output from print statements\n    """), # maxim-saplin/Safe Local Python Executor/Interpreter/run_python
    Tool(name="""mcp-my-apple-remembers_my_apple_recall_memory""", inputSchema={'properties': {'code_snippet': {'description': 'AppleScript code to execute on the remote machine. Can be a single line or multi-line script. You should prefer multi-line scripts for complex operations.', 'type': 'string'}, 'timeout': {'description': 'Command execution timeout in seconds (default: 60)', 'type': 'integer'}}, 'required': ['code_snippet'], 'type': 'object'}, description="""Run Apple Script on a remote MacOs machine. This call should be used to recall the apple notes, apple calendar, imessages, chat messages, files, context or any other information of a MacOs machine can have access to."""), # baryhuang/mcp-my-apple-remembers/my_apple_recall_memory
    Tool(name="""mcp-my-apple-remembers_my_apple_save_memory""", inputSchema={'properties': {'code_snippet': {'description': 'AppleScript code to execute on the remote machine. Can be a single line or multi-line script. You should prefer multi-line scripts for complex operations.', 'type': 'string'}, 'timeout': {'description': 'Command execution timeout in seconds (default: 60)', 'type': 'integer'}}, 'required': ['code_snippet'], 'type': 'object'}, description="""Run Apple Script on a remote MacOs machine. This call should be used to save relevant information to the apple notes. You decide what information to save. You should always add a new notes with a timestamp as the title."""), # baryhuang/mcp-my-apple-remembers/my_apple_save_memory
    Tool(name="""PCM_cache-stats""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {}, 'type': 'object'}, description="""Get CCXT cache statistics"""), # rand-tech/PCM/cache-stats
    Tool(name="""PCM_clear-cache""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {}, 'type': 'object'}, description="""Clear CCXT cache"""), # rand-tech/PCM/clear-cache
    Tool(name="""PCM_set-log-level""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'level': {'description': 'Logging level to set', 'enum': ['debug', 'info', 'warning', 'error'], 'type': 'string'}}, 'required': ['level'], 'type': 'object'}, description="""Set logging level"""), # rand-tech/PCM/set-log-level
    Tool(name="""PCM_list-exchanges""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {}, 'type': 'object'}, description="""List all available cryptocurrency exchanges"""), # rand-tech/PCM/list-exchanges
    Tool(name="""PCM_get-ticker""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'exchange': {'description': 'Exchange ID (e.g., binance, coinbase)', 'type': 'string'}, 'marketType': {'description': 'Market type (default: spot)', 'enum': ['spot', 'future', 'swap', 'option', 'margin'], 'type': 'string'}, 'symbol': {'description': 'Trading pair symbol (e.g., BTC/USDT)', 'type': 'string'}}, 'required': ['exchange', 'symbol'], 'type': 'object'}, description="""Get current ticker information for a trading pair"""), # rand-tech/PCM/get-ticker
    Tool(name="""PCM_batch-get-tickers""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'exchange': {'description': 'Exchange ID (e.g., binance, coinbase)', 'type': 'string'}, 'marketType': {'description': 'Market type (default: spot)', 'enum': ['spot', 'future', 'swap', 'option', 'margin'], 'type': 'string'}, 'symbols': {'description': "List of trading pair symbols (e.g., ['BTC/USDT', 'ETH/USDT'])", 'items': {'type': 'string'}, 'type': 'array'}}, 'required': ['exchange', 'symbols'], 'type': 'object'}, description="""Get ticker information for multiple trading pairs at once"""), # rand-tech/PCM/batch-get-tickers
    Tool(name="""PCM_get-orderbook""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'exchange': {'description': 'Exchange ID (e.g., binance, coinbase)', 'type': 'string'}, 'limit': {'default': 20, 'description': 'Depth of the orderbook', 'type': 'number'}, 'symbol': {'description': 'Trading pair symbol (e.g., BTC/USDT)', 'type': 'string'}}, 'required': ['exchange', 'symbol'], 'type': 'object'}, description="""Get market order book for a trading pair"""), # rand-tech/PCM/get-orderbook
    Tool(name="""PCM_get-ohlcv""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'exchange': {'description': 'Exchange ID (e.g., binance, coinbase)', 'type': 'string'}, 'limit': {'default': 100, 'description': 'Number of candles to fetch (max 1000)', 'type': 'number'}, 'symbol': {'description': 'Trading pair symbol (e.g., BTC/USDT)', 'type': 'string'}, 'timeframe': {'default': '1d', 'description': 'Timeframe (e.g., 1m, 5m, 1h, 1d)', 'type': 'string'}}, 'required': ['exchange', 'symbol'], 'type': 'object'}, description="""Get OHLCV candlestick data for a trading pair"""), # rand-tech/PCM/get-ohlcv
    Tool(name="""PCM_get-trades""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'exchange': {'description': 'Exchange ID (e.g., binance, coinbase)', 'type': 'string'}, 'limit': {'default': 50, 'description': 'Number of trades to fetch', 'type': 'number'}, 'symbol': {'description': 'Trading pair symbol (e.g., BTC/USDT)', 'type': 'string'}}, 'required': ['exchange', 'symbol'], 'type': 'object'}, description="""Get recent trades for a trading pair"""), # rand-tech/PCM/get-trades
    Tool(name="""PCM_get-markets""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'exchange': {'description': 'Exchange ID (e.g., binance, coinbase)', 'type': 'string'}, 'page': {'default': 1, 'description': 'Page number', 'type': 'number'}, 'pageSize': {'default': 100, 'description': 'Items per page', 'type': 'number'}}, 'required': ['exchange'], 'type': 'object'}, description="""Get all available markets for an exchange"""), # rand-tech/PCM/get-markets
    Tool(name="""PCM_get-exchange-info""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'exchange': {'description': 'Exchange ID (e.g., binance, coinbase)', 'type': 'string'}, 'marketType': {'description': 'Market type (default: spot)', 'enum': ['spot', 'future', 'swap', 'option', 'margin'], 'type': 'string'}}, 'required': ['exchange'], 'type': 'object'}, description="""Get exchange information and status"""), # rand-tech/PCM/get-exchange-info
    Tool(name="""PCM_get-leverage-tiers""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'exchange': {'description': 'Exchange ID (e.g., binance, bybit)', 'type': 'string'}, 'marketType': {'default': 'future', 'description': 'Market type (default: future)', 'enum': ['future', 'swap'], 'type': 'string'}, 'symbol': {'description': 'Trading pair symbol (optional, e.g., BTC/USDT)', 'type': 'string'}}, 'required': ['exchange'], 'type': 'object'}, description="""Get futures leverage tiers for trading pairs"""), # rand-tech/PCM/get-leverage-tiers
    Tool(name="""PCM_get-funding-rates""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'exchange': {'description': 'Exchange ID (e.g., binance, bybit)', 'type': 'string'}, 'marketType': {'default': 'swap', 'description': 'Market type (default: swap)', 'enum': ['future', 'swap'], 'type': 'string'}, 'symbols': {'description': 'List of trading pair symbols (optional)', 'items': {'type': 'string'}, 'type': 'array'}}, 'required': ['exchange'], 'type': 'object'}, description="""Get current funding rates for perpetual contracts"""), # rand-tech/PCM/get-funding-rates
    Tool(name="""PCM_get-market-types""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'exchange': {'description': 'Exchange ID (e.g., binance, coinbase)', 'type': 'string'}}, 'required': ['exchange'], 'type': 'object'}, description="""Get market types supported by an exchange"""), # rand-tech/PCM/get-market-types
    Tool(name="""PCM_account-balance""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'apiKey': {'description': 'API key for authentication', 'type': 'string'}, 'exchange': {'description': 'Exchange ID (e.g., binance, coinbase)', 'type': 'string'}, 'marketType': {'description': 'Market type (default: spot)', 'enum': ['spot', 'future', 'swap', 'option', 'margin'], 'type': 'string'}, 'secret': {'description': 'API secret for authentication', 'type': 'string'}}, 'required': ['exchange', 'apiKey', 'secret'], 'type': 'object'}, description="""Get your account balance from a crypto exchange"""), # rand-tech/PCM/account-balance
    Tool(name="""PCM_place-market-order""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'amount': {'description': 'Amount to buy/sell', 'exclusiveMinimum': 0, 'type': 'number'}, 'apiKey': {'description': 'API key for authentication', 'type': 'string'}, 'exchange': {'description': 'Exchange ID (e.g., binance, coinbase)', 'type': 'string'}, 'marketType': {'description': 'Market type (default: spot)', 'enum': ['spot', 'future', 'swap', 'option', 'margin'], 'type': 'string'}, 'secret': {'description': 'API secret for authentication', 'type': 'string'}, 'side': {'description': 'Order side: buy or sell', 'enum': ['buy', 'sell'], 'type': 'string'}, 'symbol': {'description': 'Trading pair symbol (e.g., BTC/USDT)', 'type': 'string'}}, 'required': ['exchange', 'symbol', 'side', 'amount', 'apiKey', 'secret'], 'type': 'object'}, description="""Place a market order on an exchange"""), # rand-tech/PCM/place-market-order
    Tool(name="""PCM_set-leverage""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'apiKey': {'description': 'API key for authentication', 'type': 'string'}, 'exchange': {'description': 'Exchange ID (e.g., binance, bybit)', 'type': 'string'}, 'leverage': {'description': 'Leverage value', 'exclusiveMinimum': 0, 'type': 'number'}, 'marketType': {'default': 'future', 'description': 'Market type (default: future)', 'enum': ['future', 'swap'], 'type': 'string'}, 'secret': {'description': 'API secret for authentication', 'type': 'string'}, 'symbol': {'description': 'Trading pair symbol (e.g., BTC/USDT)', 'type': 'string'}}, 'required': ['exchange', 'symbol', 'leverage', 'apiKey', 'secret'], 'type': 'object'}, description="""Set leverage for futures trading"""), # rand-tech/PCM/set-leverage
    Tool(name="""PCM_set-margin-mode""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'apiKey': {'description': 'API key for authentication', 'type': 'string'}, 'exchange': {'description': 'Exchange ID (e.g., binance, bybit)', 'type': 'string'}, 'marginMode': {'description': 'Margin mode: cross or isolated', 'enum': ['cross', 'isolated'], 'type': 'string'}, 'marketType': {'default': 'future', 'description': 'Market type (default: future)', 'enum': ['future', 'swap'], 'type': 'string'}, 'secret': {'description': 'API secret for authentication', 'type': 'string'}, 'symbol': {'description': 'Trading pair symbol (e.g., BTC/USDT)', 'type': 'string'}}, 'required': ['exchange', 'symbol', 'marginMode', 'apiKey', 'secret'], 'type': 'object'}, description="""Set margin mode for futures trading"""), # rand-tech/PCM/set-margin-mode
    Tool(name="""PCM_place-futures-market-order""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'amount': {'description': 'Amount to buy/sell', 'exclusiveMinimum': 0, 'type': 'number'}, 'apiKey': {'description': 'API key for authentication', 'type': 'string'}, 'exchange': {'description': 'Exchange ID (e.g., binance, bybit)', 'type': 'string'}, 'marketType': {'default': 'future', 'description': 'Market type (default: future)', 'enum': ['future', 'swap'], 'type': 'string'}, 'params': {'additionalProperties': {}, 'description': 'Additional order parameters', 'type': 'object'}, 'secret': {'description': 'API secret for authentication', 'type': 'string'}, 'side': {'description': 'Order side: buy or sell', 'enum': ['buy', 'sell'], 'type': 'string'}, 'symbol': {'description': 'Trading pair symbol (e.g., BTC/USDT)', 'type': 'string'}}, 'required': ['exchange', 'symbol', 'side', 'amount', 'apiKey', 'secret'], 'type': 'object'}, description="""Place a futures market order"""), # rand-tech/PCM/place-futures-market-order
    Tool(name="""PCM_get-proxy-config""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {}, 'type': 'object'}, description="""Get the current proxy configuration"""), # rand-tech/PCM/get-proxy-config
    Tool(name="""PCM_set-proxy-config""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'clearCache': {'default': True, 'description': 'Clear exchange cache to apply changes immediately', 'type': 'boolean'}, 'enabled': {'description': 'Enable or disable proxy', 'type': 'boolean'}, 'password': {'description': 'Proxy password (optional)', 'type': 'string'}, 'url': {'description': 'Proxy URL (e.g., http://proxy-server:port)', 'type': 'string'}, 'username': {'description': 'Proxy username (optional)', 'type': 'string'}}, 'required': ['enabled', 'url'], 'type': 'object'}, description="""Configure proxy settings for all exchanges"""), # rand-tech/PCM/set-proxy-config
    Tool(name="""PCM_test-proxy-connection""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'exchange': {'description': 'Exchange ID to test connection with (e.g., binance)', 'type': 'string'}}, 'required': ['exchange'], 'type': 'object'}, description="""Test the proxy connection with a specified exchange"""), # rand-tech/PCM/test-proxy-connection
    Tool(name="""PCM_clear-exchange-cache""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {}, 'type': 'object'}, description="""Clear exchange instance cache to apply configuration changes"""), # rand-tech/PCM/clear-exchange-cache
    Tool(name="""PCM_set-market-type""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'clearCache': {'default': True, 'description': 'Clear exchange cache to apply changes immediately', 'type': 'boolean'}, 'marketType': {'description': 'Market type to set', 'enum': ['spot', 'future', 'swap', 'option', 'margin'], 'type': 'string'}}, 'required': ['marketType'], 'type': 'object'}, description="""Set default market type for all exchanges"""), # rand-tech/PCM/set-market-type
    Tool(name="""MasterGo Magic MCP_mcp__getDsl""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'fileId': {'description': 'MasterGo design file ID (format: file/<fileId> in MasterGo URL)', 'type': 'string'}, 'layerId': {'description': 'Layer ID of the specific component or element to retrieve (format: ?layer_id=<layerId> / file=<fileId> in MasterGo URL)', 'type': 'string'}}, 'required': ['fileId', 'layerId'], 'type': 'object'}, description="""\n\"Use this tool to retrieve the DSL (Domain Specific Language) data from MasterGo design files and the rules you must follow when generating code.\nThis tool is useful when you need to analyze the structure of a design, understand component hierarchy, or extract design properties.\nYou must provide a fileId and layerId to identify the specific design element.\nThis tool returns the raw DSL data in JSON format that you can then parse and analyze.\nThis tool also returns the rules you must follow when generating code.\nThe DSL data can also be used to transform and generate code for different frameworks.\"\n"""), # mastergo-design/MasterGo Magic MCP/mcp__getDsl
    Tool(name="""MasterGo Magic MCP_mcp__getComponentLink""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'url': {'description': 'Component documentation link URL, from the componentDocumentLinks property, please ensure the URL is valid', 'type': 'string'}}, 'required': ['url'], 'type': 'object'}, description="""When the data returned by mcp__getDsl contains a non-empty componentDocumentLinks array, this tool is used to sequentially retrieve URLs from the componentDocumentLinks array and then obtain component documentation data. The returned document data is used for you to generate frontend code based on components."""), # mastergo-design/MasterGo Magic MCP/mcp__getComponentLink
    Tool(name="""Xero MCP Server_list-contacts""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {}, 'type': 'object'}, description="""List all contacts in Xero. This includes Suppliers and Customers."""), # XeroAPI/Xero MCP Server/list-contacts
    Tool(name="""Xero MCP Server_update-contact""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'address': {'additionalProperties': False, 'properties': {'addressLine1': {'type': 'string'}, 'addressLine2': {'type': 'string'}, 'city': {'type': 'string'}, 'country': {'type': 'string'}, 'postalCode': {'type': 'string'}, 'region': {'type': 'string'}}, 'required': ['addressLine1'], 'type': 'object'}, 'contactId': {'type': 'string'}, 'email': {'format': 'email', 'type': 'string'}, 'firstName': {'type': 'string'}, 'lastName': {'type': 'string'}, 'name': {'type': 'string'}, 'phone': {'type': 'string'}}, 'required': ['contactId', 'name'], 'type': 'object'}, description="""Update a contact in Xero."""), # XeroAPI/Xero MCP Server/update-contact
    Tool(name="""Xero MCP Server_create-quote""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'contactId': {'type': 'string'}, 'lineItems': {'items': {'additionalProperties': False, 'properties': {'accountCode': {'type': 'string'}, 'description': {'type': 'string'}, 'quantity': {'type': 'number'}, 'taxType': {'type': 'string'}, 'unitAmount': {'type': 'number'}}, 'required': ['description', 'quantity', 'unitAmount', 'accountCode', 'taxType'], 'type': 'object'}, 'type': 'array'}, 'quoteNumber': {'type': 'string'}, 'reference': {'type': 'string'}, 'summary': {'type': 'string'}, 'terms': {'type': 'string'}, 'title': {'type': 'string'}}, 'required': ['contactId', 'lineItems'], 'type': 'object'}, description="""Create a quote in Xero."""), # XeroAPI/Xero MCP Server/create-quote
    Tool(name="""Xero MCP Server_list-invoices""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'contactIds': {'items': {'type': 'string'}, 'type': 'array'}, 'invoiceNumbers': {'items': {'type': 'string'}, 'type': 'array'}, 'page': {'type': 'number'}}, 'required': ['page'], 'type': 'object'}, description="""List invoices in Xero. This includes Draft, Submitted, and Paid invoices. \n  Ask the user if they want to see invoices for a specific contact,\n  invoice number, or to see all invoices before running. \n  Ask the user if they want the next page of invoices after running this tool \n  if 10 invoices are returned. \n  If they want the next page, call this tool again with the next page number \n  and the contact or invoice number if one was provided in the previous call."""), # XeroAPI/Xero MCP Server/list-invoices
    Tool(name="""Xero MCP Server_create-contact""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'email': {'format': 'email', 'type': 'string'}, 'name': {'type': 'string'}, 'phone': {'type': 'string'}}, 'required': ['name'], 'type': 'object'}, description="""Create a contact in Xero."""), # XeroAPI/Xero MCP Server/create-contact
    Tool(name="""Xero MCP Server_create-invoice""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'contactId': {'type': 'string'}, 'lineItems': {'items': {'additionalProperties': False, 'properties': {'accountCode': {'type': 'string'}, 'description': {'type': 'string'}, 'quantity': {'type': 'number'}, 'taxType': {'type': 'string'}, 'unitAmount': {'type': 'number'}}, 'required': ['description', 'quantity', 'unitAmount', 'accountCode', 'taxType'], 'type': 'object'}, 'type': 'array'}, 'reference': {'type': 'string'}}, 'required': ['contactId', 'lineItems'], 'type': 'object'}, description="""Create an invoice in Xero."""), # XeroAPI/Xero MCP Server/create-invoice
    Tool(name="""Xero MCP Server_list-accounts""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {}, 'type': 'object'}, description="""Lists all accounts in Xero. Use this tool to get the account codes and names to be used when creating invoices in Xero"""), # XeroAPI/Xero MCP Server/list-accounts
    Tool(name="""Xero MCP Server_list-tax-rates""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {}, 'type': 'object'}, description="""Lists all tax rates in Xero. Use this tool to get the tax rates to be used when creating invoices in Xero"""), # XeroAPI/Xero MCP Server/list-tax-rates
    Tool(name="""Xero MCP Server_list-quotes""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'contactId': {'type': 'string'}, 'page': {'type': 'number'}}, 'required': ['page'], 'type': 'object'}, description="""List all quotes in Xero. \n  Ask the user if they want to see quotes for a specific contact before running. \n  Ask the user if they want the next page of quotes after running this tool if 10 quotes are returned. \n  If they do, call this tool again with the page number and the contact provided in the previous call."""), # XeroAPI/Xero MCP Server/list-quotes
    Tool(name="""Xero MCP Server_update-invoice""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'dueDate': {'type': 'string'}, 'invoiceId': {'type': 'string'}, 'lineItems': {'items': {'additionalProperties': False, 'properties': {'accountCode': {'type': 'string'}, 'description': {'type': 'string'}, 'quantity': {'type': 'number'}, 'taxType': {'type': 'string'}, 'unitAmount': {'type': 'number'}}, 'required': ['description', 'quantity', 'unitAmount', 'accountCode', 'taxType'], 'type': 'object'}, 'type': 'array'}, 'reference': {'type': 'string'}}, 'required': ['invoiceId'], 'type': 'object'}, description="""Update an invoice in Xero. Only works on draft invoices."""), # XeroAPI/Xero MCP Server/update-invoice
    Tool(name="""Xero MCP Server_list-credit-notes""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'contactId': {'type': 'string'}, 'page': {'type': 'number'}}, 'required': ['page'], 'type': 'object'}, description="""List credit notes in Xero. \n  Ask the user if they want to see credit notes for a specific contact,\n  or to see all credit notes before running. \n  Ask the user if they want the next page of credit notes after running this tool \n  if 10 credit notes are returned. \n  If they want the next page, call this tool again with the next page number \n  and the contact if one was provided in the previous call."""), # XeroAPI/Xero MCP Server/list-credit-notes
    Tool(name="""Xero MCP Server_create-credit-note""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'contactId': {'type': 'string'}, 'lineItems': {'items': {'additionalProperties': False, 'properties': {'accountCode': {'type': 'string'}, 'description': {'type': 'string'}, 'quantity': {'type': 'number'}, 'taxType': {'type': 'string'}, 'unitAmount': {'type': 'number'}}, 'required': ['description', 'quantity', 'unitAmount', 'accountCode', 'taxType'], 'type': 'object'}, 'type': 'array'}, 'reference': {'type': 'string'}}, 'required': ['contactId', 'lineItems'], 'type': 'object'}, description="""Create a credit note in Xero."""), # XeroAPI/Xero MCP Server/create-credit-note
    Tool(name="""Gmail MCP_list_forwarding_addresses""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {}, 'type': 'object'}, description="""Lists the forwarding addresses for the specified account"""), # shinzo-labs/Gmail MCP/list_forwarding_addresses
    Tool(name="""Gmail MCP_delete_send_as""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'sendAsEmail': {'description': 'The send-as alias to be deleted', 'type': 'string'}}, 'required': ['sendAsEmail'], 'type': 'object'}, description="""Deletes the specified send-as alias"""), # shinzo-labs/Gmail MCP/delete_send_as
    Tool(name="""Gmail MCP_remove_delegate""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'delegateEmail': {'description': 'Email address of delegate to remove', 'type': 'string'}}, 'required': ['delegateEmail'], 'type': 'object'}, description="""Removes the specified delegate"""), # shinzo-labs/Gmail MCP/remove_delegate
    Tool(name="""Gmail MCP_get_send_as""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'sendAsEmail': {'description': 'The send-as alias to be retrieved', 'type': 'string'}}, 'required': ['sendAsEmail'], 'type': 'object'}, description="""Gets the specified send-as alias"""), # shinzo-labs/Gmail MCP/get_send_as
    Tool(name="""Gmail MCP_list_send_as""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {}, 'type': 'object'}, description="""Lists the send-as aliases for the specified account"""), # shinzo-labs/Gmail MCP/list_send_as
    Tool(name="""Gmail MCP_get_delegate""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'delegateEmail': {'description': 'The email address of the delegate to retrieve', 'type': 'string'}}, 'required': ['delegateEmail'], 'type': 'object'}, description="""Gets the specified delegate"""), # shinzo-labs/Gmail MCP/get_delegate
    Tool(name="""Gmail MCP_list_delegates""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {}, 'type': 'object'}, description="""Lists the delegates for the specified account"""), # shinzo-labs/Gmail MCP/list_delegates
    Tool(name="""Gmail MCP_create_send_as""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'displayName': {'description': "A name that appears in the 'From:' header", 'type': 'string'}, 'isPrimary': {'description': 'Whether this address is the primary address', 'type': 'boolean'}, 'replyToAddress': {'description': "An optional email address that is included in a 'Reply-To:' header", 'type': 'string'}, 'sendAsEmail': {'description': "The email address that appears in the 'From:' header", 'type': 'string'}, 'signature': {'description': 'An optional HTML signature', 'type': 'string'}, 'treatAsAlias': {'description': 'Whether Gmail should treat this address as an alias', 'type': 'boolean'}}, 'required': ['sendAsEmail'], 'type': 'object'}, description="""Creates a custom send-as alias"""), # shinzo-labs/Gmail MCP/create_send_as
    Tool(name="""Gmail MCP_update_pop""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'accessWindow': {'description': 'The range of messages which are accessible via POP', 'enum': ['disabled', 'allMail', 'fromNowOn'], 'type': 'string'}, 'disposition': {'description': 'The action that will be executed on a message after it has been fetched via POP', 'enum': ['archive', 'trash', 'leaveInInbox'], 'type': 'string'}}, 'required': ['accessWindow', 'disposition'], 'type': 'object'}, description="""Updates POP settings"""), # shinzo-labs/Gmail MCP/update_pop
    Tool(name="""Gmail MCP_get_thread""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'id': {'description': 'The ID of the thread to retrieve', 'type': 'string'}, 'includeBodyHtml': {'description': 'Whether to include the parsed HTML in the return for each body, excluded by default because they can be excessively large', 'type': 'boolean'}}, 'required': ['id'], 'type': 'object'}, description="""Get a specific thread by ID"""), # shinzo-labs/Gmail MCP/get_thread
    Tool(name="""Gmail MCP_create_draft""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'bcc': {'description': 'List of BCC recipient email addresses', 'items': {'type': 'string'}, 'type': 'array'}, 'body': {'description': 'The body of the email', 'type': 'string'}, 'cc': {'description': 'List of CC recipient email addresses', 'items': {'type': 'string'}, 'type': 'array'}, 'includeBodyHtml': {'description': 'Whether to include the parsed HTML in the return for each body, excluded by default because they can be excessively large', 'type': 'boolean'}, 'raw': {'description': 'The entire email message in base64url encoded RFC 2822 format, ignores params.to, cc, bcc, subject, body, includeBodyHtml if provided', 'type': 'string'}, 'subject': {'description': 'The subject of the email', 'type': 'string'}, 'threadId': {'description': 'The thread ID to associate this draft with', 'type': 'string'}, 'to': {'description': 'List of recipient email addresses', 'items': {'type': 'string'}, 'type': 'array'}}, 'type': 'object'}, description="""Create a draft email in Gmail. Note the mechanics of the raw parameter."""), # shinzo-labs/Gmail MCP/create_draft
    Tool(name="""Gmail MCP_delete_draft""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'id': {'description': 'The ID of the draft to delete', 'type': 'string'}}, 'required': ['id'], 'type': 'object'}, description="""Delete a draft"""), # shinzo-labs/Gmail MCP/delete_draft
    Tool(name="""Gmail MCP_get_draft""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'id': {'description': 'The ID of the draft to retrieve', 'type': 'string'}, 'includeBodyHtml': {'description': 'Whether to include the parsed HTML in the return for each body, excluded by default because they can be excessively large', 'type': 'boolean'}}, 'required': ['id'], 'type': 'object'}, description="""Get a specific draft by ID"""), # shinzo-labs/Gmail MCP/get_draft
    Tool(name="""Gmail MCP_list_drafts""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'includeBodyHtml': {'description': 'Whether to include the parsed HTML in the return for each body, excluded by default because they can be excessively large', 'type': 'boolean'}, 'includeSpamTrash': {'description': 'Include drafts from SPAM and TRASH in the results', 'type': 'boolean'}, 'maxResults': {'description': 'Maximum number of drafts to return. Accepts values between 1-500', 'type': 'number'}, 'q': {'description': 'Only return drafts matching the specified query. Supports the same query format as the Gmail search box', 'type': 'string'}}, 'type': 'object'}, description="""List drafts in the user's mailbox"""), # shinzo-labs/Gmail MCP/list_drafts
    Tool(name="""Gmail MCP_send_draft""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'id': {'description': 'The ID of the draft to send', 'type': 'string'}}, 'required': ['id'], 'type': 'object'}, description="""Send an existing draft"""), # shinzo-labs/Gmail MCP/send_draft
    Tool(name="""Gmail MCP_update_draft""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'bcc': {'description': 'List of BCC recipient email addresses, will be copied from the current draft if not provided', 'items': {'type': 'string'}, 'type': 'array'}, 'body': {'description': 'The body of the email, will be copied from the current draft if not provided', 'type': 'string'}, 'cc': {'description': 'List of CC recipient email addresses, will be copied from the current draft if not provided', 'items': {'type': 'string'}, 'type': 'array'}, 'id': {'description': 'The ID of the draft to update', 'type': 'string'}, 'includeBodyHtml': {'description': 'Whether to include the parsed HTML in the return for each body, excluded by default because they can be excessively large', 'type': 'boolean'}, 'raw': {'description': 'The entire email message in base64url encoded RFC 2822 format, ignores params.to, cc, bcc, subject, body, includeBodyHtml if provided', 'type': 'string'}, 'subject': {'description': 'The subject of the email, will be copied from the current draft if not provided', 'type': 'string'}, 'threadId': {'description': 'The thread ID to associate this draft with, will be copied from the current draft if not provided', 'type': 'string'}, 'to': {'description': 'List of recipient email addresses, will be copied from the current draft if not provided', 'items': {'type': 'string'}, 'type': 'array'}}, 'required': ['id'], 'type': 'object'}, description="""Replace a draft's content. Note the mechanics of the threadId and raw parameters."""), # shinzo-labs/Gmail MCP/update_draft
    Tool(name="""Gmail MCP_create_label""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'color': {'additionalProperties': False, 'description': 'The color settings for the label', 'properties': {'backgroundColor': {'description': 'The background color of the label as hex string', 'type': 'string'}, 'textColor': {'description': 'The text color of the label as hex string', 'type': 'string'}}, 'required': ['textColor', 'backgroundColor'], 'type': 'object'}, 'labelListVisibility': {'description': 'The visibility of the label in the label list', 'enum': ['labelShow', 'labelShowIfUnread', 'labelHide'], 'type': 'string'}, 'messageListVisibility': {'description': 'The visibility of messages with this label in the message list', 'enum': ['show', 'hide'], 'type': 'string'}, 'name': {'description': 'The display name of the label', 'type': 'string'}}, 'required': ['name'], 'type': 'object'}, description="""Create a new label"""), # shinzo-labs/Gmail MCP/create_label
    Tool(name="""Gmail MCP_delete_label""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'id': {'description': 'The ID of the label to delete', 'type': 'string'}}, 'required': ['id'], 'type': 'object'}, description="""Delete a label"""), # shinzo-labs/Gmail MCP/delete_label
    Tool(name="""Gmail MCP_get_label""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'id': {'description': 'The ID of the label to retrieve', 'type': 'string'}}, 'required': ['id'], 'type': 'object'}, description="""Get a specific label by ID"""), # shinzo-labs/Gmail MCP/get_label
    Tool(name="""Gmail MCP_list_labels""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {}, 'type': 'object'}, description="""List all labels in the user's mailbox"""), # shinzo-labs/Gmail MCP/list_labels
    Tool(name="""Gmail MCP_patch_label""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'color': {'additionalProperties': False, 'description': 'The color settings for the label', 'properties': {'backgroundColor': {'description': 'The background color of the label as hex string', 'type': 'string'}, 'textColor': {'description': 'The text color of the label as hex string', 'type': 'string'}}, 'required': ['textColor', 'backgroundColor'], 'type': 'object'}, 'id': {'description': 'The ID of the label to patch', 'type': 'string'}, 'labelListVisibility': {'description': 'The visibility of the label in the label list', 'enum': ['labelShow', 'labelShowIfUnread', 'labelHide'], 'type': 'string'}, 'messageListVisibility': {'description': 'The visibility of messages with this label in the message list', 'enum': ['show', 'hide'], 'type': 'string'}, 'name': {'description': 'The display name of the label', 'type': 'string'}}, 'required': ['id'], 'type': 'object'}, description="""Patch an existing label (partial update)"""), # shinzo-labs/Gmail MCP/patch_label
    Tool(name="""Gmail MCP_delete_forwarding_address""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'forwardingEmail': {'description': 'The forwarding address to be deleted', 'type': 'string'}}, 'required': ['forwardingEmail'], 'type': 'object'}, description="""Deletes the specified forwarding address"""), # shinzo-labs/Gmail MCP/delete_forwarding_address
    Tool(name="""Gmail MCP_update_label""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'color': {'additionalProperties': False, 'description': 'The color settings for the label', 'properties': {'backgroundColor': {'description': 'The background color of the label as hex string', 'type': 'string'}, 'textColor': {'description': 'The text color of the label as hex string', 'type': 'string'}}, 'required': ['textColor', 'backgroundColor'], 'type': 'object'}, 'id': {'description': 'The ID of the label to update', 'type': 'string'}, 'labelListVisibility': {'description': 'The visibility of the label in the label list', 'enum': ['labelShow', 'labelShowIfUnread', 'labelHide'], 'type': 'string'}, 'messageListVisibility': {'description': 'The visibility of messages with this label in the message list', 'enum': ['show', 'hide'], 'type': 'string'}, 'name': {'description': 'The display name of the label', 'type': 'string'}}, 'required': ['id'], 'type': 'object'}, description="""Update an existing label"""), # shinzo-labs/Gmail MCP/update_label
    Tool(name="""Gmail MCP_batch_delete_messages""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'ids': {'description': 'The IDs of the messages to delete', 'items': {'type': 'string'}, 'type': 'array'}}, 'required': ['ids'], 'type': 'object'}, description="""Delete multiple messages"""), # shinzo-labs/Gmail MCP/batch_delete_messages
    Tool(name="""Gmail MCP_batch_modify_messages""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'addLabelIds': {'description': 'A list of label IDs to add to the messages', 'items': {'type': 'string'}, 'type': 'array'}, 'ids': {'description': 'The IDs of the messages to modify', 'items': {'type': 'string'}, 'type': 'array'}, 'removeLabelIds': {'description': 'A list of label IDs to remove from the messages', 'items': {'type': 'string'}, 'type': 'array'}}, 'required': ['ids'], 'type': 'object'}, description="""Modify the labels on multiple messages"""), # shinzo-labs/Gmail MCP/batch_modify_messages
    Tool(name="""Gmail MCP_delete_message""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'id': {'description': 'The ID of the message to delete', 'type': 'string'}}, 'required': ['id'], 'type': 'object'}, description="""Immediately and permanently delete a message"""), # shinzo-labs/Gmail MCP/delete_message
    Tool(name="""Gmail MCP_get_message""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'id': {'description': 'The ID of the message to retrieve', 'type': 'string'}, 'includeBodyHtml': {'description': 'Whether to include the parsed HTML in the return for each body, excluded by default because they can be excessively large', 'type': 'boolean'}}, 'required': ['id'], 'type': 'object'}, description="""Get a specific message by ID with format options"""), # shinzo-labs/Gmail MCP/get_message
    Tool(name="""Gmail MCP_list_messages""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'includeBodyHtml': {'description': 'Whether to include the parsed HTML in the return for each body, excluded by default because they can be excessively large', 'type': 'boolean'}, 'includeSpamTrash': {'description': 'Include messages from SPAM and TRASH in the results', 'type': 'boolean'}, 'labelIds': {'description': 'Only return messages with labels that match all of the specified label IDs', 'items': {'type': 'string'}, 'type': 'array'}, 'maxResults': {'description': 'Maximum number of messages to return. Accepts values between 1-500', 'type': 'number'}, 'pageToken': {'description': 'Page token to retrieve a specific page of results', 'type': 'string'}, 'q': {'description': 'Only return messages matching the specified query. Supports the same query format as the Gmail search box', 'type': 'string'}}, 'type': 'object'}, description="""List messages in the user's mailbox with optional filtering"""), # shinzo-labs/Gmail MCP/list_messages
    Tool(name="""Gmail MCP_modify_message""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'addLabelIds': {'description': 'A list of label IDs to add to the message', 'items': {'type': 'string'}, 'type': 'array'}, 'id': {'description': 'The ID of the message to modify', 'type': 'string'}, 'removeLabelIds': {'description': 'A list of label IDs to remove from the message', 'items': {'type': 'string'}, 'type': 'array'}}, 'required': ['id'], 'type': 'object'}, description="""Modify the labels on a message"""), # shinzo-labs/Gmail MCP/modify_message
    Tool(name="""Gmail MCP_update_vacation""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'enableAutoReply': {'description': 'Whether the vacation responder is enabled', 'type': 'boolean'}, 'endTime': {'description': 'End time for sending auto-replies (epoch ms)', 'type': 'string'}, 'responseBodyPlainText': {'description': 'Response body in plain text format', 'type': 'string'}, 'responseSubject': {'description': 'Optional subject line for the vacation responder auto-reply', 'type': 'string'}, 'restrictToContacts': {'description': 'Whether responses are only sent to contacts', 'type': 'boolean'}, 'restrictToDomain': {'description': 'Whether responses are only sent to users in the same domain', 'type': 'boolean'}, 'startTime': {'description': 'Start time for sending auto-replies (epoch ms)', 'type': 'string'}}, 'required': ['enableAutoReply', 'responseBodyPlainText'], 'type': 'object'}, description="""Update vacation responder settings"""), # shinzo-labs/Gmail MCP/update_vacation
    Tool(name="""Gmail MCP_send_message""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'bcc': {'description': 'List of BCC recipient email addresses', 'items': {'type': 'string'}, 'type': 'array'}, 'body': {'description': 'The body of the email', 'type': 'string'}, 'cc': {'description': 'List of CC recipient email addresses', 'items': {'type': 'string'}, 'type': 'array'}, 'includeBodyHtml': {'description': 'Whether to include the parsed HTML in the return for each body, excluded by default because they can be excessively large', 'type': 'boolean'}, 'raw': {'description': 'The entire email message in base64url encoded RFC 2822 format, ignores params.to, cc, bcc, subject, body, includeBodyHtml if provided', 'type': 'string'}, 'subject': {'description': 'The subject of the email', 'type': 'string'}, 'threadId': {'description': 'The thread ID to associate this message with', 'type': 'string'}, 'to': {'description': 'List of recipient email addresses', 'items': {'type': 'string'}, 'type': 'array'}}, 'type': 'object'}, description="""Send an email message to specified recipients. Note the mechanics of the raw parameter."""), # shinzo-labs/Gmail MCP/send_message
    Tool(name="""Gmail MCP_trash_message""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'id': {'description': 'The ID of the message to move to trash', 'type': 'string'}}, 'required': ['id'], 'type': 'object'}, description="""Move a message to the trash"""), # shinzo-labs/Gmail MCP/trash_message
    Tool(name="""Gmail MCP_untrash_message""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'id': {'description': 'The ID of the message to remove from trash', 'type': 'string'}}, 'required': ['id'], 'type': 'object'}, description="""Remove a message from the trash"""), # shinzo-labs/Gmail MCP/untrash_message
    Tool(name="""Gmail MCP_get_attachment""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'id': {'description': 'The ID of the attachment', 'type': 'string'}, 'messageId': {'description': 'ID of the message containing the attachment', 'type': 'string'}}, 'required': ['messageId', 'id'], 'type': 'object'}, description="""Get a message attachment"""), # shinzo-labs/Gmail MCP/get_attachment
    Tool(name="""Gmail MCP_delete_thread""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'id': {'description': 'The ID of the thread to delete', 'type': 'string'}}, 'required': ['id'], 'type': 'object'}, description="""Delete a thread"""), # shinzo-labs/Gmail MCP/delete_thread
    Tool(name="""Gmail MCP_get_forwarding_address""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'forwardingEmail': {'description': 'The forwarding address to be retrieved', 'type': 'string'}}, 'required': ['forwardingEmail'], 'type': 'object'}, description="""Gets the specified forwarding address"""), # shinzo-labs/Gmail MCP/get_forwarding_address
    Tool(name="""Gmail MCP_list_threads""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'includeBodyHtml': {'description': 'Whether to include the parsed HTML in the return for each body, excluded by default because they can be excessively large', 'type': 'boolean'}, 'includeSpamTrash': {'description': 'Include threads from SPAM and TRASH in the results', 'type': 'boolean'}, 'labelIds': {'description': 'Only return threads with labels that match all of the specified label IDs', 'items': {'type': 'string'}, 'type': 'array'}, 'maxResults': {'description': 'Maximum number of threads to return', 'type': 'number'}, 'pageToken': {'description': 'Page token to retrieve a specific page of results', 'type': 'string'}, 'q': {'description': 'Only return threads matching the specified query', 'type': 'string'}}, 'type': 'object'}, description="""List threads in the user's mailbox"""), # shinzo-labs/Gmail MCP/list_threads
    Tool(name="""Gmail MCP_modify_thread""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'addLabelIds': {'description': 'A list of label IDs to add to the thread', 'items': {'type': 'string'}, 'type': 'array'}, 'id': {'description': 'The ID of the thread to modify', 'type': 'string'}, 'removeLabelIds': {'description': 'A list of label IDs to remove from the thread', 'items': {'type': 'string'}, 'type': 'array'}}, 'required': ['id'], 'type': 'object'}, description="""Modify the labels applied to a thread"""), # shinzo-labs/Gmail MCP/modify_thread
    Tool(name="""Gmail MCP_trash_thread""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'id': {'description': 'The ID of the thread to move to trash', 'type': 'string'}}, 'required': ['id'], 'type': 'object'}, description="""Move a thread to the trash"""), # shinzo-labs/Gmail MCP/trash_thread
    Tool(name="""Gmail MCP_untrash_thread""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'id': {'description': 'The ID of the thread to remove from trash', 'type': 'string'}}, 'required': ['id'], 'type': 'object'}, description="""Remove a thread from the trash"""), # shinzo-labs/Gmail MCP/untrash_thread
    Tool(name="""Gmail MCP_get_auto_forwarding""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {}, 'type': 'object'}, description="""Gets auto-forwarding settings"""), # shinzo-labs/Gmail MCP/get_auto_forwarding
    Tool(name="""Gmail MCP_get_imap""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {}, 'type': 'object'}, description="""Gets IMAP settings"""), # shinzo-labs/Gmail MCP/get_imap
    Tool(name="""Gmail MCP_get_language""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {}, 'type': 'object'}, description="""Gets language settings"""), # shinzo-labs/Gmail MCP/get_language
    Tool(name="""Gmail MCP_get_pop""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {}, 'type': 'object'}, description="""Gets POP settings"""), # shinzo-labs/Gmail MCP/get_pop
    Tool(name="""Gmail MCP_get_vacation""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {}, 'type': 'object'}, description="""Get vacation responder settings"""), # shinzo-labs/Gmail MCP/get_vacation
    Tool(name="""Gmail MCP_update_auto_forwarding""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'disposition': {'description': 'The state in which messages should be left after being forwarded', 'enum': ['leaveInInbox', 'archive', 'trash', 'markRead'], 'type': 'string'}, 'emailAddress': {'description': 'Email address to which messages should be automatically forwarded', 'type': 'string'}, 'enabled': {'description': 'Whether all incoming mail is automatically forwarded to another address', 'type': 'boolean'}}, 'required': ['enabled', 'emailAddress', 'disposition'], 'type': 'object'}, description="""Updates automatic forwarding settings"""), # shinzo-labs/Gmail MCP/update_auto_forwarding
    Tool(name="""Gmail MCP_update_imap""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'enabled': {'description': 'Whether IMAP is enabled for the account', 'type': 'boolean'}, 'expungeBehavior': {'description': 'The action that will be executed on a message when it is marked as deleted and expunged from the last visible IMAP folder', 'enum': ['archive', 'trash', 'deleteForever'], 'type': 'string'}, 'maxFolderSize': {'description': 'An optional limit on the number of messages that can be accessed through IMAP', 'type': 'number'}}, 'required': ['enabled'], 'type': 'object'}, description="""Updates IMAP settings"""), # shinzo-labs/Gmail MCP/update_imap
    Tool(name="""Gmail MCP_update_language""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'displayLanguage': {'description': 'The language to display Gmail in, formatted as an RFC 3066 Language Tag', 'type': 'string'}}, 'required': ['displayLanguage'], 'type': 'object'}, description="""Updates language settings"""), # shinzo-labs/Gmail MCP/update_language
    Tool(name="""Gmail MCP_add_delegate""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'delegateEmail': {'description': 'Email address of delegate to add', 'type': 'string'}}, 'required': ['delegateEmail'], 'type': 'object'}, description="""Adds a delegate to the specified account"""), # shinzo-labs/Gmail MCP/add_delegate
    Tool(name="""Gmail MCP_create_filter""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'action': {'additionalProperties': False, 'description': 'Actions to perform on messages matching the criteria', 'properties': {'addLabelIds': {'description': 'List of labels to add to messages', 'items': {'type': 'string'}, 'type': 'array'}, 'forward': {'description': 'Email address that the message should be forwarded to', 'type': 'string'}, 'removeLabelIds': {'description': 'List of labels to remove from messages', 'items': {'type': 'string'}, 'type': 'array'}}, 'type': 'object'}, 'criteria': {'additionalProperties': False, 'description': 'Filter criteria', 'properties': {'excludeChats': {'description': 'Whether the response should exclude chats', 'type': 'boolean'}, 'from': {'description': "The sender's display name or email address", 'type': 'string'}, 'hasAttachment': {'description': 'Whether the message has any attachment', 'type': 'boolean'}, 'negatedQuery': {'description': 'A Gmail search query that specifies criteria the message must not match', 'type': 'string'}, 'query': {'description': "A Gmail search query that specifies the filter's criteria", 'type': 'string'}, 'size': {'description': 'The size of the entire RFC822 message in bytes', 'type': 'number'}, 'sizeComparison': {'description': 'How the message size in bytes should be in relation to the size field', 'enum': ['smaller', 'larger'], 'type': 'string'}, 'subject': {'description': "Case-insensitive phrase in the message's subject", 'type': 'string'}, 'to': {'description': "The recipient's display name or email address", 'type': 'string'}}, 'type': 'object'}}, 'required': ['criteria', 'action'], 'type': 'object'}, description="""Creates a filter"""), # shinzo-labs/Gmail MCP/create_filter
    Tool(name="""Gmail MCP_delete_filter""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'id': {'description': 'The ID of the filter to be deleted', 'type': 'string'}}, 'required': ['id'], 'type': 'object'}, description="""Deletes a filter"""), # shinzo-labs/Gmail MCP/delete_filter
    Tool(name="""Gmail MCP_get_filter""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'id': {'description': 'The ID of the filter to be fetched', 'type': 'string'}}, 'required': ['id'], 'type': 'object'}, description="""Gets a filter"""), # shinzo-labs/Gmail MCP/get_filter
    Tool(name="""Gmail MCP_list_filters""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {}, 'type': 'object'}, description="""Lists the message filters of a Gmail user"""), # shinzo-labs/Gmail MCP/list_filters
    Tool(name="""Gmail MCP_create_forwarding_address""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'forwardingEmail': {'description': 'An email address to which messages can be forwarded', 'type': 'string'}}, 'required': ['forwardingEmail'], 'type': 'object'}, description="""Creates a forwarding address"""), # shinzo-labs/Gmail MCP/create_forwarding_address
    Tool(name="""Gmail MCP_patch_send_as""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'displayName': {'description': "A name that appears in the 'From:' header", 'type': 'string'}, 'isPrimary': {'description': 'Whether this address is the primary address', 'type': 'boolean'}, 'replyToAddress': {'description': "An optional email address that is included in a 'Reply-To:' header", 'type': 'string'}, 'sendAsEmail': {'description': 'The send-as alias to be updated', 'type': 'string'}, 'signature': {'description': 'An optional HTML signature', 'type': 'string'}, 'treatAsAlias': {'description': 'Whether Gmail should treat this address as an alias', 'type': 'boolean'}}, 'required': ['sendAsEmail'], 'type': 'object'}, description="""Patches the specified send-as alias"""), # shinzo-labs/Gmail MCP/patch_send_as
    Tool(name="""Gmail MCP_update_send_as""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'displayName': {'description': "A name that appears in the 'From:' header", 'type': 'string'}, 'isPrimary': {'description': 'Whether this address is the primary address', 'type': 'boolean'}, 'replyToAddress': {'description': "An optional email address that is included in a 'Reply-To:' header", 'type': 'string'}, 'sendAsEmail': {'description': 'The send-as alias to be updated', 'type': 'string'}, 'signature': {'description': 'An optional HTML signature', 'type': 'string'}, 'treatAsAlias': {'description': 'Whether Gmail should treat this address as an alias', 'type': 'boolean'}}, 'required': ['sendAsEmail'], 'type': 'object'}, description="""Updates a send-as alias"""), # shinzo-labs/Gmail MCP/update_send_as
    Tool(name="""Gmail MCP_verify_send_as""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'sendAsEmail': {'description': 'The send-as alias to be verified', 'type': 'string'}}, 'required': ['sendAsEmail'], 'type': 'object'}, description="""Sends a verification email to the specified send-as alias"""), # shinzo-labs/Gmail MCP/verify_send_as
    Tool(name="""Gmail MCP_delete_smime_info""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'id': {'description': 'The immutable ID for the S/MIME config', 'type': 'string'}, 'sendAsEmail': {'description': "The email address that appears in the 'From:' header", 'type': 'string'}}, 'required': ['sendAsEmail', 'id'], 'type': 'object'}, description="""Deletes the specified S/MIME config for the specified send-as alias"""), # shinzo-labs/Gmail MCP/delete_smime_info
    Tool(name="""Gmail MCP_get_smime_info""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'id': {'description': 'The immutable ID for the S/MIME config', 'type': 'string'}, 'sendAsEmail': {'description': "The email address that appears in the 'From:' header", 'type': 'string'}}, 'required': ['sendAsEmail', 'id'], 'type': 'object'}, description="""Gets the specified S/MIME config for the specified send-as alias"""), # shinzo-labs/Gmail MCP/get_smime_info
    Tool(name="""Gmail MCP_insert_smime_info""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'encryptedKeyPassword': {'description': 'Encrypted key password', 'type': 'string'}, 'pkcs12': {'description': 'PKCS#12 format containing a single private/public key pair and certificate chain', 'type': 'string'}, 'sendAsEmail': {'description': "The email address that appears in the 'From:' header", 'type': 'string'}}, 'required': ['sendAsEmail', 'encryptedKeyPassword', 'pkcs12'], 'type': 'object'}, description="""Insert (upload) the given S/MIME config for the specified send-as alias"""), # shinzo-labs/Gmail MCP/insert_smime_info
    Tool(name="""Gmail MCP_list_smime_info""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'sendAsEmail': {'description': "The email address that appears in the 'From:' header", 'type': 'string'}}, 'required': ['sendAsEmail'], 'type': 'object'}, description="""Lists S/MIME configs for the specified send-as alias"""), # shinzo-labs/Gmail MCP/list_smime_info
    Tool(name="""Gmail MCP_set_default_smime_info""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'id': {'description': 'The immutable ID for the S/MIME config', 'type': 'string'}, 'sendAsEmail': {'description': "The email address that appears in the 'From:' header", 'type': 'string'}}, 'required': ['sendAsEmail', 'id'], 'type': 'object'}, description="""Sets the default S/MIME config for the specified send-as alias"""), # shinzo-labs/Gmail MCP/set_default_smime_info
    Tool(name="""Gmail MCP_get_profile""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {}, 'type': 'object'}, description="""Get the current user's Gmail profile"""), # shinzo-labs/Gmail MCP/get_profile
    Tool(name="""Gmail MCP_watch_mailbox""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'labelFilterAction': {'description': 'Whether to include or exclude the specified labels', 'enum': ['include', 'exclude'], 'type': 'string'}, 'labelIds': {'description': 'Label IDs to restrict notifications to', 'items': {'type': 'string'}, 'type': 'array'}, 'topicName': {'description': 'The name of the Cloud Pub/Sub topic to publish notifications to', 'type': 'string'}}, 'required': ['topicName'], 'type': 'object'}, description="""Watch for changes to the user's mailbox"""), # shinzo-labs/Gmail MCP/watch_mailbox
    Tool(name="""Gmail MCP_stop_mail_watch""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {}, 'type': 'object'}, description="""Stop receiving push notifications for the given user mailbox"""), # shinzo-labs/Gmail MCP/stop_mail_watch
    Tool(name="""MCP Minecraft Remote_getPosition""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {}, 'type': 'object'}, description="""Get the current position of the player in the Minecraft world"""), # nacal/MCP Minecraft Remote/getPosition
    Tool(name="""MCP Minecraft Remote_moveTo""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'x': {'description': 'X coordinate', 'type': 'number'}, 'y': {'description': 'Y coordinate', 'type': 'number'}, 'z': {'description': 'Z coordinate', 'type': 'number'}}, 'required': ['x', 'y', 'z'], 'type': 'object'}, description="""Move the player to a specific location"""), # nacal/MCP Minecraft Remote/moveTo
    Tool(name="""MCP Minecraft Remote_connectToServer""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'host': {'description': 'Minecraft server host address', 'type': 'string'}, 'password': {'description': 'Minecraft password (if using premium account)', 'type': 'string'}, 'port': {'default': 25565, 'description': 'Minecraft server port', 'type': 'number'}, 'username': {'description': 'Minecraft username', 'type': 'string'}, 'version': {'description': 'Minecraft version', 'type': 'string'}}, 'required': ['host', 'username'], 'type': 'object'}, description="""Connect to a Minecraft server with the specified credentials"""), # nacal/MCP Minecraft Remote/connectToServer
    Tool(name="""MCP Minecraft Remote_disconnectFromServer""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {}, 'type': 'object'}, description="""Disconnect from the Minecraft server"""), # nacal/MCP Minecraft Remote/disconnectFromServer
    Tool(name="""MCP Minecraft Remote_sendChat""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'message': {'description': 'Message to send to the server', 'type': 'string'}}, 'required': ['message'], 'type': 'object'}, description="""Send a chat message to the Minecraft server"""), # nacal/MCP Minecraft Remote/sendChat
    Tool(name="""MCP Minecraft Remote_moveControl""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'action': {'description': 'Movement action to perform', 'enum': ['forward', 'back', 'left', 'right', 'jump', 'sprint', 'sneak', 'stop'], 'type': 'string'}, 'duration': {'default': 1, 'description': 'Duration to perform the action in seconds', 'type': 'number'}}, 'required': ['action'], 'type': 'object'}, description="""Control the player with basic movement commands"""), # nacal/MCP Minecraft Remote/moveControl
    Tool(name="""MCP Minecraft Remote_lookAt""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'x': {'description': 'X coordinate to look at', 'type': 'number'}, 'y': {'description': 'Y coordinate to look at', 'type': 'number'}, 'z': {'description': 'Z coordinate to look at', 'type': 'number'}}, 'required': ['x', 'y', 'z'], 'type': 'object'}, description="""Make the player look in a specific direction or at coordinates"""), # nacal/MCP Minecraft Remote/lookAt
    Tool(name="""MCP Minecraft Remote_digBlock""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'x': {'description': 'X coordinate', 'type': 'number'}, 'y': {'description': 'Y coordinate', 'type': 'number'}, 'z': {'description': 'Z coordinate', 'type': 'number'}}, 'required': ['x', 'y', 'z'], 'type': 'object'}, description="""Dig a block at the specified coordinates"""), # nacal/MCP Minecraft Remote/digBlock
    Tool(name="""MCP Minecraft Remote_placeBlock""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'itemName': {'description': 'Name of the item to place', 'type': 'string'}, 'x': {'description': 'X coordinate', 'type': 'number'}, 'y': {'description': 'Y coordinate', 'type': 'number'}, 'z': {'description': 'Z coordinate', 'type': 'number'}}, 'required': ['x', 'y', 'z', 'itemName'], 'type': 'object'}, description="""Place a block at the specified location"""), # nacal/MCP Minecraft Remote/placeBlock
    Tool(name="""MCP Minecraft Remote_getNearbyPlayers""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {}, 'type': 'object'}, description="""Get a list of players nearby"""), # nacal/MCP Minecraft Remote/getNearbyPlayers
    Tool(name="""MCP Minecraft Remote_getServerInfo""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {}, 'type': 'object'}, description="""Get information about the currently connected server"""), # nacal/MCP Minecraft Remote/getServerInfo
    Tool(name="""MCP Minecraft Remote_checkInventory""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {}, 'type': 'object'}, description="""Check the items in the player inventory"""), # nacal/MCP Minecraft Remote/checkInventory
    Tool(name="""MCP Minecraft Remote_equipItem""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'destination': {'default': 'hand', 'description': 'Slot to equip the item to', 'enum': ['hand', 'head', 'torso', 'legs', 'feet'], 'type': 'string'}, 'itemName': {'description': 'Name of the item to equip', 'type': 'string'}}, 'required': ['itemName'], 'type': 'object'}, description="""Equip an item from inventory to hand or armor slot"""), # nacal/MCP Minecraft Remote/equipItem
    Tool(name="""MCP Minecraft Remote_inventoryDetails""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {}, 'type': 'object'}, description="""Get detailed information about inventory items"""), # nacal/MCP Minecraft Remote/inventoryDetails
    Tool(name="""MCP Minecraft Remote_tossItem""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'amount': {'default': 1, 'description': 'Amount of items to throw', 'type': 'number'}, 'itemName': {'description': 'Name of the item to throw', 'type': 'string'}}, 'required': ['itemName'], 'type': 'object'}, description="""Throw items from inventory"""), # nacal/MCP Minecraft Remote/tossItem
    Tool(name="""MCP Minecraft Remote_getNearbyEntities""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'range': {'default': 10, 'description': 'Range in blocks to search for entities', 'type': 'number'}}, 'type': 'object'}, description="""Get a list of all entities nearby"""), # nacal/MCP Minecraft Remote/getNearbyEntities
    Tool(name="""MCP Minecraft Remote_attackEntity""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'entityId': {'description': 'ID of the entity to attack', 'type': 'number'}}, 'required': ['entityId'], 'type': 'object'}, description="""Attack a specific entity"""), # nacal/MCP Minecraft Remote/attackEntity
    Tool(name="""MCP Minecraft Remote_useOnEntity""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'entityId': {'description': 'ID of the entity to use item on', 'type': 'number'}}, 'required': ['entityId'], 'type': 'object'}, description="""Use held item on a specific entity"""), # nacal/MCP Minecraft Remote/useOnEntity
    Tool(name="""MCP Minecraft Remote_followEntity""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'distance': {'default': 2, 'description': 'Distance to maintain while following', 'type': 'number'}, 'entityId': {'description': 'ID of the entity to follow', 'type': 'number'}}, 'required': ['entityId'], 'type': 'object'}, description="""Follow a specific entity"""), # nacal/MCP Minecraft Remote/followEntity
    Tool(name="""MCP Minecraft Remote_openContainer""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'x': {'description': 'X coordinate of the container', 'type': 'number'}, 'y': {'description': 'Y coordinate of the container', 'type': 'number'}, 'z': {'description': 'Z coordinate of the container', 'type': 'number'}}, 'required': ['x', 'y', 'z'], 'type': 'object'}, description="""Open a container (chest, furnace, etc.) at specific coordinates"""), # nacal/MCP Minecraft Remote/openContainer
    Tool(name="""MCP Minecraft Remote_withdrawItem""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'amount': {'default': 1, 'description': 'Amount of items to withdraw', 'type': 'number'}, 'itemName': {'description': 'Name of the item to withdraw', 'type': 'string'}}, 'required': ['itemName'], 'type': 'object'}, description="""Take items from an open container"""), # nacal/MCP Minecraft Remote/withdrawItem
    Tool(name="""MCP Minecraft Remote_depositItem""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'amount': {'default': 1, 'description': 'Amount of items to deposit', 'type': 'number'}, 'itemName': {'description': 'Name of the item to deposit', 'type': 'string'}}, 'required': ['itemName'], 'type': 'object'}, description="""Put items into an open container"""), # nacal/MCP Minecraft Remote/depositItem
    Tool(name="""MCP Minecraft Remote_closeContainer""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {}, 'type': 'object'}, description="""Close the currently open container"""), # nacal/MCP Minecraft Remote/closeContainer
    Tool(name="""MCP Minecraft Remote_getRecipes""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'filter': {'description': 'Filter recipes by item name', 'type': 'string'}}, 'type': 'object'}, description="""Get a list of available crafting recipes"""), # nacal/MCP Minecraft Remote/getRecipes
    Tool(name="""MCP Minecraft Remote_craftItem""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'count': {'default': 1, 'description': 'Number of items to craft', 'type': 'number'}, 'itemName': {'description': 'Name of the item to craft', 'type': 'string'}}, 'required': ['itemName'], 'type': 'object'}, description="""Craft an item using available materials"""), # nacal/MCP Minecraft Remote/craftItem
    Tool(name="""MCP Minecraft Remote_listTrades""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'range': {'default': 4, 'description': 'Range to search for villagers', 'type': 'number'}, 'villagerName': {'description': 'Name or identifier of the villager (optional)', 'type': 'string'}}, 'type': 'object'}, description="""List available trades from a nearby villager"""), # nacal/MCP Minecraft Remote/listTrades
    Tool(name="""MCP Minecraft Remote_tradeWithVillager""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'count': {'default': 1, 'description': 'Number of times to perform the trade', 'type': 'number'}, 'tradeIndex': {'description': 'Index of the trade from listTrades (1-based)', 'type': 'number'}, 'villagerName': {'description': 'Name or identifier of the villager (optional)', 'type': 'string'}}, 'required': ['tradeIndex'], 'type': 'object'}, description="""Trade with a nearby villager"""), # nacal/MCP Minecraft Remote/tradeWithVillager
    Tool(name="""MCP Agile Flow_get_project_settings""", inputSchema={'properties': {'proposed_path': {'anyOf': [{'type': 'string'}, {'type': 'null'}], 'default': None, 'title': 'Proposed Path'}}, 'title': 'get_project_settingsArguments', 'type': 'object'}, description="""\n    Get the project settings for the current working directory or a proposed path.\n\n    Returns configuration settings including project path, type, and metadata.\n    If proposed_path is not provided or invalid, uses the current directory.\n    """), # smian0/MCP Agile Flow/get_project_settings
    Tool(name="""MCP Agile Flow_think""", inputSchema={'properties': {'category': {'default': 'default', 'title': 'Category', 'type': 'string'}, 'depth': {'default': 0, 'title': 'Depth', 'type': 'integer'}, 'metadata': {'anyOf': [{'type': 'object'}, {'type': 'null'}], 'default': None, 'title': 'Metadata'}, 'references': {'anyOf': [{'items': {'type': 'string'}, 'type': 'array'}, {'type': 'null'}], 'default': None, 'title': 'References'}, 'thought': {'title': 'Thought', 'type': 'string'}, 'timestamp': {'anyOf': [{'type': 'integer'}, {'type': 'null'}], 'default': None, 'title': 'Timestamp'}}, 'required': ['thought'], 'title': 'thinkArguments', 'type': 'object'}, description="""\n    Record a thought for later reference and analysis.\n\n    This tool allows you to record thoughts during development or analysis processes.\n    Thoughts can be organized by category and depth to create a hierarchical structure\n    of analysis.\n    """), # smian0/MCP Agile Flow/think
    Tool(name="""MCP Agile Flow_get_thoughts""", inputSchema={'properties': {'category': {'anyOf': [{'type': 'string'}, {'type': 'null'}], 'default': None, 'description': 'Filter to get thoughts from a specific category', 'title': 'Category'}, 'organize_by_depth': {'default': False, 'description': 'Whether to organize thoughts by depth relationships', 'title': 'Organize By Depth', 'type': 'boolean'}}, 'title': 'get_thoughtsArguments', 'type': 'object'}, description="""\n    Retrieve recorded thoughts.\n\n    This tool retrieves all previously recorded thoughts, optionally filtered by category.\n    You can also choose to organize them hierarchically by depth.\n    """), # smian0/MCP Agile Flow/get_thoughts
    Tool(name="""MCP Agile Flow_clear_thoughts""", inputSchema={'properties': {'category': {'anyOf': [{'type': 'string'}, {'type': 'null'}], 'default': None, 'description': 'Filter to clear thoughts from a specific category only', 'title': 'Category'}}, 'title': 'clear_thoughtsArguments', 'type': 'object'}, description="""\n    Clear recorded thoughts.\n\n    This tool removes previously recorded thoughts, optionally filtered by category.\n    If no category is specified, all thoughts will be cleared.\n    """), # smian0/MCP Agile Flow/clear_thoughts
    Tool(name="""MCP Agile Flow_get_thought_stats""", inputSchema={'properties': {'category': {'anyOf': [{'type': 'string'}, {'type': 'null'}], 'default': None, 'description': 'Filter to get stats for a specific category', 'title': 'Category'}}, 'title': 'get_thought_statsArguments', 'type': 'object'}, description="""\n    Get statistics about recorded thoughts.\n\n    This tool provides statistics about recorded thoughts, such as count and\n    depth distribution. Results can be filtered by category.\n    """), # smian0/MCP Agile Flow/get_thought_stats
    Tool(name="""MCP Agile Flow_detect_thinking_directive""", inputSchema={'properties': {'text': {'description': 'The text to analyze for thinking directives', 'title': 'Text', 'type': 'string'}}, 'required': ['text'], 'title': 'detect_thinking_directiveArguments', 'type': 'object'}, description="""\n    Detect thinking directives.\n\n    This tool analyzes text to detect directives suggesting deeper thinking,\n    such as \"think harder\", \"think deeper\", \"think again\", etc.\n    """), # smian0/MCP Agile Flow/detect_thinking_directive
    Tool(name="""MCP Agile Flow_should_think""", inputSchema={'properties': {'query': {'description': 'The query to assess for deep thinking requirements', 'title': 'Query', 'type': 'string'}}, 'required': ['query'], 'title': 'should_thinkArguments', 'type': 'object'}, description="""\n    Assess whether deeper thinking is needed for a query.\n\n    This tool analyzes a query to determine if it requires deeper thinking,\n    based on complexity indicators and context.\n    """), # smian0/MCP Agile Flow/should_think
    Tool(name="""MCP Agile Flow_think_more""", inputSchema={'properties': {'query': {'description': 'The query to think more deeply about', 'title': 'Query', 'type': 'string'}}, 'required': ['query'], 'title': 'think_moreArguments', 'type': 'object'}, description="""\n    Get guidance for thinking more deeply.\n\n    This tool provides suggestions and guidance for thinking more deeply\n    about a specific query or thought.\n    """), # smian0/MCP Agile Flow/think_more
    Tool(name="""MCP Agile Flow_initialize_ide""", inputSchema={'properties': {'ide_type': {'default': 'cursor', 'description': 'The type of IDE to initialize (cursor, windsurf-next, windsurf, cline, roo, copilot)', 'title': 'Ide Type', 'type': 'string'}, 'project_path': {'anyOf': [{'type': 'string'}, {'type': 'null'}], 'default': None, 'description': "Path to the project. If not provided, invalid, or directory doesn't exist, the current working directory will be used automatically", 'title': 'Project Path'}}, 'title': 'initialize_ideArguments', 'type': 'object'}, description="""\n    Initialize IDE project structure with appropriate directories and config files.\n\n    This tool sets up the necessary directories and configuration files for IDE\n    integration, including .ai-templates directory and IDE-specific rules.\n\n    Note: If project_path is omitted, not a string, invalid, or the directory doesn't exist,\n    the current working directory will be used automatically.\n    """), # smian0/MCP Agile Flow/initialize_ide
    Tool(name="""MCP Agile Flow_initialize_ide_rules""", inputSchema={'properties': {'ide': {'default': 'cursor', 'description': 'The IDE to initialize rules for (cursor, windsurf-next, windsurf, cline, roo, copilot)', 'title': 'Ide', 'type': 'string'}, 'project_path': {'anyOf': [{'type': 'string'}, {'type': 'null'}], 'default': None, 'description': 'Path to the project. If not provided or invalid, the current working directory will be used automatically', 'title': 'Project Path'}}, 'title': 'initialize_ide_rulesArguments', 'type': 'object'}, description="""\n    Initialize IDE rules for a project.\n\n    This tool sets up IDE-specific rules for a project, creating the necessary\n    files and directories for AI assistants to understand project conventions.\n\n    Note: If project_path is omitted, not a string, or invalid, the current working\n    directory will be used automatically.\n    """), # smian0/MCP Agile Flow/initialize_ide_rules
    Tool(name="""MCP Agile Flow_prime_context""", inputSchema={'properties': {'depth': {'default': 'standard', 'description': 'Depth of analysis (minimal, standard, deep)', 'title': 'Depth', 'type': 'string'}, 'project_path': {'anyOf': [{'type': 'string'}, {'type': 'null'}], 'default': None, 'description': 'Path to the project. If not provided or invalid, the current working directory will be used automatically', 'title': 'Project Path'}}, 'title': 'prime_contextArguments', 'type': 'object'}, description="""\n    Prime project context by analyzing documentation and structure.\n\n    This tool analyzes the project structure and documentation to provide\n    context information for AI assistants working with the project.\n\n    Note: If project_path is omitted, not a string, or invalid, the current working\n    directory will be used automatically.\n    """), # smian0/MCP Agile Flow/prime_context
    Tool(name="""MCP Agile Flow_migrate_mcp_config""", inputSchema={'properties': {'from_ide': {'default': 'cursor', 'description': 'Source IDE to migrate from. Valid options: cursor, windsurf-next, windsurf, cline, roo, claude-desktop', 'title': 'From Ide', 'type': 'string'}, 'project_path': {'anyOf': [{'type': 'string'}, {'type': 'null'}], 'default': None, 'description': 'Path to the project. If not provided or invalid, the current working directory will be used', 'title': 'Project Path'}, 'to_ide': {'default': None, 'description': 'Target IDE to migrate to. Valid options: cursor, windsurf-next, windsurf, cline, roo, claude-desktop', 'title': 'To Ide', 'type': 'string'}}, 'title': 'migrate_mcp_configArguments', 'type': 'object'}, description="""\n    Migrate MCP configuration between different IDEs.\n\n    This tool helps migrate configuration and rules between different IDEs,\n    ensuring consistent AI assistance across different environments.\n\n    Note: If project_path is omitted, not a string, or invalid, the current working\n    directory will be used automatically.\n    """), # smian0/MCP Agile Flow/migrate_mcp_config
    Tool(name="""MCP Agile Flow_process_natural_language""", inputSchema={'properties': {'query': {'description': 'The natural language query to process into a tool call', 'title': 'Query', 'type': 'string'}}, 'required': ['query'], 'title': 'process_natural_languageArguments', 'type': 'object'}, description="""\n    Process natural language command and route to appropriate tool.\n\n    This tool takes a natural language query and determines which tool to call\n    with what parameters, providing a way to interact with the MCP Agile Flow\n    tools using natural language.\n    """), # smian0/MCP Agile Flow/process_natural_language
    Tool(name="""Hevy MCP_get-workouts""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'page': {'default': 1, 'minimum': 1, 'type': 'number'}, 'pageSize': {'default': 5, 'maximum': 10, 'minimum': 1, 'type': 'integer'}}, 'type': 'object'}, description="""Get a paginated list of workouts. Returns workout details including title, description, start/end times, and exercises performed. Results are ordered from newest to oldest."""), # chrisdoc/Hevy MCP/get-workouts
    Tool(name="""Hevy MCP_get-workout""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'workoutId': {'minLength': 1, 'type': 'string'}}, 'required': ['workoutId'], 'type': 'object'}, description="""Get complete details of a specific workout by ID. Returns all workout information including title, description, start/end times, and detailed exercise data."""), # chrisdoc/Hevy MCP/get-workout
    Tool(name="""Hevy MCP_get-workout-count""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {}, 'type': 'object'}, description="""Get the total number of workouts on the account. Useful for pagination or statistics."""), # chrisdoc/Hevy MCP/get-workout-count
    Tool(name="""Hevy MCP_get-workout-events""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'page': {'default': 1, 'minimum': 1, 'type': 'integer'}, 'pageSize': {'default': 5, 'maximum': 10, 'minimum': 1, 'type': 'integer'}, 'since': {'default': '1970-01-01T00:00:00Z', 'type': 'string'}}, 'type': 'object'}, description="""Retrieve a paged list of workout events (updates or deletes) since a given date. Events are ordered from newest to oldest. The intention is to allow clients to keep their local cache of workouts up to date without having to fetch the entire list of workouts."""), # chrisdoc/Hevy MCP/get-workout-events
    Tool(name="""Hevy MCP_create-workout""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'description': {'anyOf': [{'anyOf': [{'not': {}}, {'type': 'string'}]}, {'type': 'null'}]}, 'endTime': {'pattern': '^\\d{4}-\\d{2}-\\d{2}T\\d{2}:\\d{2}:\\d{2}Z$', 'type': 'string'}, 'exercises': {'items': {'additionalProperties': False, 'properties': {'exerciseTemplateId': {'minLength': 1, 'type': 'string'}, 'notes': {'anyOf': [{'anyOf': [{'not': {}}, {'type': 'string'}]}, {'type': 'null'}]}, 'sets': {'items': {'additionalProperties': False, 'properties': {'customMetric': {'anyOf': [{'anyOf': [{'not': {}}, {'type': 'number'}]}, {'type': 'null'}]}, 'distanceMeters': {'anyOf': [{'anyOf': [{'not': {}}, {'type': 'integer'}]}, {'type': 'null'}]}, 'durationSeconds': {'anyOf': [{'anyOf': [{'not': {}}, {'type': 'integer'}]}, {'type': 'null'}]}, 'reps': {'anyOf': [{'anyOf': [{'not': {}}, {'type': 'integer'}]}, {'type': 'null'}]}, 'rpe': {'anyOf': [{'anyOf': [{'not': {}}, {'type': 'number'}]}, {'type': 'null'}]}, 'type': {'default': 'normal', 'enum': ['warmup', 'normal', 'failure', 'dropset'], 'type': 'string'}, 'weightKg': {'anyOf': [{'anyOf': [{'not': {}}, {'type': 'number'}]}, {'type': 'null'}]}}, 'type': 'object'}, 'type': 'array'}, 'supersetId': {'type': ['number', 'null']}}, 'required': ['exerciseTemplateId', 'sets'], 'type': 'object'}, 'type': 'array'}, 'isPrivate': {'default': False, 'type': 'boolean'}, 'startTime': {'pattern': '^\\d{4}-\\d{2}-\\d{2}T\\d{2}:\\d{2}:\\d{2}Z$', 'type': 'string'}, 'title': {'minLength': 1, 'type': 'string'}}, 'required': ['title', 'startTime', 'endTime', 'exercises'], 'type': 'object'}, description="""Create a new workout in your Hevy account. Requires title, start/end times, and at least one exercise with sets. Returns the complete workout details upon successful creation including the newly assigned workout ID."""), # chrisdoc/Hevy MCP/create-workout
    Tool(name="""Hevy MCP_update-workout""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'description': {'anyOf': [{'anyOf': [{'not': {}}, {'type': 'string'}]}, {'type': 'null'}]}, 'endTime': {'pattern': '^\\d{4}-\\d{2}-\\d{2}T\\d{2}:\\d{2}:\\d{2}Z$', 'type': 'string'}, 'exercises': {'items': {'additionalProperties': False, 'properties': {'exerciseTemplateId': {'minLength': 1, 'type': 'string'}, 'notes': {'anyOf': [{'anyOf': [{'not': {}}, {'type': 'string'}]}, {'type': 'null'}]}, 'sets': {'items': {'additionalProperties': False, 'properties': {'customMetric': {'anyOf': [{'anyOf': [{'not': {}}, {'type': 'number'}]}, {'type': 'null'}]}, 'distanceMeters': {'anyOf': [{'anyOf': [{'not': {}}, {'type': 'integer'}]}, {'type': 'null'}]}, 'durationSeconds': {'anyOf': [{'anyOf': [{'not': {}}, {'type': 'integer'}]}, {'type': 'null'}]}, 'reps': {'anyOf': [{'anyOf': [{'not': {}}, {'type': 'integer'}]}, {'type': 'null'}]}, 'rpe': {'anyOf': [{'anyOf': [{'not': {}}, {'type': 'number'}]}, {'type': 'null'}]}, 'type': {'default': 'normal', 'enum': ['warmup', 'normal', 'failure', 'dropset'], 'type': 'string'}, 'weightKg': {'anyOf': [{'anyOf': [{'not': {}}, {'type': 'number'}]}, {'type': 'null'}]}}, 'type': 'object'}, 'type': 'array'}, 'supersetId': {'type': ['number', 'null']}}, 'required': ['exerciseTemplateId', 'sets'], 'type': 'object'}, 'type': 'array'}, 'isPrivate': {'default': False, 'type': 'boolean'}, 'startTime': {'pattern': '^\\d{4}-\\d{2}-\\d{2}T\\d{2}:\\d{2}:\\d{2}Z$', 'type': 'string'}, 'title': {'minLength': 1, 'type': 'string'}, 'workoutId': {'minLength': 1, 'type': 'string'}}, 'required': ['workoutId', 'title', 'startTime', 'endTime', 'exercises'], 'type': 'object'}, description="""Update an existing workout by ID. You can modify the title, description, start/end times, privacy setting, and exercise data. Returns the updated workout with all changes applied."""), # chrisdoc/Hevy MCP/update-workout
    Tool(name="""Hevy MCP_get-routines""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'page': {'default': 1, 'minimum': 1, 'type': 'integer'}, 'pageSize': {'default': 5, 'maximum': 10, 'minimum': 1, 'type': 'integer'}}, 'type': 'object'}, description="""Get a paginated list of routines. Returns routine details including title, creation date, folder assignment, and exercise configurations. Results include both default and custom routines."""), # chrisdoc/Hevy MCP/get-routines
    Tool(name="""Hevy MCP_get-routine""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'routineId': {'minLength': 1, 'type': 'string'}}, 'required': ['routineId'], 'type': 'object'}, description="""Get complete details of a specific routine by ID. Returns all routine information including title, notes, assigned folder, and detailed exercise data with set configurations."""), # chrisdoc/Hevy MCP/get-routine
    Tool(name="""Hevy MCP_create-routine""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'exercises': {'items': {'additionalProperties': False, 'properties': {'exerciseTemplateId': {'minLength': 1, 'type': 'string'}, 'notes': {'type': 'string'}, 'restSeconds': {'minimum': 0, 'type': 'integer'}, 'sets': {'items': {'additionalProperties': False, 'properties': {'customMetric': {'type': 'number'}, 'distanceMeters': {'type': 'integer'}, 'durationSeconds': {'type': 'integer'}, 'reps': {'type': 'integer'}, 'type': {'default': 'normal', 'enum': ['warmup', 'normal', 'failure', 'dropset'], 'type': 'string'}, 'weightKg': {'type': 'number'}}, 'type': 'object'}, 'type': 'array'}, 'supersetId': {'type': ['number', 'null']}}, 'required': ['exerciseTemplateId', 'sets'], 'type': 'object'}, 'type': 'array'}, 'folderId': {'type': ['number', 'null']}, 'notes': {'type': 'string'}, 'title': {'minLength': 1, 'type': 'string'}}, 'required': ['title', 'exercises'], 'type': 'object'}, description="""Create a new workout routine in your Hevy account. Requires title and at least one exercise with sets. Optionally assign to a specific folder. Returns the complete routine details upon successful creation including the newly assigned routine ID."""), # chrisdoc/Hevy MCP/create-routine
    Tool(name="""Hevy MCP_update-routine""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'exercises': {'items': {'additionalProperties': False, 'properties': {'exerciseTemplateId': {'minLength': 1, 'type': 'string'}, 'notes': {'type': 'string'}, 'restSeconds': {'minimum': 0, 'type': 'integer'}, 'sets': {'items': {'additionalProperties': False, 'properties': {'customMetric': {'type': 'number'}, 'distanceMeters': {'type': 'integer'}, 'durationSeconds': {'type': 'integer'}, 'reps': {'type': 'integer'}, 'type': {'default': 'normal', 'enum': ['warmup', 'normal', 'failure', 'dropset'], 'type': 'string'}, 'weightKg': {'type': 'number'}}, 'type': 'object'}, 'type': 'array'}, 'supersetId': {'type': ['number', 'null']}}, 'required': ['exerciseTemplateId', 'sets'], 'type': 'object'}, 'type': 'array'}, 'notes': {'type': 'string'}, 'routineId': {'minLength': 1, 'type': 'string'}, 'title': {'minLength': 1, 'type': 'string'}}, 'required': ['routineId', 'title', 'exercises'], 'type': 'object'}, description="""Update an existing workout routine by ID. You can modify the title, notes, and exercise data. Returns the updated routine with all changes applied. Note that you cannot change the folder assignment through this method."""), # chrisdoc/Hevy MCP/update-routine
    Tool(name="""Hevy MCP_get-exercise-templates""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'page': {'default': 1, 'minimum': 1, 'type': 'integer'}, 'pageSize': {'default': 20, 'maximum': 100, 'minimum': 1, 'type': 'integer'}}, 'type': 'object'}, description="""Get a paginated list of exercise templates available on the account. Returns both default and custom exercise templates with details including title, type, primary muscle group, and secondary muscle groups. Supports up to 100 templates per page."""), # chrisdoc/Hevy MCP/get-exercise-templates
    Tool(name="""Hevy MCP_get-exercise-template""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'exerciseTemplateId': {'minLength': 1, 'type': 'string'}}, 'required': ['exerciseTemplateId'], 'type': 'object'}, description="""Get complete details of a specific exercise template by ID. Returns all template information including title, type, primary muscle group, secondary muscle groups, and whether it's a custom exercise."""), # chrisdoc/Hevy MCP/get-exercise-template
    Tool(name="""Hevy MCP_get-routine-folders""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'page': {'default': 1, 'minimum': 1, 'type': 'integer'}, 'pageSize': {'default': 5, 'maximum': 10, 'minimum': 1, 'type': 'integer'}}, 'type': 'object'}, description="""Get a paginated list of routine folders available on the account. Returns folder details including ID, title, index (order position), and creation/update timestamps. Useful for organizing routines into categories."""), # chrisdoc/Hevy MCP/get-routine-folders
    Tool(name="""Hevy MCP_get-routine-folder""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'folderId': {'type': 'integer'}}, 'required': ['folderId'], 'type': 'object'}, description="""Get complete details of a specific routine folder by ID. Returns all folder information including title, index (order position), and creation/update timestamps."""), # chrisdoc/Hevy MCP/get-routine-folder
    Tool(name="""Hevy MCP_create-routine-folder""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'title': {'minLength': 1, 'type': 'string'}}, 'required': ['title'], 'type': 'object'}, description="""Create a new routine folder in your Hevy account. The folder will be created at index 0, and all other folders will have their indexes incremented. Returns the complete folder details upon successful creation including the newly assigned folder ID."""), # chrisdoc/Hevy MCP/create-routine-folder
    Tool(name="""DataWorks MCP Server_UpdateWorkflowDefinition""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'Id': {'description': ''}, 'ProjectId': {'description': 'DataWorksID'}, 'Spec': {'description': 'FlowSpec', 'type': 'string'}}, 'required': ['Spec'], 'type': 'object'}, description=""""""), # aliyun/DataWorks MCP Server/UpdateWorkflowDefinition
    Tool(name="""DataWorks MCP Server_ListProjectRoles""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'Codes': {'description': 'Code', 'items': {'type': 'string'}, 'type': 'array'}, 'Names': {'description': 'Name', 'items': {'type': 'string'}, 'type': 'array'}, 'PageNumber': {'description': ''}, 'PageSize': {'description': '10100'}, 'ProjectId': {'description': 'DataWorksID'}, 'Type': {'description': '- UserCustom- System', 'type': 'string'}}, 'type': 'object'}, description=""""""), # aliyun/DataWorks MCP Server/ListProjectRoles
    Tool(name="""DataWorks MCP Server_UpdateFunction""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'Id': {'description': 'udf'}, 'ProjectId': {'description': 'DataWorksID'}, 'Spec': {'description': 'udfFlowSpec', 'type': 'string'}}, 'required': ['Spec'], 'type': 'object'}, description=""""""), # aliyun/DataWorks MCP Server/UpdateFunction
    Tool(name="""DataWorks MCP Server_UpdateTaskInstances""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'Comment': {'description': '', 'type': 'string'}, 'TaskInstances': {'description': '', 'items': {'additionalProperties': False, 'properties': {'DataSource': {'additionalProperties': False, 'description': '', 'properties': {'Name': {'description': '', 'type': 'string'}}, 'type': 'object'}, 'Id': {'description': 'ID'}, 'Priority': {'description': '135781'}, 'RuntimeResource': {'description': '', 'type': 'string'}}, 'type': 'object'}, 'type': 'array'}}, 'type': 'object'}, description=""""""), # aliyun/DataWorks MCP Server/UpdateTaskInstances
    Tool(name="""DataWorks MCP Server_ResumeTaskInstances""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'Comment': {'description': '', 'type': 'string'}, 'Ids': {'description': 'ID', 'type': 'array'}}, 'type': 'object'}, description=""""""), # aliyun/DataWorks MCP Server/ResumeTaskInstances
    Tool(name="""DataWorks MCP Server_ListDataQualityRules""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'DataQualityEvaluationTaskId': {'description': 'ID'}, 'Name': {'description': '', 'type': 'string'}, 'PageNumber': {'description': '1'}, 'PageSize': {'description': '10200'}, 'ProjectId': {'description': 'DataWorksID'}, 'TableGuid': {'description': '', 'type': 'string'}}, 'type': 'object'}, description=""""""), # aliyun/DataWorks MCP Server/ListDataQualityRules
    Tool(name="""DataWorks MCP Server_ListDeployments""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'Creator': {'description': '', 'type': 'string'}, 'PageNumber': {'description': '11'}, 'PageSize': {'description': '10100'}, 'ProjectId': {'description': 'DataWorksID'}, 'Status': {'description': '- Init - Running - Success - Fail - Termination - Cancel ', 'type': 'string'}}, 'type': 'object'}, description=""""""), # aliyun/DataWorks MCP Server/ListDeployments
    Tool(name="""DataWorks MCP Server_BatchUpdateTasks""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'Comment': {'description': '', 'type': 'string'}, 'Tasks': {'description': '', 'items': {'additionalProperties': False, 'properties': {'DataSource': {'additionalProperties': False, 'description': '', 'properties': {'Name': {'description': '', 'type': 'string'}}, 'type': 'object'}, 'Description': {'description': '', 'type': 'string'}, 'EnvType': {'description': '- Prod- Dev', 'type': 'string'}, 'Id': {'description': 'ID'}, 'Name': {'description': '', 'type': 'string'}, 'Owner': {'description': 'ID', 'type': 'string'}, 'RerunInterval': {'description': ''}, 'RerunMode': {'description': '- AllDenied- FailureAllowed- AllAllowed', 'type': 'string'}, 'RerunTimes': {'description': ''}, 'RuntimeResource': {'additionalProperties': False, 'description': '', 'properties': {'Cu': {'description': 'CU', 'type': 'string'}, 'Image': {'description': 'ID', 'type': 'string'}, 'ResourceGroupId': {'description': '', 'type': 'string'}}, 'type': 'object'}, 'Tags': {'description': '', 'items': {'additionalProperties': False, 'properties': {'Key': {'description': '', 'type': 'string'}, 'Value': {'description': '', 'type': 'string'}}, 'required': ['Key'], 'type': 'object'}, 'type': 'array'}, 'Timeout': {'description': ''}, 'Trigger': {'additionalProperties': False, 'description': '', 'properties': {'Cron': {'description': 'Crontype=Scheduler', 'type': 'string'}, 'EndTime': {'description': 'type=Scheduler`yyyy-mm-ddhh:mm:ss`', 'type': 'string'}, 'Recurrence': {'description': 'type=Scheduler- Pause- Skip- Normal', 'type': 'string'}, 'StartTime': {'description': 'type=Scheduler`yyyy-mm-ddhh:mm:ss`', 'type': 'string'}, 'Type': {'description': '- Scheduler- Manual', 'type': 'string'}}, 'type': 'object'}}, 'type': 'object'}, 'type': 'array'}}, 'type': 'object'}, description="""\n*ToolMCP ResourceBatchUpdateTasks(MCP Resource)Tool"""), # aliyun/DataWorks MCP Server/BatchUpdateTasks
    Tool(name="""DataWorks MCP Server_DeleteDataQualityEvaluationTask""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'Id': {'description': 'ID'}, 'ProjectId': {'description': 'DataWorksID'}}, 'type': 'object'}, description=""""""), # aliyun/DataWorks MCP Server/DeleteDataQualityEvaluationTask
    Tool(name="""DataWorks MCP Server_StopTaskInstances""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'Comment': {'description': '', 'type': 'string'}, 'Ids': {'description': 'ID', 'type': 'array'}}, 'type': 'object'}, description=""""""), # aliyun/DataWorks MCP Server/StopTaskInstances
    Tool(name="""DataWorks MCP Server_ListDataSourceSharedRules""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'DataSourceId': {'description': 'ID'}, 'TargetProjectId': {'description': 'ID'}}, 'type': 'object'}, description=""""""), # aliyun/DataWorks MCP Server/ListDataSourceSharedRules
    Tool(name="""DataWorks MCP Server_DeleteResource""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'Id': {'description': ''}, 'ProjectId': {'description': 'DataWorksID'}}, 'type': 'object'}, description=""""""), # aliyun/DataWorks MCP Server/DeleteResource
    Tool(name="""DataWorks MCP Server_ListDIJobMetrics""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'DIJobId': {'description': 'ID'}, 'EndTime': {'description': ''}, 'MetricName': {'description': '', 'items': {'type': 'string'}, 'type': 'array'}, 'StartTime': {'description': ''}}, 'required': ['MetricName'], 'type': 'object'}, description=""""""), # aliyun/DataWorks MCP Server/ListDIJobMetrics
    Tool(name="""DataWorks MCP Server_ListUpstreamTaskInstances""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'Id': {'description': 'ID'}, 'PageNumber': {'description': '11'}, 'PageSize': {'description': '10'}}, 'type': 'object'}, description=""""""), # aliyun/DataWorks MCP Server/ListUpstreamTaskInstances
    Tool(name="""DataWorks MCP Server_ListDIJobs""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'DestinationDataSourceType': {'description': 'HologresOSS-HDFSOSSMaxComputeLogHubStarRocksDataHubAnalyticDB_For_MySQLKafkaHive', 'type': 'string'}, 'MigrationType': {'description': '- FullAndRealtimeIncremental- RealtimeIncremental- Full- OfflineIncremental- FullAndOfflineIncremental+', 'type': 'string'}, 'Name': {'description': 'DataWorks', 'type': 'string'}, 'PageNumber': {'description': '11'}, 'PageSize': {'description': '10100'}, 'ProjectId': {'description': 'ID'}, 'SourceDataSourceType': {'description': 'PolarDBMySQLKafkaLogHubHologresOracleOceanBaseMongoDBRedShiftHiveSQLServerDorisClickHouse', 'type': 'string'}}, 'type': 'object'}, description=""""""), # aliyun/DataWorks MCP Server/ListDIJobs
    Tool(name="""DataWorks MCP Server_ListUpstreamTasks""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'Id': {'description': 'ID'}, 'PageNumber': {'description': '11'}, 'PageSize': {'description': '10'}, 'ProjectEnv': {'description': '- Prod- Dev', 'type': 'string'}}, 'type': 'object'}, description=""""""), # aliyun/DataWorks MCP Server/ListUpstreamTasks
    Tool(name="""DataWorks MCP Server_GetTaskInstance""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'Id': {'description': ''}}, 'type': 'object'}, description=""""""), # aliyun/DataWorks MCP Server/GetTaskInstance
    Tool(name="""DataWorks MCP Server_MoveResource""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'Id': {'description': ''}, 'Path': {'description': 'math.pyroot/demo/math.pyroot/demo', 'type': 'string'}, 'ProjectId': {'description': 'DataWorksID'}}, 'required': ['Path'], 'type': 'object'}, description=""""""), # aliyun/DataWorks MCP Server/MoveResource
    Tool(name="""DataWorks MCP Server_UpdateDataQualityRule""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'CheckingConfig': {'additionalProperties': False, 'description': '', 'properties': {'ReferencedSamplesFilter': {'description': '', 'type': 'string'}, 'Thresholds': {'additionalProperties': False, 'description': '', 'properties': {'Critical': {'additionalProperties': False, 'description': '', 'properties': {'Expression': {'description': '- 0.01 $checkValue > 0.01 - 0.01$checkValue < -0.01 - abs($checkValue) > 0.01OperatorValue', 'type': 'string'}, 'Operator': {'description': '-\\>-\\>=-\\<-\\<=-!=-=', 'type': 'string'}, 'Value': {'description': '', 'type': 'string'}}, 'type': 'object'}, 'Expected': {'additionalProperties': False, 'description': '', 'properties': {'Expression': {'description': '- 0.01 $checkValue > 0.01 - 0.01$checkValue < -0.01 - abs($checkValue) > 0.01OperatorValue', 'type': 'string'}, 'Operator': {'description': '-\\>-\\>=-<-<=-!=-=', 'type': 'string'}, 'Value': {'description': '', 'type': 'string'}}, 'type': 'object'}, 'Warned': {'additionalProperties': False, 'description': '', 'properties': {'Expression': {'description': '- 0.01 $checkValue > 0.01 - 0.01$checkValue < -0.01 - abs($checkValue) > 0.01OperatorValue', 'type': 'string'}, 'Operator': {'description': '-\\>-\\>=-\\<-\\<=-!=-=', 'type': 'string'}, 'Value': {'description': '', 'type': 'string'}}, 'type': 'object'}}, 'type': 'object'}, 'Type': {'description': '-Fixed-Fluctation-FluctationDiscreate-Auto-Average-Variance', 'type': 'string'}}, 'type': 'object'}, 'Description': {'description': '500', 'type': 'string'}, 'Enabled': {'description': '', 'type': 'boolean'}, 'ErrorHandlers': {'description': '', 'items': {'additionalProperties': False, 'properties': {'ErrorDataFilter': {'description': 'SQLSQL', 'type': 'string'}, 'Type': {'description': '- SaveErrorData', 'type': 'string'}}, 'type': 'object'}, 'type': 'array'}, 'Id': {'description': 'ID'}, 'Name': {'description': '255', 'type': 'string'}, 'ProjectId': {'description': 'DataWorksID'}, 'SamplingConfig': {'additionalProperties': False, 'description': '', 'properties': {'Metric': {'description': '- Count- Min- Max- Avg- DistinctCount- DistinctPercent- DuplicatedCount- DuplicatedPercent- TableSize- NullValueCount- NullValuePercent- GroupCount- CountNotIn- CountDistinctNotIn- UserDefinedSqlSQL', 'type': 'string'}, 'MetricParameters': {'description': '', 'type': 'string'}, 'SamplingFilter': {'description': '16777215', 'type': 'string'}, 'SettingConfig': {'description': '1000MaxCompute', 'type': 'string'}}, 'type': 'object'}, 'Severity': {'description': '- Normal- High', 'type': 'string'}, 'TemplateCode': {'description': '', 'type': 'string'}}, 'type': 'object'}, description=""""""), # aliyun/DataWorks MCP Server/UpdateDataQualityRule
    Tool(name="""DataWorks MCP Server_ListDataSources""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'EnvType': {'description': '- Dev- Prod', 'type': 'string'}, 'Name': {'description': '', 'type': 'string'}, 'Order': {'description': '- Desc- AscDesc', 'type': 'string'}, 'PageNumber': {'description': '1'}, 'PageSize': {'description': '10100'}, 'ProjectId': {'description': 'DataWorksID'}, 'SortBy': {'description': 'ID- CreateTime- IdID- NameCreateTime', 'type': 'string'}, 'Tags': {'description': '- `["tag1", "tag2", "tag3"]`3- tag10', 'type': 'string'}, 'Types': {'description': '', 'items': {'type': 'string'}, 'type': 'array'}}, 'type': 'object'}, description=""""""), # aliyun/DataWorks MCP Server/ListDataSources
    Tool(name="""DataWorks MCP Server_DeleteDataQualityRule""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'Id': {'description': 'ID'}, 'ProjectId': {'description': 'DataWorksID'}}, 'type': 'object'}, description=""""""), # aliyun/DataWorks MCP Server/DeleteDataQualityRule
    Tool(name="""DataWorks MCP Server_RerunTaskInstances""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'Comment': {'description': '', 'type': 'string'}, 'Ids': {'description': 'ID', 'type': 'array'}}, 'type': 'object'}, description=""""""), # aliyun/DataWorks MCP Server/RerunTaskInstances
    Tool(name="""DataWorks MCP Server_UpdateAlertRule""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'Enabled': {'description': '', 'type': 'boolean'}, 'Id': {'description': 'ID'}, 'Name': {'description': '', 'type': 'string'}, 'Notification': {'additionalProperties': False, 'description': '', 'properties': {'Channels': {'description': '', 'items': {'type': 'string'}, 'type': 'array'}, 'IntervalInMinutes': {'description': '[5,10000]'}, 'Maximum': {'description': '[1,10000]'}, 'Receivers': {'description': '', 'items': {'additionalProperties': False, 'properties': {'Extension': {'description': 'ReceiverTypeDingdingUrl{"atAll":true}@', 'type': 'string'}, 'ReceiverType': {'description': '- AliUid: UID- ShiftSchedule: - TaskOwner: - Owner: - WebhookUrl: webhookUrl- DingdingUrl: webhookUrl- FeishuUrl: webhookUrl- WeixinUrl: webhookUrl', 'type': 'string'}, 'ReceiverValues': {'description': '', 'items': {'type': 'string'}, 'type': 'array'}}, 'type': 'object'}, 'type': 'array'}, 'SilenceEndTime': {'description': 'HH:mm:ss', 'type': 'string'}, 'SilenceStartTime': {'description': 'HH:mm:ss', 'type': 'string'}}, 'type': 'object'}, 'Owner': {'description': 'UID', 'type': 'string'}, 'TriggerCondition': {'additionalProperties': False, 'description': '', 'properties': {'Extension': {'additionalProperties': False, 'description': '', 'properties': {'CycleUnfinished': {'additionalProperties': False, 'description': '', 'properties': {'CycleAndTime': {'description': '', 'items': {'additionalProperties': False, 'properties': {'CycleId': {'description': 'ID[1,288]'}, 'Time': {'description': 'hh:mmhh[0,47]mm[0,59]', 'type': 'string'}}, 'type': 'object'}, 'type': 'array'}}, 'type': 'object'}, 'Error': {'additionalProperties': False, 'description': '', 'properties': {'AutoRerunAlertEnabled': {'description': '', 'type': 'boolean'}, 'StreamTaskIds': {'description': 'ID', 'type': 'array'}}, 'type': 'object'}, 'InstanceErrorCount': {'additionalProperties': False, 'description': '', 'properties': {'Count': {'description': '[1,10000]'}}, 'type': 'object'}, 'InstanceErrorPercentage': {'additionalProperties': False, 'description': '', 'properties': {'Percentage': {'description': '[1-100]'}}, 'type': 'object'}, 'InstanceTransferFluctuate': {'additionalProperties': False, 'description': '', 'properties': {'Percentage': {'description': '[1-100]'}, 'Trend': {'description': '- abs: - increase: - decrease: ', 'type': 'string'}}, 'type': 'object'}, 'Timeout': {'additionalProperties': False, 'description': '', 'properties': {'TimeoutInMinutes': {'description': ''}}, 'type': 'object'}, 'UnFinished': {'additionalProperties': False, 'description': '', 'properties': {'UnFinishedTime': {'description': 'hh:mmhh[0,47]mm[0,59]', 'type': 'string'}}, 'type': 'object'}}, 'type': 'object'}, 'Target': {'additionalProperties': False, 'description': '', 'properties': {'AllowTasks': {'description': '', 'type': 'array'}, 'Ids': {'description': 'ID', 'type': 'array'}, 'Type': {'description': '- Task: - Baseline: - Project: - BizProcess: ', 'type': 'string'}}, 'type': 'object'}, 'Type': {'description': '- Finished: - UnFinished: - Error: - CycleUnfinished: - Timeout: - InstanceTransferComplete: - InstanceTransferFluctuate: - ExhaustedError: - InstanceKeyword: - InstanceErrorCount: - InstanceErrorPercentage: - ResourceGroupPercentage: - ResourceGroupWaitCount: ', 'type': 'string'}}, 'type': 'object'}}, 'type': 'object'}, description="""\n*ToolMCP ResourceUpdateAlertRule(MCP Resource)Tool"""), # aliyun/DataWorks MCP Server/UpdateAlertRule
    Tool(name="""DataWorks MCP Server_CreateDataQualityRule""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'CheckingConfig': {'additionalProperties': False, 'description': '', 'properties': {'ReferencedSamplesFilter': {'description': '', 'type': 'string'}, 'Thresholds': {'additionalProperties': False, 'description': '', 'properties': {'Critical': {'additionalProperties': False, 'description': '', 'properties': {'Expression': {'description': '- 0.01 $checkValue > 0.01 - 0.01$checkValue < -0.01 - abs($checkValue) > 0.01OperatorValue', 'type': 'string'}, 'Operator': {'description': '- \\>- \\>=- \\<- \\<=- !=- =', 'type': 'string'}, 'Value': {'description': '', 'type': 'string'}}, 'type': 'object'}, 'Expected': {'additionalProperties': False, 'description': '', 'properties': {'Expression': {'description': '- 0.01 $checkValue > 0.01 - 0.01$checkValue < -0.01 - abs($checkValue) > 0.01OperatorValue', 'type': 'string'}, 'Operator': {'description': '- \\>- \\>=- \\<- \\<=- !=- =', 'type': 'string'}, 'Value': {'description': '', 'type': 'string'}}, 'type': 'object'}, 'Warned': {'additionalProperties': False, 'description': '', 'properties': {'Expression': {'description': '- 0.01 $checkValue > 0.01 - 0.01$checkValue < -0.01 - abs($checkValue) > 0.01OperatorValue', 'type': 'string'}, 'Operator': {'description': '- \\>- \\>=- \\<- \\<=- !=- =', 'type': 'string'}, 'Value': {'description': '', 'type': 'string'}}, 'type': 'object'}}, 'type': 'object'}, 'Type': {'description': '-Fixed-Fluctation-FluctationDiscreate-Auto-Average-Variance', 'type': 'string'}}, 'type': 'object'}, 'Description': {'description': '500', 'type': 'string'}, 'Enabled': {'description': '', 'type': 'boolean'}, 'ErrorHandlers': {'description': '', 'items': {'additionalProperties': False, 'properties': {'ErrorDataFilter': {'description': 'SQLSQL', 'type': 'string'}, 'Type': {'description': '- SaveErrorData', 'type': 'string'}}, 'type': 'object'}, 'type': 'array'}, 'Name': {'description': '', 'type': 'string'}, 'ProjectId': {'description': 'DataWorksID'}, 'SamplingConfig': {'additionalProperties': False, 'description': '', 'properties': {'Metric': {'description': '- Count- Min- Max- Avg- DistinctCount- DistinctPercent- DuplicatedCount- DuplicatedPercent- TableSize- NullValueCount- NullValuePercent- GroupCount- CountNotIn- CountDistinctNotIn- UserDefinedSqlSQL', 'type': 'string'}, 'MetricParameters': {'description': '', 'type': 'string'}, 'SamplingFilter': {'description': '16777215', 'type': 'string'}, 'SettingConfig': {'description': '1000MaxCompute', 'type': 'string'}}, 'type': 'object'}, 'Severity': {'description': '- Normal- High', 'type': 'string'}, 'Target': {'additionalProperties': False, 'description': '', 'properties': {'DatabaseType': {'description': '-maxcompute-emr-cdh-hologres-analyticdb_for_postgresql-analyticdb_for_mysql-starrocks', 'type': 'string'}, 'PartitionSpec': {'description': '', 'type': 'string'}, 'TableGuid': {'description': 'ID', 'type': 'string'}, 'Type': {'description': '-Table', 'type': 'string'}}, 'required': ['DatabaseType', 'TableGuid'], 'type': 'object'}, 'TemplateCode': {'description': '', 'type': 'string'}}, 'required': ['Name', 'Target', 'TemplateCode'], 'type': 'object'}, description="""\n*ToolMCP ResourceCreateDataQualityRule(MCP Resource)Tool"""), # aliyun/DataWorks MCP Server/CreateDataQualityRule
    Tool(name="""DataWorks MCP Server_ListDIJobEvents""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'DIJobId': {'description': 'ID'}, 'EndTime': {'description': ''}, 'EventType': {'description': 'EventFailover/Alarm/DDL', 'type': 'string'}, 'PageNumber': {'description': '11'}, 'PageSize': {'description': '10100'}, 'StartTime': {'description': ''}}, 'required': ['EventType'], 'type': 'object'}, description=""""""), # aliyun/DataWorks MCP Server/ListDIJobEvents
    Tool(name="""DataWorks MCP Server_ListTaskInstanceOperationLogs""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'Date': {'description': '31'}, 'Id': {'description': 'ID'}, 'PageNumber': {'description': '11'}, 'PageSize': {'description': '10'}}, 'type': 'object'}, description=""""""), # aliyun/DataWorks MCP Server/ListTaskInstanceOperationLogs
    Tool(name="""DataWorks MCP Server_ListWorkflows""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'EnvType': {'description': '- Prod- Dev', 'type': 'string'}, 'Ids': {'description': 'IDId', 'type': 'array'}, 'Name': {'description': '', 'type': 'string'}, 'Owner': {'description': 'ID', 'type': 'string'}, 'PageNumber': {'description': '11'}, 'PageSize': {'description': '10'}, 'ProjectId': {'description': 'ID'}, 'SortBy': {'description': '"+(Desc/Asc)"Asc- ModifyTime (Desc/Asc)- CreateTime (Desc/Asc)- Id (Desc/Asc)Id Desc', 'type': 'string'}, 'TriggerType': {'description': '-Scheduler-Manual', 'type': 'string'}}, 'type': 'object'}, description=""""""), # aliyun/DataWorks MCP Server/ListWorkflows
    Tool(name="""DataWorks MCP Server_GetNetwork""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'Id': {'description': 'ID'}}, 'type': 'object'}, description=""""""), # aliyun/DataWorks MCP Server/GetNetwork
    Tool(name="""DataWorks MCP Server_RevokeMemberProjectRoles""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'ProjectId': {'description': 'DataWorksID'}, 'RoleCodes': {'description': 'Code', 'items': {'type': 'string'}, 'type': 'array'}, 'UserId': {'description': 'DataworksID', 'type': 'string'}}, 'required': ['UserId', 'RoleCodes'], 'type': 'object'}, description=""""""), # aliyun/DataWorks MCP Server/RevokeMemberProjectRoles
    Tool(name="""DataWorks MCP Server_ListTaskInstances""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'Bizdate': {'description': '0001743350400000'}, 'Id': {'description': 'IDRunNumber'}, 'Ids': {'description': 'IDId', 'type': 'array'}, 'Owner': {'description': 'ID', 'type': 'string'}, 'PageNumber': {'description': '11'}, 'PageSize': {'description': '10'}, 'ProjectEnv': {'description': '- Prod- Dev', 'type': 'string'}, 'ProjectId': {'description': 'ID'}, 'RuntimeResource': {'description': '', 'type': 'string'}, 'SortBy': {'description': '"+(Desc/Asc)"Asc- `TriggerTime (Desc/Asc)`- `StartedTime (Desc/Asc)`- `FinishedTime (Desc/Asc)`- `CreateTime (Desc/Asc)`- `Id (Desc/Asc)`  `Id Desc`', 'type': 'string'}, 'TaskId': {'description': 'ID'}, 'TaskIds': {'description': 'IDId', 'type': 'array'}, 'TaskName': {'description': '', 'type': 'string'}, 'TaskType': {'description': 'TaskType[DataWorks](~~600169~~)', 'type': 'string'}, 'TriggerRecurrence': {'description': 'TriggerType=Scheduler- Pause- Skip- Normal', 'type': 'string'}, 'TriggerType': {'description': '- Scheduler- Manual', 'type': 'string'}, 'WorkflowId': {'description': 'ID'}, 'WorkflowInstanceId': {'description': 'ID'}, 'WorkflowInstanceType': {'description': '- SmokeTest- Manual- SupplementData- ManualWorkflow- Normal', 'type': 'string'}}, 'type': 'object'}, description=""""""), # aliyun/DataWorks MCP Server/ListTaskInstances
    Tool(name="""DataWorks MCP Server_ImportWorkflowDefinition""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'ProjectId': {'description': 'DataWorksID'}, 'Spec': {'description': 'FlowSpec', 'type': 'string'}}, 'required': ['Spec'], 'type': 'object'}, description=""""""), # aliyun/DataWorks MCP Server/ImportWorkflowDefinition
    Tool(name="""DataWorks MCP Server_DeleteDIAlarmRule""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'DIAlarmRuleId': {'description': 'Id'}, 'DIJobId': {'description': 'ID'}, 'Id': {'description': 'ID'}}, 'type': 'object'}, description=""""""), # aliyun/DataWorks MCP Server/DeleteDIAlarmRule
    Tool(name="""DataWorks MCP Server_GetTask""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'Id': {'description': ''}, 'ProjectEnv': {'description': '- Prod- Dev', 'type': 'string'}}, 'type': 'object'}, description=""""""), # aliyun/DataWorks MCP Server/GetTask
    Tool(name="""DataWorks MCP Server_MoveNode""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'Id': {'description': ''}, 'Path': {'description': 'testroot/demo/testroot/demo', 'type': 'string'}, 'ProjectId': {'description': 'DataWorksID'}}, 'required': ['Path'], 'type': 'object'}, description=""""""), # aliyun/DataWorks MCP Server/MoveNode
    Tool(name="""DataWorks MCP Server_GetDataQualityEvaluationTask""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'Id': {'description': 'ID'}}, 'type': 'object'}, description=""""""), # aliyun/DataWorks MCP Server/GetDataQualityEvaluationTask
    Tool(name="""DataWorks MCP Server_DeleteWorkflowDefinition""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'Id': {'description': ''}, 'ProjectId': {'description': 'DataWorksID'}}, 'type': 'object'}, description=""""""), # aliyun/DataWorks MCP Server/DeleteWorkflowDefinition
    Tool(name="""DataWorks MCP Server_ExecDeploymentStage""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'Code': {'description': 'GetDeployment', 'type': 'string'}, 'Id': {'description': '', 'type': 'string'}, 'ProjectId': {'description': 'DataWorksID'}}, 'required': ['Id', 'Code'], 'type': 'object'}, description=""""""), # aliyun/DataWorks MCP Server/ExecDeploymentStage
    Tool(name="""DataWorks MCP Server_CreateDIAlarmRule""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'ClientToken': {'description': '', 'type': 'string'}, 'DIJobId': {'description': 'IDID'}, 'Description': {'description': '', 'type': 'string'}, 'Enabled': {'description': '', 'type': 'boolean'}, 'MetricType': {'description': '- Heartbeat- FailoverCountfailover- Delay- DdlReportDDL- ResourceUtilization', 'type': 'string'}, 'Name': {'description': '', 'type': 'string'}, 'NotificationSettings': {'additionalProperties': False, 'description': '', 'properties': {'InhibitionInterval': {'description': 'MuteInterval'}, 'MuteInterval': {'description': '5'}, 'NotificationChannels': {'description': '', 'items': {'additionalProperties': False, 'properties': {'Channels': {'description': '- Mail- Phone- Sms- Ding', 'items': {'type': 'string'}, 'type': 'array'}, 'Severity': {'description': '- Warning- Critical', 'type': 'string'}}, 'type': 'object'}, 'type': 'array'}, 'NotificationReceivers': {'description': '', 'items': {'additionalProperties': False, 'properties': {'ReceiverType': {'description': 'AliyunUid/DingToken/FeishuToken/WebHookUrl', 'type': 'string'}, 'ReceiverValues': {'description': '-IDID-tokentoken', 'items': {'type': 'string'}, 'type': 'array'}}, 'type': 'object'}, 'type': 'array'}}, 'type': 'object'}, 'TriggerConditions': {'description': '', 'items': {'additionalProperties': False, 'properties': {'DdlReportTags': {'description': 'DdlTypes', 'items': {'type': 'string'}, 'type': 'array'}, 'DdlTypes': {'description': 'DDLDDL', 'items': {'type': 'string'}, 'type': 'array'}, 'Duration': {'description': ''}, 'Severity': {'description': '- Warning- Critical', 'type': 'string'}, 'Threshold': {'description': '- - failoverfailover- '}}, 'type': 'object'}, 'type': 'array'}}, 'required': ['MetricType', 'Name', 'TriggerConditions', 'NotificationSettings'], 'type': 'object'}, description="""\n*ToolMCP ResourceCreateDIAlarmRule(MCP Resource)Tool"""), # aliyun/DataWorks MCP Server/CreateDIAlarmRule
    Tool(name="""DataWorks MCP Server_DeleteNode""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'Id': {'description': ''}, 'ProjectId': {'description': 'DataWorksID'}}, 'type': 'object'}, description=""""""), # aliyun/DataWorks MCP Server/DeleteNode
    Tool(name="""DataWorks MCP Server_TestDataSourceConnectivity""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'DataSourceId': {'description': 'IDID'}, 'ProjectId': {'description': 'DataWorksID'}, 'ResourceGroupId': {'description': 'ID', 'type': 'string'}}, 'required': ['ResourceGroupId'], 'type': 'object'}, description=""""""), # aliyun/DataWorks MCP Server/TestDataSourceConnectivity
    Tool(name="""DataWorks MCP Server_DeleteProjectMember""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'ProjectId': {'description': 'DataWorksID'}, 'UserId': {'description': 'DataworksID', 'type': 'string'}}, 'required': ['UserId'], 'type': 'object'}, description=""""""), # aliyun/DataWorks MCP Server/DeleteProjectMember
    Tool(name="""DataWorks MCP Server_GetProjectMember""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'ProjectId': {'description': 'DataWorksID'}, 'UserId': {'description': 'DataworksID', 'type': 'string'}}, 'required': ['UserId'], 'type': 'object'}, description=""""""), # aliyun/DataWorks MCP Server/GetProjectMember
    Tool(name="""DataWorks MCP Server_ListNetworks""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'PageNumber': {'description': ''}, 'PageSize': {'description': ''}, 'ResourceGroupId': {'description': '', 'type': 'string'}, 'SortBy': {'description': '"+(Desc/Asc)"Asc- Id  (Desc/Asc)ID- Status (Desc/Asc)- CreateUser (Desc/Asc)- CreateTime (Desc/Asc)CreateTime Asc', 'type': 'string'}}, 'required': ['ResourceGroupId'], 'type': 'object'}, description=""""""), # aliyun/DataWorks MCP Server/ListNetworks
    Tool(name="""DataWorks MCP Server_CreateDataSource""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'ConnectionProperties': {'description': 'envType-Dev-ProdConnectionPropertiesMode[ConnectionProperties](~~2852465~~)', 'type': 'string'}, 'ConnectionPropertiesMode': {'description': 'TypeMySQL- InstanceMode- UrlMode', 'type': 'string'}, 'Description': {'description': '3000', 'type': 'string'}, 'Name': {'description': '255', 'type': 'string'}, 'ProjectId': {'description': 'DataWorksID'}, 'Type': {'description': ' 70+[](~~2852465~~)', 'type': 'string'}}, 'required': ['Name', 'Type', 'ConnectionPropertiesMode', 'ConnectionProperties'], 'type': 'object'}, description=""""""), # aliyun/DataWorks MCP Server/CreateDataSource
    Tool(name="""DataWorks MCP Server_RemoveTaskInstanceDependencies""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'Comment': {'description': '', 'type': 'string'}, 'Id': {'description': 'ID'}, 'UpstreamTaskInstanceIds': {'description': 'ID', 'type': 'array'}}, 'type': 'object'}, description=""""""), # aliyun/DataWorks MCP Server/RemoveTaskInstanceDependencies
    Tool(name="""DataWorks MCP Server_GetDIJob""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'DIJobId': {'description': 'Id'}, 'Id': {'description': 'ID'}, 'ProjectId': {'description': 'DataWorksID'}, 'WithDetails': {'description': 'TransformationRulesTableMappingsJobSettings', 'type': 'boolean'}}, 'type': 'object'}, description=""""""), # aliyun/DataWorks MCP Server/GetDIJob
    Tool(name="""DataWorks MCP Server_ListAlertRules""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'Name': {'description': '', 'type': 'string'}, 'Owner': {'description': 'UID', 'type': 'string'}, 'PageNumber': {'description': '1'}, 'PageSize': {'description': '100'}, 'Receiver': {'description': 'UID', 'type': 'string'}, 'TaskIds': {'description': 'ID', 'type': 'array'}, 'Types': {'description': '', 'items': {'type': 'string'}, 'type': 'array'}}, 'type': 'object'}, description=""""""), # aliyun/DataWorks MCP Server/ListAlertRules
    Tool(name="""DataWorks MCP Server_GetWorkflow""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'EnvType': {'description': '- Prod- Dev', 'type': 'string'}, 'Id': {'description': ''}}, 'type': 'object'}, description=""""""), # aliyun/DataWorks MCP Server/GetWorkflow
    Tool(name="""DataWorks MCP Server_CreateDeployment""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'Description': {'description': '', 'type': 'string'}, 'ObjectIds': {'description': 'Id><notice>arrayarray11></notice>', 'items': {'type': 'string'}, 'type': 'array'}, 'ProjectId': {'description': 'DataWorksID'}, 'Type': {'description': '- Online- Offline', 'type': 'string'}}, 'required': ['Type', 'ObjectIds'], 'type': 'object'}, description=""""""), # aliyun/DataWorks MCP Server/CreateDeployment
    Tool(name="""DataWorks MCP Server_GetFunction""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'Id': {'description': 'UDF'}, 'ProjectId': {'description': 'DataWorksID'}}, 'type': 'object'}, description=""""""), # aliyun/DataWorks MCP Server/GetFunction
    Tool(name="""DataWorks MCP Server_GetTaskInstanceLog""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'Id': {'description': 'ID'}, 'RunNumber': {'description': '1'}}, 'type': 'object'}, description=""""""), # aliyun/DataWorks MCP Server/GetTaskInstanceLog
    Tool(name="""DataWorks MCP Server_GetDIJobLog""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'DIJobId': {'description': 'Id'}, 'FailoverId': {'description': 'FailoverID'}, 'Id': {'description': 'ID'}, 'InstanceId': {'description': 'ID'}, 'NodeType': {'description': '2.0* **MASTER**JobManager* **WORKER**TaskManager', 'type': 'string'}, 'PageNumber': {'description': '1'}}, 'type': 'object'}, description=""""""), # aliyun/DataWorks MCP Server/GetDIJobLog
    Tool(name="""DataWorks MCP Server_SuspendTaskInstances""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'Comment': {'description': '', 'type': 'string'}, 'Ids': {'description': 'ID', 'type': 'array'}}, 'type': 'object'}, description=""""""), # aliyun/DataWorks MCP Server/SuspendTaskInstances
    Tool(name="""DataWorks MCP Server_RenameResource""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'Id': {'description': ''}, 'Name': {'description': '', 'type': 'string'}, 'ProjectId': {'description': 'DataWorksID'}}, 'required': ['Name'], 'type': 'object'}, description=""""""), # aliyun/DataWorks MCP Server/RenameResource
    Tool(name="""DataWorks MCP Server_GrantMemberProjectRoles""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'ProjectId': {'description': 'DataWorksID'}, 'RoleCodes': {'description': 'Code', 'items': {'type': 'string'}, 'type': 'array'}, 'UserId': {'description': 'DataworksID', 'type': 'string'}}, 'required': ['UserId', 'RoleCodes'], 'type': 'object'}, description=""""""), # aliyun/DataWorks MCP Server/GrantMemberProjectRoles
    Tool(name="""DataWorks MCP Server_GetResourceGroup""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'Id': {'description': '', 'type': 'string'}}, 'required': ['Id'], 'type': 'object'}, description="""ID"""), # aliyun/DataWorks MCP Server/GetResourceGroup
    Tool(name="""DataWorks MCP Server_CreateNode""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'ContainerId': {'description': 'Workflow><notice>FlowSpecpath></notice>'}, 'ProjectId': {'description': 'DataWorksID'}, 'Scene': {'description': 'DataworksManualWorkflowContainerIdContainer- DATAWORKS_PROJECT - DATAWORKS_MANUAL_WORKFLOW - DATAWORKS_MANUAL_TASK ', 'type': 'string'}, 'Spec': {'description': '{    "title": "CycleWorkflow Schema",    "description": "JSON Schema",    "type": "object",    "required": ["version", "kind", "spec"],    "properties": {      "version": {        "type": "string",        "const": "1.1.0",        "description": "Schema1.1.0"      },      "kind": {        "type": "string",        "enum": ["Workflow", "Node"],        "description": ""      },      "spec": {        "type": "object",        "description": "",        "required": ["nodes"],        "properties": {          "nodes": {            "type": "array",            "description": "",            "items": {              "type": "object",              "required": ["name", "script"],              "properties": {                "recurrence": {                  "type": "string",                  "enum": ["Normal", "Pause", "Skip", "NoneAuto"],                  "description": "Normal-, Pause-, Skip-, NoneAuto-"                },                "id": {                  "type": "string",                  "description": ""                },                "timeout": {                  "type": "integer",                  "minimum": 0,                  "description": ""                },                "instanceMode": {                  "type": "string",                  "enum": ["T+1", "Immediately"],                  "description": "T+1-, Immediately-"                },                "rerunMode": {                  "type": "string",                  "enum": ["Allowed", "Denied", "FailureAllowed"],                  "description": "Allowed-, Denied-, FailureAllowed-"                },                "rerunTimes": {                  "type": "integer",                  "minimum": 0,                  "description": ""                },                "rerunInterval": {                  "type": "integer",                  "minimum": 0,                  "description": ""                },                "datasource": {                  "type": "object",                  "description": "",                  "required": ["name", "type"],                  "properties": {                    "name": {                      "type": "string",                      "description": ""                    },                    "type": {                      "type": "string",                      "enum": ["odps"],                      "description": "odps"                    }                  }                },                "script": {                  "type": "object",                  "description": "",                  "required": ["path", "runtime"],                  "properties": {                    "language": {                      "type": "string",                      "description": ""                    },                    "path": {                      "type": "string",                      "description": ""                    },                    "runtime": {                      "type": "object",                      "description": "",                      "required": ["command"],                      "properties": {                        "command": {                          "type": "string",                          "enum": ["ODPS_SQL"],                          "description": ""                        },                        "cu": {                          "type": "string",                          "description": ""                        }                      }                    }                  }                },                "trigger": {                  "type": "object",                  "description": "",                  "required": ["type"],                  "properties": {                    "type": {                      "type": "string",                      "enum": ["Scheduler", "Manual", "Streaming", "None"],                      "description": "Scheduler-, Manual-, Streaming-, None-"                    },                    "cron": {                      "type": "string",                      "description": "CronScheduler"                    },                    "startTime": {                      "type": "string",                      "format": "yyyy-MM-dd hh:mm:ss",                      "description": ""                    },                    "endTime": {                      "type": "string",                      "format": "yyyy-MM-dd hh:mm:ss",                      "description": ""                    }                  }                },                "runtimeResource": {                  "type": "object",                  "description": "",                  "required": ["resourceGroup"],                  "properties": {                    "resourceGroup": {                      "type": "string",                      "description": ""                    }                  }                },                "name": {                  "type": "string",                  "description": ""                },                "owner": {                  "type": "string",                  "description": ""                },                "inputs": {                  "type": "object",                  "description": "",                  "properties": {                    "nodeOutputs": {                      "type": "array",                      "description": "",                      "items": {                        "type": "object",                        "required": ["data"],                        "properties": {                          "data": {                            "type": "string",                            "description": ""                          },                          "refTableName": {                            "type": "string",                            "description": "artifactTypeTable"                          },                          "isDefault": {                            "type": "boolean",                            "description": ""                          }                        }                      }                    }                  }                },                "outputs": {                  "type": "object",                  "description": "",                  "properties": {                    "nodeOutputs": {                      "type": "array",                      "description": "",                      "items": {                        "type": "object",                        "required": ["data"],                        "properties": {                          "data": {                            "type": "string",                            "description": ""                          },                          "refTableName": {                            "type": "string",                            "description": "artifactTypeTable"                          },                          "isDefault": {                            "type": "boolean",                            "description": ""                          }                        }                      }                    }                  }                }              }            }          }        }      }    }  }', 'type': 'string'}}, 'required': ['Scene', 'Spec'], 'type': 'object'}, description="""\n*ToolMCP ResourceCreateNode(MCP Resource)Tool"""), # aliyun/DataWorks MCP Server/CreateNode
    Tool(name="""DataWorks MCP Server_CreateDataQualityEvaluationTaskInstance""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'DataQualityEvaluationTaskId': {'description': 'ID'}, 'Parameters': {'description': 'JSONkey- triggerTime$[yyyymmdd]', 'type': 'string'}, 'ProjectId': {'description': 'DataWorksID'}, 'RuntimeResource': {'additionalProperties': False, 'description': 'MaxCompute', 'properties': {'Cu': {'description': 'CUServerless'}, 'ResourceGroupId': {'description': '', 'type': 'string'}}, 'type': 'object'}}, 'required': ['Parameters'], 'type': 'object'}, description=""""""), # aliyun/DataWorks MCP Server/CreateDataQualityEvaluationTaskInstance
    Tool(name="""DataWorks MCP Server_UpdateWorkflow""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'ClientUniqueCode': {'description': 'ID', 'type': 'string'}, 'Dependencies': {'description': '', 'items': {'additionalProperties': False, 'properties': {'Type': {'description': '- CrossCycleDependsOnChildren- CrossCycleDependsOnSelf- CrossCycleDependsOnOtherNode- Normal', 'type': 'string'}, 'UpstreamOutput': {'description': '``input', 'type': 'string'}, 'UpstreamTaskId': {'description': 'Id````input'}}, 'required': ['Type'], 'type': 'object'}, 'type': 'array'}, 'Description': {'description': '', 'type': 'string'}, 'EnvType': {'description': '- Prod- Dev', 'type': 'string'}, 'Id': {'description': 'ID'}, 'Name': {'description': '', 'type': 'string'}, 'Outputs': {'additionalProperties': False, 'description': '', 'properties': {'TaskOutputs': {'description': '', 'items': {'additionalProperties': False, 'properties': {'Output': {'description': '', 'type': 'string'}}, 'type': 'object'}, 'type': 'array'}}, 'type': 'object'}, 'Owner': {'description': 'ID', 'type': 'string'}, 'Parameters': {'description': '', 'type': 'string'}, 'Tags': {'description': '', 'items': {'additionalProperties': False, 'properties': {'Key': {'description': '', 'type': 'string'}, 'Value': {'description': '', 'type': 'string'}}, 'required': ['Key'], 'type': 'object'}, 'type': 'array'}, 'Tasks': {'description': '', 'items': {'additionalProperties': False, 'properties': {'BaseLineId': {'description': 'ID'}, 'ClientUniqueCode': {'description': 'ID', 'type': 'string'}, 'DataSource': {'additionalProperties': False, 'description': '', 'properties': {'Name': {'description': '', 'type': 'string'}}, 'type': 'object'}, 'Dependencies': {'description': '', 'items': {'additionalProperties': False, 'properties': {'Type': {'description': '- CrossCycleDependsOnChildren- CrossCycleDependsOnSelf- CrossCycleDependsOnOtherNode- Normal', 'type': 'string'}, 'UpstreamOutput': {'description': '``input', 'type': 'string'}, 'UpstreamTaskId': {'description': 'Id````input'}}, 'required': ['Type'], 'type': 'object'}, 'type': 'array'}, 'Description': {'description': '', 'type': 'string'}, 'EnvType': {'description': '- Prod- Dev', 'type': 'string'}, 'Id': {'description': 'ID'}, 'Inputs': {'additionalProperties': False, 'description': '', 'properties': {'Variables': {'description': '', 'items': {'additionalProperties': False, 'properties': {'Name': {'description': '', 'type': 'string'}, 'Type': {'description': '- Constant- PassThrough- System- NodeOutput', 'type': 'string'}, 'Value': {'description': '', 'type': 'string'}}, 'required': ['Type'], 'type': 'object'}, 'type': 'array'}}, 'type': 'object'}, 'Name': {'description': '', 'type': 'string'}, 'Outputs': {'additionalProperties': False, 'description': '', 'properties': {'TaskOutputs': {'description': '', 'items': {'additionalProperties': False, 'properties': {'Output': {'description': '', 'type': 'string'}}, 'type': 'object'}, 'type': 'array'}, 'Variables': {'description': '', 'items': {'additionalProperties': False, 'properties': {'Name': {'description': '', 'type': 'string'}, 'Type': {'description': '- Constant- PassThrough- System- NodeOutput', 'type': 'string'}, 'Value': {'description': '', 'type': 'string'}}, 'required': ['Type'], 'type': 'object'}, 'type': 'array'}}, 'type': 'object'}, 'Owner': {'description': 'ID', 'type': 'string'}, 'RerunInterval': {'description': ''}, 'RerunMode': {'description': '- AllDenied- FailureAllowed- AllAllowed', 'type': 'string'}, 'RerunTimes': {'description': ''}, 'RuntimeResource': {'additionalProperties': False, 'description': '', 'properties': {'Cu': {'description': 'CU', 'type': 'string'}, 'Image': {'description': 'ID', 'type': 'string'}, 'ResourceGroupId': {'description': '', 'type': 'string'}}, 'required': ['ResourceGroupId'], 'type': 'object'}, 'Script': {'additionalProperties': False, 'description': '', 'properties': {'Content': {'description': '', 'type': 'string'}, 'Parameters': {'description': '', 'type': 'string'}}, 'type': 'object'}, 'Tags': {'description': '', 'items': {'additionalProperties': False, 'properties': {'Key': {'description': '', 'type': 'string'}, 'Value': {'description': '', 'type': 'string'}}, 'required': ['Key'], 'type': 'object'}, 'type': 'array'}, 'Timeout': {'description': ''}, 'Trigger': {'additionalProperties': False, 'description': '', 'properties': {'Recurrence': {'description': 'type=Scheduler- Pause- Skip- Normal', 'type': 'string'}, 'Type': {'description': '- Scheduler- Manual', 'type': 'string'}}, 'required': ['Recurrence'], 'type': 'object'}, 'Type': {'description': '', 'type': 'string'}}, 'required': ['Name', 'Type', 'Owner', 'RerunMode', 'Trigger', 'RuntimeResource'], 'type': 'object'}, 'type': 'array'}, 'Trigger': {'additionalProperties': False, 'description': '', 'properties': {'Cron': {'description': 'Crontype=Scheduler', 'type': 'string'}, 'EndTime': {'description': 'type=Scheduler`yyyy-mm-ddhh:mm:ss`', 'type': 'string'}, 'StartTime': {'description': 'type=Scheduler`yyyy-mm-ddhh:mm:ss`', 'type': 'string'}, 'Type': {'description': '- Scheduler- Manual', 'type': 'string'}}, 'required': ['Type'], 'type': 'object'}}, 'required': ['Name', 'Owner', 'Trigger'], 'type': 'object'}, description="""\n*ToolMCP ResourceUpdateWorkflow(MCP Resource)Tool"""), # aliyun/DataWorks MCP Server/UpdateWorkflow
    Tool(name="""DataWorks MCP Server_DeleteDataSource""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'Id': {'description': 'ID'}}, 'type': 'object'}, description=""""""), # aliyun/DataWorks MCP Server/DeleteDataSource
    Tool(name="""DataWorks MCP Server_StopWorkflowInstances""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'Comment': {'description': '', 'type': 'string'}, 'Ids': {'description': 'ID', 'type': 'array'}}, 'required': ['Ids'], 'type': 'object'}, description=""""""), # aliyun/DataWorks MCP Server/StopWorkflowInstances
    Tool(name="""DataWorks MCP Server_RenameFunction""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'Id': {'description': 'udf'}, 'Name': {'description': '', 'type': 'string'}, 'ProjectId': {'description': 'DataWorksID'}}, 'required': ['Name'], 'type': 'object'}, description=""""""), # aliyun/DataWorks MCP Server/RenameFunction
    Tool(name="""DataWorks MCP Server_MoveWorkflowDefinition""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'Id': {'description': ''}, 'Path': {'description': 'testroot/demo/testroot/demo', 'type': 'string'}, 'ProjectId': {'description': 'DataWorksID'}}, 'required': ['Path'], 'type': 'object'}, description=""""""), # aliyun/DataWorks MCP Server/MoveWorkflowDefinition
    Tool(name="""DataWorks MCP Server_GetDataQualityRule""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'Id': {'description': 'ID'}}, 'type': 'object'}, description=""""""), # aliyun/DataWorks MCP Server/GetDataQualityRule
    Tool(name="""DataWorks MCP Server_StartDIJob""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'DIJobId': {'description': 'Id'}, 'ForceToRerun': {'description': '--', 'type': 'boolean'}, 'Id': {'description': 'ID'}, 'RealtimeStartSettings': {'additionalProperties': False, 'description': '```{"StartTime":1663765058}```', 'properties': {'FailoverSettings': {'additionalProperties': False, 'description': 'Failover', 'properties': {'Interval': {'description': 'Failover'}, 'UpperLimit': {'description': 'Failover'}}, 'type': 'object'}, 'StartTime': {'description': ''}}, 'type': 'object'}}, 'type': 'object'}, description=""""""), # aliyun/DataWorks MCP Server/StartDIJob
    Tool(name="""DataWorks MCP Server_CreateWorkflowInstances""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'AutoStartEnabled': {'description': 'true', 'type': 'boolean'}, 'Comment': {'description': '', 'type': 'string'}, 'DefaultRunProperties': {'additionalProperties': False, 'description': '', 'properties': {'Alert': {'additionalProperties': False, 'description': '', 'properties': {'NoticeType': {'description': '- Sms- Mail- SmsMail', 'type': 'string'}, 'Type': {'description': '-Success-Failure-SuccessFailure', 'type': 'string'}}, 'type': 'object'}, 'Analysis': {'additionalProperties': False, 'description': 'Type=SupplementData', 'properties': {'Blocked': {'description': 'Type=SupplementData', 'type': 'boolean'}, 'Enabled': {'description': 'Type=SupplementData', 'type': 'boolean'}}, 'type': 'object'}, 'ExcludeProjectIds': {'description': 'ID', 'type': 'array'}, 'ExcludeTaskIds': {'description': 'ID', 'type': 'array'}, 'IncludeProjectIds': {'description': 'ID', 'type': 'array'}, 'IncludeTaskIds': {'description': 'ID', 'type': 'array'}, 'Mode': {'description': 'ManualSelectionType=SupplementData- General`RootTaskIds``IncludeTaskIds``RootTaskIds`- ManualSelection`RootTaskIds``IncludeTaskIds``RootTaskIds`- Chain`RootTaskIds``IncludeTaskIds`id- AllDownstream`RootTaskIds`', 'type': 'string'}, 'Order': {'description': 'Asc- Asc- Desc', 'type': 'string'}, 'Parallelism': {'description': '2~101Type=SupplementData'}, 'RootTaskIds': {'description': 'ID- Type=SupplementDataMode=ChainRootTaskIds- Type=ManualWorkflowRootTaskIds- Type=ManualRootTaskIds- Type=SmokeTestRootTaskIds', 'type': 'array'}, 'RunPolicy': {'additionalProperties': False, 'description': '', 'properties': {'EndTime': {'description': '`hh:mm:ss`24', 'type': 'string'}, 'Immediately': {'description': 'false', 'type': 'boolean'}, 'StartTime': {'description': '`hh:mm:ss`24', 'type': 'string'}, 'Type': {'description': '- Daily- Weekend', 'type': 'string'}}, 'type': 'object'}, 'RuntimeResource': {'description': '', 'type': 'string'}}, 'type': 'object'}, 'EnvType': {'description': '- Prod- Dev', 'type': 'string'}, 'Name': {'description': '', 'type': 'string'}, 'Periods': {'additionalProperties': False, 'description': '', 'properties': {'BizDates': {'description': '7', 'items': {'additionalProperties': False, 'properties': {'EndBizDate': {'description': '`yyyy-mm-dd`', 'type': 'string'}, 'StartBizDate': {'description': '`yyyy-mm-dd`', 'type': 'string'}}, 'required': ['StartBizDate', 'EndBizDate'], 'type': 'object'}, 'type': 'array'}, 'EndTime': {'description': '`hh:mm:ss`2423:59:59StartTimeEndTime', 'type': 'string'}, 'StartTime': {'description': '`hh:mm:ss`2400:00:00StartTimeEndTime', 'type': 'string'}}, 'required': ['BizDates'], 'type': 'object'}, 'ProjectId': {'description': 'ID'}, 'TaskParameters': {'description': 'JSONkeyIDvalueGetTaskTask.Script.Parameter', 'type': 'string'}, 'Type': {'description': '- SupplementDataRootTaskIdsIncludeTaskIdsDefaultRunProperties.Mode- ManualWorkflowWorkflowIdWorkflowIdRootTaskIds- ManualRootTaskIds- SmokeTestRootTaskIds', 'type': 'string'}, 'WorkflowId': {'description': 'IDWorkflowId1'}, 'WorkflowParameters': {'description': 'GetTaskTask.Script.Parameter', 'type': 'string'}}, 'required': ['Name', 'Type'], 'type': 'object'}, description="""\n*ToolMCP ResourceCreateWorkflowInstances(MCP Resource)Tool"""), # aliyun/DataWorks MCP Server/CreateWorkflowInstances
    Tool(name="""DataWorks MCP Server_DeleteWorkflow""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'ClientUniqueCode': {'description': 'ID', 'type': 'string'}, 'EnvType': {'description': '- Prod- Dev', 'type': 'string'}, 'Id': {'description': ''}}, 'type': 'object'}, description=""""""), # aliyun/DataWorks MCP Server/DeleteWorkflow
    Tool(name="""DataWorks MCP Server_RenameNode""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'Id': {'description': ''}, 'Name': {'description': '', 'type': 'string'}, 'ProjectId': {'description': 'DataWorksID'}}, 'required': ['Name'], 'type': 'object'}, description=""""""), # aliyun/DataWorks MCP Server/RenameNode
    Tool(name="""DataWorks MCP Server_CreateResource""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'ProjectId': {'description': 'DataWorksID'}, 'Spec': {'description': 'FlowSpec', 'type': 'string'}}, 'required': ['Spec'], 'type': 'object'}, description=""""""), # aliyun/DataWorks MCP Server/CreateResource
    Tool(name="""DataWorks MCP Server_ListWorkflowDefinitions""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'Owner': {'description': 'IDUIDUID', 'type': 'string'}, 'PageNumber': {'description': ''}, 'PageSize': {'description': '10100'}, 'ProjectId': {'description': 'DataWorksID'}, 'Type': {'description': '- CycleWorkflow- ManualWorkflow', 'type': 'string'}}, 'type': 'object'}, description=""""""), # aliyun/DataWorks MCP Server/ListWorkflowDefinitions
    Tool(name="""DataWorks MCP Server_UpdateDIJob""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'DIJobId': {'description': 'Id'}, 'Description': {'description': '', 'type': 'string'}, 'Id': {'description': 'ID'}, 'JobSettings': {'additionalProperties': False, 'description': 'DDL', 'properties': {'ChannelSettings': {'description': 'Holo2HoloHolo2Kafka 1. Holo2Kafka - {"destinationChannelSettings":{"kafkaClientProperties":[{"key":"linger.ms","value":"100"}],"keyColumns":["col3"],"writeMode":"canal"}}- kafkaClientPropertieskafka producerkafka- keyColumns kafka- writeModejson/canal 2. Holo2Holo    -  {"destinationChannelSettings":{"conflictMode":"replace","dynamicColumnAction":"replay","writeMode":"replay"}}- conflictMode: holoreplace-ignore-- writeMode: holoreplay-insert-- dynamicColumnActionholo replay-insert-ignore-', 'type': 'string'}, 'ColumnDataTypeSettings': {'description': '>"ColumnDataTypeSettings":[{"SourceDataType":"Bigint","DestinationDataType":"Text"}]', 'items': {'additionalProperties': False, 'properties': {'DestinationDataType': {'description': 'bigintbooleanstringtextdatetimetimestampdecimalbinary', 'type': 'string'}, 'SourceDataType': {'description': 'bigintbooleanstringtextdatetimetimestampdecimalbinary', 'type': 'string'}}, 'type': 'object'}, 'type': 'array'}, 'CycleScheduleSettings': {'additionalProperties': False, 'description': '', 'properties': {'ScheduleParameters': {'description': '', 'type': 'string'}}, 'type': 'object'}, 'DdlHandlingSettings': {'description': 'DDL>"DDLHandlingSettings":[{"Type":"Insert","Action":"Normal"}]', 'items': {'additionalProperties': False, 'properties': {'Action': {'description': '- Ignore- Critical- Normal', 'type': 'string'}, 'Type': {'description': 'DDL;-RenameColumn()-ModifyColumn()-CreateTable()-TruncateTable()-DropTable()-DropColumn()-AddColumn()', 'type': 'string'}}, 'type': 'object'}, 'type': 'array'}, 'RuntimeSettings': {'description': '', 'items': {'additionalProperties': False, 'properties': {'Name': {'description': '- src.offline.datasource.max.connection- dst.offline.truncate (- runtime.offline.speed.limit.enable- runtime.offline.concurrent- runtime.enable.auto.create.schemaschema- runtime.realtime.concurrent- runtime.realtime.failover.minute.dataxcdc (failover)- runtime.realtime.failover.times.dataxcdc  (failover', 'type': 'string'}, 'Value': {'description': '', 'type': 'string'}}, 'type': 'object'}, 'type': 'array'}}, 'type': 'object'}, 'ProjectId': {'description': 'DataWorksID'}, 'ResourceSettings': {'additionalProperties': False, 'description': '', 'properties': {'OfflineResourceSettings': {'additionalProperties': False, 'description': '', 'properties': {'RequestedCu': {'description': 'cu'}, 'ResourceGroupIdentifier': {'description': '', 'type': 'string'}}, 'type': 'object'}, 'RealtimeResourceSettings': {'additionalProperties': False, 'description': '', 'properties': {'RequestedCu': {'description': 'cu'}, 'ResourceGroupIdentifier': {'description': '', 'type': 'string'}}, 'type': 'object'}, 'ScheduleResourceSettings': {'additionalProperties': False, 'description': '', 'properties': {'RequestedCu': {'description': 'cu'}, 'ResourceGroupIdentifier': {'description': '', 'type': 'string'}}, 'type': 'object'}}, 'type': 'object'}, 'TableMappings': {'description': '>[{"SourceObjectSelectionRules":[{"ObjectType":"Database","Action":"Include","ExpressionType":"Exact","Expression":"biz_db"},{"ObjectType":"Schema","Action":"Include","ExpressionType":"Exact","Expression":"s1"},{"ObjectType":"Table","Action":"Include","ExpressionType":"Exact","Expression":"table1"}],"TransformationRuleNames":[{"RuleName":"my_database_rename_rule","RuleActionType":"Rename","RuleTargetType":"Schema"\t\t}]}]', 'items': {'additionalProperties': False, 'properties': {'SourceObjectSelectionRules': {'description': '', 'items': {'additionalProperties': False, 'properties': {'Action': {'description': 'Include/Exclude', 'type': 'string'}, 'Expression': {'description': '', 'type': 'string'}, 'ExpressionType': {'description': 'Exact/Regex', 'type': 'string'}, 'ObjectType': {'description': '- Table- Schemaschema- Database', 'type': 'string'}}, 'type': 'object'}, 'type': 'array'}, 'TransformationRules': {'description': '', 'items': {'additionalProperties': False, 'properties': {'RuleActionType': {'description': '- DefinePrimaryKey- Rename- AddColumn- HandleDmlDML', 'type': 'string'}, 'RuleName': {'description': '+', 'type': 'string'}, 'RuleTargetType': {'description': '- Table- Schemaschema- Database', 'type': 'string'}}, 'type': 'object'}, 'type': 'array'}}, 'type': 'object'}, 'type': 'array'}, 'TransformationRules': {'description': '>[{"RuleName":"my_database_rename_rule","RuleActionType":"Rename","RuleTargetType":"Schema","RuleExpression":"{\\"expression\\":\\"${srcDatasoureName}_${srcDatabaseName}\\"}"}]', 'items': {'additionalProperties': False, 'properties': {'RuleActionType': {'description': '- DefinePrimaryKey- Rename- AddColumn- HandleDmlDML- DefineIncrementalCondition- DefineCycleScheduleSettings- DefinePartitionKey', 'type': 'string'}, 'RuleExpression': {'description': 'json string1. Rename - {"expression":"${srcDatasourceName}_${srcDatabaseName}_0922" }  - expression${srcDatasourceName}${srcDatabaseName}${srcTableName}2. AddColumn) - {"columns":[{"columnName":"my_add_column","columnValueType":"Constant","columnValue":"123"}]}- - columnName- columnValueTypeConstantVariable- columnValuecolumnValueType=ConstantvalueStringcolumnValueType=VariablevalueEXECUTE_TIMELongDB_NAME_SRCStringDATASOURCE_NAME_SRCStringTABLE_NAME_SRCStringDB_NAME_DESTStringDATASOURCE_NAME_DESTStringTABLE_NAME_DESTStringDB_NAME_SRC_TRANSEDString3. DefinePrimaryKey- {"columns":\\["ukcolumn1","ukcolumn2"\\]}- - - 4. DMLHandleDml- {"dmlPolicies":\\[{"dmlType":"Delete","dmlAction":"Filter","filterCondition":"id > 1"}\\]}- InsertUpdateDeleteNormal- dmlTypeDMLInsertUpdateDelete- dmlActionDMLNormalIgnoreFilterdmlType=Update/DeleteLogicalDelete- filterConditionDMLdmlAction=Filter5. DefineIncrementalCondition- {"where":"id > 0"} - 6. DefineCycleScheduleSettings- {"cronExpress":" * * * * * *", "cycleType":"1"}- 7. DefinePartitionKey- {"columns":["id"]} - ', 'type': 'string'}, 'RuleName': {'description': '', 'type': 'string'}, 'RuleTargetType': {'description': '- Table- Schemaschema- Database', 'type': 'string'}}, 'type': 'object'}, 'type': 'array'}}, 'type': 'object'}, description="""\n*ToolMCP ResourceUpdateDIJob(MCP Resource)Tool"""), # aliyun/DataWorks MCP Server/UpdateDIJob
    Tool(name="""DataWorks MCP Server_ExecuteAdhocWorkflowInstance""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'BizDate': {'description': ''}, 'EnvType': {'description': '- Prod- Dev', 'type': 'string'}, 'Name': {'description': '', 'type': 'string'}, 'Owner': {'description': 'ID', 'type': 'string'}, 'ProjectId': {'description': 'ID'}, 'Tasks': {'description': '', 'items': {'additionalProperties': False, 'properties': {'ClientUniqueCode': {'description': '', 'type': 'string'}, 'DataSource': {'additionalProperties': False, 'description': '', 'properties': {'Name': {'description': '', 'type': 'string'}}, 'type': 'object'}, 'Dependencies': {'description': '', 'items': {'additionalProperties': False, 'properties': {'UpstreamOutput': {'description': '', 'type': 'string'}}, 'type': 'object'}, 'type': 'array'}, 'Inputs': {'additionalProperties': False, 'description': '', 'properties': {'Variables': {'description': '', 'items': {'additionalProperties': False, 'properties': {'Name': {'description': '', 'type': 'string'}, 'Value': {'description': '`Output:`', 'type': 'string'}}, 'type': 'object'}, 'type': 'array'}}, 'type': 'object'}, 'Name': {'description': '', 'type': 'string'}, 'Outputs': {'additionalProperties': False, 'description': '', 'properties': {'TaskOutputs': {'description': '', 'items': {'additionalProperties': False, 'properties': {'Output': {'description': '', 'type': 'string'}}, 'type': 'object'}, 'type': 'array'}, 'Variables': {'description': '', 'items': {'additionalProperties': False, 'properties': {'Name': {'description': '', 'type': 'string'}, 'Type': {'description': '-System-Constant-NodeOutput-PassThrough', 'type': 'string'}, 'Value': {'description': '', 'type': 'string'}}, 'type': 'object'}, 'type': 'array'}}, 'type': 'object'}, 'Owner': {'description': 'ID', 'type': 'string'}, 'RuntimeResource': {'additionalProperties': False, 'description': '', 'properties': {'Cu': {'description': 'CU', 'type': 'string'}, 'Image': {'description': 'ID', 'type': 'string'}, 'ResourceGroupId': {'description': '', 'type': 'string'}}, 'required': ['ResourceGroupId'], 'type': 'object'}, 'Script': {'additionalProperties': False, 'description': '', 'properties': {'Content': {'description': '', 'type': 'string'}, 'Parameters': {'description': '', 'type': 'string'}}, 'type': 'object'}, 'Timeout': {'description': ''}, 'Type': {'description': '', 'type': 'string'}}, 'required': ['Name', 'Type', 'Owner', 'RuntimeResource', 'ClientUniqueCode'], 'type': 'object'}, 'type': 'array'}}, 'required': ['Name', 'Owner', 'Tasks'], 'type': 'object'}, description="""\n*ToolMCP ResourceExecuteAdhocWorkflowInstance(MCP Resource)Tool"""), # aliyun/DataWorks MCP Server/ExecuteAdhocWorkflowInstance
    Tool(name="""DataWorks MCP Server_ListDataAssetTags""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'Category': {'description': '-Normal-System', 'type': 'string'}, 'Key': {'description': '', 'type': 'string'}, 'PageNumber': {'description': '11'}, 'PageSize': {'description': '10100'}}, 'type': 'object'}, description=""""""), # aliyun/DataWorks MCP Server/ListDataAssetTags
    Tool(name="""DataWorks MCP Server_ListDataQualityRuleTemplates""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'CreationSource': {'description': '- System- UserDefined', 'type': 'string'}, 'DirectoryPath': {'description': '/1024', 'type': 'string'}, 'Name': {'description': '', 'type': 'string'}, 'PageNumber': {'description': '10'}, 'PageSize': {'description': '1'}, 'ProjectId': {'description': 'DataWorksID'}}, 'required': ['CreationSource'], 'type': 'object'}, description=""""""), # aliyun/DataWorks MCP Server/ListDataQualityRuleTemplates
    Tool(name="""DataWorks MCP Server_GetWorkflowInstance""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'Id': {'description': ''}}, 'type': 'object'}, description=""""""), # aliyun/DataWorks MCP Server/GetWorkflowInstance
    Tool(name="""DataWorks MCP Server_AttachDataQualityRulesToEvaluationTask""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'DataQualityEvaluationTaskId': {'description': 'ID'}, 'DataQualityRuleIds': {'description': 'ID', 'type': 'array'}, 'ProjectId': {'description': 'DataWorksID'}}, 'required': ['DataQualityRuleIds'], 'type': 'object'}, description=""""""), # aliyun/DataWorks MCP Server/AttachDataQualityRulesToEvaluationTask
    Tool(name="""DataWorks MCP Server_GetCreateWorkflowInstancesResult""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'OperationId': {'description': 'IDCreateWorkflowInstances', 'type': 'string'}}, 'required': ['OperationId'], 'type': 'object'}, description=""""""), # aliyun/DataWorks MCP Server/GetCreateWorkflowInstancesResult
    Tool(name="""DataWorks MCP Server_UpdateNode""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'Id': {'description': ''}, 'ProjectId': {'description': 'DataWorksID'}, 'Spec': {'description': '{    "title": "CycleWorkflow Schema",    "description": "JSON Schema",    "type": "object",    "required": [        "version",        "kind",        "spec"    ],    "properties": {        "version": {            "type": "string",            "const": "1.1.0",            "description": "Schema1.1.0"        },        "kind": {            "type": "string",            "enum": [                "Workflow",                "Node"            ],            "description": ""        },        "spec": {            "type": "object",            "description": "",            "required": [                "nodes"            ],            "properties": {                "nodes": {                    "type": "array",                    "description": "",                    "items": {                        "type": "object",                        "required": [                            "name",                            "script"                        ],                        "properties": {                            "recurrence": {                                "type": "string",                                "enum": [                                    "Normal",                                    "Pause",                                    "Skip",                                    "NoneAuto"                                ],                                "description": "Normal-, Pause-, Skip-, NoneAuto-"                            },                            "id": {                                "type": "string",                                "description": ""                            },                            "timeout": {                                "type": "integer",                                "minimum": 0,                                "description": ""                            },                            "instanceMode": {                                "type": "string",                                "enum": [                                    "T+1",                                    "Immediately"                                ],                                "description": "T+1-, Immediately-"                            },                            "rerunMode": {                                "type": "string",                                "enum": [                                    "Allowed",                                    "Denied",                                    "FailureAllowed"                                ],                                "description": "Allowed-, Denied-, FailureAllowed-"                            },                            "rerunTimes": {                                "type": "integer",                                "minimum": 0,                                "description": ""                            },                            "rerunInterval": {                                "type": "integer",                                "minimum": 0,                                "description": ""                            },                            "datasource": {                                "type": "object",                                "description": "",                                "required": [                                    "name",                                    "type"                                ],                                "properties": {                                    "name": {                                        "type": "string",                                        "description": ""                                    },                                    "type": {                                        "type": "string",                                        "enum": [                                            "odps"                                        ],                                        "description": "odps"                                    }                                }                            },                            "script": {                                "type": "object",                                "description": "",                                "required": [                                    "path",                                    "runtime"                                ],                                "properties": {                                    "language": {                                        "type": "string",                                        "description": ""                                    },                                    "path": {                                        "type": "string",                                        "description": ""                                    },                                    "runtime": {                                        "type": "object",                                        "description": "",                                        "required": [                                            "command"                                        ],                                        "properties": {                                            "command": {                                                "type": "string",                                                "enum": [                                                    "ODPS_SQL"                                                ],                                                "description": ""                                            },                                            "cu": {                                                "type": "string",                                                "description": ""                                            }                                        }                                    }                                }                            },                            "trigger": {                                "type": "object",                                "description": "",                                "required": [                                    "type"                                ],                                "properties": {                                    "type": {                                        "type": "string",                                        "enum": [                                            "Scheduler",                                            "Manual",                                            "Streaming",                                            "None"                                        ],                                        "description": "Scheduler-, Manual-, Streaming-, None-"                                    },                                    "cron": {                                        "type": "string",                                        "description": "CronScheduler"                                    },                                    "startTime": {                                        "type": "string",                                        "format": "yyyy-MM-dd hh:mm:ss",                                        "description": ""                                    },                                    "endTime": {                                        "type": "string",                                        "format": "yyyy-MM-dd hh:mm:ss",                                        "description": ""                                    }                                }                            },                            "runtimeResource": {                                "type": "object",                                "description": "",                                "required": [                                    "resourceGroup"                                ],                                "properties": {                                    "resourceGroup": {                                        "type": "string",                                        "description": ""                                    }                                }                            },                            "name": {                                "type": "string",                                "description": ""                            },                            "owner": {                                "type": "string",                                "description": ""                            },                            "inputs": {                                "type": "object",                                "description": "",                                "properties": {                                    "nodeOutputs": {                                        "type": "array",                                        "description": "",                                        "items": {                                            "type": "object",                                            "required": [                                                "data"                                            ],                                            "properties": {                                                "data": {                                                    "type": "string",                                                    "description": ""                                                },                                                "refTableName": {                                                    "type": "string",                                                    "description": "artifactTypeTable"                                                },                                                "isDefault": {                                                    "type": "boolean",                                                    "description": ""                                                }                                            }                                        }                                    }                                }                            },                            "outputs": {                                "type": "object",                                "description": "",                                "properties": {                                    "nodeOutputs": {                                        "type": "array",                                        "description": "",                                        "items": {                                            "type": "object",                                            "required": [                                                "data"                                            ],                                            "properties": {                                                "data": {                                                    "type": "string",                                                    "description": ""                                                },                                                "refTableName": {                                                    "type": "string",                                                    "description": "artifactTypeTable"                                                },                                                "isDefault": {                                                    "type": "boolean",                                                    "description": ""                                                }                                            }                                        }                                    }                                }                            }                        }                    }                }            }        }    }}', 'type': 'string'}}, 'required': ['Spec'], 'type': 'object'}, description=""""""), # aliyun/DataWorks MCP Server/UpdateNode
    Tool(name="""DataWorks MCP Server_UpdateResource""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'Id': {'description': ''}, 'ProjectId': {'description': 'DataWorksID'}, 'Spec': {'description': 'FlowSpec', 'type': 'string'}}, 'required': ['Spec'], 'type': 'object'}, description=""""""), # aliyun/DataWorks MCP Server/UpdateResource
    Tool(name="""DataWorks MCP Server_GetAlertRule""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'Id': {'description': 'ID', 'type': 'string'}}, 'type': 'object'}, description=""""""), # aliyun/DataWorks MCP Server/GetAlertRule
    Tool(name="""DataWorks MCP Server_ListRoutes""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'NetworkId': {'description': 'ID'}, 'PageNumber': {'description': ''}, 'PageSize': {'description': ''}, 'ResourceGroupId': {'description': '', 'type': 'string'}, 'SortBy': {'description': '"+(Desc/Asc)"Asc- Id (Desc/Asc)ID- DestinationCidr (Desc/Asc)CIDR- CreateTime (Desc/Asc)CreateTime Asc', 'type': 'string'}}, 'required': ['ResourceGroupId'], 'type': 'object'}, description=""""""), # aliyun/DataWorks MCP Server/ListRoutes
    Tool(name="""DataWorks MCP Server_GetDataQualityEvaluationTaskInstance""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'Id': {'description': 'ID'}}, 'type': 'object'}, description=""""""), # aliyun/DataWorks MCP Server/GetDataQualityEvaluationTaskInstance
    Tool(name="""DataWorks MCP Server_StopDIJob""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'DIJobId': {'description': 'Id'}, 'Id': {'description': 'ID'}, 'InstanceId': {'description': 'ID'}}, 'type': 'object'}, description=""""""), # aliyun/DataWorks MCP Server/StopDIJob
    Tool(name="""DataWorks MCP Server_ListDataQualityEvaluationTasks""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'Name': {'description': '', 'type': 'string'}, 'PageNumber': {'description': '1'}, 'PageSize': {'description': '10'}, 'ProjectId': {'description': 'DataWorksID'}, 'TableGuid': {'description': 'ID', 'type': 'string'}}, 'type': 'object'}, description=""""""), # aliyun/DataWorks MCP Server/ListDataQualityEvaluationTasks
    Tool(name="""DataWorks MCP Server_ListTaskOperationLogs""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'Date': {'description': '31'}, 'Id': {'description': 'ID'}, 'PageNumber': {'description': '11'}, 'PageSize': {'description': '10'}, 'ProjectEnv': {'description': '- Prod- Dev', 'type': 'string'}}, 'type': 'object'}, description=""""""), # aliyun/DataWorks MCP Server/ListTaskOperationLogs
    Tool(name="""DataWorks MCP Server_ListProjectMembers""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'PageNumber': {'description': ''}, 'PageSize': {'description': '10100'}, 'ProjectId': {'description': 'DataWorksID'}, 'RoleCodes': {'description': 'Code', 'items': {'type': 'string'}, 'type': 'array'}, 'UserIds': {'description': 'DataworksID', 'items': {'type': 'string'}, 'type': 'array'}}, 'type': 'object'}, description=""""""), # aliyun/DataWorks MCP Server/ListProjectMembers
    Tool(name="""DataWorks MCP Server_ListDownstreamTaskInstances""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'Id': {'description': 'ID'}, 'PageNumber': {'description': '11'}, 'PageSize': {'description': '10'}}, 'type': 'object'}, description=""""""), # aliyun/DataWorks MCP Server/ListDownstreamTaskInstances
    Tool(name="""DataWorks MCP Server_GetRoute""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'Id': {'description': 'ID'}}, 'type': 'object'}, description="""ID"""), # aliyun/DataWorks MCP Server/GetRoute
    Tool(name="""DataWorks MCP Server_UpdateDataSource""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'ConnectionProperties': {'description': 'EnvType-Dev-ProdConnectionPropertiesMode[ConnectionProperties](~~2852465~~)', 'type': 'string'}, 'ConnectionPropertiesMode': {'description': 'type- InstanceMode- UrlMode', 'type': 'string'}, 'Description': {'description': '3000', 'type': 'string'}, 'Id': {'description': 'ID'}, 'ProjectId': {'description': 'DataWorksID'}}, 'required': ['ConnectionProperties'], 'type': 'object'}, description=""""""), # aliyun/DataWorks MCP Server/UpdateDataSource
    Tool(name="""DataWorks MCP Server_UpdateDIAlarmRule""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'DIAlarmRuleId': {'description': 'Id'}, 'DIJobId': {'description': 'ID'}, 'Description': {'description': '', 'type': 'string'}, 'Enabled': {'description': '', 'type': 'boolean'}, 'Id': {'description': 'ID'}, 'MetricType': {'description': '- Heartbeat- FailoverCountfailover- Delay- DdlReport: DDL- ResourceUtilization ', 'type': 'string'}, 'Name': {'description': '', 'type': 'string'}, 'NotificationSettings': {'additionalProperties': False, 'description': '', 'properties': {'InhibitionInterval': {'description': 'MuteInterval'}, 'MuteInterval': {'description': '5'}, 'NotificationChannels': {'description': '', 'items': {'additionalProperties': False, 'properties': {'Channels': {'description': '- Mail- Phone- Sms- Ding', 'items': {'type': 'string'}, 'type': 'array'}, 'Severity': {'description': '- Warning- Critical', 'type': 'string'}}, 'type': 'object'}, 'type': 'array'}, 'NotificationReceivers': {'description': '', 'items': {'additionalProperties': False, 'properties': {'ReceiverType': {'description': 'AliyunUid/DingToken/FeishuToken/WebHookUrl', 'type': 'string'}, 'ReceiverValues': {'description': '-IDID-tokentoken', 'items': {'type': 'string'}, 'type': 'array'}}, 'type': 'object'}, 'type': 'array'}}, 'type': 'object'}, 'TriggerConditions': {'description': '', 'items': {'additionalProperties': False, 'properties': {'DdlReportTags': {'description': 'DdlTypes', 'items': {'type': 'string'}, 'type': 'array'}, 'DdlTypes': {'description': 'DDLDDL', 'items': {'type': 'string'}, 'type': 'array'}, 'Duration': {'description': ''}, 'Severity': {'description': ';-Warning-Critical', 'type': 'string'}, 'Threshold': {'description': '- - failoverfailover- '}}, 'type': 'object'}, 'type': 'array'}}, 'type': 'object'}, description="""\n*ToolMCP ResourceUpdateDIAlarmRule(MCP Resource)Tool"""), # aliyun/DataWorks MCP Server/UpdateDIAlarmRule
    Tool(name="""DataWorks MCP Server_GetJobStatus""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'JobId': {'description': 'APIID', 'type': 'string'}}, 'required': ['JobId'], 'type': 'object'}, description="""API"""), # aliyun/DataWorks MCP Server/GetJobStatus
    Tool(name="""DataWorks MCP Server_SetSuccessTaskInstances""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'Comment': {'description': '', 'type': 'string'}, 'Ids': {'description': 'ID', 'type': 'array'}}, 'type': 'object'}, description=""""""), # aliyun/DataWorks MCP Server/SetSuccessTaskInstances
    Tool(name="""DataWorks MCP Server_ListDataAssets""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'DataAssetIds': {'description': 'id', 'items': {'type': 'string'}, 'type': 'array'}, 'DataAssetType': {'description': '-ACS::DataWorks::Table-ACS::DataWorks::Task', 'type': 'string'}, 'EnvType': {'description': '-Dev-Prod', 'type': 'string'}, 'PageNumber': {'description': '11'}, 'PageSize': {'description': '10100'}, 'ProjectId': {'description': 'ID'}, 'Tags': {'description': '- `["key1:v1", "key2:v1", "key3:v1"]`- tag', 'items': {'additionalProperties': False, 'properties': {'Key': {'description': '64`dw:``-@#*<>|[]()+=&%$!~`', 'type': 'string'}, 'Value': {'description': '', 'type': 'string'}}, 'required': ['Key'], 'type': 'object'}, 'type': 'array'}}, 'required': ['Tags'], 'type': 'object'}, description=""""""), # aliyun/DataWorks MCP Server/ListDataAssets
    Tool(name="""DataWorks MCP Server_GetDataQualityRuleTemplate""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'Code': {'description': 'Code', 'type': 'string'}}, 'required': ['Code'], 'type': 'object'}, description=""""""), # aliyun/DataWorks MCP Server/GetDataQualityRuleTemplate
    Tool(name="""DataWorks MCP Server_DeleteFunction""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'Id': {'description': 'UDF'}, 'ProjectId': {'description': 'DataWorksID'}}, 'type': 'object'}, description=""""""), # aliyun/DataWorks MCP Server/DeleteFunction
    Tool(name="""DataWorks MCP Server_ListProjects""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'AliyunResourceGroupId': {'description': 'ID', 'type': 'string'}, 'AliyunResourceTags': {'description': '', 'items': {'additionalProperties': False, 'properties': {'Key': {'description': '', 'type': 'string'}, 'Value': {'description': '', 'type': 'string'}}, 'type': 'object'}, 'type': 'array'}, 'DevEnvironmentEnabled': {'description': '- true - false /', 'type': 'boolean'}, 'DevRoleDisabled': {'description': '- false- true/', 'type': 'boolean'}, 'Ids': {'description': 'DataWorksIDID', 'type': 'array'}, 'Names': {'description': 'DataWorksName', 'items': {'type': 'string'}, 'type': 'array'}, 'PageNumber': {'description': ''}, 'PageSize': {'description': '10100'}, 'PaiTaskEnabled': {'description': 'PAI- true DataWorksPAI- false PAI/PAI', 'type': 'boolean'}, 'Status': {'description': '- Available- Initializing- InitFailed- Forbidden- Deleting- DeleteFailed- Frozen- Updating- UpdateFailed', 'type': 'string'}}, 'type': 'object'}, description=""""""), # aliyun/DataWorks MCP Server/ListProjects
    Tool(name="""DataWorks MCP Server_CloneDataSource""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'CloneDataSourceName': {'description': '60', 'type': 'string'}, 'Id': {'description': 'ID'}}, 'required': ['CloneDataSourceName'], 'type': 'object'}, description=""""""), # aliyun/DataWorks MCP Server/CloneDataSource
    Tool(name="""DataWorks MCP Server_StartWorkflowInstances""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'Comment': {'description': '', 'type': 'string'}, 'Ids': {'description': 'ID', 'type': 'array'}}, 'required': ['Ids'], 'type': 'object'}, description=""""""), # aliyun/DataWorks MCP Server/StartWorkflowInstances
    Tool(name="""DataWorks MCP Server_TriggerSchedulerTaskInstance""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'EnvType': {'description': '-Prod()-Dev()', 'type': 'string'}, 'TaskId': {'description': 'ID'}, 'TriggerTime': {'description': ''}}, 'type': 'object'}, description=""""""), # aliyun/DataWorks MCP Server/TriggerSchedulerTaskInstance
    Tool(name="""DataWorks MCP Server_GetProject""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'Id': {'description': 'DataWorksID'}}, 'type': 'object'}, description=""""""), # aliyun/DataWorks MCP Server/GetProject
    Tool(name="""DataWorks MCP Server_CreateAlertRule""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'Enabled': {'description': '', 'type': 'boolean'}, 'Name': {'description': '', 'type': 'string'}, 'Notification': {'additionalProperties': False, 'description': '', 'properties': {'Channels': {'description': '', 'items': {'type': 'string'}, 'type': 'array'}, 'IntervalInMinutes': {'description': '[5,10000]'}, 'Maximum': {'description': '[1,10000]'}, 'Receivers': {'description': '', 'items': {'additionalProperties': False, 'properties': {'Extension': {'description': 'ReceiverTypeDingdingUrl{"atAll":true}@', 'type': 'string'}, 'ReceiverType': {'description': '- AliUid: UID- ShiftSchedule: - TaskOwner: - Owner: - WebhookUrl: webhookUrl- DingdingUrl: webhookUrl- FeishuUrl: webhookUrl- WeixinUrl: webhookUrl', 'type': 'string'}, 'ReceiverValues': {'description': '', 'items': {'type': 'string'}, 'type': 'array'}}, 'type': 'object'}, 'type': 'array'}, 'SilenceEndTime': {'description': 'HH:mm', 'type': 'string'}, 'SilenceStartTime': {'description': 'HH:mm', 'type': 'string'}}, 'required': ['Channels', 'Receivers'], 'type': 'object'}, 'Owner': {'description': 'UID', 'type': 'string'}, 'TriggerCondition': {'additionalProperties': False, 'description': '', 'properties': {'Extension': {'additionalProperties': False, 'description': '', 'properties': {'CycleUnfinished': {'additionalProperties': False, 'description': '', 'properties': {'CycleAndTime': {'description': '', 'items': {'additionalProperties': False, 'properties': {'CycleId': {'description': 'ID[1,288]'}, 'Time': {'description': 'hh:mmhh[0,47]mm[0,59]', 'type': 'string'}}, 'type': 'object'}, 'type': 'array'}}, 'type': 'object'}, 'Error': {'additionalProperties': False, 'description': '', 'properties': {'AutoRerunAlertEnabled': {'description': '', 'type': 'boolean'}, 'StreamTaskIds': {'description': 'ID', 'type': 'array'}}, 'type': 'object'}, 'InstanceErrorCount': {'additionalProperties': False, 'description': '', 'properties': {'Count': {'description': '[1,10000]'}}, 'type': 'object'}, 'InstanceErrorPercentage': {'additionalProperties': False, 'description': '', 'properties': {'Percentage': {'description': '[1-100]'}}, 'type': 'object'}, 'InstanceTransferFluctuate': {'additionalProperties': False, 'description': '', 'properties': {'Percentage': {'description': '[1-100]'}, 'Trend': {'description': '- abs: - increase: - decrease: ', 'type': 'string'}}, 'type': 'object'}, 'Timeout': {'additionalProperties': False, 'description': '', 'properties': {'TimeoutInMinutes': {'description': '[1,21600]'}}, 'type': 'object'}, 'UnFinished': {'additionalProperties': False, 'description': '', 'properties': {'UnFinishedTime': {'description': 'hh:mmhh[0,47]mm[0,59]', 'type': 'string'}}, 'type': 'object'}}, 'type': 'object'}, 'Target': {'additionalProperties': False, 'description': '', 'properties': {'AllowTasks': {'description': '', 'type': 'array'}, 'Ids': {'description': 'ID', 'type': 'array'}, 'Type': {'description': '- Task: - Baseline: - Project: - BizProcess - ', 'type': 'string'}}, 'type': 'object'}, 'Type': {'description': '- Finished: - UnFinished: - Error: - CycleUnfinished: - Timeout: - InstanceTransferComplete: - InstanceTransferFluctuate: - ExhaustedError: - InstanceKeyword: - InstanceErrorCount: - InstanceErrorPercentage: - ResourceGroupPercentage: - ResourceGroupWaitCount: ', 'type': 'string'}}, 'type': 'object'}}, 'required': ['Name', 'Owner', 'Enabled', 'TriggerCondition'], 'type': 'object'}, description="""\n*ToolMCP ResourceCreateAlertRule(MCP Resource)Tool"""), # aliyun/DataWorks MCP Server/CreateAlertRule
    Tool(name="""DataWorks MCP Server_GetDeployment""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'Id': {'description': '', 'type': 'string'}, 'ProjectId': {'description': 'DataWorksID'}}, 'required': ['Id'], 'type': 'object'}, description=""""""), # aliyun/DataWorks MCP Server/GetDeployment
    Tool(name="""DataWorks MCP Server_GetNode""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'Id': {'description': ''}, 'ProjectId': {'description': 'DataWorksID'}}, 'type': 'object'}, description=""""""), # aliyun/DataWorks MCP Server/GetNode
    Tool(name="""DataWorks MCP Server_GetDataSource""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'Id': {'description': 'ID'}}, 'type': 'object'}, description=""""""), # aliyun/DataWorks MCP Server/GetDataSource
    Tool(name="""DataWorks MCP Server_DeleteTask""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'Id': {'description': 'ID'}, 'ProjectEnv': {'description': '', 'type': 'string'}}, 'type': 'object'}, description=""""""), # aliyun/DataWorks MCP Server/DeleteTask
    Tool(name="""DataWorks MCP Server_DeleteDIJob""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'DIJobId': {'description': 'Id'}, 'Id': {'description': 'ID'}, 'ProjectId': {'description': 'DataWorksID'}}, 'type': 'object'}, description=""""""), # aliyun/DataWorks MCP Server/DeleteDIJob
    Tool(name="""DataWorks MCP Server_GetResource""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'Id': {'description': ''}, 'ProjectId': {'description': 'DataWorksID'}}, 'type': 'object'}, description=""""""), # aliyun/DataWorks MCP Server/GetResource
    Tool(name="""DataWorks MCP Server_CreateProjectMember""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'ProjectId': {'description': 'DataWorksID'}, 'RoleCodes': {'description': 'Code', 'items': {'type': 'string'}, 'type': 'array'}, 'UserId': {'description': 'DataworksID', 'type': 'string'}}, 'required': ['UserId', 'RoleCodes'], 'type': 'object'}, description=""""""), # aliyun/DataWorks MCP Server/CreateProjectMember
    Tool(name="""DataWorks MCP Server_CreateDataQualityEvaluationTask""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'DataQualityRules': {'description': 'DataQualityRule.IdId', 'items': {'additionalProperties': False, 'properties': {'CheckingConfig': {'additionalProperties': False, 'description': '', 'properties': {'ReferencedSamplesFilter': {'description': '', 'type': 'string'}, 'Thresholds': {'additionalProperties': False, 'description': '', 'properties': {'Critical': {'additionalProperties': False, 'description': '', 'properties': {'Expression': {'description': '- 0.01 $checkValue > 0.01 - 0.01$checkValue < -0.01 - abs($checkValue) > 0.01OperatorValue', 'type': 'string'}, 'Operator': {'description': '-\\>-\\>=-<-<=-!=-=', 'type': 'string'}, 'Value': {'description': '', 'type': 'string'}}, 'type': 'object'}, 'Expected': {'additionalProperties': False, 'description': '', 'properties': {'Expression': {'description': '- 0.01 $checkValue > 0.01 - 0.01$checkValue < -0.01 - abs($checkValue) > 0.01OperatorValue', 'type': 'string'}, 'Operator': {'description': '-\\>-\\>=-<-<=-!=-=', 'type': 'string'}, 'Value': {'description': '', 'type': 'string'}}, 'type': 'object'}, 'Warned': {'additionalProperties': False, 'description': '', 'properties': {'Expression': {'description': '- 0.01 $checkValue > 0.01 - 0.01$checkValue < -0.01 - abs($checkValue) > 0.01OperatorValue', 'type': 'string'}, 'Operator': {'description': '-\\>-\\>=-<-<=-!=-=', 'type': 'string'}, 'Value': {'description': '', 'type': 'string'}}, 'type': 'object'}}, 'type': 'object'}, 'Type': {'description': '-Fixed-Fluctation-FluctationDiscreate-Auto-Average', 'type': 'string'}}, 'type': 'object'}, 'Description': {'description': '', 'type': 'string'}, 'Enabled': {'description': '', 'type': 'boolean'}, 'ErrorHandlers': {'description': '', 'items': {'additionalProperties': False, 'properties': {'ErrorDataFilter': {'description': 'SQLSQL', 'type': 'string'}, 'Type': {'description': '- SaveErrorData', 'type': 'string'}}, 'type': 'object'}, 'type': 'array'}, 'Id': {'description': 'ID'}, 'Name': {'description': '', 'type': 'string'}, 'SamplingConfig': {'additionalProperties': False, 'description': '', 'properties': {'Metric': {'description': '- Count- Min- Max- Avg- DistinctCount- DistinctPercent- DuplicatedCount- DuplicatedPercent- TableSize- NullValueCount- NullValuePercent- GroupCount- CountNotIn- CountDistinctNotIn- UserDefinedSqlSQL', 'type': 'string'}, 'MetricParameters': {'description': '', 'type': 'string'}, 'SamplingFilter': {'description': '16777215', 'type': 'string'}, 'SettingConfig': {'description': '1000MaxCompute', 'type': 'string'}}, 'type': 'object'}, 'Severity': {'description': '- Normal- High', 'type': 'string'}, 'TemplateCode': {'description': '', 'type': 'string'}}, 'type': 'object'}, 'type': 'array'}, 'DataSourceId': {'description': 'ID'}, 'Description': {'description': '', 'type': 'string'}, 'Hooks': {'description': '', 'items': {'additionalProperties': False, 'properties': {'Condition': {'description': 'Hookhook1. `${severity} == "High" AND ${status} == "Critical"`severityHighCritical2. `(${severity} == "High" AND ${status} == "Critical") OR (${severity} == "Normal" AND ${status} == "Critical") OR (${severity} == "Normal" AND ${status} == "Error")`severityHighCriticalseverityNormalCriticalseverityNormalErrorseverityDataQualityRuleseveritystatusDataQualityResultstatus', 'type': 'string'}, 'Type': {'description': 'Hook- BlockTaskInstanceHook.Condition', 'type': 'string'}}, 'type': 'object'}, 'type': 'array'}, 'Name': {'description': '', 'type': 'string'}, 'Notifications': {'additionalProperties': False, 'description': '', 'properties': {'Condition': {'description': '`${severity} == "High" AND ${status} == "Critical"`severityHighCritical`(${severity} == "High" AND ${status} == "Critical") OR (${severity} == "Normal" AND ${status} == "Critical") OR (${severity} == "Normal" AND ${status} == "Error")`severityHighCriticalseverityNormalCriticalseverityNormalErrorseverityDataQualityRuleseveritystatusDataQualityResultstatus', 'type': 'string'}, 'Notifications': {'description': '', 'items': {'additionalProperties': False, 'properties': {'NotificationChannels': {'description': '', 'items': {'additionalProperties': False, 'properties': {'Channels': {'description': '', 'items': {'type': 'string'}, 'type': 'array'}}, 'type': 'object'}, 'type': 'array'}, 'NotificationReceivers': {'description': '', 'items': {'additionalProperties': False, 'properties': {'Extension': {'description': 'jsonkey- atAll@ReceiverTypeDingdingUrl', 'type': 'string'}, 'ReceiverType': {'description': '- WebhookUrlwebhook- FeishuUrl- DingdingUrl- WeixinUrl- AliUidID', 'type': 'string'}, 'ReceiverValues': {'description': '', 'items': {'type': 'string'}, 'type': 'array'}}, 'type': 'object'}, 'type': 'array'}}, 'type': 'object'}, 'type': 'array'}}, 'type': 'object'}, 'ProjectId': {'description': 'DataWorksID'}, 'RuntimeConf': {'description': 'JSONEMR- queueEMRyarn- sqlEngineEMRSQL    + HIVE_SQL    + SPARK_SQL', 'type': 'string'}, 'Target': {'additionalProperties': False, 'description': '', 'properties': {'DatabaseType': {'description': '-maxcompute-hologres-cdh-analyticdb_for_mysql-starrocks-emr-analyticdb_for_postgresql', 'type': 'string'}, 'PartitionSpec': {'description': '', 'type': 'string'}, 'TableGuid': {'description': 'ID', 'type': 'string'}}, 'required': ['DatabaseType', 'TableGuid'], 'type': 'object'}, 'Trigger': {'additionalProperties': False, 'description': '', 'properties': {'TaskIds': {'description': 'IdTypeByScheduledTaskInstance', 'type': 'array'}, 'Type': {'description': '- ByManual- ByScheduledTaskInstance', 'type': 'string'}}, 'type': 'object'}}, 'required': ['Target', 'Name'], 'type': 'object'}, description="""\n*ToolMCP ResourceCreateDataQualityEvaluationTask(MCP Resource)Tool"""), # aliyun/DataWorks MCP Server/CreateDataQualityEvaluationTask
    Tool(name="""DataWorks MCP Server_UpdateDataQualityEvaluationTask""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'DataQualityRules': {'description': '', 'items': {'additionalProperties': False, 'properties': {'CheckingConfig': {'additionalProperties': False, 'description': '', 'properties': {'ReferencedSamplesFilter': {'description': '', 'type': 'string'}, 'Thresholds': {'additionalProperties': False, 'description': '', 'properties': {'Critical': {'additionalProperties': False, 'description': '', 'properties': {'Expression': {'description': '- 0.01 $checkValue > 0.01 - 0.01$checkValue < -0.01 - abs($checkValue) > 0.01OperatorValue', 'type': 'string'}, 'Operator': {'description': '-\\>-\\>=-<-<=-!=-=', 'type': 'string'}, 'Value': {'description': '', 'type': 'string'}}, 'type': 'object'}, 'Expected': {'additionalProperties': False, 'description': '', 'properties': {'Expression': {'description': '- 0.01 $checkValue > 0.01 - 0.01$checkValue < -0.01 - abs($checkValue) > 0.01OperatorValue', 'type': 'string'}, 'Operator': {'description': '-\\>-\\>=-<-<=-!=-=', 'type': 'string'}, 'Value': {'description': '', 'type': 'string'}}, 'type': 'object'}, 'Warned': {'additionalProperties': False, 'description': '', 'properties': {'Expression': {'description': '- 0.01 $checkValue > 0.01 - 0.01$checkValue < -0.01 - abs($checkValue) > 0.01OperatorValue', 'type': 'string'}, 'Operator': {'description': '-\\>-\\>=-\\<-\\<=-!=-=', 'type': 'string'}, 'Value': {'description': '', 'type': 'string'}}, 'type': 'object'}}, 'type': 'object'}, 'Type': {'description': '- Fluctation- Auto- FluctationDiscreate- Average- Fixed', 'type': 'string'}}, 'type': 'object'}, 'Description': {'description': '', 'type': 'string'}, 'Enabled': {'description': '', 'type': 'boolean'}, 'ErrorHandlers': {'description': '', 'items': {'additionalProperties': False, 'properties': {'ErrorDataFilter': {'description': 'SQLSQL', 'type': 'string'}, 'Type': {'description': '- SaveErrorData', 'type': 'string'}}, 'type': 'object'}, 'type': 'array'}, 'Id': {'description': 'ID'}, 'Name': {'description': '', 'type': 'string'}, 'SamplingConfig': {'additionalProperties': False, 'description': '', 'properties': {'Metric': {'description': '- Count- Min- Max- Avg- DistinctCount- DistinctPercent- DuplicatedCount- DuplicatedPercent- TableSize- NullValueCount- NullValuePercent- GroupCount- CountNotIn- CountDistinctNotIn- UserDefinedSqlSQL', 'type': 'string'}, 'MetricParameters': {'description': '', 'type': 'string'}, 'SamplingFilter': {'description': '16777215', 'type': 'string'}, 'SettingConfig': {'description': '1000MaxCompute', 'type': 'string'}}, 'type': 'object'}, 'Severity': {'description': '- Normal- High', 'type': 'string'}, 'TemplateCode': {'description': '', 'type': 'string'}}, 'type': 'object'}, 'type': 'array'}, 'DataSourceId': {'description': 'ID'}, 'Description': {'description': '', 'type': 'string'}, 'Hooks': {'description': '', 'items': {'additionalProperties': False, 'properties': {'Condition': {'description': 'Hookhook- `${severity} == "High" AND ${status} == "Critical"`severityHighCritical- `(${severity} == "High" AND ${status} == "Critical") OR (${severity} == "Normal" AND ${status} == "Critical") OR (${severity} == "Normal" AND ${status} == "Error")`severityHighCriticalseverityNormalCriticalseverityNormalErrorseverityDataQualityRuleseveritystatusDataQualityResultstatus', 'type': 'string'}, 'Type': {'description': 'Hook- BlockTaskInstance', 'type': 'string'}}, 'type': 'object'}, 'type': 'array'}, 'Id': {'description': 'ID'}, 'Name': {'description': '', 'type': 'string'}, 'Notifications': {'additionalProperties': False, 'description': '', 'properties': {'Condition': {'description': '- `${severity} == "High" AND ${status} == "Critical"`severityHighCritical- `(${severity} == "High" AND ${status} == "Critical") OR (${severity} == "Normal" AND ${status} == "Critical") OR (${severity} == "Normal" AND ${status} == "Error")`severityHighCriticalseverityNormalCriticalseverityNormalErrorseverityDataQualityRuleseveritystatusDataQualityResultstatus', 'type': 'string'}, 'Notifications': {'description': '', 'items': {'additionalProperties': False, 'properties': {'NotificationChannels': {'description': '', 'items': {'additionalProperties': False, 'properties': {'Channels': {'description': '', 'items': {'type': 'string'}, 'type': 'array'}}, 'type': 'object'}, 'type': 'array'}, 'NotificationReceivers': {'description': '', 'items': {'additionalProperties': False, 'properties': {'Extension': {'description': 'jsonkey- atAll@ReceiverTypeDingdingUrl', 'type': 'string'}, 'ReceiverType': {'description': '', 'type': 'string'}, 'ReceiverValues': {'description': '', 'items': {'type': 'string'}, 'type': 'array'}}, 'type': 'object'}, 'type': 'array'}}, 'type': 'object'}, 'type': 'array'}}, 'type': 'object'}, 'ProjectId': {'description': 'Id'}, 'RuntimeConf': {'description': 'JSONEMR- queueEMRyarn- sqlEngineEMRSQL  + HIVE_SQL  + SPARK_SQL', 'type': 'string'}, 'Target': {'additionalProperties': False, 'description': '', 'properties': {'DatabaseType': {'description': '-maxcompute-hologres-cdh-analyticdb_for_mysql-starrocks-emr-analyticdb_for_postgresql', 'type': 'string'}, 'PartitionSpec': {'description': '', 'type': 'string'}, 'TableGuid': {'description': 'ID', 'type': 'string'}}, 'type': 'object'}, 'Trigger': {'additionalProperties': False, 'description': '', 'properties': {'TaskIds': {'description': 'IdTypeByScheduledTaskInstance', 'type': 'array'}, 'Type': {'description': '- ByScheduledTaskInstance- ByManual', 'type': 'string'}}, 'type': 'object'}}, 'type': 'object'}, description="""\n*ToolMCP ResourceUpdateDataQualityEvaluationTask(MCP Resource)Tool"""), # aliyun/DataWorks MCP Server/UpdateDataQualityEvaluationTask
    Tool(name="""DataWorks MCP Server_ListWorkflowInstances""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'BizDate': {'description': '0001743350400000'}, 'Ids': {'description': 'IDId', 'type': 'array'}, 'Name': {'description': '', 'type': 'string'}, 'Owner': {'description': 'ID', 'type': 'string'}, 'PageNumber': {'description': '11'}, 'PageSize': {'description': '10'}, 'ProjectId': {'description': 'ID'}, 'SortBy': {'description': '"+(Desc/Asc)"Asc- TriggerTime (Desc/Asc)- StartedTime (Desc/Asc)- FinishedTime (Desc/Asc)- CreateTime (Desc/Asc)- Id (Desc/Asc)Id Desc', 'type': 'string'}, 'Type': {'description': '- Normal- Manual- SmokeTest- SupplementData- ManualWorkflow', 'type': 'string'}, 'WorkflowId': {'description': 'ID'}}, 'type': 'object'}, description=""""""), # aliyun/DataWorks MCP Server/ListWorkflowInstances
    Tool(name="""DataWorks MCP Server_ListDownstreamTasks""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'Id': {'description': 'ID'}, 'PageNumber': {'description': '11'}, 'PageSize': {'description': '10'}, 'ProjectEnv': {'description': '', 'type': 'string'}}, 'type': 'object'}, description=""""""), # aliyun/DataWorks MCP Server/ListDownstreamTasks
    Tool(name="""DataWorks MCP Server_CreateFunction""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'ProjectId': {'description': 'DataWorksID'}, 'Spec': {'description': 'udfFlowSpec', 'type': 'string'}}, 'required': ['Spec'], 'type': 'object'}, description=""""""), # aliyun/DataWorks MCP Server/CreateFunction
    Tool(name="""DataWorks MCP Server_CreateWorkflowDefinition""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'ProjectId': {'description': 'DataWorksID'}, 'Spec': {'description': 'FlowSpec', 'type': 'string'}}, 'required': ['Spec'], 'type': 'object'}, description=""""""), # aliyun/DataWorks MCP Server/CreateWorkflowDefinition
    Tool(name="""DataWorks MCP Server_ListNodes""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'ContainerId': {'description': 'IDResourceGroupId'}, 'PageNumber': {'description': ''}, 'PageSize': {'description': '10100'}, 'ProjectId': {'description': 'DataWorksID'}, 'Recurrence': {'description': ' - Normal- Pause - Skip0', 'type': 'string'}, 'RerunMode': {'description': ' - Allowed - FailureAllowed - Denied', 'type': 'string'}, 'Scene': {'description': ' - DataworksProject - DataworksManualWorkflow  - DataworksManualTask ', 'type': 'string'}}, 'type': 'object'}, description=""""""), # aliyun/DataWorks MCP Server/ListNodes
    Tool(name="""DataWorks MCP Server_MoveFunction""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'Id': {'description': 'udf'}, 'Path': {'description': 'testroot/demo/testroot/demo', 'type': 'string'}, 'ProjectId': {'description': 'DataWorksID'}}, 'required': ['Path'], 'type': 'object'}, description=""""""), # aliyun/DataWorks MCP Server/MoveFunction
    Tool(name="""DataWorks MCP Server_ListTasks""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'Ids': {'description': 'IDId', 'type': 'array'}, 'Name': {'description': '', 'type': 'string'}, 'Owner': {'description': 'ID', 'type': 'string'}, 'PageNumber': {'description': '11'}, 'PageSize': {'description': '10'}, 'ProjectEnv': {'description': '', 'type': 'string'}, 'ProjectId': {'description': 'ID'}, 'RuntimeResource': {'description': '', 'type': 'string'}, 'SortBy': {'description': '"+(Desc/Asc)"Asc- `ModifyTime (Desc/Asc)`- `CreateTime (Desc/Asc)`- `Id (Desc/Asc)`  `Id Desc`', 'type': 'string'}, 'TaskType': {'description': '- ODPS_SQL- SPARK- PY_ODPS- PY_ODPS3- ODPS_SCRIPT- ODPS_MR- COMPONENT_SQL- EMR_HIVE- EMR_MR- EMR_SPARK_SQL- EMR_SPARK- EMR_SHELL- EMR_PRESTO- EMR_IMPALA- SPARK_STREAMING- EMR_KYUUBI- EMR_TRINO- HOLOGRES_SQL- HOLOGRES_SYNC_DDL- HOLOGRES_SYNC_DATA', 'type': 'string'}, 'TriggerRecurrence': {'description': 'TriggerType=Scheduler', 'type': 'string'}, 'TriggerType': {'description': '', 'type': 'string'}, 'WorkflowId': {'description': 'ID'}}, 'type': 'object'}, description=""""""), # aliyun/DataWorks MCP Server/ListTasks
    Tool(name="""DataWorks MCP Server_ListResources""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'Owner': {'description': 'IDUIDUID', 'type': 'string'}, 'PageNumber': {'description': ''}, 'PageSize': {'description': '10100'}, 'ProjectId': {'description': 'DataWorksID'}, 'Type': {'description': '- Python- Jar- Archive- File', 'type': 'string'}}, 'type': 'object'}, description=""""""), # aliyun/DataWorks MCP Server/ListResources
    Tool(name="""DataWorks MCP Server_ListDataQualityResults""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'BizdateFrom': {'description': '', 'type': 'string'}, 'BizdateTo': {'description': '', 'type': 'string'}, 'CreateTimeFrom': {'description': ''}, 'CreateTimeTo': {'description': ''}, 'DataQualityEvaluationTaskId': {'description': 'ID'}, 'DataQualityEvaluationTaskInstanceId': {'description': 'ID'}, 'DataQualityRuleId': {'description': 'ID'}, 'PageNumber': {'description': '1'}, 'PageSize': {'description': '10'}, 'ProjectId': {'description': 'DataWorksID'}}, 'type': 'object'}, description=""""""), # aliyun/DataWorks MCP Server/ListDataQualityResults
    Tool(name="""DataWorks MCP Server_ListDIAlarmRules""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'DIAlarmRuleId': {'description': 'IDJobId'}, 'JobId': {'description': 'ID'}, 'PageNumber': {'description': ''}, 'PageSize': {'description': '10100'}}, 'type': 'object'}, description=""""""), # aliyun/DataWorks MCP Server/ListDIAlarmRules
    Tool(name="""DataWorks MCP Server_DeleteAlertRule""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'Id': {'description': 'ID'}}, 'type': 'object'}, description=""""""), # aliyun/DataWorks MCP Server/DeleteAlertRule
    Tool(name="""DataWorks MCP Server_AbolishDeployment""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'Id': {'description': '', 'type': 'string'}, 'ProjectId': {'description': 'DataWorksID'}}, 'required': ['Id'], 'type': 'object'}, description=""""""), # aliyun/DataWorks MCP Server/AbolishDeployment
    Tool(name="""DataWorks MCP Server_ListNodeDependencies""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'Id': {'description': ''}, 'PageNumber': {'description': '11'}, 'PageSize': {'description': '10100'}, 'ProjectId': {'description': 'DataWorksID'}}, 'type': 'object'}, description=""""""), # aliyun/DataWorks MCP Server/ListNodeDependencies
    Tool(name="""DataWorks MCP Server_GetWorkflowDefinition""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'Id': {'description': ''}, 'IncludeScriptContent': {'description': '', 'type': 'boolean'}, 'ProjectId': {'description': 'DataWorksID'}}, 'type': 'object'}, description=""""""), # aliyun/DataWorks MCP Server/GetWorkflowDefinition
    Tool(name="""DataWorks MCP Server_ListDIJobRunDetails""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'DIJobId': {'description': 'ID'}, 'InstanceId': {'description': 'ID'}, 'PageNumber': {'description': ''}, 'PageSize': {'description': '10100'}, 'SourceDataSourceName': {'description': '', 'type': 'string'}, 'SourceDatabaseName': {'description': '', 'type': 'string'}, 'SourceSchemaName': {'description': 'schema', 'type': 'string'}, 'SourceTableName': {'description': '', 'type': 'string'}}, 'type': 'object'}, description=""""""), # aliyun/DataWorks MCP Server/ListDIJobRunDetails
    Tool(name="""DataWorks MCP Server_CreateDIJob""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'Description': {'description': '', 'type': 'string'}, 'DestinationDataSourceSettings': {'description': '', 'items': {'additionalProperties': False, 'properties': {'DataSourceName': {'description': '', 'type': 'string'}}, 'type': 'object'}, 'type': 'array'}, 'DestinationDataSourceType': {'description': 'HologresOSS-HDFSOSSMaxComputeLogHubStarRocksDataHubAnalyticDB_For_MySQLKafkaHive', 'type': 'string'}, 'JobName': {'description': 'Name', 'type': 'string'}, 'JobSettings': {'additionalProperties': False, 'description': 'DDL', 'properties': {'ChannelSettings': {'description': 'Holo2HoloholoholoHolo2KafkaHoloKafka 1. Holo2Kafka - {"destinationChannelSettings":{"kafkaClientProperties":[{"key":"linger.ms","value":"100"}],"keyColumns":["col3"],"writeMode":"canal"}}- kafkaClientPropertieskafka producerkafka- keyColumns kafka- writeModekafkajson/canal 2. Holo2Holo    -  {"destinationChannelSettings":{"conflictMode":"replace","dynamicColumnAction":"replay","writeMode":"replay"}}- conflictMode: holoreplace-ignore-- writeMode: holoreplay-insert-- dynamicColumnActionholo replay-insert-ignore-', 'type': 'string'}, 'ColumnDataTypeSettings': {'description': '>"ColumnDataTypeSettings":[{"SourceDataType":"Bigint","DestinationDataType":"Text"}]', 'items': {'additionalProperties': False, 'properties': {'DestinationDataType': {'description': 'bigintbooleanstringtextdatetimetimestampdecimalbinary', 'type': 'string'}, 'SourceDataType': {'description': 'bigintbooleanstringtextdatetimetimestampdecimalbinary', 'type': 'string'}}, 'type': 'object'}, 'type': 'array'}, 'CycleScheduleSettings': {'additionalProperties': False, 'description': '', 'properties': {'CycleMigrationType': {'description': '- Full- OfflineIncremental', 'type': 'string'}, 'ScheduleParameters': {'description': '', 'type': 'string'}}, 'type': 'object'}, 'DdlHandlingSettings': {'description': 'DDL>"DDLHandlingSettings":[{"Type":"Insert","Action":"Normal"}]', 'items': {'additionalProperties': False, 'properties': {'Action': {'description': '\t- Ignore- Critical- Normal', 'type': 'string'}, 'Type': {'description': 'DDL- RenameColumn- ModifyColumn- CreateTable- TruncateTable- DropTable- DropColumn- AddColumn', 'type': 'string'}}, 'type': 'object'}, 'type': 'array'}, 'RuntimeSettings': {'description': '', 'items': {'additionalProperties': False, 'properties': {'Name': {'description': '- src.offline.datasource.max.connection- dst.offline.truncate (- runtime.offline.speed.limit.enable- runtime.offline.concurrent- runtime.enable.auto.create.schemaschema- runtime.realtime.concurrent- runtime.realtime.failover.minute.dataxcdc (failover)- runtime.realtime.failover.times.dataxcdc  (failover', 'type': 'string'}, 'Value': {'description': '', 'type': 'string'}}, 'type': 'object'}, 'type': 'array'}}, 'type': 'object'}, 'JobType': {'description': '-DatabaseRealtimeMigration():+-DatabaseOfflineMigration():+-SingleTableRealtimeMigration():', 'type': 'string'}, 'MigrationType': {'description': '- FullAndRealtimeIncremental- RealtimeIncremental- Full- OfflineIncremental- FullAndOfflineIncremental+', 'type': 'string'}, 'Name': {'description': '', 'type': 'string'}, 'ProjectId': {'description': 'DataWorksID'}, 'ResourceSettings': {'additionalProperties': False, 'description': '', 'properties': {'OfflineResourceSettings': {'additionalProperties': False, 'description': '', 'properties': {'RequestedCu': {'description': 'cu'}, 'ResourceGroupIdentifier': {'description': '', 'type': 'string'}}, 'type': 'object'}, 'RealtimeResourceSettings': {'additionalProperties': False, 'description': '', 'properties': {'RequestedCu': {'description': 'cu'}, 'ResourceGroupIdentifier': {'description': '', 'type': 'string'}}, 'type': 'object'}, 'ScheduleResourceSettings': {'additionalProperties': False, 'description': '', 'properties': {'RequestedCu': {'description': 'cu'}, 'ResourceGroupIdentifier': {'description': '', 'type': 'string'}}, 'type': 'object'}}, 'type': 'object'}, 'SourceDataSourceSettings': {'description': '', 'items': {'additionalProperties': False, 'properties': {'DataSourceName': {'description': '', 'type': 'string'}, 'DataSourceProperties': {'additionalProperties': False, 'description': '', 'properties': {'Encoding': {'description': '', 'type': 'string'}, 'Timezone': {'description': '', 'type': 'string'}}, 'type': 'object'}}, 'type': 'object'}, 'type': 'array'}, 'SourceDataSourceType': {'description': ' PolarDBMySQLKafkaLogHubHologresOracleOceanBaseMongoDBRedShiftHiveSQLServerDorisClickHouse', 'type': 'string'}, 'TableMappings': {'description': '>[{"SourceObjectSelectionRules":[{"ObjectType":"Database","Action":"Include","ExpressionType":"Exact","Expression":"biz_db"},{"ObjectType":"Schema","Action":"Include","ExpressionType":"Exact","Expression":"s1"},{"ObjectType":"Table","Action":"Include","ExpressionType":"Exact","Expression":"table1"}],"TransformationRuleNames":[{"RuleName":"my_database_rename_rule","RuleActionType":"Rename","RuleTargetType":"Schema"\t\t}]}]', 'items': {'additionalProperties': False, 'properties': {'SourceObjectSelectionRules': {'description': '', 'items': {'additionalProperties': False, 'properties': {'Action': {'description': 'Include/Exclude', 'type': 'string'}, 'Expression': {'description': '', 'type': 'string'}, 'ExpressionType': {'description': 'Exact/Regex', 'type': 'string'}, 'ObjectType': {'description': '- Table- Schemaschema- Database', 'type': 'string'}}, 'type': 'object'}, 'type': 'array'}, 'TransformationRules': {'description': '', 'items': {'additionalProperties': False, 'properties': {'RuleActionType': {'description': '- DefinePrimaryKey- Rename- AddColumn- HandleDmlDML- DefineIncrementalCondition- DefineCycleScheduleSettings- DefineRuntimeSettings- DefinePartitionKey', 'type': 'string'}, 'RuleName': {'description': '+', 'type': 'string'}, 'RuleTargetType': {'description': '- Table- Schemaschema- Database', 'type': 'string'}}, 'type': 'object'}, 'type': 'array'}}, 'type': 'object'}, 'type': 'array'}, 'TransformationRules': {'description': '>[{"RuleName":"my_database_rename_rule","RuleActionType":"Rename","RuleTargetType":"Schema","RuleExpression":"{\\"expression\\":\\"${srcDatasoureName}_${srcDatabaseName}\\"}"}]', 'items': {'additionalProperties': False, 'properties': {'RuleActionType': {'description': '- DefinePrimaryKey- Rename- AddColumn- HandleDmlDML- DefineIncrementalCondition- DefineCycleScheduleSettings- DefinePartitionKey', 'type': 'string'}, 'RuleExpression': {'description': 'json string1. Rename - {"expression":"${srcDatasourceName}_${srcDatabaseName}_0922" }  - expression${srcDatasourceName}${srcDatabaseName}${srcTableName}2. AddColumn) - {"columns":[{"columnName":"my_add_column","columnValueType":"Constant","columnValue":"123"}]}- - columnName- columnValueTypeConstantVariable- columnValuecolumnValueType=ConstantvalueStringcolumnValueType=VariablevalueEXECUTE_TIMELongDB_NAME_SRCStringDATASOURCE_NAME_SRCStringTABLE_NAME_SRCStringDB_NAME_DESTStringDATASOURCE_NAME_DESTStringTABLE_NAME_DESTStringDB_NAME_SRC_TRANSEDString3. DefinePrimaryKey- {"columns":\\["ukcolumn1","ukcolumn2"\\]}- - - 4. DMLHandleDml- {"dmlPolicies":\\[{"dmlType":"Delete","dmlAction":"Filter","filterCondition":"id > 1"}\\]}- InsertUpdateDeleteNormal- dmlTypeDMLInsertUpdateDelete- dmlActionDMLNormalIgnoreFilterdmlType=Update/DeleteLogicalDelete- filterConditionDMLdmlAction=Filter5. DefineIncrementalCondition- {"where":"id > 0"} - 6. DefineCycleScheduleSettings- {"cronExpress":" * * * * * *", "cycleType":"1"}- 7. DefinePartitionKey- {"columns":["id"]} - ', 'type': 'string'}, 'RuleName': {'description': '', 'type': 'string'}, 'RuleTargetType': {'description': '- Table- Schemaschema- Database', 'type': 'string'}}, 'type': 'object'}, 'type': 'array'}}, 'required': ['DestinationDataSourceType', 'SourceDataSourceType', 'MigrationType', 'SourceDataSourceSettings', 'DestinationDataSourceSettings', 'ResourceSettings', 'TableMappings'], 'type': 'object'}, description="""\n*ToolMCP ResourceCreateDIJob(MCP Resource)Tool"""), # aliyun/DataWorks MCP Server/CreateDIJob
    Tool(name="""DataWorks MCP Server_RenameWorkflowDefinition""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'Id': {'description': ''}, 'Name': {'description': '', 'type': 'string'}, 'ProjectId': {'description': 'DataWorksID'}}, 'required': ['Name'], 'type': 'object'}, description=""""""), # aliyun/DataWorks MCP Server/RenameWorkflowDefinition
    Tool(name="""DataWorks MCP Server_GetProjectRole""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'Code': {'description': ' Code- role_project_admin- role_project_dev- role_project_dg_admin- role_project_guest- role_project_security- role_project_deploy- role_project_owner- role_project_data_analyst- role_project_pe- role_project_erd(', 'type': 'string'}, 'ProjectId': {'description': 'DataWorksID'}}, 'required': ['Code'], 'type': 'object'}, description=""""""), # aliyun/DataWorks MCP Server/GetProjectRole
    Tool(name="""DataWorks MCP Server_ListResourceGroups""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'AliyunResourceGroupId': {'description': 'ID', 'type': 'string'}, 'AliyunResourceTags': {'description': '', 'items': {'additionalProperties': False, 'properties': {'Key': {'description': 'Key', 'type': 'string'}, 'Value': {'description': 'Value', 'type': 'string'}}, 'type': 'object'}, 'type': 'array'}, 'Name': {'description': '', 'type': 'string'}, 'PageNumber': {'description': ''}, 'PageSize': {'description': ''}, 'PaymentType': {'description': '- PrePaid- PostPaid', 'type': 'string'}, 'ProjectId': {'description': 'ID'}, 'ResourceGroupTypes': {'description': '', 'items': {'type': 'string'}, 'type': 'array'}, 'SortBy': {'description': '"+(Desc/Asc)"Asc- Id  (Desc/Asc)ID- Name  (Desc/Asc)- Remark  (Desc/Asc)- Type  (Desc/Asc)- Status  (Desc/Asc)- Spec  (Desc/Asc)- CreateUser  (Desc/Asc)- CreateTime  (Desc/Asc)CreateTime Asc', 'type': 'string'}, 'Statuses': {'description': '', 'items': {'type': 'string'}, 'type': 'array'}}, 'type': 'object'}, description=""""""), # aliyun/DataWorks MCP Server/ListResourceGroups
    Tool(name="""DataWorks MCP Server_UpdateTask""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'ClientUniqueCode': {'description': 'ID', 'type': 'string'}, 'DataSource': {'additionalProperties': False, 'description': '', 'properties': {'Name': {'description': '', 'type': 'string'}}, 'type': 'object'}, 'Dependencies': {'description': '', 'items': {'additionalProperties': False, 'properties': {'Type': {'description': '- CrossCycleDependsOnChildren- CrossCycleDependsOnSelf- CrossCycleDependsOnOtherNode- Normal', 'type': 'string'}, 'UpstreamOutput': {'description': '``input', 'type': 'string'}, 'UpstreamTaskId': {'description': 'Id````input'}}, 'required': ['Type'], 'type': 'object'}, 'type': 'array'}, 'Description': {'description': '', 'type': 'string'}, 'EnvType': {'description': '- Prod- Dev', 'type': 'string'}, 'Id': {'description': 'ID'}, 'Inputs': {'additionalProperties': False, 'description': '', 'properties': {'Variables': {'description': '', 'items': {'additionalProperties': False, 'properties': {'Name': {'description': '', 'type': 'string'}, 'Type': {'description': '- Constant- PassThrough- System- NodeOutput', 'type': 'string'}, 'Value': {'description': '', 'type': 'string'}}, 'required': ['Type'], 'type': 'object'}, 'type': 'array'}}, 'type': 'object'}, 'InstanceMode': {'description': '-T+1-Immediately', 'type': 'string'}, 'Name': {'description': '', 'type': 'string'}, 'Outputs': {'additionalProperties': False, 'description': '', 'properties': {'TaskOutputs': {'description': '', 'items': {'additionalProperties': False, 'properties': {'Output': {'description': '', 'type': 'string'}}, 'type': 'object'}, 'type': 'array'}, 'Variables': {'description': '', 'items': {'additionalProperties': False, 'properties': {'Name': {'description': '', 'type': 'string'}, 'Type': {'description': '- Constant- PassThrough- System- NodeOutput', 'type': 'string'}, 'Value': {'description': '', 'type': 'string'}}, 'required': ['Type'], 'type': 'object'}, 'type': 'array'}}, 'type': 'object'}, 'Owner': {'description': 'ID', 'type': 'string'}, 'RerunInterval': {'description': ''}, 'RerunMode': {'description': '- AllDenied- FailureAllowed- AllAllowed', 'type': 'string'}, 'RerunTimes': {'description': ''}, 'RuntimeResource': {'additionalProperties': False, 'description': '', 'properties': {'Cu': {'description': 'CU', 'type': 'string'}, 'Image': {'description': 'ID', 'type': 'string'}, 'ResourceGroupId': {'description': '', 'type': 'string'}}, 'required': ['ResourceGroupId'], 'type': 'object'}, 'Script': {'additionalProperties': False, 'description': '', 'properties': {'Content': {'description': '', 'type': 'string'}, 'Parameters': {'description': '', 'type': 'string'}}, 'type': 'object'}, 'Tags': {'description': '', 'items': {'additionalProperties': False, 'properties': {'Key': {'description': '', 'type': 'string'}, 'Value': {'description': '', 'type': 'string'}}, 'required': ['Key'], 'type': 'object'}, 'type': 'array'}, 'Timeout': {'description': ''}, 'Trigger': {'additionalProperties': False, 'description': '', 'properties': {'Cron': {'description': 'Crontype=Scheduler', 'type': 'string'}, 'EndTime': {'description': 'type=Scheduler`yyyy-mm-ddhh:mm:ss`', 'type': 'string'}, 'Recurrence': {'description': 'type=Scheduler- Pause- Skip- Normal', 'type': 'string'}, 'StartTime': {'description': 'type=Scheduler`yyyy-mm-ddhh:mm:ss`', 'type': 'string'}, 'Type': {'description': '- Scheduler- Manual', 'type': 'string'}}, 'required': ['Type'], 'type': 'object'}}, 'required': ['Name', 'Owner', 'RerunMode', 'Trigger', 'RuntimeResource'], 'type': 'object'}, description="""\n*ToolMCP ResourceUpdateTask(MCP Resource)Tool"""), # aliyun/DataWorks MCP Server/UpdateTask
    Tool(name="""DataWorks MCP Server_ListFunctions""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'Owner': {'description': 'udfID', 'type': 'string'}, 'PageNumber': {'description': '11'}, 'PageSize': {'description': '10100'}, 'ProjectId': {'description': 'DataWorksID'}, 'Type': {'description': '- Math - Aggregate - String- Date- Analytic- Other ', 'type': 'string'}}, 'type': 'object'}, description=""""""), # aliyun/DataWorks MCP Server/ListFunctions
    Tool(name="""DataWorks MCP Server_ListDataQualityEvaluationTaskInstances""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'BizdateFrom': {'description': '', 'type': 'string'}, 'BizdateTo': {'description': '', 'type': 'string'}, 'CreateTimeFrom': {'description': ''}, 'CreateTimeTo': {'description': ''}, 'DataQualityEvaluationTaskId': {'description': 'ID'}, 'PageNumber': {'description': '1'}, 'PageSize': {'description': '10'}, 'ProjectId': {'description': 'DataWorksID'}, 'TableGuid': {'description': 'ID', 'type': 'string'}, 'TriggerClient': {'description': 'TriggerContextTriggerClient', 'type': 'string'}, 'TriggerClientId': {'description': 'TriggerContextTriggerClientId', 'type': 'string'}}, 'type': 'object'}, description=""""""), # aliyun/DataWorks MCP Server/ListDataQualityEvaluationTaskInstances
    Tool(name="""DataWorks MCP Server_GetMetaTableOutput""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'EndDate': {'description': '', 'type': 'string'}, 'PageNumber': {'description': '1130'}, 'PageSize': {'description': '10100'}, 'StartDate': {'description': '', 'type': 'string'}, 'TableGuid': {'description': '', 'type': 'string'}, 'TaskId': {'description': '', 'type': 'string'}}, 'required': ['TableGuid', 'StartDate', 'EndDate'], 'type': 'object'}, description=""""""), # aliyun/DataWorks MCP Server/GetMetaTableOutput
    Tool(name="""DataWorks MCP Server_GetMetaTableChangeLog""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'ChangeType': {'description': 'CREATE_TABLEALTER_TABLEDROP_TABLEADD_PARTITIONDROP_PARTITION', 'type': 'string'}, 'EndDate': {'description': 'yyyy-MM-ddHH:mm:ss--30', 'type': 'string'}, 'ObjectType': {'description': 'TABLEPARTITION', 'type': 'string'}, 'PageNumber': {'description': ''}, 'PageSize': {'description': '10100'}, 'StartDate': {'description': 'yyyy-MM-ddHH:mm:ss--30', 'type': 'string'}, 'TableGuid': {'description': 'odps.projectName.tableName', 'type': 'string'}}, 'required': ['TableGuid'], 'type': 'object'}, description=""""""), # aliyun/DataWorks MCP Server/GetMetaTableChangeLog
    Tool(name="""DataWorks MCP Server_GetRemind""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'RemindId': {'description': 'ID'}}, 'type': 'object'}, description=""""""), # aliyun/DataWorks MCP Server/GetRemind
    Tool(name="""DataWorks MCP Server_GetTopic""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'TopicId': {'description': 'ID'}}, 'type': 'object'}, description=""""""), # aliyun/DataWorks MCP Server/GetTopic
    Tool(name="""DataWorks MCP Server_ListTables""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'DataSourceType': {'description': 'odpsemrmysqlholoanalyticdb_for_mysqloraclepostgresqlsqlserverclickhousestarrocks', 'type': 'string'}, 'NextToken': {'description': '', 'type': 'string'}, 'PageSize': {'description': '10100'}}, 'required': ['DataSourceType'], 'type': 'object'}, description=""""""), # aliyun/DataWorks MCP Server/ListTables
    Tool(name="""DataWorks MCP Server_GetTopicInfluence""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'TopicId': {'description': 'ID'}}, 'type': 'object'}, description=""""""), # aliyun/DataWorks MCP Server/GetTopicInfluence
    Tool(name="""DataWorks MCP Server_SaveDataServiceApiTestResult""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'ApiId': {'description': 'APIID'}, 'AutoGenerate': {'description': 'resultSample/failResultSample', 'type': 'boolean'}, 'FailResultSample': {'description': 'API', 'type': 'string'}, 'ProjectId': {'description': 'DataWorksID'}, 'ResultSample': {'description': 'API', 'type': 'string'}}, 'type': 'object'}, description="""API"""), # aliyun/DataWorks MCP Server/SaveDataServiceApiTestResult
    Tool(name="""DataWorks MCP Server_GetMetaTablePartition""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'ClusterId': {'description': 'EMRIDEMR', 'type': 'string'}, 'DataSourceType': {'description': 'ODPSEMR', 'type': 'string'}, 'DatabaseName': {'description': 'EMR', 'type': 'string'}, 'PageNumber': {'description': ''}, 'PageSize': {'description': '10100'}, 'SortCriterion': {'additionalProperties': False, 'description': '', 'properties': {'Order': {'description': 'ascdescdesc', 'type': 'string'}, 'SortField': {'description': 'namemodify_time', 'type': 'string'}}, 'type': 'object'}, 'TableGuid': {'description': '', 'type': 'string'}, 'TableName': {'description': 'EMREMR', 'type': 'string'}}, 'type': 'object'}, description=""""""), # aliyun/DataWorks MCP Server/GetMetaTablePartition
    Tool(name="""DataWorks MCP Server_GetAlertMessage""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'AlertId': {'description': 'ID[ListAlertMessages](~~173961~~)', 'type': 'string'}}, 'required': ['AlertId'], 'type': 'object'}, description=""""""), # aliyun/DataWorks MCP Server/GetAlertMessage
    Tool(name="""DataWorks MCP Server_SearchMetaTables""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'AppGuid': {'description': '', 'type': 'string'}, 'ClusterId': {'description': 'EMRIDEMR', 'type': 'string'}, 'DataSourceType': {'description': 'ODPSemr', 'type': 'string'}, 'EntityType': {'description': '0table1view'}, 'Keyword': {'description': '', 'type': 'string'}, 'PageNumber': {'description': ''}, 'PageSize': {'description': '10100'}, 'Schema': {'description': 'SchemaODPSSchema', 'type': 'string'}}, 'required': ['Keyword'], 'type': 'object'}, description=""""""), # aliyun/DataWorks MCP Server/SearchMetaTables
    Tool(name="""DataWorks MCP Server_ListDataServiceApis""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'ApiNameKeyword': {'description': 'APIAPIAPI', 'type': 'string'}, 'ApiPathKeyword': {'description': 'APIAPIAPI', 'type': 'string'}, 'CreatorId': {'description': 'APIIDAPI', 'type': 'string'}, 'PageNumber': {'description': '11'}, 'PageSize': {'description': '10100'}, 'ProjectId': {'description': 'ID'}, 'TenantId': {'description': 'ID[DataWorks](https://workbench.data.aliyun.com/console)DataStudio>ID'}}, 'type': 'object'}, description="""API"""), # aliyun/DataWorks MCP Server/ListDataServiceApis
    Tool(name="""DataWorks MCP Server_ListAlertMessages""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'AlertMethods': {'description': '- MAIL- SMS<props="intl"></props><props="china">- PHONEDataWorks</props>,', 'type': 'string'}, 'AlertRuleTypes': {'description': 'GLOBALUSER_DEFINEOTHER,', 'type': 'string'}, 'AlertUser': {'description': 'UID', 'type': 'string'}, 'BaselineId': {'description': 'IDAlertRuleTypesGLOBALRemindId'}, 'BeginTime': {'description': "yyyy-MM-dd'T'HH:mm:ssZUTC", 'type': 'string'}, 'EndTime': {'description': "yyyy-MM-dd'T'HH:mm:ssZUTC", 'type': 'string'}, 'PageNumber': {'description': '1130'}, 'PageSize': {'description': '10100'}, 'RemindId': {'description': 'IDAlertRuleTypesUSER_DEFINEBaselineId'}}, 'required': ['BeginTime', 'EndTime'], 'type': 'object'}, description=""""""), # aliyun/DataWorks MCP Server/ListAlertMessages
    Tool(name="""DataWorks MCP Server_GetDataServiceApiTest""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'TestId': {'description': 'IdTestDataServiceApiIdListDataServiceApiTestId'}}, 'type': 'object'}, description="""API"""), # aliyun/DataWorks MCP Server/GetDataServiceApiTest
    Tool(name="""DataWorks MCP Server_GetMetaTableIntroWiki""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'TableGuid': {'description': '', 'type': 'string'}, 'WikiVersion': {'description': ''}}, 'required': ['TableGuid'], 'type': 'object'}, description=""""""), # aliyun/DataWorks MCP Server/GetMetaTableIntroWiki
    Tool(name="""DataWorks MCP Server_ListLineage""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'Direction': {'description': ' - up- down', 'type': 'string'}, 'EntityQualifiedName': {'description': '', 'type': 'string'}, 'Keyword': {'description': '', 'type': 'string'}, 'NextToken': {'description': '', 'type': 'string'}, 'PageSize': {'description': '100'}}, 'required': ['EntityQualifiedName', 'Direction'], 'type': 'object'}, description=""""""), # aliyun/DataWorks MCP Server/ListLineage
    Tool(name="""DataWorks MCP Server_CreateDISyncTask""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'ClientToken': {'description': '', 'type': 'string'}, 'ProjectId': {'description': 'DataWorksID'}, 'TaskContent': {'description': '', 'type': 'string'}, 'TaskName': {'description': '', 'type': 'string'}, 'TaskParam': {'description': '- FileFolderPath- ResourceGroupIdentifier', 'type': 'string'}, 'TaskType': {'description': 'CreateDISyncTaskDI_OFFLINEDI_REALTIMEDI_SOLUTION', 'type': 'string'}}, 'required': ['TaskType', 'TaskContent'], 'type': 'object'}, description=""""""), # aliyun/DataWorks MCP Server/CreateDISyncTask
    Tool(name="""DataWorks MCP Server_GetDataServiceApi""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'ApiId': {'description': 'APIID'}, 'ProjectId': {'description': 'ID'}, 'TenantId': {'description': 'ID'}}, 'type': 'object'}, description="""API"""), # aliyun/DataWorks MCP Server/GetDataServiceApi
    Tool(name="""DataWorks MCP Server_GetMetaDBTableList""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'AppGuid': {'description': '`odps.{projectName}`odps', 'type': 'string'}, 'ClusterId': {'description': 'EMRIDemr', 'type': 'string'}, 'DataSourceType': {'description': 'odpsemr', 'type': 'string'}, 'DatabaseName': {'description': '', 'type': 'string'}, 'PageNumber': {'description': ''}, 'PageSize': {'description': '10100'}}, 'required': ['AppGuid'], 'type': 'object'}, description=""""""), # aliyun/DataWorks MCP Server/GetMetaDBTableList
    Tool(name="""DataWorks MCP Server_DeleteDataServiceApi""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'ApiId': {'description': 'APIID'}, 'ProjectId': {'description': 'ID'}, 'TenantId': {'description': 'ID[DataWorks](https://workbench.data.aliyun.com/console)DataStudio>ID'}}, 'type': 'object'}, description="""API"""), # aliyun/DataWorks MCP Server/DeleteDataServiceApi
    Tool(name="""DataWorks MCP Server_CreateDataServiceApi""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'ApiDescription': {'description': 'API', 'type': 'string'}, 'ApiMode': {'description': 'API0API1API2API'}, 'ApiName': {'description': 'API_4~50', 'type': 'string'}, 'ApiPath': {'description': 'API_-/200', 'type': 'string'}, 'FolderId': {'description': 'APIIDID0ID0'}, 'GroupId': {'description': 'ID', 'type': 'string'}, 'ProjectId': {'description': 'ID'}, 'Protocols': {'description': 'API0HTTP1HTTPS,', 'type': 'string'}, 'RegistrationDetails': {'description': 'API[GetDataServiceApi](~~174013~~)registrationDetailsJSONString', 'type': 'string'}, 'RequestContentType': {'description': '- 0xml- 1json- 2form'}, 'RequestMethod': {'description': 'API0GET1POST2PUT3DELETEAPIGETPOSTAPIGETPOSTPUTDELETE'}, 'ResourceGroupId': {'description': 'ID'}, 'ResponseContentType': {'description': 'API0JSON1XMLAPIJSONAPIJSONXML'}, 'ScriptDetails': {'description': 'API[GetDataServiceApi](~~174013~~)scriptDetailsJSONString', 'type': 'string'}, 'SqlMode': {'description': '0--1-mybatis'}, 'TenantId': {'description': 'ID'}, 'Timeout': {'description': 'ms(0,30000]'}, 'VisibleRange': {'description': '01'}, 'WizardDetails': {'description': 'API[GetDataServiceApi](~~174013~~)wizardDetailsJSONString', 'type': 'string'}}, 'required': ['ApiName', 'GroupId', 'Protocols', 'ApiPath', 'ApiDescription'], 'type': 'object'}, description="""API"""), # aliyun/DataWorks MCP Server/CreateDataServiceApi
    Tool(name="""DataWorks MCP Server_ConvertTimestamps""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'Format': {'description': 'YYYY-MM-DD HH:mm:ss', 'type': 'string'}, 'Timestamps': {'description': '', 'type': 'array'}}, 'required': ['Timestamps'], 'type': 'object'}, description="""Tool"""), # aliyun/DataWorks MCP Server/ConvertTimestamps
    Tool(name="""DataWorks MCP Server_ToTimestamps""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'DateTimeDisplay': {'description': '', 'items': {'type': 'string'}, 'type': 'array'}}, 'required': ['DateTimeDisplay'], 'type': 'object'}, description=""""""), # aliyun/DataWorks MCP Server/ToTimestamps
    Tool(name="""DataWorks MCP Server_TestDataServiceApi""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'ApiId': {'description': 'APIId'}, 'BodyContent': {'description': 'body', 'type': 'string'}, 'BodyParams': {'description': 'Body', 'items': {'additionalProperties': False, 'properties': {'ParamKey': {'description': '', 'type': 'string'}, 'ParamValue': {'description': '', 'type': 'string'}}, 'type': 'object'}, 'type': 'array'}, 'HeadParams': {'description': 'Header', 'items': {'additionalProperties': False, 'properties': {'ParamKey': {'description': '', 'type': 'string'}, 'ParamValue': {'description': '', 'type': 'string'}}, 'type': 'object'}, 'type': 'array'}, 'PathParams': {'description': 'Path', 'items': {'additionalProperties': False, 'properties': {'ParamKey': {'description': '', 'type': 'string'}, 'ParamValue': {'description': '', 'type': 'string'}}, 'type': 'object'}, 'type': 'array'}, 'QueryParam': {'description': 'Query', 'items': {'additionalProperties': False, 'properties': {'ParamKey': {'description': '', 'type': 'string'}, 'ParamValue': {'description': '', 'type': 'string'}}, 'type': 'object'}, 'type': 'array'}}, 'type': 'object'}, description="""API"""), # aliyun/DataWorks MCP Server/TestDataServiceApi
    Tool(name="""DataWorks MCP Server_GetDataServicePublishedApi""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'ApiId': {'description': 'APIID'}, 'ProjectId': {'description': 'ID'}, 'TenantId': {'description': 'ID[DataWorks](https://workbench.data.aliyun.com/console)DataStudio>ID'}}, 'type': 'object'}, description="""API"""), # aliyun/DataWorks MCP Server/GetDataServicePublishedApi
    Tool(name="""DataWorks MCP Server_CreatePermissionApplyOrder""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'ApplyObject': {'description': '', 'items': {'additionalProperties': False, 'properties': {'Actions': {'description': ',SelectDescribeDropAlterUpdateDownload', 'type': 'string'}, 'ColumnMetaList': {'description': '', 'items': {'additionalProperties': False, 'properties': {'Actions': {'type': 'string'}, 'Name': {'description': 'MaxComputelabelSecurityMaxComputelabelSecurity', 'type': 'string'}}, 'required': ['Name'], 'type': 'object'}, 'type': 'array'}, 'Name': {'description': 'MaxCompute', 'type': 'string'}}, 'required': ['Name'], 'type': 'object'}, 'type': 'array'}, 'ApplyReason': {'description': '', 'type': 'string'}, 'ApplyType': {'type': 'string'}, 'ApplyUserIds': {'description': 'UID,', 'type': 'string'}, 'CatalogName': {'type': 'string'}, 'Deadline': {'description': 'unix206511MaxComputeLabelSecurity0'}, 'EngineType': {'description': 'odpsMaxCompute', 'type': 'string'}, 'MaxComputeProjectName': {'description': 'MaxCompute', 'type': 'string'}, 'OrderType': {'description': '1ACL'}, 'WorkspaceId': {'description': 'MaxComputeDataWorksID'}}, 'required': ['ApplyUserIds', 'ApplyReason', 'ApplyObject'], 'type': 'object'}, description="""\n*ToolMCP ResourceCreatePermissionApplyOrder(MCP Resource)Tool"""), # aliyun/DataWorks MCP Server/CreatePermissionApplyOrder
    Tool(name="""DataWorks MCP Server_ListTopics""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'BeginTime': {'description': "UTCyyyy-MM-dd'T'HH:mm:ssZ", 'type': 'string'}, 'EndTime': {'description': "UTCyyyy-MM-dd'T'HH:mm:ssZ", 'type': 'string'}, 'InstanceId': {'description': 'IDNodeId'}, 'NodeId': {'description': 'IDInstanceId'}, 'Owner': {'description': 'UID', 'type': 'string'}, 'PageNumber': {'description': '1130'}, 'PageSize': {'description': '10100'}, 'TopicStatuses': {'description': 'IGNORENEWFIXINGRECOVER,', 'type': 'string'}, 'TopicTypes': {'description': 'SLOWERROR,', 'type': 'string'}}, 'required': ['BeginTime', 'EndTime'], 'type': 'object'}, description=""""""), # aliyun/DataWorks MCP Server/ListTopics
    Tool(name="""DataWorks MCP Server_AbolishDataServiceApi""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'ApiId': {'description': 'APIID'}, 'ProjectId': {'description': 'ID'}, 'TenantId': {'description': 'ID[DataWorks](https://workbench.data.aliyun.com/console)DataStudio>ID'}}, 'type': 'object'}, description="""API"""), # aliyun/DataWorks MCP Server/AbolishDataServiceApi
    Tool(name="""DataWorks MCP Server_ListPermissionApplyOrders""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'ApplyType': {'type': 'string'}, 'CatalogName': {'type': 'string'}, 'EndTime': {'description': 'unix'}, 'EngineType': {'description': 'odpsMaxCompute', 'type': 'string'}, 'FlowStatus': {'description': '- 1- 2- 3- 4'}, 'MaxComputeProjectName': {'description': 'MaxComputeMaxCompute', 'type': 'string'}, 'OrderType': {'description': '1ACL'}, 'PageNum': {'description': '11'}, 'PageSize': {'description': '10100'}, 'QueryType': {'description': '- 0- 1'}, 'StartTime': {'description': 'unix'}, 'TableName': {'description': '', 'type': 'string'}, 'WorkspaceId': {'description': 'ID'}}, 'type': 'object'}, description=""""""), # aliyun/DataWorks MCP Server/ListPermissionApplyOrders
    Tool(name="""DataWorks MCP Server_RevokeTablePermission""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'Actions': {'description': ',MaxComputeSelectDescribeDownload', 'type': 'string'}, 'MaxComputeProjectName': {'description': 'MaxCompute', 'type': 'string'}, 'RevokeUserId': {'description': 'ID', 'type': 'string'}, 'RevokeUserName': {'description': 'MaxCompute-ALIYUN$+-RAM$+RevokeUserIdRevokeUserIdRevokeUserId', 'type': 'string'}, 'TableName': {'description': 'MaxCompute', 'type': 'string'}, 'WorkspaceId': {'description': 'MaxComputeDataWorksID'}}, 'required': ['MaxComputeProjectName', 'TableName', 'Actions'], 'type': 'object'}, description=""""""), # aliyun/DataWorks MCP Server/RevokeTablePermission
    Tool(name="""DataWorks MCP Server_ApprovePermissionApplyOrder""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'ApproveAction': {'description': '- 1- 2'}, 'ApproveComment': {'description': '', 'type': 'string'}, 'FlowId': {'description': 'ID', 'type': 'string'}}, 'required': ['FlowId', 'ApproveComment'], 'type': 'object'}, description=""""""), # aliyun/DataWorks MCP Server/ApprovePermissionApplyOrder
    Tool(name="""DataWorks MCP Server_SubmitDataServiceApi""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'ApiId': {'description': 'APIID'}, 'ProjectId': {'description': 'DataWorksID'}, 'TenantId': {'description': 'ID'}}, 'type': 'object'}, description="""API"""), # aliyun/DataWorks MCP Server/SubmitDataServiceApi
    Tool(name="""DataWorks MCP Server_ListDataServicePublishedApis""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'ApiNameKeyword': {'description': 'APIAPIAPI', 'type': 'string'}, 'ApiPathKeyword': {'description': 'APIAPIAPI', 'type': 'string'}, 'CreatorId': {'description': 'APIIDAPI', 'type': 'string'}, 'PageNumber': {'description': '11'}, 'PageSize': {'description': '10100'}, 'ProjectId': {'description': 'ID'}, 'TenantId': {'description': 'ID[DataWorks](https://workbench.data.aliyun.com/console)DataStudio>ID'}}, 'type': 'object'}, description="""API"""), # aliyun/DataWorks MCP Server/ListDataServicePublishedApis
    Tool(name="""DataWorks MCP Server_GetPermissionApplyOrderDetail""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'FlowId': {'description': 'ID', 'type': 'string'}}, 'required': ['FlowId'], 'type': 'object'}, description=""""""), # aliyun/DataWorks MCP Server/GetPermissionApplyOrderDetail
    Tool(name="""DataWorks MCP Server_UpdateDataServiceApi""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'ApiDescription': {'description': 'API', 'type': 'string'}, 'ApiId': {'description': 'APIID'}, 'ApiPath': {'description': 'API', 'type': 'string'}, 'ProjectId': {'description': 'ID'}, 'Protocols': {'description': 'API0HTTP1HTTPS,', 'type': 'string'}, 'RegistrationDetails': {'description': 'API[GetDataServiceApi](~~174013~~)registrationDetailsJSONString', 'type': 'string'}, 'RequestMethod': {'description': 'API0GET1POST2PUT3DELTEAPIGETPOSTAPIGETPOSTPUTDELETE'}, 'ResourceGroupId': {'description': 'ID'}, 'ResponseContentType': {'description': 'API0JSON1XMLAPIJSONAPIJSONXML'}, 'ScriptDetails': {'description': 'API[GetDataServiceApi](~~174013~~)scriptDetailsJSONString', 'type': 'string'}, 'TenantId': {'description': 'ID[DataWorks](https://workbench.data.aliyun.com/console)DataStudio>ID'}, 'Timeout': {'description': 'ms(0,30000]'}, 'VisibleRange': {'description': '01'}, 'WizardDetails': {'description': 'API[GetDataServiceApi](~~174013~~)wizardDetailsJSONString', 'type': 'string'}}, 'required': ['Protocols', 'ApiPath', 'ApiDescription'], 'type': 'object'}, description="""API"""), # aliyun/DataWorks MCP Server/UpdateDataServiceApi
    Tool(name="""DataWorks MCP Server_PublishDataServiceApi""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'ApiId': {'description': 'APIID'}, 'ProjectId': {'description': 'ID'}, 'TenantId': {'description': 'ID[DataWorks](https://workbench.data.aliyun.com/console)DataStudio>ID'}}, 'type': 'object'}, description="""API"""), # aliyun/DataWorks MCP Server/PublishDataServiceApi
    Tool(name="""DataWorks MCP Server_GetMetaTableBasicInfo""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'ClusterId': {'description': 'EMRIDDataSourceTypeEMR', 'type': 'string'}, 'DataSourceType': {'description': 'odpsemr', 'type': 'string'}, 'DatabaseName': {'description': 'EMR', 'type': 'string'}, 'Extension': {'description': 'ODPS', 'type': 'boolean'}, 'TableGuid': {'description': 'MaxComputeodps.projectName.tableName>EMR', 'type': 'string'}, 'TableName': {'description': 'EMREMR', 'type': 'string'}}, 'type': 'object'}, description=""""""), # aliyun/DataWorks MCP Server/GetMetaTableBasicInfo
    Tool(name="""DataWorks MCP Server_GetMetaTableColumn""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'ClusterId': {'description': 'EMRID', 'type': 'string'}, 'DataSourceType': {'description': 'emr', 'type': 'string'}, 'DatabaseName': {'description': 'EMR', 'type': 'string'}, 'PageNum': {'description': ''}, 'PageSize': {'description': '10100'}, 'TableGuid': {'description': '', 'type': 'string'}, 'TableName': {'description': 'EMR', 'type': 'string'}}, 'type': 'object'}, description=""""""), # aliyun/DataWorks MCP Server/GetMetaTableColumn
    Tool(name="""Anki MCP Server_get-cards-reviewed""", inputSchema={'properties': {}, 'title': 'get_cards_reviewedArguments', 'type': 'object'}, description="""Get the number of cards reviewed by day"""), # johwiebe/Anki MCP Server/get-cards-reviewed
    Tool(name="""Anki MCP Server_find-notes""", inputSchema={'properties': {'query': {'title': 'Query', 'type': 'string'}}, 'required': ['query'], 'title': 'find_notesArguments', 'type': 'object'}, description="""Find notes matching a query in Anki"""), # johwiebe/Anki MCP Server/find-notes
    Tool(name="""Anki MCP Server_get-collection-overview""", inputSchema={'properties': {}, 'title': 'get_collection_overviewArguments', 'type': 'object'}, description="""Get comprehensive information about the Anki collection including decks, models, and fields"""), # johwiebe/Anki MCP Server/get-collection-overview
    Tool(name="""Anki MCP Server_add-or-update-notes""", inputSchema={'$defs': {'Note': {'properties': {'deck': {'default': 'Default', 'description': 'Deck name (optional)', 'title': 'Deck', 'type': 'string'}, 'fields': {'additionalProperties': {'type': 'string'}, 'description': 'Field values for the note (varies by model)', 'title': 'Fields', 'type': 'object'}, 'id': {'anyOf': [{'type': 'integer'}, {'type': 'null'}], 'description': 'Note ID, if the note already exists. If this is populated the existing note will be updated. If this is `None` a new note will be created.', 'title': 'Id'}, 'model': {'default': 'Basic', 'description': 'Model name (optional)', 'title': 'Model', 'type': 'string'}, 'name': {'description': 'Name of the note', 'maxLength': 64, 'title': 'Name', 'type': 'string'}, 'tags': {'anyOf': [{'items': {'type': 'string'}, 'type': 'array'}, {'type': 'null'}], 'default': None, 'description': 'Tags to assign to the note (optional)', 'title': 'Tags'}}, 'required': ['name', 'id', 'fields'], 'title': 'Note', 'type': 'object'}}, 'properties': {'notes': {'items': {'$ref': '#/$defs/Note'}, 'title': 'Notes', 'type': 'array'}}, 'required': ['notes'], 'title': 'add_or_update_notesArguments', 'type': 'object'}, description="""Add new notes or update existing ones in Anki"""), # johwiebe/Anki MCP Server/add-or-update-notes
    Tool(name="""IDA Pro MCP_declare_c_type""", inputSchema={'properties': {'c_declaration': {'description': 'C declaration of the type. Examples include: typedef int foo_t; struct bar { int a; bool b; };', 'title': 'C Declaration', 'type': 'string'}}, 'required': ['c_declaration'], 'title': 'declare_c_typeArguments', 'type': 'object'}, description="""Create or update a local type from a C declaration"""), # mrexodia/IDA Pro MCP/declare_c_type
    Tool(name="""IDA Pro MCP_set_local_variable_type""", inputSchema={'properties': {'function_address': {'description': 'Address of the function containing the variable', 'title': 'Function Address', 'type': 'string'}, 'new_type': {'description': 'New type for the variable', 'title': 'New Type', 'type': 'string'}, 'variable_name': {'description': 'Name of the variable', 'title': 'Variable Name', 'type': 'string'}}, 'required': ['function_address', 'variable_name', 'new_type'], 'title': 'set_local_variable_typeArguments', 'type': 'object'}, description="""Set a local variable's type"""), # mrexodia/IDA Pro MCP/set_local_variable_type
    Tool(name="""IDA Pro MCP_check_connection""", inputSchema={'properties': {}, 'title': 'check_connectionArguments', 'type': 'object'}, description="""Check if the IDA plugin is running"""), # mrexodia/IDA Pro MCP/check_connection
    Tool(name="""IDA Pro MCP_get_metadata""", inputSchema={'properties': {}, 'title': 'get_metadataArguments', 'type': 'object'}, description="""Get metadata about the current IDB"""), # mrexodia/IDA Pro MCP/get_metadata
    Tool(name="""IDA Pro MCP_get_function_by_name""", inputSchema={'properties': {'name': {'description': 'Name of the function to get', 'title': 'Name', 'type': 'string'}}, 'required': ['name'], 'title': 'get_function_by_nameArguments', 'type': 'object'}, description="""Get a function by its name"""), # mrexodia/IDA Pro MCP/get_function_by_name
    Tool(name="""IDA Pro MCP_get_function_by_address""", inputSchema={'properties': {'address': {'description': 'Address of the function to get', 'title': 'Address', 'type': 'string'}}, 'required': ['address'], 'title': 'get_function_by_addressArguments', 'type': 'object'}, description="""Get a function by its address"""), # mrexodia/IDA Pro MCP/get_function_by_address
    Tool(name="""IDA Pro MCP_get_current_address""", inputSchema={'properties': {}, 'title': 'get_current_addressArguments', 'type': 'object'}, description="""Get the address currently selected by the user"""), # mrexodia/IDA Pro MCP/get_current_address
    Tool(name="""IDA Pro MCP_get_current_function""", inputSchema={'properties': {}, 'title': 'get_current_functionArguments', 'type': 'object'}, description="""Get the function currently selected by the user"""), # mrexodia/IDA Pro MCP/get_current_function
    Tool(name="""IDA Pro MCP_convert_number""", inputSchema={'properties': {'size': {'anyOf': [{'type': 'integer'}, {'type': 'null'}], 'description': 'Size of the variable in bytes', 'title': 'Size'}, 'text': {'description': 'Textual representation of the number to convert', 'title': 'Text', 'type': 'string'}}, 'required': ['text', 'size'], 'title': 'convert_numberArguments', 'type': 'object'}, description="""Convert a number (decimal, hexadecimal) to different representations"""), # mrexodia/IDA Pro MCP/convert_number
    Tool(name="""IDA Pro MCP_list_functions""", inputSchema={'properties': {'count': {'description': 'Number of functions to list (100 is a good default, 0 means remainder)', 'title': 'Count', 'type': 'integer'}, 'offset': {'description': 'Offset to start listing from (start at 0)', 'title': 'Offset', 'type': 'integer'}}, 'required': ['offset', 'count'], 'title': 'list_functionsArguments', 'type': 'object'}, description="""List all functions in the database (paginated)"""), # mrexodia/IDA Pro MCP/list_functions
    Tool(name="""IDA Pro MCP_list_strings""", inputSchema={'properties': {'count': {'description': 'Number of strings to list (100 is a good default, 0 means remainder)', 'title': 'Count', 'type': 'integer'}, 'offset': {'description': 'Offset to start listing from (start at 0)', 'title': 'Offset', 'type': 'integer'}}, 'required': ['offset', 'count'], 'title': 'list_stringsArguments', 'type': 'object'}, description="""List all strings in the database (paginated)"""), # mrexodia/IDA Pro MCP/list_strings
    Tool(name="""IDA Pro MCP_search_strings""", inputSchema={'properties': {'count': {'description': 'Number of strings to list (100 is a good default, 0 means remainder)', 'title': 'Count', 'type': 'integer'}, 'offset': {'description': 'Offset to start listing from (start at 0)', 'title': 'Offset', 'type': 'integer'}, 'pattern': {'description': 'Substring to search for in strings', 'title': 'Pattern', 'type': 'string'}}, 'required': ['pattern', 'offset', 'count'], 'title': 'search_stringsArguments', 'type': 'object'}, description="""Search for strings containing the given pattern (case-insensitive)"""), # mrexodia/IDA Pro MCP/search_strings
    Tool(name="""IDA Pro MCP_decompile_function""", inputSchema={'properties': {'address': {'description': 'Address of the function to decompile', 'title': 'Address', 'type': 'string'}}, 'required': ['address'], 'title': 'decompile_functionArguments', 'type': 'object'}, description="""Decompile a function at the given address"""), # mrexodia/IDA Pro MCP/decompile_function
    Tool(name="""IDA Pro MCP_disassemble_function""", inputSchema={'properties': {'start_address': {'description': 'Address of the function to disassemble', 'title': 'Start Address', 'type': 'string'}}, 'required': ['start_address'], 'title': 'disassemble_functionArguments', 'type': 'object'}, description="""Get assembly code (address: instruction; comment) for a function"""), # mrexodia/IDA Pro MCP/disassemble_function
    Tool(name="""IDA Pro MCP_get_xrefs_to""", inputSchema={'properties': {'address': {'description': 'Address to get cross references to', 'title': 'Address', 'type': 'string'}}, 'required': ['address'], 'title': 'get_xrefs_toArguments', 'type': 'object'}, description="""Get all cross references to the given address"""), # mrexodia/IDA Pro MCP/get_xrefs_to
    Tool(name="""IDA Pro MCP_get_entry_points""", inputSchema={'properties': {}, 'title': 'get_entry_pointsArguments', 'type': 'object'}, description="""Get all entry points in the database"""), # mrexodia/IDA Pro MCP/get_entry_points
    Tool(name="""IDA Pro MCP_set_comment""", inputSchema={'properties': {'address': {'description': 'Address in the function to set the comment for', 'title': 'Address', 'type': 'string'}, 'comment': {'description': 'Comment text', 'title': 'Comment', 'type': 'string'}}, 'required': ['address', 'comment'], 'title': 'set_commentArguments', 'type': 'object'}, description="""Set a comment for a given address in the function disassembly and pseudocode"""), # mrexodia/IDA Pro MCP/set_comment
    Tool(name="""IDA Pro MCP_rename_local_variable""", inputSchema={'properties': {'function_address': {'description': 'Address of the function containing the variable', 'title': 'Function Address', 'type': 'string'}, 'new_name': {'description': 'New name for the variable (empty for a default name)', 'title': 'New Name', 'type': 'string'}, 'old_name': {'description': 'Current name of the variable', 'title': 'Old Name', 'type': 'string'}}, 'required': ['function_address', 'old_name', 'new_name'], 'title': 'rename_local_variableArguments', 'type': 'object'}, description="""Rename a local variable in a function"""), # mrexodia/IDA Pro MCP/rename_local_variable
    Tool(name="""IDA Pro MCP_rename_global_variable""", inputSchema={'properties': {'new_name': {'description': 'New name for the global variable (empty for a default name)', 'title': 'New Name', 'type': 'string'}, 'old_name': {'description': 'Current name of the global variable', 'title': 'Old Name', 'type': 'string'}}, 'required': ['old_name', 'new_name'], 'title': 'rename_global_variableArguments', 'type': 'object'}, description="""Rename a global variable"""), # mrexodia/IDA Pro MCP/rename_global_variable
    Tool(name="""IDA Pro MCP_set_global_variable_type""", inputSchema={'properties': {'new_type': {'description': 'New type for the variable', 'title': 'New Type', 'type': 'string'}, 'variable_name': {'description': 'Name of the global variable', 'title': 'Variable Name', 'type': 'string'}}, 'required': ['variable_name', 'new_type'], 'title': 'set_global_variable_typeArguments', 'type': 'object'}, description="""Set a global variable's type"""), # mrexodia/IDA Pro MCP/set_global_variable_type
    Tool(name="""IDA Pro MCP_rename_function""", inputSchema={'properties': {'function_address': {'description': 'Address of the function to rename', 'title': 'Function Address', 'type': 'string'}, 'new_name': {'description': 'New name for the function (empty for a default name)', 'title': 'New Name', 'type': 'string'}}, 'required': ['function_address', 'new_name'], 'title': 'rename_functionArguments', 'type': 'object'}, description="""Rename a function"""), # mrexodia/IDA Pro MCP/rename_function
    Tool(name="""IDA Pro MCP_set_function_prototype""", inputSchema={'properties': {'function_address': {'description': 'Address of the function', 'title': 'Function Address', 'type': 'string'}, 'prototype': {'description': 'New function prototype', 'title': 'Prototype', 'type': 'string'}}, 'required': ['function_address', 'prototype'], 'title': 'set_function_prototypeArguments', 'type': 'object'}, description="""Set a function's prototype"""), # mrexodia/IDA Pro MCP/set_function_prototype
    Tool(name="""MCP SNS Server_list_proposals""", inputSchema={'properties': {'daoName': {'description': 'DAO name', 'type': 'string'}}, 'required': ['daoName'], 'type': 'object'}, description="""List all proposals"""), # baolongt/MCP SNS Server/list_proposals
    Tool(name="""MCP SNS Server_list_votable_neurons""", inputSchema={'properties': {'daoName': {'description': 'DAO name', 'type': 'string'}, 'principalId': {'description': 'Principal ID', 'type': 'string'}}, 'required': ['principalId'], 'type': 'object'}, description="""List all votable neurons"""), # baolongt/MCP SNS Server/list_votable_neurons
    Tool(name="""MCP Think Tool Server_think""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'thought': {'type': 'string'}}, 'required': ['thought'], 'type': 'object'}, description="""Use this tool to think about something. It will not obtain new information or change anything, but just append the thought to the log. Use it when complex reasoning or cache memory is needed.\n\n      Args:\n      thought: A thought to think about. This can be structured reasoning, step-by-step analysis, policy verification, or any other mental process that helps with problem-solving."""), # abhinav-mangla/MCP Think Tool Server/think
    Tool(name="""MCP Think Tool Server_get_thoughts""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {}, 'type': 'object'}, description="""Retrieve all thoughts recorded in the current session.\n      This tool helps review the thinking process that has occurred so far."""), # abhinav-mangla/MCP Think Tool Server/get_thoughts
    Tool(name="""MCP Think Tool Server_clear_thoughts""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {}, 'type': 'object'}, description="""Clear all recorded thoughts from the current session.\n      Use this to start fresh if the thinking process needs to be reset."""), # abhinav-mangla/MCP Think Tool Server/clear_thoughts
    Tool(name="""Elasticsearch MCP Server_list_indices""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {}, 'type': 'object'}, description="""List all available Elasticsearch indices"""), # elastic/Elasticsearch MCP Server/list_indices
    Tool(name="""Elasticsearch MCP Server_get_mappings""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'index': {'description': 'Name of the Elasticsearch index to get mappings for', 'minLength': 1, 'type': 'string'}}, 'required': ['index'], 'type': 'object'}, description="""Get field mappings for a specific Elasticsearch index"""), # elastic/Elasticsearch MCP Server/get_mappings
    Tool(name="""Elasticsearch MCP Server_search""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'index': {'description': 'Name of the Elasticsearch index to search', 'minLength': 1, 'type': 'string'}, 'queryBody': {'additionalProperties': {}, 'description': 'Complete Elasticsearch query DSL object that can include query, size, from, sort, etc.', 'type': 'object'}}, 'required': ['index', 'queryBody'], 'type': 'object'}, description="""Perform an Elasticsearch search with the provided query DSL. Highlights are always enabled."""), # elastic/Elasticsearch MCP Server/search
    Tool(name="""MCP-Devin_get_devin_session""", inputSchema={'properties': {'fetch_slack_info': {'description': 'Whether to fetch associated Slack messages (if available)', 'type': 'boolean'}, 'session_id': {'description': 'The ID of the Devin session', 'type': 'string'}}, 'required': ['session_id'], 'type': 'object'}, description="""Get information about an existing Devin session and optionally fetch associated Slack messages"""), # kazuph/MCP-Devin/get_devin_session
    Tool(name="""MCP-Devin_list_devin_sessions""", inputSchema={'properties': {'limit': {'description': 'Maximum number of sessions to return', 'type': 'number'}, 'offset': {'description': 'Number of sessions to skip', 'type': 'number'}}, 'type': 'object'}, description="""List all Devin sessions"""), # kazuph/MCP-Devin/list_devin_sessions
    Tool(name="""MCP-Devin_create_devin_session""", inputSchema={'properties': {'idempotent': {'description': 'Enable idempotent session creation', 'type': 'boolean'}, 'machine_snapshot_id': {'description': 'Optional machine snapshot ID', 'type': 'string'}, 'max_acu': {'description': 'Optional compute limit override', 'type': 'number'}, 'prompt': {'description': 'Task description for Devin', 'type': 'string'}, 'slack_channel': {'description': 'Optional Slack channel ID to post to (default: from config)', 'type': 'string'}}, 'required': ['prompt'], 'type': 'object'}, description="""Create a new Devin session for code development and post the task to Slack. Note: This is the recommended approach as it will automatically post your task to Slack as @Devin mention. Please craft your request to Devin in the same language that the user is using to communicate with you, maintaining language consistency throughout the experience."""), # kazuph/MCP-Devin/create_devin_session
    Tool(name="""MCP-Devin_send_message_to_session""", inputSchema={'properties': {'message': {'description': 'Message to send to Devin', 'type': 'string'}, 'session_id': {'description': 'The ID of the Devin session', 'type': 'string'}, 'slack_channel': {'description': 'Optional Slack channel ID to post to', 'type': 'string'}, 'slack_thread_ts': {'description': 'Optional Slack thread timestamp to reply to', 'type': 'string'}}, 'required': ['session_id', 'message'], 'type': 'object'}, description="""Send a message to an existing Devin session and optionally to the associated Slack thread"""), # kazuph/MCP-Devin/send_message_to_session
    Tool(name="""MCP-Devin_get_organization_info""", inputSchema={'properties': {}, 'type': 'object'}, description="""Get information about the current Devin organization"""), # kazuph/MCP-Devin/get_organization_info
    Tool(name="""Reddit MCP_get_submission""", inputSchema={'properties': {'submission_id': {'title': 'Submission Id', 'type': 'string'}}, 'required': ['submission_id'], 'title': 'get_submissionArguments', 'type': 'object'}, description="""\n    Retrieve a specific submission by ID.\n\n    Args:\n        submission_id: ID of the submission to retrieve\n\n    Returns:\n        Detailed information about the submission\n    """), # GridfireAI/Reddit MCP/get_submission
    Tool(name="""Reddit MCP_get_subreddit""", inputSchema={'properties': {'subreddit_name': {'title': 'Subreddit Name', 'type': 'string'}}, 'required': ['subreddit_name'], 'title': 'get_subredditArguments', 'type': 'object'}, description="""\n    Retrieve a subreddit by name.\n\n    Args:\n        subreddit_name: Name of the subreddit to retrieve\n\n    Returns:\n        Detailed information about the subreddit\n    """), # GridfireAI/Reddit MCP/get_subreddit
    Tool(name="""Reddit MCP_get_comments_by_submission""", inputSchema={'properties': {'replace_more': {'default': True, 'title': 'Replace More', 'type': 'boolean'}, 'submission_id': {'title': 'Submission Id', 'type': 'string'}}, 'required': ['submission_id'], 'title': 'get_comments_by_submissionArguments', 'type': 'object'}, description="""\n    Retrieve comments from a specific submission.\n\n    Args:\n        submission_id: ID of the submission to get comments from\n        replace_more: Whether to replace MoreComments objects with actual comments\n\n    Returns:\n        List of comments with their replies\n    """), # GridfireAI/Reddit MCP/get_comments_by_submission
    Tool(name="""Reddit MCP_get_comment_by_id""", inputSchema={'properties': {'comment_id': {'title': 'Comment Id', 'type': 'string'}}, 'required': ['comment_id'], 'title': 'get_comment_by_idArguments', 'type': 'object'}, description="""\n    Retrieve a specific comment by ID.\n\n    Args:\n        comment_id: ID of the comment to retrieve\n\n    Returns:\n        Comment details with any replies\n    """), # GridfireAI/Reddit MCP/get_comment_by_id
    Tool(name="""Reddit MCP_search_posts""", inputSchema={'$defs': {'SearchPostsParams': {'description': 'Parameters for searching posts within a subreddit', 'properties': {'query': {'description': 'Search query string', 'title': 'Query', 'type': 'string'}, 'sort': {'default': 'relevance', 'description': 'How to sort the results', 'enum': ['relevance', 'hot', 'top', 'new', 'comments'], 'title': 'Sort', 'type': 'string'}, 'subreddit_name': {'description': 'Name of the subreddit to search in', 'title': 'Subreddit Name', 'type': 'string'}, 'syntax': {'default': 'lucene', 'description': 'Query syntax to use', 'enum': ['cloudsearch', 'lucene', 'plain'], 'title': 'Syntax', 'type': 'string'}, 'time_filter': {'default': 'all', 'description': 'Time period to limit results to', 'enum': ['all', 'year', 'month', 'week', 'day', 'hour'], 'title': 'Time Filter', 'type': 'string'}}, 'required': ['subreddit_name', 'query'], 'title': 'SearchPostsParams', 'type': 'object'}}, 'properties': {'params': {'$ref': '#/$defs/SearchPostsParams'}}, 'required': ['params'], 'title': 'search_postsArguments', 'type': 'object'}, description="""\n    Search for posts within a subreddit.\n\n    Args:\n        params: Search parameters including subreddit name, query, and filters\n\n    Returns:\n        List of matching posts with their details\n    """), # GridfireAI/Reddit MCP/search_posts
    Tool(name="""Reddit MCP_search_subreddits""", inputSchema={'$defs': {'SearchByDescription': {'description': 'Parameters for searching subreddits by description', 'properties': {'include_full_description': {'default': False, 'description': 'Whether to include the full subreddit description (aka sidebar description) in results -- can be very long and contain markdown formatting', 'title': 'Include Full Description', 'type': 'boolean'}, 'query': {'title': 'Query', 'type': 'string'}, 'type': {'const': 'description', 'title': 'Type', 'type': 'string'}}, 'required': ['type', 'query'], 'title': 'SearchByDescription', 'type': 'object'}, 'SearchByName': {'description': 'Parameters for searching subreddits by name', 'properties': {'exact_match': {'default': False, 'description': 'If True, only return exact name matches', 'title': 'Exact Match', 'type': 'boolean'}, 'include_nsfw': {'default': False, 'description': 'Whether to include NSFW subreddits in search results', 'title': 'Include Nsfw', 'type': 'boolean'}, 'query': {'title': 'Query', 'type': 'string'}, 'type': {'const': 'name', 'title': 'Type', 'type': 'string'}}, 'required': ['type', 'query'], 'title': 'SearchByName', 'type': 'object'}}, 'properties': {'by': {'anyOf': [{'$ref': '#/$defs/SearchByName'}, {'$ref': '#/$defs/SearchByDescription'}], 'title': 'By'}}, 'required': ['by'], 'title': 'search_subredditsArguments', 'type': 'object'}, description="""\n    Search for subreddits using either name-based or description-based search.\n\n    Args:\n        by: Search parameters, either SearchByName or SearchByDescription\n\n    Returns:\n        List of matching subreddits with their details\n    """), # GridfireAI/Reddit MCP/search_subreddits
    Tool(name="""MCP Server Trello_get_cards_by_list_id""", inputSchema={'properties': {'listId': {'description': 'ID of the Trello list', 'type': 'string'}}, 'required': ['listId'], 'type': 'object'}, description="""Fetch cards from a specific Trello list"""), # diegofornalha/MCP Server Trello/get_cards_by_list_id
    Tool(name="""MCP Server Trello_get_lists""", inputSchema={'properties': {}, 'required': [], 'type': 'object'}, description="""Retrieve all lists from the specified board"""), # diegofornalha/MCP Server Trello/get_lists
    Tool(name="""MCP Server Trello_get_recent_activity""", inputSchema={'properties': {'limit': {'description': 'Number of activities to fetch (default: 10)', 'type': 'number'}}, 'required': [], 'type': 'object'}, description="""Fetch recent activity on the Trello board"""), # diegofornalha/MCP Server Trello/get_recent_activity
    Tool(name="""MCP Server Trello_add_card_to_list""", inputSchema={'properties': {'description': {'description': 'Description of the card', 'type': 'string'}, 'dueDate': {'description': 'Due date for the card (ISO 8601 format)', 'type': 'string'}, 'labels': {'description': 'Array of label IDs to apply to the card', 'items': {'type': 'string'}, 'type': 'array'}, 'listId': {'description': 'ID of the list to add the card to', 'type': 'string'}, 'name': {'description': 'Name of the card', 'type': 'string'}}, 'required': ['listId', 'name'], 'type': 'object'}, description="""Add a new card to a specified list"""), # diegofornalha/MCP Server Trello/add_card_to_list
    Tool(name="""MCP Server Trello_update_card_details""", inputSchema={'properties': {'cardId': {'description': 'ID of the card to update', 'type': 'string'}, 'description': {'description': 'New description for the card', 'type': 'string'}, 'dueDate': {'description': 'New due date for the card (ISO 8601 format)', 'type': 'string'}, 'labels': {'description': 'New array of label IDs for the card', 'items': {'type': 'string'}, 'type': 'array'}, 'name': {'description': 'New name for the card', 'type': 'string'}}, 'required': ['cardId'], 'type': 'object'}, description="""Update an existing card's details"""), # diegofornalha/MCP Server Trello/update_card_details
    Tool(name="""MCP Server Trello_archive_card""", inputSchema={'properties': {'cardId': {'description': 'ID of the card to archive', 'type': 'string'}}, 'required': ['cardId'], 'type': 'object'}, description="""Send a card to the archive"""), # diegofornalha/MCP Server Trello/archive_card
    Tool(name="""MCP Server Trello_add_list_to_board""", inputSchema={'properties': {'name': {'description': 'Name of the new list', 'type': 'string'}}, 'required': ['name'], 'type': 'object'}, description="""Add a new list to the board"""), # diegofornalha/MCP Server Trello/add_list_to_board
    Tool(name="""MCP Server Trello_archive_list""", inputSchema={'properties': {'listId': {'description': 'ID of the list to archive', 'type': 'string'}}, 'required': ['listId'], 'type': 'object'}, description="""Send a list to the archive"""), # diegofornalha/MCP Server Trello/archive_list
    Tool(name="""MCP Server Trello_get_my_cards""", inputSchema={'properties': {}, 'required': [], 'type': 'object'}, description="""Fetch all cards assigned to the current user"""), # diegofornalha/MCP Server Trello/get_my_cards
    Tool(name="""MCP Sequential Thinking Tools_sequentialthinking_tools""", inputSchema={'properties': {'branch_from_thought': {'description': 'Branching point thought number', 'minimum': 1, 'type': 'integer'}, 'branch_id': {'description': 'Branch identifier', 'type': 'string'}, 'current_step': {'description': 'Current step recommendation', 'properties': {'expected_outcome': {'description': 'What to expect from this step', 'type': 'string'}, 'next_step_conditions': {'description': 'Conditions to consider for the next step', 'items': {'type': 'string'}, 'type': 'array'}, 'recommended_tools': {'description': 'Tools recommended for this step', 'items': {'properties': {'alternatives': {'description': 'Alternative tools that could be used', 'items': {'type': 'string'}, 'type': 'array'}, 'confidence': {'description': '0-1 indicating confidence in recommendation', 'maximum': 1, 'minimum': 0, 'type': 'number'}, 'priority': {'description': 'Order in the recommendation sequence', 'type': 'number'}, 'rationale': {'description': 'Why this tool is recommended', 'type': 'string'}, 'suggested_inputs': {'description': 'Optional suggested parameters', 'type': 'object'}, 'tool_name': {'description': 'Name of the tool being recommended', 'type': 'string'}}, 'required': ['tool_name', 'confidence', 'rationale', 'priority'], 'type': 'object'}, 'type': 'array'}, 'step_description': {'description': 'What needs to be done', 'type': 'string'}}, 'required': ['step_description', 'recommended_tools', 'expected_outcome'], 'type': 'object'}, 'is_revision': {'description': 'Whether this revises previous thinking', 'type': 'boolean'}, 'needs_more_thoughts': {'description': 'If more thoughts are needed', 'type': 'boolean'}, 'next_thought_needed': {'description': 'Whether another thought step is needed', 'type': 'boolean'}, 'previous_steps': {'description': 'Steps already recommended', 'items': {'properties': {'expected_outcome': {'description': 'What to expect from this step', 'type': 'string'}, 'next_step_conditions': {'description': 'Conditions to consider for the next step', 'items': {'type': 'string'}, 'type': 'array'}, 'recommended_tools': {'description': 'Tools recommended for this step', 'items': {'properties': {'alternatives': {'description': 'Alternative tools that could be used', 'items': {'type': 'string'}, 'type': 'array'}, 'confidence': {'description': '0-1 indicating confidence in recommendation', 'maximum': 1, 'minimum': 0, 'type': 'number'}, 'priority': {'description': 'Order in the recommendation sequence', 'type': 'number'}, 'rationale': {'description': 'Why this tool is recommended', 'type': 'string'}, 'suggested_inputs': {'description': 'Optional suggested parameters', 'type': 'object'}, 'tool_name': {'description': 'Name of the tool being recommended', 'type': 'string'}}, 'required': ['tool_name', 'confidence', 'rationale', 'priority'], 'type': 'object'}, 'type': 'array'}, 'step_description': {'description': 'What needs to be done', 'type': 'string'}}, 'required': ['step_description', 'recommended_tools', 'expected_outcome'], 'type': 'object'}, 'type': 'array'}, 'remaining_steps': {'description': 'High-level descriptions of upcoming steps', 'items': {'type': 'string'}, 'type': 'array'}, 'revises_thought': {'description': 'Which thought is being reconsidered', 'minimum': 1, 'type': 'integer'}, 'thought': {'description': 'Your current thinking step', 'type': 'string'}, 'thought_number': {'description': 'Current thought number', 'minimum': 1, 'type': 'integer'}, 'total_thoughts': {'description': 'Estimated total thoughts needed', 'minimum': 1, 'type': 'integer'}}, 'required': ['thought', 'next_thought_needed', 'thought_number', 'total_thoughts'], 'type': 'object'}, description="""A detailed tool for dynamic and reflective problem-solving through thoughts.\nThis tool helps analyze problems through a flexible thinking process that can adapt and evolve.\nEach thought can build on, question, or revise previous insights as understanding deepens.\n\nIMPORTANT: When initializing this tool, you must pass all available tools that you want the sequential thinking process to be able to use. The tool will analyze these tools and provide recommendations for their use.\n\nWhen to use this tool:\n- Breaking down complex problems into steps\n- Planning and design with room for revision\n- Analysis that might need course correction\n- Problems where the full scope might not be clear initially\n- Problems that require a multi-step solution\n- Tasks that need to maintain context over multiple steps\n- Situations where irrelevant information needs to be filtered out\n- When you need guidance on which tools to use and in what order\n\nKey features:\n- You can adjust total_thoughts up or down as you progress\n- You can question or revise previous thoughts\n- You can add more thoughts even after reaching what seemed like the end\n- You can express uncertainty and explore alternative approaches\n- Not every thought needs to build linearly - you can branch or backtrack\n- Generates a solution hypothesis\n- Verifies the hypothesis based on the Chain of Thought steps\n- Recommends appropriate tools for each step\n- Provides rationale for tool recommendations\n- Suggests tool execution order and parameters\n- Tracks previous recommendations and remaining steps\n\nParameters explained:\n- thought: Your current thinking step, which can include:\n* Regular analytical steps\n* Revisions of previous thoughts\n* Questions about previous decisions\n* Realizations about needing more analysis\n* Changes in approach\n* Hypothesis generation\n* Hypothesis verification\n* Tool recommendations and rationale\n- next_thought_needed: True if you need more thinking, even if at what seemed like the end\n- thought_number: Current number in sequence (can go beyond initial total if needed)\n- total_thoughts: Current estimate of thoughts needed (can be adjusted up/down)\n- is_revision: A boolean indicating if this thought revises previous thinking\n- revises_thought: If is_revision is true, which thought number is being reconsidered\n- branch_from_thought: If branching, which thought number is the branching point\n- branch_id: Identifier for the current branch (if any)\n- needs_more_thoughts: If reaching end but realizing more thoughts needed\n- current_step: Current step recommendation, including:\n* step_description: What needs to be done\n* recommended_tools: Tools recommended for this step\n* expected_outcome: What to expect from this step\n* next_step_conditions: Conditions to consider for the next step\n- previous_steps: Steps already recommended\n- remaining_steps: High-level descriptions of upcoming steps\n\nYou should:\n1. Start with an initial estimate of needed thoughts, but be ready to adjust\n2. Feel free to question or revise previous thoughts\n3. Don't hesitate to add more thoughts if needed, even at the \"end\"\n4. Express uncertainty when present\n5. Mark thoughts that revise previous thinking or branch into new paths\n6. Ignore information that is irrelevant to the current step\n7. Generate a solution hypothesis when appropriate\n8. Verify the hypothesis based on the Chain of Thought steps\n9. Consider available tools that could help with the current step\n10. Provide clear rationale for tool recommendations\n11. Suggest specific tool parameters when appropriate\n12. Consider alternative tools for each step\n13. Track progress through the recommended steps\n14. Provide a single, ideally correct answer as the final output\n15. Only set next_thought_needed to false when truly done and a satisfactory answer is reached"""), # xinzhongyouhai/MCP Sequential Thinking Tools/sequentialthinking_tools
    Tool(name="""OceanBase MCP Server_execute_sql""", inputSchema={'properties': {'query': {'description': 'The SQL query to execute', 'type': 'string'}}, 'required': ['query'], 'type': 'object'}, description="""Execute an SQL query on the OceanBase server"""), # yuanoOo/OceanBase MCP Server/execute_sql
    Tool(name="""Texas Holdem MCP Server_login""", inputSchema={'properties': {'name': {'type': 'string'}}, 'required': ['name'], 'type': 'object'}, description="""login and list all tables in the poker game"""), # freshlife001/Texas Holdem MCP Server/login
    Tool(name="""Texas Holdem MCP Server_join_table""", inputSchema={'properties': {'player_id': {'type': 'string'}, 'table_id': {'type': 'string'}}, 'required': ['player_id', 'table_id'], 'type': 'object'}, description="""Join a poker table"""), # freshlife001/Texas Holdem MCP Server/join_table
    Tool(name="""Texas Holdem MCP Server_get_table_status""", inputSchema={'properties': {'player_id': {'type': 'string'}, 'table_id': {'type': 'string'}}, 'required': ['player_id', 'table_id'], 'type': 'object'}, description="""Get the current status of a poker table"""), # freshlife001/Texas Holdem MCP Server/get_table_status
    Tool(name="""Texas Holdem MCP Server_leave_table""", inputSchema={'properties': {'player_id': {'type': 'string'}, 'table_id': {'type': 'string'}}, 'required': ['player_id', 'table_id'], 'type': 'object'}, description="""Leave a poker table"""), # freshlife001/Texas Holdem MCP Server/leave_table
    Tool(name="""Texas Holdem MCP Server_action_check""", inputSchema={'properties': {'player_id': {'type': 'string'}, 'table_id': {'type': 'string'}}, 'required': ['player_id', 'table_id'], 'type': 'object'}, description="""do action check"""), # freshlife001/Texas Holdem MCP Server/action_check
    Tool(name="""Texas Holdem MCP Server_action_fold""", inputSchema={'properties': {'player_id': {'type': 'string'}, 'table_id': {'type': 'string'}}, 'required': ['player_id', 'table_id'], 'type': 'object'}, description="""do action fold"""), # freshlife001/Texas Holdem MCP Server/action_fold
    Tool(name="""Texas Holdem MCP Server_action_bet""", inputSchema={'properties': {'amount': {'type': 'number'}, 'player_id': {'type': 'string'}, 'table_id': {'type': 'string'}}, 'required': ['player_id', 'table_id', 'amount'], 'type': 'object'}, description="""do action bet"""), # freshlife001/Texas Holdem MCP Server/action_bet
    Tool(name="""Texas Holdem MCP Server_action_raise""", inputSchema={'properties': {'amount': {'type': 'number'}, 'player_id': {'type': 'string'}, 'table_id': {'type': 'string'}}, 'required': ['player_id', 'table_id', 'amount'], 'type': 'object'}, description="""do action raise"""), # freshlife001/Texas Holdem MCP Server/action_raise
    Tool(name="""Texas Holdem MCP Server_action_call""", inputSchema={'properties': {'player_id': {'type': 'string'}, 'table_id': {'type': 'string'}}, 'required': ['player_id', 'table_id'], 'type': 'object'}, description="""do action call"""), # freshlife001/Texas Holdem MCP Server/action_call
    Tool(name="""Terrakube MCP Server_list-variables""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'organizationId': {'description': 'Organization ID', 'type': 'string'}, 'workspaceId': {'description': 'Workspace ID', 'type': 'string'}}, 'required': ['organizationId', 'workspaceId'], 'type': 'object'}, description="""Lists all variables in the specified workspace"""), # AzBuilder/Terrakube MCP Server/list-variables
    Tool(name="""Terrakube MCP Server_list-organizations""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {}, 'type': 'object'}, description="""Lists all organizations accessible to the current user"""), # AzBuilder/Terrakube MCP Server/list-organizations
    Tool(name="""Terrakube MCP Server_get-organization""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'id': {'description': 'Organization ID', 'type': 'string'}}, 'required': ['id'], 'type': 'object'}, description="""Retrieves detailed information about a specific organization by its ID"""), # AzBuilder/Terrakube MCP Server/get-organization
    Tool(name="""Terrakube MCP Server_create-organization""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'description': {'description': 'Organization description', 'type': 'string'}, 'name': {'description': 'Organization name', 'type': 'string'}}, 'required': ['name'], 'type': 'object'}, description="""Creates a new organization with the specified name and optional description"""), # AzBuilder/Terrakube MCP Server/create-organization
    Tool(name="""Terrakube MCP Server_edit-organization""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'description': {'description': 'New organization description', 'type': 'string'}, 'id': {'description': 'Organization ID', 'type': 'string'}, 'name': {'description': 'New organization name', 'type': 'string'}}, 'required': ['id'], 'type': 'object'}, description="""Updates an existing organization's details"""), # AzBuilder/Terrakube MCP Server/edit-organization
    Tool(name="""Terrakube MCP Server_list-workspaces""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'organizationId': {'description': 'Organization ID', 'type': 'string'}}, 'required': ['organizationId'], 'type': 'object'}, description="""Lists all workspaces in the specified organization"""), # AzBuilder/Terrakube MCP Server/list-workspaces
    Tool(name="""Terrakube MCP Server_get-workspace""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'organizationId': {'description': 'Organization ID', 'type': 'string'}, 'workspaceId': {'description': 'Workspace ID', 'type': 'string'}}, 'required': ['organizationId', 'workspaceId'], 'type': 'object'}, description="""Retrieves detailed information about a specific workspace"""), # AzBuilder/Terrakube MCP Server/get-workspace
    Tool(name="""Terrakube MCP Server_create-workspace""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'description': {'description': 'Workspace description', 'type': 'string'}, 'name': {'description': 'Workspace name', 'type': 'string'}, 'organizationId': {'description': 'Organization ID', 'type': 'string'}, 'terraformVersion': {'description': 'Terraform version', 'type': 'string'}, 'vcsProvider': {'description': 'VCS provider (e.g., github, gitlab)', 'type': 'string'}, 'vcsRepo': {'description': 'VCS repository URL', 'type': 'string'}}, 'required': ['organizationId', 'name', 'terraformVersion'], 'type': 'object'}, description="""Creates a new workspace in the specified organization"""), # AzBuilder/Terrakube MCP Server/create-workspace
    Tool(name="""Terrakube MCP Server_edit-workspace""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'description': {'description': 'New workspace description', 'type': 'string'}, 'name': {'description': 'New workspace name', 'type': 'string'}, 'organizationId': {'description': 'Organization ID', 'type': 'string'}, 'terraformVersion': {'description': 'New Terraform version', 'type': 'string'}, 'vcsProvider': {'description': 'New VCS provider', 'type': 'string'}, 'vcsRepo': {'description': 'New VCS repository URL', 'type': 'string'}, 'workspaceId': {'description': 'Workspace ID', 'type': 'string'}}, 'required': ['organizationId', 'workspaceId'], 'type': 'object'}, description="""Updates an existing workspace's details"""), # AzBuilder/Terrakube MCP Server/edit-workspace
    Tool(name="""Terrakube MCP Server_list-modules""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'organizationId': {'description': 'Organization ID', 'type': 'string'}}, 'required': ['organizationId'], 'type': 'object'}, description="""Lists all modules in the specified organization"""), # AzBuilder/Terrakube MCP Server/list-modules
    Tool(name="""Terrakube MCP Server_get-module""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'moduleId': {'description': 'Module ID', 'type': 'string'}, 'organizationId': {'description': 'Organization ID', 'type': 'string'}}, 'required': ['organizationId', 'moduleId'], 'type': 'object'}, description="""Retrieves detailed information about a specific module"""), # AzBuilder/Terrakube MCP Server/get-module
    Tool(name="""Terrakube MCP Server_create-module""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'description': {'description': 'Module description', 'type': 'string'}, 'name': {'description': 'Module name', 'type': 'string'}, 'organizationId': {'description': 'Organization ID', 'type': 'string'}, 'provider': {'description': 'Provider name', 'type': 'string'}, 'registry': {'description': 'Registry URL', 'type': 'string'}}, 'required': ['organizationId', 'name', 'registry', 'provider'], 'type': 'object'}, description="""Creates a new module in the specified organization"""), # AzBuilder/Terrakube MCP Server/create-module
    Tool(name="""Terrakube MCP Server_edit-module""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'description': {'description': 'New module description', 'type': 'string'}, 'moduleId': {'description': 'Module ID', 'type': 'string'}, 'name': {'description': 'New module name', 'type': 'string'}, 'organizationId': {'description': 'Organization ID', 'type': 'string'}, 'provider': {'description': 'New provider name', 'type': 'string'}, 'registry': {'description': 'New registry URL', 'type': 'string'}}, 'required': ['organizationId', 'moduleId'], 'type': 'object'}, description="""Updates an existing module's details"""), # AzBuilder/Terrakube MCP Server/edit-module
    Tool(name="""Terrakube MCP Server_get-variable""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'organizationId': {'description': 'Organization ID', 'type': 'string'}, 'variableId': {'description': 'Variable ID', 'type': 'string'}, 'workspaceId': {'description': 'Workspace ID', 'type': 'string'}}, 'required': ['organizationId', 'workspaceId', 'variableId'], 'type': 'object'}, description="""Retrieves detailed information about a specific variable"""), # AzBuilder/Terrakube MCP Server/get-variable
    Tool(name="""Terrakube MCP Server_create-variable""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'category': {'description': 'Variable category (e.g., terraform, environment)', 'type': 'string'}, 'description': {'description': 'Variable description', 'type': 'string'}, 'key': {'description': 'Variable key', 'type': 'string'}, 'organizationId': {'description': 'Organization ID', 'type': 'string'}, 'sensitive': {'description': 'Whether the variable is sensitive', 'type': 'boolean'}, 'value': {'description': 'Variable value', 'type': 'string'}, 'workspaceId': {'description': 'Workspace ID', 'type': 'string'}}, 'required': ['organizationId', 'workspaceId', 'key', 'value'], 'type': 'object'}, description="""Creates a new variable in the specified workspace"""), # AzBuilder/Terrakube MCP Server/create-variable
    Tool(name="""Terrakube MCP Server_edit-variable""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'category': {'description': 'New variable category', 'type': 'string'}, 'description': {'description': 'New variable description', 'type': 'string'}, 'key': {'description': 'New variable key', 'type': 'string'}, 'organizationId': {'description': 'Organization ID', 'type': 'string'}, 'sensitive': {'description': 'New sensitive flag', 'type': 'boolean'}, 'value': {'description': 'New variable value', 'type': 'string'}, 'variableId': {'description': 'Variable ID', 'type': 'string'}, 'workspaceId': {'description': 'Workspace ID', 'type': 'string'}}, 'required': ['organizationId', 'workspaceId', 'variableId'], 'type': 'object'}, description="""Updates an existing variable's details"""), # AzBuilder/Terrakube MCP Server/edit-variable
    Tool(name="""Taiga MCP Bridge_login""", inputSchema={'properties': {'host': {'title': 'Host', 'type': 'string'}, 'password': {'title': 'Password', 'type': 'string'}, 'username': {'title': 'Username', 'type': 'string'}}, 'required': ['host', 'username', 'password'], 'title': 'loginArguments', 'type': 'object'}, description="""Logs into a Taiga instance using username/password and returns a session_id for subsequent authenticated calls."""), # talhaorak/Taiga MCP Bridge/login
    Tool(name="""Taiga MCP Bridge_list_projects""", inputSchema={'properties': {'session_id': {'title': 'Session Id', 'type': 'string'}}, 'required': ['session_id'], 'title': 'list_projectsArguments', 'type': 'object'}, description="""Lists projects accessible to the user associated with the provided session_id."""), # talhaorak/Taiga MCP Bridge/list_projects
    Tool(name="""Taiga MCP Bridge_list_all_projects""", inputSchema={'properties': {'session_id': {'title': 'Session Id', 'type': 'string'}}, 'required': ['session_id'], 'title': 'list_all_projectsArguments', 'type': 'object'}, description="""Lists all projects visible to the user (requires admin privileges for full list). Uses the provided session_id."""), # talhaorak/Taiga MCP Bridge/list_all_projects
    Tool(name="""Taiga MCP Bridge_get_project""", inputSchema={'properties': {'project_id': {'title': 'Project Id', 'type': 'integer'}, 'session_id': {'title': 'Session Id', 'type': 'string'}}, 'required': ['session_id', 'project_id'], 'title': 'get_projectArguments', 'type': 'object'}, description="""Gets detailed information about a specific project by its ID."""), # talhaorak/Taiga MCP Bridge/get_project
    Tool(name="""Taiga MCP Bridge_get_project_by_slug""", inputSchema={'properties': {'session_id': {'title': 'Session Id', 'type': 'string'}, 'slug': {'title': 'Slug', 'type': 'string'}}, 'required': ['session_id', 'slug'], 'title': 'get_project_by_slugArguments', 'type': 'object'}, description="""Gets detailed information about a specific project by its slug."""), # talhaorak/Taiga MCP Bridge/get_project_by_slug
    Tool(name="""Taiga MCP Bridge_update_project""", inputSchema={'properties': {'kwargs': {'title': 'kwargs', 'type': 'string'}, 'project_id': {'title': 'Project Id', 'type': 'integer'}, 'session_id': {'title': 'Session Id', 'type': 'string'}}, 'required': ['session_id', 'project_id', 'kwargs'], 'title': 'update_projectArguments', 'type': 'object'}, description="""Updates details of an existing project."""), # talhaorak/Taiga MCP Bridge/update_project
    Tool(name="""Taiga MCP Bridge_delete_project""", inputSchema={'properties': {'project_id': {'title': 'Project Id', 'type': 'integer'}, 'session_id': {'title': 'Session Id', 'type': 'string'}}, 'required': ['session_id', 'project_id'], 'title': 'delete_projectArguments', 'type': 'object'}, description="""Deletes a project by its ID. This is irreversible."""), # talhaorak/Taiga MCP Bridge/delete_project
    Tool(name="""Taiga MCP Bridge_get_project_roles""", inputSchema={'properties': {'project_id': {'title': 'Project Id', 'type': 'integer'}, 'session_id': {'title': 'Session Id', 'type': 'string'}}, 'required': ['session_id', 'project_id'], 'title': 'get_project_rolesArguments', 'type': 'object'}, description="""Lists the available roles within a specific project."""), # talhaorak/Taiga MCP Bridge/get_project_roles
    Tool(name="""Taiga MCP Bridge_list_user_stories""", inputSchema={'properties': {'filters': {'title': 'filters', 'type': 'string'}, 'project_id': {'title': 'Project Id', 'type': 'integer'}, 'session_id': {'title': 'Session Id', 'type': 'string'}}, 'required': ['session_id', 'project_id', 'filters'], 'title': 'list_user_storiesArguments', 'type': 'object'}, description="""Lists user stories within a specific project, optionally filtered."""), # talhaorak/Taiga MCP Bridge/list_user_stories
    Tool(name="""Taiga MCP Bridge_create_user_story""", inputSchema={'properties': {'kwargs': {'title': 'kwargs', 'type': 'string'}, 'project_id': {'title': 'Project Id', 'type': 'integer'}, 'session_id': {'title': 'Session Id', 'type': 'string'}, 'subject': {'title': 'Subject', 'type': 'string'}}, 'required': ['session_id', 'project_id', 'subject', 'kwargs'], 'title': 'create_user_storyArguments', 'type': 'object'}, description="""Creates a new user story within a project."""), # talhaorak/Taiga MCP Bridge/create_user_story
    Tool(name="""Taiga MCP Bridge_get_user_story""", inputSchema={'properties': {'session_id': {'title': 'Session Id', 'type': 'string'}, 'user_story_id': {'title': 'User Story Id', 'type': 'integer'}}, 'required': ['session_id', 'user_story_id'], 'title': 'get_user_storyArguments', 'type': 'object'}, description="""Gets detailed information about a specific user story by its ID."""), # talhaorak/Taiga MCP Bridge/get_user_story
    Tool(name="""Taiga MCP Bridge_get_user_story_by_ref""", inputSchema={'properties': {'project_id': {'title': 'Project Id', 'type': 'integer'}, 'ref': {'title': 'Ref', 'type': 'integer'}, 'session_id': {'title': 'Session Id', 'type': 'string'}}, 'required': ['session_id', 'project_id', 'ref'], 'title': 'get_user_story_by_refArguments', 'type': 'object'}, description="""Gets detailed information about a specific user story by its reference number within a project."""), # talhaorak/Taiga MCP Bridge/get_user_story_by_ref
    Tool(name="""Taiga MCP Bridge_update_user_story""", inputSchema={'properties': {'kwargs': {'title': 'kwargs', 'type': 'string'}, 'session_id': {'title': 'Session Id', 'type': 'string'}, 'user_story_id': {'title': 'User Story Id', 'type': 'integer'}}, 'required': ['session_id', 'user_story_id', 'kwargs'], 'title': 'update_user_storyArguments', 'type': 'object'}, description="""Updates details of an existing user story."""), # talhaorak/Taiga MCP Bridge/update_user_story
    Tool(name="""Taiga MCP Bridge_delete_user_story""", inputSchema={'properties': {'session_id': {'title': 'Session Id', 'type': 'string'}, 'user_story_id': {'title': 'User Story Id', 'type': 'integer'}}, 'required': ['session_id', 'user_story_id'], 'title': 'delete_user_storyArguments', 'type': 'object'}, description="""Deletes a user story by its ID."""), # talhaorak/Taiga MCP Bridge/delete_user_story
    Tool(name="""Taiga MCP Bridge_assign_user_story_to_user""", inputSchema={'properties': {'session_id': {'title': 'Session Id', 'type': 'string'}, 'user_id': {'title': 'User Id', 'type': 'integer'}, 'user_story_id': {'title': 'User Story Id', 'type': 'integer'}}, 'required': ['session_id', 'user_story_id', 'user_id'], 'title': 'assign_user_story_to_userArguments', 'type': 'object'}, description="""Assigns a specific user story to a specific user."""), # talhaorak/Taiga MCP Bridge/assign_user_story_to_user
    Tool(name="""Taiga MCP Bridge_unassign_user_story_from_user""", inputSchema={'properties': {'session_id': {'title': 'Session Id', 'type': 'string'}, 'user_story_id': {'title': 'User Story Id', 'type': 'integer'}}, 'required': ['session_id', 'user_story_id'], 'title': 'unassign_user_story_from_userArguments', 'type': 'object'}, description="""Unassigns a specific user story (sets assigned user to null)."""), # talhaorak/Taiga MCP Bridge/unassign_user_story_from_user
    Tool(name="""Taiga MCP Bridge_get_user_story_statuses""", inputSchema={'properties': {'project_id': {'title': 'Project Id', 'type': 'integer'}, 'session_id': {'title': 'Session Id', 'type': 'string'}}, 'required': ['session_id', 'project_id'], 'title': 'get_user_story_statusesArguments', 'type': 'object'}, description="""Lists the available statuses for user stories within a specific project."""), # talhaorak/Taiga MCP Bridge/get_user_story_statuses
    Tool(name="""Taiga MCP Bridge_list_tasks""", inputSchema={'properties': {'filters': {'title': 'filters', 'type': 'string'}, 'project_id': {'title': 'Project Id', 'type': 'integer'}, 'session_id': {'title': 'Session Id', 'type': 'string'}}, 'required': ['session_id', 'project_id', 'filters'], 'title': 'list_tasksArguments', 'type': 'object'}, description="""Lists tasks within a specific project, optionally filtered."""), # talhaorak/Taiga MCP Bridge/list_tasks
    Tool(name="""Taiga MCP Bridge_create_task""", inputSchema={'properties': {'kwargs': {'title': 'kwargs', 'type': 'string'}, 'project_id': {'title': 'Project Id', 'type': 'integer'}, 'session_id': {'title': 'Session Id', 'type': 'string'}, 'subject': {'title': 'Subject', 'type': 'string'}}, 'required': ['session_id', 'project_id', 'subject', 'kwargs'], 'title': 'create_taskArguments', 'type': 'object'}, description="""Creates a new task within a project."""), # talhaorak/Taiga MCP Bridge/create_task
    Tool(name="""Taiga MCP Bridge_get_task""", inputSchema={'properties': {'session_id': {'title': 'Session Id', 'type': 'string'}, 'task_id': {'title': 'Task Id', 'type': 'integer'}}, 'required': ['session_id', 'task_id'], 'title': 'get_taskArguments', 'type': 'object'}, description="""Gets detailed information about a specific task by its ID."""), # talhaorak/Taiga MCP Bridge/get_task
    Tool(name="""Taiga MCP Bridge_get_task_by_ref""", inputSchema={'properties': {'project_id': {'title': 'Project Id', 'type': 'integer'}, 'ref': {'title': 'Ref', 'type': 'integer'}, 'session_id': {'title': 'Session Id', 'type': 'string'}}, 'required': ['session_id', 'project_id', 'ref'], 'title': 'get_task_by_refArguments', 'type': 'object'}, description="""Gets detailed information about a specific task by its reference number within a project."""), # talhaorak/Taiga MCP Bridge/get_task_by_ref
    Tool(name="""Taiga MCP Bridge_update_task""", inputSchema={'properties': {'kwargs': {'title': 'kwargs', 'type': 'string'}, 'session_id': {'title': 'Session Id', 'type': 'string'}, 'task_id': {'title': 'Task Id', 'type': 'integer'}}, 'required': ['session_id', 'task_id', 'kwargs'], 'title': 'update_taskArguments', 'type': 'object'}, description="""Updates details of an existing task."""), # talhaorak/Taiga MCP Bridge/update_task
    Tool(name="""Taiga MCP Bridge_delete_task""", inputSchema={'properties': {'session_id': {'title': 'Session Id', 'type': 'string'}, 'task_id': {'title': 'Task Id', 'type': 'integer'}}, 'required': ['session_id', 'task_id'], 'title': 'delete_taskArguments', 'type': 'object'}, description="""Deletes a task by its ID."""), # talhaorak/Taiga MCP Bridge/delete_task
    Tool(name="""Taiga MCP Bridge_assign_task_to_user""", inputSchema={'properties': {'session_id': {'title': 'Session Id', 'type': 'string'}, 'task_id': {'title': 'Task Id', 'type': 'integer'}, 'user_id': {'title': 'User Id', 'type': 'integer'}}, 'required': ['session_id', 'task_id', 'user_id'], 'title': 'assign_task_to_userArguments', 'type': 'object'}, description="""Assigns a specific task to a specific user."""), # talhaorak/Taiga MCP Bridge/assign_task_to_user
    Tool(name="""Taiga MCP Bridge_unassign_task_from_user""", inputSchema={'properties': {'session_id': {'title': 'Session Id', 'type': 'string'}, 'task_id': {'title': 'Task Id', 'type': 'integer'}}, 'required': ['session_id', 'task_id'], 'title': 'unassign_task_from_userArguments', 'type': 'object'}, description="""Unassigns a specific task (sets assigned user to null)."""), # talhaorak/Taiga MCP Bridge/unassign_task_from_user
    Tool(name="""Taiga MCP Bridge_get_task_statuses""", inputSchema={'properties': {'project_id': {'title': 'Project Id', 'type': 'integer'}, 'session_id': {'title': 'Session Id', 'type': 'string'}}, 'required': ['session_id', 'project_id'], 'title': 'get_task_statusesArguments', 'type': 'object'}, description="""Lists the available statuses for tasks within a specific project."""), # talhaorak/Taiga MCP Bridge/get_task_statuses
    Tool(name="""Taiga MCP Bridge_list_issues""", inputSchema={'properties': {'filters': {'title': 'filters', 'type': 'string'}, 'project_id': {'title': 'Project Id', 'type': 'integer'}, 'session_id': {'title': 'Session Id', 'type': 'string'}}, 'required': ['session_id', 'project_id', 'filters'], 'title': 'list_issuesArguments', 'type': 'object'}, description="""Lists issues within a specific project, optionally filtered."""), # talhaorak/Taiga MCP Bridge/list_issues
    Tool(name="""Taiga MCP Bridge_create_issue""", inputSchema={'properties': {'kwargs': {'title': 'kwargs', 'type': 'string'}, 'priority_id': {'title': 'Priority Id', 'type': 'integer'}, 'project_id': {'title': 'Project Id', 'type': 'integer'}, 'session_id': {'title': 'Session Id', 'type': 'string'}, 'severity_id': {'title': 'Severity Id', 'type': 'integer'}, 'status_id': {'title': 'Status Id', 'type': 'integer'}, 'subject': {'title': 'Subject', 'type': 'string'}, 'type_id': {'title': 'Type Id', 'type': 'integer'}}, 'required': ['session_id', 'project_id', 'subject', 'priority_id', 'status_id', 'severity_id', 'type_id', 'kwargs'], 'title': 'create_issueArguments', 'type': 'object'}, description="""Creates a new issue within a project."""), # talhaorak/Taiga MCP Bridge/create_issue
    Tool(name="""Taiga MCP Bridge_get_issue""", inputSchema={'properties': {'issue_id': {'title': 'Issue Id', 'type': 'integer'}, 'session_id': {'title': 'Session Id', 'type': 'string'}}, 'required': ['session_id', 'issue_id'], 'title': 'get_issueArguments', 'type': 'object'}, description="""Gets detailed information about a specific issue by its ID."""), # talhaorak/Taiga MCP Bridge/get_issue
    Tool(name="""Taiga MCP Bridge_get_issue_by_ref""", inputSchema={'properties': {'project_id': {'title': 'Project Id', 'type': 'integer'}, 'ref': {'title': 'Ref', 'type': 'integer'}, 'session_id': {'title': 'Session Id', 'type': 'string'}}, 'required': ['session_id', 'project_id', 'ref'], 'title': 'get_issue_by_refArguments', 'type': 'object'}, description="""Gets detailed information about a specific issue by its reference number within a project."""), # talhaorak/Taiga MCP Bridge/get_issue_by_ref
    Tool(name="""Taiga MCP Bridge_update_issue""", inputSchema={'properties': {'issue_id': {'title': 'Issue Id', 'type': 'integer'}, 'kwargs': {'title': 'kwargs', 'type': 'string'}, 'session_id': {'title': 'Session Id', 'type': 'string'}}, 'required': ['session_id', 'issue_id', 'kwargs'], 'title': 'update_issueArguments', 'type': 'object'}, description="""Updates details of an existing issue."""), # talhaorak/Taiga MCP Bridge/update_issue
    Tool(name="""Taiga MCP Bridge_delete_issue""", inputSchema={'properties': {'issue_id': {'title': 'Issue Id', 'type': 'integer'}, 'session_id': {'title': 'Session Id', 'type': 'string'}}, 'required': ['session_id', 'issue_id'], 'title': 'delete_issueArguments', 'type': 'object'}, description="""Deletes an issue by its ID."""), # talhaorak/Taiga MCP Bridge/delete_issue
    Tool(name="""Taiga MCP Bridge_get_project_members""", inputSchema={'properties': {'project_id': {'title': 'Project Id', 'type': 'integer'}, 'session_id': {'title': 'Session Id', 'type': 'string'}}, 'required': ['session_id', 'project_id'], 'title': 'get_project_membersArguments', 'type': 'object'}, description="""Lists members of a specific project."""), # talhaorak/Taiga MCP Bridge/get_project_members
    Tool(name="""Taiga MCP Bridge_assign_issue_to_user""", inputSchema={'properties': {'issue_id': {'title': 'Issue Id', 'type': 'integer'}, 'session_id': {'title': 'Session Id', 'type': 'string'}, 'user_id': {'title': 'User Id', 'type': 'integer'}}, 'required': ['session_id', 'issue_id', 'user_id'], 'title': 'assign_issue_to_userArguments', 'type': 'object'}, description="""Assigns a specific issue to a specific user."""), # talhaorak/Taiga MCP Bridge/assign_issue_to_user
    Tool(name="""Taiga MCP Bridge_unassign_issue_from_user""", inputSchema={'properties': {'issue_id': {'title': 'Issue Id', 'type': 'integer'}, 'session_id': {'title': 'Session Id', 'type': 'string'}}, 'required': ['session_id', 'issue_id'], 'title': 'unassign_issue_from_userArguments', 'type': 'object'}, description="""Unassigns a specific issue (sets assigned user to null)."""), # talhaorak/Taiga MCP Bridge/unassign_issue_from_user
    Tool(name="""Taiga MCP Bridge_get_issue_statuses""", inputSchema={'properties': {'project_id': {'title': 'Project Id', 'type': 'integer'}, 'session_id': {'title': 'Session Id', 'type': 'string'}}, 'required': ['session_id', 'project_id'], 'title': 'get_issue_statusesArguments', 'type': 'object'}, description="""Lists the available statuses for issues within a specific project."""), # talhaorak/Taiga MCP Bridge/get_issue_statuses
    Tool(name="""Taiga MCP Bridge_get_issue_priorities""", inputSchema={'properties': {'project_id': {'title': 'Project Id', 'type': 'integer'}, 'session_id': {'title': 'Session Id', 'type': 'string'}}, 'required': ['session_id', 'project_id'], 'title': 'get_issue_prioritiesArguments', 'type': 'object'}, description="""Lists the available priorities for issues within a specific project."""), # talhaorak/Taiga MCP Bridge/get_issue_priorities
    Tool(name="""Taiga MCP Bridge_get_issue_severities""", inputSchema={'properties': {'project_id': {'title': 'Project Id', 'type': 'integer'}, 'session_id': {'title': 'Session Id', 'type': 'string'}}, 'required': ['session_id', 'project_id'], 'title': 'get_issue_severitiesArguments', 'type': 'object'}, description="""Lists the available severities for issues within a specific project."""), # talhaorak/Taiga MCP Bridge/get_issue_severities
    Tool(name="""Taiga MCP Bridge_get_issue_types""", inputSchema={'properties': {'project_id': {'title': 'Project Id', 'type': 'integer'}, 'session_id': {'title': 'Session Id', 'type': 'string'}}, 'required': ['session_id', 'project_id'], 'title': 'get_issue_typesArguments', 'type': 'object'}, description="""Lists the available types for issues within a specific project."""), # talhaorak/Taiga MCP Bridge/get_issue_types
    Tool(name="""Taiga MCP Bridge_list_epics""", inputSchema={'properties': {'filters': {'title': 'filters', 'type': 'string'}, 'project_id': {'title': 'Project Id', 'type': 'integer'}, 'session_id': {'title': 'Session Id', 'type': 'string'}}, 'required': ['session_id', 'project_id', 'filters'], 'title': 'list_epicsArguments', 'type': 'object'}, description="""Lists epics within a specific project, optionally filtered."""), # talhaorak/Taiga MCP Bridge/list_epics
    Tool(name="""Taiga MCP Bridge_create_epic""", inputSchema={'properties': {'kwargs': {'title': 'kwargs', 'type': 'string'}, 'project_id': {'title': 'Project Id', 'type': 'integer'}, 'session_id': {'title': 'Session Id', 'type': 'string'}, 'subject': {'title': 'Subject', 'type': 'string'}}, 'required': ['session_id', 'project_id', 'subject', 'kwargs'], 'title': 'create_epicArguments', 'type': 'object'}, description="""Creates a new epic within a project."""), # talhaorak/Taiga MCP Bridge/create_epic
    Tool(name="""Taiga MCP Bridge_get_epic""", inputSchema={'properties': {'epic_id': {'title': 'Epic Id', 'type': 'integer'}, 'session_id': {'title': 'Session Id', 'type': 'string'}}, 'required': ['session_id', 'epic_id'], 'title': 'get_epicArguments', 'type': 'object'}, description="""Gets detailed information about a specific epic by its ID."""), # talhaorak/Taiga MCP Bridge/get_epic
    Tool(name="""Taiga MCP Bridge_get_epic_by_ref""", inputSchema={'properties': {'project_id': {'title': 'Project Id', 'type': 'integer'}, 'ref': {'title': 'Ref', 'type': 'integer'}, 'session_id': {'title': 'Session Id', 'type': 'string'}}, 'required': ['session_id', 'project_id', 'ref'], 'title': 'get_epic_by_refArguments', 'type': 'object'}, description="""Gets detailed information about a specific epic by its reference number within a project."""), # talhaorak/Taiga MCP Bridge/get_epic_by_ref
    Tool(name="""Taiga MCP Bridge_update_epic""", inputSchema={'properties': {'epic_id': {'title': 'Epic Id', 'type': 'integer'}, 'kwargs': {'title': 'kwargs', 'type': 'string'}, 'session_id': {'title': 'Session Id', 'type': 'string'}}, 'required': ['session_id', 'epic_id', 'kwargs'], 'title': 'update_epicArguments', 'type': 'object'}, description="""Updates details of an existing epic."""), # talhaorak/Taiga MCP Bridge/update_epic
    Tool(name="""Taiga MCP Bridge_delete_epic""", inputSchema={'properties': {'epic_id': {'title': 'Epic Id', 'type': 'integer'}, 'session_id': {'title': 'Session Id', 'type': 'string'}}, 'required': ['session_id', 'epic_id'], 'title': 'delete_epicArguments', 'type': 'object'}, description="""Deletes an epic by its ID."""), # talhaorak/Taiga MCP Bridge/delete_epic
    Tool(name="""Taiga MCP Bridge_assign_epic_to_user""", inputSchema={'properties': {'epic_id': {'title': 'Epic Id', 'type': 'integer'}, 'session_id': {'title': 'Session Id', 'type': 'string'}, 'user_id': {'title': 'User Id', 'type': 'integer'}}, 'required': ['session_id', 'epic_id', 'user_id'], 'title': 'assign_epic_to_userArguments', 'type': 'object'}, description="""Assigns a specific epic to a specific user."""), # talhaorak/Taiga MCP Bridge/assign_epic_to_user
    Tool(name="""Taiga MCP Bridge_unassign_epic_from_user""", inputSchema={'properties': {'epic_id': {'title': 'Epic Id', 'type': 'integer'}, 'session_id': {'title': 'Session Id', 'type': 'string'}}, 'required': ['session_id', 'epic_id'], 'title': 'unassign_epic_from_userArguments', 'type': 'object'}, description="""Unassigns a specific epic (sets assigned user to null)."""), # talhaorak/Taiga MCP Bridge/unassign_epic_from_user
    Tool(name="""Taiga MCP Bridge_get_epic_statuses""", inputSchema={'properties': {'project_id': {'title': 'Project Id', 'type': 'integer'}, 'session_id': {'title': 'Session Id', 'type': 'string'}}, 'required': ['session_id', 'project_id'], 'title': 'get_epic_statusesArguments', 'type': 'object'}, description="""Lists the available statuses for epics within a specific project."""), # talhaorak/Taiga MCP Bridge/get_epic_statuses
    Tool(name="""Taiga MCP Bridge_list_milestones""", inputSchema={'properties': {'project_id': {'title': 'Project Id', 'type': 'integer'}, 'session_id': {'title': 'Session Id', 'type': 'string'}}, 'required': ['session_id', 'project_id'], 'title': 'list_milestonesArguments', 'type': 'object'}, description="""Lists milestones (sprints) within a specific project."""), # talhaorak/Taiga MCP Bridge/list_milestones
    Tool(name="""Taiga MCP Bridge_create_milestone""", inputSchema={'properties': {'estimated_finish': {'title': 'Estimated Finish', 'type': 'string'}, 'estimated_start': {'title': 'Estimated Start', 'type': 'string'}, 'name': {'title': 'Name', 'type': 'string'}, 'project_id': {'title': 'Project Id', 'type': 'integer'}, 'session_id': {'title': 'Session Id', 'type': 'string'}}, 'required': ['session_id', 'project_id', 'name', 'estimated_start', 'estimated_finish'], 'title': 'create_milestoneArguments', 'type': 'object'}, description="""Creates a new milestone (sprint) within a project."""), # talhaorak/Taiga MCP Bridge/create_milestone
    Tool(name="""Taiga MCP Bridge_get_milestone""", inputSchema={'properties': {'milestone_id': {'title': 'Milestone Id', 'type': 'integer'}, 'session_id': {'title': 'Session Id', 'type': 'string'}}, 'required': ['session_id', 'milestone_id'], 'title': 'get_milestoneArguments', 'type': 'object'}, description="""Gets detailed information about a specific milestone by its ID."""), # talhaorak/Taiga MCP Bridge/get_milestone
    Tool(name="""Taiga MCP Bridge_update_milestone""", inputSchema={'properties': {'kwargs': {'title': 'kwargs', 'type': 'string'}, 'milestone_id': {'title': 'Milestone Id', 'type': 'integer'}, 'session_id': {'title': 'Session Id', 'type': 'string'}}, 'required': ['session_id', 'milestone_id', 'kwargs'], 'title': 'update_milestoneArguments', 'type': 'object'}, description="""Updates details of an existing milestone."""), # talhaorak/Taiga MCP Bridge/update_milestone
    Tool(name="""Taiga MCP Bridge_delete_milestone""", inputSchema={'properties': {'milestone_id': {'title': 'Milestone Id', 'type': 'integer'}, 'session_id': {'title': 'Session Id', 'type': 'string'}}, 'required': ['session_id', 'milestone_id'], 'title': 'delete_milestoneArguments', 'type': 'object'}, description="""Deletes a milestone by its ID."""), # talhaorak/Taiga MCP Bridge/delete_milestone
    Tool(name="""Taiga MCP Bridge_get_milestone_stats""", inputSchema={'properties': {'milestone_id': {'title': 'Milestone Id', 'type': 'integer'}, 'session_id': {'title': 'Session Id', 'type': 'string'}}, 'required': ['session_id', 'milestone_id'], 'title': 'get_milestone_statsArguments', 'type': 'object'}, description="""Gets statistics (total points, completed points, etc.) for a specific milestone."""), # talhaorak/Taiga MCP Bridge/get_milestone_stats
    Tool(name="""Taiga MCP Bridge_invite_project_user""", inputSchema={'properties': {'email': {'title': 'Email', 'type': 'string'}, 'project_id': {'title': 'Project Id', 'type': 'integer'}, 'role_id': {'title': 'Role Id', 'type': 'integer'}, 'session_id': {'title': 'Session Id', 'type': 'string'}}, 'required': ['session_id', 'project_id', 'email', 'role_id'], 'title': 'invite_project_userArguments', 'type': 'object'}, description="""Invites a user to a project by email with a specific role."""), # talhaorak/Taiga MCP Bridge/invite_project_user
    Tool(name="""Taiga MCP Bridge_list_wiki_pages""", inputSchema={'properties': {'project_id': {'title': 'Project Id', 'type': 'integer'}, 'session_id': {'title': 'Session Id', 'type': 'string'}}, 'required': ['session_id', 'project_id'], 'title': 'list_wiki_pagesArguments', 'type': 'object'}, description="""Lists wiki pages within a specific project."""), # talhaorak/Taiga MCP Bridge/list_wiki_pages
    Tool(name="""Taiga MCP Bridge_get_wiki_page""", inputSchema={'properties': {'session_id': {'title': 'Session Id', 'type': 'string'}, 'wiki_page_id': {'title': 'Wiki Page Id', 'type': 'integer'}}, 'required': ['session_id', 'wiki_page_id'], 'title': 'get_wiki_pageArguments', 'type': 'object'}, description="""Gets a specific wiki page by its ID."""), # talhaorak/Taiga MCP Bridge/get_wiki_page
    Tool(name="""Taiga MCP Bridge_get_wiki_page_by_slug""", inputSchema={'properties': {'project_id': {'title': 'Project Id', 'type': 'integer'}, 'session_id': {'title': 'Session Id', 'type': 'string'}, 'slug': {'title': 'Slug', 'type': 'string'}}, 'required': ['session_id', 'project_id', 'slug'], 'title': 'get_wiki_page_by_slugArguments', 'type': 'object'}, description="""Gets a specific wiki page by its slug within a project."""), # talhaorak/Taiga MCP Bridge/get_wiki_page_by_slug
    Tool(name="""Taiga MCP Bridge_logout""", inputSchema={'properties': {'session_id': {'title': 'Session Id', 'type': 'string'}}, 'required': ['session_id'], 'title': 'logoutArguments', 'type': 'object'}, description="""Invalidates the current session_id."""), # talhaorak/Taiga MCP Bridge/logout
    Tool(name="""Taiga MCP Bridge_session_status""", inputSchema={'properties': {'session_id': {'title': 'Session Id', 'type': 'string'}}, 'required': ['session_id'], 'title': 'session_statusArguments', 'type': 'object'}, description="""Checks if the provided session_id is currently active and valid."""), # talhaorak/Taiga MCP Bridge/session_status
    Tool(name="""HubSpot MCP Server_hubspot_create_contact""", inputSchema={'properties': {'email': {'description': "Contact's email address", 'type': 'string'}, 'firstname': {'description': "Contact's first name", 'type': 'string'}, 'lastname': {'description': "Contact's last name", 'type': 'string'}, 'properties': {'description': 'Additional contact properties', 'type': 'object'}}, 'required': ['firstname', 'lastname'], 'type': 'object'}, description="""Create a new contact in HubSpot"""), # KaranThink41/HubSpot MCP Server/hubspot_create_contact
    Tool(name="""HubSpot MCP Server_hubspot_create_company""", inputSchema={'properties': {'name': {'description': 'Company name', 'type': 'string'}, 'properties': {'description': 'Additional company properties', 'type': 'object'}}, 'required': ['name'], 'type': 'object'}, description="""Create a new company in HubSpot"""), # KaranThink41/HubSpot MCP Server/hubspot_create_company
    Tool(name="""HubSpot MCP Server_hubspot_get_company_activity""", inputSchema={'properties': {'company_id': {'description': 'HubSpot company ID', 'type': 'string'}}, 'required': ['company_id'], 'type': 'object'}, description="""Get activity history for a specific company"""), # KaranThink41/HubSpot MCP Server/hubspot_get_company_activity
    Tool(name="""HubSpot MCP Server_hubspot_get_recent_engagements""", inputSchema={'properties': {'days': {'description': 'Number of days to look back (default: 7)', 'type': 'integer'}, 'limit': {'description': 'Maximum number of engagements to return (default: 50)', 'type': 'integer'}}, 'type': 'object'}, description="""Get recent engagement activities across all contacts and companies"""), # KaranThink41/HubSpot MCP Server/hubspot_get_recent_engagements
    Tool(name="""HubSpot MCP Server_hubspot_get_active_companies""", inputSchema={'properties': {'limit': {'description': 'Maximum number of companies to return (default: 10)', 'type': 'integer'}}, 'type': 'object'}, description="""Get most recently active companies from HubSpot"""), # KaranThink41/HubSpot MCP Server/hubspot_get_active_companies
    Tool(name="""HubSpot MCP Server_hubspot_get_active_contacts""", inputSchema={'properties': {'limit': {'description': 'Maximum number of contacts to return (default: 10)', 'type': 'integer'}}, 'type': 'object'}, description="""Get most recently active contacts from HubSpot"""), # KaranThink41/HubSpot MCP Server/hubspot_get_active_contacts
    Tool(name="""HubSpot MCP Server_create_shared_summary""", inputSchema={'properties': {'company_id': {'description': 'Company ID', 'type': 'string'}, 'summary': {'description': 'The conversation summary text', 'type': 'string'}, 'user_id': {'description': 'User email/ID creating the summary', 'type': 'string'}}, 'required': ['user_id', 'company_id', 'summary'], 'type': 'object'}, description="""Create a new conversation summary in the shared space"""), # KaranThink41/HubSpot MCP Server/create_shared_summary
    Tool(name="""HubSpot MCP Server_get_shared_summaries""", inputSchema={'properties': {'company_id': {'description': 'Company ID', 'type': 'string'}, 'user_id': {'description': 'User email/ID requesting summaries', 'type': 'string'}}, 'required': ['user_id', 'company_id'], 'type': 'object'}, description="""Retrieve all conversation summaries for the company"""), # KaranThink41/HubSpot MCP Server/get_shared_summaries
    Tool(name="""EdgeOne Pages MCP_deploy-html""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'value': {'description': 'HTML or text content to deploy. Provide complete HTML or text content you want to publish, and the system will return a public URL where your content can be accessed.', 'type': 'string'}}, 'required': ['value'], 'type': 'object'}, description="""Deploy HTML content to EdgeOne Pages, return the public URL"""), # TencentEdgeOne/EdgeOne Pages MCP/deploy-html
    Tool(name="""Figma MCP Server with Chunking_get_components""", inputSchema={'properties': {'file_key': {'description': 'Figma file key', 'type': 'string'}}, 'required': ['file_key'], 'type': 'object'}, description="""Get components from a Figma file"""), # ArchimedesCrypto/Figma MCP Server with Chunking/get_components
    Tool(name="""Figma MCP Server with Chunking_get_styles""", inputSchema={'properties': {'file_key': {'description': 'Figma file key', 'type': 'string'}}, 'required': ['file_key'], 'type': 'object'}, description="""Get styles from a Figma file"""), # ArchimedesCrypto/Figma MCP Server with Chunking/get_styles
    Tool(name="""Figma MCP Server with Chunking_get_file_versions""", inputSchema={'properties': {'file_key': {'description': 'Figma file key', 'type': 'string'}}, 'required': ['file_key'], 'type': 'object'}, description="""Get version history of a Figma file"""), # ArchimedesCrypto/Figma MCP Server with Chunking/get_file_versions
    Tool(name="""Figma MCP Server with Chunking_get_file_comments""", inputSchema={'properties': {'file_key': {'description': 'Figma file key', 'type': 'string'}}, 'required': ['file_key'], 'type': 'object'}, description="""Get comments on a Figma file"""), # ArchimedesCrypto/Figma MCP Server with Chunking/get_file_comments
    Tool(name="""Figma MCP Server with Chunking_get_file_data""", inputSchema={'properties': {'cursor': {'description': 'Pagination cursor for continuing from a previous request', 'type': 'string'}, 'depth': {'description': 'Maximum depth to traverse in the node tree', 'minimum': 1, 'type': 'number'}, 'excludeProps': {'description': 'Properties to exclude from node data', 'items': {'type': 'string'}, 'type': 'array'}, 'file_key': {'description': 'Figma file key', 'type': 'string'}, 'maxMemoryMB': {'description': 'Maximum memory usage in MB', 'maximum': 2048, 'minimum': 128, 'type': 'number'}, 'maxResponseSize': {'description': 'Maximum response size in MB (defaults to 50)', 'maximum': 100, 'minimum': 1, 'type': 'number'}, 'nodeTypes': {'description': 'Filter nodes by type', 'items': {'enum': ['FRAME', 'GROUP', 'VECTOR', 'BOOLEAN_OPERATION', 'STAR', 'LINE', 'TEXT', 'COMPONENT', 'INSTANCE'], 'type': 'string'}, 'type': 'array'}, 'pageSize': {'description': 'Number of nodes per page', 'maximum': 1000, 'minimum': 1, 'type': 'number'}, 'summarizeNodes': {'description': 'Return only essential node properties to reduce response size', 'type': 'boolean'}}, 'required': ['file_key'], 'type': 'object'}, description="""Get Figma file data with chunking and pagination"""), # ArchimedesCrypto/Figma MCP Server with Chunking/get_file_data
    Tool(name="""Figma MCP Server with Chunking_list_files""", inputSchema={'properties': {'project_id': {'description': 'Project ID to list files from', 'type': 'string'}, 'team_id': {'description': 'Team ID to list files from', 'type': 'string'}}, 'type': 'object'}, description="""List files in a project or team"""), # ArchimedesCrypto/Figma MCP Server with Chunking/list_files
    Tool(name="""Figma MCP Server with Chunking_get_file_nodes""", inputSchema={'properties': {'file_key': {'description': 'Figma file key', 'type': 'string'}, 'ids': {'description': 'Array of node IDs to retrieve', 'items': {'type': 'string'}, 'type': 'array'}}, 'required': ['file_key', 'ids'], 'type': 'object'}, description="""Get specific nodes from a Figma file"""), # ArchimedesCrypto/Figma MCP Server with Chunking/get_file_nodes
    Tool(name="""PowerPoint MCP Server_open-presentation""", inputSchema={'properties': {'output_path': {'description': 'Path where to save the presentation (optional)', 'type': 'string'}, 'presentation_name': {'description': 'Name of the presentation to open', 'type': 'string'}}, 'required': ['presentation_name'], 'type': 'object'}, description="""Opens an existing presentation and saves a copy to a new file for backup. Use this tool when the user requests to open a presentation that has already been created."""), # Ichigo3766/PowerPoint MCP Server/open-presentation
    Tool(name="""PowerPoint MCP Server_save-presentation""", inputSchema={'properties': {'output_path': {'description': 'Path where to save the presentation (optional)', 'type': 'string'}, 'presentation_name': {'description': 'Name of the presentation to save', 'type': 'string'}}, 'required': ['presentation_name'], 'type': 'object'}, description="""Save the presentation to a file. Always use this tool at the end of any process that has added slides to a presentation."""), # Ichigo3766/PowerPoint MCP Server/save-presentation
    Tool(name="""PowerPoint MCP Server_add-slide-title-content""", inputSchema={'properties': {'content': {'description': 'Content/body text of the slide. Separate main points with a single carriage return character.Make sub-points with tab character.Do not use bullet points, asterisks or dashes for points.Max main points is 4', 'type': 'string'}, 'presentation_name': {'description': 'Name of the presentation to add the slide to', 'type': 'string'}, 'title': {'description': 'Title of the slide', 'type': 'string'}}, 'required': ['presentation_name', 'title', 'content'], 'type': 'object'}, description="""Add a new slide with a title and content to an existing presentation"""), # Ichigo3766/PowerPoint MCP Server/add-slide-title-content
    Tool(name="""PowerPoint MCP Server_create-presentation""", inputSchema={'properties': {'name': {'description': 'Name of the presentation (without .pptx extension)', 'type': 'string'}}, 'required': ['name'], 'type': 'object'}, description="""This tool starts the process of generating a new powerpoint presentation with the name given by the user. Use this tool when the user requests to create or generate a new presentation."""), # Ichigo3766/PowerPoint MCP Server/create-presentation
    Tool(name="""PowerPoint MCP Server_generate-and-save-image""", inputSchema={'properties': {'file_name': {'description': 'Filename of the image. Include the extension of .png', 'type': 'string'}, 'prompt': {'description': 'Description of the image to generate in the form of a prompt.', 'type': 'string'}}, 'required': ['prompt', 'file_name'], 'type': 'object'}, description="""Generates an image using a FLUX model and save the image to the specified path. The tool will return a PNG file path. It should be used when the user asks to generate or create an image or a picture."""), # Ichigo3766/PowerPoint MCP Server/generate-and-save-image
    Tool(name="""PowerPoint MCP Server_add-slide-title-only""", inputSchema={'properties': {'presentation_name': {'description': 'Name of the presentation to add the slide to', 'type': 'string'}, 'title': {'description': 'Title of the slide', 'type': 'string'}}, 'required': ['presentation_name', 'title'], 'type': 'object'}, description="""This tool adds a new title slide to the presentation you are working on. The tool doesn't return anything. It requires the presentation_name to work on."""), # Ichigo3766/PowerPoint MCP Server/add-slide-title-only
    Tool(name="""PowerPoint MCP Server_add-slide-section-header""", inputSchema={'properties': {'header': {'description': 'Section header title', 'type': 'string'}, 'presentation_name': {'description': 'Name of the presentation to add the slide to', 'type': 'string'}, 'subtitle': {'description': 'Section header subtitle', 'type': 'string'}}, 'required': ['presentation_name', 'header'], 'type': 'object'}, description="""This tool adds a section header (a.k.a segue) slide to the presentation you are working on. The tool doesn't return anything. It requires the presentation_name to work on."""), # Ichigo3766/PowerPoint MCP Server/add-slide-section-header
    Tool(name="""PowerPoint MCP Server_add-slide-comparison""", inputSchema={'properties': {'left_side_content': {'description': 'Content/body text of left concept. Separate main points with a single carriage return character.Make sub-points with tab character.Do not use bullet points, asterisks or dashes for points.Max main points is 4', 'type': 'string'}, 'left_side_title': {'description': 'Title of the left concept', 'type': 'string'}, 'presentation_name': {'description': 'Name of the presentation to add the slide to', 'type': 'string'}, 'right_side_content': {'description': 'Content/body text of right concept. Separate main points with a single carriage return character.Make sub-points with tab character.Do not use bullet points, asterisks or dashes for points.Max main points is 4', 'type': 'string'}, 'right_side_title': {'description': 'Title of the right concept', 'type': 'string'}, 'title': {'description': 'Title of the slide', 'type': 'string'}}, 'required': ['presentation_name', 'title', 'left_side_title', 'left_side_content', 'right_side_title', 'right_side_content'], 'type': 'object'}, description="""Add a new a comparison slide with title and comparison content. Use when you wish to compare two concepts"""), # Ichigo3766/PowerPoint MCP Server/add-slide-comparison
    Tool(name="""PowerPoint MCP Server_add-slide-title-with-table""", inputSchema={'properties': {'data': {'description': 'Table data object with headers and rows', 'properties': {'headers': {'description': 'Array of column headers', 'items': {'type': 'string'}, 'type': 'array'}, 'rows': {'description': 'Array of row data arrays', 'items': {'items': {'type': ['string', 'number']}, 'type': 'array'}, 'type': 'array'}}, 'required': ['headers', 'rows'], 'type': 'object'}, 'presentation_name': {'description': 'Name of the presentation to add the slide to', 'type': 'string'}, 'title': {'description': 'Title of the slide', 'type': 'string'}}, 'required': ['presentation_name', 'title', 'data'], 'type': 'object'}, description="""Add a new slide with a title and table containing the provided data"""), # Ichigo3766/PowerPoint MCP Server/add-slide-title-with-table
    Tool(name="""PowerPoint MCP Server_add-slide-title-with-chart""", inputSchema={'properties': {'data': {'description': 'Chart data structure', 'properties': {'categories': {'description': 'X-axis categories or labels (optional)', 'items': {'type': ['string', 'number']}, 'type': 'array'}, 'series': {'items': {'properties': {'name': {'description': 'Name of the data series', 'type': 'string'}, 'values': {'description': 'Values for the series. Can be simple numbers or [x,y] pairs for scatter plots', 'items': {'oneOf': [{'type': 'number'}, {'items': {'type': 'number'}, 'maxItems': 2, 'minItems': 2, 'type': 'array'}]}, 'type': 'array'}}, 'required': ['name', 'values'], 'type': 'object'}, 'type': 'array'}, 'x_axis': {'description': 'X-axis title (optional)', 'type': 'string'}, 'y_axis': {'description': 'Y-axis title (optional)', 'type': 'string'}}, 'required': ['series'], 'type': 'object'}, 'presentation_name': {'description': 'Name of the presentation to add the slide to', 'type': 'string'}, 'title': {'description': 'Title of the slide', 'type': 'string'}}, 'required': ['presentation_name', 'title', 'data'], 'type': 'object'}, description="""Add a new slide with a title and chart. The chart type will be automatically selected based on the data structure."""), # Ichigo3766/PowerPoint MCP Server/add-slide-title-with-chart
    Tool(name="""PowerPoint MCP Server_add-slide-picture-with-caption""", inputSchema={'properties': {'caption': {'description': 'Caption text to appear below the picture', 'type': 'string'}, 'image_path': {'description': 'Path to the image file to insert', 'type': 'string'}, 'presentation_name': {'description': 'Name of the presentation to add the slide to', 'type': 'string'}, 'title': {'description': 'Title of the slide', 'type': 'string'}}, 'required': ['presentation_name', 'title', 'caption', 'image_path'], 'type': 'object'}, description="""Add a new slide with a picture and caption to an existing presentation"""), # Ichigo3766/PowerPoint MCP Server/add-slide-picture-with-caption
    Tool(name="""Atlassian Bitbucket MCP Server_list-workspaces""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'cursor': {'description': 'Pagination cursor for retrieving the next set of results. Obtain this value from the previous response when more results are available.', 'type': 'string'}, 'limit': {'description': 'Maximum number of workspaces to return (1-100). Use this to control the response size. If omitted, defaults to 25.', 'exclusiveMinimum': 0, 'maximum': 100, 'type': 'integer'}, 'q': {'description': 'Query string to filter workspaces by name. Performs a partial text match on workspace names. Example: "team" would match "my-team" and "team-project". If omitted, returns all accessible workspaces.', 'type': 'string'}, 'sort': {'description': 'Field to sort results by. Common values: "name", "created_on", "updated_on". Prefix with "-" for descending order. Example: "-name" for reverse alphabetical order. If omitted, defaults to server-defined ordering.', 'type': 'string'}}, 'type': 'object'}, description="""List Bitbucket workspaces available to your account.\n\nPURPOSE: Discovers workspaces you have access to with their slugs, names, and permission levels to help navigate Bitbucket's organization structure.\n\nWHEN TO USE:\n- When you need to discover what workspaces exist in your Bitbucket account\n- When you want to find the slugs needed for other Bitbucket operations\n- When you need to check what workspaces you have access to and their permission levels\n- Before accessing repositories or pull requests that require workspace information\n- When you're unfamiliar with the workspace organization structure\n\nWHEN NOT TO USE:\n- When you already know the workspace slug (use get-workspace or list-repositories instead)\n- When you need detailed workspace information (use get-workspace instead)\n- When you need to find specific repositories (use list-repositories after identifying the workspace)\n\nRETURNS: Formatted list of workspaces with slugs, names, and permission information, plus pagination details if available.\n\nEXAMPLES:\n- List all workspaces: {}\n- With sorting: {sort: \"name\"}\n- With pagination: {limit: 10, cursor: \"next-page-token\"}\n\nERRORS:\n- Authentication failures: Check your Bitbucket credentials\n- No workspaces found: You might not have access to any workspaces\n- Rate limiting: Use pagination and reduce query frequency"""), # aashari/Atlassian Bitbucket MCP Server/list-workspaces
    Tool(name="""Atlassian Bitbucket MCP Server_get-workspace""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'workspace': {'description': 'Workspace slug to retrieve detailed information for. Must be a valid workspace slug from your Bitbucket account. Example: "myteam"', 'minLength': 1, 'type': 'string'}}, 'required': ['workspace'], 'type': 'object'}, description="""Get detailed information about a specific Bitbucket workspace by slug.\n\nPURPOSE: Retrieves comprehensive workspace metadata including projects, permissions, and configuration.\n\nWHEN TO USE:\n- When you need detailed information about a specific workspace\n- When you need to check workspace permissions or membership\n- When you need to verify workspace settings or configuration\n- After using list-workspaces to identify the relevant workspace\n- Before performing operations that require detailed workspace context\n\nWHEN NOT TO USE:\n- When you don't know which workspace to look for (use list-workspaces first)\n- When you just need basic workspace information (slug, name)\n- When you're only interested in repositories (use list-repositories directly)\n\nRETURNS: Detailed workspace information including slug, name, type, description, projects, and permission levels.\n\nEXAMPLES:\n- Get workspace: {workspace: \"myteam\"}\n\nERRORS:\n- Workspace not found: Verify the workspace slug is correct\n- Permission errors: Ensure you have access to the requested workspace\n- Rate limiting: Cache workspace information when possible"""), # aashari/Atlassian Bitbucket MCP Server/get-workspace
    Tool(name="""Atlassian Bitbucket MCP Server_list-repositories""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'cursor': {'description': 'Pagination cursor for retrieving the next set of results. Obtain this value from the previous response when more results are available.', 'type': 'string'}, 'limit': {'description': 'Maximum number of repositories to return (1-100). Use this to control the response size. If omitted, defaults to 25.', 'exclusiveMinimum': 0, 'maximum': 100, 'type': 'integer'}, 'q': {'description': 'Query string to filter repositories using Bitbucket query syntax. Example: "name ~ \\"api\\"" for repositories with "api" in the name. If omitted, returns all repositories.', 'type': 'string'}, 'role': {'description': 'Filter repositories by the authenticated user\'s role. Common values: "owner", "admin", "contributor", "member". If omitted, returns repositories of all roles.', 'type': 'string'}, 'sort': {'description': 'Field to sort results by. Common values: "name", "created_on", "updated_on". Prefix with "-" for descending order. Example: "-updated_on" for most recently updated first.', 'type': 'string'}, 'workspace': {'description': 'Workspace slug containing the repositories. Must be a valid workspace slug from your Bitbucket account. Example: "myteam"', 'minLength': 1, 'type': 'string'}}, 'required': ['workspace'], 'type': 'object'}, description="""List Bitbucket repositories within a specific workspace.\n\nPURPOSE: Discovers repositories in a workspace with their slugs, names, and URLs to help navigate code resources.\n\nWHEN TO USE:\n- When you need to find repositories within a specific workspace\n- When you need repository slugs for other Bitbucket operations\n- When you want to explore available repositories before accessing specific content\n- When you need to check repository visibility and access levels\n- When looking for repositories with specific characteristics (language, size, etc.)\n\nWHEN NOT TO USE:\n- When you don't know which workspace to look for repos in (use list-workspaces first)\n- When you already know the repository slug (use get-repository instead)\n- When you need detailed repository information (use get-repository instead)\n- When you need to access pull requests or branches (use dedicated tools after identifying the repo)\n\nRETURNS: Formatted list of repositories with slugs, names, descriptions, URLs, and metadata, plus pagination info.\n\nEXAMPLES:\n- List all repos in workspace: {workspace: \"myteam\"}\n- With sorting: {workspace: \"myteam\", sort: \"name\"}\n- With filtering: {workspace: \"myteam\", query: \"api\"}\n- With pagination: {workspace: \"myteam\", limit: 10, cursor: \"next-page-token\"}\n\nERRORS:\n- Workspace not found: Verify the workspace slug is correct\n- Authentication failures: Check your Bitbucket credentials\n- Permission errors: Ensure you have access to the requested workspace\n- Rate limiting: Use pagination and reduce query frequency"""), # aashari/Atlassian Bitbucket MCP Server/list-repositories
    Tool(name="""Atlassian Bitbucket MCP Server_get-repository""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'includeBranches': {'description': 'When true, includes information about repository branches in the response. If omitted, defaults to false.', 'type': 'boolean'}, 'includeCommits': {'description': 'When true, includes recent commits information in the response. If omitted, defaults to false.', 'type': 'boolean'}, 'includePullRequests': {'description': 'When true, includes open pull requests information in the response. If omitted, defaults to false.', 'type': 'boolean'}, 'repoSlug': {'description': 'Repository slug to retrieve. This must be a valid repository in the specified workspace. Example: "project-api"', 'minLength': 1, 'type': 'string'}, 'workspace': {'description': 'Workspace slug containing the repository. Must be a valid workspace slug from your Bitbucket account. Example: "myteam"', 'minLength': 1, 'type': 'string'}}, 'required': ['workspace', 'repoSlug'], 'type': 'object'}, description="""Get detailed information about a specific Bitbucket repository.\n\nPURPOSE: Retrieves comprehensive repository metadata including branches, settings, permissions, and more.\n\nWHEN TO USE:\n- When you need detailed information about a specific repository\n- When you need repository URLs, clone links, or other reference information\n- When you need to check repository settings or permissions\n- After using list-repositories to identify the relevant repository\n- Before performing operations that require repository context (PRs, branches)\n\nWHEN NOT TO USE:\n- When you don't know which repository to look for (use list-repositories first)\n- When you just need basic repository information\n- When you're looking for pull request details (use list-pullrequests instead)\n- When you need content from multiple repositories (use list-repositories instead)\n\nRETURNS: Detailed repository information including slug, name, description, URLs, branch information, and settings.\n\nEXAMPLES:\n- Get repository: {workspace: \"myteam\", repoSlug: \"project-api\"}\n\nERRORS:\n- Repository not found: Verify workspace and repository slugs\n- Permission errors: Ensure you have access to the requested repository\n- Rate limiting: Cache repository information when possible"""), # aashari/Atlassian Bitbucket MCP Server/get-repository
    Tool(name="""Atlassian Bitbucket MCP Server_list-pull-requests""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'cursor': {'description': 'Pagination cursor for retrieving the next set of results. Obtain this value from the previous response when more results are available.', 'type': 'string'}, 'limit': {'description': 'Maximum number of pull requests to return (1-100). Use this to control the response size. If omitted, defaults to 25.', 'exclusiveMinimum': 0, 'maximum': 100, 'type': 'integer'}, 'repoSlug': {'description': 'Repository slug containing the pull requests. This must be a valid repository in the specified workspace. Example: "project-api"', 'minLength': 1, 'type': 'string'}, 'state': {'description': 'Filter pull requests by state. Options: "OPEN" (active PRs), "MERGED" (completed PRs), "DECLINED" (rejected PRs), or "SUPERSEDED" (replaced PRs). If omitted, defaults to showing all states.', 'enum': ['OPEN', 'MERGED', 'DECLINED', 'SUPERSEDED'], 'type': 'string'}, 'workspace': {'description': 'Workspace slug containing the repository. Must be a valid workspace slug from your Bitbucket account. Example: "myteam"', 'minLength': 1, 'type': 'string'}}, 'required': ['workspace', 'repoSlug'], 'type': 'object'}, description="""List Bitbucket pull requests with optional filtering capabilities.\n\nPURPOSE: Allows you to find and browse pull requests across repositories with filtering options.\n\nWHEN TO USE:\n- When you need to find pull requests within a specific repository\n- When you want to check PR status (open, merged, declined, etc.)\n- When you need to track code review activity and progress\n- When you need PR IDs for other Bitbucket operations\n- When monitoring contributions from specific authors\n\nWHEN NOT TO USE:\n- When you don't know which repository to look in (use list-repositories first)\n- When you already know the PR ID (use get-pull-request instead)\n- When you need detailed PR content or comments (use get-pull-request instead)\n- When you need to browse repositories rather than PRs (use list-repositories)\n\nRETURNS: Formatted list of pull requests with IDs, titles, states, authors, branch information, and URLs, plus pagination info.\n\nEXAMPLES:\n- List all PRs in a repo: {workspace: \"myteam\", repoSlug: \"project-api\"}\n- Filter by state: {workspace: \"myteam\", repoSlug: \"project-api\", state: \"OPEN\"}\n- With pagination: {workspace: \"myteam\", repoSlug: \"project-api\", limit: 10, cursor: \"next-page-token\"}\n\nERRORS:\n- Repository not found: Verify workspace and repository slugs\n- Authentication failures: Check your Bitbucket credentials\n- Permission errors: Ensure you have access to the requested repository\n- Rate limiting: Use pagination and reduce query frequency"""), # aashari/Atlassian Bitbucket MCP Server/list-pull-requests
    Tool(name="""Atlassian Bitbucket MCP Server_get-pull-request""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'includeComments': {'description': 'Whether to include comments in the response. When true, includes all comments on the pull request. If omitted, defaults to false.', 'type': 'boolean'}, 'pullRequestId': {'description': 'Numeric ID of the pull request to retrieve. Must be a valid pull request ID in the specified repository. Example: 42', 'exclusiveMinimum': 0, 'type': 'integer'}, 'repoSlug': {'description': 'Repository slug containing the pull request. This must be a valid repository in the specified workspace. Example: "project-api"', 'minLength': 1, 'type': 'string'}, 'workspace': {'description': 'Workspace slug containing the repository. Must be a valid workspace slug from your Bitbucket account. Example: "myteam"', 'minLength': 1, 'type': 'string'}}, 'required': ['workspace', 'repoSlug', 'pullRequestId'], 'type': 'object'}, description="""Get detailed information about a specific Bitbucket pull request.\n\nPURPOSE: Retrieves comprehensive PR data including description, comments, diff stats, reviewers, and branch information.\n\nWHEN TO USE:\n- When you need the full description and context of a specific PR\n- When you need to see comments, reviews, or approvals\n- When you need details about the source and destination branches\n- When you need diff statistics or changed files information\n- After using list-pull-requests to identify the relevant PR ID\n\nWHEN NOT TO USE:\n- When you don't know which PR to look for (use list-pull-requests first)\n- When you need to browse multiple PRs (use list-pull-requests instead)\n- When you only need basic PR information without comments or details\n- When you need repository information rather than PR details (use get-repository)\n\nRETURNS: Detailed PR information including title, description, status, author, reviewers, branches, comments, and related timestamps.\n\nEXAMPLES:\n- Get PR details: {workspace: \"myteam\", repoSlug: \"project-api\", id: 42}\n\nERRORS:\n- PR not found: Verify workspace, repository slugs, and PR ID\n- Permission errors: Ensure you have access to the requested PR\n- Rate limiting: Cache PR information when possible for frequently referenced PRs"""), # aashari/Atlassian Bitbucket MCP Server/get-pull-request
    Tool(name="""Base Network MCP Server_process_command""", inputSchema={'properties': {'command': {'description': 'Natural language command (e.g., "Send 0.1 ETH to 0x123...")', 'type': 'string'}}, 'required': ['command'], 'type': 'object'}, description="""Process a natural language command for Base network operations"""), # fakepixels/Base Network MCP Server/process_command
    Tool(name="""Base Network MCP Server_create_wallet""", inputSchema={'properties': {'name': {'description': 'Optional name for the wallet', 'type': 'string'}}, 'type': 'object'}, description="""Create a new wallet"""), # fakepixels/Base Network MCP Server/create_wallet
    Tool(name="""Base Network MCP Server_check_balance""", inputSchema={'properties': {'wallet': {'description': 'Wallet name or address (defaults to primary wallet)', 'type': 'string'}}, 'type': 'object'}, description="""Check wallet balance"""), # fakepixels/Base Network MCP Server/check_balance
    Tool(name="""Base Network MCP Server_list_wallets""", inputSchema={'properties': {}, 'type': 'object'}, description="""List all available wallets"""), # fakepixels/Base Network MCP Server/list_wallets
    Tool(name="""GitLab MCP Server_gitlab_list_group_members""", inputSchema={'properties': {'group_id': {'description': 'The ID or URL-encoded path of the group', 'type': 'string'}}, 'required': ['group_id'], 'type': 'object'}, description="""List members of a group"""), # rifqi96/GitLab MCP Server/gitlab_list_group_members
    Tool(name="""GitLab MCP Server_gitlab_list_users""", inputSchema={'properties': {'active': {'description': 'Filter users by active status', 'type': 'boolean'}, 'search': {'description': 'Search users by username, name or email', 'type': 'string'}}, 'type': 'object'}, description="""List GitLab users"""), # rifqi96/GitLab MCP Server/gitlab_list_users
    Tool(name="""GitLab MCP Server_gitlab_get_user""", inputSchema={'properties': {'user_id': {'description': 'The ID of the user', 'type': 'number'}}, 'required': ['user_id'], 'type': 'object'}, description="""Get details of a specific user"""), # rifqi96/GitLab MCP Server/gitlab_get_user
    Tool(name="""GitLab MCP Server_gitlab_list_groups""", inputSchema={'properties': {'owned': {'description': 'Limit to groups explicitly owned by the current user', 'type': 'boolean'}, 'search': {'description': 'Search groups by name', 'type': 'string'}}, 'type': 'object'}, description="""List GitLab groups"""), # rifqi96/GitLab MCP Server/gitlab_list_groups
    Tool(name="""GitLab MCP Server_gitlab_get_cicd_variable""", inputSchema={'properties': {'key': {'description': 'The key of the variable', 'type': 'string'}, 'project_id': {'description': 'The ID or URL-encoded path of the project', 'type': 'string'}}, 'required': ['project_id', 'key'], 'type': 'object'}, description="""Get a specific CI/CD variable"""), # rifqi96/GitLab MCP Server/gitlab_get_cicd_variable
    Tool(name="""GitLab MCP Server_gitlab_list_projects""", inputSchema={'properties': {'membership': {'description': 'Limit to projects the current user is a member of', 'type': 'boolean'}, 'owned': {'description': 'Limit to projects explicitly owned by the current user', 'type': 'boolean'}, 'per_page': {'description': 'Number of projects to return per page (max 100)', 'type': 'number'}, 'search': {'description': 'Search projects by name', 'type': 'string'}}, 'type': 'object'}, description="""List GitLab projects accessible to the user"""), # rifqi96/GitLab MCP Server/gitlab_list_projects
    Tool(name="""GitLab MCP Server_gitlab_get_project""", inputSchema={'properties': {'project_id': {'description': 'The ID or URL-encoded path of the project', 'type': 'string'}}, 'required': ['project_id'], 'type': 'object'}, description="""Get details of a specific GitLab project"""), # rifqi96/GitLab MCP Server/gitlab_get_project
    Tool(name="""GitLab MCP Server_gitlab_list_branches""", inputSchema={'properties': {'project_id': {'description': 'The ID or URL-encoded path of the project', 'type': 'string'}, 'search': {'description': 'Search branches by name', 'type': 'string'}}, 'required': ['project_id'], 'type': 'object'}, description="""List branches of a GitLab project"""), # rifqi96/GitLab MCP Server/gitlab_list_branches
    Tool(name="""GitLab MCP Server_gitlab_list_merge_requests""", inputSchema={'properties': {'project_id': {'description': 'The ID or URL-encoded path of the project', 'type': 'string'}, 'scope': {'description': 'Return merge requests for the specified scope (created_by_me, assigned_to_me, all)', 'enum': ['created_by_me', 'assigned_to_me', 'all'], 'type': 'string'}, 'state': {'description': 'Return merge requests with specified state (opened, closed, locked, merged)', 'enum': ['opened', 'closed', 'locked', 'merged'], 'type': 'string'}}, 'required': ['project_id'], 'type': 'object'}, description="""List merge requests in a GitLab project"""), # rifqi96/GitLab MCP Server/gitlab_list_merge_requests
    Tool(name="""GitLab MCP Server_gitlab_get_merge_request""", inputSchema={'properties': {'merge_request_iid': {'description': 'The internal ID of the merge request', 'type': 'number'}, 'project_id': {'description': 'The ID or URL-encoded path of the project', 'type': 'string'}}, 'required': ['project_id', 'merge_request_iid'], 'type': 'object'}, description="""Get details of a specific merge request"""), # rifqi96/GitLab MCP Server/gitlab_get_merge_request
    Tool(name="""GitLab MCP Server_gitlab_get_merge_request_changes""", inputSchema={'properties': {'merge_request_iid': {'description': 'The internal ID of the merge request', 'type': 'number'}, 'project_id': {'description': 'The ID or URL-encoded path of the project', 'type': 'string'}}, 'required': ['project_id', 'merge_request_iid'], 'type': 'object'}, description="""Get changes (diff) of a specific merge request"""), # rifqi96/GitLab MCP Server/gitlab_get_merge_request_changes
    Tool(name="""GitLab MCP Server_gitlab_create_merge_request_note""", inputSchema={'properties': {'body': {'description': 'The content of the note/comment', 'type': 'string'}, 'merge_request_iid': {'description': 'The internal ID of the merge request', 'type': 'number'}, 'project_id': {'description': 'The ID or URL-encoded path of the project', 'type': 'string'}}, 'required': ['project_id', 'merge_request_iid', 'body'], 'type': 'object'}, description="""Add a comment to a merge request"""), # rifqi96/GitLab MCP Server/gitlab_create_merge_request_note
    Tool(name="""GitLab MCP Server_gitlab_create_merge_request_note_internal""", inputSchema={'properties': {'body': {'description': 'The content of the note/comment', 'type': 'string'}, 'internal': {'description': 'If true, the note will be marked as an internal note visible only to project members', 'type': 'boolean'}, 'merge_request_iid': {'description': 'The internal ID of the merge request', 'type': 'number'}, 'project_id': {'description': 'The ID or URL-encoded path of the project', 'type': 'string'}}, 'required': ['project_id', 'merge_request_iid', 'body'], 'type': 'object'}, description="""Add a comment to a merge request with option to make it an internal note"""), # rifqi96/GitLab MCP Server/gitlab_create_merge_request_note_internal
    Tool(name="""GitLab MCP Server_gitlab_update_merge_request""", inputSchema={'properties': {'description': {'description': 'The description of the merge request', 'type': 'string'}, 'merge_request_iid': {'description': 'The internal ID of the merge request', 'type': 'number'}, 'project_id': {'description': 'The ID or URL-encoded path of the project', 'type': 'string'}, 'title': {'description': 'The title of the merge request', 'type': 'string'}}, 'required': ['project_id', 'merge_request_iid'], 'type': 'object'}, description="""Update a merge request title and description"""), # rifqi96/GitLab MCP Server/gitlab_update_merge_request
    Tool(name="""GitLab MCP Server_gitlab_list_issues""", inputSchema={'properties': {'labels': {'description': 'Comma-separated list of label names', 'type': 'string'}, 'project_id': {'description': 'The ID or URL-encoded path of the project', 'type': 'string'}, 'state': {'description': 'Return issues with specified state (opened, closed)', 'enum': ['opened', 'closed'], 'type': 'string'}}, 'required': ['project_id'], 'type': 'object'}, description="""List issues in a GitLab project"""), # rifqi96/GitLab MCP Server/gitlab_list_issues
    Tool(name="""GitLab MCP Server_gitlab_get_repository_file""", inputSchema={'properties': {'file_path': {'description': 'Path of the file in the repository', 'type': 'string'}, 'project_id': {'description': 'The ID or URL-encoded path of the project', 'type': 'string'}, 'ref': {'description': 'The name of branch, tag or commit', 'type': 'string'}}, 'required': ['project_id', 'file_path'], 'type': 'object'}, description="""Get content of a file in a repository"""), # rifqi96/GitLab MCP Server/gitlab_get_repository_file
    Tool(name="""GitLab MCP Server_gitlab_compare_branches""", inputSchema={'properties': {'from': {'description': 'The commit SHA or branch name to compare from', 'type': 'string'}, 'project_id': {'description': 'The ID or URL-encoded path of the project', 'type': 'string'}, 'to': {'description': 'The commit SHA or branch name to compare to', 'type': 'string'}}, 'required': ['project_id', 'from', 'to'], 'type': 'object'}, description="""Compare branches, tags or commits"""), # rifqi96/GitLab MCP Server/gitlab_compare_branches
    Tool(name="""GitLab MCP Server_gitlab_list_integrations""", inputSchema={'properties': {'project_id': {'description': 'The ID or URL-encoded path of the project', 'type': 'string'}}, 'required': ['project_id'], 'type': 'object'}, description="""List all available project integrations/services"""), # rifqi96/GitLab MCP Server/gitlab_list_integrations
    Tool(name="""GitLab MCP Server_gitlab_get_integration""", inputSchema={'properties': {'integration': {'description': 'The name of the integration (e.g., slack)', 'type': 'string'}, 'project_id': {'description': 'The ID or URL-encoded path of the project', 'type': 'string'}}, 'required': ['project_id', 'integration'], 'type': 'object'}, description="""Get integration details for a project"""), # rifqi96/GitLab MCP Server/gitlab_get_integration
    Tool(name="""GitLab MCP Server_gitlab_update_slack_integration""", inputSchema={'properties': {'channel': {'description': 'The Slack channel name', 'type': 'string'}, 'project_id': {'description': 'The ID or URL-encoded path of the project', 'type': 'string'}, 'username': {'description': 'The Slack username', 'type': 'string'}, 'webhook': {'description': 'The Slack webhook URL', 'type': 'string'}}, 'required': ['project_id', 'webhook'], 'type': 'object'}, description="""Update Slack integration settings for a project"""), # rifqi96/GitLab MCP Server/gitlab_update_slack_integration
    Tool(name="""GitLab MCP Server_gitlab_disable_slack_integration""", inputSchema={'properties': {'project_id': {'description': 'The ID or URL-encoded path of the project', 'type': 'string'}}, 'required': ['project_id'], 'type': 'object'}, description="""Disable Slack integration for a project"""), # rifqi96/GitLab MCP Server/gitlab_disable_slack_integration
    Tool(name="""GitLab MCP Server_gitlab_list_webhooks""", inputSchema={'properties': {'project_id': {'description': 'The ID or URL-encoded path of the project', 'type': 'string'}}, 'required': ['project_id'], 'type': 'object'}, description="""List webhooks for a project"""), # rifqi96/GitLab MCP Server/gitlab_list_webhooks
    Tool(name="""GitLab MCP Server_gitlab_get_webhook""", inputSchema={'properties': {'project_id': {'description': 'The ID or URL-encoded path of the project', 'type': 'string'}, 'webhook_id': {'description': 'The ID of the webhook', 'type': 'number'}}, 'required': ['project_id', 'webhook_id'], 'type': 'object'}, description="""Get details of a specific webhook"""), # rifqi96/GitLab MCP Server/gitlab_get_webhook
    Tool(name="""GitLab MCP Server_gitlab_add_webhook""", inputSchema={'properties': {'enable_ssl_verification': {'description': 'Enable SSL verification for the webhook', 'type': 'boolean'}, 'issues_events': {'description': 'Trigger webhook for issues events', 'type': 'boolean'}, 'merge_requests_events': {'description': 'Trigger webhook for merge request events', 'type': 'boolean'}, 'project_id': {'description': 'The ID or URL-encoded path of the project', 'type': 'string'}, 'push_events': {'description': 'Trigger webhook for push events', 'type': 'boolean'}, 'token': {'description': 'Secret token to validate received payloads', 'type': 'string'}, 'url': {'description': 'The webhook URL', 'type': 'string'}}, 'required': ['project_id', 'url'], 'type': 'object'}, description="""Add a new webhook to a project"""), # rifqi96/GitLab MCP Server/gitlab_add_webhook
    Tool(name="""GitLab MCP Server_gitlab_update_webhook""", inputSchema={'properties': {'enable_ssl_verification': {'description': 'Enable SSL verification for the webhook', 'type': 'boolean'}, 'issues_events': {'description': 'Trigger webhook for issues events', 'type': 'boolean'}, 'merge_requests_events': {'description': 'Trigger webhook for merge request events', 'type': 'boolean'}, 'project_id': {'description': 'The ID or URL-encoded path of the project', 'type': 'string'}, 'push_events': {'description': 'Trigger webhook for push events', 'type': 'boolean'}, 'token': {'description': 'Secret token to validate received payloads', 'type': 'string'}, 'url': {'description': 'The webhook URL', 'type': 'string'}, 'webhook_id': {'description': 'The ID of the webhook', 'type': 'number'}}, 'required': ['project_id', 'webhook_id', 'url'], 'type': 'object'}, description="""Update an existing webhook"""), # rifqi96/GitLab MCP Server/gitlab_update_webhook
    Tool(name="""GitLab MCP Server_gitlab_delete_webhook""", inputSchema={'properties': {'project_id': {'description': 'The ID or URL-encoded path of the project', 'type': 'string'}, 'webhook_id': {'description': 'The ID of the webhook', 'type': 'number'}}, 'required': ['project_id', 'webhook_id'], 'type': 'object'}, description="""Delete a webhook"""), # rifqi96/GitLab MCP Server/gitlab_delete_webhook
    Tool(name="""GitLab MCP Server_gitlab_test_webhook""", inputSchema={'properties': {'project_id': {'description': 'The ID or URL-encoded path of the project', 'type': 'string'}, 'webhook_id': {'description': 'The ID of the webhook', 'type': 'number'}}, 'required': ['project_id', 'webhook_id'], 'type': 'object'}, description="""Test a webhook"""), # rifqi96/GitLab MCP Server/gitlab_test_webhook
    Tool(name="""GitLab MCP Server_gitlab_list_trigger_tokens""", inputSchema={'properties': {'project_id': {'description': 'The ID or URL-encoded path of the project', 'type': 'string'}}, 'required': ['project_id'], 'type': 'object'}, description="""List pipeline trigger tokens"""), # rifqi96/GitLab MCP Server/gitlab_list_trigger_tokens
    Tool(name="""GitLab MCP Server_gitlab_get_trigger_token""", inputSchema={'properties': {'project_id': {'description': 'The ID or URL-encoded path of the project', 'type': 'string'}, 'trigger_id': {'description': 'The ID of the trigger', 'type': 'number'}}, 'required': ['project_id', 'trigger_id'], 'type': 'object'}, description="""Get details of a pipeline trigger token"""), # rifqi96/GitLab MCP Server/gitlab_get_trigger_token
    Tool(name="""GitLab MCP Server_gitlab_create_trigger_token""", inputSchema={'properties': {'description': {'description': 'The trigger description', 'type': 'string'}, 'project_id': {'description': 'The ID or URL-encoded path of the project', 'type': 'string'}}, 'required': ['project_id', 'description'], 'type': 'object'}, description="""Create a new pipeline trigger token"""), # rifqi96/GitLab MCP Server/gitlab_create_trigger_token
    Tool(name="""GitLab MCP Server_gitlab_update_trigger_token""", inputSchema={'properties': {'description': {'description': 'The new trigger description', 'type': 'string'}, 'project_id': {'description': 'The ID or URL-encoded path of the project', 'type': 'string'}, 'trigger_id': {'description': 'The ID of the trigger', 'type': 'number'}}, 'required': ['project_id', 'trigger_id', 'description'], 'type': 'object'}, description="""Update a pipeline trigger token"""), # rifqi96/GitLab MCP Server/gitlab_update_trigger_token
    Tool(name="""GitLab MCP Server_gitlab_delete_trigger_token""", inputSchema={'properties': {'project_id': {'description': 'The ID or URL-encoded path of the project', 'type': 'string'}, 'trigger_id': {'description': 'The ID of the trigger', 'type': 'number'}}, 'required': ['project_id', 'trigger_id'], 'type': 'object'}, description="""Delete a pipeline trigger token"""), # rifqi96/GitLab MCP Server/gitlab_delete_trigger_token
    Tool(name="""GitLab MCP Server_gitlab_trigger_pipeline""", inputSchema={'properties': {'project_id': {'description': 'The ID or URL-encoded path of the project', 'type': 'string'}, 'ref': {'description': 'The branch or tag name to run the pipeline for', 'type': 'string'}, 'token': {'description': 'The trigger token', 'type': 'string'}, 'variables': {'additionalProperties': {'type': 'string'}, 'description': 'Variables to pass to the pipeline', 'type': 'object'}}, 'required': ['project_id', 'ref', 'token'], 'type': 'object'}, description="""Trigger a pipeline run"""), # rifqi96/GitLab MCP Server/gitlab_trigger_pipeline
    Tool(name="""GitLab MCP Server_gitlab_list_cicd_variables""", inputSchema={'properties': {'project_id': {'description': 'The ID or URL-encoded path of the project', 'type': 'string'}}, 'required': ['project_id'], 'type': 'object'}, description="""List CI/CD variables for a project"""), # rifqi96/GitLab MCP Server/gitlab_list_cicd_variables
    Tool(name="""GitLab MCP Server_gitlab_create_cicd_variable""", inputSchema={'properties': {'key': {'description': 'The key of the variable', 'type': 'string'}, 'masked': {'description': 'Whether the variable is masked', 'type': 'boolean'}, 'project_id': {'description': 'The ID or URL-encoded path of the project', 'type': 'string'}, 'protected': {'description': 'Whether the variable is protected', 'type': 'boolean'}, 'value': {'description': 'The value of the variable', 'type': 'string'}}, 'required': ['project_id', 'key', 'value'], 'type': 'object'}, description="""Create a new CI/CD variable"""), # rifqi96/GitLab MCP Server/gitlab_create_cicd_variable
    Tool(name="""GitLab MCP Server_gitlab_update_cicd_variable""", inputSchema={'properties': {'key': {'description': 'The key of the variable', 'type': 'string'}, 'masked': {'description': 'Whether the variable is masked', 'type': 'boolean'}, 'project_id': {'description': 'The ID or URL-encoded path of the project', 'type': 'string'}, 'protected': {'description': 'Whether the variable is protected', 'type': 'boolean'}, 'value': {'description': 'The value of the variable', 'type': 'string'}}, 'required': ['project_id', 'key', 'value'], 'type': 'object'}, description="""Update a CI/CD variable"""), # rifqi96/GitLab MCP Server/gitlab_update_cicd_variable
    Tool(name="""GitLab MCP Server_gitlab_delete_cicd_variable""", inputSchema={'properties': {'key': {'description': 'The key of the variable', 'type': 'string'}, 'project_id': {'description': 'The ID or URL-encoded path of the project', 'type': 'string'}}, 'required': ['project_id', 'key'], 'type': 'object'}, description="""Delete a CI/CD variable"""), # rifqi96/GitLab MCP Server/gitlab_delete_cicd_variable
    Tool(name="""GitLab MCP Server_gitlab_get_group""", inputSchema={'properties': {'group_id': {'description': 'The ID or URL-encoded path of the group', 'type': 'string'}}, 'required': ['group_id'], 'type': 'object'}, description="""Get details of a specific group"""), # rifqi96/GitLab MCP Server/gitlab_get_group
    Tool(name="""GitLab MCP Server_gitlab_add_group_member""", inputSchema={'properties': {'access_level': {'description': 'Access level (10=Guest, 20=Reporter, 30=Developer, 40=Maintainer, 50=Owner)', 'enum': [10, 20, 30, 40, 50], 'type': 'number'}, 'group_id': {'description': 'The ID or URL-encoded path of the group', 'type': 'string'}, 'user_id': {'description': 'The ID of the user', 'type': 'number'}}, 'required': ['group_id', 'user_id', 'access_level'], 'type': 'object'}, description="""Add a user to a group"""), # rifqi96/GitLab MCP Server/gitlab_add_group_member
    Tool(name="""GitLab MCP Server_gitlab_list_project_members""", inputSchema={'properties': {'project_id': {'description': 'The ID or URL-encoded path of the project', 'type': 'string'}}, 'required': ['project_id'], 'type': 'object'}, description="""List members of a project"""), # rifqi96/GitLab MCP Server/gitlab_list_project_members
    Tool(name="""GitLab MCP Server_gitlab_add_project_member""", inputSchema={'properties': {'access_level': {'description': 'Access level (10=Guest, 20=Reporter, 30=Developer, 40=Maintainer, 50=Owner)', 'enum': [10, 20, 30, 40, 50], 'type': 'number'}, 'project_id': {'description': 'The ID or URL-encoded path of the project', 'type': 'string'}, 'user_id': {'description': 'The ID of the user', 'type': 'number'}}, 'required': ['project_id', 'user_id', 'access_level'], 'type': 'object'}, description="""Add a user to a project"""), # rifqi96/GitLab MCP Server/gitlab_add_project_member
    Tool(name="""MRP Calculator MCP Server_calculate_order_need""", inputSchema={'properties': {'analysis_date': {'type': 'string'}, 'batch_sizes': {'items': {'type': 'number'}, 'type': 'array'}, 'current_balance': {'type': 'number'}, 'delivery_schedule': {'properties': {'first_delivery': {'type': 'string'}, 'lead_time': {'type': 'number'}, 'second_delivery': {'type': 'string'}}, 'type': 'object'}, 'forecast_periods': {'items': {'properties': {'end_date': {'type': 'string'}, 'quantity': {'type': 'number'}, 'start_date': {'type': 'string'}}, 'type': 'object'}, 'type': 'array'}, 'must_order_point': {'type': 'number'}, 'open_orders': {'items': {'properties': {'delivery_date': {'type': 'string'}, 'quantity': {'type': 'number'}}, 'type': 'object'}, 'type': 'array'}, 'sku_location': {'properties': {'location': {'type': 'string'}, 'sku': {'type': 'string'}}, 'required': ['sku', 'location'], 'type': 'object'}}, 'required': ['sku_location', 'analysis_date', 'must_order_point', 'current_balance', 'open_orders', 'delivery_schedule', 'forecast_periods'], 'type': 'object'}, description="""Calculate MRP order need based on forecast, inventory, and delivery schedule"""), # brandon-butterwick/MRP Calculator MCP Server/calculate_order_need
    Tool(name="""Notes MCP Server_add-note""", inputSchema={'properties': {'content': {'type': 'string'}, 'name': {'type': 'string'}}, 'required': ['name', 'content'], 'type': 'object'}, description="""Add a new note"""), # daikw/Notes MCP Server/add-note
    Tool(name="""ServiceNow MCP Server_update_catalog_item""", inputSchema={'$defs': {'UpdateCatalogItemParams': {'properties': {'active': {'anyOf': [{'type': 'boolean'}, {'type': 'null'}], 'default': None, 'title': 'Active'}, 'category': {'anyOf': [{'type': 'string'}, {'type': 'null'}], 'default': None, 'title': 'Category'}, 'description': {'anyOf': [{'type': 'string'}, {'type': 'null'}], 'default': None, 'title': 'Description'}, 'item_id': {'title': 'Item Id', 'type': 'string'}, 'name': {'anyOf': [{'type': 'string'}, {'type': 'null'}], 'default': None, 'title': 'Name'}, 'order': {'anyOf': [{'type': 'integer'}, {'type': 'null'}], 'default': None, 'title': 'Order'}, 'price': {'anyOf': [{'type': 'string'}, {'type': 'null'}], 'default': None, 'title': 'Price'}, 'short_description': {'anyOf': [{'type': 'string'}, {'type': 'null'}], 'default': None, 'title': 'Short Description'}}, 'required': ['item_id'], 'title': 'UpdateCatalogItemParams', 'type': 'object'}}, 'properties': {'params': {'$ref': '#/$defs/UpdateCatalogItemParams'}}, 'required': ['params'], 'title': 'update_catalog_itemArguments', 'type': 'object'}, description="""Update a service catalog item."""), # osomai/ServiceNow MCP Server/update_catalog_item
    Tool(name="""ServiceNow MCP Server_create_incident""", inputSchema={'$defs': {'CreateIncidentParams': {'description': 'Parameters for creating an incident.', 'properties': {'assigned_to': {'anyOf': [{'type': 'string'}, {'type': 'null'}], 'default': None, 'description': 'User assigned to the incident', 'title': 'Assigned To'}, 'assignment_group': {'anyOf': [{'type': 'string'}, {'type': 'null'}], 'default': None, 'description': 'Group assigned to the incident', 'title': 'Assignment Group'}, 'caller_id': {'anyOf': [{'type': 'string'}, {'type': 'null'}], 'default': None, 'description': 'User who reported the incident', 'title': 'Caller Id'}, 'category': {'anyOf': [{'type': 'string'}, {'type': 'null'}], 'default': None, 'description': 'Category of the incident', 'title': 'Category'}, 'description': {'anyOf': [{'type': 'string'}, {'type': 'null'}], 'default': None, 'description': 'Detailed description of the incident', 'title': 'Description'}, 'impact': {'anyOf': [{'type': 'string'}, {'type': 'null'}], 'default': None, 'description': 'Impact of the incident', 'title': 'Impact'}, 'priority': {'anyOf': [{'type': 'string'}, {'type': 'null'}], 'default': None, 'description': 'Priority of the incident', 'title': 'Priority'}, 'short_description': {'description': 'Short description of the incident', 'title': 'Short Description', 'type': 'string'}, 'subcategory': {'anyOf': [{'type': 'string'}, {'type': 'null'}], 'default': None, 'description': 'Subcategory of the incident', 'title': 'Subcategory'}, 'urgency': {'anyOf': [{'type': 'string'}, {'type': 'null'}], 'default': None, 'description': 'Urgency of the incident', 'title': 'Urgency'}}, 'required': ['short_description'], 'title': 'CreateIncidentParams', 'type': 'object'}}, 'properties': {'params': {'$ref': '#/$defs/CreateIncidentParams'}}, 'required': ['params'], 'title': 'create_incidentArguments', 'type': 'object'}, description="""Create a new incident in ServiceNow"""), # osomai/ServiceNow MCP Server/create_incident
    Tool(name="""ServiceNow MCP Server_update_incident""", inputSchema={'$defs': {'UpdateIncidentParams': {'description': 'Parameters for updating an incident.', 'properties': {'assigned_to': {'anyOf': [{'type': 'string'}, {'type': 'null'}], 'default': None, 'description': 'User assigned to the incident', 'title': 'Assigned To'}, 'assignment_group': {'anyOf': [{'type': 'string'}, {'type': 'null'}], 'default': None, 'description': 'Group assigned to the incident', 'title': 'Assignment Group'}, 'category': {'anyOf': [{'type': 'string'}, {'type': 'null'}], 'default': None, 'description': 'Category of the incident', 'title': 'Category'}, 'close_code': {'anyOf': [{'type': 'string'}, {'type': 'null'}], 'default': None, 'description': 'Close code for the incident', 'title': 'Close Code'}, 'close_notes': {'anyOf': [{'type': 'string'}, {'type': 'null'}], 'default': None, 'description': 'Close notes to add to the incident', 'title': 'Close Notes'}, 'description': {'anyOf': [{'type': 'string'}, {'type': 'null'}], 'default': None, 'description': 'Detailed description of the incident', 'title': 'Description'}, 'impact': {'anyOf': [{'type': 'string'}, {'type': 'null'}], 'default': None, 'description': 'Impact of the incident', 'title': 'Impact'}, 'incident_id': {'description': 'Incident ID or sys_id', 'title': 'Incident Id', 'type': 'string'}, 'priority': {'anyOf': [{'type': 'string'}, {'type': 'null'}], 'default': None, 'description': 'Priority of the incident', 'title': 'Priority'}, 'short_description': {'anyOf': [{'type': 'string'}, {'type': 'null'}], 'default': None, 'description': 'Short description of the incident', 'title': 'Short Description'}, 'state': {'anyOf': [{'type': 'string'}, {'type': 'null'}], 'default': None, 'description': 'State of the incident', 'title': 'State'}, 'subcategory': {'anyOf': [{'type': 'string'}, {'type': 'null'}], 'default': None, 'description': 'Subcategory of the incident', 'title': 'Subcategory'}, 'urgency': {'anyOf': [{'type': 'string'}, {'type': 'null'}], 'default': None, 'description': 'Urgency of the incident', 'title': 'Urgency'}, 'work_notes': {'anyOf': [{'type': 'string'}, {'type': 'null'}], 'default': None, 'description': 'Work notes to add to the incident', 'title': 'Work Notes'}}, 'required': ['incident_id'], 'title': 'UpdateIncidentParams', 'type': 'object'}}, 'properties': {'params': {'$ref': '#/$defs/UpdateIncidentParams'}}, 'required': ['params'], 'title': 'update_incidentArguments', 'type': 'object'}, description="""Update an existing incident in ServiceNow"""), # osomai/ServiceNow MCP Server/update_incident
    Tool(name="""ServiceNow MCP Server_add_comment""", inputSchema={'$defs': {'AddCommentParams': {'description': 'Parameters for adding a comment to an incident.', 'properties': {'comment': {'description': 'Comment to add to the incident', 'title': 'Comment', 'type': 'string'}, 'incident_id': {'description': 'Incident ID or sys_id', 'title': 'Incident Id', 'type': 'string'}, 'is_work_note': {'default': False, 'description': 'Whether the comment is a work note', 'title': 'Is Work Note', 'type': 'boolean'}}, 'required': ['incident_id', 'comment'], 'title': 'AddCommentParams', 'type': 'object'}}, 'properties': {'params': {'$ref': '#/$defs/AddCommentParams'}}, 'required': ['params'], 'title': 'add_commentArguments', 'type': 'object'}, description="""Add a comment to an incident in ServiceNow"""), # osomai/ServiceNow MCP Server/add_comment
    Tool(name="""ServiceNow MCP Server_resolve_incident""", inputSchema={'$defs': {'ResolveIncidentParams': {'description': 'Parameters for resolving an incident.', 'properties': {'incident_id': {'description': 'Incident ID or sys_id', 'title': 'Incident Id', 'type': 'string'}, 'resolution_code': {'description': 'Resolution code for the incident', 'title': 'Resolution Code', 'type': 'string'}, 'resolution_notes': {'description': 'Resolution notes for the incident', 'title': 'Resolution Notes', 'type': 'string'}}, 'required': ['incident_id', 'resolution_code', 'resolution_notes'], 'title': 'ResolveIncidentParams', 'type': 'object'}}, 'properties': {'params': {'$ref': '#/$defs/ResolveIncidentParams'}}, 'required': ['params'], 'title': 'resolve_incidentArguments', 'type': 'object'}, description="""Resolve an incident in ServiceNow"""), # osomai/ServiceNow MCP Server/resolve_incident
    Tool(name="""ServiceNow MCP Server_list_incidents""", inputSchema={'$defs': {'ListIncidentsParams': {'description': 'Parameters for listing incidents.', 'properties': {'assigned_to': {'anyOf': [{'type': 'string'}, {'type': 'null'}], 'default': None, 'description': 'Filter by assigned user', 'title': 'Assigned To'}, 'category': {'anyOf': [{'type': 'string'}, {'type': 'null'}], 'default': None, 'description': 'Filter by category', 'title': 'Category'}, 'limit': {'default': 10, 'description': 'Maximum number of incidents to return', 'title': 'Limit', 'type': 'integer'}, 'offset': {'default': 0, 'description': 'Offset for pagination', 'title': 'Offset', 'type': 'integer'}, 'query': {'anyOf': [{'type': 'string'}, {'type': 'null'}], 'default': None, 'description': 'Search query for incidents', 'title': 'Query'}, 'state': {'anyOf': [{'type': 'string'}, {'type': 'null'}], 'default': None, 'description': 'Filter by incident state', 'title': 'State'}}, 'title': 'ListIncidentsParams', 'type': 'object'}}, 'properties': {'params': {'$ref': '#/$defs/ListIncidentsParams'}}, 'required': ['params'], 'title': 'list_incidentsArguments', 'type': 'object'}, description="""List incidents from ServiceNow"""), # osomai/ServiceNow MCP Server/list_incidents
    Tool(name="""ServiceNow MCP Server_list_catalog_items""", inputSchema={'$defs': {'ListCatalogItemsParams': {'description': 'Parameters for listing service catalog items.', 'properties': {'active': {'default': True, 'description': 'Whether to only return active catalog items', 'title': 'Active', 'type': 'boolean'}, 'category': {'anyOf': [{'type': 'string'}, {'type': 'null'}], 'default': None, 'description': 'Filter by category', 'title': 'Category'}, 'limit': {'default': 10, 'description': 'Maximum number of catalog items to return', 'title': 'Limit', 'type': 'integer'}, 'offset': {'default': 0, 'description': 'Offset for pagination', 'title': 'Offset', 'type': 'integer'}, 'query': {'anyOf': [{'type': 'string'}, {'type': 'null'}], 'default': None, 'description': 'Search query for catalog items', 'title': 'Query'}}, 'title': 'ListCatalogItemsParams', 'type': 'object'}}, 'properties': {'params': {'$ref': '#/$defs/ListCatalogItemsParams'}}, 'required': ['params'], 'title': 'list_catalog_itemsArguments', 'type': 'object'}, description="""List service catalog items."""), # osomai/ServiceNow MCP Server/list_catalog_items
    Tool(name="""ServiceNow MCP Server_get_catalog_item""", inputSchema={'$defs': {'GetCatalogItemParams': {'description': 'Parameters for getting a specific service catalog item.', 'properties': {'item_id': {'description': 'Catalog item ID or sys_id', 'title': 'Item Id', 'type': 'string'}}, 'required': ['item_id'], 'title': 'GetCatalogItemParams', 'type': 'object'}}, 'properties': {'params': {'$ref': '#/$defs/GetCatalogItemParams'}}, 'required': ['params'], 'title': 'get_catalog_itemArguments', 'type': 'object'}, description="""Get a specific service catalog item."""), # osomai/ServiceNow MCP Server/get_catalog_item
    Tool(name="""ServiceNow MCP Server_list_catalog_categories""", inputSchema={'$defs': {'ListCatalogCategoriesParams': {'description': 'Parameters for listing service catalog categories.', 'properties': {'active': {'default': True, 'description': 'Whether to only return active categories', 'title': 'Active', 'type': 'boolean'}, 'limit': {'default': 10, 'description': 'Maximum number of categories to return', 'title': 'Limit', 'type': 'integer'}, 'offset': {'default': 0, 'description': 'Offset for pagination', 'title': 'Offset', 'type': 'integer'}, 'query': {'anyOf': [{'type': 'string'}, {'type': 'null'}], 'default': None, 'description': 'Search query for categories', 'title': 'Query'}}, 'title': 'ListCatalogCategoriesParams', 'type': 'object'}}, 'properties': {'params': {'$ref': '#/$defs/ListCatalogCategoriesParams'}}, 'required': ['params'], 'title': 'list_catalog_categoriesArguments', 'type': 'object'}, description="""List service catalog categories."""), # osomai/ServiceNow MCP Server/list_catalog_categories
    Tool(name="""ServiceNow MCP Server_create_catalog_category""", inputSchema={'$defs': {'CreateCatalogCategoryParams': {'description': 'Parameters for creating a new service catalog category.', 'properties': {'active': {'default': True, 'description': 'Whether the category is active', 'title': 'Active', 'type': 'boolean'}, 'description': {'anyOf': [{'type': 'string'}, {'type': 'null'}], 'default': None, 'description': 'Description of the category', 'title': 'Description'}, 'icon': {'anyOf': [{'type': 'string'}, {'type': 'null'}], 'default': None, 'description': 'Icon for the category', 'title': 'Icon'}, 'order': {'anyOf': [{'type': 'integer'}, {'type': 'null'}], 'default': None, 'description': 'Order of the category', 'title': 'Order'}, 'parent': {'anyOf': [{'type': 'string'}, {'type': 'null'}], 'default': None, 'description': 'Parent category sys_id', 'title': 'Parent'}, 'title': {'description': 'Title of the category', 'title': 'Title', 'type': 'string'}}, 'required': ['title'], 'title': 'CreateCatalogCategoryParams', 'type': 'object'}}, 'properties': {'params': {'$ref': '#/$defs/CreateCatalogCategoryParams'}}, 'required': ['params'], 'title': 'create_catalog_categoryArguments', 'type': 'object'}, description="""Create a new service catalog category."""), # osomai/ServiceNow MCP Server/create_catalog_category
    Tool(name="""ServiceNow MCP Server_update_catalog_category""", inputSchema={'$defs': {'UpdateCatalogCategoryParams': {'description': 'Parameters for updating a service catalog category.', 'properties': {'active': {'anyOf': [{'type': 'boolean'}, {'type': 'null'}], 'default': None, 'description': 'Whether the category is active', 'title': 'Active'}, 'category_id': {'description': 'Category ID or sys_id', 'title': 'Category Id', 'type': 'string'}, 'description': {'anyOf': [{'type': 'string'}, {'type': 'null'}], 'default': None, 'description': 'Description of the category', 'title': 'Description'}, 'icon': {'anyOf': [{'type': 'string'}, {'type': 'null'}], 'default': None, 'description': 'Icon for the category', 'title': 'Icon'}, 'order': {'anyOf': [{'type': 'integer'}, {'type': 'null'}], 'default': None, 'description': 'Order of the category', 'title': 'Order'}, 'parent': {'anyOf': [{'type': 'string'}, {'type': 'null'}], 'default': None, 'description': 'Parent category sys_id', 'title': 'Parent'}, 'title': {'anyOf': [{'type': 'string'}, {'type': 'null'}], 'default': None, 'description': 'Title of the category', 'title': 'Title'}}, 'required': ['category_id'], 'title': 'UpdateCatalogCategoryParams', 'type': 'object'}}, 'properties': {'params': {'$ref': '#/$defs/UpdateCatalogCategoryParams'}}, 'required': ['params'], 'title': 'update_catalog_categoryArguments', 'type': 'object'}, description="""Update an existing service catalog category."""), # osomai/ServiceNow MCP Server/update_catalog_category
    Tool(name="""ServiceNow MCP Server_move_catalog_items""", inputSchema={'$defs': {'MoveCatalogItemsParams': {'description': 'Parameters for moving catalog items between categories.', 'properties': {'item_ids': {'description': 'List of catalog item IDs to move', 'items': {'type': 'string'}, 'title': 'Item Ids', 'type': 'array'}, 'target_category_id': {'description': 'Target category ID to move items to', 'title': 'Target Category Id', 'type': 'string'}}, 'required': ['item_ids', 'target_category_id'], 'title': 'MoveCatalogItemsParams', 'type': 'object'}}, 'properties': {'params': {'$ref': '#/$defs/MoveCatalogItemsParams'}}, 'required': ['params'], 'title': 'move_catalog_itemsArguments', 'type': 'object'}, description="""Move catalog items to a different category."""), # osomai/ServiceNow MCP Server/move_catalog_items
    Tool(name="""ServiceNow MCP Server_get_optimization_recommendations""", inputSchema={'$defs': {'OptimizationRecommendationsParams': {'properties': {'category_id': {'anyOf': [{'type': 'string'}, {'type': 'null'}], 'default': None, 'title': 'Category Id'}, 'recommendation_types': {'items': {'type': 'string'}, 'title': 'Recommendation Types', 'type': 'array'}}, 'required': ['recommendation_types'], 'title': 'OptimizationRecommendationsParams', 'type': 'object'}}, 'properties': {'params': {'$ref': '#/$defs/OptimizationRecommendationsParams'}}, 'required': ['params'], 'title': 'get_optimization_recommendationsArguments', 'type': 'object'}, description="""Get optimization recommendations for the service catalog."""), # osomai/ServiceNow MCP Server/get_optimization_recommendations
    Tool(name="""ServiceNow MCP Server_create_change_request""", inputSchema={'$defs': {'CreateChangeRequestParams': {'description': 'Parameters for creating a change request.', 'properties': {'assignment_group': {'anyOf': [{'type': 'string'}, {'type': 'null'}], 'default': None, 'description': 'Group assigned to the change', 'title': 'Assignment Group'}, 'category': {'anyOf': [{'type': 'string'}, {'type': 'null'}], 'default': None, 'description': 'Category of the change', 'title': 'Category'}, 'description': {'anyOf': [{'type': 'string'}, {'type': 'null'}], 'default': None, 'description': 'Detailed description of the change request', 'title': 'Description'}, 'end_date': {'anyOf': [{'type': 'string'}, {'type': 'null'}], 'default': None, 'description': 'Planned end date (YYYY-MM-DD HH:MM:SS)', 'title': 'End Date'}, 'impact': {'anyOf': [{'type': 'string'}, {'type': 'null'}], 'default': None, 'description': 'Impact of the change', 'title': 'Impact'}, 'requested_by': {'anyOf': [{'type': 'string'}, {'type': 'null'}], 'default': None, 'description': 'User who requested the change', 'title': 'Requested By'}, 'risk': {'anyOf': [{'type': 'string'}, {'type': 'null'}], 'default': None, 'description': 'Risk level of the change', 'title': 'Risk'}, 'short_description': {'description': 'Short description of the change request', 'title': 'Short Description', 'type': 'string'}, 'start_date': {'anyOf': [{'type': 'string'}, {'type': 'null'}], 'default': None, 'description': 'Planned start date (YYYY-MM-DD HH:MM:SS)', 'title': 'Start Date'}, 'type': {'description': 'Type of change (normal, standard, emergency)', 'title': 'Type', 'type': 'string'}}, 'required': ['short_description', 'type'], 'title': 'CreateChangeRequestParams', 'type': 'object'}}, 'properties': {'params': {'$ref': '#/$defs/CreateChangeRequestParams'}}, 'required': ['params'], 'title': 'create_change_requestArguments', 'type': 'object'}, description="""Create a new change request in ServiceNow"""), # osomai/ServiceNow MCP Server/create_change_request
    Tool(name="""ServiceNow MCP Server_update_change_request""", inputSchema={'$defs': {'UpdateChangeRequestParams': {'description': 'Parameters for updating a change request.', 'properties': {'assignment_group': {'anyOf': [{'type': 'string'}, {'type': 'null'}], 'default': None, 'description': 'Group assigned to the change', 'title': 'Assignment Group'}, 'category': {'anyOf': [{'type': 'string'}, {'type': 'null'}], 'default': None, 'description': 'Category of the change', 'title': 'Category'}, 'change_id': {'description': 'Change request ID or sys_id', 'title': 'Change Id', 'type': 'string'}, 'description': {'anyOf': [{'type': 'string'}, {'type': 'null'}], 'default': None, 'description': 'Detailed description of the change request', 'title': 'Description'}, 'end_date': {'anyOf': [{'type': 'string'}, {'type': 'null'}], 'default': None, 'description': 'Planned end date (YYYY-MM-DD HH:MM:SS)', 'title': 'End Date'}, 'impact': {'anyOf': [{'type': 'string'}, {'type': 'null'}], 'default': None, 'description': 'Impact of the change', 'title': 'Impact'}, 'risk': {'anyOf': [{'type': 'string'}, {'type': 'null'}], 'default': None, 'description': 'Risk level of the change', 'title': 'Risk'}, 'short_description': {'anyOf': [{'type': 'string'}, {'type': 'null'}], 'default': None, 'description': 'Short description of the change request', 'title': 'Short Description'}, 'start_date': {'anyOf': [{'type': 'string'}, {'type': 'null'}], 'default': None, 'description': 'Planned start date (YYYY-MM-DD HH:MM:SS)', 'title': 'Start Date'}, 'state': {'anyOf': [{'type': 'string'}, {'type': 'null'}], 'default': None, 'description': 'State of the change request', 'title': 'State'}, 'work_notes': {'anyOf': [{'type': 'string'}, {'type': 'null'}], 'default': None, 'description': 'Work notes to add to the change request', 'title': 'Work Notes'}}, 'required': ['change_id'], 'title': 'UpdateChangeRequestParams', 'type': 'object'}}, 'properties': {'params': {'$ref': '#/$defs/UpdateChangeRequestParams'}}, 'required': ['params'], 'title': 'update_change_requestArguments', 'type': 'object'}, description="""Update an existing change request in ServiceNow"""), # osomai/ServiceNow MCP Server/update_change_request
    Tool(name="""ServiceNow MCP Server_list_change_requests""", inputSchema={'$defs': {'ListChangeRequestsParams': {'description': 'Parameters for listing change requests.', 'properties': {'assignment_group': {'anyOf': [{'type': 'string'}, {'type': 'null'}], 'default': None, 'description': 'Filter by assignment group', 'title': 'Assignment Group'}, 'category': {'anyOf': [{'type': 'string'}, {'type': 'null'}], 'default': None, 'description': 'Filter by category', 'title': 'Category'}, 'limit': {'anyOf': [{'type': 'integer'}, {'type': 'null'}], 'default': 10, 'description': 'Maximum number of records to return', 'title': 'Limit'}, 'offset': {'anyOf': [{'type': 'integer'}, {'type': 'null'}], 'default': 0, 'description': 'Offset to start from', 'title': 'Offset'}, 'query': {'anyOf': [{'type': 'string'}, {'type': 'null'}], 'default': None, 'description': 'Additional query string', 'title': 'Query'}, 'state': {'anyOf': [{'type': 'string'}, {'type': 'null'}], 'default': None, 'description': 'Filter by state', 'title': 'State'}, 'timeframe': {'anyOf': [{'type': 'string'}, {'type': 'null'}], 'default': None, 'description': 'Filter by timeframe (upcoming, in-progress, completed)', 'title': 'Timeframe'}, 'type': {'anyOf': [{'type': 'string'}, {'type': 'null'}], 'default': None, 'description': 'Filter by type (normal, standard, emergency)', 'title': 'Type'}}, 'title': 'ListChangeRequestsParams', 'type': 'object'}}, 'properties': {'params': {'$ref': '#/$defs/ListChangeRequestsParams'}}, 'required': ['params'], 'title': 'list_change_requestsArguments', 'type': 'object'}, description="""List change requests from ServiceNow"""), # osomai/ServiceNow MCP Server/list_change_requests
    Tool(name="""ServiceNow MCP Server_get_change_request_details""", inputSchema={'$defs': {'GetChangeRequestDetailsParams': {'description': 'Parameters for getting change request details.', 'properties': {'change_id': {'description': 'Change request ID or sys_id', 'title': 'Change Id', 'type': 'string'}}, 'required': ['change_id'], 'title': 'GetChangeRequestDetailsParams', 'type': 'object'}}, 'properties': {'params': {'$ref': '#/$defs/GetChangeRequestDetailsParams'}}, 'required': ['params'], 'title': 'get_change_request_detailsArguments', 'type': 'object'}, description="""Get detailed information about a specific change request"""), # osomai/ServiceNow MCP Server/get_change_request_details
    Tool(name="""ServiceNow MCP Server_add_change_task""", inputSchema={'$defs': {'AddChangeTaskParams': {'description': 'Parameters for adding a task to a change request.', 'properties': {'assigned_to': {'anyOf': [{'type': 'string'}, {'type': 'null'}], 'default': None, 'description': 'User assigned to the task', 'title': 'Assigned To'}, 'change_id': {'description': 'Change request ID or sys_id', 'title': 'Change Id', 'type': 'string'}, 'description': {'anyOf': [{'type': 'string'}, {'type': 'null'}], 'default': None, 'description': 'Detailed description of the task', 'title': 'Description'}, 'planned_end_date': {'anyOf': [{'type': 'string'}, {'type': 'null'}], 'default': None, 'description': 'Planned end date (YYYY-MM-DD HH:MM:SS)', 'title': 'Planned End Date'}, 'planned_start_date': {'anyOf': [{'type': 'string'}, {'type': 'null'}], 'default': None, 'description': 'Planned start date (YYYY-MM-DD HH:MM:SS)', 'title': 'Planned Start Date'}, 'short_description': {'description': 'Short description of the task', 'title': 'Short Description', 'type': 'string'}}, 'required': ['change_id', 'short_description'], 'title': 'AddChangeTaskParams', 'type': 'object'}}, 'properties': {'params': {'$ref': '#/$defs/AddChangeTaskParams'}}, 'required': ['params'], 'title': 'add_change_taskArguments', 'type': 'object'}, description="""Add a task to a change request"""), # osomai/ServiceNow MCP Server/add_change_task
    Tool(name="""ServiceNow MCP Server_delete_script_include""", inputSchema={'$defs': {'DeleteScriptIncludeParams': {'description': 'Parameters for deleting a script include.', 'properties': {'script_include_id': {'description': 'Script include ID or name', 'title': 'Script Include Id', 'type': 'string'}}, 'required': ['script_include_id'], 'title': 'DeleteScriptIncludeParams', 'type': 'object'}}, 'properties': {'params': {'$ref': '#/$defs/DeleteScriptIncludeParams'}}, 'required': ['params'], 'title': 'delete_script_includeArguments', 'type': 'object'}, description=""""""), # osomai/ServiceNow MCP Server/delete_script_include
    Tool(name="""ServiceNow MCP Server_submit_change_for_approval""", inputSchema={'$defs': {'SubmitChangeForApprovalParams': {'description': 'Parameters for submitting a change request for approval.', 'properties': {'approval_comments': {'anyOf': [{'type': 'string'}, {'type': 'null'}], 'default': None, 'description': 'Comments for the approval request', 'title': 'Approval Comments'}, 'change_id': {'description': 'Change request ID or sys_id', 'title': 'Change Id', 'type': 'string'}}, 'required': ['change_id'], 'title': 'SubmitChangeForApprovalParams', 'type': 'object'}}, 'properties': {'params': {'$ref': '#/$defs/SubmitChangeForApprovalParams'}}, 'required': ['params'], 'title': 'submit_change_for_approvalArguments', 'type': 'object'}, description="""Submit a change request for approval"""), # osomai/ServiceNow MCP Server/submit_change_for_approval
    Tool(name="""ServiceNow MCP Server_approve_change""", inputSchema={'$defs': {'ApproveChangeParams': {'description': 'Parameters for approving a change request.', 'properties': {'approval_comments': {'anyOf': [{'type': 'string'}, {'type': 'null'}], 'default': None, 'description': 'Comments for the approval', 'title': 'Approval Comments'}, 'approver_id': {'anyOf': [{'type': 'string'}, {'type': 'null'}], 'default': None, 'description': 'ID of the approver', 'title': 'Approver Id'}, 'change_id': {'description': 'Change request ID or sys_id', 'title': 'Change Id', 'type': 'string'}}, 'required': ['change_id'], 'title': 'ApproveChangeParams', 'type': 'object'}}, 'properties': {'params': {'$ref': '#/$defs/ApproveChangeParams'}}, 'required': ['params'], 'title': 'approve_changeArguments', 'type': 'object'}, description="""Approve a change request"""), # osomai/ServiceNow MCP Server/approve_change
    Tool(name="""ServiceNow MCP Server_reject_change""", inputSchema={'$defs': {'RejectChangeParams': {'description': 'Parameters for rejecting a change request.', 'properties': {'approver_id': {'anyOf': [{'type': 'string'}, {'type': 'null'}], 'default': None, 'description': 'ID of the approver', 'title': 'Approver Id'}, 'change_id': {'description': 'Change request ID or sys_id', 'title': 'Change Id', 'type': 'string'}, 'rejection_reason': {'description': 'Reason for rejection', 'title': 'Rejection Reason', 'type': 'string'}}, 'required': ['change_id', 'rejection_reason'], 'title': 'RejectChangeParams', 'type': 'object'}}, 'properties': {'params': {'$ref': '#/$defs/RejectChangeParams'}}, 'required': ['params'], 'title': 'reject_changeArguments', 'type': 'object'}, description="""Reject a change request"""), # osomai/ServiceNow MCP Server/reject_change
    Tool(name="""ServiceNow MCP Server_list_workflows""", inputSchema={'$defs': {'ListWorkflowsParams': {'description': 'Parameters for listing workflows.', 'properties': {'active': {'anyOf': [{'type': 'boolean'}, {'type': 'null'}], 'default': None, 'description': 'Filter by active status', 'title': 'Active'}, 'limit': {'anyOf': [{'type': 'integer'}, {'type': 'null'}], 'default': 10, 'description': 'Maximum number of records to return', 'title': 'Limit'}, 'name': {'anyOf': [{'type': 'string'}, {'type': 'null'}], 'default': None, 'description': 'Filter by name (contains)', 'title': 'Name'}, 'offset': {'anyOf': [{'type': 'integer'}, {'type': 'null'}], 'default': 0, 'description': 'Offset to start from', 'title': 'Offset'}, 'query': {'anyOf': [{'type': 'string'}, {'type': 'null'}], 'default': None, 'description': 'Additional query string', 'title': 'Query'}}, 'title': 'ListWorkflowsParams', 'type': 'object'}}, 'properties': {'params': {'$ref': '#/$defs/ListWorkflowsParams'}}, 'required': ['params'], 'title': 'list_workflowsArguments', 'type': 'object'}, description="""List workflows from ServiceNow"""), # osomai/ServiceNow MCP Server/list_workflows
    Tool(name="""ServiceNow MCP Server_get_workflow_details""", inputSchema={'$defs': {'GetWorkflowDetailsParams': {'description': 'Parameters for getting workflow details.', 'properties': {'include_versions': {'anyOf': [{'type': 'boolean'}, {'type': 'null'}], 'default': False, 'description': 'Include workflow versions', 'title': 'Include Versions'}, 'workflow_id': {'description': 'Workflow ID or sys_id', 'title': 'Workflow Id', 'type': 'string'}}, 'required': ['workflow_id'], 'title': 'GetWorkflowDetailsParams', 'type': 'object'}}, 'properties': {'params': {'$ref': '#/$defs/GetWorkflowDetailsParams'}}, 'required': ['params'], 'title': 'get_workflow_detailsArguments', 'type': 'object'}, description="""Get detailed information about a specific workflow"""), # osomai/ServiceNow MCP Server/get_workflow_details
    Tool(name="""ServiceNow MCP Server_list_workflow_versions""", inputSchema={'$defs': {'ListWorkflowVersionsParams': {'description': 'Parameters for listing workflow versions.', 'properties': {'limit': {'anyOf': [{'type': 'integer'}, {'type': 'null'}], 'default': 10, 'description': 'Maximum number of records to return', 'title': 'Limit'}, 'offset': {'anyOf': [{'type': 'integer'}, {'type': 'null'}], 'default': 0, 'description': 'Offset to start from', 'title': 'Offset'}, 'workflow_id': {'description': 'Workflow ID or sys_id', 'title': 'Workflow Id', 'type': 'string'}}, 'required': ['workflow_id'], 'title': 'ListWorkflowVersionsParams', 'type': 'object'}}, 'properties': {'params': {'$ref': '#/$defs/ListWorkflowVersionsParams'}}, 'required': ['params'], 'title': 'list_workflow_versionsArguments', 'type': 'object'}, description="""List workflow versions from ServiceNow"""), # osomai/ServiceNow MCP Server/list_workflow_versions
    Tool(name="""ServiceNow MCP Server_get_workflow_activities""", inputSchema={'$defs': {'GetWorkflowActivitiesParams': {'description': 'Parameters for getting workflow activities.', 'properties': {'version': {'anyOf': [{'type': 'string'}, {'type': 'null'}], 'default': None, 'description': 'Specific version to get activities for', 'title': 'Version'}, 'workflow_id': {'description': 'Workflow ID or sys_id', 'title': 'Workflow Id', 'type': 'string'}}, 'required': ['workflow_id'], 'title': 'GetWorkflowActivitiesParams', 'type': 'object'}}, 'properties': {'params': {'$ref': '#/$defs/GetWorkflowActivitiesParams'}}, 'required': ['params'], 'title': 'get_workflow_activitiesArguments', 'type': 'object'}, description="""Get activities for a specific workflow"""), # osomai/ServiceNow MCP Server/get_workflow_activities
    Tool(name="""ServiceNow MCP Server_create_workflow""", inputSchema={'$defs': {'CreateWorkflowParams': {'description': 'Parameters for creating a new workflow.', 'properties': {'active': {'anyOf': [{'type': 'boolean'}, {'type': 'null'}], 'default': True, 'description': 'Whether the workflow is active', 'title': 'Active'}, 'attributes': {'anyOf': [{'type': 'object'}, {'type': 'null'}], 'default': None, 'description': 'Additional attributes for the workflow', 'title': 'Attributes'}, 'description': {'anyOf': [{'type': 'string'}, {'type': 'null'}], 'default': None, 'description': 'Description of the workflow', 'title': 'Description'}, 'name': {'description': 'Name of the workflow', 'title': 'Name', 'type': 'string'}, 'table': {'anyOf': [{'type': 'string'}, {'type': 'null'}], 'default': None, 'description': 'Table the workflow applies to', 'title': 'Table'}}, 'required': ['name'], 'title': 'CreateWorkflowParams', 'type': 'object'}}, 'properties': {'params': {'$ref': '#/$defs/CreateWorkflowParams'}}, 'required': ['params'], 'title': 'create_workflowArguments', 'type': 'object'}, description="""Create a new workflow in ServiceNow"""), # osomai/ServiceNow MCP Server/create_workflow
    Tool(name="""ServiceNow MCP Server_create_changeset""", inputSchema={'$defs': {'CreateChangesetParams': {'description': 'Parameters for creating a changeset.', 'properties': {'application': {'description': 'Application the changeset belongs to', 'title': 'Application', 'type': 'string'}, 'description': {'anyOf': [{'type': 'string'}, {'type': 'null'}], 'default': None, 'description': 'Description of the changeset', 'title': 'Description'}, 'developer': {'anyOf': [{'type': 'string'}, {'type': 'null'}], 'default': None, 'description': 'Developer responsible for the changeset', 'title': 'Developer'}, 'name': {'description': 'Name of the changeset', 'title': 'Name', 'type': 'string'}}, 'required': ['name', 'application'], 'title': 'CreateChangesetParams', 'type': 'object'}}, 'properties': {'params': {'$ref': '#/$defs/CreateChangesetParams'}}, 'required': ['params'], 'title': 'create_changesetArguments', 'type': 'object'}, description="""Create a new changeset in ServiceNow"""), # osomai/ServiceNow MCP Server/create_changeset
    Tool(name="""ServiceNow MCP Server_update_workflow""", inputSchema={'$defs': {'UpdateWorkflowParams': {'description': 'Parameters for updating a workflow.', 'properties': {'active': {'anyOf': [{'type': 'boolean'}, {'type': 'null'}], 'default': None, 'description': 'Whether the workflow is active', 'title': 'Active'}, 'attributes': {'anyOf': [{'type': 'object'}, {'type': 'null'}], 'default': None, 'description': 'Additional attributes for the workflow', 'title': 'Attributes'}, 'description': {'anyOf': [{'type': 'string'}, {'type': 'null'}], 'default': None, 'description': 'Description of the workflow', 'title': 'Description'}, 'name': {'anyOf': [{'type': 'string'}, {'type': 'null'}], 'default': None, 'description': 'Name of the workflow', 'title': 'Name'}, 'table': {'anyOf': [{'type': 'string'}, {'type': 'null'}], 'default': None, 'description': 'Table the workflow applies to', 'title': 'Table'}, 'workflow_id': {'description': 'Workflow ID or sys_id', 'title': 'Workflow Id', 'type': 'string'}}, 'required': ['workflow_id'], 'title': 'UpdateWorkflowParams', 'type': 'object'}}, 'properties': {'params': {'$ref': '#/$defs/UpdateWorkflowParams'}}, 'required': ['params'], 'title': 'update_workflowArguments', 'type': 'object'}, description="""Update an existing workflow in ServiceNow"""), # osomai/ServiceNow MCP Server/update_workflow
    Tool(name="""ServiceNow MCP Server_activate_workflow""", inputSchema={'$defs': {'ActivateWorkflowParams': {'description': 'Parameters for activating a workflow.', 'properties': {'workflow_id': {'description': 'Workflow ID or sys_id', 'title': 'Workflow Id', 'type': 'string'}}, 'required': ['workflow_id'], 'title': 'ActivateWorkflowParams', 'type': 'object'}}, 'properties': {'params': {'$ref': '#/$defs/ActivateWorkflowParams'}}, 'required': ['params'], 'title': 'activate_workflowArguments', 'type': 'object'}, description="""Activate a workflow in ServiceNow"""), # osomai/ServiceNow MCP Server/activate_workflow
    Tool(name="""ServiceNow MCP Server_deactivate_workflow""", inputSchema={'$defs': {'DeactivateWorkflowParams': {'description': 'Parameters for deactivating a workflow.', 'properties': {'workflow_id': {'description': 'Workflow ID or sys_id', 'title': 'Workflow Id', 'type': 'string'}}, 'required': ['workflow_id'], 'title': 'DeactivateWorkflowParams', 'type': 'object'}}, 'properties': {'params': {'$ref': '#/$defs/DeactivateWorkflowParams'}}, 'required': ['params'], 'title': 'deactivate_workflowArguments', 'type': 'object'}, description="""Deactivate a workflow in ServiceNow"""), # osomai/ServiceNow MCP Server/deactivate_workflow
    Tool(name="""ServiceNow MCP Server_add_workflow_activity""", inputSchema={'$defs': {'AddWorkflowActivityParams': {'description': 'Parameters for adding an activity to a workflow.', 'properties': {'activity_type': {'description': "Type of activity (e.g., 'approval', 'task', 'notification')", 'title': 'Activity Type', 'type': 'string'}, 'attributes': {'anyOf': [{'type': 'object'}, {'type': 'null'}], 'default': None, 'description': 'Additional attributes for the activity', 'title': 'Attributes'}, 'description': {'anyOf': [{'type': 'string'}, {'type': 'null'}], 'default': None, 'description': 'Description of the activity', 'title': 'Description'}, 'name': {'description': 'Name of the activity', 'title': 'Name', 'type': 'string'}, 'workflow_version_id': {'description': 'Workflow version ID', 'title': 'Workflow Version Id', 'type': 'string'}}, 'required': ['workflow_version_id', 'name', 'activity_type'], 'title': 'AddWorkflowActivityParams', 'type': 'object'}}, 'properties': {'params': {'$ref': '#/$defs/AddWorkflowActivityParams'}}, 'required': ['params'], 'title': 'add_workflow_activityArguments', 'type': 'object'}, description="""Add a new activity to a workflow in ServiceNow"""), # osomai/ServiceNow MCP Server/add_workflow_activity
    Tool(name="""ServiceNow MCP Server_update_workflow_activity""", inputSchema={'$defs': {'UpdateWorkflowActivityParams': {'description': 'Parameters for updating a workflow activity.', 'properties': {'activity_id': {'description': 'Activity ID or sys_id', 'title': 'Activity Id', 'type': 'string'}, 'attributes': {'anyOf': [{'type': 'object'}, {'type': 'null'}], 'default': None, 'description': 'Additional attributes for the activity', 'title': 'Attributes'}, 'description': {'anyOf': [{'type': 'string'}, {'type': 'null'}], 'default': None, 'description': 'Description of the activity', 'title': 'Description'}, 'name': {'anyOf': [{'type': 'string'}, {'type': 'null'}], 'default': None, 'description': 'Name of the activity', 'title': 'Name'}}, 'required': ['activity_id'], 'title': 'UpdateWorkflowActivityParams', 'type': 'object'}}, 'properties': {'params': {'$ref': '#/$defs/UpdateWorkflowActivityParams'}}, 'required': ['params'], 'title': 'update_workflow_activityArguments', 'type': 'object'}, description="""Update an existing activity in a workflow"""), # osomai/ServiceNow MCP Server/update_workflow_activity
    Tool(name="""ServiceNow MCP Server_delete_workflow_activity""", inputSchema={'$defs': {'DeleteWorkflowActivityParams': {'description': 'Parameters for deleting a workflow activity.', 'properties': {'activity_id': {'description': 'Activity ID or sys_id', 'title': 'Activity Id', 'type': 'string'}}, 'required': ['activity_id'], 'title': 'DeleteWorkflowActivityParams', 'type': 'object'}}, 'properties': {'params': {'$ref': '#/$defs/DeleteWorkflowActivityParams'}}, 'required': ['params'], 'title': 'delete_workflow_activityArguments', 'type': 'object'}, description="""Delete an activity from a workflow"""), # osomai/ServiceNow MCP Server/delete_workflow_activity
    Tool(name="""ServiceNow MCP Server_reorder_workflow_activities""", inputSchema={'$defs': {'ReorderWorkflowActivitiesParams': {'description': 'Parameters for reordering workflow activities.', 'properties': {'activity_ids': {'description': 'List of activity IDs in the desired order', 'items': {'type': 'string'}, 'title': 'Activity Ids', 'type': 'array'}, 'workflow_id': {'description': 'Workflow ID or sys_id', 'title': 'Workflow Id', 'type': 'string'}}, 'required': ['workflow_id', 'activity_ids'], 'title': 'ReorderWorkflowActivitiesParams', 'type': 'object'}}, 'properties': {'params': {'$ref': '#/$defs/ReorderWorkflowActivitiesParams'}}, 'required': ['params'], 'title': 'reorder_workflow_activitiesArguments', 'type': 'object'}, description="""Reorder activities in a workflow"""), # osomai/ServiceNow MCP Server/reorder_workflow_activities
    Tool(name="""ServiceNow MCP Server_list_changesets""", inputSchema={'$defs': {'ListChangesetsParams': {'description': 'Parameters for listing changesets.', 'properties': {'application': {'anyOf': [{'type': 'string'}, {'type': 'null'}], 'default': None, 'description': 'Filter by application', 'title': 'Application'}, 'developer': {'anyOf': [{'type': 'string'}, {'type': 'null'}], 'default': None, 'description': 'Filter by developer', 'title': 'Developer'}, 'limit': {'anyOf': [{'type': 'integer'}, {'type': 'null'}], 'default': 10, 'description': 'Maximum number of records to return', 'title': 'Limit'}, 'offset': {'anyOf': [{'type': 'integer'}, {'type': 'null'}], 'default': 0, 'description': 'Offset to start from', 'title': 'Offset'}, 'query': {'anyOf': [{'type': 'string'}, {'type': 'null'}], 'default': None, 'description': 'Additional query string', 'title': 'Query'}, 'state': {'anyOf': [{'type': 'string'}, {'type': 'null'}], 'default': None, 'description': 'Filter by state', 'title': 'State'}, 'timeframe': {'anyOf': [{'type': 'string'}, {'type': 'null'}], 'default': None, 'description': 'Filter by timeframe (recent, last_week, last_month)', 'title': 'Timeframe'}}, 'title': 'ListChangesetsParams', 'type': 'object'}}, 'properties': {'params': {'$ref': '#/$defs/ListChangesetsParams'}}, 'required': ['params'], 'title': 'list_changesetsArguments', 'type': 'object'}, description="""List changesets from ServiceNow"""), # osomai/ServiceNow MCP Server/list_changesets
    Tool(name="""ServiceNow MCP Server_get_changeset_details""", inputSchema={'$defs': {'GetChangesetDetailsParams': {'description': 'Parameters for getting changeset details.', 'properties': {'changeset_id': {'description': 'Changeset ID or sys_id', 'title': 'Changeset Id', 'type': 'string'}}, 'required': ['changeset_id'], 'title': 'GetChangesetDetailsParams', 'type': 'object'}}, 'properties': {'params': {'$ref': '#/$defs/GetChangesetDetailsParams'}}, 'required': ['params'], 'title': 'get_changeset_detailsArguments', 'type': 'object'}, description="""Get detailed information about a specific changeset"""), # osomai/ServiceNow MCP Server/get_changeset_details
    Tool(name="""ServiceNow MCP Server_update_changeset""", inputSchema={'$defs': {'UpdateChangesetParams': {'description': 'Parameters for updating a changeset.', 'properties': {'changeset_id': {'description': 'Changeset ID or sys_id', 'title': 'Changeset Id', 'type': 'string'}, 'description': {'anyOf': [{'type': 'string'}, {'type': 'null'}], 'default': None, 'description': 'Description of the changeset', 'title': 'Description'}, 'developer': {'anyOf': [{'type': 'string'}, {'type': 'null'}], 'default': None, 'description': 'Developer responsible for the changeset', 'title': 'Developer'}, 'name': {'anyOf': [{'type': 'string'}, {'type': 'null'}], 'default': None, 'description': 'Name of the changeset', 'title': 'Name'}, 'state': {'anyOf': [{'type': 'string'}, {'type': 'null'}], 'default': None, 'description': 'State of the changeset', 'title': 'State'}}, 'required': ['changeset_id'], 'title': 'UpdateChangesetParams', 'type': 'object'}}, 'properties': {'params': {'$ref': '#/$defs/UpdateChangesetParams'}}, 'required': ['params'], 'title': 'update_changesetArguments', 'type': 'object'}, description="""Update an existing changeset in ServiceNow"""), # osomai/ServiceNow MCP Server/update_changeset
    Tool(name="""ServiceNow MCP Server_commit_changeset""", inputSchema={'$defs': {'CommitChangesetParams': {'description': 'Parameters for committing a changeset.', 'properties': {'changeset_id': {'description': 'Changeset ID or sys_id', 'title': 'Changeset Id', 'type': 'string'}, 'commit_message': {'anyOf': [{'type': 'string'}, {'type': 'null'}], 'default': None, 'description': 'Commit message', 'title': 'Commit Message'}}, 'required': ['changeset_id'], 'title': 'CommitChangesetParams', 'type': 'object'}}, 'properties': {'params': {'$ref': '#/$defs/CommitChangesetParams'}}, 'required': ['params'], 'title': 'commit_changesetArguments', 'type': 'object'}, description="""Commit a changeset in ServiceNow"""), # osomai/ServiceNow MCP Server/commit_changeset
    Tool(name="""ServiceNow MCP Server_publish_changeset""", inputSchema={'$defs': {'PublishChangesetParams': {'description': 'Parameters for publishing a changeset.', 'properties': {'changeset_id': {'description': 'Changeset ID or sys_id', 'title': 'Changeset Id', 'type': 'string'}, 'publish_notes': {'anyOf': [{'type': 'string'}, {'type': 'null'}], 'default': None, 'description': 'Notes for publishing', 'title': 'Publish Notes'}}, 'required': ['changeset_id'], 'title': 'PublishChangesetParams', 'type': 'object'}}, 'properties': {'params': {'$ref': '#/$defs/PublishChangesetParams'}}, 'required': ['params'], 'title': 'publish_changesetArguments', 'type': 'object'}, description="""Publish a changeset in ServiceNow"""), # osomai/ServiceNow MCP Server/publish_changeset
    Tool(name="""ServiceNow MCP Server_remove_group_members""", inputSchema={'$defs': {'RemoveGroupMembersParams': {'description': 'Parameters for removing members from a group.', 'properties': {'group_id': {'description': 'Group ID or sys_id', 'title': 'Group Id', 'type': 'string'}, 'members': {'description': 'List of user sys_ids or usernames to remove as members', 'items': {'type': 'string'}, 'title': 'Members', 'type': 'array'}}, 'required': ['group_id', 'members'], 'title': 'RemoveGroupMembersParams', 'type': 'object'}}, 'properties': {'params': {'$ref': '#/$defs/RemoveGroupMembersParams'}}, 'required': ['params'], 'title': 'remove_group_membersArguments', 'type': 'object'}, description=""""""), # osomai/ServiceNow MCP Server/remove_group_members
    Tool(name="""ServiceNow MCP Server_add_file_to_changeset""", inputSchema={'$defs': {'AddFileToChangesetParams': {'description': 'Parameters for adding a file to a changeset.', 'properties': {'changeset_id': {'description': 'Changeset ID or sys_id', 'title': 'Changeset Id', 'type': 'string'}, 'file_content': {'description': 'Content of the file', 'title': 'File Content', 'type': 'string'}, 'file_path': {'description': 'Path of the file to add', 'title': 'File Path', 'type': 'string'}}, 'required': ['changeset_id', 'file_path', 'file_content'], 'title': 'AddFileToChangesetParams', 'type': 'object'}}, 'properties': {'params': {'$ref': '#/$defs/AddFileToChangesetParams'}}, 'required': ['params'], 'title': 'add_file_to_changesetArguments', 'type': 'object'}, description="""Add a file to a changeset in ServiceNow"""), # osomai/ServiceNow MCP Server/add_file_to_changeset
    Tool(name="""ServiceNow MCP Server_list_script_includes""", inputSchema={'$defs': {'ListScriptIncludesParams': {'description': 'Parameters for listing script includes.', 'properties': {'active': {'anyOf': [{'type': 'boolean'}, {'type': 'null'}], 'default': None, 'description': 'Filter by active status', 'title': 'Active'}, 'client_callable': {'anyOf': [{'type': 'boolean'}, {'type': 'null'}], 'default': None, 'description': 'Filter by client callable status', 'title': 'Client Callable'}, 'limit': {'default': 10, 'description': 'Maximum number of script includes to return', 'title': 'Limit', 'type': 'integer'}, 'offset': {'default': 0, 'description': 'Offset for pagination', 'title': 'Offset', 'type': 'integer'}, 'query': {'anyOf': [{'type': 'string'}, {'type': 'null'}], 'default': None, 'description': 'Search query for script includes', 'title': 'Query'}}, 'title': 'ListScriptIncludesParams', 'type': 'object'}}, 'properties': {'params': {'$ref': '#/$defs/ListScriptIncludesParams'}}, 'required': ['params'], 'title': 'list_script_includesArguments', 'type': 'object'}, description="""List script includes from ServiceNow"""), # osomai/ServiceNow MCP Server/list_script_includes
    Tool(name="""ServiceNow MCP Server_get_script_include""", inputSchema={'$defs': {'GetScriptIncludeParams': {'description': 'Parameters for getting a script include.', 'properties': {'script_include_id': {'description': 'Script include ID or name', 'title': 'Script Include Id', 'type': 'string'}}, 'required': ['script_include_id'], 'title': 'GetScriptIncludeParams', 'type': 'object'}}, 'properties': {'params': {'$ref': '#/$defs/GetScriptIncludeParams'}}, 'required': ['params'], 'title': 'get_script_includeArguments', 'type': 'object'}, description="""Get a specific script include from ServiceNow"""), # osomai/ServiceNow MCP Server/get_script_include
    Tool(name="""ServiceNow MCP Server_create_script_include""", inputSchema={'$defs': {'CreateScriptIncludeParams': {'description': 'Parameters for creating a script include.', 'properties': {'access': {'default': 'package_private', 'description': 'Access level of the script include', 'title': 'Access', 'type': 'string'}, 'active': {'default': True, 'description': 'Whether the script include is active', 'title': 'Active', 'type': 'boolean'}, 'api_name': {'anyOf': [{'type': 'string'}, {'type': 'null'}], 'default': None, 'description': 'API name of the script include', 'title': 'Api Name'}, 'client_callable': {'default': False, 'description': 'Whether the script include is client callable', 'title': 'Client Callable', 'type': 'boolean'}, 'description': {'anyOf': [{'type': 'string'}, {'type': 'null'}], 'default': None, 'description': 'Description of the script include', 'title': 'Description'}, 'name': {'description': 'Name of the script include', 'title': 'Name', 'type': 'string'}, 'script': {'description': 'Script content', 'title': 'Script', 'type': 'string'}}, 'required': ['name', 'script'], 'title': 'CreateScriptIncludeParams', 'type': 'object'}}, 'properties': {'params': {'$ref': '#/$defs/CreateScriptIncludeParams'}}, 'required': ['params'], 'title': 'create_script_includeArguments', 'type': 'object'}, description="""Create a new script include in ServiceNow"""), # osomai/ServiceNow MCP Server/create_script_include
    Tool(name="""ServiceNow MCP Server_update_script_include""", inputSchema={'$defs': {'UpdateScriptIncludeParams': {'description': 'Parameters for updating a script include.', 'properties': {'access': {'anyOf': [{'type': 'string'}, {'type': 'null'}], 'default': None, 'description': 'Access level of the script include', 'title': 'Access'}, 'active': {'anyOf': [{'type': 'boolean'}, {'type': 'null'}], 'default': None, 'description': 'Whether the script include is active', 'title': 'Active'}, 'api_name': {'anyOf': [{'type': 'string'}, {'type': 'null'}], 'default': None, 'description': 'API name of the script include', 'title': 'Api Name'}, 'client_callable': {'anyOf': [{'type': 'boolean'}, {'type': 'null'}], 'default': None, 'description': 'Whether the script include is client callable', 'title': 'Client Callable'}, 'description': {'anyOf': [{'type': 'string'}, {'type': 'null'}], 'default': None, 'description': 'Description of the script include', 'title': 'Description'}, 'script': {'anyOf': [{'type': 'string'}, {'type': 'null'}], 'default': None, 'description': 'Script content', 'title': 'Script'}, 'script_include_id': {'description': 'Script include ID or name', 'title': 'Script Include Id', 'type': 'string'}}, 'required': ['script_include_id'], 'title': 'UpdateScriptIncludeParams', 'type': 'object'}}, 'properties': {'params': {'$ref': '#/$defs/UpdateScriptIncludeParams'}}, 'required': ['params'], 'title': 'update_script_includeArguments', 'type': 'object'}, description="""Update an existing script include in ServiceNow"""), # osomai/ServiceNow MCP Server/update_script_include
    Tool(name="""ServiceNow MCP Server_create_knowledge_base""", inputSchema={'$defs': {'CreateKnowledgeBaseParams': {'description': 'Parameters for creating a knowledge base.', 'properties': {'description': {'anyOf': [{'type': 'string'}, {'type': 'null'}], 'default': None, 'description': 'Description of the knowledge base', 'title': 'Description'}, 'managers': {'anyOf': [{'type': 'string'}, {'type': 'null'}], 'default': None, 'description': 'Users who can manage this knowledge base', 'title': 'Managers'}, 'owner': {'anyOf': [{'type': 'string'}, {'type': 'null'}], 'default': None, 'description': 'The specified admin user or group', 'title': 'Owner'}, 'publish_workflow': {'anyOf': [{'type': 'string'}, {'type': 'null'}], 'default': 'Knowledge - Instant Publish', 'description': 'Publication workflow', 'title': 'Publish Workflow'}, 'retire_workflow': {'anyOf': [{'type': 'string'}, {'type': 'null'}], 'default': 'Knowledge - Instant Retire', 'description': 'Retirement workflow', 'title': 'Retire Workflow'}, 'title': {'description': 'Title of the knowledge base', 'title': 'Title', 'type': 'string'}}, 'required': ['title'], 'title': 'CreateKnowledgeBaseParams', 'type': 'object'}}, 'properties': {'params': {'$ref': '#/$defs/CreateKnowledgeBaseParams'}}, 'required': ['params'], 'title': 'create_knowledge_baseArguments', 'type': 'object'}, description="""Create a new knowledge base in ServiceNow"""), # osomai/ServiceNow MCP Server/create_knowledge_base
    Tool(name="""ServiceNow MCP Server_list_knowledge_bases""", inputSchema={'$defs': {'ListKnowledgeBasesParams': {'description': 'Parameters for listing knowledge bases.', 'properties': {'active': {'anyOf': [{'type': 'boolean'}, {'type': 'null'}], 'default': None, 'description': 'Filter by active status', 'title': 'Active'}, 'limit': {'default': 10, 'description': 'Maximum number of knowledge bases to return', 'title': 'Limit', 'type': 'integer'}, 'offset': {'default': 0, 'description': 'Offset for pagination', 'title': 'Offset', 'type': 'integer'}, 'query': {'anyOf': [{'type': 'string'}, {'type': 'null'}], 'default': None, 'description': 'Search query for knowledge bases', 'title': 'Query'}}, 'title': 'ListKnowledgeBasesParams', 'type': 'object'}}, 'properties': {'params': {'$ref': '#/$defs/ListKnowledgeBasesParams'}}, 'required': ['params'], 'title': 'list_knowledge_basesArguments', 'type': 'object'}, description="""List knowledge bases from ServiceNow"""), # osomai/ServiceNow MCP Server/list_knowledge_bases
    Tool(name="""ServiceNow MCP Server_create_category""", inputSchema={'$defs': {'CreateCategoryParams': {'description': 'Parameters for creating a category in a knowledge base.', 'properties': {'active': {'default': True, 'description': 'Whether the category is active', 'title': 'Active', 'type': 'boolean'}, 'description': {'anyOf': [{'type': 'string'}, {'type': 'null'}], 'default': None, 'description': 'Description of the category', 'title': 'Description'}, 'knowledge_base': {'description': 'The knowledge base to create the category in', 'title': 'Knowledge Base', 'type': 'string'}, 'parent_category': {'anyOf': [{'type': 'string'}, {'type': 'null'}], 'default': None, 'description': 'Parent category (if creating a subcategory)', 'title': 'Parent Category'}, 'title': {'description': 'Title of the category', 'title': 'Title', 'type': 'string'}}, 'required': ['title', 'knowledge_base'], 'title': 'CreateCategoryParams', 'type': 'object'}}, 'properties': {'params': {'$ref': '#/$defs/CreateCategoryParams'}}, 'required': ['params'], 'title': 'create_categoryArguments', 'type': 'object'}, description="""Create a new category in a knowledge base"""), # osomai/ServiceNow MCP Server/create_category
    Tool(name="""ServiceNow MCP Server_create_article""", inputSchema={'$defs': {'CreateArticleParams': {'description': 'Parameters for creating a knowledge article.', 'properties': {'article_type': {'anyOf': [{'type': 'string'}, {'type': 'null'}], 'default': 'text', 'description': 'The type of article', 'title': 'Article Type'}, 'category': {'description': 'Category for the article', 'title': 'Category', 'type': 'string'}, 'keywords': {'anyOf': [{'type': 'string'}, {'type': 'null'}], 'default': None, 'description': 'Keywords for search', 'title': 'Keywords'}, 'knowledge_base': {'description': 'The knowledge base to create the article in', 'title': 'Knowledge Base', 'type': 'string'}, 'short_description': {'description': 'Short description of the article', 'title': 'Short Description', 'type': 'string'}, 'text': {'description': 'The main body text for the article', 'title': 'Text', 'type': 'string'}, 'title': {'description': 'Title of the article', 'title': 'Title', 'type': 'string'}}, 'required': ['title', 'text', 'short_description', 'knowledge_base', 'category'], 'title': 'CreateArticleParams', 'type': 'object'}}, 'properties': {'params': {'$ref': '#/$defs/CreateArticleParams'}}, 'required': ['params'], 'title': 'create_articleArguments', 'type': 'object'}, description="""Create a new knowledge article"""), # osomai/ServiceNow MCP Server/create_article
    Tool(name="""ServiceNow MCP Server_update_article""", inputSchema={'$defs': {'UpdateArticleParams': {'description': 'Parameters for updating a knowledge article.', 'properties': {'article_id': {'description': 'ID of the article to update', 'title': 'Article Id', 'type': 'string'}, 'category': {'anyOf': [{'type': 'string'}, {'type': 'null'}], 'default': None, 'description': 'Updated category for the article', 'title': 'Category'}, 'keywords': {'anyOf': [{'type': 'string'}, {'type': 'null'}], 'default': None, 'description': 'Updated keywords for search', 'title': 'Keywords'}, 'short_description': {'anyOf': [{'type': 'string'}, {'type': 'null'}], 'default': None, 'description': 'Updated short description', 'title': 'Short Description'}, 'text': {'anyOf': [{'type': 'string'}, {'type': 'null'}], 'default': None, 'description': 'Updated main body text for the article', 'title': 'Text'}, 'title': {'anyOf': [{'type': 'string'}, {'type': 'null'}], 'default': None, 'description': 'Updated title of the article', 'title': 'Title'}}, 'required': ['article_id'], 'title': 'UpdateArticleParams', 'type': 'object'}}, 'properties': {'params': {'$ref': '#/$defs/UpdateArticleParams'}}, 'required': ['params'], 'title': 'update_articleArguments', 'type': 'object'}, description="""Update an existing knowledge article"""), # osomai/ServiceNow MCP Server/update_article
    Tool(name="""ServiceNow MCP Server_publish_article""", inputSchema={'$defs': {'PublishArticleParams': {'description': 'Parameters for publishing a knowledge article.', 'properties': {'article_id': {'description': 'ID of the article to publish', 'title': 'Article Id', 'type': 'string'}, 'workflow_state': {'anyOf': [{'type': 'string'}, {'type': 'null'}], 'default': 'published', 'description': 'The workflow state to set', 'title': 'Workflow State'}, 'workflow_version': {'anyOf': [{'type': 'string'}, {'type': 'null'}], 'default': None, 'description': 'The workflow version to use', 'title': 'Workflow Version'}}, 'required': ['article_id'], 'title': 'PublishArticleParams', 'type': 'object'}}, 'properties': {'params': {'$ref': '#/$defs/PublishArticleParams'}}, 'required': ['params'], 'title': 'publish_articleArguments', 'type': 'object'}, description="""Publish a knowledge article"""), # osomai/ServiceNow MCP Server/publish_article
    Tool(name="""ServiceNow MCP Server_list_articles""", inputSchema={'$defs': {'ListArticlesParams': {'description': 'Parameters for listing knowledge articles.', 'properties': {'category': {'anyOf': [{'type': 'string'}, {'type': 'null'}], 'default': None, 'description': 'Filter by category', 'title': 'Category'}, 'knowledge_base': {'anyOf': [{'type': 'string'}, {'type': 'null'}], 'default': None, 'description': 'Filter by knowledge base', 'title': 'Knowledge Base'}, 'limit': {'default': 10, 'description': 'Maximum number of articles to return', 'title': 'Limit', 'type': 'integer'}, 'offset': {'default': 0, 'description': 'Offset for pagination', 'title': 'Offset', 'type': 'integer'}, 'query': {'anyOf': [{'type': 'string'}, {'type': 'null'}], 'default': None, 'description': 'Search query for articles', 'title': 'Query'}, 'workflow_state': {'anyOf': [{'type': 'string'}, {'type': 'null'}], 'default': None, 'description': 'Filter by workflow state', 'title': 'Workflow State'}}, 'title': 'ListArticlesParams', 'type': 'object'}}, 'properties': {'params': {'$ref': '#/$defs/ListArticlesParams'}}, 'required': ['params'], 'title': 'list_articlesArguments', 'type': 'object'}, description="""List knowledge articles"""), # osomai/ServiceNow MCP Server/list_articles
    Tool(name="""ServiceNow MCP Server_get_article""", inputSchema={'$defs': {'GetArticleParams': {'description': 'Parameters for getting a knowledge article.', 'properties': {'article_id': {'description': 'ID of the article to get', 'title': 'Article Id', 'type': 'string'}}, 'required': ['article_id'], 'title': 'GetArticleParams', 'type': 'object'}}, 'properties': {'params': {'$ref': '#/$defs/GetArticleParams'}}, 'required': ['params'], 'title': 'get_articleArguments', 'type': 'object'}, description="""Get a specific knowledge article by ID"""), # osomai/ServiceNow MCP Server/get_article
    Tool(name="""ServiceNow MCP Server_list_categories""", inputSchema={'$defs': {'ListCategoriesParams': {'description': 'Parameters for listing categories in a knowledge base.', 'properties': {'active': {'anyOf': [{'type': 'boolean'}, {'type': 'null'}], 'default': None, 'description': 'Filter by active status', 'title': 'Active'}, 'knowledge_base': {'anyOf': [{'type': 'string'}, {'type': 'null'}], 'default': None, 'description': 'Filter by knowledge base ID', 'title': 'Knowledge Base'}, 'limit': {'default': 10, 'description': 'Maximum number of categories to return', 'title': 'Limit', 'type': 'integer'}, 'offset': {'default': 0, 'description': 'Offset for pagination', 'title': 'Offset', 'type': 'integer'}, 'parent_category': {'anyOf': [{'type': 'string'}, {'type': 'null'}], 'default': None, 'description': 'Filter by parent category ID', 'title': 'Parent Category'}, 'query': {'anyOf': [{'type': 'string'}, {'type': 'null'}], 'default': None, 'description': 'Search query for categories', 'title': 'Query'}}, 'title': 'ListCategoriesParams', 'type': 'object'}}, 'properties': {'params': {'$ref': '#/$defs/ListCategoriesParams'}}, 'required': ['params'], 'title': 'list_categoriesArguments', 'type': 'object'}, description="""List categories in a knowledge base"""), # osomai/ServiceNow MCP Server/list_categories
    Tool(name="""ServiceNow MCP Server_create_user""", inputSchema={'$defs': {'CreateUserParams': {'description': 'Parameters for creating a user.', 'properties': {'active': {'anyOf': [{'type': 'boolean'}, {'type': 'null'}], 'default': True, 'description': 'Whether the user account is active', 'title': 'Active'}, 'department': {'anyOf': [{'type': 'string'}, {'type': 'null'}], 'default': None, 'description': 'Department the user belongs to', 'title': 'Department'}, 'email': {'description': 'Email address of the user', 'title': 'Email', 'type': 'string'}, 'first_name': {'description': 'First name of the user', 'title': 'First Name', 'type': 'string'}, 'last_name': {'description': 'Last name of the user', 'title': 'Last Name', 'type': 'string'}, 'location': {'anyOf': [{'type': 'string'}, {'type': 'null'}], 'default': None, 'description': 'Location of the user', 'title': 'Location'}, 'manager': {'anyOf': [{'type': 'string'}, {'type': 'null'}], 'default': None, 'description': 'Manager of the user (sys_id or username)', 'title': 'Manager'}, 'mobile_phone': {'anyOf': [{'type': 'string'}, {'type': 'null'}], 'default': None, 'description': 'Mobile phone number of the user', 'title': 'Mobile Phone'}, 'password': {'anyOf': [{'type': 'string'}, {'type': 'null'}], 'default': None, 'description': 'Password for the user account', 'title': 'Password'}, 'phone': {'anyOf': [{'type': 'string'}, {'type': 'null'}], 'default': None, 'description': 'Phone number of the user', 'title': 'Phone'}, 'roles': {'anyOf': [{'items': {'type': 'string'}, 'type': 'array'}, {'type': 'null'}], 'default': None, 'description': 'Roles to assign to the user', 'title': 'Roles'}, 'title': {'anyOf': [{'type': 'string'}, {'type': 'null'}], 'default': None, 'description': 'Job title of the user', 'title': 'Title'}, 'user_name': {'description': 'Username for the user', 'title': 'User Name', 'type': 'string'}}, 'required': ['user_name', 'first_name', 'last_name', 'email'], 'title': 'CreateUserParams', 'type': 'object'}}, 'properties': {'params': {'$ref': '#/$defs/CreateUserParams'}}, 'required': ['params'], 'title': 'create_userArguments', 'type': 'object'}, description=""""""), # osomai/ServiceNow MCP Server/create_user
    Tool(name="""ServiceNow MCP Server_update_user""", inputSchema={'$defs': {'UpdateUserParams': {'description': 'Parameters for updating a user.', 'properties': {'active': {'anyOf': [{'type': 'boolean'}, {'type': 'null'}], 'default': None, 'description': 'Whether the user account is active', 'title': 'Active'}, 'department': {'anyOf': [{'type': 'string'}, {'type': 'null'}], 'default': None, 'description': 'Department the user belongs to', 'title': 'Department'}, 'email': {'anyOf': [{'type': 'string'}, {'type': 'null'}], 'default': None, 'description': 'Email address of the user', 'title': 'Email'}, 'first_name': {'anyOf': [{'type': 'string'}, {'type': 'null'}], 'default': None, 'description': 'First name of the user', 'title': 'First Name'}, 'last_name': {'anyOf': [{'type': 'string'}, {'type': 'null'}], 'default': None, 'description': 'Last name of the user', 'title': 'Last Name'}, 'location': {'anyOf': [{'type': 'string'}, {'type': 'null'}], 'default': None, 'description': 'Location of the user', 'title': 'Location'}, 'manager': {'anyOf': [{'type': 'string'}, {'type': 'null'}], 'default': None, 'description': 'Manager of the user (sys_id or username)', 'title': 'Manager'}, 'mobile_phone': {'anyOf': [{'type': 'string'}, {'type': 'null'}], 'default': None, 'description': 'Mobile phone number of the user', 'title': 'Mobile Phone'}, 'password': {'anyOf': [{'type': 'string'}, {'type': 'null'}], 'default': None, 'description': 'Password for the user account', 'title': 'Password'}, 'phone': {'anyOf': [{'type': 'string'}, {'type': 'null'}], 'default': None, 'description': 'Phone number of the user', 'title': 'Phone'}, 'roles': {'anyOf': [{'items': {'type': 'string'}, 'type': 'array'}, {'type': 'null'}], 'default': None, 'description': 'Roles to assign to the user', 'title': 'Roles'}, 'title': {'anyOf': [{'type': 'string'}, {'type': 'null'}], 'default': None, 'description': 'Job title of the user', 'title': 'Title'}, 'user_id': {'description': 'User ID or sys_id to update', 'title': 'User Id', 'type': 'string'}, 'user_name': {'anyOf': [{'type': 'string'}, {'type': 'null'}], 'default': None, 'description': 'Username for the user', 'title': 'User Name'}}, 'required': ['user_id'], 'title': 'UpdateUserParams', 'type': 'object'}}, 'properties': {'params': {'$ref': '#/$defs/UpdateUserParams'}}, 'required': ['params'], 'title': 'update_userArguments', 'type': 'object'}, description=""""""), # osomai/ServiceNow MCP Server/update_user
    Tool(name="""ServiceNow MCP Server_get_user""", inputSchema={'$defs': {'GetUserParams': {'description': 'Parameters for getting a user.', 'properties': {'email': {'anyOf': [{'type': 'string'}, {'type': 'null'}], 'default': None, 'description': 'Email address of the user', 'title': 'Email'}, 'user_id': {'anyOf': [{'type': 'string'}, {'type': 'null'}], 'default': None, 'description': 'User ID or sys_id', 'title': 'User Id'}, 'user_name': {'anyOf': [{'type': 'string'}, {'type': 'null'}], 'default': None, 'description': 'Username of the user', 'title': 'User Name'}}, 'title': 'GetUserParams', 'type': 'object'}}, 'properties': {'params': {'$ref': '#/$defs/GetUserParams'}}, 'required': ['params'], 'title': 'get_userArguments', 'type': 'object'}, description=""""""), # osomai/ServiceNow MCP Server/get_user
    Tool(name="""ServiceNow MCP Server_list_users""", inputSchema={'$defs': {'ListUsersParams': {'description': 'Parameters for listing users.', 'properties': {'active': {'anyOf': [{'type': 'boolean'}, {'type': 'null'}], 'default': None, 'description': 'Filter by active status', 'title': 'Active'}, 'department': {'anyOf': [{'type': 'string'}, {'type': 'null'}], 'default': None, 'description': 'Filter by department', 'title': 'Department'}, 'limit': {'default': 10, 'description': 'Maximum number of users to return', 'title': 'Limit', 'type': 'integer'}, 'offset': {'default': 0, 'description': 'Offset for pagination', 'title': 'Offset', 'type': 'integer'}, 'query': {'anyOf': [{'type': 'string'}, {'type': 'null'}], 'default': None, 'description': 'Search query for users', 'title': 'Query'}}, 'title': 'ListUsersParams', 'type': 'object'}}, 'properties': {'params': {'$ref': '#/$defs/ListUsersParams'}}, 'required': ['params'], 'title': 'list_usersArguments', 'type': 'object'}, description=""""""), # osomai/ServiceNow MCP Server/list_users
    Tool(name="""ServiceNow MCP Server_create_group""", inputSchema={'$defs': {'CreateGroupParams': {'description': 'Parameters for creating a group.', 'properties': {'active': {'anyOf': [{'type': 'boolean'}, {'type': 'null'}], 'default': True, 'description': 'Whether the group is active', 'title': 'Active'}, 'description': {'anyOf': [{'type': 'string'}, {'type': 'null'}], 'default': None, 'description': 'Description of the group', 'title': 'Description'}, 'email': {'anyOf': [{'type': 'string'}, {'type': 'null'}], 'default': None, 'description': 'Email address for the group', 'title': 'Email'}, 'manager': {'anyOf': [{'type': 'string'}, {'type': 'null'}], 'default': None, 'description': 'Manager of the group (sys_id or username)', 'title': 'Manager'}, 'members': {'anyOf': [{'items': {'type': 'string'}, 'type': 'array'}, {'type': 'null'}], 'default': None, 'description': 'List of user sys_ids or usernames to add as members', 'title': 'Members'}, 'name': {'description': 'Name of the group', 'title': 'Name', 'type': 'string'}, 'parent': {'anyOf': [{'type': 'string'}, {'type': 'null'}], 'default': None, 'description': 'Parent group (sys_id or name)', 'title': 'Parent'}, 'type': {'anyOf': [{'type': 'string'}, {'type': 'null'}], 'default': None, 'description': 'Type of the group', 'title': 'Type'}}, 'required': ['name'], 'title': 'CreateGroupParams', 'type': 'object'}}, 'properties': {'params': {'$ref': '#/$defs/CreateGroupParams'}}, 'required': ['params'], 'title': 'create_groupArguments', 'type': 'object'}, description=""""""), # osomai/ServiceNow MCP Server/create_group
    Tool(name="""ServiceNow MCP Server_update_group""", inputSchema={'$defs': {'UpdateGroupParams': {'description': 'Parameters for updating a group.', 'properties': {'active': {'anyOf': [{'type': 'boolean'}, {'type': 'null'}], 'default': None, 'description': 'Whether the group is active', 'title': 'Active'}, 'description': {'anyOf': [{'type': 'string'}, {'type': 'null'}], 'default': None, 'description': 'Description of the group', 'title': 'Description'}, 'email': {'anyOf': [{'type': 'string'}, {'type': 'null'}], 'default': None, 'description': 'Email address for the group', 'title': 'Email'}, 'group_id': {'description': 'Group ID or sys_id to update', 'title': 'Group Id', 'type': 'string'}, 'manager': {'anyOf': [{'type': 'string'}, {'type': 'null'}], 'default': None, 'description': 'Manager of the group (sys_id or username)', 'title': 'Manager'}, 'name': {'anyOf': [{'type': 'string'}, {'type': 'null'}], 'default': None, 'description': 'Name of the group', 'title': 'Name'}, 'parent': {'anyOf': [{'type': 'string'}, {'type': 'null'}], 'default': None, 'description': 'Parent group (sys_id or name)', 'title': 'Parent'}, 'type': {'anyOf': [{'type': 'string'}, {'type': 'null'}], 'default': None, 'description': 'Type of the group', 'title': 'Type'}}, 'required': ['group_id'], 'title': 'UpdateGroupParams', 'type': 'object'}}, 'properties': {'params': {'$ref': '#/$defs/UpdateGroupParams'}}, 'required': ['params'], 'title': 'update_groupArguments', 'type': 'object'}, description=""""""), # osomai/ServiceNow MCP Server/update_group
    Tool(name="""ServiceNow MCP Server_add_group_members""", inputSchema={'$defs': {'AddGroupMembersParams': {'description': 'Parameters for adding members to a group.', 'properties': {'group_id': {'description': 'Group ID or sys_id', 'title': 'Group Id', 'type': 'string'}, 'members': {'description': 'List of user sys_ids or usernames to add as members', 'items': {'type': 'string'}, 'title': 'Members', 'type': 'array'}}, 'required': ['group_id', 'members'], 'title': 'AddGroupMembersParams', 'type': 'object'}}, 'properties': {'params': {'$ref': '#/$defs/AddGroupMembersParams'}}, 'required': ['params'], 'title': 'add_group_membersArguments', 'type': 'object'}, description=""""""), # osomai/ServiceNow MCP Server/add_group_members
    Tool(name="""FirstCycling MCP Server_get_rider_year_results""", inputSchema={'properties': {'rider_id': {'title': 'Rider Id', 'type': 'integer'}, 'year': {'title': 'Year', 'type': 'integer'}}, 'required': ['rider_id', 'year'], 'title': 'get_rider_year_resultsArguments', 'type': 'object'}, description="""Retrieve detailed results for a professional cyclist for a specific year.\n    This tool provides comprehensive information about a rider's performance in all races during a given calendar year.\n    It includes positions achieved, race categories, dates, and additional details.\n    \n    Note: If you don't know the rider's ID, use the search_rider tool first to find it by name.\n    \n    Example usage:\n    - Get 2023 results for Tadej Pogaar (ID: 16973)\n    - Get 2022 results for Jonas Vingegaard (ID: 16974)\n    \n    Returns a formatted string with:\n    - Complete results for the specified year\n    - Position and time for each race\n    - Race category and details\n    - Chronological organization by date"""), # r-huijts/FirstCycling MCP Server/get_rider_year_results
    Tool(name="""FirstCycling MCP Server_get_rider_victories""", inputSchema={'properties': {'rider_id': {'title': 'Rider Id', 'type': 'integer'}, 'world_tour_only': {'default': False, 'title': 'World Tour Only', 'type': 'boolean'}}, 'required': ['rider_id'], 'title': 'get_rider_victoriesArguments', 'type': 'object'}, description="""Get a comprehensive list of a rider's UCI victories.\n    This tool retrieves detailed information about all UCI-registered race victories achieved by the cyclist\n    throughout their career. Victories can be filtered to show only WorldTour wins if desired.\n    \n    Note: If you don't know the rider's ID, use the search_rider tool first to find it by name.\n    \n    Example usage:\n    - Get all UCI victories for Tadej Pogaar (ID: 16973)\n    - Get WorldTour victories for Jonas Vingegaard (ID: 16974)\n    \n    Returns a formatted string with:\n    - Complete list of victories\n    - Race details including category\n    - Date and year of each victory\n    - Option to filter by WorldTour races only"""), # r-huijts/FirstCycling MCP Server/get_rider_victories
    Tool(name="""FirstCycling MCP Server_get_rider_teams""", inputSchema={'properties': {'rider_id': {'title': 'Rider Id', 'type': 'integer'}}, 'required': ['rider_id'], 'title': 'get_rider_teamsArguments', 'type': 'object'}, description="""Get a detailed history of a professional cyclist's team affiliations throughout their career.\n    This tool provides a chronological list of all teams the rider has been part of, including years and team details.\n    \n    Note: If you don't know the rider's ID, use the search_rider tool first to find it by name.\n    \n    Example usage:\n    - Get team history for Peter Sagan (ID: 12345)\n    - Get career team changes for Chris Froome (ID: 67890)\n    \n    Returns a formatted string with:\n    - Complete team history\n    - Years with each team\n    - Team names and details\n    - Chronological organization"""), # r-huijts/FirstCycling MCP Server/get_rider_teams
    Tool(name="""FirstCycling MCP Server_search_rider""", inputSchema={'properties': {'query': {'title': 'Query', 'type': 'string'}}, 'required': ['query'], 'title': 'search_riderArguments', 'type': 'object'}, description="""Search for professional cyclists by name. This tool helps find riders by their name, \n    returning a list of matching riders with their IDs and basic information. This is useful when you need \n    a rider's ID for other operations but only know their name.\n    \n    Example usage:\n    - Search for \"Tadej Pogacar\" to find Tadej Pogaar's ID\n    - Search for \"Van Aert\" to find Wout van Aert's ID\n    \n    Returns a formatted string with:\n    - List of matching riders\n    - Each rider's ID, name, nationality, and current team\n    - Number of matches found"""), # r-huijts/FirstCycling MCP Server/search_rider
    Tool(name="""FirstCycling MCP Server_get_rider_info""", inputSchema={'properties': {'rider_id': {'title': 'Rider Id', 'type': 'integer'}}, 'required': ['rider_id'], 'title': 'get_rider_infoArguments', 'type': 'object'}, description="""Get comprehensive information about a professional cyclist including their current team, nationality, date of birth, and recent race results. \n    This tool provides a detailed overview of a rider's current status and recent performance in professional cycling races. \n    The information includes their current team affiliation, nationality, age, and their most recent race results with positions and times.\n    \n    Note: If you don't know the rider's ID, use the search_rider tool first to find it by name.\n    \n    Example usage:\n    - Get basic info for Tadej Pogaar (ID: 16973)\n    - Get basic info for Jonas Vingegaard (ID: 16974)\n    \n    Returns a formatted string with:\n    - Full name and current team\n    - Nationality and date of birth\n    - UCI ID and social media handles\n    - Last 5 race results with positions and times\n    - Total number of UCI victories"""), # r-huijts/FirstCycling MCP Server/get_rider_info
    Tool(name="""FirstCycling MCP Server_get_rider_best_results""", inputSchema={'properties': {'limit': {'default': 10, 'title': 'Limit', 'type': 'integer'}, 'rider_id': {'title': 'Rider Id', 'type': 'integer'}}, 'required': ['rider_id'], 'title': 'get_rider_best_resultsArguments', 'type': 'object'}, description="""Retrieve the best career results of a professional cyclist, including their top finishes in various races. \n    This tool provides a comprehensive overview of a rider's most significant achievements throughout their career, \n    including their highest positions in major races, stage wins, and overall classifications. \n    Results are sorted by importance and include detailed information about each race.\n    \n    Note: If you don't know the rider's ID, use the search_rider tool first to find it by name.\n    \n    Example usage:\n    - Get top 10 best results for Tadej Pogaar (ID: 16973)\n    - Get top 5 best results for Jonas Vingegaard (ID: 16974)\n    \n    Returns a formatted string with:\n    - Rider's name and career highlights\n    - Top results sorted by importance\n    - Race details including category and country\n    - Date and position for each result"""), # r-huijts/FirstCycling MCP Server/get_rider_best_results
    Tool(name="""FirstCycling MCP Server_get_rider_grand_tour_results""", inputSchema={'properties': {'rider_id': {'title': 'Rider Id', 'type': 'integer'}}, 'required': ['rider_id'], 'title': 'get_rider_grand_tour_resultsArguments', 'type': 'object'}, description="""Get comprehensive results for a rider in Grand Tours (Tour de France, Giro d'Italia, and Vuelta a Espaa). \n    This tool provides detailed information about a rider's performance in cycling's most prestigious three-week races, \n    including their overall classification positions, stage wins, and special classification results. \n    The data is organized chronologically and includes all relevant race details.\n    \n    Note: If you don't know the rider's ID, use the search_rider tool first to find it by name.\n    \n    Example usage:\n    - Get Grand Tour results for Tadej Pogaar (ID: 16973)\n    - Get Grand Tour results for Jonas Vingegaard (ID: 16974)\n    \n    Returns a formatted string with:\n    - Results for each Grand Tour (Tour de France, Giro, Vuelta)\n    - Overall classification positions\n    - Stage wins and special classification results\n    - Time gaps and race details"""), # r-huijts/FirstCycling MCP Server/get_rider_grand_tour_results
    Tool(name="""FirstCycling MCP Server_get_rider_monument_results""", inputSchema={'properties': {'rider_id': {'title': 'Rider Id', 'type': 'integer'}}, 'required': ['rider_id'], 'title': 'get_rider_monument_resultsArguments', 'type': 'object'}, description="""Retrieve detailed results for a rider in cycling's five Monument races (Milan-San Remo, Tour of Flanders, \n    Paris-Roubaix, Lige-Bastogne-Lige, and Il Lombardia). These are the most prestigious one-day races in professional cycling. \n    The tool provides comprehensive information about a rider's performance in these historic races, including their positions, \n    times, and any special achievements.\n    \n    Note: If you don't know the rider's ID, use the search_rider tool first to find it by name.\n    \n    Example usage:\n    - Get Monument results for Tadej Pogaar (ID: 16973)\n    - Get Monument results for Mathieu van der Poel (ID: 16975)\n    \n    Returns a formatted string with:\n    - Results for each Monument race\n    - Position and time for each participation\n    - Race details and special achievements\n    - Chronological organization by year"""), # r-huijts/FirstCycling MCP Server/get_rider_monument_results
    Tool(name="""FirstCycling MCP Server_get_rider_team_and_ranking""", inputSchema={'properties': {'rider_id': {'title': 'Rider Id', 'type': 'integer'}}, 'required': ['rider_id'], 'title': 'get_rider_team_and_rankingArguments', 'type': 'object'}, description="""Get information about a professional cyclist's team affiliations and UCI rankings throughout their career.\n    This tool retrieves the rider's team history and their UCI ranking points over time. It provides a comprehensive\n    overview of their professional career progression through different teams and their performance in the UCI rankings.\n    \n    Note: If you don't know the rider's ID, use the search_rider tool first to find it by name.\n    \n    Example usage:\n    - Get team and ranking history for Tadej Pogaar (ID: 16973)\n    - Get team and ranking history for Jonas Vingegaard (ID: 16974)\n    \n    Returns a formatted string with:\n    - Complete team history with years\n    - UCI ranking positions and points\n    - Career progression timeline\n    - Current team and ranking status"""), # r-huijts/FirstCycling MCP Server/get_rider_team_and_ranking
    Tool(name="""FirstCycling MCP Server_get_rider_race_history""", inputSchema={'properties': {'rider_id': {'title': 'Rider Id', 'type': 'integer'}, 'year': {'default': None, 'title': 'Year', 'type': 'integer'}}, 'required': ['rider_id'], 'title': 'get_rider_race_historyArguments', 'type': 'object'}, description="""Get the complete race history of a professional cyclist, optionally filtered by year.\n    This tool retrieves a comprehensive list of all races the rider has participated in, including their\n    positions, times, and race categories. It provides a detailed overview of their racing career.\n    \n    Note: If you don't know the rider's ID, use the search_rider tool first to find it by name.\n    \n    Example usage:\n    - Get complete race history for Tadej Pogaar (ID: 16973)\n    - Get 2023 race history for Jonas Vingegaard (ID: 16974)\n    \n    Returns a formatted string with:\n    - All races organized by year\n    - Position and time for each race\n    - Race category and details\n    - Chronological organization"""), # r-huijts/FirstCycling MCP Server/get_rider_race_history
    Tool(name="""FirstCycling MCP Server_search_race""", inputSchema={'properties': {'query': {'title': 'Query', 'type': 'string'}}, 'required': ['query'], 'title': 'search_raceArguments', 'type': 'object'}, description="""Search for cycling races by name. This tool helps find races by their name, \n    returning a list of matching races with their IDs and countries. This is useful when you know \n    a race's name but need its ID for other operations.\n    \n    Example usage:\n    - Search for \"tour\" to find Tour de France and other tours\n    - Search for \"giro\" to find Giro d'Italia\n    \n    Returns a formatted string with:\n    - List of matching races\n    - Each race's ID, name, and country\n    - Number of matches found"""), # r-huijts/FirstCycling MCP Server/search_race
    Tool(name="""FirstCycling MCP Server_get_rider_one_day_races""", inputSchema={'properties': {'rider_id': {'title': 'Rider Id', 'type': 'integer'}, 'year': {'default': None, 'title': 'Year', 'type': 'integer'}}, 'required': ['rider_id'], 'title': 'get_rider_one_day_racesArguments', 'type': 'object'}, description="""Get a rider's results in one-day races, optionally filtered by year.\n    This tool retrieves detailed information about a rider's performance in one-day races \n    (classics and one-day events). It provides comprehensive data about positions, times, \n    and race categories. Results can be filtered by a specific year.\n    \n    Note: If you don't know the rider's ID, use the search_rider tool first to find it by name.\n    \n    Example usage:\n    - Get one-day race results for Mathieu van der Poel (ID: 16672)\n    - Get 2023 one-day race results for Wout van Aert (ID: 16948)\n    \n    Returns a formatted string with:\n    - Results in one-day races organized by year\n    - Position and time for each race\n    - Race category and details\n    - Chronological organization"""), # r-huijts/FirstCycling MCP Server/get_rider_one_day_races
    Tool(name="""FirstCycling MCP Server_get_rider_stage_races""", inputSchema={'properties': {'rider_id': {'title': 'Rider Id', 'type': 'integer'}, 'year': {'default': None, 'title': 'Year', 'type': 'integer'}}, 'required': ['rider_id'], 'title': 'get_rider_stage_racesArguments', 'type': 'object'}, description="""Get a rider's results in stage races, optionally filtered by year.\n    This tool retrieves detailed information about a rider's performance in stage races\n    (multi-day races like Tour de France, Giro d'Italia, etc.). It provides comprehensive data \n    about positions, times, and race categories. Results can be filtered by a specific year.\n    \n    Note: If you don't know the rider's ID, use the search_rider tool first to find it by name.\n    \n    Example usage:\n    - Get stage race results for Tadej Pogaar (ID: 16973)\n    - Get 2023 stage race results for Jonas Vingegaard (ID: 16974)\n    \n    Returns a formatted string with:\n    - Results in stage races organized by year\n    - Position and time for each race\n    - Race category and details\n    - Chronological organization"""), # r-huijts/FirstCycling MCP Server/get_rider_stage_races
    Tool(name="""FirstCycling MCP Server_get_race_details""", inputSchema={'properties': {'classification_num': {'default': None, 'title': 'Classification Num', 'type': 'integer'}, 'race_id': {'title': 'Race Id', 'type': 'integer'}}, 'required': ['race_id'], 'title': 'get_race_detailsArguments', 'type': 'object'}, description="""Get comprehensive details about a cycling race.\n    This tool provides detailed information about a specific race, including its history, key statistics,\n    route details, and other relevant information. The data can be filtered by specific classification.\n    \n    Note: If you don't know the race's ID, use the search_race tool first to find it by name.\n    \n    Example usage:\n    - Get details for Tour de France (ID: 17)\n    - Get details for Paris-Roubaix (ID: 30)\n    \n    Returns a formatted string with:\n    - Race name, country, and category\n    - Historical information and key statistics\n    - Course details and characteristics\n    - Optional classification details"""), # r-huijts/FirstCycling MCP Server/get_race_details
    Tool(name="""FirstCycling MCP Server_get_race_edition_results""", inputSchema={'properties': {'classification_num': {'default': None, 'title': 'Classification Num', 'type': 'integer'}, 'race_id': {'title': 'Race Id', 'type': 'integer'}, 'stage_num': {'default': None, 'title': 'Stage Num', 'type': 'integer'}, 'year': {'title': 'Year', 'type': 'integer'}}, 'required': ['race_id', 'year'], 'title': 'get_race_edition_resultsArguments', 'type': 'object'}, description="""Get detailed results for a specific edition of a cycling race.\n    This tool provides comprehensive results for a particular edition of a race, including rankings,\n    time gaps, and other relevant statistics. Results can be filtered by classification or stage.\n    \n    Note: If you don't know the race's ID, use the search_race tool first to find it by name.\n    \n    Example usage:\n    - Get 2023 Tour de France general classification results (Race ID: 17, Year: 2023)\n    - Get 2022 Paris-Roubaix results (Race ID: 30, Year: 2022)\n    - Get results for stage 5 of 2023 Tour de France (Race ID: 17, Year: 2023, Stage: 5)\n    \n    Returns a formatted string with:\n    - Race name, year, and category\n    - Complete result list with rankings and time gaps\n    - Rider names and teams\n    - Classification or stage specific information"""), # r-huijts/FirstCycling MCP Server/get_race_edition_results
    Tool(name="""FirstCycling MCP Server_get_start_list""", inputSchema={'properties': {'race_id': {'title': 'Race Id', 'type': 'integer'}, 'year': {'default': None, 'title': 'Year', 'type': 'integer'}}, 'required': ['race_id'], 'title': 'get_start_listArguments', 'type': 'object'}, description="""Get the start list for a specific edition of a cycling race.\n    The start list includes rider numbers, names, and teams.\n    \n    Note: If you don't know the race's ID, use the search_race tool first to find it by name.\n    If no year is specified, the current year will be used.\n    \n    Example usage:\n    - Get start list for current year's Tour de France (Race ID: 17)\n    - Get start list for 2023 Paris-Roubaix (Race ID: 30, Year: 2023)\n    \n    Returns a formatted string with:\n    - Race name and year\n    - List of participating teams\n    - Riders for each team with their race numbers"""), # r-huijts/FirstCycling MCP Server/get_start_list
    Tool(name="""FirstCycling MCP Server_get_race_victory_table""", inputSchema={'properties': {'race_id': {'title': 'Race Id', 'type': 'integer'}}, 'required': ['race_id'], 'title': 'get_race_victory_tableArguments', 'type': 'object'}, description="""Get the all-time victory table for a cycling race.\n    This tool provides a historical summary of the most successful riders in a specific race,\n    showing the number of victories for each rider throughout the race's history.\n    \n    Note: If you don't know the race's ID, use the search_race tool first to find it by name.\n    \n    Example usage:\n    - Get victory table for Tour de France (ID: 17)\n    - Get victory table for Paris-Roubaix (ID: 30)\n    \n    Returns a formatted string with:\n    - Race name\n    - List of riders with the most victories\n    - Number of victories for each rider\n    - Years of victories where available"""), # r-huijts/FirstCycling MCP Server/get_race_victory_table
    Tool(name="""FirstCycling MCP Server_get_uci_rankings""", inputSchema={'properties': {'category': {'default': 'world', 'title': 'Category', 'type': 'string'}, 'country_code': {'default': None, 'title': 'Country Code', 'type': 'string'}, 'page_num': {'default': 1, 'title': 'Page Num', 'type': 'integer'}, 'rank_type': {'default': 'riders', 'title': 'Rank Type', 'type': 'string'}, 'year': {'default': None, 'title': 'Year', 'type': 'integer'}}, 'title': 'get_uci_rankingsArguments', 'type': 'object'}, description="""Get UCI rankings for riders, teams, or nations.\n    This tool provides access to the UCI ranking data for professional cyclists, teams, or nations.\n    Results can be filtered by ranking type, year, and category.\n    \n    Example usage:\n    - Get World UCI rider rankings for 2023\n    - Get Europe Tour UCI team rankings for 2022\n    - Get UCI nation rankings for 2023 in the World category\n    \n    Returns a formatted string with:\n    - Ranking list with positions and points\n    - Filtered by specified categories\n    - Organized in a readable format\n    - Option to filter by country"""), # r-huijts/FirstCycling MCP Server/get_uci_rankings
    Tool(name="""Poke-MCP_random-pokemon""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {}, 'type': 'object'}, description="""Get a random Pokmon"""), # NaveenBandarage/Poke-MCP/random-pokemon
    Tool(name="""Poke-MCP_random-pokemon-from-region""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'region': {'description': 'The Pokmon region (e.g., kanto, johto, hoenn, etc.)', 'type': 'string'}}, 'required': ['region'], 'type': 'object'}, description="""Get a random Pokmon from a specific region"""), # NaveenBandarage/Poke-MCP/random-pokemon-from-region
    Tool(name="""Poke-MCP_random-pokemon-by-type""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'type': {'description': 'The Pokmon type (e.g., fire, water, grass, etc.)', 'type': 'string'}}, 'required': ['type'], 'type': 'object'}, description="""Get a random Pokmon of a specific type"""), # NaveenBandarage/Poke-MCP/random-pokemon-by-type
    Tool(name="""Poke-MCP_pokemon-query""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'query': {'description': 'A natural language query about Pokmon', 'type': 'string'}}, 'required': ['query'], 'type': 'object'}, description="""Answer natural language Pokmon queries"""), # NaveenBandarage/Poke-MCP/pokemon-query
    Tool(name="""file-finder-mcp_search-files""", inputSchema={'properties': {'directory': {'default': '/', 'description': '  ', 'type': 'string'}, 'query': {'description': '   ', 'type': 'string'}}, 'required': ['query'], 'type': 'object'}, description="""    """), # StepanCooleague/file-finder-mcp/search-files
    Tool(name="""Salesforce MCP Server_salesforce_search_objects""", inputSchema={'properties': {'searchPattern': {'description': "Search pattern to find objects (e.g., 'Account Coverage' will find objects like 'AccountCoverage__c')", 'type': 'string'}}, 'required': ['searchPattern'], 'type': 'object'}, description="""Search for Salesforce standard and custom objects by name pattern. Examples: 'Account' will find Account, AccountHistory; 'Order' will find WorkOrder, ServiceOrder__c etc."""), # usama-dtc/Salesforce MCP Server/salesforce_search_objects
    Tool(name="""Salesforce MCP Server_salesforce_describe_object""", inputSchema={'properties': {'objectName': {'description': "API name of the object (e.g., 'Account', 'Contact', 'Custom_Object__c')", 'type': 'string'}}, 'required': ['objectName'], 'type': 'object'}, description="""Get detailed schema metadata including all fields, relationships, and field properties of any Salesforce object. Examples: 'Account' shows all Account fields including custom fields; 'Case' shows all Case fields including relationships to Account, Contact etc."""), # usama-dtc/Salesforce MCP Server/salesforce_describe_object
    Tool(name="""Salesforce MCP Server_salesforce_query_records""", inputSchema={'properties': {'fields': {'description': 'List of fields to retrieve, including relationship fields', 'items': {'type': 'string'}, 'type': 'array'}, 'limit': {'description': 'Maximum number of records to return', 'optional': True, 'type': 'number'}, 'objectName': {'description': 'API name of the object to query', 'type': 'string'}, 'orderBy': {'description': 'ORDER BY clause, can include fields from related objects', 'optional': True, 'type': 'string'}, 'whereClause': {'description': 'WHERE clause, can include conditions on related objects', 'optional': True, 'type': 'string'}}, 'required': ['objectName', 'fields'], 'type': 'object'}, description="""Query records from any Salesforce object using SOQL, including relationship queries.\n\nExamples:\n1. Parent-to-child query (e.g., Account with Contacts):\n   - objectName: \"Account\"\n   - fields: [\"Name\", \"(SELECT Id, FirstName, LastName FROM Contacts)\"]\n\n2. Child-to-parent query (e.g., Contact with Account details):\n   - objectName: \"Contact\"\n   - fields: [\"FirstName\", \"LastName\", \"Account.Name\", \"Account.Industry\"]\n\n3. Multiple level query (e.g., Contact -> Account -> Owner):\n   - objectName: \"Contact\"\n   - fields: [\"Name\", \"Account.Name\", \"Account.Owner.Name\"]\n\n4. Related object filtering:\n   - objectName: \"Contact\"\n   - fields: [\"Name\", \"Account.Name\"]\n   - whereClause: \"Account.Industry = 'Technology'\"\n\nNote: When using relationship fields:\n- Use dot notation for parent relationships (e.g., \"Account.Name\")\n- Use subqueries in parentheses for child relationships (e.g., \"(SELECT Id FROM Contacts)\")\n- Custom relationship fields end in \"__r\" (e.g., \"CustomObject__r.Name\")"""), # usama-dtc/Salesforce MCP Server/salesforce_query_records
    Tool(name="""Salesforce MCP Server_salesforce_dml_records""", inputSchema={'properties': {'externalIdField': {'description': 'External ID field name for upsert operations', 'optional': True, 'type': 'string'}, 'objectName': {'description': 'API name of the object', 'type': 'string'}, 'operation': {'description': 'Type of DML operation to perform', 'enum': ['insert', 'update', 'delete', 'upsert'], 'type': 'string'}, 'records': {'description': 'Array of records to process', 'items': {'type': 'object'}, 'type': 'array'}}, 'required': ['operation', 'objectName', 'records'], 'type': 'object'}, description="""Perform data manipulation operations on Salesforce records:\n  - insert: Create new records\n  - update: Modify existing records (requires Id)\n  - delete: Remove records (requires Id)\n  - upsert: Insert or update based on external ID field\n  Examples: Insert new Accounts, Update Case status, Delete old records, Upsert based on custom external ID"""), # usama-dtc/Salesforce MCP Server/salesforce_dml_records
    Tool(name="""Salesforce MCP Server_salesforce_manage_object""", inputSchema={'properties': {'description': {'description': 'Description of the object', 'optional': True, 'type': 'string'}, 'label': {'description': 'Label for the object', 'type': 'string'}, 'nameFieldFormat': {'description': "Display format for AutoNumber field (e.g., 'A-{0000}')", 'optional': True, 'type': 'string'}, 'nameFieldLabel': {'description': 'Label for the name field', 'optional': True, 'type': 'string'}, 'nameFieldType': {'description': 'Type of the name field', 'enum': ['Text', 'AutoNumber'], 'optional': True, 'type': 'string'}, 'objectName': {'description': 'API name for the object (without __c suffix)', 'type': 'string'}, 'operation': {'description': 'Whether to create new object or update existing', 'enum': ['create', 'update'], 'type': 'string'}, 'pluralLabel': {'description': 'Plural label for the object', 'type': 'string'}, 'sharingModel': {'description': 'Sharing model for the object', 'enum': ['ReadWrite', 'Read', 'Private', 'ControlledByParent'], 'optional': True, 'type': 'string'}}, 'required': ['operation', 'objectName'], 'type': 'object'}, description="""Create new custom objects or modify existing ones in Salesforce:\n  - Create: New custom objects with fields, relationships, and settings\n  - Update: Modify existing object settings, labels, sharing model\n  Examples: Create Customer_Feedback__c object, Update object sharing settings\n  Note: Changes affect metadata and require proper permissions"""), # usama-dtc/Salesforce MCP Server/salesforce_manage_object
    Tool(name="""Salesforce MCP Server_salesforce_manage_field""", inputSchema={'properties': {'deleteConstraint': {'description': 'Delete constraint for Lookup fields', 'enum': ['Cascade', 'Restrict', 'SetNull'], 'optional': True, 'type': 'string'}, 'description': {'description': 'Description of the field', 'optional': True, 'type': 'string'}, 'externalId': {'description': 'Whether the field is an external ID', 'optional': True, 'type': 'boolean'}, 'fieldName': {'description': 'API name for the field (without __c suffix)', 'type': 'string'}, 'label': {'description': 'Label for the field', 'optional': True, 'type': 'string'}, 'length': {'description': 'Length for text fields', 'optional': True, 'type': 'number'}, 'objectName': {'description': 'API name of the object to add/modify the field', 'type': 'string'}, 'operation': {'description': 'Whether to create new field or update existing', 'enum': ['create', 'update'], 'type': 'string'}, 'picklistValues': {'description': 'Values for Picklist/MultiselectPicklist fields', 'items': {'properties': {'isDefault': {'optional': True, 'type': 'boolean'}, 'label': {'type': 'string'}}, 'type': 'object'}, 'optional': True, 'type': 'array'}, 'precision': {'description': 'Precision for numeric fields', 'optional': True, 'type': 'number'}, 'referenceTo': {'description': 'API name of the object to reference (for Lookup/MasterDetail)', 'optional': True, 'type': 'string'}, 'relationshipLabel': {'description': 'Label for the relationship (for Lookup/MasterDetail)', 'optional': True, 'type': 'string'}, 'relationshipName': {'description': 'API name for the relationship (for Lookup/MasterDetail)', 'optional': True, 'type': 'string'}, 'required': {'description': 'Whether the field is required', 'optional': True, 'type': 'boolean'}, 'scale': {'description': 'Scale for numeric fields', 'optional': True, 'type': 'number'}, 'type': {'description': 'Field type (required for create)', 'enum': ['Checkbox', 'Currency', 'Date', 'DateTime', 'Email', 'Number', 'Percent', 'Phone', 'Picklist', 'MultiselectPicklist', 'Text', 'TextArea', 'LongTextArea', 'Html', 'Url', 'Lookup', 'MasterDetail'], 'optional': True, 'type': 'string'}, 'unique': {'description': 'Whether the field value must be unique', 'optional': True, 'type': 'boolean'}}, 'required': ['operation', 'objectName', 'fieldName'], 'type': 'object'}, description="""Create new custom fields or modify existing fields on any Salesforce object:\n  - Field Types: Text, Number, Date, Lookup, Master-Detail, Picklist etc.\n  - Properties: Required, Unique, External ID, Length, Scale etc.\n  - Relationships: Create lookups and master-detail relationships\n  Examples: Add Rating__c picklist to Account, Create Account lookup on Custom Object\n  Note: Changes affect metadata and require proper permissions"""), # usama-dtc/Salesforce MCP Server/salesforce_manage_field
    Tool(name="""Salesforce MCP Server_salesforce_search_all""", inputSchema={'properties': {'objects': {'description': 'List of objects to search and their return fields', 'items': {'properties': {'fields': {'description': 'Fields to return for this object', 'items': {'type': 'string'}, 'type': 'array'}, 'limit': {'description': 'Maximum number of records to return for this object', 'optional': True, 'type': 'number'}, 'name': {'description': 'API name of the object', 'type': 'string'}, 'orderBy': {'description': 'ORDER BY clause for this object', 'optional': True, 'type': 'string'}, 'where': {'description': 'WHERE clause for this object', 'optional': True, 'type': 'string'}}, 'required': ['name', 'fields'], 'type': 'object'}, 'type': 'array'}, 'searchIn': {'description': 'Which fields to search in', 'enum': ['ALL FIELDS', 'NAME FIELDS', 'EMAIL FIELDS', 'PHONE FIELDS', 'SIDEBAR FIELDS'], 'optional': True, 'type': 'string'}, 'searchTerm': {'description': 'Text to search for (supports wildcards * and ?)', 'type': 'string'}, 'updateable': {'description': 'Return only updateable records', 'optional': True, 'type': 'boolean'}, 'viewable': {'description': 'Return only viewable records', 'optional': True, 'type': 'boolean'}, 'withClauses': {'description': 'Additional WITH clauses for the search', 'items': {'properties': {'fields': {'description': 'Fields for SNIPPET clause', 'items': {'type': 'string'}, 'optional': True, 'type': 'array'}, 'type': {'enum': ['DATA CATEGORY', 'DIVISION', 'METADATA', 'NETWORK', 'PRICEBOOKID', 'SNIPPET', 'SECURITY_ENFORCED'], 'type': 'string'}, 'value': {'description': 'Value for the WITH clause', 'optional': True, 'type': 'string'}}, 'required': ['type'], 'type': 'object'}, 'optional': True, 'type': 'array'}}, 'required': ['searchTerm', 'objects'], 'type': 'object'}, description="""Search across multiple Salesforce objects using SOSL (Salesforce Object Search Language).\n  \nExamples:\n1. Basic search across all objects:\n   {\n     \"searchTerm\": \"John\",\n     \"objects\": [\n       { \"name\": \"Account\", \"fields\": [\"Name\"], \"limit\": 10 },\n       { \"name\": \"Contact\", \"fields\": [\"FirstName\", \"LastName\", \"Email\"] }\n     ]\n   }\n\n2. Advanced search with filters:\n   {\n     \"searchTerm\": \"Cloud*\",\n     \"searchIn\": \"NAME FIELDS\",\n     \"objects\": [\n       { \n         \"name\": \"Account\", \n         \"fields\": [\"Name\", \"Industry\"], \n         \"orderBy\": \"Name DESC\",\n         \"where\": \"Industry = 'Technology'\"\n       }\n     ],\n     \"withClauses\": [\n       { \"type\": \"NETWORK\", \"value\": \"ALL NETWORKS\" },\n       { \"type\": \"SNIPPET\", \"fields\": [\"Description\"] }\n     ]\n   }\n\nNotes:\n- Use * and ? for wildcards in search terms\n- Each object can have its own WHERE, ORDER BY, and LIMIT clauses\n- Support for WITH clauses: DATA CATEGORY, DIVISION, METADATA, NETWORK, PRICEBOOKID, SNIPPET, SECURITY_ENFORCED\n- \"updateable\" and \"viewable\" options control record access filtering"""), # usama-dtc/Salesforce MCP Server/salesforce_search_all
    Tool(name="""Salesforce MCP Server_salesforce_upload_report_xml""", inputSchema={'properties': {'folderId': {'description': 'Folder ID where the report should be saved (optional)', 'optional': True, 'type': 'string'}, 'isDeveloperName': {'description': 'If true, reportName is treated as the API name instead of the display name', 'optional': True, 'type': 'boolean'}, 'reportId': {'description': 'Report ID to update an existing report', 'optional': True, 'type': 'string'}, 'reportName': {'description': 'Name for the new report (required for new reports)', 'optional': True, 'type': 'string'}, 'xmlContent': {'description': 'XML content for the report in Salesforce report metadata format', 'type': 'string'}}, 'required': ['xmlContent'], 'type': 'object'}, description="""Upload XML to generate or update reports in Salesforce.\n  \nExamples:\n1. Create a new report:\n   - reportName: \"Monthly Sales Summary\"\n   - folderId: \"00l5e000000XXXXX\" (optional - uploads to user's private reports by default)\n   - xmlContent: \"<Report xmlns=...\"\n   - isDeveloperName: false\n\n2. Update existing report:\n   - reportId: \"00O5e000000XXXXX\"\n   - xmlContent: \"<Report xmlns=...\"\n   \nNote: XML must follow Salesforce report metadata format. For custom report types, \nensure the report type exists in your org before uploading."""), # usama-dtc/Salesforce MCP Server/salesforce_upload_report_xml
    Tool(name="""FLUX Image Generator MCP Server_generateImage""", inputSchema={'properties': {'customPath': {'description': 'Custom path to save the generated image', 'type': 'string'}, 'height': {'default': 1024, 'description': 'Height of the image in pixels', 'type': 'number'}, 'prompt': {'description': 'Text description of the image to generate', 'type': 'string'}, 'promptUpsampling': {'default': False, 'description': 'Enhance detail by upsampling the prompt', 'type': 'boolean'}, 'safetyTolerance': {'default': 3, 'description': 'Content moderation tolerance (1-5)', 'type': 'number'}, 'seed': {'description': 'Random seed for reproducible results', 'type': 'number'}, 'width': {'default': 1024, 'description': 'Width of the image in pixels', 'type': 'number'}}, 'required': ['prompt'], 'type': 'object'}, description="""Generate an image using Black Forest Lab's FLUX model based on a text prompt"""), # frankdeno/FLUX Image Generator MCP Server/generateImage
    Tool(name="""FLUX Image Generator MCP Server_quickImage""", inputSchema={'properties': {'customPath': {'description': 'Custom path to save the generated image', 'type': 'string'}, 'prompt': {'description': 'Text description of the image to generate', 'type': 'string'}}, 'required': ['prompt'], 'type': 'object'}, description="""Quickly generate an image based on a text prompt with default settings"""), # frankdeno/FLUX Image Generator MCP Server/quickImage
    Tool(name="""FLUX Image Generator MCP Server_batchGenerateImages""", inputSchema={'properties': {'customPath': {'description': 'Custom path to save the generated images', 'type': 'string'}, 'height': {'default': 1024, 'description': 'Height of the images', 'type': 'number'}, 'prompts': {'description': 'List of text prompts', 'items': {'type': 'string'}, 'type': 'array'}, 'width': {'default': 1024, 'description': 'Width of the images', 'type': 'number'}}, 'required': ['prompts'], 'type': 'object'}, description="""Generate multiple images from a list of prompts"""), # frankdeno/FLUX Image Generator MCP Server/batchGenerateImages
    Tool(name="""Deepseek-Thinking-Claude-3.5-Sonnet-CLINE-MCP_generate_response""", inputSchema={'properties': {'clearContext': {'default': False, 'description': 'Clear conversation history before this request', 'type': 'boolean'}, 'includeHistory': {'default': True, 'description': 'Include Cline conversation history for context', 'type': 'boolean'}, 'prompt': {'description': "The user's input prompt", 'type': 'string'}, 'showReasoning': {'default': False, 'description': 'Whether to include reasoning in response', 'type': 'boolean'}}, 'required': ['prompt'], 'type': 'object'}, description="""Generate a response using DeepSeek's reasoning and Claude's response generation through OpenRouter."""), # niko91i/Deepseek-Thinking-Claude-3.5-Sonnet-CLINE-MCP/generate_response
    Tool(name="""Deepseek-Thinking-Claude-3.5-Sonnet-CLINE-MCP_check_response_status""", inputSchema={'properties': {'taskId': {'description': 'The task ID returned by generate_response', 'type': 'string'}}, 'required': ['taskId'], 'type': 'object'}, description="""Check the status of a response generation task"""), # niko91i/Deepseek-Thinking-Claude-3.5-Sonnet-CLINE-MCP/check_response_status
    Tool(name="""DroidMind_list_packages""", inputSchema={'properties': {'include_system_apps': {'default': False, 'title': 'Include System Apps', 'type': 'boolean'}, 'serial': {'title': 'Serial', 'type': 'string'}}, 'required': ['serial'], 'title': 'list_packagesArguments', 'type': 'object'}, description="""\nList installed packages on the device.\n\nArgs:\n    serial: Device serial number\n    include_system_apps: Whether to include system apps in the list\n\nReturns:\n    Formatted list of installed packages\n"""), # hyperb1iss/DroidMind/list_packages
    Tool(name="""DroidMind_device_properties""", inputSchema={'properties': {'serial': {'title': 'Serial', 'type': 'string'}}, 'required': ['serial'], 'title': 'device_propertiesArguments', 'type': 'object'}, description="""\nGet detailed properties of a specific device.\n\nArgs:\n    serial: Device serial number\n\nReturns:\n    Formatted device properties as text\n"""), # hyperb1iss/DroidMind/device_properties
    Tool(name="""DroidMind_install_app""", inputSchema={'properties': {'apk_path': {'title': 'Apk Path', 'type': 'string'}, 'grant_permissions': {'default': True, 'title': 'Grant Permissions', 'type': 'boolean'}, 'reinstall': {'default': False, 'title': 'Reinstall', 'type': 'boolean'}, 'serial': {'title': 'Serial', 'type': 'string'}}, 'required': ['serial', 'apk_path'], 'title': 'install_appArguments', 'type': 'object'}, description="""\nInstall an APK on the device.\n\nArgs:\n    serial: Device serial number\n    apk_path: Path to the APK file (local to the server)\n    reinstall: Whether to reinstall if app exists\n    grant_permissions: Whether to grant all requested permissions\n\nReturns:\n    Installation result message\n"""), # hyperb1iss/DroidMind/install_app
    Tool(name="""DroidMind_uninstall_app""", inputSchema={'properties': {'keep_data': {'default': False, 'title': 'Keep Data', 'type': 'boolean'}, 'package': {'title': 'Package', 'type': 'string'}, 'serial': {'title': 'Serial', 'type': 'string'}}, 'required': ['serial', 'package'], 'title': 'uninstall_appArguments', 'type': 'object'}, description="""\nUninstall an app from the device.\n\nArgs:\n    serial: Device serial number\n    package: Package name to uninstall\n    keep_data: Whether to keep app data and cache directories\n\nReturns:\n    Uninstallation result message\n"""), # hyperb1iss/DroidMind/uninstall_app
    Tool(name="""DroidMind_start_app""", inputSchema={'properties': {'activity': {'default': '', 'title': 'Activity', 'type': 'string'}, 'package': {'title': 'Package', 'type': 'string'}, 'serial': {'title': 'Serial', 'type': 'string'}}, 'required': ['serial', 'package'], 'title': 'start_appArguments', 'type': 'object'}, description="""\nStart an app on the device.\n\nArgs:\n    serial: Device serial number\n    package: Package name to start\n    activity: Optional activity name to start (if empty, launches the default activity)\n\nReturns:\n    Result message\n"""), # hyperb1iss/DroidMind/start_app
    Tool(name="""DroidMind_stop_app""", inputSchema={'properties': {'package': {'title': 'Package', 'type': 'string'}, 'serial': {'title': 'Serial', 'type': 'string'}}, 'required': ['serial', 'package'], 'title': 'stop_appArguments', 'type': 'object'}, description="""\nForce stop an app on the device.\n\nArgs:\n    serial: Device serial number\n    package: Package name to stop\n\nReturns:\n    Result message\n"""), # hyperb1iss/DroidMind/stop_app
    Tool(name="""DroidMind_clear_app_data""", inputSchema={'properties': {'package': {'title': 'Package', 'type': 'string'}, 'serial': {'title': 'Serial', 'type': 'string'}}, 'required': ['serial', 'package'], 'title': 'clear_app_dataArguments', 'type': 'object'}, description="""\nClear app data and cache for the specified package.\n\nArgs:\n    serial: Device serial number\n    package: Package name to clear data for\n\nReturns:\n    Result message\n"""), # hyperb1iss/DroidMind/clear_app_data
    Tool(name="""DroidMind_device_logcat""", inputSchema={'properties': {'filter_expr': {'default': '', 'title': 'Filter Expr', 'type': 'string'}, 'lines': {'default': 1000, 'title': 'Lines', 'type': 'integer'}, 'max_size': {'anyOf': [{'type': 'integer'}, {'type': 'null'}], 'default': 100000, 'title': 'Max Size'}, 'serial': {'title': 'Serial', 'type': 'string'}}, 'required': ['serial'], 'title': 'device_logcatArguments', 'type': 'object'}, description="""\nGet recent logcat output from a device.\n\nArgs:\n    serial: Device serial number\n    lines: Number of recent lines to fetch (default: 1000, max recommended: 20000)\n           Higher values may impact performance and context window limits.\n    filter_expr: Optional filter expression (e.g., \"ActivityManager:I *:S\")\n                 Use to focus on specific tags or priority levels\n    max_size: Maximum output size in characters (default: 100000)\n              Set to None for unlimited (not recommended)\n\nReturns:\n    Recent logcat entries\n"""), # hyperb1iss/DroidMind/device_logcat
    Tool(name="""DroidMind_devicelist""", inputSchema={'properties': {}, 'title': 'devicelistArguments', 'type': 'object'}, description="""\nList all connected Android devices.\n\nReturns:\n    A formatted list of connected devices with their basic information.\n"""), # hyperb1iss/DroidMind/devicelist
    Tool(name="""DroidMind_connect_device""", inputSchema={'properties': {'ip_address': {'title': 'Ip Address', 'type': 'string'}, 'port': {'default': 5555, 'title': 'Port', 'type': 'integer'}}, 'required': ['ip_address'], 'title': 'connect_deviceArguments', 'type': 'object'}, description="""\nConnect to an Android device over TCP/IP.\n\nArgs:\n    ip_address: The IP address of the device to connect to\n    port: The port to connect to (default: 5555)\n\nReturns:\n    A message indicating success or failure\n"""), # hyperb1iss/DroidMind/connect_device
    Tool(name="""DroidMind_disconnect_device""", inputSchema={'properties': {'serial': {'title': 'Serial', 'type': 'string'}}, 'required': ['serial'], 'title': 'disconnect_deviceArguments', 'type': 'object'}, description="""\nDisconnect from an Android device.\n\nArgs:\n    serial: Device serial number\n\nReturns:\n    Disconnection result message\n"""), # hyperb1iss/DroidMind/disconnect_device
    Tool(name="""DroidMind_reboot_device""", inputSchema={'properties': {'mode': {'default': 'normal', 'title': 'Mode', 'type': 'string'}, 'serial': {'title': 'Serial', 'type': 'string'}}, 'required': ['serial'], 'title': 'reboot_deviceArguments', 'type': 'object'}, description="""\nReboot the device.\n\nArgs:\n    serial: Device serial number\n    mode: Reboot mode - \"normal\", \"recovery\", or \"bootloader\"\n\nReturns:\n    Reboot result message\n"""), # hyperb1iss/DroidMind/reboot_device
    Tool(name="""DroidMind_capture_bugreport""", inputSchema={'properties': {'include_screenshots': {'default': True, 'title': 'Include Screenshots', 'type': 'boolean'}, 'output_path': {'default': '', 'title': 'Output Path', 'type': 'string'}, 'serial': {'title': 'Serial', 'type': 'string'}, 'timeout_seconds': {'default': 300, 'title': 'Timeout Seconds', 'type': 'integer'}}, 'required': ['serial'], 'title': 'capture_bugreportArguments', 'type': 'object'}, description="""\nCapture a bug report from a device.\n\nBug reports are comprehensive diagnostic information packages that include\nsystem logs, device state, running processes, and more.\n\nArgs:\n    serial: Device serial number\n    ctx: MCP context\n    output_path: Where to save the bug report (leave empty to return as text)\n    include_screenshots: Whether to include screenshots in the report\n    timeout_seconds: Maximum time to wait for the bug report to complete (in seconds)\n\nReturns:\n    Path to the saved bug report or a summary of the report contents\n"""), # hyperb1iss/DroidMind/capture_bugreport
    Tool(name="""DroidMind_dump_heap""", inputSchema={'properties': {'native': {'default': False, 'title': 'Native', 'type': 'boolean'}, 'output_path': {'default': '', 'title': 'Output Path', 'type': 'string'}, 'package_or_pid': {'title': 'Package Or Pid', 'type': 'string'}, 'serial': {'title': 'Serial', 'type': 'string'}, 'timeout_seconds': {'default': 120, 'title': 'Timeout Seconds', 'type': 'integer'}}, 'required': ['serial', 'package_or_pid'], 'title': 'dump_heapArguments', 'type': 'object'}, description="""\nCapture a heap dump from a running process on the device.\n\nHeap dumps are useful for diagnosing memory issues, leaks, and understanding\nobject relationships in running applications.\n\nArgs:\n    serial: Device serial number\n    ctx: MCP context\n    package_or_pid: App package name or process ID to dump\n    output_path: Where to save the heap dump (leave empty for default location)\n    native: Whether to capture a native heap dump (vs Java heap)\n    timeout_seconds: Maximum time to wait for the heap dump to complete (in seconds)\n\nReturns:\n    Path to the saved heap dump or an error message\n"""), # hyperb1iss/DroidMind/dump_heap
    Tool(name="""DroidMind_list_directory""", inputSchema={'properties': {'path': {'title': 'Path', 'type': 'string'}, 'serial': {'title': 'Serial', 'type': 'string'}}, 'required': ['serial', 'path'], 'title': 'list_directoryArguments', 'type': 'object'}, description="""\nList contents of a directory on the device.\n\nArgs:\n    serial: Device serial number\n    path: Directory path to list\n\nReturns:\n    Directory listing\n"""), # hyperb1iss/DroidMind/list_directory
    Tool(name="""DroidMind_push_file""", inputSchema={'properties': {'device_path': {'title': 'Device Path', 'type': 'string'}, 'local_path': {'title': 'Local Path', 'type': 'string'}, 'serial': {'title': 'Serial', 'type': 'string'}}, 'required': ['serial', 'local_path', 'device_path'], 'title': 'push_fileArguments', 'type': 'object'}, description="""\nUpload a file to the device.\n\nArgs:\n    serial: Device serial number\n    local_path: Path to the local file\n    device_path: Destination path on the device\n\nReturns:\n    Upload result message\n"""), # hyperb1iss/DroidMind/push_file
    Tool(name="""DroidMind_pull_file""", inputSchema={'properties': {'device_path': {'title': 'Device Path', 'type': 'string'}, 'local_path': {'title': 'Local Path', 'type': 'string'}, 'serial': {'title': 'Serial', 'type': 'string'}}, 'required': ['serial', 'device_path', 'local_path'], 'title': 'pull_fileArguments', 'type': 'object'}, description="""\nDownload a file from the device to the local machine.\n\nArgs:\n    serial: Device serial number\n    device_path: Path to the file on the device\n    local_path: Destination path on the local machine\n\nReturns:\n    Download result message\n"""), # hyperb1iss/DroidMind/pull_file
    Tool(name="""DroidMind_delete_file""", inputSchema={'properties': {'path': {'title': 'Path', 'type': 'string'}, 'serial': {'title': 'Serial', 'type': 'string'}}, 'required': ['serial', 'path'], 'title': 'delete_fileArguments', 'type': 'object'}, description="""\nDelete a file or directory from the device.\n\nArgs:\n    serial: Device serial number\n    path: Path to the file or directory to delete\n\nReturns:\n    Deletion result message\n"""), # hyperb1iss/DroidMind/delete_file
    Tool(name="""DroidMind_create_directory""", inputSchema={'properties': {'path': {'title': 'Path', 'type': 'string'}, 'serial': {'title': 'Serial', 'type': 'string'}}, 'required': ['serial', 'path'], 'title': 'create_directoryArguments', 'type': 'object'}, description="""\nCreate a directory on the device.\n\nArgs:\n    serial: Device serial number\n    path: Path to the directory to create\n\nReturns:\n    Result message\n"""), # hyperb1iss/DroidMind/create_directory
    Tool(name="""DroidMind_file_exists""", inputSchema={'properties': {'path': {'title': 'Path', 'type': 'string'}, 'serial': {'title': 'Serial', 'type': 'string'}}, 'required': ['serial', 'path'], 'title': 'file_existsArguments', 'type': 'object'}, description="""\nCheck if a file exists on the device.\n\nArgs:\n    serial: Device serial number\n    path: Path to the file on the device\n\nReturns:\n    True if the file exists, False otherwise\n"""), # hyperb1iss/DroidMind/file_exists
    Tool(name="""DroidMind_read_file""", inputSchema={'properties': {'device_path': {'title': 'Device Path', 'type': 'string'}, 'max_size': {'default': 100000, 'title': 'Max Size', 'type': 'integer'}, 'serial': {'title': 'Serial', 'type': 'string'}}, 'required': ['serial', 'device_path'], 'title': 'read_fileArguments', 'type': 'object'}, description="""\nRead the contents of a file on the device.\n\nArgs:\n    serial: Device serial number\n    device_path: Path to the file on device\n    max_size: Maximum file size to read in bytes (default: 100KB)\n              Files larger than this will return an error message instead\n\nReturns:\n    File contents as text or error message\n"""), # hyperb1iss/DroidMind/read_file
    Tool(name="""DroidMind_write_file""", inputSchema={'properties': {'content': {'title': 'Content', 'type': 'string'}, 'device_path': {'title': 'Device Path', 'type': 'string'}, 'serial': {'title': 'Serial', 'type': 'string'}}, 'required': ['serial', 'device_path', 'content'], 'title': 'write_fileArguments', 'type': 'object'}, description="""\nWrite text content to a file on the device.\n\nArgs:\n    serial: Device serial number\n    device_path: Path to the file on device\n    content: Text content to write to the file\n\nReturns:\n    Writing result message\n"""), # hyperb1iss/DroidMind/write_file
    Tool(name="""DroidMind_screenshot""", inputSchema={'properties': {'quality': {'default': 75, 'title': 'Quality', 'type': 'integer'}, 'serial': {'title': 'Serial', 'type': 'string'}}, 'required': ['serial'], 'title': 'screenshotArguments', 'type': 'object'}, description="""\nGet a screenshot from a device.\n\nArgs:\n    serial: Device serial number\n    ctx: MCP context\n    quality: JPEG quality (1-100, lower means smaller file size)\n\nReturns:\n    The device screenshot as an image\n"""), # hyperb1iss/DroidMind/screenshot
    Tool(name="""DroidMind_shell_command""", inputSchema={'properties': {'command': {'title': 'Command', 'type': 'string'}, 'max_lines': {'anyOf': [{'type': 'integer'}, {'type': 'null'}], 'default': 1000, 'title': 'Max Lines'}, 'max_size': {'anyOf': [{'type': 'integer'}, {'type': 'null'}], 'default': 100000, 'title': 'Max Size'}, 'serial': {'title': 'Serial', 'type': 'string'}}, 'required': ['serial', 'command'], 'title': 'shell_commandArguments', 'type': 'object'}, description="""\nRun a shell command on the device.\n\nArgs:\n    serial: Device serial number\n    command: Shell command to run\n    max_lines: Maximum lines of output to return (default: 1000)\n              Use positive numbers for first N lines, negative for last N lines\n              Set to None for unlimited (not recommended for large outputs)\n    max_size: Maximum output size in characters (default: 100000)\n              Limits total response size regardless of line count\n\nReturns:\n    Command output\n"""), # hyperb1iss/DroidMind/shell_command
    Tool(name="""DroidMind_tap""", inputSchema={'properties': {'serial': {'title': 'Serial', 'type': 'string'}, 'x': {'title': 'X', 'type': 'integer'}, 'y': {'title': 'Y', 'type': 'integer'}}, 'required': ['serial', 'x', 'y'], 'title': 'tapArguments', 'type': 'object'}, description="""\nTap on the device screen at specific coordinates.\n\nArgs:\n    serial: Device serial number\n    x: X coordinate to tap\n    y: Y coordinate to tap\n\nReturns:\n    The result of the tap operation\n"""), # hyperb1iss/DroidMind/tap
    Tool(name="""DroidMind_swipe""", inputSchema={'properties': {'duration_ms': {'default': 300, 'title': 'Duration Ms', 'type': 'integer'}, 'end_x': {'title': 'End X', 'type': 'integer'}, 'end_y': {'title': 'End Y', 'type': 'integer'}, 'serial': {'title': 'Serial', 'type': 'string'}, 'start_x': {'title': 'Start X', 'type': 'integer'}, 'start_y': {'title': 'Start Y', 'type': 'integer'}}, 'required': ['serial', 'start_x', 'start_y', 'end_x', 'end_y'], 'title': 'swipeArguments', 'type': 'object'}, description="""\nPerform a swipe gesture from one point to another on the device screen.\n\nArgs:\n    serial: Device serial number\n    start_x: Starting X coordinate\n    start_y: Starting Y coordinate\n    end_x: Ending X coordinate\n    end_y: Ending Y coordinate\n    ctx: Context\n    duration_ms: Duration of the swipe in milliseconds (default: 300)\n\nReturns:\n    The result of the swipe operation\n"""), # hyperb1iss/DroidMind/swipe
    Tool(name="""DroidMind_input_text""", inputSchema={'properties': {'serial': {'title': 'Serial', 'type': 'string'}, 'text': {'title': 'Text', 'type': 'string'}}, 'required': ['serial', 'text'], 'title': 'input_textArguments', 'type': 'object'}, description="""\nInput text on the device.\n\nArgs:\n    serial: Device serial number\n    text: Text to input (will be typed as if from keyboard)\n\nReturns:\n    The result of the text input operation\n"""), # hyperb1iss/DroidMind/input_text
    Tool(name="""DroidMind_press_key""", inputSchema={'properties': {'keycode': {'title': 'Keycode', 'type': 'integer'}, 'serial': {'title': 'Serial', 'type': 'string'}}, 'required': ['serial', 'keycode'], 'title': 'press_keyArguments', 'type': 'object'}, description="""\nPress a key on the device.\n\nCommon keycodes:\n- 3: HOME\n- 4: BACK\n- 24: VOLUME UP\n- 25: VOLUME DOWN\n- 26: POWER\n- 82: MENU\n\nArgs:\n    serial: Device serial number\n    keycode: Android keycode to press\n\nReturns:\n    The result of the key press operation\n"""), # hyperb1iss/DroidMind/press_key
    Tool(name="""DroidMind_start_intent""", inputSchema={'properties': {'activity': {'title': 'Activity', 'type': 'string'}, 'extras': {'anyOf': [{'additionalProperties': {'type': 'string'}, 'type': 'object'}, {'type': 'null'}], 'default': None, 'title': 'Extras'}, 'package': {'title': 'Package', 'type': 'string'}, 'serial': {'title': 'Serial', 'type': 'string'}}, 'required': ['serial', 'package', 'activity'], 'title': 'start_intentArguments', 'type': 'object'}, description="""\nStart an app activity using an intent.\n\nArgs:\n    serial: Device serial number\n    package: Package name (e.g., \"com.android.settings\")\n    activity: Activity name (e.g., \".Settings\")\n    ctx: Context\n    extras: Optional intent extras as key-value pairs\n\nReturns:\n    The result of the intent operation\n"""), # hyperb1iss/DroidMind/start_intent
    Tool(name="""Twosplit MCP Server_twosplit""", inputSchema={'properties': {'model': {'description': 'The Claude model to use (claude-3-opus-latest, claude-3-5-sonnet-latest, claude-3-5-haiku-latest, claude-3-haiku-20240307)', 'enum': ['claude-3-opus-latest', 'claude-3-5-sonnet-latest', 'claude-3-5-haiku-latest', 'claude-3-haiku-20240307'], 'type': 'string'}, 'prompt': {'description': 'The prompt to send to the AI', 'type': 'string'}}, 'required': ['prompt', 'model'], 'type': 'object'}, description="""Get multiple AI perspectives and combine them into the best response"""), # LazerThings/Twosplit MCP Server/twosplit
    Tool(name="""MCP Server for continue.dev_web_search""", inputSchema={'properties': {'query': {'title': 'Query', 'type': 'string'}}, 'required': ['query'], 'title': 'web_searchArguments', 'type': 'object'}, description=""""""), # alexsmirnov/MCP Server for continue.dev/web_search
    Tool(name="""MCP Server for continue.dev_perplexity_summary_search""", inputSchema={'properties': {'query': {'title': 'Query', 'type': 'string'}}, 'required': ['query'], 'title': 'perplexity_summary_searchArguments', 'type': 'object'}, description=""""""), # alexsmirnov/MCP Server for continue.dev/perplexity_summary_search
    Tool(name="""SimpleLocalize MCP Server_create_translation_keys""", inputSchema={'properties': {'keys': {'items': {'type': 'object'}, 'title': 'Keys', 'type': 'array'}}, 'required': ['keys'], 'title': 'create_translation_keysArguments', 'type': 'object'}, description="""Create translation keys in bulk for a project.\n\nThis endpoint allows you to create multiple translation keys at once. You can create up to 100 translation keys in a single request.\nEach key must have a 'key' field, and optionally can include 'namespace' and 'description' fields.\n\nArgs:\n    keys: List of dictionaries containing key information with fields:\n        - key (required): Translation key (max 500 chars)\n        - namespace (optional): Namespace for the key (max 64 chars)\n        - description (optional): Description for translators (max 500 chars)\n"""), # GalvinGao/SimpleLocalize MCP Server/create_translation_keys
    Tool(name="""SimpleLocalize MCP Server_update_translations""", inputSchema={'properties': {'translations': {'items': {'type': 'object'}, 'title': 'Translations', 'type': 'array'}}, 'required': ['translations'], 'title': 'update_translationsArguments', 'type': 'object'}, description="""Update translations in bulk with a single request.\n\nThis endpoint allows you to update multiple translations at once. You can update up to 100 translations in a single request.\nEach translation must specify the key, language, and text. Namespace is optional.\n\nArgs:\n    translations: List of dictionaries containing translation information with fields:\n        - key (required): Translation key\n        - language (required): Language code\n        - text (required): Translation text (max 65535 chars)\n        - namespace (optional): Namespace for the key\n"""), # GalvinGao/SimpleLocalize MCP Server/update_translations
    Tool(name="""Office Word MCP Server_create_document""", inputSchema={'properties': {'author': {'anyOf': [{'type': 'string'}, {'type': 'null'}], 'default': None, 'title': 'Author'}, 'filename': {'title': 'Filename', 'type': 'string'}, 'title': {'anyOf': [{'type': 'string'}, {'type': 'null'}], 'default': None, 'title': 'Title'}}, 'required': ['filename'], 'title': 'create_documentArguments', 'type': 'object'}, description="""Create a new Word document with optional metadata.\n    \n    Args:\n        filename: Name of the document to create (with or without .docx extension)\n        title: Optional title for the document metadata\n        author: Optional author for the document metadata\n    """), # GongRzhe/Office Word MCP Server/create_document
    Tool(name="""Office Word MCP Server_add_heading""", inputSchema={'properties': {'filename': {'title': 'Filename', 'type': 'string'}, 'level': {'default': 1, 'title': 'Level', 'type': 'integer'}, 'text': {'title': 'Text', 'type': 'string'}}, 'required': ['filename', 'text'], 'title': 'add_headingArguments', 'type': 'object'}, description="""Add a heading to a Word document.\n    \n    Args:\n        filename: Path to the Word document\n        text: Heading text\n        level: Heading level (1-9, where 1 is the highest level)\n    """), # GongRzhe/Office Word MCP Server/add_heading
    Tool(name="""Office Word MCP Server_add_paragraph""", inputSchema={'properties': {'filename': {'title': 'Filename', 'type': 'string'}, 'style': {'anyOf': [{'type': 'string'}, {'type': 'null'}], 'default': None, 'title': 'Style'}, 'text': {'title': 'Text', 'type': 'string'}}, 'required': ['filename', 'text'], 'title': 'add_paragraphArguments', 'type': 'object'}, description="""Add a paragraph to a Word document.\n    \n    Args:\n        filename: Path to the Word document\n        text: Paragraph text\n        style: Optional paragraph style name\n    """), # GongRzhe/Office Word MCP Server/add_paragraph
    Tool(name="""Office Word MCP Server_add_table""", inputSchema={'properties': {'cols': {'title': 'Cols', 'type': 'integer'}, 'data': {'anyOf': [{'items': {'items': {'type': 'string'}, 'type': 'array'}, 'type': 'array'}, {'type': 'null'}], 'default': None, 'title': 'Data'}, 'filename': {'title': 'Filename', 'type': 'string'}, 'rows': {'title': 'Rows', 'type': 'integer'}}, 'required': ['filename', 'rows', 'cols'], 'title': 'add_tableArguments', 'type': 'object'}, description="""Add a table to a Word document.\n    \n    Args:\n        filename: Path to the Word document\n        rows: Number of rows in the table\n        cols: Number of columns in the table\n        data: Optional 2D array of data to fill the table\n    """), # GongRzhe/Office Word MCP Server/add_table
    Tool(name="""Office Word MCP Server_add_picture""", inputSchema={'properties': {'filename': {'title': 'Filename', 'type': 'string'}, 'image_path': {'title': 'Image Path', 'type': 'string'}, 'width': {'anyOf': [{'type': 'number'}, {'type': 'null'}], 'default': None, 'title': 'Width'}}, 'required': ['filename', 'image_path'], 'title': 'add_pictureArguments', 'type': 'object'}, description="""Add an image to a Word document.\n    \n    Args:\n        filename: Path to the Word document\n        image_path: Path to the image file\n        width: Optional width in inches (proportional scaling)\n    """), # GongRzhe/Office Word MCP Server/add_picture
    Tool(name="""Office Word MCP Server_get_document_info""", inputSchema={'properties': {'filename': {'title': 'Filename', 'type': 'string'}}, 'required': ['filename'], 'title': 'get_document_infoArguments', 'type': 'object'}, description="""Get information about a Word document.\n    \n    Args:\n        filename: Path to the Word document\n    """), # GongRzhe/Office Word MCP Server/get_document_info
    Tool(name="""Office Word MCP Server_get_document_text""", inputSchema={'properties': {'filename': {'title': 'Filename', 'type': 'string'}}, 'required': ['filename'], 'title': 'get_document_textArguments', 'type': 'object'}, description="""Extract all text from a Word document.\n    \n    Args:\n        filename: Path to the Word document\n    """), # GongRzhe/Office Word MCP Server/get_document_text
    Tool(name="""Office Word MCP Server_get_document_outline""", inputSchema={'properties': {'filename': {'title': 'Filename', 'type': 'string'}}, 'required': ['filename'], 'title': 'get_document_outlineArguments', 'type': 'object'}, description="""Get the structure of a Word document.\n    \n    Args:\n        filename: Path to the Word document\n    """), # GongRzhe/Office Word MCP Server/get_document_outline
    Tool(name="""Office Word MCP Server_list_available_documents""", inputSchema={'properties': {'directory': {'default': '.', 'title': 'Directory', 'type': 'string'}}, 'title': 'list_available_documentsArguments', 'type': 'object'}, description="""List all .docx files in the specified directory.\n    \n    Args:\n        directory: Directory to search for Word documents\n    """), # GongRzhe/Office Word MCP Server/list_available_documents
    Tool(name="""Office Word MCP Server_copy_document""", inputSchema={'properties': {'destination_filename': {'anyOf': [{'type': 'string'}, {'type': 'null'}], 'default': None, 'title': 'Destination Filename'}, 'source_filename': {'title': 'Source Filename', 'type': 'string'}}, 'required': ['source_filename'], 'title': 'copy_documentArguments', 'type': 'object'}, description="""Create a copy of a Word document.\n    \n    Args:\n        source_filename: Path to the source document\n        destination_filename: Optional path for the copy. If not provided, a default name will be generated.\n    """), # GongRzhe/Office Word MCP Server/copy_document
    Tool(name="""Office Word MCP Server_format_text""", inputSchema={'properties': {'bold': {'anyOf': [{'type': 'boolean'}, {'type': 'null'}], 'default': None, 'title': 'Bold'}, 'color': {'anyOf': [{'type': 'string'}, {'type': 'null'}], 'default': None, 'title': 'Color'}, 'end_pos': {'title': 'End Pos', 'type': 'integer'}, 'filename': {'title': 'Filename', 'type': 'string'}, 'font_name': {'anyOf': [{'type': 'string'}, {'type': 'null'}], 'default': None, 'title': 'Font Name'}, 'font_size': {'anyOf': [{'type': 'integer'}, {'type': 'null'}], 'default': None, 'title': 'Font Size'}, 'italic': {'anyOf': [{'type': 'boolean'}, {'type': 'null'}], 'default': None, 'title': 'Italic'}, 'paragraph_index': {'title': 'Paragraph Index', 'type': 'integer'}, 'start_pos': {'title': 'Start Pos', 'type': 'integer'}, 'underline': {'anyOf': [{'type': 'boolean'}, {'type': 'null'}], 'default': None, 'title': 'Underline'}}, 'required': ['filename', 'paragraph_index', 'start_pos', 'end_pos'], 'title': 'format_textArguments', 'type': 'object'}, description="""Format a specific range of text within a paragraph.\n    \n    Args:\n        filename: Path to the Word document\n        paragraph_index: Index of the paragraph (0-based)\n        start_pos: Start position within the paragraph text\n        end_pos: End position within the paragraph text\n        bold: Set text bold (True/False)\n        italic: Set text italic (True/False)\n        underline: Set text underlined (True/False)\n        color: Text color (e.g., 'red', 'blue', etc.)\n        font_size: Font size in points\n        font_name: Font name/family\n    """), # GongRzhe/Office Word MCP Server/format_text
    Tool(name="""Office Word MCP Server_search_and_replace""", inputSchema={'properties': {'filename': {'title': 'Filename', 'type': 'string'}, 'find_text': {'title': 'Find Text', 'type': 'string'}, 'replace_text': {'title': 'Replace Text', 'type': 'string'}}, 'required': ['filename', 'find_text', 'replace_text'], 'title': 'search_and_replaceArguments', 'type': 'object'}, description="""Search for text and replace all occurrences.\n    \n    Args:\n        filename: Path to the Word document\n        find_text: Text to search for\n        replace_text: Text to replace with\n    """), # GongRzhe/Office Word MCP Server/search_and_replace
    Tool(name="""Office Word MCP Server_delete_paragraph""", inputSchema={'properties': {'filename': {'title': 'Filename', 'type': 'string'}, 'paragraph_index': {'title': 'Paragraph Index', 'type': 'integer'}}, 'required': ['filename', 'paragraph_index'], 'title': 'delete_paragraphArguments', 'type': 'object'}, description="""Delete a paragraph from a document.\n    \n    Args:\n        filename: Path to the Word document\n        paragraph_index: Index of the paragraph to delete (0-based)\n    """), # GongRzhe/Office Word MCP Server/delete_paragraph
    Tool(name="""Office Word MCP Server_create_custom_style""", inputSchema={'properties': {'base_style': {'anyOf': [{'type': 'string'}, {'type': 'null'}], 'default': None, 'title': 'Base Style'}, 'bold': {'anyOf': [{'type': 'boolean'}, {'type': 'null'}], 'default': None, 'title': 'Bold'}, 'color': {'anyOf': [{'type': 'string'}, {'type': 'null'}], 'default': None, 'title': 'Color'}, 'filename': {'title': 'Filename', 'type': 'string'}, 'font_name': {'anyOf': [{'type': 'string'}, {'type': 'null'}], 'default': None, 'title': 'Font Name'}, 'font_size': {'anyOf': [{'type': 'integer'}, {'type': 'null'}], 'default': None, 'title': 'Font Size'}, 'italic': {'anyOf': [{'type': 'boolean'}, {'type': 'null'}], 'default': None, 'title': 'Italic'}, 'style_name': {'title': 'Style Name', 'type': 'string'}}, 'required': ['filename', 'style_name'], 'title': 'create_custom_styleArguments', 'type': 'object'}, description="""Create a custom style in the document.\n    \n    Args:\n        filename: Path to the Word document\n        style_name: Name for the new style\n        bold: Set text bold (True/False)\n        italic: Set text italic (True/False)\n        font_size: Font size in points\n        font_name: Font name/family\n        color: Text color (e.g., 'red', 'blue')\n        base_style: Optional existing style to base this on\n    """), # GongRzhe/Office Word MCP Server/create_custom_style
    Tool(name="""Office Word MCP Server_format_table""", inputSchema={'properties': {'border_style': {'anyOf': [{'type': 'string'}, {'type': 'null'}], 'default': None, 'title': 'Border Style'}, 'filename': {'title': 'Filename', 'type': 'string'}, 'has_header_row': {'anyOf': [{'type': 'boolean'}, {'type': 'null'}], 'default': None, 'title': 'Has Header Row'}, 'shading': {'anyOf': [{'items': {'items': {'type': 'string'}, 'type': 'array'}, 'type': 'array'}, {'type': 'null'}], 'default': None, 'title': 'Shading'}, 'table_index': {'title': 'Table Index', 'type': 'integer'}}, 'required': ['filename', 'table_index'], 'title': 'format_tableArguments', 'type': 'object'}, description="""Format a table with borders, shading, and structure.\n    \n    Args:\n        filename: Path to the Word document\n        table_index: Index of the table (0-based)\n        has_header_row: If True, formats the first row as a header\n        border_style: Style for borders ('none', 'single', 'double', 'thick')\n        shading: 2D list of cell background colors (by row and column)\n    """), # GongRzhe/Office Word MCP Server/format_table
    Tool(name="""Office Word MCP Server_add_page_break""", inputSchema={'properties': {'filename': {'title': 'Filename', 'type': 'string'}}, 'required': ['filename'], 'title': 'add_page_breakArguments', 'type': 'object'}, description="""Add a page break to the document.\n    \n    Args:\n        filename: Path to the Word document\n    """), # GongRzhe/Office Word MCP Server/add_page_break
    Tool(name="""TeamRetro MCP Server_list_teams""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'limit': {'default': 1000, 'description': 'number', 'maximum': 1000, 'minimum': 1, 'type': 'integer'}, 'offset': {'default': 0, 'description': 'number', 'minimum': 0, 'type': 'integer'}, 'teamIds': {'description': 'string,string,...', 'pattern': '^([a-zA-Z0-9]{22})?(,[a-zA-Z0-9]{22})*$', 'type': 'string'}, 'teamTags': {'description': 'string,string,...', 'type': 'string'}}, 'type': 'object'}, description="""List teams from TeamRetro with filtering and pagination"""), # adepanges/TeamRetro MCP Server/list_teams
    Tool(name="""TeamRetro MCP Server_detail_team""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'teamId': {'description': 'string', 'pattern': '^[a-zA-Z0-9]{22}$', 'type': 'string'}}, 'required': ['teamId'], 'type': 'object'}, description="""Get a single team by ID"""), # adepanges/TeamRetro MCP Server/detail_team
    Tool(name="""TeamRetro MCP Server_update_team""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'name': {'description': 'string', 'maxLength': 64, 'minLength': 1, 'type': 'string'}, 'tags': {'description': 'string[]', 'items': {'type': 'string'}, 'maxItems': 16, 'minItems': 0, 'type': 'array'}, 'teamId': {'description': 'string', 'pattern': '^[a-zA-Z0-9]{22}$', 'type': 'string'}}, 'required': ['teamId', 'name'], 'type': 'object'}, description="""Update an existing team"""), # adepanges/TeamRetro MCP Server/update_team
    Tool(name="""TeamRetro MCP Server_create_team""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'members': {'description': '{ email: string, name?: string, teamAdmin?: boolean }[]', 'items': {'additionalProperties': False, 'properties': {'email': {'format': 'email', 'type': 'string'}, 'name': {'type': ['string', 'null']}, 'teamAdmin': {'default': False, 'type': 'boolean'}}, 'required': ['email'], 'type': 'object'}, 'type': 'array'}, 'name': {'description': 'string', 'maxLength': 64, 'minLength': 1, 'type': 'string'}, 'tags': {'description': 'string[]', 'items': {'type': 'string'}, 'maxItems': 16, 'minItems': 0, 'type': 'array'}}, 'required': ['name'], 'type': 'object'}, description="""Create a new team with optional members and tags"""), # adepanges/TeamRetro MCP Server/create_team
    Tool(name="""TeamRetro MCP Server_delete_team""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'teamId': {'description': 'string', 'pattern': '^[a-zA-Z0-9]{22}$', 'type': 'string'}}, 'required': ['teamId'], 'type': 'object'}, description="""Delete an existing team"""), # adepanges/TeamRetro MCP Server/delete_team
    Tool(name="""TeamRetro MCP Server_list_users""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'limit': {'default': 1000, 'description': 'number', 'maximum': 1000, 'minimum': 1, 'type': 'number'}, 'offset': {'default': 0, 'description': 'number', 'minimum': 0, 'type': 'number'}}, 'type': 'object'}, description="""List users with pagination"""), # adepanges/TeamRetro MCP Server/list_users
    Tool(name="""TeamRetro MCP Server_add_user""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'email': {'format': 'email', 'type': 'string'}, 'name': {'type': ['string', 'null']}}, 'required': ['email'], 'type': 'object'}, description="""Add or update a user by email"""), # adepanges/TeamRetro MCP Server/add_user
    Tool(name="""TeamRetro MCP Server_update_user""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'email': {'description': 'string', 'format': 'email', 'type': 'string'}, 'emailAddress': {'description': 'string', 'format': 'email', 'type': 'string'}, 'name': {'description': 'string', 'type': ['string', 'null']}}, 'required': ['email', 'name', 'emailAddress'], 'type': 'object'}, description="""Update an existing user's information"""), # adepanges/TeamRetro MCP Server/update_user
    Tool(name="""TeamRetro MCP Server_delete_user""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'email': {'description': 'string', 'format': 'email', 'type': 'string'}}, 'required': ['email'], 'type': 'object'}, description="""Delete a user by email"""), # adepanges/TeamRetro MCP Server/delete_user
    Tool(name="""TeamRetro MCP Server_get_user""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'email': {'description': 'string', 'format': 'email', 'type': 'string'}}, 'required': ['email'], 'type': 'object'}, description="""Get a single user by email"""), # adepanges/TeamRetro MCP Server/get_user
    Tool(name="""TeamRetro MCP Server_list_team_members""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'limit': {'default': 1000, 'description': 'number', 'maximum': 1000, 'minimum': 1, 'type': 'integer'}, 'offset': {'default': 0, 'description': 'number', 'minimum': 0, 'type': 'integer'}, 'teamId': {'description': 'string', 'pattern': '^[a-zA-Z0-9]{22}$', 'type': 'string'}}, 'required': ['teamId'], 'type': 'object'}, description="""List team members with pagination"""), # adepanges/TeamRetro MCP Server/list_team_members
    Tool(name="""Airbnb MCP Server_airbnb_search""", inputSchema={'properties': {'adults': {'description': 'Number of adults', 'type': 'number'}, 'checkin': {'description': 'Check-in date (YYYY-MM-DD)', 'type': 'string'}, 'checkout': {'description': 'Check-out date (YYYY-MM-DD)', 'type': 'string'}, 'children': {'description': 'Number of children', 'type': 'number'}, 'cursor': {'description': 'Base64-encoded string used for Pagination', 'type': 'string'}, 'ignoreRobotsText': {'description': 'Ignore robots.txt rules for this request', 'type': 'boolean'}, 'infants': {'description': 'Number of infants', 'type': 'number'}, 'location': {'description': 'Location to search for (city, state, etc.)', 'type': 'string'}, 'maxPrice': {'description': 'Maximum price for the stay', 'type': 'number'}, 'minPrice': {'description': 'Minimum price for the stay', 'type': 'number'}, 'pets': {'description': 'Number of pets', 'type': 'number'}, 'placeId': {'description': 'Google Maps Place ID (overrides the location parameter)', 'type': 'string'}}, 'required': ['location'], 'type': 'object'}, description="""Search for Airbnb listings with various filters and pagination. Provide direct links to the user"""), # Domoteek/Airbnb MCP Server/airbnb_search
    Tool(name="""Airbnb MCP Server_airbnb_listing_details""", inputSchema={'properties': {'adults': {'description': 'Number of adults', 'type': 'number'}, 'checkin': {'description': 'Check-in date (YYYY-MM-DD)', 'type': 'string'}, 'checkout': {'description': 'Check-out date (YYYY-MM-DD)', 'type': 'string'}, 'children': {'description': 'Number of children', 'type': 'number'}, 'id': {'description': 'The Airbnb listing ID', 'type': 'string'}, 'ignoreRobotsText': {'description': 'Ignore robots.txt rules for this request', 'type': 'boolean'}, 'infants': {'description': 'Number of infants', 'type': 'number'}, 'pets': {'description': 'Number of pets', 'type': 'number'}}, 'required': ['id'], 'type': 'object'}, description="""Get detailed information about a specific Airbnb listing. Provide direct links to the user"""), # Domoteek/Airbnb MCP Server/airbnb_listing_details
    Tool(name="""MCP Sui Tools_faucet""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'address': {'type': 'string'}, 'network': {'default': 'devnet', 'enum': ['testnet', 'devnet', 'localnet'], 'type': 'string'}}, 'required': ['address'], 'type': 'object'}, description="""Get faucet from sui networks"""), # 0xdwong/MCP Sui Tools/faucet
    Tool(name="""MCP Sui Tools_balance""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'address': {'type': 'string'}, 'network': {'default': 'mainnet', 'enum': ['mainnet', 'testnet', 'devnet', 'localnet'], 'type': 'string'}}, 'required': ['address'], 'type': 'object'}, description="""Get balance of an address from sui networks"""), # 0xdwong/MCP Sui Tools/balance
    Tool(name="""MCP Sui Tools_sui-transfer""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'amounts': {'items': {'type': 'number'}, 'minItems': 1, 'type': 'array'}, 'network': {'default': 'mainnet', 'enum': ['mainnet', 'testnet', 'devnet', 'localnet'], 'type': 'string'}, 'recipients': {'items': {'type': 'string'}, 'minItems': 1, 'type': 'array'}}, 'required': ['amounts', 'recipients'], 'type': 'object'}, description="""transfer SUI(in mist) to single or multiple addresses"""), # 0xdwong/MCP Sui Tools/sui-transfer
    Tool(name="""IDA Pro MCP Server_run_ida_command""", inputSchema={'properties': {'outputPath': {'description': 'absolute Path to save the scripts output to', 'type': 'string'}, 'scriptPath': {'description': 'absolute Path to the script file to execute', 'type': 'string'}}, 'required': ['scriptPath'], 'type': 'object'}, description="""Execute an IDA Pro Script (IdaPython, Version IDA 8.3)"""), # fdrechsler/IDA Pro MCP Server/run_ida_command
    Tool(name="""IDA Pro MCP Server_search_immediate_value""", inputSchema={'properties': {'endAddress': {'description': 'End address for search (optional)', 'type': 'string'}, 'radix': {'description': 'Radix for number conversion (default: 16)', 'type': 'number'}, 'startAddress': {'description': 'Start address for search (optional)', 'type': 'string'}, 'value': {'description': 'Value to search for (number or string)', 'type': 'string'}}, 'required': ['value'], 'type': 'object'}, description="""Search for immediate values in the binary"""), # fdrechsler/IDA Pro MCP Server/search_immediate_value
    Tool(name="""IDA Pro MCP Server_search_text""", inputSchema={'properties': {'caseSensitive': {'description': 'Whether the search is case sensitive (default: false)', 'type': 'boolean'}, 'endAddress': {'description': 'End address for search (optional)', 'type': 'string'}, 'startAddress': {'description': 'Start address for search (optional)', 'type': 'string'}, 'text': {'description': 'Text to search for', 'type': 'string'}}, 'required': ['text'], 'type': 'object'}, description="""Search for text in the binary"""), # fdrechsler/IDA Pro MCP Server/search_text
    Tool(name="""IDA Pro MCP Server_search_byte_sequence""", inputSchema={'properties': {'bytes': {'description': 'Byte sequence to search for (e.g., "90 90 90" for three NOPs)', 'type': 'string'}, 'endAddress': {'description': 'End address for search (optional)', 'type': 'string'}, 'startAddress': {'description': 'Start address for search (optional)', 'type': 'string'}}, 'required': ['bytes'], 'type': 'object'}, description="""Search for a byte sequence in the binary"""), # fdrechsler/IDA Pro MCP Server/search_byte_sequence
    Tool(name="""IDA Pro MCP Server_get_disassembly""", inputSchema={'properties': {'count': {'description': 'Number of instructions to disassemble (optional)', 'type': 'number'}, 'endAddress': {'description': 'End address for disassembly (optional)', 'type': 'string'}, 'startAddress': {'description': 'Start address for disassembly', 'type': 'string'}}, 'required': ['startAddress'], 'type': 'object'}, description="""Get disassembly for an address range"""), # fdrechsler/IDA Pro MCP Server/get_disassembly
    Tool(name="""IDA Pro MCP Server_get_functions""", inputSchema={'properties': {}, 'required': [], 'type': 'object'}, description="""Get list of functions from the binary"""), # fdrechsler/IDA Pro MCP Server/get_functions
    Tool(name="""IDA Pro MCP Server_get_exports""", inputSchema={'properties': {}, 'required': [], 'type': 'object'}, description="""Get list of exports from the binary"""), # fdrechsler/IDA Pro MCP Server/get_exports
    Tool(name="""IDA Pro MCP Server_get_strings""", inputSchema={'properties': {}, 'required': [], 'type': 'object'}, description="""Get list of strings from the binary"""), # fdrechsler/IDA Pro MCP Server/get_strings
    Tool(name="""eClass MCP Server_login""", inputSchema={'properties': {'random_string': {'description': 'Dummy parameter for no-parameter tools', 'type': 'string'}}, 'required': ['random_string'], 'type': 'object'}, description="""Log in to eClass using username/password from your .env file through UoA's SSO. Configure ECLASS_USERNAME and ECLASS_PASSWORD in your .env file."""), # sdi2200262/eClass MCP Server/login
    Tool(name="""eClass MCP Server_get_courses""", inputSchema={'properties': {'random_string': {'description': 'Dummy parameter for no-parameter tools', 'type': 'string'}}, 'required': ['random_string'], 'type': 'object'}, description="""Get list of enrolled courses from eClass"""), # sdi2200262/eClass MCP Server/get_courses
    Tool(name="""eClass MCP Server_logout""", inputSchema={'properties': {'random_string': {'description': 'Dummy parameter for no-parameter tools', 'type': 'string'}}, 'required': ['random_string'], 'type': 'object'}, description="""Log out from eClass"""), # sdi2200262/eClass MCP Server/logout
    Tool(name="""eClass MCP Server_authstatus""", inputSchema={'properties': {'random_string': {'description': 'Dummy parameter for no-parameter tools', 'type': 'string'}}, 'required': ['random_string'], 'type': 'object'}, description="""Check authentication status with eClass"""), # sdi2200262/eClass MCP Server/authstatus
    Tool(name="""Image Generation MCP Server_generate_image""", inputSchema={'properties': {'batch_size': {'description': 'Number of images to generate (default: 1)', 'maximum': 4, 'minimum': 1, 'type': 'number'}, 'cfg_scale': {'description': 'CFG scale (default: 1)', 'maximum': 30, 'minimum': 1, 'type': 'number'}, 'distilled_cfg_scale': {'description': 'Distilled CFG scale (default: 3.5)', 'maximum': 30, 'minimum': 1, 'type': 'number'}, 'height': {'description': 'Image height (default: 1024)', 'maximum': 2048, 'minimum': 512, 'type': 'number'}, 'negative_prompt': {'description': 'Things to exclude from the image', 'type': 'string'}, 'output_path': {'description': 'Custom output path for the generated image', 'type': 'string'}, 'prompt': {'description': 'The prompt describing the desired image', 'type': 'string'}, 'restore_faces': {'description': 'Enable face restoration', 'type': 'boolean'}, 'sampler_name': {'default': 'Euler', 'description': 'Sampling algorithm (default: Euler)', 'type': 'string'}, 'scheduler_name': {'default': 'Simple', 'description': 'Scheduler algorithm (default: Simple)', 'type': 'string'}, 'seed': {'description': 'Random seed (-1 for random)', 'minimum': -1, 'type': 'number'}, 'steps': {'description': 'Number of sampling steps (default: 4)', 'maximum': 150, 'minimum': 1, 'type': 'number'}, 'tiling': {'description': 'Generate tileable images', 'type': 'boolean'}, 'width': {'description': 'Image width (default: 1024)', 'maximum': 2048, 'minimum': 512, 'type': 'number'}}, 'required': ['prompt'], 'type': 'object'}, description="""Generate an image using Stable Diffusion"""), # Ichigo3766/Image Generation MCP Server/generate_image
    Tool(name="""Image Generation MCP Server_get_sd_models""", inputSchema={'properties': {}, 'required': [], 'type': 'object'}, description="""Get list of available Stable Diffusion models"""), # Ichigo3766/Image Generation MCP Server/get_sd_models
    Tool(name="""Image Generation MCP Server_set_sd_model""", inputSchema={'properties': {'model_name': {'description': 'Name of the model to set as active', 'type': 'string'}}, 'required': ['model_name'], 'type': 'object'}, description="""Set the active Stable Diffusion model"""), # Ichigo3766/Image Generation MCP Server/set_sd_model
    Tool(name="""Image Generation MCP Server_get_sd_upscalers""", inputSchema={'properties': {}, 'required': [], 'type': 'object'}, description="""Get list of available upscaler models"""), # Ichigo3766/Image Generation MCP Server/get_sd_upscalers
    Tool(name="""Image Generation MCP Server_upscale_images""", inputSchema={'properties': {'images': {'description': 'Array of image file paths to upscale', 'items': {'type': 'string'}, 'type': 'array'}, 'output_path': {'description': 'Custom output directory for upscaled images', 'type': 'string'}, 'resize_mode': {'description': '0 for multiplier mode (default), 1 for dimension mode', 'enum': [0, 1], 'type': 'number'}, 'upscaler_1': {'description': 'Primary upscaler model (default: R-ESRGAN 4x+)', 'type': 'string'}, 'upscaler_2': {'description': 'Secondary upscaler model (default: None)', 'type': 'string'}, 'upscaling_resize': {'description': 'Upscale multiplier (default: 4) - used when resize_mode is 0', 'type': 'number'}, 'upscaling_resize_h': {'description': 'Target height in pixels (default: 512) - used when resize_mode is 1', 'type': 'number'}, 'upscaling_resize_w': {'description': 'Target width in pixels (default: 512) - used when resize_mode is 1', 'type': 'number'}}, 'required': ['images'], 'type': 'object'}, description="""Upscale one or more images using Stable Diffusion"""), # Ichigo3766/Image Generation MCP Server/upscale_images
    Tool(name="""Audio Transcriber MCP Server_transcribe_audio""", inputSchema={'properties': {'filepath': {'description': 'Absolute path to the audio file', 'type': 'string'}, 'language': {'description': 'Language of the audio in ISO-639-1 format (e.g. "en", "es"). Default is "en".', 'type': 'string'}, 'save_to_file': {'description': 'Whether to save the transcription to a file next to the audio file', 'type': 'boolean'}}, 'required': ['filepath'], 'type': 'object'}, description="""Transcribe an audio file using OpenAI Whisper API"""), # Ichigo3766/Audio Transcriber MCP Server/transcribe_audio
    Tool(name="""MCP Crypto Wallet EVM_provider_lookup_address""", inputSchema={'properties': {'address': {'description': 'The address to lookup', 'type': 'string'}}, 'required': ['address'], 'type': 'object'}, description="""Lookup the ENS name for an address"""), # dcSpark/MCP Crypto Wallet EVM/provider_lookup_address
    Tool(name="""MCP Crypto Wallet EVM_provider_resolve_name""", inputSchema={'properties': {'name': {'description': 'The ENS name to resolve', 'type': 'string'}}, 'required': ['name'], 'type': 'object'}, description="""Resolve an ENS name to an address"""), # dcSpark/MCP Crypto Wallet EVM/provider_resolve_name
    Tool(name="""MCP Crypto Wallet EVM_network_get_network""", inputSchema={'properties': {}, 'required': [], 'type': 'object'}, description="""Get the current network information"""), # dcSpark/MCP Crypto Wallet EVM/network_get_network
    Tool(name="""MCP Crypto Wallet EVM_network_get_block_number""", inputSchema={'properties': {}, 'required': [], 'type': 'object'}, description="""Get the current block number"""), # dcSpark/MCP Crypto Wallet EVM/network_get_block_number
    Tool(name="""MCP Crypto Wallet EVM_network_get_fee_data""", inputSchema={'properties': {}, 'required': [], 'type': 'object'}, description="""Get the current fee data (base fee, max priority fee, etc.)"""), # dcSpark/MCP Crypto Wallet EVM/network_get_fee_data
    Tool(name="""MCP Crypto Wallet EVM_wallet_get_balance""", inputSchema={'properties': {'blockTag': {'description': 'Optional block tag (latest, pending, etc.)', 'type': 'string'}, 'wallet': {'description': 'The wallet (private key, mnemonic, or JSON). If not provided, uses PRIVATE_KEY environment variable if set.', 'type': 'string'}}, 'required': [], 'type': 'object'}, description="""Get the balance of the wallet"""), # dcSpark/MCP Crypto Wallet EVM/wallet_get_balance
    Tool(name="""MCP Crypto Wallet EVM_wallet_get_chain_id""", inputSchema={'properties': {'wallet': {'description': 'The wallet (private key, mnemonic, or JSON). If not provided, uses PRIVATE_KEY environment variable if set.', 'type': 'string'}}, 'required': [], 'type': 'object'}, description="""Get the chain ID the wallet is connected to"""), # dcSpark/MCP Crypto Wallet EVM/wallet_get_chain_id
    Tool(name="""MCP Crypto Wallet EVM_wallet_get_gas_price""", inputSchema={'properties': {'wallet': {'description': 'The wallet (private key, mnemonic, or JSON). If not provided, uses PRIVATE_KEY environment variable if set.', 'type': 'string'}}, 'required': [], 'type': 'object'}, description="""Get the current gas price"""), # dcSpark/MCP Crypto Wallet EVM/wallet_get_gas_price
    Tool(name="""MCP Crypto Wallet EVM_wallet_provider_set""", inputSchema={'properties': {'providerURL': {'description': 'The provider RPC URL', 'type': 'string'}}, 'required': ['providerURL'], 'type': 'object'}, description="""Set the provider URL. By default, the provider URL is set to the ETH mainnet or the URL set in the PROVIDER_URL environment variable."""), # dcSpark/MCP Crypto Wallet EVM/wallet_provider_set
    Tool(name="""MCP Crypto Wallet EVM_wallet_create_random""", inputSchema={'properties': {'locale': {'description': 'Optional locale for the wordlist', 'type': 'string'}, 'password': {'description': 'Optional password to encrypt the wallet', 'type': 'string'}, 'path': {'description': 'Optional HD path', 'type': 'string'}}, 'required': [], 'type': 'object'}, description="""Create a new wallet with a random private key"""), # dcSpark/MCP Crypto Wallet EVM/wallet_create_random
    Tool(name="""MCP Crypto Wallet EVM_wallet_from_private_key""", inputSchema={'properties': {'privateKey': {'description': 'The private key', 'type': 'string'}}, 'required': ['privateKey'], 'type': 'object'}, description="""Create a wallet from a private key"""), # dcSpark/MCP Crypto Wallet EVM/wallet_from_private_key
    Tool(name="""MCP Crypto Wallet EVM_wallet_create_mnemonic_phrase""", inputSchema={'properties': {'length': {'description': 'The length of the mnemonic phrase', 'enum': [12, 15, 18, 21, 24], 'type': 'number'}, 'locale': {'description': 'Optional locale for the wordlist', 'type': 'string'}}, 'required': ['length'], 'type': 'object'}, description="""Create a mnemonic phrase"""), # dcSpark/MCP Crypto Wallet EVM/wallet_create_mnemonic_phrase
    Tool(name="""MCP Crypto Wallet EVM_wallet_from_mnemonic""", inputSchema={'properties': {'locale': {'description': 'Optional locale for the wordlist', 'type': 'string'}, 'mnemonic': {'description': 'The mnemonic phrase', 'type': 'string'}, 'path': {'description': 'Optional HD path', 'type': 'string'}}, 'required': ['mnemonic'], 'type': 'object'}, description="""Create a wallet from a mnemonic phrase"""), # dcSpark/MCP Crypto Wallet EVM/wallet_from_mnemonic
    Tool(name="""MCP Crypto Wallet EVM_wallet_from_encrypted_json""", inputSchema={'properties': {'json': {'description': 'The encrypted JSON wallet', 'type': 'string'}, 'password': {'description': 'The password to decrypt the wallet', 'type': 'string'}}, 'required': ['json', 'password'], 'type': 'object'}, description="""Create a wallet by decrypting an encrypted JSON wallet"""), # dcSpark/MCP Crypto Wallet EVM/wallet_from_encrypted_json
    Tool(name="""MCP Crypto Wallet EVM_wallet_encrypt""", inputSchema={'properties': {'options': {'description': 'Optional encryption options', 'properties': {'scrypt': {'properties': {'N': {'type': 'number'}, 'p': {'type': 'number'}, 'r': {'type': 'number'}}, 'type': 'object'}}, 'type': 'object'}, 'password': {'description': 'The password to encrypt the wallet', 'type': 'string'}, 'wallet': {'description': 'The wallet to encrypt (private key, mnemonic, or JSON)', 'type': 'string'}}, 'required': ['wallet', 'password'], 'type': 'object'}, description="""Encrypt a wallet with a password"""), # dcSpark/MCP Crypto Wallet EVM/wallet_encrypt
    Tool(name="""MCP Crypto Wallet EVM_wallet_get_address""", inputSchema={'properties': {'wallet': {'description': 'The wallet (private key, mnemonic, or JSON). If not provided, uses PRIVATE_KEY environment variable if set.', 'type': 'string'}}, 'required': [], 'type': 'object'}, description="""Get the wallet address"""), # dcSpark/MCP Crypto Wallet EVM/wallet_get_address
    Tool(name="""MCP Crypto Wallet EVM_wallet_get_public_key""", inputSchema={'properties': {'wallet': {'description': 'The wallet (private key, mnemonic, or JSON). If not provided, uses PRIVATE_KEY environment variable if set.', 'type': 'string'}}, 'required': [], 'type': 'object'}, description="""Get the wallet public key"""), # dcSpark/MCP Crypto Wallet EVM/wallet_get_public_key
    Tool(name="""MCP Crypto Wallet EVM_wallet_get_private_key""", inputSchema={'properties': {'password': {'description': "The password to decrypt the wallet if it's encrypted", 'type': 'string'}, 'wallet': {'description': 'The wallet (private key, mnemonic, or JSON). If not provided, uses PRIVATE_KEY environment variable if set.', 'type': 'string'}}, 'required': [], 'type': 'object'}, description="""Get the wallet private key (with appropriate security warnings)"""), # dcSpark/MCP Crypto Wallet EVM/wallet_get_private_key
    Tool(name="""MCP Crypto Wallet EVM_wallet_get_transaction_count""", inputSchema={'properties': {'blockTag': {'description': 'Optional block tag (latest, pending, etc.)', 'type': 'string'}, 'wallet': {'description': 'The wallet (private key, mnemonic, or JSON). If not provided, uses PRIVATE_KEY environment variable if set.', 'type': 'string'}}, 'required': [], 'type': 'object'}, description="""Get the number of transactions sent from this account (nonce)"""), # dcSpark/MCP Crypto Wallet EVM/wallet_get_transaction_count
    Tool(name="""MCP Crypto Wallet EVM_wallet_call""", inputSchema={'properties': {'blockTag': {'description': 'Optional block tag (latest, pending, etc.)', 'type': 'string'}, 'transaction': {'description': 'The transaction to call', 'properties': {'data': {'type': 'string'}, 'from': {'type': 'string'}, 'gasLimit': {'type': 'string'}, 'gasPrice': {'type': 'string'}, 'to': {'type': 'string'}, 'value': {'type': 'string'}}, 'required': ['to'], 'type': 'object'}, 'wallet': {'description': 'The wallet (private key, mnemonic, or JSON). If not provided, uses PRIVATE_KEY environment variable if set.', 'type': 'string'}}, 'required': ['transaction'], 'type': 'object'}, description="""Call a contract method without sending a transaction"""), # dcSpark/MCP Crypto Wallet EVM/wallet_call
    Tool(name="""MCP Crypto Wallet EVM_wallet_send_transaction""", inputSchema={'properties': {'transaction': {'description': 'The transaction to send', 'properties': {'data': {'type': 'string'}, 'from': {'type': 'string'}, 'gasLimit': {'type': 'string'}, 'gasPrice': {'type': 'string'}, 'maxFeePerGas': {'type': 'string'}, 'maxPriorityFeePerGas': {'type': 'string'}, 'nonce': {'type': 'number'}, 'to': {'type': 'string'}, 'type': {'type': 'number'}, 'value': {'type': 'string'}}, 'required': ['to'], 'type': 'object'}, 'wallet': {'description': 'The wallet (private key, mnemonic, or JSON). If not provided, uses PRIVATE_KEY environment variable if set.', 'type': 'string'}}, 'required': ['transaction'], 'type': 'object'}, description="""Send a transaction"""), # dcSpark/MCP Crypto Wallet EVM/wallet_send_transaction
    Tool(name="""MCP Crypto Wallet EVM_wallet_sign_transaction""", inputSchema={'properties': {'transaction': {'description': 'The transaction to sign', 'properties': {'data': {'type': 'string'}, 'from': {'type': 'string'}, 'gasLimit': {'type': 'string'}, 'gasPrice': {'type': 'string'}, 'maxFeePerGas': {'type': 'string'}, 'maxPriorityFeePerGas': {'type': 'string'}, 'nonce': {'type': 'number'}, 'to': {'type': 'string'}, 'type': {'type': 'number'}, 'value': {'type': 'string'}}, 'required': ['to'], 'type': 'object'}, 'wallet': {'description': 'The wallet (private key, mnemonic, or JSON). If not provided, uses PRIVATE_KEY environment variable if set.', 'type': 'string'}}, 'required': ['transaction'], 'type': 'object'}, description="""Sign a transaction without sending it"""), # dcSpark/MCP Crypto Wallet EVM/wallet_sign_transaction
    Tool(name="""MCP Crypto Wallet EVM_wallet_populate_transaction""", inputSchema={'properties': {'transaction': {'description': 'The transaction to populate', 'properties': {'data': {'type': 'string'}, 'from': {'type': 'string'}, 'gasLimit': {'type': 'string'}, 'gasPrice': {'type': 'string'}, 'maxFeePerGas': {'type': 'string'}, 'maxPriorityFeePerGas': {'type': 'string'}, 'nonce': {'type': 'number'}, 'to': {'type': 'string'}, 'type': {'type': 'number'}, 'value': {'type': 'string'}}, 'required': ['to'], 'type': 'object'}, 'wallet': {'description': 'The wallet (private key, mnemonic, or JSON). If not provided, uses PRIVATE_KEY environment variable if set.', 'type': 'string'}}, 'required': ['transaction'], 'type': 'object'}, description="""Populate a transaction with missing fields"""), # dcSpark/MCP Crypto Wallet EVM/wallet_populate_transaction
    Tool(name="""MCP Crypto Wallet EVM_wallet_sign_message""", inputSchema={'properties': {'message': {'description': 'The message to sign', 'type': 'string'}, 'wallet': {'description': 'The wallet (private key, mnemonic, or JSON). If not provided, uses PRIVATE_KEY environment variable if set.', 'type': 'string'}}, 'required': ['message'], 'type': 'object'}, description="""Sign a message"""), # dcSpark/MCP Crypto Wallet EVM/wallet_sign_message
    Tool(name="""MCP Crypto Wallet EVM_wallet_sign_typed_data""", inputSchema={'properties': {'domain': {'description': 'The domain data', 'type': 'object'}, 'types': {'description': 'The type definitions', 'type': 'object'}, 'value': {'description': 'The value to sign', 'type': 'object'}, 'wallet': {'description': 'The wallet (private key, mnemonic, or JSON). If not provided, uses PRIVATE_KEY environment variable if set.', 'type': 'string'}}, 'required': ['domain', 'types', 'value'], 'type': 'object'}, description="""Sign typed data (EIP-712)"""), # dcSpark/MCP Crypto Wallet EVM/wallet_sign_typed_data
    Tool(name="""MCP Crypto Wallet EVM_wallet_verify_message""", inputSchema={'properties': {'address': {'description': 'The address that supposedly signed the message', 'type': 'string'}, 'message': {'description': 'The original message', 'type': 'string'}, 'signature': {'description': 'The signature to verify', 'type': 'string'}}, 'required': ['message', 'signature', 'address'], 'type': 'object'}, description="""Verify a signed message"""), # dcSpark/MCP Crypto Wallet EVM/wallet_verify_message
    Tool(name="""MCP Crypto Wallet EVM_wallet_verify_typed_data""", inputSchema={'properties': {'address': {'description': 'The address that supposedly signed the data', 'type': 'string'}, 'domain': {'description': 'The domain data', 'type': 'object'}, 'signature': {'description': 'The signature to verify', 'type': 'string'}, 'types': {'description': 'The type definitions', 'type': 'object'}, 'value': {'description': 'The value that was signed', 'type': 'object'}}, 'required': ['domain', 'types', 'value', 'signature', 'address'], 'type': 'object'}, description="""Verify signed typed data"""), # dcSpark/MCP Crypto Wallet EVM/wallet_verify_typed_data
    Tool(name="""MCP Crypto Wallet EVM_provider_get_block""", inputSchema={'properties': {'blockHashOrBlockTag': {'description': 'Block hash or block tag (latest, pending, etc.)', 'type': 'string'}, 'includeTransactions': {'description': 'Whether to include full transactions or just hashes', 'type': 'boolean'}}, 'required': ['blockHashOrBlockTag'], 'type': 'object'}, description="""Get a block by number or hash"""), # dcSpark/MCP Crypto Wallet EVM/provider_get_block
    Tool(name="""MCP Crypto Wallet EVM_provider_get_transaction""", inputSchema={'properties': {'transactionHash': {'description': 'The transaction hash', 'type': 'string'}}, 'required': ['transactionHash'], 'type': 'object'}, description="""Get a transaction by hash"""), # dcSpark/MCP Crypto Wallet EVM/provider_get_transaction
    Tool(name="""MCP Crypto Wallet EVM_provider_get_transaction_receipt""", inputSchema={'properties': {'transactionHash': {'description': 'The transaction hash', 'type': 'string'}}, 'required': ['transactionHash'], 'type': 'object'}, description="""Get a transaction receipt"""), # dcSpark/MCP Crypto Wallet EVM/provider_get_transaction_receipt
    Tool(name="""MCP Crypto Wallet EVM_provider_get_code""", inputSchema={'properties': {'address': {'description': 'The address to get code from', 'type': 'string'}, 'blockTag': {'description': 'Optional block tag (latest, pending, etc.)', 'type': 'string'}}, 'required': ['address'], 'type': 'object'}, description="""Get the code at an address"""), # dcSpark/MCP Crypto Wallet EVM/provider_get_code
    Tool(name="""MCP Crypto Wallet EVM_provider_get_storage_at""", inputSchema={'properties': {'address': {'description': 'The address to get storage from', 'type': 'string'}, 'blockTag': {'description': 'Optional block tag (latest, pending, etc.)', 'type': 'string'}, 'position': {'description': 'The storage position', 'type': 'string'}}, 'required': ['address', 'position'], 'type': 'object'}, description="""Get the storage at a position for an address"""), # dcSpark/MCP Crypto Wallet EVM/provider_get_storage_at
    Tool(name="""MCP Crypto Wallet EVM_provider_estimate_gas""", inputSchema={'properties': {'transaction': {'description': 'The transaction to estimate gas for', 'properties': {'data': {'type': 'string'}, 'from': {'type': 'string'}, 'to': {'type': 'string'}, 'value': {'type': 'string'}}, 'type': 'object'}}, 'required': ['transaction'], 'type': 'object'}, description="""Estimate the gas required for a transaction"""), # dcSpark/MCP Crypto Wallet EVM/provider_estimate_gas
    Tool(name="""MCP Crypto Wallet EVM_provider_get_logs""", inputSchema={'properties': {'filter': {'description': 'The filter to apply', 'properties': {'address': {'type': 'string'}, 'fromBlock': {'type': 'string'}, 'toBlock': {'type': 'string'}, 'topics': {'items': {'type': 'string'}, 'type': 'array'}}, 'type': 'object'}}, 'required': ['filter'], 'type': 'object'}, description="""Get logs that match a filter"""), # dcSpark/MCP Crypto Wallet EVM/provider_get_logs
    Tool(name="""MCP Crypto Wallet EVM_provider_get_ens_resolver""", inputSchema={'properties': {'name': {'description': 'The ENS name', 'type': 'string'}}, 'required': ['name'], 'type': 'object'}, description="""Get the ENS resolver for a name"""), # dcSpark/MCP Crypto Wallet EVM/provider_get_ens_resolver
    Tool(name="""honeycomb-mcp-server_honeycomb_slos_list""", inputSchema={'properties': {'datasetSlug': {'description': "Dataset slug to list SLOs for, or 'all' for all datasets", 'type': 'string'}}, 'required': ['datasetSlug'], 'type': 'object'}, description="""List all SLOs for a dataset"""), # kajirita2002/honeycomb-mcp-server/honeycomb_slos_list
    Tool(name="""honeycomb-mcp-server_honeycomb_auth""", inputSchema={'properties': {}, 'type': 'object'}, description="""Get authentication information and validate API key"""), # kajirita2002/honeycomb-mcp-server/honeycomb_auth
    Tool(name="""honeycomb-mcp-server_honeycomb_datasets_list""", inputSchema={'properties': {}, 'type': 'object'}, description="""List all datasets in the environment"""), # kajirita2002/honeycomb-mcp-server/honeycomb_datasets_list
    Tool(name="""honeycomb-mcp-server_honeycomb_board_update""", inputSchema={'properties': {'boardId': {'description': 'Board ID to update', 'type': 'string'}, 'description': {'description': 'New description for the board', 'type': 'string'}, 'name': {'description': 'New name for the board', 'type': 'string'}, 'query_ids': {'description': 'New query IDs to include in the board', 'items': {'type': 'string'}, 'type': 'array'}}, 'required': ['boardId'], 'type': 'object'}, description="""Update an existing board"""), # kajirita2002/honeycomb-mcp-server/honeycomb_board_update
    Tool(name="""honeycomb-mcp-server_honeycomb_board_delete""", inputSchema={'properties': {'boardId': {'description': 'Board ID to delete', 'type': 'string'}}, 'required': ['boardId'], 'type': 'object'}, description="""Delete a board"""), # kajirita2002/honeycomb-mcp-server/honeycomb_board_delete
    Tool(name="""honeycomb-mcp-server_honeycomb_markers_list""", inputSchema={'properties': {'datasetSlug': {'description': "Dataset slug to list markers for, or 'all' for all datasets", 'type': 'string'}}, 'required': ['datasetSlug'], 'type': 'object'}, description="""List all markers for a dataset"""), # kajirita2002/honeycomb-mcp-server/honeycomb_markers_list
    Tool(name="""honeycomb-mcp-server_honeycomb_dataset_get""", inputSchema={'properties': {'datasetSlug': {'description': 'Dataset slug to retrieve', 'type': 'string'}}, 'required': ['datasetSlug'], 'type': 'object'}, description="""Get information about a specific dataset"""), # kajirita2002/honeycomb-mcp-server/honeycomb_dataset_get
    Tool(name="""honeycomb-mcp-server_honeycomb_datasets_create""", inputSchema={'properties': {'description': {'description': 'Description of the dataset', 'type': 'string'}, 'name': {'description': 'Name of the dataset', 'type': 'string'}}, 'required': ['name'], 'type': 'object'}, description="""Create a new dataset"""), # kajirita2002/honeycomb-mcp-server/honeycomb_datasets_create
    Tool(name="""honeycomb-mcp-server_honeycomb_marker_create""", inputSchema={'properties': {'datasetSlug': {'description': "Dataset slug to create marker for, or 'all' for all datasets", 'type': 'string'}, 'end_time': {'description': 'End time for the marker (ISO format), optional for point-in-time markers', 'type': 'string'}, 'message': {'description': 'Message for the marker', 'type': 'string'}, 'start_time': {'description': 'Start time for the marker (ISO format)', 'type': 'string'}, 'type': {'description': 'Type of marker', 'type': 'string'}, 'url': {'description': 'URL associated with the marker', 'type': 'string'}}, 'required': ['datasetSlug', 'message', 'type', 'start_time'], 'type': 'object'}, description="""Create a new marker for a dataset"""), # kajirita2002/honeycomb-mcp-server/honeycomb_marker_create
    Tool(name="""honeycomb-mcp-server_honeycomb_datasets_update""", inputSchema={'properties': {'datasetSlug': {'description': 'Dataset slug to update', 'type': 'string'}, 'description': {'description': 'New description for the dataset', 'type': 'string'}, 'name': {'description': 'New name for the dataset', 'type': 'string'}}, 'required': ['datasetSlug'], 'type': 'object'}, description="""Update an existing dataset"""), # kajirita2002/honeycomb-mcp-server/honeycomb_datasets_update
    Tool(name="""honeycomb-mcp-server_honeycomb_marker_get""", inputSchema={'properties': {'datasetSlug': {'description': "Dataset slug the marker belongs to, or 'all'", 'type': 'string'}, 'markerId': {'description': 'Marker ID to retrieve', 'type': 'string'}}, 'required': ['datasetSlug', 'markerId'], 'type': 'object'}, description="""Get information about a specific marker"""), # kajirita2002/honeycomb-mcp-server/honeycomb_marker_get
    Tool(name="""honeycomb-mcp-server_honeycomb_marker_update""", inputSchema={'properties': {'datasetSlug': {'description': "Dataset slug the marker belongs to, or 'all'", 'type': 'string'}, 'end_time': {'description': 'New end time for the marker (ISO format)', 'type': 'string'}, 'markerId': {'description': 'Marker ID to update', 'type': 'string'}, 'message': {'description': 'New message for the marker', 'type': 'string'}, 'start_time': {'description': 'New start time for the marker (ISO format)', 'type': 'string'}, 'type': {'description': 'New type for the marker', 'type': 'string'}, 'url': {'description': 'New URL associated with the marker', 'type': 'string'}}, 'required': ['datasetSlug', 'markerId'], 'type': 'object'}, description="""Update an existing marker"""), # kajirita2002/honeycomb-mcp-server/honeycomb_marker_update
    Tool(name="""honeycomb-mcp-server_honeycomb_columns_list""", inputSchema={'properties': {'datasetSlug': {'description': 'Dataset slug to list columns for', 'type': 'string'}}, 'required': ['datasetSlug'], 'type': 'object'}, description="""List all columns in a dataset"""), # kajirita2002/honeycomb-mcp-server/honeycomb_columns_list
    Tool(name="""honeycomb-mcp-server_honeycomb_query_create""", inputSchema={'properties': {'datasetSlug': {'description': 'Dataset slug to create query for', 'type': 'string'}, 'query': {'description': 'Query object with calculation, time range, and filters', 'type': 'object'}}, 'required': ['datasetSlug', 'query'], 'type': 'object'}, description="""Create a new query for a dataset"""), # kajirita2002/honeycomb-mcp-server/honeycomb_query_create
    Tool(name="""honeycomb-mcp-server_honeycomb_query_get""", inputSchema={'properties': {'datasetSlug': {'description': 'Dataset slug the query belongs to', 'type': 'string'}, 'queryId': {'description': 'Query ID to retrieve', 'type': 'string'}}, 'required': ['datasetSlug', 'queryId'], 'type': 'object'}, description="""Get information about a specific query"""), # kajirita2002/honeycomb-mcp-server/honeycomb_query_get
    Tool(name="""honeycomb-mcp-server_honeycomb_query_result_create""", inputSchema={'properties': {'datasetSlug': {'description': 'Dataset slug to create query result for', 'type': 'string'}, 'queryId': {'description': 'Query ID to run', 'type': 'string'}}, 'required': ['datasetSlug', 'queryId'], 'type': 'object'}, description="""Create a new query result (run a query)"""), # kajirita2002/honeycomb-mcp-server/honeycomb_query_result_create
    Tool(name="""honeycomb-mcp-server_honeycomb_query_result_get""", inputSchema={'properties': {'datasetSlug': {'description': 'Dataset slug the query result belongs to', 'type': 'string'}, 'queryResultId': {'description': 'Query result ID to retrieve', 'type': 'string'}}, 'required': ['datasetSlug', 'queryResultId'], 'type': 'object'}, description="""Get results of a specific query execution"""), # kajirita2002/honeycomb-mcp-server/honeycomb_query_result_get
    Tool(name="""honeycomb-mcp-server_honeycomb_event_create""", inputSchema={'properties': {'datasetSlug': {'description': 'Dataset slug to create event in', 'type': 'string'}, 'event': {'description': 'Event data to send', 'type': 'object'}}, 'required': ['datasetSlug', 'event'], 'type': 'object'}, description="""Create a new event in a dataset"""), # kajirita2002/honeycomb-mcp-server/honeycomb_event_create
    Tool(name="""honeycomb-mcp-server_honeycomb_batch_event_create""", inputSchema={'properties': {'datasetSlug': {'description': 'Dataset slug to create events in', 'type': 'string'}, 'events': {'description': 'Array of event data to send', 'items': {'type': 'object'}, 'type': 'array'}}, 'required': ['datasetSlug', 'events'], 'type': 'object'}, description="""Create multiple events in a dataset in a single batch"""), # kajirita2002/honeycomb-mcp-server/honeycomb_batch_event_create
    Tool(name="""honeycomb-mcp-server_honeycomb_boards_list""", inputSchema={'properties': {}, 'type': 'object'}, description="""List all boards"""), # kajirita2002/honeycomb-mcp-server/honeycomb_boards_list
    Tool(name="""honeycomb-mcp-server_honeycomb_board_get""", inputSchema={'properties': {'boardId': {'description': 'Board ID to retrieve', 'type': 'string'}}, 'required': ['boardId'], 'type': 'object'}, description="""Get information about a specific board"""), # kajirita2002/honeycomb-mcp-server/honeycomb_board_get
    Tool(name="""honeycomb-mcp-server_honeycomb_board_create""", inputSchema={'properties': {'description': {'description': 'Description of the board', 'type': 'string'}, 'name': {'description': 'Name of the board', 'type': 'string'}, 'query_ids': {'description': 'Query IDs to include in the board', 'items': {'type': 'string'}, 'type': 'array'}}, 'required': ['name'], 'type': 'object'}, description="""Create a new board"""), # kajirita2002/honeycomb-mcp-server/honeycomb_board_create
    Tool(name="""honeycomb-mcp-server_honeycomb_marker_delete""", inputSchema={'properties': {'datasetSlug': {'description': "Dataset slug the marker belongs to, or 'all'", 'type': 'string'}, 'markerId': {'description': 'Marker ID to delete', 'type': 'string'}}, 'required': ['datasetSlug', 'markerId'], 'type': 'object'}, description="""Delete a marker"""), # kajirita2002/honeycomb-mcp-server/honeycomb_marker_delete
    Tool(name="""honeycomb-mcp-server_honeycomb_slo_get""", inputSchema={'properties': {'datasetSlug': {'description': "Dataset slug the SLO belongs to, or 'all'", 'type': 'string'}, 'sloId': {'description': 'SLO ID to retrieve', 'type': 'string'}}, 'required': ['datasetSlug', 'sloId'], 'type': 'object'}, description="""Get information about a specific SLO"""), # kajirita2002/honeycomb-mcp-server/honeycomb_slo_get
    Tool(name="""honeycomb-mcp-server_honeycomb_slo_create""", inputSchema={'properties': {'datasetSlug': {'description': "Dataset slug to create SLO for, or 'all' for all datasets", 'type': 'string'}, 'description': {'description': 'Description of the SLO', 'type': 'string'}, 'name': {'description': 'Name of the SLO', 'type': 'string'}, 'objective': {'description': 'Objective configuration with target and time window', 'type': 'object'}, 'sli': {'description': 'Service Level Indicator configuration', 'type': 'object'}, 'time_period': {'description': 'Time period configuration for the SLO', 'type': 'object'}}, 'required': ['datasetSlug', 'name'], 'type': 'object'}, description="""Create a new SLO for a dataset"""), # kajirita2002/honeycomb-mcp-server/honeycomb_slo_create
    Tool(name="""honeycomb-mcp-server_honeycomb_slo_update""", inputSchema={'properties': {'datasetSlug': {'description': "Dataset slug the SLO belongs to, or 'all'", 'type': 'string'}, 'description': {'description': 'New description for the SLO', 'type': 'string'}, 'name': {'description': 'New name for the SLO', 'type': 'string'}, 'objective': {'description': 'New objective configuration', 'type': 'object'}, 'sli': {'description': 'New Service Level Indicator configuration', 'type': 'object'}, 'sloId': {'description': 'SLO ID to update', 'type': 'string'}, 'time_period': {'description': 'New time period configuration', 'type': 'object'}}, 'required': ['datasetSlug', 'sloId'], 'type': 'object'}, description="""Update an existing SLO"""), # kajirita2002/honeycomb-mcp-server/honeycomb_slo_update
    Tool(name="""honeycomb-mcp-server_honeycomb_triggers_list""", inputSchema={'properties': {'datasetSlug': {'description': 'Dataset slug to list triggers for', 'type': 'string'}}, 'required': ['datasetSlug'], 'type': 'object'}, description="""List all triggers for a dataset"""), # kajirita2002/honeycomb-mcp-server/honeycomb_triggers_list
    Tool(name="""honeycomb-mcp-server_honeycomb_trigger_get""", inputSchema={'properties': {'datasetSlug': {'description': 'Dataset slug the trigger belongs to', 'type': 'string'}, 'triggerId': {'description': 'Trigger ID to retrieve', 'type': 'string'}}, 'required': ['datasetSlug', 'triggerId'], 'type': 'object'}, description="""Get information about a specific trigger"""), # kajirita2002/honeycomb-mcp-server/honeycomb_trigger_get
    Tool(name="""honeycomb-mcp-server_honeycomb_trigger_create""", inputSchema={'oneOf': [{'required': ['query_id']}, {'required': ['query']}], 'properties': {'alert_type': {'default': 'on_change', 'description': 'Alert firing behavior: on_change (only when crossing threshold) or on_true (every check while threshold is met)', 'enum': ['on_change', 'on_true'], 'type': 'string'}, 'datasetSlug': {'description': 'Dataset slug to create trigger for', 'type': 'string'}, 'description': {'description': 'Description of the trigger (max 1023 chars)', 'type': 'string'}, 'disabled': {'default': False, 'description': 'If true, the trigger will not be evaluated or send alerts', 'type': 'boolean'}, 'evaluation_schedule': {'description': "Schedule configuration when evaluation_schedule_type is 'window'", 'type': 'object'}, 'evaluation_schedule_type': {'description': 'The schedule type: frequency (always run) or window (only run during specific times)', 'enum': ['frequency', 'window'], 'type': 'string'}, 'frequency': {'description': 'Interval in seconds to check results (60-86400, must be multiple of 60)', 'maximum': 86400, 'minimum': 60, 'type': 'integer'}, 'name': {'description': 'Name of the trigger (max 120 chars)', 'type': 'string'}, 'query': {'description': 'Inline query specification (use either query or query_id, not both)', 'type': 'object'}, 'query_id': {'description': 'Query ID to associate with the trigger (use either query_id or query, not both)', 'type': 'string'}, 'recipient_ids': {'description': 'Recipient IDs to notify when the trigger fires', 'items': {'type': 'string'}, 'type': 'array'}, 'threshold': {'description': 'Threshold configuration for the trigger', 'properties': {'exceeded_limit': {'description': 'Number of times threshold must be met before alerting (1-5)', 'maximum': 5, 'minimum': 1, 'type': 'integer'}, 'op': {'description': 'Comparison operator for the threshold', 'enum': ['>', '>=', '<', '<='], 'type': 'string'}, 'value': {'description': 'Numeric threshold value', 'type': 'number'}}, 'required': ['op', 'value'], 'type': 'object'}}, 'required': ['datasetSlug', 'name'], 'type': 'object'}, description="""Create a new trigger for a dataset"""), # kajirita2002/honeycomb-mcp-server/honeycomb_trigger_create
    Tool(name="""honeycomb-mcp-server_honeycomb_trigger_update""", inputSchema={'properties': {'alert_type': {'description': 'New alert firing behavior: on_change (only when crossing threshold) or on_true (every check while threshold is met)', 'enum': ['on_change', 'on_true'], 'type': 'string'}, 'datasetSlug': {'description': 'Dataset slug the trigger belongs to', 'type': 'string'}, 'description': {'description': 'New description for the trigger (max 1023 chars)', 'type': 'string'}, 'disabled': {'description': 'If true, the trigger will not be evaluated or send alerts', 'type': 'boolean'}, 'evaluation_schedule': {'description': "Schedule configuration when evaluation_schedule_type is 'window'", 'type': 'object'}, 'evaluation_schedule_type': {'description': 'The schedule type: frequency (always run) or window (only run during specific times)', 'enum': ['frequency', 'window'], 'type': 'string'}, 'frequency': {'description': 'New interval in seconds to check results (60-86400, must be multiple of 60)', 'maximum': 86400, 'minimum': 60, 'type': 'integer'}, 'name': {'description': 'New name for the trigger (max 120 chars)', 'type': 'string'}, 'query': {'description': 'New inline query specification (use either query or query_id, not both)', 'type': 'object'}, 'query_id': {'description': 'New query ID to associate with the trigger (use either query_id or query, not both)', 'type': 'string'}, 'recipient_ids': {'description': 'New recipient IDs to notify', 'items': {'type': 'string'}, 'type': 'array'}, 'threshold': {'description': 'New threshold configuration', 'properties': {'exceeded_limit': {'description': 'Number of times threshold must be met before alerting (1-5)', 'maximum': 5, 'minimum': 1, 'type': 'integer'}, 'op': {'description': 'Comparison operator for the threshold', 'enum': ['>', '>=', '<', '<='], 'type': 'string'}, 'value': {'description': 'Numeric threshold value', 'type': 'number'}}, 'type': 'object'}, 'triggerId': {'description': 'Trigger ID to update', 'type': 'string'}}, 'required': ['datasetSlug', 'triggerId'], 'type': 'object'}, description="""Update an existing trigger"""), # kajirita2002/honeycomb-mcp-server/honeycomb_trigger_update
    Tool(name="""honeycomb-mcp-server_honeycomb_trigger_delete""", inputSchema={'properties': {'datasetSlug': {'description': 'Dataset slug the trigger belongs to', 'type': 'string'}, 'triggerId': {'description': 'Trigger ID to delete', 'type': 'string'}}, 'required': ['datasetSlug', 'triggerId'], 'type': 'object'}, description="""Delete a trigger"""), # kajirita2002/honeycomb-mcp-server/honeycomb_trigger_delete
    Tool(name="""esa MCP Server_esa_list_posts""", inputSchema={'properties': {'include': {'description': "Related data to include in the response (e.g. 'comments,stargazers')", 'type': 'string'}, 'order': {'default': 'desc', 'description': 'Sort order (desc, asc)', 'type': 'string'}, 'page': {'default': 1, 'description': 'Page number to retrieve', 'type': 'number'}, 'per_page': {'default': 20, 'description': 'Number of results per page (default: 20, max: 100)', 'type': 'number'}, 'q': {'description': 'Search query (see esa API documentation for details)', 'type': 'string'}, 'sort': {'default': 'updated', 'description': 'Sort method (updated, created, number, stars, watches, comments, best_match)', 'type': 'string'}}, 'type': 'object'}, description="""Get a list of posts in the team (with pagination support)"""), # kajirita2002/esa MCP Server/esa_list_posts
    Tool(name="""esa MCP Server_esa_get_post""", inputSchema={'properties': {'include': {'description': "Related data to include in the response (e.g. 'comments,stargazers')", 'type': 'string'}, 'post_number': {'description': 'Post number to retrieve', 'type': 'number'}}, 'required': ['post_number'], 'type': 'object'}, description="""Get detailed information about a specific post"""), # kajirita2002/esa MCP Server/esa_get_post
    Tool(name="""esa MCP Server_esa_create_post""", inputSchema={'properties': {'body_md': {'description': 'Post body (Markdown format)', 'type': 'string'}, 'category': {'description': 'Post category', 'type': 'string'}, 'message': {'description': 'Change message', 'type': 'string'}, 'name': {'description': 'Post title', 'type': 'string'}, 'tags': {'description': 'List of tags for the post', 'items': {'type': 'string'}, 'type': 'array'}, 'template_post_id': {'description': 'ID of the post to use as a template', 'type': 'number'}, 'user': {'description': "Poster's screen_name (only team owners can specify)", 'type': 'string'}, 'wip': {'default': True, 'description': 'Whether to mark as WIP (Work In Progress)', 'type': 'boolean'}}, 'required': ['name'], 'type': 'object'}, description="""Create a new post"""), # kajirita2002/esa MCP Server/esa_create_post
    Tool(name="""esa MCP Server_esa_update_post""", inputSchema={'properties': {'body_md': {'description': 'New body for the post (Markdown format)', 'type': 'string'}, 'category': {'description': 'New category for the post', 'type': 'string'}, 'created_by': {'description': "Poster's screen_name (only team owners can specify)", 'type': 'string'}, 'message': {'description': 'Change message', 'type': 'string'}, 'name': {'description': 'New title for the post', 'type': 'string'}, 'original_revision': {'description': 'Revision to base the update on', 'type': 'string'}, 'post_number': {'description': 'Post number to update', 'type': 'number'}, 'tags': {'description': 'New list of tags for the post', 'items': {'type': 'string'}, 'type': 'array'}, 'wip': {'description': 'Whether to mark as WIP (Work In Progress)', 'type': 'boolean'}}, 'required': ['post_number'], 'type': 'object'}, description="""Update an existing post"""), # kajirita2002/esa MCP Server/esa_update_post
    Tool(name="""esa MCP Server_esa_delete_post""", inputSchema={'properties': {'post_number': {'description': 'Post number to delete', 'type': 'number'}}, 'required': ['post_number'], 'type': 'object'}, description="""Delete a post"""), # kajirita2002/esa MCP Server/esa_delete_post
    Tool(name="""esa MCP Server_esa_list_comments""", inputSchema={'properties': {'page': {'default': 1, 'description': 'Page number to retrieve', 'type': 'number'}, 'per_page': {'default': 20, 'description': 'Number of results per page (default: 20, max: 100)', 'type': 'number'}, 'post_number': {'description': 'Post number to get comments for', 'type': 'number'}}, 'required': ['post_number'], 'type': 'object'}, description="""Get a list of comments for a post"""), # kajirita2002/esa MCP Server/esa_list_comments
    Tool(name="""esa MCP Server_esa_get_comment""", inputSchema={'properties': {'comment_id': {'description': 'ID of the comment to retrieve', 'type': 'number'}, 'include': {'description': " (: 'stargazers')", 'type': 'string'}}, 'required': ['comment_id'], 'type': 'object'}, description="""Get a specific comment"""), # kajirita2002/esa MCP Server/esa_get_comment
    Tool(name="""esa MCP Server_esa_create_comment""", inputSchema={'properties': {'body_md': {'description': 'Comment body (Markdown format)', 'type': 'string'}, 'post_number': {'description': 'Post number to comment on', 'type': 'number'}, 'user': {'description': "Poster's screen_name (only team owners can specify)", 'type': 'string'}}, 'required': ['post_number', 'body_md'], 'type': 'object'}, description="""Post a comment to an article"""), # kajirita2002/esa MCP Server/esa_create_comment
    Tool(name="""esa MCP Server_esa_get_members""", inputSchema={'properties': {'page': {'default': 1, 'description': 'Page number to retrieve', 'type': 'number'}, 'per_page': {'default': 20, 'description': 'Number of results per page (default: 20, max: 100)', 'type': 'number'}}, 'type': 'object'}, description="""Get a list of team members"""), # kajirita2002/esa MCP Server/esa_get_members
    Tool(name="""esa MCP Server_esa_get_member""", inputSchema={'properties': {'screen_name_or_email': {'description': 'Screen name or email of the member to retrieve', 'type': 'string'}}, 'required': ['screen_name_or_email'], 'type': 'object'}, description="""Get information about a specific team member"""), # kajirita2002/esa MCP Server/esa_get_member
    Tool(name="""  MCP _get_merit_list""", inputSchema={'properties': {'achivement': {'description': '', 'type': 'string'}, 'birthday': {'description': ' (YYYYMMDD, (1945), (194501), (19450101))', 'type': 'string'}, 'count_per_page': {'default': 10, 'description': '    ( 50)', 'maximum': 50, 'type': 'integer'}, 'diff_name': {'description': '', 'type': 'string'}, 'hunkuk': {'description': '', 'enum': ['PSG00002', 'PSG00003', 'PSG00004', 'PSG00005', 'PSG00006', 'PSG00007', 'PSG00008'], 'type': 'string'}, 'judge_year': {'description': '', 'type': 'string'}, 'lastday': {'description': ' (YYYYMMDD, (1945), (194501), (19450101))', 'type': 'string'}, 'mng_no': {'description': '', 'type': 'string'}, 'name_ch': {'description': '()', 'type': 'string'}, 'name_ko': {'description': '()', 'type': 'string'}, 'page_index': {'default': 1, 'description': ' ', 'type': 'integer'}, 'register_large_div': {'description': '', 'type': 'string'}, 'register_mid_div': {'description': '', 'type': 'string'}, 'sex': {'description': ' (0: , 1: )', 'enum': ['0', '1'], 'type': 'string'}, 'workout_affil': {'description': '', 'enum': ['UGC00002', 'UGC00003', 'UGC00004', 'UGC00005', 'UGC00006', 'UGC00007', 'UGC00008', 'UGC00009', 'UGC00010', 'UGC00011', 'UGC00012', 'UGC00013', 'UGC00014', 'UGC00015', 'UGC00017', 'UGC00023', 'UGC00024'], 'type': 'string'}}, 'type': 'object'}, description="""   """), # shinkeonkim/  MCP /get_merit_list
    Tool(name="""  MCP _get_public_report""", inputSchema={'properties': {'achivement': {'description': '', 'type': 'string'}, 'achivement_ko': {'description': ' ', 'type': 'string'}, 'birthday': {'description': ' (YYYYMMDD, (1945), (194501), (19450101))', 'type': 'string'}, 'count_per_page': {'default': 10, 'description': '    ( 50)', 'maximum': 50, 'type': 'integer'}, 'diff_name': {'description': '', 'type': 'string'}, 'hunkuk': {'description': '', 'enum': ['PSG00002', 'PSG00003', 'PSG00004', 'PSG00005', 'PSG00006', 'PSG00007', 'PSG00008'], 'type': 'string'}, 'judge_year': {'description': '', 'type': 'string'}, 'lastday': {'description': ' (YYYYMMDD, (1945), (194501), (19450101))', 'type': 'string'}, 'mng_no': {'description': '', 'type': 'string'}, 'name_ch': {'description': '()', 'type': 'string'}, 'name_ko': {'description': '()', 'type': 'string'}, 'page_index': {'default': 1, 'description': ' ', 'type': 'integer'}, 'register_large_div': {'description': '', 'type': 'string'}, 'register_mid_div': {'description': '', 'type': 'string'}, 'sex': {'description': ' (0: , 1: )', 'enum': ['0', '1'], 'type': 'string'}, 'workout_affil': {'description': '', 'enum': ['UGC00002', 'UGC00003', 'UGC00004', 'UGC00005', 'UGC00006', 'UGC00007', 'UGC00008', 'UGC00009', 'UGC00010', 'UGC00011', 'UGC00012', 'UGC00013', 'UGC00014', 'UGC00015', 'UGC00017', 'UGC00023', 'UGC00024'], 'type': 'string'}}, 'type': 'object'}, description="""  """), # shinkeonkim/  MCP /get_public_report
    Tool(name="""  MCP _get_hunkuk_codes""", inputSchema={'properties': {}, 'type': 'object'}, description="""   """), # shinkeonkim/  MCP /get_hunkuk_codes
    Tool(name="""  MCP _get_workout_affil_codes""", inputSchema={'properties': {}, 'type': 'object'}, description="""   """), # shinkeonkim/  MCP /get_workout_affil_codes
    Tool(name="""  MCP _clear_cache""", inputSchema={'properties': {}, 'type': 'object'}, description="""   """), # shinkeonkim/  MCP /clear_cache
    Tool(name="""mcp-with-ssh_process_umb_command""", inputSchema={'properties': {'command': {'description': 'Complete UMB command', 'type': 'string'}}, 'required': ['command'], 'type': 'object'}, description="""Processes the Update Memory Bank (UMB) command"""), # aakarsh-sasi/mcp-with-ssh/process_umb_command
    Tool(name="""mcp-with-ssh_complete_umb""", inputSchema={'properties': {}, 'type': 'object'}, description="""Completes the Update Memory Bank (UMB) process"""), # aakarsh-sasi/mcp-with-ssh/complete_umb
    Tool(name="""mcp-with-ssh_switch_mode""", inputSchema={'properties': {'mode': {'description': 'Name of the mode to switch to (architect, ask, code, debug, test)', 'type': 'string'}}, 'required': ['mode'], 'type': 'object'}, description="""Switches to a specific mode"""), # aakarsh-sasi/mcp-with-ssh/switch_mode
    Tool(name="""mcp-with-ssh_initialize_memory_bank""", inputSchema={'properties': {'path': {'description': 'Path where the Memory Bank will be initialized', 'type': 'string'}}, 'required': ['path'], 'type': 'object'}, description="""Initialize a Memory Bank in the specified directory"""), # aakarsh-sasi/mcp-with-ssh/initialize_memory_bank
    Tool(name="""mcp-with-ssh_set_memory_bank_path""", inputSchema={'properties': {'path': {'description': 'Custom path for the Memory Bank. If not provided, the current directory will be used.', 'type': 'string'}}, 'required': [], 'type': 'object'}, description="""Set a custom path for the Memory Bank"""), # aakarsh-sasi/mcp-with-ssh/set_memory_bank_path
    Tool(name="""mcp-with-ssh_debug_mcp_config""", inputSchema={'properties': {'verbose': {'default': False, 'description': 'Whether to include detailed information', 'type': 'boolean'}}, 'required': [], 'type': 'object'}, description="""Debug the current MCP configuration"""), # aakarsh-sasi/mcp-with-ssh/debug_mcp_config
    Tool(name="""mcp-with-ssh_read_memory_bank_file""", inputSchema={'properties': {'filename': {'description': 'Name of the file to read', 'type': 'string'}}, 'required': ['filename'], 'type': 'object'}, description="""Read a file from the Memory Bank"""), # aakarsh-sasi/mcp-with-ssh/read_memory_bank_file
    Tool(name="""mcp-with-ssh_write_memory_bank_file""", inputSchema={'properties': {'content': {'description': 'Content to write to the file', 'type': 'string'}, 'filename': {'description': 'Name of the file to write', 'type': 'string'}}, 'required': ['filename', 'content'], 'type': 'object'}, description="""Write to a Memory Bank file"""), # aakarsh-sasi/mcp-with-ssh/write_memory_bank_file
    Tool(name="""mcp-with-ssh_list_memory_bank_files""", inputSchema={'properties': {'random_string': {'description': 'Dummy parameter for no-parameter tools', 'type': 'string'}}, 'required': ['random_string'], 'type': 'object'}, description="""List Memory Bank files"""), # aakarsh-sasi/mcp-with-ssh/list_memory_bank_files
    Tool(name="""mcp-with-ssh_get_memory_bank_status""", inputSchema={'properties': {'random_string': {'description': 'Dummy parameter for no-parameter tools', 'type': 'string'}}, 'required': ['random_string'], 'type': 'object'}, description="""Check Memory Bank status"""), # aakarsh-sasi/mcp-with-ssh/get_memory_bank_status
    Tool(name="""mcp-with-ssh_migrate_file_naming""", inputSchema={'properties': {'random_string': {'description': 'Dummy parameter for no-parameter tools', 'type': 'string'}}, 'required': ['random_string'], 'type': 'object'}, description="""Migrate Memory Bank files from camelCase to kebab-case naming convention"""), # aakarsh-sasi/mcp-with-ssh/migrate_file_naming
    Tool(name="""mcp-with-ssh_track_progress""", inputSchema={'properties': {'action': {'description': "Action performed (e.g., 'Implemented feature', 'Fixed bug')", 'type': 'string'}, 'description': {'description': 'Detailed description of the progress', 'type': 'string'}, 'updateActiveContext': {'default': True, 'description': 'Whether to update the active context file', 'type': 'boolean'}}, 'required': ['action', 'description'], 'type': 'object'}, description="""Track progress and update Memory Bank files"""), # aakarsh-sasi/mcp-with-ssh/track_progress
    Tool(name="""mcp-with-ssh_update_active_context""", inputSchema={'properties': {'issues': {'description': 'List of known issues', 'items': {'type': 'string'}, 'type': 'array'}, 'nextSteps': {'description': 'List of next steps', 'items': {'type': 'string'}, 'type': 'array'}, 'tasks': {'description': 'List of ongoing tasks', 'items': {'type': 'string'}, 'type': 'array'}}, 'type': 'object'}, description="""Update the active context file"""), # aakarsh-sasi/mcp-with-ssh/update_active_context
    Tool(name="""mcp-with-ssh_log_decision""", inputSchema={'properties': {'alternatives': {'description': 'Alternatives considered', 'items': {'type': 'string'}, 'type': 'array'}, 'consequences': {'description': 'Consequences of the decision', 'items': {'type': 'string'}, 'type': 'array'}, 'context': {'description': 'Decision context', 'type': 'string'}, 'decision': {'description': 'The decision made', 'type': 'string'}, 'title': {'description': 'Decision title', 'type': 'string'}}, 'required': ['title', 'context', 'decision'], 'type': 'object'}, description="""Log a decision in the decision log"""), # aakarsh-sasi/mcp-with-ssh/log_decision
    Tool(name="""mcp-with-ssh_get_current_mode""", inputSchema={'properties': {}, 'type': 'object'}, description="""Gets information about the current mode"""), # aakarsh-sasi/mcp-with-ssh/get_current_mode
    Tool(name="""BICScan MCP Server_get_risk_score""", inputSchema={'properties': {'address': {'title': 'Address', 'type': 'string'}}, 'required': ['address'], 'title': 'get_risk_scoreArguments', 'type': 'object'}, description="""Get Risk Score for Crypto, Domain Name, ENS, CNS, KNS or even Hostname Address\n\n    Args:\n        address: EOA, CA, ENS, CNS, KNS or even HostName\n    Returns:\n        Dict: where summary.bicscan_score is from 0 to 100. 100 is high risk.\n    """), # ahnlabio/BICScan MCP Server/get_risk_score
    Tool(name="""BICScan MCP Server_get_assets""", inputSchema={'properties': {'address': {'title': 'Address', 'type': 'string'}}, 'required': ['address'], 'title': 'get_assetsArguments', 'type': 'object'}, description="""Get Assets holdings by CryptoAddress\n\n    Args:\n        address: EOA, CA, ENS, CNS, KNS.\n    Returns:\n        Dict: where assets is a list of assets\n    """), # ahnlabio/BICScan MCP Server/get_assets
    Tool(name="""SouthAsia MCP Tool_hello_world""", inputSchema={'properties': {'random_string': {'description': 'Dummy parameter for no-parameter tools', 'type': 'string'}}, 'required': ['random_string'], 'type': 'object'}, description="""A simple demonstration tool that returns a greeting message"""), # igs-pochenkuo/SouthAsia MCP Tool/hello_world
    Tool(name="""SouthAsia MCP Tool_hello_name""", inputSchema={'properties': {'name': {'description': 'Your name', 'type': 'string'}}, 'required': ['name'], 'type': 'object'}, description="""A demonstration tool that greets you by name"""), # igs-pochenkuo/SouthAsia MCP Tool/hello_name
    Tool(name="""Internetsearch-mcp-server_InternetSearch""", inputSchema={'properties': {'query': {'title': 'query', 'type': 'string'}, 'txt_count': {'default': 5, 'title': 'txt_count', 'type': 'string'}}, 'required': ['query'], 'title': 'InternetSearchArguments', 'type': 'object'}, description="""\n\nArgs:\n    query: \n"""), # mingdedi/Internetsearch-mcp-server/InternetSearch
    Tool(name="""@chargebee/mcp_chargebee_documentation_search""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'language': {'description': "The programming language for the documentation. Check the user's application language.", 'enum': ['node', 'python', 'curl', 'java', 'go', 'java', 'ruby', 'php', 'dotnet'], 'type': 'string'}, 'query': {'description': 'The user query to search an answer for in the Chargebee documentation.', 'type': 'string'}, 'userRequest': {'description': "User's original request to you.", 'type': 'string'}}, 'required': ['query'], 'type': 'object'}, description="""\nDo not use this tool for code generation. For code generation use \"chargebee_code_planner\" tool. \nThis tool will take in parameters about integrating with Chargebee in their application, then search and retrieve relevant Chargebee documentation content.\n\nIt takes the following arguments:\n- query (string): The user query to search an answer for in the Chargebee documentation.\n- language (enum): The programming language for the documentation. Check the user's application language.\n- userRequest (string): User's original request to you.\n"""), # chargebee/@chargebee/mcp/chargebee_documentation_search
    Tool(name="""@chargebee/mcp_chargebee_code_planner""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'goal': {'description': "What is the user's goal?", 'type': 'string'}, 'language': {'description': "Programming language the code to be generated in. Check the user's application language.", 'enum': ['node', 'python', 'curl', 'java', 'go', 'java', 'ruby', 'php', 'dotnet'], 'type': 'string'}}, 'required': ['goal'], 'type': 'object'}, description="""\nAlways use this tool to get the accurate integeration code guide for Chargebee.\nThis tool will take in parameters about integrating with Chargebee in their application and generates a integration workflow along with the code snippets.\n\nIt takes the following arguments:\n- goal (string): What is the user's goal?\n- language (enum): Programming language the code to be generated in. Check the user's application language.\n"""), # chargebee/@chargebee/mcp/chargebee_code_planner
    Tool(name="""OSSInsight MCP Server_get_repo_analysis""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'owner_repo': {'description': "Repository name in the format 'owner/repo'", 'type': 'string'}, 'time_period': {'description': 'Time range for analysis (optional)', 'enum': ['last_28_days', 'last_90_days', 'last_year', 'all_time'], 'type': 'string'}}, 'required': ['owner_repo'], 'type': 'object'}, description="""Get detailed analysis of a GitHub repository, including activity, stars, issues, and other metrics."""), # damonxue/OSSInsight MCP Server/get_repo_analysis
    Tool(name="""OSSInsight MCP Server_get_developer_analysis""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'username': {'description': 'GitHub username', 'type': 'string'}}, 'required': ['username'], 'type': 'object'}, description="""Get detailed analysis of a GitHub developer, including their activity and contributions."""), # damonxue/OSSInsight MCP Server/get_developer_analysis
    Tool(name="""OSSInsight MCP Server_get_collection""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'collection_id': {'description': "Collection ID, e.g., 'open-source-database'", 'type': 'string'}}, 'required': ['collection_id'], 'type': 'object'}, description="""Get information about a specific collection of repositories"""), # damonxue/OSSInsight MCP Server/get_collection
    Tool(name="""OSSInsight MCP Server_list_collections""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'page': {'description': 'Page number, starting from 1', 'type': 'number'}, 'per_page': {'description': 'Number of results per page, default is 20', 'type': 'number'}}, 'type': 'object'}, description="""List all available repository collections"""), # damonxue/OSSInsight MCP Server/list_collections
    Tool(name="""OSSInsight MCP Server_natural_language_query""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'query': {'description': "Natural language query, e.g., 'Which repositories gained the most stars in 2023?'", 'type': 'string'}}, 'required': ['query'], 'type': 'object'}, description="""Query GitHub data using natural language through the OSSInsight chat interface"""), # damonxue/OSSInsight MCP Server/natural_language_query
    Tool(name="""YNAB MCP Server_ynab_list_budgets""", inputSchema={'properties': {}, 'type': 'object'}, description="""Lists all available budgets from YNAB API"""), # calebl/YNAB MCP Server/ynab_list_budgets
    Tool(name="""Image Analysis MCP Server_analyze_image""", inputSchema={'properties': {'imageUrl': {'description': 'URL', 'type': 'string'}}, 'required': ['imageUrl'], 'type': 'object'}, description="""URLGPT-4-turbo"""), # champierre/Image Analysis MCP Server/analyze_image
    Tool(name="""Atom-of-thoughts_AoT""", inputSchema={'properties': {'atomId': {'description': 'Unique identifier for the atom', 'type': 'string'}, 'atomType': {'description': 'Type of atom', 'enum': ['premise', 'reasoning', 'hypothesis', 'verification', 'conclusion'], 'type': 'string'}, 'confidence': {'description': 'Confidence level of this atom (value between 0-1)', 'maximum': 1, 'minimum': 0, 'type': 'number'}, 'content': {'description': 'Actual content of the atom', 'type': 'string'}, 'dependencies': {'description': 'List of IDs of other atoms this atom depends on', 'items': {'type': 'string'}, 'type': 'array'}, 'depth': {'description': 'Depth level of this atom in the decomposition-contraction mechanism', 'type': 'number'}, 'isVerified': {'description': 'Whether this atom has been verified', 'type': 'boolean'}}, 'required': ['atomId', 'content', 'atomType', 'dependencies', 'confidence'], 'type': 'object'}, description="""Atom of Thoughts (AoT) is a tool for solving complex problems by decomposing them into independent, reusable atomic units of thought.\nUnlike traditional sequential thinking, this tool enables more powerful problem solving by allowing atomic units of thought to form dependencies with each other.\n\nWhen to use:\n- Solving problems requiring complex reasoning\n- Generating hypotheses that need verification from multiple perspectives\n- Deriving high-confidence conclusions in scenarios where accuracy is crucial\n- Minimizing logical errors in critical tasks\n- Decision-making requiring multiple verification steps\n\nAtom types:\n- premise: Basic assumptions or given information for problem solving\n- reasoning: Logical reasoning process based on other atoms\n- hypothesis: Proposed solutions or intermediate conclusions\n- verification: Process to evaluate the validity of other atoms (especially hypotheses)\n- conclusion: Verified hypotheses or final problem solutions\n\nParameter descriptions:\n- atomId: Unique identifier for the atom (e.g., 'A1', 'H2')\n- content: Actual content of the atom\n- atomType: Type of atom (one of: premise, reasoning, hypothesis, verification, conclusion)\n- dependencies: List of IDs of other atoms this atom depends on\n- confidence: Confidence level of this atom (value between 0-1)\n- isVerified: Whether this atom has been verified\n- depth: Depth level of this atom (in the decomposition-contraction process)\n\nAdditional features:\n1. Decomposition-Contraction mechanism: \n   - Decompose atoms into smaller sub-atoms and contract back after verification\n   - startDecomposition(atomId): Start atom decomposition\n   - addToDecomposition(decompositionId, atomId): Add sub-atom to decomposition\n   - completeDecomposition(decompositionId): Complete decomposition process\n\n2. Automatic termination mechanism:\n   - Automatically terminate when reaching maximum depth or finding high-confidence conclusion\n   - getTerminationStatus(): Return termination status and reason\n   - getBestConclusion(): Return highest confidence conclusion\n\nUsage method:\n1. Understand the problem and define necessary premise atoms\n2. Create reasoning atoms based on premises\n3. Create hypothesis atoms based on reasoning\n4. Create verification atoms to verify hypotheses\n5. Derive conclusion atoms based on verified hypotheses\n6. Use atom decomposition to explore deeper when necessary\n7. Present the high-confidence conclusion atom as the final answer"""), # kbsooo/Atom-of-thoughts/AoT
    Tool(name="""Atom-of-thoughts_AoT-light""", inputSchema={'properties': {'atomId': {'description': 'Unique identifier for the atom', 'type': 'string'}, 'atomType': {'description': 'Type of atom', 'enum': ['premise', 'reasoning', 'hypothesis', 'verification', 'conclusion'], 'type': 'string'}, 'confidence': {'description': 'Confidence level of this atom (value between 0-1)', 'maximum': 1, 'minimum': 0, 'type': 'number'}, 'content': {'description': 'Actual content of the atom', 'type': 'string'}, 'dependencies': {'description': 'List of IDs of other atoms this atom depends on', 'items': {'type': 'string'}, 'type': 'array'}, 'depth': {'description': 'Depth level of this atom (optional, defaults to 0)', 'type': 'number'}, 'isVerified': {'description': 'Whether this atom has been verified', 'type': 'boolean'}}, 'required': ['atomId', 'content', 'atomType', 'dependencies', 'confidence'], 'type': 'object'}, description="""A lightweight version of Atom of Thoughts (AoT) designed for faster processing and quicker results.\nThis streamlined version sacrifices some depth of analysis for speed, making it ideal for time-sensitive reasoning tasks.\n\nWhen to use:\n- Quick brainstorming sessions requiring atomic thought organization\n- Time-sensitive problem solving where speed is prioritized over exhaustive analysis\n- Simpler reasoning tasks that don't require deep decomposition\n- Initial exploration before using the full AoT for deeper analysis\n- Learning or demonstration purposes where response time is important\n\nKey differences from full AoT:\n- Lower maximum depth (3 instead of 5) for faster processing\n- Simplified verification process\n- Immediate conclusion suggestion for high-confidence hypotheses\n- Reduced computational overhead and response payload\n- Optimized for speed rather than exhaustive analysis\n\nAtom types and parameters are the same as the full AoT tool."""), # kbsooo/Atom-of-thoughts/AoT-light
    Tool(name="""Atom-of-thoughts_atomcommands""", inputSchema={'properties': {'atomId': {'description': 'Atom ID to use with the command', 'type': 'string'}, 'command': {'description': 'Command to execute', 'enum': ['decompose', 'complete_decomposition', 'termination_status', 'best_conclusion', 'set_max_depth'], 'type': 'string'}, 'decompositionId': {'description': 'ID of the decomposition process to complete', 'type': 'string'}, 'maxDepth': {'description': 'Maximum depth value to set', 'type': 'number'}}, 'required': ['command'], 'type': 'object'}, description="""A command tool to control the decomposition-contraction mechanism and automatic termination of Atom of Thoughts.\n  \nUse this tool to access advanced features of AoT:\n\n1. Decomposition (decompose): Decompose a specified atom into smaller sub-atoms\n2. Complete decomposition (complete_decomposition): Complete an ongoing decomposition process\n3. Check termination status (termination_status): Check the termination status of the current AoT process\n4. Get best conclusion (best_conclusion): Get the verified conclusion with the highest confidence\n5. Change settings (set_max_depth): Change the maximum depth limit\n\nCommand descriptions:\n- command: Command to execute (decompose, complete_decomposition, termination_status, best_conclusion, set_max_depth)\n- atomId: Atom ID to use with the command (only required for decompose command)\n- decompositionId: ID of the decomposition process (only required for complete_decomposition command)\n- maxDepth: Maximum depth value to set (only required for set_max_depth command)"""), # kbsooo/Atom-of-thoughts/atomcommands
    Tool(name="""open-docs-mcp_search_docs""", inputSchema={'properties': {'doc_name': {'description': 'Filter by document category', 'type': 'string'}, 'max_results': {'default': 3, 'description': 'Maximum number of results', 'type': 'number'}, 'offset': {'default': 0, 'description': 'Number of results to skip', 'type': 'number'}, 'query': {'description': 'Search query', 'type': 'string'}}, 'required': ['query'], 'type': 'object'}, description="""Search documentation"""), # askme765cs/open-docs-mcp/search_docs
    Tool(name="""open-docs-mcp_enable_doc""", inputSchema={'properties': {'name': {'description': 'Name of the doc to enable', 'type': 'string'}}, 'required': ['name'], 'type': 'object'}, description="""Enable crawling for a specific doc"""), # askme765cs/open-docs-mcp/enable_doc
    Tool(name="""open-docs-mcp_disable_doc""", inputSchema={'properties': {'name': {'description': 'Name of the doc to disable', 'type': 'string'}}, 'required': ['name'], 'type': 'object'}, description="""Disable crawling for a specific doc"""), # askme765cs/open-docs-mcp/disable_doc
    Tool(name="""open-docs-mcp_crawl_docs""", inputSchema={'properties': {'force': {'description': 'Whether to force re-crawl all docs, ignoring previous crawl records', 'type': 'boolean'}}, 'type': 'object'}, description="""Start crawling enabled docs"""), # askme765cs/open-docs-mcp/crawl_docs
    Tool(name="""open-docs-mcp_build_index""", inputSchema={'properties': {'force': {'description': 'Whether to force rebuild index', 'type': 'boolean'}}, 'type': 'object'}, description="""Build search index for docs"""), # askme765cs/open-docs-mcp/build_index
    Tool(name="""Hanzo MCP_list_external_servers""", inputSchema={'properties': {}, 'title': 'list_external_serversArguments', 'type': 'object'}, description="""List available external MCP servers.\n\nReturns:\n    A list of available external MCP servers\n"""), # hanzoai/Hanzo MCP/list_external_servers
    Tool(name="""Hanzo MCP_enable_external_server""", inputSchema={'properties': {'name': {'title': 'Name', 'type': 'string'}}, 'required': ['name'], 'title': 'enable_external_serverArguments', 'type': 'object'}, description="""Enable an external MCP server.\n\nArgs:\n    name: The name of the server to enable\n\nReturns:\n    The result of the operation\n"""), # hanzoai/Hanzo MCP/enable_external_server
    Tool(name="""Hanzo MCP_disable_external_server""", inputSchema={'properties': {'name': {'title': 'Name', 'type': 'string'}}, 'required': ['name'], 'title': 'disable_external_serverArguments', 'type': 'object'}, description="""Disable an external MCP server.\n\nArgs:\n    name: The name of the server to disable\n\nReturns:\n    The result of the operation\n"""), # hanzoai/Hanzo MCP/disable_external_server
    Tool(name="""Hanzo MCP_set_auto_detect""", inputSchema={'properties': {'enabled': {'title': 'Enabled', 'type': 'boolean'}}, 'required': ['enabled'], 'title': 'set_auto_detectArguments', 'type': 'object'}, description="""Set whether to auto-detect external MCP servers.\n\nArgs:\n    enabled: Whether to enable auto-detection\n\nReturns:\n    The result of the operation\n"""), # hanzoai/Hanzo MCP/set_auto_detect
    Tool(name="""Hanzo MCP_dev""", inputSchema={'properties': {'ctx': {'title': 'Ctx'}, 'kwargs': {'title': 'kwargs', 'type': 'string'}, 'operation': {'title': 'Operation', 'type': 'string'}}, 'required': ['ctx', 'operation', 'kwargs'], 'title': 'devArguments', 'type': 'object'}, description="""Universal development tool for all project operations.\n\nThis tool provides a unified interface for all development operations,\nincluding file operations, command execution, project analysis,\nnotebook operations, and vector store operations.\n\nArgs:\n    operation: The operation to perform\n    **kwargs: Additional arguments specific to the operation\n    \nReturns:\n    Operation result as JSON or text\n"""), # hanzoai/Hanzo MCP/dev
    Tool(name="""Hanzo MCP_think""", inputSchema={'properties': {'thought': {'title': 'Thought', 'type': 'string'}}, 'required': ['thought'], 'title': 'thinkArguments', 'type': 'object'}, description="""Use the tool to think about something.\n\nIt will not obtain new information or make any changes to the repository, but just log the thought. Use it when complex reasoning or brainstorming is needed. For example, if you explore the repo and discover the source of a bug, call this tool to brainstorm several unique ways of fixing the bug, and assess which change(s) are likely to be simplest and most effective. Alternatively, if you receive some test results, call this tool to brainstorm ways to fix the failing tests.\n\nArgs:\n    thought: Your thoughts or analysis\n\nReturns:\n    Confirmation that the thinking process has been recorded, possibly with enhanced analysis\n"""), # hanzoai/Hanzo MCP/think
    Tool(name="""Hanzo MCP_run_mcp""", inputSchema={'properties': {'ctx': {'title': 'Ctx'}, 'kwargs': {'title': 'kwargs', 'type': 'string'}, 'operation': {'title': 'Operation', 'type': 'string'}, 'server': {'default': None, 'title': 'Server', 'type': 'string'}}, 'required': ['ctx', 'operation', 'kwargs'], 'title': 'run_mcpArguments', 'type': 'object'}, description="""Run operations on MCP servers.\n\nArgs:\n    operation: The operation to perform (list, start, stop, info, restart)\n    server: The server to operate on (optional, for specific server operations)\n    **kwargs: Additional arguments for the operation\n    \nReturns:\n    Operation result\n"""), # hanzoai/Hanzo MCP/run_mcp
    Tool(name="""mcp-painter_drawing_getCanvasData""", inputSchema={'properties': {}, 'required': [], 'type': 'object'}, description="""Get the current pixel data of the drawing canvas as JSON."""), # flrngel/mcp-painter/drawing_getCanvasData
    Tool(name="""mcp-painter_drawing_generateCanvas""", inputSchema={'properties': {'height': {'description': 'Height of the canvas in pixels', 'type': 'number'}, 'width': {'description': 'Width of the canvas in pixels', 'type': 'number'}}, 'required': ['width', 'height'], 'type': 'object'}, description="""Generate a new drawing canvas with specified width and height."""), # flrngel/mcp-painter/drawing_generateCanvas
    Tool(name="""mcp-painter_drawing_fillRectangle""", inputSchema={'properties': {'color': {'description': 'Color to fill the rectangle with (RGB)', 'properties': {'a': {'description': 'Alpha component (0-255, optional, default 255)', 'type': 'number'}, 'b': {'description': 'Blue component (0-255)', 'type': 'number'}, 'g': {'description': 'Green component (0-255)', 'type': 'number'}, 'r': {'description': 'Red component (0-255)', 'type': 'number'}}, 'required': ['r', 'g', 'b'], 'type': 'object'}, 'height': {'description': 'Height of the rectangle', 'type': 'number'}, 'width': {'description': 'Width of the rectangle', 'type': 'number'}, 'x': {'description': 'X coordinate of the top-left corner of the rectangle', 'type': 'number'}, 'y': {'description': 'Y coordinate of the top-left corner of the rectangle', 'type': 'number'}}, 'required': ['x', 'y', 'width', 'height', 'color'], 'type': 'object'}, description="""Fill a rectangle on the drawing canvas with a specified color and coordinates."""), # flrngel/mcp-painter/drawing_fillRectangle
    Tool(name="""mcp-painter_drawing_getCanvasPng""", inputSchema={'properties': {}, 'required': [], 'type': 'object'}, description="""Get the current drawing canvas as a PNG image (base64 encoded)."""), # flrngel/mcp-painter/drawing_getCanvasPng
    Tool(name="""Multi-Model Advisor_list-available-models""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {}, 'type': 'object'}, description="""List all available models in Ollama that can be used with query-models"""), # YuChenSSR/Multi-Model Advisor/list-available-models
    Tool(name="""Multi-Model Advisor_query-models""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'model_system_prompts': {'additionalProperties': {'type': 'string'}, 'description': 'Optional object mapping model names to specific system prompts', 'type': 'object'}, 'models': {'description': 'Array of model names to query (defaults to configured models)', 'items': {'type': 'string'}, 'type': 'array'}, 'question': {'description': 'The question to ask all models', 'type': 'string'}, 'system_prompt': {'description': 'Optional system prompt to provide context to all models (overridden by model_system_prompts if provided)', 'type': 'string'}}, 'required': ['question'], 'type': 'object'}, description="""Query multiple AI models via Ollama and get their responses to compare perspectives"""), # YuChenSSR/Multi-Model Advisor/query-models
    Tool(name="""Fetcher MCP_fetch_url""", inputSchema={'properties': {'debug': {'description': 'Whether to enable debug mode (showing browser window), overrides the --debug command line flag if specified', 'type': 'boolean'}, 'disableMedia': {'description': 'Whether to disable media resources (images, stylesheets, fonts, media), default is true', 'type': 'boolean'}, 'extractContent': {'description': 'Whether to intelligently extract the main content, default is true', 'type': 'boolean'}, 'maxLength': {'description': 'Maximum length of returned content (in characters), default is no limit', 'type': 'number'}, 'navigationTimeout': {'description': 'Maximum time to wait for additional navigation in milliseconds, default is 10000 (10 seconds)', 'type': 'number'}, 'returnHtml': {'description': 'Whether to return HTML content instead of Markdown, default is false', 'type': 'boolean'}, 'timeout': {'description': 'Page loading timeout in milliseconds, default is 30000 (30 seconds)', 'type': 'number'}, 'url': {'description': 'URL to fetch', 'type': 'string'}, 'waitForNavigation': {'description': 'Whether to wait for additional navigation after initial page load (useful for sites with anti-bot verification), default is false', 'type': 'boolean'}, 'waitUntil': {'description': "Specifies when navigation is considered complete, options: 'load', 'domcontentloaded', 'networkidle', 'commit', default is 'load'", 'type': 'string'}}, 'required': ['url'], 'type': 'object'}, description="""Retrieve web page content from a specified URL"""), # everford/Fetcher MCP/fetch_url
    Tool(name="""Fetcher MCP_fetch_urls""", inputSchema={'properties': {'debug': {'description': 'Whether to enable debug mode (showing browser window), overrides the --debug command line flag if specified', 'type': 'boolean'}, 'disableMedia': {'description': 'Whether to disable media resources (images, stylesheets, fonts, media), default is true', 'type': 'boolean'}, 'extractContent': {'description': 'Whether to intelligently extract the main content, default is true', 'type': 'boolean'}, 'maxLength': {'description': 'Maximum length of returned content (in characters), default is no limit', 'type': 'number'}, 'navigationTimeout': {'description': 'Maximum time to wait for additional navigation in milliseconds, default is 10000 (10 seconds)', 'type': 'number'}, 'returnHtml': {'description': 'Whether to return HTML content instead of Markdown, default is false', 'type': 'boolean'}, 'timeout': {'description': 'Page loading timeout in milliseconds, default is 30000 (30 seconds)', 'type': 'number'}, 'urls': {'description': 'Array of URLs to fetch', 'items': {'type': 'string'}, 'type': 'array'}, 'waitForNavigation': {'description': 'Whether to wait for additional navigation after initial page load (useful for sites with anti-bot verification), default is false', 'type': 'boolean'}, 'waitUntil': {'description': "Specifies when navigation is considered complete, options: 'load', 'domcontentloaded', 'networkidle', 'commit', default is 'load'", 'type': 'string'}}, 'required': ['urls'], 'type': 'object'}, description="""Retrieve web page content from multiple specified URLs"""), # everford/Fetcher MCP/fetch_urls
    Tool(name="""MCP QQ Music Test Server_search_music""", inputSchema={'properties': {'keyword': {'title': 'Keyword', 'type': 'string'}, 'num': {'default': 20, 'title': 'Num', 'type': 'integer'}, 'page': {'default': 1, 'title': 'Page', 'type': 'integer'}}, 'required': ['keyword'], 'title': 'search_musicArguments', 'type': 'object'}, description="""\nSearch for music tracks\n\nArgs:\n    keyword: Search keyword or phrase\n    page: Page number for pagination (default: 1)\n    num: Maximum number of results to return (default: 20)\n    \nReturns:\n    List of music tracks matching the search criteria\n"""), # Samge0/MCP QQ Music Test Server/search_music
    Tool(name="""Sonos MCP Server_partymode""", inputSchema={'properties': {}, 'title': 'partymodeArguments', 'type': 'object'}, description="""Enable party mode on the current Sonos device.\n\nReturns:\n    Dict[str, Any]: The device's state after enabling party mode, including name, volume, state, and track info.\n"""), # WinstonFassett/Sonos MCP Server/partymode
    Tool(name="""Sonos MCP Server_get_all_device_states""", inputSchema={'properties': {}, 'title': 'get_all_device_statesArguments', 'type': 'object'}, description="""Retrieve the state information for all discovered Sonos devices.\n\nReturns:\n    List[Dict[str, Any]]: A list of dictionaries containing state information for each device.\n"""), # WinstonFassett/Sonos MCP Server/get_all_device_states
    Tool(name="""Sonos MCP Server_now_playing""", inputSchema={'properties': {}, 'title': 'now_playingArguments', 'type': 'object'}, description="""Retrieve information about currently playing tracks on all Sonos devices.\n\nReturns:\n    List[Dict[str, str]]: A list of dictionaries containing the name, title, artist, and album of currently playing tracks.\n"""), # WinstonFassett/Sonos MCP Server/now_playing
    Tool(name="""Sonos MCP Server_get_device_state""", inputSchema={'properties': {'name': {'anyOf': [{'type': 'string'}, {'type': 'null'}], 'default': None, 'title': 'Name'}}, 'title': 'get_device_stateArguments', 'type': 'object'}, description="""Retrieve the state information for a specific Sonos device.\n\nArgs:\n    name: The name of the device to retrieve state information for. If None, uses the current device.\n    \nReturns:\n    Dict[str, Any]: A dictionary containing the device's name, volume, state, and current track information.\n"""), # WinstonFassett/Sonos MCP Server/get_device_state
    Tool(name="""Sonos MCP Server_pause""", inputSchema={'properties': {'name': {'anyOf': [{'type': 'string'}, {'type': 'null'}], 'default': None, 'title': 'Name'}}, 'title': 'pauseArguments', 'type': 'object'}, description="""Pause playback on a Sonos device.\n\nArgs:\n    name: The name of the device to pause. If None, uses the current device.\n    \nReturns:\n    Dict[str, Any]: The device's state after pausing, including name, volume, state, and track info.\n"""), # WinstonFassett/Sonos MCP Server/pause
    Tool(name="""Sonos MCP Server_stop""", inputSchema={'properties': {'name': {'anyOf': [{'type': 'string'}, {'type': 'null'}], 'default': None, 'title': 'Name'}}, 'title': 'stopArguments', 'type': 'object'}, description="""Stop playback on a Sonos device.\n\nArgs:\n    name: The name of the device to stop. If None, uses the current device.\n    \nReturns:\n    Dict[str, Any]: The device's state after stopping, including name, volume, state, and track info.\n"""), # WinstonFassett/Sonos MCP Server/stop
    Tool(name="""Sonos MCP Server_play""", inputSchema={'properties': {'name': {'anyOf': [{'type': 'string'}, {'type': 'null'}], 'default': None, 'title': 'Name'}}, 'title': 'playArguments', 'type': 'object'}, description="""Start playback on a Sonos device.\n\nArgs:\n    name: The name of the device to start playback on. If None, uses the current device.\n    \nReturns:\n    Dict[str, Any]: The device's state after starting playback, including name, volume, state, and track info.\n"""), # WinstonFassett/Sonos MCP Server/play
    Tool(name="""Sonos MCP Server_next""", inputSchema={'properties': {'name': {'anyOf': [{'type': 'string'}, {'type': 'null'}], 'default': None, 'title': 'Name'}}, 'title': 'nextArguments', 'type': 'object'}, description="""Skip to the next track on a Sonos device.\n\nArgs:\n    name: The name of the device to skip the track on. If None, uses the current device.\n    \nReturns:\n    Dict[str, Any]: The device's state after skipping to the next track, including name, volume, state, and track info.\n"""), # WinstonFassett/Sonos MCP Server/next
    Tool(name="""Sonos MCP Server_previous""", inputSchema={'properties': {'name': {'anyOf': [{'type': 'string'}, {'type': 'null'}], 'default': None, 'title': 'Name'}}, 'title': 'previousArguments', 'type': 'object'}, description="""Skip to the previous track on a Sonos device.\n\nArgs:\n    name: The name of the device to skip the track on. If None, uses the current device.\n    \nReturns:\n    Dict[str, Any]: The device's state after skipping to the previous track, including name, volume, state, and track info.\n"""), # WinstonFassett/Sonos MCP Server/previous
    Tool(name="""Sonos MCP Server_get_queue""", inputSchema={'properties': {'name': {'anyOf': [{'type': 'string'}, {'type': 'null'}], 'default': None, 'title': 'Name'}}, 'title': 'get_queueArguments', 'type': 'object'}, description="""Retrieve the queue of tracks for a Sonos device.\n\nArgs:\n    name: The name of the device to retrieve the queue from. If None, uses the current device.\n    \nReturns:\n    List[Dict[str, Any]]: A list of dictionaries containing track information in the queue.\n"""), # WinstonFassett/Sonos MCP Server/get_queue
    Tool(name="""Sonos MCP Server_mode""", inputSchema={'properties': {'mode': {'anyOf': [{'enum': ['NORMAL', 'SHUFFLE_NOREPEAT', 'SHUFFLE', 'REPEAT_ALL'], 'type': 'string'}, {'type': 'null'}], 'default': None, 'title': 'Mode'}, 'name': {'anyOf': [{'type': 'string'}, {'type': 'null'}], 'default': None, 'title': 'Name'}}, 'title': 'modeArguments', 'type': 'object'}, description="""Get or set the play mode of a Sonos device.\n\nArgs:\n    mode: The play mode to set (e.g., \"NORMAL\", \"SHUFFLE_NOREPEAT\", \"SHUFFLE\", \"REPEAT_ALL\"). If None, returns the current mode.\n    name: The name of the device to set the mode for. If None, uses the current device.\n    \nReturns:\n    str: The current play mode after the operation.\n"""), # WinstonFassett/Sonos MCP Server/mode
    Tool(name="""Sonos MCP Server_speaker_info""", inputSchema={'properties': {'name': {'anyOf': [{'type': 'string'}, {'type': 'null'}], 'default': None, 'title': 'Name'}}, 'title': 'speaker_infoArguments', 'type': 'object'}, description="""Retrieve speaker information for a Sonos device.\n\nArgs:\n    name: The name of the device to retrieve speaker information from. If None, uses the current device.\n    \nReturns:\n    Dict[str, str]: A dictionary containing speaker information.\n"""), # WinstonFassett/Sonos MCP Server/speaker_info
    Tool(name="""Sonos MCP Server_get_current_track_info""", inputSchema={'properties': {'name': {'anyOf': [{'type': 'string'}, {'type': 'null'}], 'default': None, 'title': 'Name'}}, 'title': 'get_current_track_infoArguments', 'type': 'object'}, description="""Retrieve current track information for a Sonos device.\n\nArgs:\n    name: The name of the device to retrieve track information from. If None, uses the current device.\n    \nReturns:\n    Dict[str, str]: A dictionary containing the current track's artist, title, album, playlist position, and duration.\n"""), # WinstonFassett/Sonos MCP Server/get_current_track_info
    Tool(name="""Sonos MCP Server_volume""", inputSchema={'properties': {'name': {'anyOf': [{'type': 'string'}, {'type': 'null'}], 'default': None, 'title': 'Name'}, 'volume': {'anyOf': [{'type': 'integer'}, {'type': 'null'}], 'default': None, 'title': 'Volume'}}, 'title': 'volumeArguments', 'type': 'object'}, description="""Get or set the volume of a Sonos device.\n\nArgs:\n    volume: The volume level to set (0-99). If None, returns current volume.\n    name: The name of the device to control. If None, uses the current device.\n    \nReturns:\n    int: The current volume level after the operation.\n    \nRaises:\n    ValueError: If volume is not between 0 and 99.\n    ValueError: If the specified device is not found.\n"""), # WinstonFassett/Sonos MCP Server/volume
    Tool(name="""Sonos MCP Server_skip""", inputSchema={'properties': {'increment': {'default': 1, 'title': 'Increment', 'type': 'integer'}, 'name': {'anyOf': [{'type': 'string'}, {'type': 'null'}], 'default': None, 'title': 'Name'}}, 'title': 'skipArguments', 'type': 'object'}, description="""Skip tracks in the queue for a Sonos device.\n\nArgs:\n    increment: The number of tracks to skip forward. Defaults to 1.\n    name: The name of the device to skip tracks on. If None, uses the current device.\n    \nReturns:\n    Dict[str, Any]: The device's state after skipping tracks, including name, volume, state, and track info.\n    \nRaises:\n    ValueError: If the new track position is out of the queue's range.\n"""), # WinstonFassett/Sonos MCP Server/skip
    Tool(name="""Sonos MCP Server_play_index""", inputSchema={'properties': {'index': {'title': 'Index', 'type': 'integer'}, 'name': {'anyOf': [{'type': 'string'}, {'type': 'null'}], 'default': None, 'title': 'Name'}}, 'required': ['index'], 'title': 'play_indexArguments', 'type': 'object'}, description="""Play a specific track from the queue on a Sonos device.\n\nArgs:\n    index: The index of the track to play.\n    name: The name of the device to play the track on. If None, uses the current device.\n    \nReturns:\n    Dict[str, Any]: The device's state after playing the specified track, including name, volume, state, and track info.\n    \nRaises:\n    ValueError: If the index is out of the queue's range.\n"""), # WinstonFassett/Sonos MCP Server/play_index
    Tool(name="""Sonos MCP Server_remove_index_from_queue""", inputSchema={'properties': {'index': {'title': 'Index', 'type': 'integer'}, 'name': {'anyOf': [{'type': 'string'}, {'type': 'null'}], 'default': None, 'title': 'Name'}}, 'required': ['index'], 'title': 'remove_index_from_queueArguments', 'type': 'object'}, description="""Remove a specific track from the queue on a Sonos device.\n\nArgs:\n    index: The index of the track to remove.\n    name: The name of the device to remove the track from. If None, uses the current device.\n    \nReturns:\n    List[Dict[str, Any]]: The updated queue after removing the track.\n    \nRaises:\n    ValueError: If the index is out of the queue's range.\n"""), # WinstonFassett/Sonos MCP Server/remove_index_from_queue
    Tool(name="""Sonos MCP Server_get_queue_length""", inputSchema={'properties': {'name': {'anyOf': [{'type': 'string'}, {'type': 'null'}], 'default': None, 'title': 'Name'}}, 'title': 'get_queue_lengthArguments', 'type': 'object'}, description="""Retrieve the queue length for a Sonos device.\n\nArgs:\n    name: The name of the device to retrieve the queue length from. If None, uses the current device.\n    \nReturns:\n    int: The length of the queue.\n"""), # WinstonFassett/Sonos MCP Server/get_queue_length
    Tool(name="""Cortellis MCP Server_get_drug_swot""", inputSchema={'properties': {'id': {'description': 'Drug Identifier', 'type': 'string'}}, 'required': ['id'], 'type': 'object'}, description="""Return SWOT analysis complementing chosen drug record for a submitted drug identifier from Cortellis API"""), # uh-joan/Cortellis MCP Server/get_drug_swot
    Tool(name="""Cortellis MCP Server_get_drug_financial""", inputSchema={'properties': {'id': {'description': 'Drug Identifier', 'type': 'string'}}, 'required': ['id'], 'type': 'object'}, description="""Return financial commentary and data (actual sales and consensus forecast) for a submitted drug identifier from Cortellis API"""), # uh-joan/Cortellis MCP Server/get_drug_financial
    Tool(name="""Cortellis MCP Server_get_company""", inputSchema={'properties': {'id': {'description': 'Company identifier', 'type': 'string'}}, 'required': ['id'], 'type': 'object'}, description="""Return the entire company record with all available fields for a given identifier from Cortellis API"""), # uh-joan/Cortellis MCP Server/get_company
    Tool(name="""Cortellis MCP Server_search_drugs""", inputSchema={'properties': {'action': {'description': 'Target specific action (e.g. glucagon)', 'type': 'string'}, 'company': {'description': 'Company developing the drug (Active companies)', 'type': 'string'}, 'company_size': {'description': 'The size of a company based on market capitalization in billions USD', 'examples': ['<2', '2'], 'format': "'<X' for less than $XB, 'X' for greater than $XB", 'notes': 'Values are in billions USD', 'type': 'string'}, 'country': {'description': 'Country of drug development (e.g. US, EU)', 'type': 'string'}, 'drug_name': {'description': 'Name of the drug (e.g. semaglutide)', 'type': 'string'}, 'indication': {'description': 'Active indications of a drug (e.g. obesity or cancer)', 'type': 'string'}, 'offset': {'description': 'Starting position in the results (default: 0)', 'type': 'number'}, 'phase': {'description': 'Overall Highest development status of drug', 'enum': ['S', 'DR', 'CU', 'C1', 'C2', 'C3', 'PR', 'R', 'L', 'OL', 'NDR', 'DX', 'W'], 'enumDescriptions': {'C1': 'Phase 1 - Initial human safety trials', 'C2': 'Phase 2 - Small scale efficacy trials', 'C3': 'Phase 3 - Large scale efficacy trials', 'CU': 'Clinical unknown - Clinical stage not specified', 'DR': 'Discovery/Preclinical - Early stage research', 'DX': 'Discontinued - Development stopped', 'L': 'Launched - Available in market', 'NDR': 'No Development Reported - No recent updates', 'OL': 'Outlicensed - Rights transferred to another company', 'PR': 'Pre-registration - Submitted for approval', 'R': 'Registered - Approved but not yet launched', 'S': 'Suspended - Development temporarily halted', 'W': 'Withdrawn - Removed from market'}, 'examples': ['C3', 'C3 OR PR', 'C1 AND C2'], 'format': 'Can use OR/AND operators for multiple phases', 'type': 'string'}, 'phase_terminated': {'description': 'Last phase before No Dev Reported or Discontinued statuses', 'type': 'string'}, 'query': {'description': 'Raw search query (if you want to use the full Cortellis query syntax directly)', 'type': 'string'}, 'technology': {'description': 'Technologies used in drug development (e.g. small molecule, biologic)', 'type': 'string'}}, 'type': 'object'}, description="""Search for drugs in the Cortellis database. If the amount of drugs returned do not match with the totalResults, ALWAYS use the offset parameter to get the next page(s) of results."""), # uh-joan/Cortellis MCP Server/search_drugs
    Tool(name="""Cortellis MCP Server_explore_ontology""", inputSchema={'properties': {'action': {'description': 'Target specific action of the drug', 'examples': ['glucagon', 'GLP-1', 'insulin receptor agonist'], 'type': 'string'}, 'category': {'description': 'Category to search within', 'enum': ['action', 'indication', 'company', 'drug_name', 'target', 'technology'], 'enumDescriptions': {'action': 'Drug mechanism of action or molecular target', 'company': 'Organizations developing drugs', 'drug_name': 'Names of drug compounds', 'indication': 'Disease or condition the drug treats', 'target': 'Biological targets of drugs', 'technology': 'Drug development technologies and platforms'}, 'type': 'string'}, 'company': {'description': 'Active companies developing drugs', 'examples': ['Novo Nordisk', 'Eli Lilly', 'Pfizer'], 'type': 'string'}, 'drug_name': {'description': 'Drug name to search', 'examples': ['semaglutide', 'tirzepatide'], 'type': 'string'}, 'indication': {'description': 'Active indications of a drug', 'examples': ['obesity', 'diabetes', 'NASH'], 'type': 'string'}, 'target': {'description': 'Target of the drug', 'examples': ['GLP-1 receptor', 'insulin receptor'], 'type': 'string'}, 'technology': {'description': 'Technologies used in drug development', 'examples': ['small molecule', 'monoclonal antibody', 'peptide'], 'type': 'string'}, 'term': {'description': 'Generic search term (used only if no specific category is provided)', 'examples': ['GLP-1', 'obesity', 'diabetes'], 'type': 'string'}}, 'type': 'object'}, description="""Explore the ontology or taxonomy terms in the Cortellis database"""), # uh-joan/Cortellis MCP Server/explore_ontology
    Tool(name="""Cortellis MCP Server_get_drug""", inputSchema={'properties': {'id': {'description': 'Drug Identifier', 'type': 'string'}}, 'required': ['id'], 'type': 'object'}, description="""Return the entire drug record with all available fields for a given identifier from Cortellis API"""), # uh-joan/Cortellis MCP Server/get_drug
    Tool(name="""Cortellis MCP Server_search_companies""", inputSchema={'properties': {'actions': {'description': 'Top 10 target-based action terms from drugs and patents where company is main assignee (e.g. cyclooxygenase)', 'type': 'string'}, 'company_name': {'description': 'Company name to search for (e.g. pfizer)', 'type': 'string'}, 'company_size': {'description': "The size of a company based on the market capitalization in billions USD. Format: '<2' for less than $2B, '2' for greater than $2B (default behavior)", 'type': 'string'}, 'deals_count': {'description': "Count for all distinct deals where the company is a principal or partner. Format: '<20' for less than 20 deals, '20' for greater than 20 deals (default behavior)", 'type': 'string'}, 'hq_country': {'description': 'Company headquarters country (e.g. US)', 'type': 'string'}, 'indications': {'description': 'Top 10 indication terms from drugs and patents where company is main assignee (e.g. asthma)', 'type': 'string'}, 'offset': {'description': 'Starting position in the results (default: 0)', 'type': 'number'}, 'query': {'description': 'Raw search query (if you want to use the full Cortellis query syntax directly)', 'type': 'string'}, 'status': {'description': 'Highest status of the associated drug linked to the company (e.g. launched)', 'type': 'string'}, 'technologies': {'description': 'Top 10 technologies terms from drugs and patents where company is main assignee (e.g. Antibiotic)', 'type': 'string'}}, 'type': 'object'}, description="""Search for companies in the Cortellis database. If the amount of companies returned do not match with the totalResults, ALWAYS use the offset parameter to get the next page(s) of results."""), # uh-joan/Cortellis MCP Server/search_companies
    Tool(name="""MCP Think Tool Server_think""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'thought': {'description': 'A thought to think about. This can be structured reasoning, step-by-step analysis, policy verification, or any other mental process that helps with problem-solving.', 'type': 'string'}}, 'required': ['thought'], 'type': 'object'}, description="""Use this tool to think about something. It will not obtain new information or change anything, but just append the thought to the log. Use it when complex reasoning or cache memory is needed, especially during long chains of tool calls, policy adherence scenarios, or sequential decision making."""), # cgize/MCP Think Tool Server/think
    Tool(name="""MCP Think Tool Server_get_thoughts""", inputSchema={'type': 'object'}, description="""Retrieve all thoughts recorded in the current session to review your reasoning process."""), # cgize/MCP Think Tool Server/get_thoughts
    Tool(name="""MCP Think Tool Server_clear_thoughts""", inputSchema={'type': 'object'}, description="""Clear all thoughts recorded in the current session. Use this to start fresh if the thinking process needs to be reset."""), # cgize/MCP Think Tool Server/clear_thoughts
    Tool(name="""MCP Think Tool Server_get_thought_stats""", inputSchema={'type': 'object'}, description="""Get statistics about the thoughts recorded in the current session to analyze your thinking process."""), # cgize/MCP Think Tool Server/get_thought_stats
    Tool(name="""Superset MCP Server_query-superset""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'databaseId': {'description': 'ID', 'type': 'number'}, 'query': {'description': "'10'", 'type': 'string'}, 'schema': {'description': 'schema', 'type': 'string'}, 'tableName': {'description': '', 'type': 'string'}}, 'required': ['query'], 'type': 'object'}, description=""" Superset """), # LiusCraft/Superset MCP Server/query-superset
    Tool(name="""Superset MCP Server_list-databases""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {}, 'type': 'object'}, description=""""""), # LiusCraft/Superset MCP Server/list-databases
    Tool(name="""Superset MCP Server_list-tables""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'databaseId': {'description': 'ID', 'type': 'number'}, 'schema': {'description': 'Schema', 'type': 'string'}}, 'required': ['databaseId'], 'type': 'object'}, description=""""""), # LiusCraft/Superset MCP Server/list-tables
    Tool(name="""Superset MCP Server_list-fields""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'databaseId': {'description': 'ID', 'type': 'number'}, 'schema': {'description': 'Schema', 'type': 'string'}, 'tableName': {'description': '', 'type': 'string'}}, 'required': ['databaseId', 'schema', 'tableName'], 'type': 'object'}, description=""""""), # LiusCraft/Superset MCP Server/list-fields
    Tool(name="""MCP Iceberg Catalog_execute_query""", inputSchema={'properties': {'query': {'description': 'Query to execute (supports: LIST TABLES, DESCRIBE TABLE, SELECT, CREATE TABLE)', 'type': 'string'}}, 'required': ['query'], 'type': 'object'}, description="""Execute a query on Iceberg tables"""), # ahodroj/MCP Iceberg Catalog/execute_query
    Tool(name="""MCP PostgreSQL Server_describe_table""", inputSchema={'properties': {'table': {'description': 'Table name', 'type': 'string'}}, 'required': ['table'], 'type': 'object'}, description="""Get table structure"""), # antonorlov/MCP PostgreSQL Server/describe_table
    Tool(name="""MCP PostgreSQL Server_list_tables""", inputSchema={'properties': {}, 'required': [], 'type': 'object'}, description="""List all tables in the database"""), # antonorlov/MCP PostgreSQL Server/list_tables
    Tool(name="""MCP PostgreSQL Server_connect_db""", inputSchema={'properties': {'database': {'description': 'Database name', 'type': 'string'}, 'host': {'description': 'Database host', 'type': 'string'}, 'password': {'description': 'Database password', 'type': 'string'}, 'port': {'description': 'Database port (default: 5432)', 'type': 'number'}, 'user': {'description': 'Database user', 'type': 'string'}}, 'required': ['host', 'user', 'password', 'database'], 'type': 'object'}, description="""Connect to PostgreSQL database. NOTE: Default connection exists - only use when requested or if other commands fail"""), # antonorlov/MCP PostgreSQL Server/connect_db
    Tool(name="""MCP PostgreSQL Server_query""", inputSchema={'properties': {'params': {'description': 'Query parameters (optional)', 'items': {'type': ['string', 'number', 'boolean', 'null']}, 'type': 'array'}, 'sql': {'description': 'SQL SELECT query (use $1, $2, etc. for parameters)', 'type': 'string'}}, 'required': ['sql'], 'type': 'object'}, description="""Execute a SELECT query"""), # antonorlov/MCP PostgreSQL Server/query
    Tool(name="""MCP PostgreSQL Server_execute""", inputSchema={'properties': {'params': {'description': 'Query parameters (optional)', 'items': {'type': ['string', 'number', 'boolean', 'null']}, 'type': 'array'}, 'sql': {'description': 'SQL query (INSERT, UPDATE, DELETE) (use $1, $2, etc. for parameters)', 'type': 'string'}}, 'required': ['sql'], 'type': 'object'}, description="""Execute an INSERT, UPDATE, or DELETE query"""), # antonorlov/MCP PostgreSQL Server/execute
    Tool(name="""mcp-youtube-transcript_get_transcripts""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'enableParagraphs': {'default': False, 'description': 'Enable automatic paragraph breaks', 'type': 'boolean'}, 'lang': {'default': 'en', 'description': "Language code for transcripts (e.g., 'en')", 'type': 'string'}, 'url': {'description': 'YouTube video URL or ID', 'type': 'string'}}, 'required': ['url'], 'type': 'object'}, description="""Extract and process transcripts from a YouTube video"""), # sinco-lab/mcp-youtube-transcript/get_transcripts
    Tool(name="""MCP Server Example_get-alerts""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'state': {'description': 'Two-letter state code (e.g. CA, NY)', 'maxLength': 2, 'minLength': 2, 'type': 'string'}}, 'required': ['state'], 'type': 'object'}, description="""Get weather alerts for a state"""), # ivanbtrujillo/MCP Server Example/get-alerts
    Tool(name="""MCP Server Example_get-forecast""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'latitude': {'description': 'Latitude of the location', 'maximum': 90, 'minimum': -90, 'type': 'number'}, 'longitude': {'description': 'Longitude of the location', 'maximum': 180, 'minimum': -180, 'type': 'number'}}, 'required': ['latitude', 'longitude'], 'type': 'object'}, description="""Get weather forecast for a location"""), # ivanbtrujillo/MCP Server Example/get-forecast
    Tool(name="""aptos-mcp_create_aptos_project""", inputSchema={'properties': {'project_name': {'title': 'Project Name', 'type': 'string'}, 'project_type': {'default': 'fullstack', 'title': 'Project Type', 'type': 'string'}}, 'required': ['project_name'], 'title': 'create_aptos_projectArguments', 'type': 'object'}, description="""\n    Create a new Aptos project using the Aptos CLI.\n    \n    Args:\n        project_name: Name of the project\n        project_type: Type of project (fullstack, contract, client)\n    """), # Tlazypanda/aptos-mcp/create_aptos_project
    Tool(name="""aptos-mcp_generate_aptos_component""", inputSchema={'properties': {'component_name': {'title': 'Component Name', 'type': 'string'}, 'component_type': {'title': 'Component Type', 'type': 'string'}, 'options': {'default': '', 'title': 'Options', 'type': 'string'}, 'project_dir': {'title': 'Project Dir', 'type': 'string'}}, 'required': ['component_type', 'component_name', 'project_dir'], 'title': 'generate_aptos_componentArguments', 'type': 'object'}, description="""\n    Generate a new component for an Aptos project.\n    \n    Args:\n        component_type: Type of component (table, module, etc.)\n        component_name: Name of the component\n        project_dir: Project directory path\n        options: Additional options as a string\n    """), # Tlazypanda/aptos-mcp/generate_aptos_component
    Tool(name="""aptos-mcp_test_aptos_contract""", inputSchema={'properties': {'args': {'default': None, 'items': {}, 'title': 'Args', 'type': 'array'}, 'contract_path': {'title': 'Contract Path', 'type': 'string'}, 'function_name': {'default': '', 'title': 'Function Name', 'type': 'string'}}, 'required': ['contract_path'], 'title': 'test_aptos_contractArguments', 'type': 'object'}, description="""\n    Test an Aptos Move contract using the Aptos CLI.\n    \n    Args:\n        contract_path: Path to the contract directory or file\n        function_name: Optional function to test specifically\n        args: Optional list of arguments for the function\n    """), # Tlazypanda/aptos-mcp/test_aptos_contract
    Tool(name="""aptos-mcp_create_aptos_indexer""", inputSchema={'properties': {'processor_type': {'default': 'transaction', 'title': 'Processor Type', 'type': 'string'}, 'project_name': {'title': 'Project Name', 'type': 'string'}}, 'required': ['project_name'], 'title': 'create_aptos_indexerArguments', 'type': 'object'}, description="""\n    Creates a new Aptos indexer project based on the example processor.\n    \n    Args:\n        project_name: Name of the indexer project\n        processor_type: Type of processor (transaction, event)\n    """), # Tlazypanda/aptos-mcp/create_aptos_indexer
    Tool(name="""aptos-mcp_create_gas_station""", inputSchema={'properties': {'project_name': {'title': 'Project Name', 'type': 'string'}}, 'required': ['project_name'], 'title': 'create_gas_stationArguments', 'type': 'object'}, description="""\n    Creates a new Aptos gas station (fee sponsorship) project.\n    \n    Args:\n        project_name: Name of the gas station project\n    """), # Tlazypanda/aptos-mcp/create_gas_station
    Tool(name="""aptos-mcp_aptos_abi_generate""", inputSchema={'properties': {'contract_path': {'title': 'Contract Path', 'type': 'string'}, 'output_format': {'default': 'ts', 'title': 'Output Format', 'type': 'string'}}, 'required': ['contract_path'], 'title': 'aptos_abi_generateArguments', 'type': 'object'}, description="""\n    Generate ABI for an Aptos contract.\n    \n    Args:\n        contract_path: Path to the contract directory\n        output_format: Format of the output (ts, json)\n    """), # Tlazypanda/aptos-mcp/aptos_abi_generate
    Tool(name="""MCP Server Pentest_browser_navigate""", inputSchema={'properties': {'url': {'type': 'string'}}, 'required': ['url'], 'type': 'object'}, description="""Navigate to a URL"""), # 9olidity/MCP Server Pentest/browser_navigate
    Tool(name="""MCP Server Pentest_browser_screenshot""", inputSchema={'properties': {'fullPage': {'default': False, 'description': 'Take a full page screenshot (default: false)', 'type': 'boolean'}, 'name': {'description': 'Name for the screenshot', 'type': 'string'}, 'selector': {'description': 'CSS selector for element to screenshot', 'type': 'string'}}, 'required': ['name'], 'type': 'object'}, description="""Take a screenshot of the current page or a specific element"""), # 9olidity/MCP Server Pentest/browser_screenshot
    Tool(name="""MCP Server Pentest_browser_click""", inputSchema={'properties': {'selector': {'description': 'CSS selector for element to click', 'type': 'string'}}, 'required': ['selector'], 'type': 'object'}, description="""Click an element on the page using CSS selector"""), # 9olidity/MCP Server Pentest/browser_click
    Tool(name="""MCP Server Pentest_broser_url_reflected_xss""", inputSchema={'properties': {'paramName': {'description': 'Parameter name for XSS testing', 'type': 'string'}, 'url': {'type': 'string'}}, 'required': ['url'], 'type': 'object'}, description="""Test whether the URL has an XSS vulnerability"""), # 9olidity/MCP Server Pentest/broser_url_reflected_xss
    Tool(name="""MCP Server Pentest_browser_click_text""", inputSchema={'properties': {'text': {'description': 'Text content of the element to click', 'type': 'string'}}, 'required': ['text'], 'type': 'object'}, description="""Click an element on the page by its text content"""), # 9olidity/MCP Server Pentest/browser_click_text
    Tool(name="""MCP Server Pentest_browser_fill""", inputSchema={'properties': {'selector': {'description': 'CSS selector for input field', 'type': 'string'}, 'value': {'description': 'Value to fill', 'type': 'string'}}, 'required': ['selector', 'value'], 'type': 'object'}, description="""Fill out an input field"""), # 9olidity/MCP Server Pentest/browser_fill
    Tool(name="""MCP Server Pentest_browser_select""", inputSchema={'properties': {'selector': {'description': 'CSS selector for element to select', 'type': 'string'}, 'value': {'description': 'Value to select', 'type': 'string'}}, 'required': ['selector', 'value'], 'type': 'object'}, description="""Select an element on the page with Select tag using CSS selector"""), # 9olidity/MCP Server Pentest/browser_select
    Tool(name="""MCP Server Pentest_browser_select_text""", inputSchema={'properties': {'text': {'description': 'Text content of the element to select', 'type': 'string'}, 'value': {'description': 'Value to select', 'type': 'string'}}, 'required': ['text', 'value'], 'type': 'object'}, description="""Select an element on the page with Select tag by its text content"""), # 9olidity/MCP Server Pentest/browser_select_text
    Tool(name="""MCP Server Pentest_browser_hover""", inputSchema={'properties': {'selector': {'description': 'CSS selector for element to hover', 'type': 'string'}}, 'required': ['selector'], 'type': 'object'}, description="""Hover an element on the page using CSS selector"""), # 9olidity/MCP Server Pentest/browser_hover
    Tool(name="""MCP Server Pentest_browser_hover_text""", inputSchema={'properties': {'text': {'description': 'Text content of the element to hover', 'type': 'string'}}, 'required': ['text'], 'type': 'object'}, description="""Hover an element on the page by its text content"""), # 9olidity/MCP Server Pentest/browser_hover_text
    Tool(name="""MCP Server Pentest_browser_evaluate""", inputSchema={'properties': {'script': {'description': 'JavaScript code to execute', 'type': 'string'}}, 'required': ['script'], 'type': 'object'}, description="""Execute JavaScript in the browser console"""), # 9olidity/MCP Server Pentest/browser_evaluate
    Tool(name="""MCP Server Pentest_browser_url_sql_injection""", inputSchema={'properties': {'paramName': {'description': 'Parameter name for SQL injection testing', 'type': 'string'}, 'url': {'type': 'string'}}, 'required': ['url'], 'type': 'object'}, description="""Test whether the URL has SQL injection vulnerabilities"""), # 9olidity/MCP Server Pentest/browser_url_sql_injection
    Tool(name="""HubSpot MCP_crm_create_company""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'associations': {'items': {'additionalProperties': False, 'properties': {'to': {'additionalProperties': False, 'properties': {'id': {'type': 'string'}}, 'required': ['id'], 'type': 'object'}, 'types': {'items': {'additionalProperties': False, 'properties': {'associationCategory': {'type': 'string'}, 'associationTypeId': {'type': 'number'}}, 'required': ['associationCategory', 'associationTypeId'], 'type': 'object'}, 'type': 'array'}}, 'required': ['to', 'types'], 'type': 'object'}, 'type': 'array'}, 'properties': {'additionalProperties': {}, 'properties': {'address': {'type': 'string'}, 'address2': {'type': 'string'}, 'annualrevenue': {'type': 'number'}, 'city': {'type': 'string'}, 'country': {'type': 'string'}, 'description': {'type': 'string'}, 'domain': {'type': 'string'}, 'industry': {'type': 'string'}, 'lifecyclestage': {'enum': ['lead', 'customer', 'opportunity', 'subscriber', 'other'], 'type': 'string'}, 'name': {'type': 'string'}, 'numberofemployees': {'type': 'number'}, 'phone': {'type': 'string'}, 'state': {'type': 'string'}, 'type': {'type': 'string'}, 'website': {'format': 'uri', 'type': 'string'}, 'zip': {'type': 'string'}}, 'type': 'object'}}, 'required': ['properties'], 'type': 'object'}, description="""Create a new company with validated properties"""), # shinzo-labs/HubSpot MCP/crm_create_company
    Tool(name="""HubSpot MCP_crm_update_company""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'companyId': {'type': 'string'}, 'properties': {'additionalProperties': {}, 'properties': {'address': {'type': 'string'}, 'address2': {'type': 'string'}, 'annualrevenue': {'type': 'number'}, 'city': {'type': 'string'}, 'country': {'type': 'string'}, 'description': {'type': 'string'}, 'domain': {'type': 'string'}, 'industry': {'type': 'string'}, 'lifecyclestage': {'enum': ['lead', 'customer', 'opportunity', 'subscriber', 'other'], 'type': 'string'}, 'name': {'type': 'string'}, 'numberofemployees': {'type': 'number'}, 'phone': {'type': 'string'}, 'state': {'type': 'string'}, 'type': {'type': 'string'}, 'website': {'format': 'uri', 'type': 'string'}, 'zip': {'type': 'string'}}, 'type': 'object'}}, 'required': ['companyId', 'properties'], 'type': 'object'}, description="""Update an existing company with validated properties"""), # shinzo-labs/HubSpot MCP/crm_update_company
    Tool(name="""HubSpot MCP_crm_get_company""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'associations': {'items': {'enum': ['contacts', 'deals', 'tickets'], 'type': 'string'}, 'type': 'array'}, 'companyId': {'type': 'string'}, 'properties': {'items': {'type': 'string'}, 'type': 'array'}}, 'required': ['companyId'], 'type': 'object'}, description="""Get a single company by ID with specific properties and associations"""), # shinzo-labs/HubSpot MCP/crm_get_company
    Tool(name="""HubSpot MCP_crm_search_companies""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'after': {'type': 'string'}, 'filterGroups': {'items': {'additionalProperties': False, 'properties': {'filters': {'items': {'additionalProperties': False, 'properties': {'operator': {'enum': ['EQ', 'NEQ', 'LT', 'LTE', 'GT', 'GTE', 'BETWEEN', 'IN', 'NOT_IN', 'HAS_PROPERTY', 'NOT_HAS_PROPERTY', 'CONTAINS_TOKEN', 'NOT_CONTAINS_TOKEN'], 'type': 'string'}, 'propertyName': {'type': 'string'}, 'value': {}}, 'required': ['propertyName', 'operator'], 'type': 'object'}, 'type': 'array'}}, 'required': ['filters'], 'type': 'object'}, 'type': 'array'}, 'limit': {'maximum': 100, 'minimum': 1, 'type': 'number'}, 'properties': {'items': {'type': 'string'}, 'type': 'array'}, 'sorts': {'items': {'additionalProperties': False, 'properties': {'direction': {'enum': ['ASCENDING', 'DESCENDING'], 'type': 'string'}, 'propertyName': {'type': 'string'}}, 'required': ['propertyName', 'direction'], 'type': 'object'}, 'type': 'array'}}, 'required': ['filterGroups'], 'type': 'object'}, description="""Search companies with company-specific filters"""), # shinzo-labs/HubSpot MCP/crm_search_companies
    Tool(name="""HubSpot MCP_crm_batch_create_companies""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'inputs': {'items': {'additionalProperties': False, 'properties': {'associations': {'items': {'additionalProperties': False, 'properties': {'to': {'additionalProperties': False, 'properties': {'id': {'type': 'string'}}, 'required': ['id'], 'type': 'object'}, 'types': {'items': {'additionalProperties': False, 'properties': {'associationCategory': {'type': 'string'}, 'associationTypeId': {'type': 'number'}}, 'required': ['associationCategory', 'associationTypeId'], 'type': 'object'}, 'type': 'array'}}, 'required': ['to', 'types'], 'type': 'object'}, 'type': 'array'}, 'properties': {'additionalProperties': {}, 'properties': {'address': {'type': 'string'}, 'address2': {'type': 'string'}, 'annualrevenue': {'type': 'number'}, 'city': {'type': 'string'}, 'country': {'type': 'string'}, 'description': {'type': 'string'}, 'domain': {'type': 'string'}, 'industry': {'type': 'string'}, 'lifecyclestage': {'enum': ['lead', 'customer', 'opportunity', 'subscriber', 'other'], 'type': 'string'}, 'name': {'type': 'string'}, 'numberofemployees': {'type': 'number'}, 'phone': {'type': 'string'}, 'state': {'type': 'string'}, 'type': {'type': 'string'}, 'website': {'format': 'uri', 'type': 'string'}, 'zip': {'type': 'string'}}, 'type': 'object'}}, 'required': ['properties'], 'type': 'object'}, 'type': 'array'}}, 'required': ['inputs'], 'type': 'object'}, description="""Create multiple companies in a single request"""), # shinzo-labs/HubSpot MCP/crm_batch_create_companies
    Tool(name="""HubSpot MCP_crm_batch_update_companies""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'inputs': {'items': {'additionalProperties': False, 'properties': {'id': {'type': 'string'}, 'properties': {'additionalProperties': {}, 'properties': {'address': {'type': 'string'}, 'address2': {'type': 'string'}, 'annualrevenue': {'type': 'number'}, 'city': {'type': 'string'}, 'country': {'type': 'string'}, 'description': {'type': 'string'}, 'domain': {'type': 'string'}, 'industry': {'type': 'string'}, 'lifecyclestage': {'enum': ['lead', 'customer', 'opportunity', 'subscriber', 'other'], 'type': 'string'}, 'name': {'type': 'string'}, 'numberofemployees': {'type': 'number'}, 'phone': {'type': 'string'}, 'state': {'type': 'string'}, 'type': {'type': 'string'}, 'website': {'format': 'uri', 'type': 'string'}, 'zip': {'type': 'string'}}, 'type': 'object'}}, 'required': ['id', 'properties'], 'type': 'object'}, 'type': 'array'}}, 'required': ['inputs'], 'type': 'object'}, description="""Update multiple companies in a single request"""), # shinzo-labs/HubSpot MCP/crm_batch_update_companies
    Tool(name="""HubSpot MCP_crm_get_company_properties""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'archived': {'type': 'boolean'}, 'properties': {'items': {'type': 'string'}, 'type': 'array'}}, 'type': 'object'}, description="""Get all properties for companies"""), # shinzo-labs/HubSpot MCP/crm_get_company_properties
    Tool(name="""HubSpot MCP_crm_create_company_property""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'description': {'type': 'string'}, 'displayOrder': {'type': 'number'}, 'fieldType': {'enum': ['text', 'textarea', 'select', 'radio', 'checkbox', 'number', 'date', 'file'], 'type': 'string'}, 'formField': {'type': 'boolean'}, 'groupName': {'type': 'string'}, 'hasUniqueValue': {'type': 'boolean'}, 'hidden': {'type': 'boolean'}, 'label': {'type': 'string'}, 'name': {'type': 'string'}, 'options': {'items': {'additionalProperties': False, 'properties': {'description': {'type': 'string'}, 'displayOrder': {'type': 'number'}, 'hidden': {'type': 'boolean'}, 'label': {'type': 'string'}, 'value': {'type': 'string'}}, 'required': ['label', 'value'], 'type': 'object'}, 'type': 'array'}, 'type': {'enum': ['string', 'number', 'date', 'datetime', 'enumeration', 'bool'], 'type': 'string'}}, 'required': ['name', 'label', 'type', 'fieldType', 'groupName'], 'type': 'object'}, description="""Create a new company property"""), # shinzo-labs/HubSpot MCP/crm_create_company_property
    Tool(name="""HubSpot MCP_crm_list_objects""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'after': {'type': 'string'}, 'archived': {'type': 'boolean'}, 'limit': {'maximum': 100, 'minimum': 1, 'type': 'number'}, 'objectType': {'enum': ['companies', 'contacts', 'deals', 'tickets', 'products', 'line_items', 'quotes', 'custom'], 'type': 'string'}, 'properties': {'items': {'type': 'string'}, 'type': 'array'}}, 'required': ['objectType'], 'type': 'object'}, description="""List CRM objects of a specific type with optional filtering and pagination"""), # shinzo-labs/HubSpot MCP/crm_list_objects
    Tool(name="""HubSpot MCP_crm_get_object""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'associations': {'items': {'type': 'string'}, 'type': 'array'}, 'objectId': {'type': 'string'}, 'objectType': {'enum': ['companies', 'contacts', 'deals', 'tickets', 'products', 'line_items', 'quotes', 'custom'], 'type': 'string'}, 'properties': {'items': {'type': 'string'}, 'type': 'array'}}, 'required': ['objectType', 'objectId'], 'type': 'object'}, description="""Get a single CRM object by ID"""), # shinzo-labs/HubSpot MCP/crm_get_object
    Tool(name="""HubSpot MCP_crm_create_object""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'associations': {'items': {'additionalProperties': False, 'properties': {'to': {'additionalProperties': False, 'properties': {'id': {'type': 'string'}}, 'required': ['id'], 'type': 'object'}, 'types': {'items': {'additionalProperties': False, 'properties': {'associationCategory': {'type': 'string'}, 'associationTypeId': {'type': 'number'}}, 'required': ['associationCategory', 'associationTypeId'], 'type': 'object'}, 'type': 'array'}}, 'required': ['to', 'types'], 'type': 'object'}, 'type': 'array'}, 'objectType': {'enum': ['companies', 'contacts', 'deals', 'tickets', 'products', 'line_items', 'quotes', 'custom'], 'type': 'string'}, 'properties': {'additionalProperties': {}, 'type': 'object'}}, 'required': ['objectType', 'properties'], 'type': 'object'}, description="""Create a new CRM object"""), # shinzo-labs/HubSpot MCP/crm_create_object
    Tool(name="""HubSpot MCP_crm_update_object""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'objectId': {'type': 'string'}, 'objectType': {'enum': ['companies', 'contacts', 'deals', 'tickets', 'products', 'line_items', 'quotes', 'custom'], 'type': 'string'}, 'properties': {'additionalProperties': {}, 'type': 'object'}}, 'required': ['objectType', 'objectId', 'properties'], 'type': 'object'}, description="""Update an existing CRM object"""), # shinzo-labs/HubSpot MCP/crm_update_object
    Tool(name="""HubSpot MCP_crm_delete_object""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'objectId': {'type': 'string'}, 'objectType': {'enum': ['companies', 'contacts', 'deals', 'tickets', 'products', 'line_items', 'quotes', 'custom'], 'type': 'string'}}, 'required': ['objectType', 'objectId'], 'type': 'object'}, description="""Delete a CRM object"""), # shinzo-labs/HubSpot MCP/crm_delete_object
    Tool(name="""HubSpot MCP_crm_create_contact_property""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'description': {'type': 'string'}, 'displayOrder': {'type': 'number'}, 'fieldType': {'enum': ['text', 'textarea', 'select', 'radio', 'checkbox', 'number', 'date', 'file'], 'type': 'string'}, 'formField': {'type': 'boolean'}, 'groupName': {'type': 'string'}, 'hasUniqueValue': {'type': 'boolean'}, 'hidden': {'type': 'boolean'}, 'label': {'type': 'string'}, 'name': {'type': 'string'}, 'options': {'items': {'additionalProperties': False, 'properties': {'description': {'type': 'string'}, 'displayOrder': {'type': 'number'}, 'hidden': {'type': 'boolean'}, 'label': {'type': 'string'}, 'value': {'type': 'string'}}, 'required': ['label', 'value'], 'type': 'object'}, 'type': 'array'}, 'type': {'enum': ['string', 'number', 'date', 'datetime', 'enumeration', 'bool'], 'type': 'string'}}, 'required': ['name', 'label', 'type', 'fieldType', 'groupName'], 'type': 'object'}, description="""Create a new contact property"""), # shinzo-labs/HubSpot MCP/crm_create_contact_property
    Tool(name="""HubSpot MCP_crm_search_objects""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'after': {'type': 'string'}, 'filterGroups': {'items': {'additionalProperties': False, 'properties': {'filters': {'items': {'additionalProperties': False, 'properties': {'operator': {'enum': ['EQ', 'NEQ', 'LT', 'LTE', 'GT', 'GTE', 'BETWEEN', 'IN', 'NOT_IN', 'HAS_PROPERTY', 'NOT_HAS_PROPERTY', 'CONTAINS_TOKEN', 'NOT_CONTAINS_TOKEN'], 'type': 'string'}, 'propertyName': {'type': 'string'}, 'value': {}}, 'required': ['propertyName', 'operator'], 'type': 'object'}, 'type': 'array'}}, 'required': ['filters'], 'type': 'object'}, 'type': 'array'}, 'limit': {'maximum': 100, 'minimum': 1, 'type': 'number'}, 'objectType': {'enum': ['companies', 'contacts', 'deals', 'tickets', 'products', 'line_items', 'quotes', 'custom'], 'type': 'string'}, 'properties': {'items': {'type': 'string'}, 'type': 'array'}, 'sorts': {'items': {'additionalProperties': False, 'properties': {'direction': {'enum': ['ASCENDING', 'DESCENDING'], 'type': 'string'}, 'propertyName': {'type': 'string'}}, 'required': ['propertyName', 'direction'], 'type': 'object'}, 'type': 'array'}}, 'required': ['objectType', 'filterGroups'], 'type': 'object'}, description="""Search CRM objects using filters"""), # shinzo-labs/HubSpot MCP/crm_search_objects
    Tool(name="""HubSpot MCP_crm_batch_create_objects""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'inputs': {'items': {'additionalProperties': False, 'properties': {'associations': {'items': {'additionalProperties': False, 'properties': {'to': {'additionalProperties': False, 'properties': {'id': {'type': 'string'}}, 'required': ['id'], 'type': 'object'}, 'types': {'items': {'additionalProperties': False, 'properties': {'associationCategory': {'type': 'string'}, 'associationTypeId': {'type': 'number'}}, 'required': ['associationCategory', 'associationTypeId'], 'type': 'object'}, 'type': 'array'}}, 'required': ['to', 'types'], 'type': 'object'}, 'type': 'array'}, 'properties': {'additionalProperties': {}, 'type': 'object'}}, 'required': ['properties'], 'type': 'object'}, 'type': 'array'}, 'objectType': {'enum': ['companies', 'contacts', 'deals', 'tickets', 'products', 'line_items', 'quotes', 'custom'], 'type': 'string'}}, 'required': ['objectType', 'inputs'], 'type': 'object'}, description="""Create multiple CRM objects in a single request"""), # shinzo-labs/HubSpot MCP/crm_batch_create_objects
    Tool(name="""HubSpot MCP_crm_batch_update_objects""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'inputs': {'items': {'additionalProperties': False, 'properties': {'id': {'type': 'string'}, 'properties': {'additionalProperties': {}, 'type': 'object'}}, 'required': ['id', 'properties'], 'type': 'object'}, 'type': 'array'}, 'objectType': {'enum': ['companies', 'contacts', 'deals', 'tickets', 'products', 'line_items', 'quotes', 'custom'], 'type': 'string'}}, 'required': ['objectType', 'inputs'], 'type': 'object'}, description="""Update multiple CRM objects in a single request"""), # shinzo-labs/HubSpot MCP/crm_batch_update_objects
    Tool(name="""HubSpot MCP_crm_batch_delete_objects""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'objectIds': {'items': {'type': 'string'}, 'type': 'array'}, 'objectType': {'enum': ['companies', 'contacts', 'deals', 'tickets', 'products', 'line_items', 'quotes', 'custom'], 'type': 'string'}}, 'required': ['objectType', 'objectIds'], 'type': 'object'}, description="""Delete multiple CRM objects in a single request"""), # shinzo-labs/HubSpot MCP/crm_batch_delete_objects
    Tool(name="""HubSpot MCP_crm_list_association_types""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'fromObjectType': {'enum': ['companies', 'contacts', 'deals', 'tickets', 'products', 'line_items', 'quotes', 'custom'], 'type': 'string'}, 'toObjectType': {'enum': ['companies', 'contacts', 'deals', 'tickets', 'products', 'line_items', 'quotes', 'custom'], 'type': 'string'}}, 'required': ['fromObjectType', 'toObjectType'], 'type': 'object'}, description="""List all available association types for a given object type pair"""), # shinzo-labs/HubSpot MCP/crm_list_association_types
    Tool(name="""HubSpot MCP_crm_get_associations""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'after': {'type': 'string'}, 'fromObjectId': {'type': 'string'}, 'fromObjectType': {'enum': ['companies', 'contacts', 'deals', 'tickets', 'products', 'line_items', 'quotes', 'custom'], 'type': 'string'}, 'limit': {'maximum': 500, 'minimum': 1, 'type': 'number'}, 'toObjectType': {'enum': ['companies', 'contacts', 'deals', 'tickets', 'products', 'line_items', 'quotes', 'custom'], 'type': 'string'}}, 'required': ['fromObjectType', 'toObjectType', 'fromObjectId'], 'type': 'object'}, description="""Get all associations of a specific type between objects"""), # shinzo-labs/HubSpot MCP/crm_get_associations
    Tool(name="""HubSpot MCP_crm_create_association""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'associationTypes': {'items': {'additionalProperties': False, 'properties': {'associationCategory': {'type': 'string'}, 'associationTypeId': {'type': 'number'}}, 'required': ['associationCategory', 'associationTypeId'], 'type': 'object'}, 'type': 'array'}, 'fromObjectId': {'type': 'string'}, 'fromObjectType': {'enum': ['companies', 'contacts', 'deals', 'tickets', 'products', 'line_items', 'quotes', 'custom'], 'type': 'string'}, 'toObjectId': {'type': 'string'}, 'toObjectType': {'enum': ['companies', 'contacts', 'deals', 'tickets', 'products', 'line_items', 'quotes', 'custom'], 'type': 'string'}}, 'required': ['fromObjectType', 'toObjectType', 'fromObjectId', 'toObjectId', 'associationTypes'], 'type': 'object'}, description="""Create an association between two objects"""), # shinzo-labs/HubSpot MCP/crm_create_association
    Tool(name="""HubSpot MCP_crm_delete_association""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'fromObjectId': {'type': 'string'}, 'fromObjectType': {'enum': ['companies', 'contacts', 'deals', 'tickets', 'products', 'line_items', 'quotes', 'custom'], 'type': 'string'}, 'toObjectId': {'type': 'string'}, 'toObjectType': {'enum': ['companies', 'contacts', 'deals', 'tickets', 'products', 'line_items', 'quotes', 'custom'], 'type': 'string'}}, 'required': ['fromObjectType', 'toObjectType', 'fromObjectId', 'toObjectId'], 'type': 'object'}, description="""Delete an association between two objects"""), # shinzo-labs/HubSpot MCP/crm_delete_association
    Tool(name="""HubSpot MCP_crm_batch_create_associations""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'fromObjectType': {'enum': ['companies', 'contacts', 'deals', 'tickets', 'products', 'line_items', 'quotes', 'custom'], 'type': 'string'}, 'inputs': {'items': {'additionalProperties': False, 'properties': {'from': {'additionalProperties': False, 'properties': {'id': {'type': 'string'}}, 'required': ['id'], 'type': 'object'}, 'to': {'additionalProperties': False, 'properties': {'id': {'type': 'string'}}, 'required': ['id'], 'type': 'object'}, 'types': {'items': {'additionalProperties': False, 'properties': {'associationCategory': {'type': 'string'}, 'associationTypeId': {'type': 'number'}}, 'required': ['associationCategory', 'associationTypeId'], 'type': 'object'}, 'type': 'array'}}, 'required': ['from', 'to', 'types'], 'type': 'object'}, 'type': 'array'}, 'toObjectType': {'enum': ['companies', 'contacts', 'deals', 'tickets', 'products', 'line_items', 'quotes', 'custom'], 'type': 'string'}}, 'required': ['fromObjectType', 'toObjectType', 'inputs'], 'type': 'object'}, description="""Create multiple associations in a single request"""), # shinzo-labs/HubSpot MCP/crm_batch_create_associations
    Tool(name="""HubSpot MCP_crm_batch_delete_associations""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'fromObjectType': {'enum': ['companies', 'contacts', 'deals', 'tickets', 'products', 'line_items', 'quotes', 'custom'], 'type': 'string'}, 'inputs': {'items': {'additionalProperties': False, 'properties': {'from': {'additionalProperties': False, 'properties': {'id': {'type': 'string'}}, 'required': ['id'], 'type': 'object'}, 'to': {'additionalProperties': False, 'properties': {'id': {'type': 'string'}}, 'required': ['id'], 'type': 'object'}}, 'required': ['from', 'to'], 'type': 'object'}, 'type': 'array'}, 'toObjectType': {'enum': ['companies', 'contacts', 'deals', 'tickets', 'products', 'line_items', 'quotes', 'custom'], 'type': 'string'}}, 'required': ['fromObjectType', 'toObjectType', 'inputs'], 'type': 'object'}, description="""Delete multiple associations in a single request"""), # shinzo-labs/HubSpot MCP/crm_batch_delete_associations
    Tool(name="""HubSpot MCP_crm_create_contact""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'associations': {'items': {'additionalProperties': False, 'properties': {'to': {'additionalProperties': False, 'properties': {'id': {'type': 'string'}}, 'required': ['id'], 'type': 'object'}, 'types': {'items': {'additionalProperties': False, 'properties': {'associationCategory': {'type': 'string'}, 'associationTypeId': {'type': 'number'}}, 'required': ['associationCategory', 'associationTypeId'], 'type': 'object'}, 'type': 'array'}}, 'required': ['to', 'types'], 'type': 'object'}, 'type': 'array'}, 'properties': {'additionalProperties': {}, 'properties': {'address': {'type': 'string'}, 'city': {'type': 'string'}, 'company': {'type': 'string'}, 'country': {'type': 'string'}, 'email': {'format': 'email', 'type': 'string'}, 'facebookfanpage': {'type': 'string'}, 'firstname': {'type': 'string'}, 'jobtitle': {'type': 'string'}, 'lastname': {'type': 'string'}, 'leadstatus': {'enum': ['new', 'open', 'inprogress', 'opennotcontacted', 'opencontacted', 'closedconverted', 'closednotconverted'], 'type': 'string'}, 'lifecyclestage': {'enum': ['subscriber', 'lead', 'marketingqualifiedlead', 'salesqualifiedlead', 'opportunity', 'customer', 'evangelist', 'other'], 'type': 'string'}, 'linkedinbio': {'type': 'string'}, 'mobilephone': {'type': 'string'}, 'phone': {'type': 'string'}, 'state': {'type': 'string'}, 'twitterhandle': {'type': 'string'}, 'website': {'format': 'uri', 'type': 'string'}, 'zip': {'type': 'string'}}, 'type': 'object'}}, 'required': ['properties'], 'type': 'object'}, description="""Create a new contact with validated properties"""), # shinzo-labs/HubSpot MCP/crm_create_contact
    Tool(name="""HubSpot MCP_crm_update_contact""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'contactId': {'type': 'string'}, 'properties': {'additionalProperties': {}, 'properties': {'address': {'type': 'string'}, 'city': {'type': 'string'}, 'company': {'type': 'string'}, 'country': {'type': 'string'}, 'email': {'format': 'email', 'type': 'string'}, 'facebookfanpage': {'type': 'string'}, 'firstname': {'type': 'string'}, 'jobtitle': {'type': 'string'}, 'lastname': {'type': 'string'}, 'leadstatus': {'enum': ['new', 'open', 'inprogress', 'opennotcontacted', 'opencontacted', 'closedconverted', 'closednotconverted'], 'type': 'string'}, 'lifecyclestage': {'enum': ['subscriber', 'lead', 'marketingqualifiedlead', 'salesqualifiedlead', 'opportunity', 'customer', 'evangelist', 'other'], 'type': 'string'}, 'linkedinbio': {'type': 'string'}, 'mobilephone': {'type': 'string'}, 'phone': {'type': 'string'}, 'state': {'type': 'string'}, 'twitterhandle': {'type': 'string'}, 'website': {'format': 'uri', 'type': 'string'}, 'zip': {'type': 'string'}}, 'type': 'object'}}, 'required': ['contactId', 'properties'], 'type': 'object'}, description="""Update an existing contact with validated properties"""), # shinzo-labs/HubSpot MCP/crm_update_contact
    Tool(name="""HubSpot MCP_crm_get_contact""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'associations': {'items': {'enum': ['companies', 'deals', 'tickets', 'calls', 'emails', 'meetings', 'notes'], 'type': 'string'}, 'type': 'array'}, 'contactId': {'type': 'string'}, 'properties': {'items': {'type': 'string'}, 'type': 'array'}}, 'required': ['contactId'], 'type': 'object'}, description="""Get a single contact by ID with specific properties and associations"""), # shinzo-labs/HubSpot MCP/crm_get_contact
    Tool(name="""HubSpot MCP_crm_search_contacts""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'after': {'type': 'string'}, 'filterGroups': {'items': {'additionalProperties': False, 'properties': {'filters': {'items': {'additionalProperties': False, 'properties': {'operator': {'enum': ['EQ', 'NEQ', 'LT', 'LTE', 'GT', 'GTE', 'BETWEEN', 'IN', 'NOT_IN', 'HAS_PROPERTY', 'NOT_HAS_PROPERTY', 'CONTAINS_TOKEN', 'NOT_CONTAINS_TOKEN'], 'type': 'string'}, 'propertyName': {'type': 'string'}, 'value': {}}, 'required': ['propertyName', 'operator'], 'type': 'object'}, 'type': 'array'}}, 'required': ['filters'], 'type': 'object'}, 'type': 'array'}, 'limit': {'maximum': 100, 'minimum': 1, 'type': 'number'}, 'properties': {'items': {'type': 'string'}, 'type': 'array'}, 'sorts': {'items': {'additionalProperties': False, 'properties': {'direction': {'enum': ['ASCENDING', 'DESCENDING'], 'type': 'string'}, 'propertyName': {'type': 'string'}}, 'required': ['propertyName', 'direction'], 'type': 'object'}, 'type': 'array'}}, 'required': ['filterGroups'], 'type': 'object'}, description="""Search contacts with contact-specific filters"""), # shinzo-labs/HubSpot MCP/crm_search_contacts
    Tool(name="""HubSpot MCP_crm_batch_create_contacts""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'inputs': {'items': {'additionalProperties': False, 'properties': {'associations': {'items': {'additionalProperties': False, 'properties': {'to': {'additionalProperties': False, 'properties': {'id': {'type': 'string'}}, 'required': ['id'], 'type': 'object'}, 'types': {'items': {'additionalProperties': False, 'properties': {'associationCategory': {'type': 'string'}, 'associationTypeId': {'type': 'number'}}, 'required': ['associationCategory', 'associationTypeId'], 'type': 'object'}, 'type': 'array'}}, 'required': ['to', 'types'], 'type': 'object'}, 'type': 'array'}, 'properties': {'additionalProperties': {}, 'properties': {'address': {'type': 'string'}, 'city': {'type': 'string'}, 'company': {'type': 'string'}, 'country': {'type': 'string'}, 'email': {'format': 'email', 'type': 'string'}, 'facebookfanpage': {'type': 'string'}, 'firstname': {'type': 'string'}, 'jobtitle': {'type': 'string'}, 'lastname': {'type': 'string'}, 'leadstatus': {'enum': ['new', 'open', 'inprogress', 'opennotcontacted', 'opencontacted', 'closedconverted', 'closednotconverted'], 'type': 'string'}, 'lifecyclestage': {'enum': ['subscriber', 'lead', 'marketingqualifiedlead', 'salesqualifiedlead', 'opportunity', 'customer', 'evangelist', 'other'], 'type': 'string'}, 'linkedinbio': {'type': 'string'}, 'mobilephone': {'type': 'string'}, 'phone': {'type': 'string'}, 'state': {'type': 'string'}, 'twitterhandle': {'type': 'string'}, 'website': {'format': 'uri', 'type': 'string'}, 'zip': {'type': 'string'}}, 'type': 'object'}}, 'required': ['properties'], 'type': 'object'}, 'type': 'array'}}, 'required': ['inputs'], 'type': 'object'}, description="""Create multiple contacts in a single request"""), # shinzo-labs/HubSpot MCP/crm_batch_create_contacts
    Tool(name="""HubSpot MCP_crm_batch_update_contacts""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'inputs': {'items': {'additionalProperties': False, 'properties': {'id': {'type': 'string'}, 'properties': {'additionalProperties': {}, 'properties': {'address': {'type': 'string'}, 'city': {'type': 'string'}, 'company': {'type': 'string'}, 'country': {'type': 'string'}, 'email': {'format': 'email', 'type': 'string'}, 'facebookfanpage': {'type': 'string'}, 'firstname': {'type': 'string'}, 'jobtitle': {'type': 'string'}, 'lastname': {'type': 'string'}, 'leadstatus': {'enum': ['new', 'open', 'inprogress', 'opennotcontacted', 'opencontacted', 'closedconverted', 'closednotconverted'], 'type': 'string'}, 'lifecyclestage': {'enum': ['subscriber', 'lead', 'marketingqualifiedlead', 'salesqualifiedlead', 'opportunity', 'customer', 'evangelist', 'other'], 'type': 'string'}, 'linkedinbio': {'type': 'string'}, 'mobilephone': {'type': 'string'}, 'phone': {'type': 'string'}, 'state': {'type': 'string'}, 'twitterhandle': {'type': 'string'}, 'website': {'format': 'uri', 'type': 'string'}, 'zip': {'type': 'string'}}, 'type': 'object'}}, 'required': ['id', 'properties'], 'type': 'object'}, 'type': 'array'}}, 'required': ['inputs'], 'type': 'object'}, description="""Update multiple contacts in a single request"""), # shinzo-labs/HubSpot MCP/crm_batch_update_contacts
    Tool(name="""HubSpot MCP_crm_get_contact_properties""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'archived': {'type': 'boolean'}, 'properties': {'items': {'type': 'string'}, 'type': 'array'}}, 'type': 'object'}, description="""Get all properties for contacts"""), # shinzo-labs/HubSpot MCP/crm_get_contact_properties
    Tool(name="""HubSpot MCP_crm_create_lead""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'associations': {'items': {'additionalProperties': False, 'properties': {'to': {'additionalProperties': False, 'properties': {'id': {'type': 'string'}}, 'required': ['id'], 'type': 'object'}, 'types': {'items': {'additionalProperties': False, 'properties': {'associationCategory': {'type': 'string'}, 'associationTypeId': {'type': 'number'}}, 'required': ['associationCategory', 'associationTypeId'], 'type': 'object'}, 'type': 'array'}}, 'required': ['to', 'types'], 'type': 'object'}, 'type': 'array'}, 'properties': {'additionalProperties': {}, 'properties': {'address': {'type': 'string'}, 'annualrevenue': {'type': 'number'}, 'city': {'type': 'string'}, 'company': {'type': 'string'}, 'country': {'type': 'string'}, 'email': {'format': 'email', 'type': 'string'}, 'firstname': {'type': 'string'}, 'industry': {'type': 'string'}, 'jobtitle': {'type': 'string'}, 'lastname': {'type': 'string'}, 'leadsource': {'type': 'string'}, 'leadstatus': {'enum': ['new', 'open', 'in_progress', 'qualified', 'unqualified', 'converted', 'lost'], 'type': 'string'}, 'notes': {'type': 'string'}, 'numberofemployees': {'type': 'number'}, 'phone': {'type': 'string'}, 'rating': {'enum': ['hot', 'warm', 'cold'], 'type': 'string'}, 'state': {'type': 'string'}, 'website': {'format': 'uri', 'type': 'string'}, 'zip': {'type': 'string'}}, 'type': 'object'}}, 'required': ['properties'], 'type': 'object'}, description="""Create a new lead with validated properties"""), # shinzo-labs/HubSpot MCP/crm_create_lead
    Tool(name="""HubSpot MCP_notes_list""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'after': {'type': 'string'}, 'archived': {'type': 'boolean'}, 'associations': {'items': {'enum': ['contacts', 'companies', 'deals', 'tickets'], 'type': 'string'}, 'type': 'array'}, 'limit': {'maximum': 100, 'minimum': 1, 'type': 'number'}, 'properties': {'items': {'type': 'string'}, 'type': 'array'}}, 'type': 'object'}, description="""List all notes with optional filtering"""), # shinzo-labs/HubSpot MCP/notes_list
    Tool(name="""HubSpot MCP_crm_update_lead""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'leadId': {'type': 'string'}, 'properties': {'additionalProperties': {}, 'properties': {'address': {'type': 'string'}, 'annualrevenue': {'type': 'number'}, 'city': {'type': 'string'}, 'company': {'type': 'string'}, 'country': {'type': 'string'}, 'email': {'format': 'email', 'type': 'string'}, 'firstname': {'type': 'string'}, 'industry': {'type': 'string'}, 'jobtitle': {'type': 'string'}, 'lastname': {'type': 'string'}, 'leadsource': {'type': 'string'}, 'leadstatus': {'enum': ['new', 'open', 'in_progress', 'qualified', 'unqualified', 'converted', 'lost'], 'type': 'string'}, 'notes': {'type': 'string'}, 'numberofemployees': {'type': 'number'}, 'phone': {'type': 'string'}, 'rating': {'enum': ['hot', 'warm', 'cold'], 'type': 'string'}, 'state': {'type': 'string'}, 'website': {'format': 'uri', 'type': 'string'}, 'zip': {'type': 'string'}}, 'type': 'object'}}, 'required': ['leadId', 'properties'], 'type': 'object'}, description="""Update an existing lead with validated properties"""), # shinzo-labs/HubSpot MCP/crm_update_lead
    Tool(name="""HubSpot MCP_crm_get_lead""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'associations': {'items': {'enum': ['companies', 'contacts', 'deals', 'notes', 'tasks'], 'type': 'string'}, 'type': 'array'}, 'leadId': {'type': 'string'}, 'properties': {'items': {'type': 'string'}, 'type': 'array'}}, 'required': ['leadId'], 'type': 'object'}, description="""Get a single lead by ID with specific properties and associations"""), # shinzo-labs/HubSpot MCP/crm_get_lead
    Tool(name="""HubSpot MCP_crm_search_leads""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'after': {'type': 'string'}, 'filterGroups': {'items': {'additionalProperties': False, 'properties': {'filters': {'items': {'additionalProperties': False, 'properties': {'operator': {'enum': ['EQ', 'NEQ', 'LT', 'LTE', 'GT', 'GTE', 'BETWEEN', 'IN', 'NOT_IN', 'HAS_PROPERTY', 'NOT_HAS_PROPERTY', 'CONTAINS_TOKEN', 'NOT_CONTAINS_TOKEN'], 'type': 'string'}, 'propertyName': {'type': 'string'}, 'value': {}}, 'required': ['propertyName', 'operator'], 'type': 'object'}, 'type': 'array'}}, 'required': ['filters'], 'type': 'object'}, 'type': 'array'}, 'limit': {'maximum': 100, 'minimum': 1, 'type': 'number'}, 'properties': {'items': {'type': 'string'}, 'type': 'array'}, 'sorts': {'items': {'additionalProperties': False, 'properties': {'direction': {'enum': ['ASCENDING', 'DESCENDING'], 'type': 'string'}, 'propertyName': {'type': 'string'}}, 'required': ['propertyName', 'direction'], 'type': 'object'}, 'type': 'array'}}, 'required': ['filterGroups'], 'type': 'object'}, description="""Search leads with lead-specific filters"""), # shinzo-labs/HubSpot MCP/crm_search_leads
    Tool(name="""HubSpot MCP_crm_batch_create_leads""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'inputs': {'items': {'additionalProperties': False, 'properties': {'associations': {'items': {'additionalProperties': False, 'properties': {'to': {'additionalProperties': False, 'properties': {'id': {'type': 'string'}}, 'required': ['id'], 'type': 'object'}, 'types': {'items': {'additionalProperties': False, 'properties': {'associationCategory': {'type': 'string'}, 'associationTypeId': {'type': 'number'}}, 'required': ['associationCategory', 'associationTypeId'], 'type': 'object'}, 'type': 'array'}}, 'required': ['to', 'types'], 'type': 'object'}, 'type': 'array'}, 'properties': {'additionalProperties': {}, 'properties': {'address': {'type': 'string'}, 'annualrevenue': {'type': 'number'}, 'city': {'type': 'string'}, 'company': {'type': 'string'}, 'country': {'type': 'string'}, 'email': {'format': 'email', 'type': 'string'}, 'firstname': {'type': 'string'}, 'industry': {'type': 'string'}, 'jobtitle': {'type': 'string'}, 'lastname': {'type': 'string'}, 'leadsource': {'type': 'string'}, 'leadstatus': {'enum': ['new', 'open', 'in_progress', 'qualified', 'unqualified', 'converted', 'lost'], 'type': 'string'}, 'notes': {'type': 'string'}, 'numberofemployees': {'type': 'number'}, 'phone': {'type': 'string'}, 'rating': {'enum': ['hot', 'warm', 'cold'], 'type': 'string'}, 'state': {'type': 'string'}, 'website': {'format': 'uri', 'type': 'string'}, 'zip': {'type': 'string'}}, 'type': 'object'}}, 'required': ['properties'], 'type': 'object'}, 'type': 'array'}}, 'required': ['inputs'], 'type': 'object'}, description="""Create multiple leads in a single request"""), # shinzo-labs/HubSpot MCP/crm_batch_create_leads
    Tool(name="""HubSpot MCP_crm_batch_update_leads""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'inputs': {'items': {'additionalProperties': False, 'properties': {'id': {'type': 'string'}, 'properties': {'additionalProperties': {}, 'properties': {'address': {'type': 'string'}, 'annualrevenue': {'type': 'number'}, 'city': {'type': 'string'}, 'company': {'type': 'string'}, 'country': {'type': 'string'}, 'email': {'format': 'email', 'type': 'string'}, 'firstname': {'type': 'string'}, 'industry': {'type': 'string'}, 'jobtitle': {'type': 'string'}, 'lastname': {'type': 'string'}, 'leadsource': {'type': 'string'}, 'leadstatus': {'enum': ['new', 'open', 'in_progress', 'qualified', 'unqualified', 'converted', 'lost'], 'type': 'string'}, 'notes': {'type': 'string'}, 'numberofemployees': {'type': 'number'}, 'phone': {'type': 'string'}, 'rating': {'enum': ['hot', 'warm', 'cold'], 'type': 'string'}, 'state': {'type': 'string'}, 'website': {'format': 'uri', 'type': 'string'}, 'zip': {'type': 'string'}}, 'type': 'object'}}, 'required': ['id', 'properties'], 'type': 'object'}, 'type': 'array'}}, 'required': ['inputs'], 'type': 'object'}, description="""Update multiple leads in a single request"""), # shinzo-labs/HubSpot MCP/crm_batch_update_leads
    Tool(name="""HubSpot MCP_crm_get_lead_properties""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'archived': {'type': 'boolean'}, 'properties': {'items': {'type': 'string'}, 'type': 'array'}}, 'type': 'object'}, description="""Get all properties for leads"""), # shinzo-labs/HubSpot MCP/crm_get_lead_properties
    Tool(name="""HubSpot MCP_crm_create_lead_property""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'description': {'type': 'string'}, 'displayOrder': {'type': 'number'}, 'fieldType': {'enum': ['text', 'textarea', 'select', 'radio', 'checkbox', 'number', 'date', 'file'], 'type': 'string'}, 'formField': {'type': 'boolean'}, 'groupName': {'type': 'string'}, 'hasUniqueValue': {'type': 'boolean'}, 'hidden': {'type': 'boolean'}, 'label': {'type': 'string'}, 'name': {'type': 'string'}, 'options': {'items': {'additionalProperties': False, 'properties': {'description': {'type': 'string'}, 'displayOrder': {'type': 'number'}, 'hidden': {'type': 'boolean'}, 'label': {'type': 'string'}, 'value': {'type': 'string'}}, 'required': ['label', 'value'], 'type': 'object'}, 'type': 'array'}, 'type': {'enum': ['string', 'number', 'date', 'datetime', 'enumeration', 'bool'], 'type': 'string'}}, 'required': ['name', 'label', 'type', 'fieldType', 'groupName'], 'type': 'object'}, description="""Create a new lead property"""), # shinzo-labs/HubSpot MCP/crm_create_lead_property
    Tool(name="""HubSpot MCP_meetings_list""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'after': {'type': 'string'}, 'createdAfter': {'type': 'string'}, 'createdBefore': {'type': 'string'}, 'limit': {'maximum': 100, 'minimum': 1, 'type': 'number'}, 'properties': {'items': {'type': 'string'}, 'type': 'array'}}, 'type': 'object'}, description="""List all meetings with optional filtering"""), # shinzo-labs/HubSpot MCP/meetings_list
    Tool(name="""HubSpot MCP_meetings_get""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'associations': {'items': {'enum': ['contacts', 'companies', 'deals'], 'type': 'string'}, 'type': 'array'}, 'meetingId': {'type': 'string'}, 'properties': {'items': {'type': 'string'}, 'type': 'array'}}, 'required': ['meetingId'], 'type': 'object'}, description="""Get details of a specific meeting"""), # shinzo-labs/HubSpot MCP/meetings_get
    Tool(name="""HubSpot MCP_calls_get""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'associations': {'items': {'enum': ['contacts', 'companies', 'deals', 'tickets'], 'type': 'string'}, 'type': 'array'}, 'callId': {'type': 'string'}, 'properties': {'items': {'type': 'string'}, 'type': 'array'}}, 'required': ['callId'], 'type': 'object'}, description="""Get details of a specific call"""), # shinzo-labs/HubSpot MCP/calls_get
    Tool(name="""HubSpot MCP_meetings_create""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'associations': {'items': {'additionalProperties': False, 'properties': {'to': {'additionalProperties': False, 'properties': {'id': {'type': 'string'}}, 'required': ['id'], 'type': 'object'}, 'types': {'items': {'additionalProperties': False, 'properties': {'associationCategory': {'type': 'string'}, 'associationTypeId': {'type': 'number'}}, 'required': ['associationCategory', 'associationTypeId'], 'type': 'object'}, 'type': 'array'}}, 'required': ['to', 'types'], 'type': 'object'}, 'type': 'array'}, 'properties': {'additionalProperties': False, 'properties': {'hs_meeting_body': {'type': 'string'}, 'hs_meeting_end_time': {'type': 'string'}, 'hs_meeting_location': {'type': 'string'}, 'hs_meeting_outcome': {'enum': ['SCHEDULED', 'COMPLETED', 'CANCELED'], 'type': 'string'}, 'hs_meeting_start_time': {'type': 'string'}, 'hs_meeting_title': {'type': 'string'}, 'hs_timestamp': {'type': 'string'}, 'hubspot_owner_id': {'type': 'string'}}, 'required': ['hs_timestamp', 'hs_meeting_title', 'hs_meeting_start_time', 'hs_meeting_end_time'], 'type': 'object'}}, 'required': ['properties'], 'type': 'object'}, description="""Create a new meeting"""), # shinzo-labs/HubSpot MCP/meetings_create
    Tool(name="""HubSpot MCP_meetings_update""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'meetingId': {'type': 'string'}, 'properties': {'additionalProperties': False, 'properties': {'hs_meeting_body': {'type': 'string'}, 'hs_meeting_end_time': {'type': 'string'}, 'hs_meeting_location': {'type': 'string'}, 'hs_meeting_outcome': {'enum': ['SCHEDULED', 'COMPLETED', 'CANCELED'], 'type': 'string'}, 'hs_meeting_start_time': {'type': 'string'}, 'hs_meeting_title': {'type': 'string'}, 'hubspot_owner_id': {'type': 'string'}}, 'type': 'object'}}, 'required': ['meetingId', 'properties'], 'type': 'object'}, description="""Update an existing meeting"""), # shinzo-labs/HubSpot MCP/meetings_update
    Tool(name="""HubSpot MCP_meetings_delete""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'meetingId': {'type': 'string'}}, 'required': ['meetingId'], 'type': 'object'}, description="""Delete a meeting"""), # shinzo-labs/HubSpot MCP/meetings_delete
    Tool(name="""HubSpot MCP_meetings_search""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'after': {'type': 'string'}, 'filterGroups': {'items': {'additionalProperties': False, 'properties': {'filters': {'items': {'additionalProperties': False, 'properties': {'operator': {'enum': ['EQ', 'NEQ', 'LT', 'LTE', 'GT', 'GTE', 'BETWEEN', 'IN', 'NOT_IN', 'HAS_PROPERTY', 'NOT_HAS_PROPERTY', 'CONTAINS_TOKEN', 'NOT_CONTAINS_TOKEN'], 'type': 'string'}, 'propertyName': {'type': 'string'}, 'value': {}}, 'required': ['propertyName', 'operator'], 'type': 'object'}, 'type': 'array'}}, 'required': ['filters'], 'type': 'object'}, 'type': 'array'}, 'limit': {'maximum': 100, 'minimum': 1, 'type': 'number'}, 'properties': {'items': {'type': 'string'}, 'type': 'array'}, 'sorts': {'items': {'additionalProperties': False, 'properties': {'direction': {'enum': ['ASCENDING', 'DESCENDING'], 'type': 'string'}, 'propertyName': {'type': 'string'}}, 'required': ['propertyName', 'direction'], 'type': 'object'}, 'type': 'array'}}, 'required': ['filterGroups'], 'type': 'object'}, description="""Search meetings with specific filters"""), # shinzo-labs/HubSpot MCP/meetings_search
    Tool(name="""HubSpot MCP_meetings_batch_create""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'inputs': {'items': {'additionalProperties': False, 'properties': {'associations': {'items': {'additionalProperties': False, 'properties': {'to': {'additionalProperties': False, 'properties': {'id': {'type': 'string'}}, 'required': ['id'], 'type': 'object'}, 'types': {'items': {'additionalProperties': False, 'properties': {'associationCategory': {'type': 'string'}, 'associationTypeId': {'type': 'number'}}, 'required': ['associationCategory', 'associationTypeId'], 'type': 'object'}, 'type': 'array'}}, 'required': ['to', 'types'], 'type': 'object'}, 'type': 'array'}, 'properties': {'additionalProperties': False, 'properties': {'hs_meeting_body': {'type': 'string'}, 'hs_meeting_end_time': {'type': 'string'}, 'hs_meeting_location': {'type': 'string'}, 'hs_meeting_outcome': {'enum': ['SCHEDULED', 'COMPLETED', 'CANCELED'], 'type': 'string'}, 'hs_meeting_start_time': {'type': 'string'}, 'hs_meeting_title': {'type': 'string'}, 'hs_timestamp': {'type': 'string'}, 'hubspot_owner_id': {'type': 'string'}}, 'required': ['hs_timestamp', 'hs_meeting_title', 'hs_meeting_start_time', 'hs_meeting_end_time'], 'type': 'object'}}, 'required': ['properties'], 'type': 'object'}, 'type': 'array'}}, 'required': ['inputs'], 'type': 'object'}, description="""Create multiple meetings in a single request"""), # shinzo-labs/HubSpot MCP/meetings_batch_create
    Tool(name="""HubSpot MCP_meetings_batch_update""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'inputs': {'items': {'additionalProperties': False, 'properties': {'id': {'type': 'string'}, 'properties': {'additionalProperties': False, 'properties': {'hs_meeting_body': {'type': 'string'}, 'hs_meeting_end_time': {'type': 'string'}, 'hs_meeting_location': {'type': 'string'}, 'hs_meeting_outcome': {'enum': ['SCHEDULED', 'COMPLETED', 'CANCELED'], 'type': 'string'}, 'hs_meeting_start_time': {'type': 'string'}, 'hs_meeting_title': {'type': 'string'}, 'hubspot_owner_id': {'type': 'string'}}, 'type': 'object'}}, 'required': ['id', 'properties'], 'type': 'object'}, 'type': 'array'}}, 'required': ['inputs'], 'type': 'object'}, description="""Update multiple meetings in a single request"""), # shinzo-labs/HubSpot MCP/meetings_batch_update
    Tool(name="""HubSpot MCP_meetings_batch_archive""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'meetingIds': {'items': {'type': 'string'}, 'type': 'array'}}, 'required': ['meetingIds'], 'type': 'object'}, description="""Archive (delete) multiple meetings in a single request"""), # shinzo-labs/HubSpot MCP/meetings_batch_archive
    Tool(name="""HubSpot MCP_notes_create""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'associations': {'items': {'additionalProperties': False, 'properties': {'to': {'additionalProperties': False, 'properties': {'id': {'type': 'string'}}, 'required': ['id'], 'type': 'object'}, 'types': {'items': {'additionalProperties': False, 'properties': {'associationCategory': {'type': 'string'}, 'associationTypeId': {'type': 'number'}}, 'required': ['associationCategory', 'associationTypeId'], 'type': 'object'}, 'type': 'array'}}, 'required': ['to', 'types'], 'type': 'object'}, 'type': 'array'}, 'properties': {'additionalProperties': {}, 'properties': {'hs_note_body': {'type': 'string'}, 'hs_timestamp': {'type': 'string'}, 'hubspot_owner_id': {'type': 'string'}}, 'required': ['hs_note_body'], 'type': 'object'}}, 'required': ['properties'], 'type': 'object'}, description="""Create a new note"""), # shinzo-labs/HubSpot MCP/notes_create
    Tool(name="""HubSpot MCP_notes_get""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'associations': {'items': {'enum': ['contacts', 'companies', 'deals', 'tickets'], 'type': 'string'}, 'type': 'array'}, 'noteId': {'type': 'string'}, 'properties': {'items': {'type': 'string'}, 'type': 'array'}}, 'required': ['noteId'], 'type': 'object'}, description="""Get details of a specific note"""), # shinzo-labs/HubSpot MCP/notes_get
    Tool(name="""HubSpot MCP_notes_update""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'noteId': {'type': 'string'}, 'properties': {'additionalProperties': {}, 'properties': {'hs_note_body': {'type': 'string'}, 'hs_timestamp': {'type': 'string'}, 'hubspot_owner_id': {'type': 'string'}}, 'required': ['hs_note_body'], 'type': 'object'}}, 'required': ['noteId', 'properties'], 'type': 'object'}, description="""Update an existing note"""), # shinzo-labs/HubSpot MCP/notes_update
    Tool(name="""HubSpot MCP_notes_archive""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'noteId': {'type': 'string'}}, 'required': ['noteId'], 'type': 'object'}, description="""Archive (delete) a note"""), # shinzo-labs/HubSpot MCP/notes_archive
    Tool(name="""HubSpot MCP_notes_search""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'after': {'type': 'string'}, 'filterGroups': {'items': {'additionalProperties': False, 'properties': {'filters': {'items': {'additionalProperties': False, 'properties': {'operator': {'enum': ['EQ', 'NEQ', 'LT', 'LTE', 'GT', 'GTE', 'BETWEEN', 'IN', 'NOT_IN', 'HAS_PROPERTY', 'NOT_HAS_PROPERTY', 'CONTAINS_TOKEN', 'NOT_CONTAINS_TOKEN'], 'type': 'string'}, 'propertyName': {'type': 'string'}, 'value': {}}, 'required': ['propertyName', 'operator'], 'type': 'object'}, 'type': 'array'}}, 'required': ['filters'], 'type': 'object'}, 'type': 'array'}, 'limit': {'maximum': 100, 'minimum': 1, 'type': 'number'}, 'properties': {'items': {'type': 'string'}, 'type': 'array'}, 'sorts': {'items': {'additionalProperties': False, 'properties': {'direction': {'enum': ['ASCENDING', 'DESCENDING'], 'type': 'string'}, 'propertyName': {'type': 'string'}}, 'required': ['propertyName', 'direction'], 'type': 'object'}, 'type': 'array'}}, 'required': ['filterGroups'], 'type': 'object'}, description="""Search notes with specific filters"""), # shinzo-labs/HubSpot MCP/notes_search
    Tool(name="""HubSpot MCP_notes_batch_create""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'inputs': {'items': {'additionalProperties': False, 'properties': {'associations': {'items': {'additionalProperties': False, 'properties': {'to': {'additionalProperties': False, 'properties': {'id': {'type': 'string'}}, 'required': ['id'], 'type': 'object'}, 'types': {'items': {'additionalProperties': False, 'properties': {'associationCategory': {'type': 'string'}, 'associationTypeId': {'type': 'number'}}, 'required': ['associationCategory', 'associationTypeId'], 'type': 'object'}, 'type': 'array'}}, 'required': ['to', 'types'], 'type': 'object'}, 'type': 'array'}, 'properties': {'additionalProperties': {}, 'properties': {'hs_note_body': {'type': 'string'}, 'hs_timestamp': {'type': 'string'}, 'hubspot_owner_id': {'type': 'string'}}, 'required': ['hs_note_body'], 'type': 'object'}}, 'required': ['properties'], 'type': 'object'}, 'type': 'array'}}, 'required': ['inputs'], 'type': 'object'}, description="""Create multiple notes in a single request"""), # shinzo-labs/HubSpot MCP/notes_batch_create
    Tool(name="""HubSpot MCP_notes_batch_read""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'inputs': {'items': {'additionalProperties': False, 'properties': {'associations': {'items': {'enum': ['contacts', 'companies', 'deals', 'tickets'], 'type': 'string'}, 'type': 'array'}, 'id': {'type': 'string'}, 'properties': {'items': {'type': 'string'}, 'type': 'array'}}, 'required': ['id'], 'type': 'object'}, 'type': 'array'}}, 'required': ['inputs'], 'type': 'object'}, description="""Read multiple notes in a single request"""), # shinzo-labs/HubSpot MCP/notes_batch_read
    Tool(name="""HubSpot MCP_notes_batch_update""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'inputs': {'items': {'additionalProperties': False, 'properties': {'id': {'type': 'string'}, 'properties': {'additionalProperties': {}, 'properties': {'hs_note_body': {'type': 'string'}, 'hs_timestamp': {'type': 'string'}, 'hubspot_owner_id': {'type': 'string'}}, 'required': ['hs_note_body'], 'type': 'object'}}, 'required': ['id', 'properties'], 'type': 'object'}, 'type': 'array'}}, 'required': ['inputs'], 'type': 'object'}, description="""Update multiple notes in a single request"""), # shinzo-labs/HubSpot MCP/notes_batch_update
    Tool(name="""HubSpot MCP_notes_batch_archive""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'noteIds': {'items': {'type': 'string'}, 'type': 'array'}}, 'required': ['noteIds'], 'type': 'object'}, description="""Archive (delete) multiple notes in a single request"""), # shinzo-labs/HubSpot MCP/notes_batch_archive
    Tool(name="""HubSpot MCP_tasks_create""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'associations': {'items': {'additionalProperties': False, 'properties': {'to': {'additionalProperties': False, 'properties': {'id': {'type': 'string'}}, 'required': ['id'], 'type': 'object'}, 'types': {'items': {'additionalProperties': False, 'properties': {'associationCategory': {'type': 'string'}, 'associationTypeId': {'type': 'number'}}, 'required': ['associationCategory', 'associationTypeId'], 'type': 'object'}, 'type': 'array'}}, 'required': ['to', 'types'], 'type': 'object'}, 'type': 'array'}, 'properties': {'additionalProperties': {}, 'properties': {'hs_task_body': {'type': 'string'}, 'hs_task_due_date': {'type': 'string'}, 'hs_task_priority': {'enum': ['HIGH', 'MEDIUM', 'LOW'], 'type': 'string'}, 'hs_task_status': {'enum': ['NOT_STARTED', 'IN_PROGRESS', 'WAITING', 'COMPLETED', 'DEFERRED'], 'type': 'string'}, 'hs_task_subject': {'type': 'string'}, 'hs_task_type': {'type': 'string'}, 'hs_timestamp': {'type': 'string'}, 'hubspot_owner_id': {'type': 'string'}}, 'required': ['hs_task_body', 'hs_task_subject'], 'type': 'object'}}, 'required': ['properties'], 'type': 'object'}, description="""Create a new task"""), # shinzo-labs/HubSpot MCP/tasks_create
    Tool(name="""HubSpot MCP_tasks_get""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'associations': {'items': {'enum': ['contacts', 'companies', 'deals', 'tickets'], 'type': 'string'}, 'type': 'array'}, 'properties': {'items': {'type': 'string'}, 'type': 'array'}, 'taskId': {'type': 'string'}}, 'required': ['taskId'], 'type': 'object'}, description="""Get details of a specific task"""), # shinzo-labs/HubSpot MCP/tasks_get
    Tool(name="""HubSpot MCP_tasks_update""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'properties': {'additionalProperties': {}, 'properties': {'hs_task_body': {'type': 'string'}, 'hs_task_due_date': {'type': 'string'}, 'hs_task_priority': {'enum': ['HIGH', 'MEDIUM', 'LOW'], 'type': 'string'}, 'hs_task_status': {'enum': ['NOT_STARTED', 'IN_PROGRESS', 'WAITING', 'COMPLETED', 'DEFERRED'], 'type': 'string'}, 'hs_task_subject': {'type': 'string'}, 'hs_task_type': {'type': 'string'}, 'hs_timestamp': {'type': 'string'}, 'hubspot_owner_id': {'type': 'string'}}, 'required': ['hs_task_body', 'hs_task_subject'], 'type': 'object'}, 'taskId': {'type': 'string'}}, 'required': ['taskId', 'properties'], 'type': 'object'}, description="""Update an existing task"""), # shinzo-labs/HubSpot MCP/tasks_update
    Tool(name="""HubSpot MCP_tasks_archive""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'taskId': {'type': 'string'}}, 'required': ['taskId'], 'type': 'object'}, description="""Archive (delete) a task"""), # shinzo-labs/HubSpot MCP/tasks_archive
    Tool(name="""HubSpot MCP_tasks_list""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'after': {'type': 'string'}, 'archived': {'type': 'boolean'}, 'associations': {'items': {'enum': ['contacts', 'companies', 'deals', 'tickets'], 'type': 'string'}, 'type': 'array'}, 'limit': {'maximum': 100, 'minimum': 1, 'type': 'number'}, 'properties': {'items': {'type': 'string'}, 'type': 'array'}}, 'type': 'object'}, description="""List all tasks with optional filtering"""), # shinzo-labs/HubSpot MCP/tasks_list
    Tool(name="""HubSpot MCP_tasks_search""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'after': {'type': 'string'}, 'filterGroups': {'items': {'additionalProperties': False, 'properties': {'filters': {'items': {'additionalProperties': False, 'properties': {'operator': {'enum': ['EQ', 'NEQ', 'LT', 'LTE', 'GT', 'GTE', 'BETWEEN', 'IN', 'NOT_IN', 'HAS_PROPERTY', 'NOT_HAS_PROPERTY', 'CONTAINS_TOKEN', 'NOT_CONTAINS_TOKEN'], 'type': 'string'}, 'propertyName': {'type': 'string'}, 'value': {}}, 'required': ['propertyName', 'operator'], 'type': 'object'}, 'type': 'array'}}, 'required': ['filters'], 'type': 'object'}, 'type': 'array'}, 'limit': {'maximum': 100, 'minimum': 1, 'type': 'number'}, 'properties': {'items': {'type': 'string'}, 'type': 'array'}, 'sorts': {'items': {'additionalProperties': False, 'properties': {'direction': {'enum': ['ASCENDING', 'DESCENDING'], 'type': 'string'}, 'propertyName': {'type': 'string'}}, 'required': ['propertyName', 'direction'], 'type': 'object'}, 'type': 'array'}}, 'required': ['filterGroups'], 'type': 'object'}, description="""Search tasks with specific filters"""), # shinzo-labs/HubSpot MCP/tasks_search
    Tool(name="""HubSpot MCP_tasks_batch_create""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'inputs': {'items': {'additionalProperties': False, 'properties': {'associations': {'items': {'additionalProperties': False, 'properties': {'to': {'additionalProperties': False, 'properties': {'id': {'type': 'string'}}, 'required': ['id'], 'type': 'object'}, 'types': {'items': {'additionalProperties': False, 'properties': {'associationCategory': {'type': 'string'}, 'associationTypeId': {'type': 'number'}}, 'required': ['associationCategory', 'associationTypeId'], 'type': 'object'}, 'type': 'array'}}, 'required': ['to', 'types'], 'type': 'object'}, 'type': 'array'}, 'properties': {'additionalProperties': {}, 'properties': {'hs_task_body': {'type': 'string'}, 'hs_task_due_date': {'type': 'string'}, 'hs_task_priority': {'enum': ['HIGH', 'MEDIUM', 'LOW'], 'type': 'string'}, 'hs_task_status': {'enum': ['NOT_STARTED', 'IN_PROGRESS', 'WAITING', 'COMPLETED', 'DEFERRED'], 'type': 'string'}, 'hs_task_subject': {'type': 'string'}, 'hs_task_type': {'type': 'string'}, 'hs_timestamp': {'type': 'string'}, 'hubspot_owner_id': {'type': 'string'}}, 'required': ['hs_task_body', 'hs_task_subject'], 'type': 'object'}}, 'required': ['properties'], 'type': 'object'}, 'type': 'array'}}, 'required': ['inputs'], 'type': 'object'}, description="""Create multiple tasks in a single request"""), # shinzo-labs/HubSpot MCP/tasks_batch_create
    Tool(name="""HubSpot MCP_tasks_batch_read""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'inputs': {'items': {'additionalProperties': False, 'properties': {'associations': {'items': {'enum': ['contacts', 'companies', 'deals', 'tickets'], 'type': 'string'}, 'type': 'array'}, 'id': {'type': 'string'}, 'properties': {'items': {'type': 'string'}, 'type': 'array'}}, 'required': ['id'], 'type': 'object'}, 'type': 'array'}}, 'required': ['inputs'], 'type': 'object'}, description="""Read multiple tasks in a single request"""), # shinzo-labs/HubSpot MCP/tasks_batch_read
    Tool(name="""HubSpot MCP_tasks_batch_update""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'inputs': {'items': {'additionalProperties': False, 'properties': {'id': {'type': 'string'}, 'properties': {'additionalProperties': {}, 'properties': {'hs_task_body': {'type': 'string'}, 'hs_task_due_date': {'type': 'string'}, 'hs_task_priority': {'enum': ['HIGH', 'MEDIUM', 'LOW'], 'type': 'string'}, 'hs_task_status': {'enum': ['NOT_STARTED', 'IN_PROGRESS', 'WAITING', 'COMPLETED', 'DEFERRED'], 'type': 'string'}, 'hs_task_subject': {'type': 'string'}, 'hs_task_type': {'type': 'string'}, 'hs_timestamp': {'type': 'string'}, 'hubspot_owner_id': {'type': 'string'}}, 'required': ['hs_task_body', 'hs_task_subject'], 'type': 'object'}}, 'required': ['id', 'properties'], 'type': 'object'}, 'type': 'array'}}, 'required': ['inputs'], 'type': 'object'}, description="""Update multiple tasks in a single request"""), # shinzo-labs/HubSpot MCP/tasks_batch_update
    Tool(name="""HubSpot MCP_tasks_batch_archive""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'taskIds': {'items': {'type': 'string'}, 'type': 'array'}}, 'required': ['taskIds'], 'type': 'object'}, description="""Archive (delete) multiple tasks in a single request"""), # shinzo-labs/HubSpot MCP/tasks_batch_archive
    Tool(name="""HubSpot MCP_engagement_details_get""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'engagementId': {'type': 'string'}}, 'required': ['engagementId'], 'type': 'object'}, description="""Get details of a specific engagement"""), # shinzo-labs/HubSpot MCP/engagement_details_get
    Tool(name="""HubSpot MCP_engagement_details_create""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'associations': {'additionalProperties': False, 'properties': {'companyIds': {'items': {'type': 'string'}, 'type': 'array'}, 'contactIds': {'items': {'type': 'string'}, 'type': 'array'}, 'dealIds': {'items': {'type': 'string'}, 'type': 'array'}, 'ownerIds': {'items': {'type': 'string'}, 'type': 'array'}, 'ticketIds': {'items': {'type': 'string'}, 'type': 'array'}}, 'type': 'object'}, 'engagement': {'additionalProperties': {}, 'properties': {'activityType': {'type': 'string'}, 'description': {'type': 'string'}, 'endTime': {'type': 'string'}, 'loggedAt': {'type': 'string'}, 'owner': {'additionalProperties': False, 'properties': {'email': {'format': 'email', 'type': 'string'}, 'id': {'type': 'string'}}, 'required': ['id', 'email'], 'type': 'object'}, 'startTime': {'type': 'string'}, 'status': {'type': 'string'}, 'title': {'type': 'string'}, 'type': {'enum': ['EMAIL', 'CALL', 'MEETING', 'TASK', 'NOTE'], 'type': 'string'}}, 'required': ['type', 'title'], 'type': 'object'}, 'metadata': {'additionalProperties': {}, 'type': 'object'}}, 'required': ['engagement'], 'type': 'object'}, description="""Create a new engagement with details"""), # shinzo-labs/HubSpot MCP/engagement_details_create
    Tool(name="""HubSpot MCP_engagement_details_update""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'engagement': {'additionalProperties': {}, 'properties': {'activityType': {'type': 'string'}, 'description': {'type': 'string'}, 'endTime': {'type': 'string'}, 'loggedAt': {'type': 'string'}, 'owner': {'additionalProperties': False, 'properties': {'email': {'format': 'email', 'type': 'string'}, 'id': {'type': 'string'}}, 'required': ['id', 'email'], 'type': 'object'}, 'startTime': {'type': 'string'}, 'status': {'type': 'string'}, 'title': {'type': 'string'}, 'type': {'enum': ['EMAIL', 'CALL', 'MEETING', 'TASK', 'NOTE'], 'type': 'string'}}, 'required': ['type', 'title'], 'type': 'object'}, 'engagementId': {'type': 'string'}, 'metadata': {'additionalProperties': {}, 'type': 'object'}}, 'required': ['engagementId', 'engagement'], 'type': 'object'}, description="""Update an existing engagement's details"""), # shinzo-labs/HubSpot MCP/engagement_details_update
    Tool(name="""HubSpot MCP_engagement_details_list""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'activityTypes': {'items': {'type': 'string'}, 'type': 'array'}, 'endTime': {'type': 'string'}, 'limit': {'maximum': 100, 'minimum': 1, 'type': 'number'}, 'offset': {'type': 'number'}, 'startTime': {'type': 'string'}}, 'type': 'object'}, description="""List all engagements with optional filtering"""), # shinzo-labs/HubSpot MCP/engagement_details_list
    Tool(name="""HubSpot MCP_engagement_details_delete""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'engagementId': {'type': 'string'}}, 'required': ['engagementId'], 'type': 'object'}, description="""Delete an engagement"""), # shinzo-labs/HubSpot MCP/engagement_details_delete
    Tool(name="""HubSpot MCP_engagement_details_get_associated""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'activityTypes': {'items': {'type': 'string'}, 'type': 'array'}, 'endTime': {'type': 'string'}, 'limit': {'maximum': 100, 'minimum': 1, 'type': 'number'}, 'objectId': {'type': 'string'}, 'objectType': {'enum': ['CONTACT', 'COMPANY', 'DEAL', 'TICKET'], 'type': 'string'}, 'offset': {'type': 'number'}, 'startTime': {'type': 'string'}}, 'required': ['objectType', 'objectId'], 'type': 'object'}, description="""Get all engagements associated with an object"""), # shinzo-labs/HubSpot MCP/engagement_details_get_associated
    Tool(name="""HubSpot MCP_calls_create""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'associations': {'items': {'additionalProperties': False, 'properties': {'to': {'additionalProperties': False, 'properties': {'id': {'type': 'string'}}, 'required': ['id'], 'type': 'object'}, 'types': {'items': {'additionalProperties': False, 'properties': {'associationCategory': {'type': 'string'}, 'associationTypeId': {'type': 'number'}}, 'required': ['associationCategory', 'associationTypeId'], 'type': 'object'}, 'type': 'array'}}, 'required': ['to', 'types'], 'type': 'object'}, 'type': 'array'}, 'properties': {'additionalProperties': {}, 'properties': {'hs_call_body': {'type': 'string'}, 'hs_call_direction': {'enum': ['INBOUND', 'OUTBOUND'], 'type': 'string'}, 'hs_call_disposition': {'type': 'string'}, 'hs_call_duration': {'type': 'number'}, 'hs_call_recording_url': {'format': 'uri', 'type': 'string'}, 'hs_call_status': {'enum': ['SCHEDULED', 'COMPLETED', 'CANCELED', 'NO_ANSWER'], 'type': 'string'}, 'hs_call_title': {'type': 'string'}, 'hs_timestamp': {'type': 'string'}, 'hubspot_owner_id': {'type': 'string'}}, 'required': ['hs_call_body', 'hs_call_title'], 'type': 'object'}}, 'required': ['properties'], 'type': 'object'}, description="""Create a new call record"""), # shinzo-labs/HubSpot MCP/calls_create
    Tool(name="""HubSpot MCP_calls_update""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'callId': {'type': 'string'}, 'properties': {'additionalProperties': {}, 'properties': {'hs_call_body': {'type': 'string'}, 'hs_call_direction': {'enum': ['INBOUND', 'OUTBOUND'], 'type': 'string'}, 'hs_call_disposition': {'type': 'string'}, 'hs_call_duration': {'type': 'number'}, 'hs_call_recording_url': {'format': 'uri', 'type': 'string'}, 'hs_call_status': {'enum': ['SCHEDULED', 'COMPLETED', 'CANCELED', 'NO_ANSWER'], 'type': 'string'}, 'hs_call_title': {'type': 'string'}, 'hs_timestamp': {'type': 'string'}, 'hubspot_owner_id': {'type': 'string'}}, 'required': ['hs_call_body', 'hs_call_title'], 'type': 'object'}}, 'required': ['callId', 'properties'], 'type': 'object'}, description="""Update an existing call record"""), # shinzo-labs/HubSpot MCP/calls_update
    Tool(name="""HubSpot MCP_calls_archive""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'callId': {'type': 'string'}}, 'required': ['callId'], 'type': 'object'}, description="""Archive (delete) a call record"""), # shinzo-labs/HubSpot MCP/calls_archive
    Tool(name="""HubSpot MCP_calls_list""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'after': {'type': 'string'}, 'archived': {'type': 'boolean'}, 'associations': {'items': {'enum': ['contacts', 'companies', 'deals', 'tickets'], 'type': 'string'}, 'type': 'array'}, 'limit': {'maximum': 100, 'minimum': 1, 'type': 'number'}, 'properties': {'items': {'type': 'string'}, 'type': 'array'}}, 'type': 'object'}, description="""List all calls with optional filtering"""), # shinzo-labs/HubSpot MCP/calls_list
    Tool(name="""HubSpot MCP_calls_search""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'after': {'type': 'string'}, 'filterGroups': {'items': {'additionalProperties': False, 'properties': {'filters': {'items': {'additionalProperties': False, 'properties': {'operator': {'enum': ['EQ', 'NEQ', 'LT', 'LTE', 'GT', 'GTE', 'BETWEEN', 'IN', 'NOT_IN', 'HAS_PROPERTY', 'NOT_HAS_PROPERTY', 'CONTAINS_TOKEN', 'NOT_CONTAINS_TOKEN'], 'type': 'string'}, 'propertyName': {'type': 'string'}, 'value': {}}, 'required': ['propertyName', 'operator'], 'type': 'object'}, 'type': 'array'}}, 'required': ['filters'], 'type': 'object'}, 'type': 'array'}, 'limit': {'maximum': 100, 'minimum': 1, 'type': 'number'}, 'properties': {'items': {'type': 'string'}, 'type': 'array'}, 'sorts': {'items': {'additionalProperties': False, 'properties': {'direction': {'enum': ['ASCENDING', 'DESCENDING'], 'type': 'string'}, 'propertyName': {'type': 'string'}}, 'required': ['propertyName', 'direction'], 'type': 'object'}, 'type': 'array'}}, 'required': ['filterGroups'], 'type': 'object'}, description="""Search calls with specific filters"""), # shinzo-labs/HubSpot MCP/calls_search
    Tool(name="""HubSpot MCP_calls_batch_create""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'inputs': {'items': {'additionalProperties': False, 'properties': {'associations': {'items': {'additionalProperties': False, 'properties': {'to': {'additionalProperties': False, 'properties': {'id': {'type': 'string'}}, 'required': ['id'], 'type': 'object'}, 'types': {'items': {'additionalProperties': False, 'properties': {'associationCategory': {'type': 'string'}, 'associationTypeId': {'type': 'number'}}, 'required': ['associationCategory', 'associationTypeId'], 'type': 'object'}, 'type': 'array'}}, 'required': ['to', 'types'], 'type': 'object'}, 'type': 'array'}, 'properties': {'additionalProperties': {}, 'properties': {'hs_call_body': {'type': 'string'}, 'hs_call_direction': {'enum': ['INBOUND', 'OUTBOUND'], 'type': 'string'}, 'hs_call_disposition': {'type': 'string'}, 'hs_call_duration': {'type': 'number'}, 'hs_call_recording_url': {'format': 'uri', 'type': 'string'}, 'hs_call_status': {'enum': ['SCHEDULED', 'COMPLETED', 'CANCELED', 'NO_ANSWER'], 'type': 'string'}, 'hs_call_title': {'type': 'string'}, 'hs_timestamp': {'type': 'string'}, 'hubspot_owner_id': {'type': 'string'}}, 'required': ['hs_call_body', 'hs_call_title'], 'type': 'object'}}, 'required': ['properties'], 'type': 'object'}, 'type': 'array'}}, 'required': ['inputs'], 'type': 'object'}, description="""Create multiple call records in a single request"""), # shinzo-labs/HubSpot MCP/calls_batch_create
    Tool(name="""HubSpot MCP_calls_batch_read""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'inputs': {'items': {'additionalProperties': False, 'properties': {'associations': {'items': {'enum': ['contacts', 'companies', 'deals', 'tickets'], 'type': 'string'}, 'type': 'array'}, 'id': {'type': 'string'}, 'properties': {'items': {'type': 'string'}, 'type': 'array'}}, 'required': ['id'], 'type': 'object'}, 'type': 'array'}}, 'required': ['inputs'], 'type': 'object'}, description="""Read multiple call records in a single request"""), # shinzo-labs/HubSpot MCP/calls_batch_read
    Tool(name="""HubSpot MCP_calls_batch_update""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'inputs': {'items': {'additionalProperties': False, 'properties': {'id': {'type': 'string'}, 'properties': {'additionalProperties': {}, 'properties': {'hs_call_body': {'type': 'string'}, 'hs_call_direction': {'enum': ['INBOUND', 'OUTBOUND'], 'type': 'string'}, 'hs_call_disposition': {'type': 'string'}, 'hs_call_duration': {'type': 'number'}, 'hs_call_recording_url': {'format': 'uri', 'type': 'string'}, 'hs_call_status': {'enum': ['SCHEDULED', 'COMPLETED', 'CANCELED', 'NO_ANSWER'], 'type': 'string'}, 'hs_call_title': {'type': 'string'}, 'hs_timestamp': {'type': 'string'}, 'hubspot_owner_id': {'type': 'string'}}, 'required': ['hs_call_body', 'hs_call_title'], 'type': 'object'}}, 'required': ['id', 'properties'], 'type': 'object'}, 'type': 'array'}}, 'required': ['inputs'], 'type': 'object'}, description="""Update multiple call records in a single request"""), # shinzo-labs/HubSpot MCP/calls_batch_update
    Tool(name="""HubSpot MCP_calls_batch_archive""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'callIds': {'items': {'type': 'string'}, 'type': 'array'}}, 'required': ['callIds'], 'type': 'object'}, description="""Archive (delete) multiple call records in a single request"""), # shinzo-labs/HubSpot MCP/calls_batch_archive
    Tool(name="""HubSpot MCP_emails_create""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'associations': {'items': {'additionalProperties': False, 'properties': {'to': {'additionalProperties': False, 'properties': {'id': {'type': 'string'}}, 'required': ['id'], 'type': 'object'}, 'types': {'items': {'additionalProperties': False, 'properties': {'associationCategory': {'type': 'string'}, 'associationTypeId': {'type': 'number'}}, 'required': ['associationCategory', 'associationTypeId'], 'type': 'object'}, 'type': 'array'}}, 'required': ['to', 'types'], 'type': 'object'}, 'type': 'array'}, 'properties': {'additionalProperties': {}, 'properties': {'hs_email_bcc': {'items': {'format': 'email', 'type': 'string'}, 'type': 'array'}, 'hs_email_cc': {'items': {'format': 'email', 'type': 'string'}, 'type': 'array'}, 'hs_email_direction': {'enum': ['INBOUND', 'OUTBOUND'], 'type': 'string'}, 'hs_email_from_email': {'format': 'email', 'type': 'string'}, 'hs_email_from_firstname': {'type': 'string'}, 'hs_email_from_lastname': {'type': 'string'}, 'hs_email_headers': {'additionalProperties': {'type': 'string'}, 'type': 'object'}, 'hs_email_html': {'type': 'string'}, 'hs_email_status': {'enum': ['SENT', 'DRAFT', 'SCHEDULED'], 'type': 'string'}, 'hs_email_subject': {'type': 'string'}, 'hs_email_text': {'type': 'string'}, 'hs_email_to_email': {'format': 'email', 'type': 'string'}, 'hs_email_to_firstname': {'type': 'string'}, 'hs_email_to_lastname': {'type': 'string'}, 'hs_timestamp': {'type': 'string'}, 'hubspot_owner_id': {'type': 'string'}}, 'required': ['hs_email_subject', 'hs_email_text', 'hs_email_from_email', 'hs_email_to_email'], 'type': 'object'}}, 'required': ['properties'], 'type': 'object'}, description="""Create a new email record"""), # shinzo-labs/HubSpot MCP/emails_create
    Tool(name="""HubSpot MCP_emails_get""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'associations': {'items': {'enum': ['contacts', 'companies', 'deals', 'tickets'], 'type': 'string'}, 'type': 'array'}, 'emailId': {'type': 'string'}, 'properties': {'items': {'type': 'string'}, 'type': 'array'}}, 'required': ['emailId'], 'type': 'object'}, description="""Get details of a specific email"""), # shinzo-labs/HubSpot MCP/emails_get
    Tool(name="""HubSpot MCP_emails_update""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'emailId': {'type': 'string'}, 'properties': {'additionalProperties': {}, 'properties': {'hs_email_bcc': {'items': {'format': 'email', 'type': 'string'}, 'type': 'array'}, 'hs_email_cc': {'items': {'format': 'email', 'type': 'string'}, 'type': 'array'}, 'hs_email_direction': {'enum': ['INBOUND', 'OUTBOUND'], 'type': 'string'}, 'hs_email_from_email': {'format': 'email', 'type': 'string'}, 'hs_email_from_firstname': {'type': 'string'}, 'hs_email_from_lastname': {'type': 'string'}, 'hs_email_headers': {'additionalProperties': {'type': 'string'}, 'type': 'object'}, 'hs_email_html': {'type': 'string'}, 'hs_email_status': {'enum': ['SENT', 'DRAFT', 'SCHEDULED'], 'type': 'string'}, 'hs_email_subject': {'type': 'string'}, 'hs_email_text': {'type': 'string'}, 'hs_email_to_email': {'format': 'email', 'type': 'string'}, 'hs_email_to_firstname': {'type': 'string'}, 'hs_email_to_lastname': {'type': 'string'}, 'hs_timestamp': {'type': 'string'}, 'hubspot_owner_id': {'type': 'string'}}, 'required': ['hs_email_subject', 'hs_email_text', 'hs_email_from_email', 'hs_email_to_email'], 'type': 'object'}}, 'required': ['emailId', 'properties'], 'type': 'object'}, description="""Update an existing email record"""), # shinzo-labs/HubSpot MCP/emails_update
    Tool(name="""HubSpot MCP_emails_archive""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'emailId': {'type': 'string'}}, 'required': ['emailId'], 'type': 'object'}, description="""Archive (delete) an email record"""), # shinzo-labs/HubSpot MCP/emails_archive
    Tool(name="""HubSpot MCP_emails_list""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'after': {'type': 'string'}, 'archived': {'type': 'boolean'}, 'associations': {'items': {'enum': ['contacts', 'companies', 'deals', 'tickets'], 'type': 'string'}, 'type': 'array'}, 'limit': {'maximum': 100, 'minimum': 1, 'type': 'number'}, 'properties': {'items': {'type': 'string'}, 'type': 'array'}}, 'type': 'object'}, description="""List all emails with optional filtering"""), # shinzo-labs/HubSpot MCP/emails_list
    Tool(name="""HubSpot MCP_emails_search""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'after': {'type': 'string'}, 'filterGroups': {'items': {'additionalProperties': False, 'properties': {'filters': {'items': {'additionalProperties': False, 'properties': {'operator': {'enum': ['EQ', 'NEQ', 'LT', 'LTE', 'GT', 'GTE', 'BETWEEN', 'IN', 'NOT_IN', 'HAS_PROPERTY', 'NOT_HAS_PROPERTY', 'CONTAINS_TOKEN', 'NOT_CONTAINS_TOKEN'], 'type': 'string'}, 'propertyName': {'type': 'string'}, 'value': {}}, 'required': ['propertyName', 'operator'], 'type': 'object'}, 'type': 'array'}}, 'required': ['filters'], 'type': 'object'}, 'type': 'array'}, 'limit': {'maximum': 100, 'minimum': 1, 'type': 'number'}, 'properties': {'items': {'type': 'string'}, 'type': 'array'}, 'sorts': {'items': {'additionalProperties': False, 'properties': {'direction': {'enum': ['ASCENDING', 'DESCENDING'], 'type': 'string'}, 'propertyName': {'type': 'string'}}, 'required': ['propertyName', 'direction'], 'type': 'object'}, 'type': 'array'}}, 'required': ['filterGroups'], 'type': 'object'}, description="""Search emails with specific filters"""), # shinzo-labs/HubSpot MCP/emails_search
    Tool(name="""HubSpot MCP_communications_update_subscription_status""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'subscriptionId': {'type': 'string'}, 'updates': {'items': {'additionalProperties': False, 'properties': {'contactId': {'type': 'string'}, 'legalBasis': {'enum': ['LEGITIMATE_INTEREST_CLIENT', 'LEGITIMATE_INTEREST_PUB', 'PERFORMANCE_OF_CONTRACT', 'CONSENT_WITH_NOTICE', 'CONSENT_WITH_NOTICE_AND_OPT_OUT'], 'type': 'string'}, 'legalBasisExplanation': {'type': 'string'}, 'status': {'enum': ['SUBSCRIBED', 'UNSUBSCRIBED', 'NOT_OPTED'], 'type': 'string'}}, 'required': ['contactId', 'status'], 'type': 'object'}, 'type': 'array'}}, 'required': ['subscriptionId', 'updates'], 'type': 'object'}, description="""Update subscription status for multiple contacts"""), # shinzo-labs/HubSpot MCP/communications_update_subscription_status
    Tool(name="""HubSpot MCP_emails_batch_create""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'inputs': {'items': {'additionalProperties': False, 'properties': {'associations': {'items': {'additionalProperties': False, 'properties': {'to': {'additionalProperties': False, 'properties': {'id': {'type': 'string'}}, 'required': ['id'], 'type': 'object'}, 'types': {'items': {'additionalProperties': False, 'properties': {'associationCategory': {'type': 'string'}, 'associationTypeId': {'type': 'number'}}, 'required': ['associationCategory', 'associationTypeId'], 'type': 'object'}, 'type': 'array'}}, 'required': ['to', 'types'], 'type': 'object'}, 'type': 'array'}, 'properties': {'additionalProperties': {}, 'properties': {'hs_email_bcc': {'items': {'format': 'email', 'type': 'string'}, 'type': 'array'}, 'hs_email_cc': {'items': {'format': 'email', 'type': 'string'}, 'type': 'array'}, 'hs_email_direction': {'enum': ['INBOUND', 'OUTBOUND'], 'type': 'string'}, 'hs_email_from_email': {'format': 'email', 'type': 'string'}, 'hs_email_from_firstname': {'type': 'string'}, 'hs_email_from_lastname': {'type': 'string'}, 'hs_email_headers': {'additionalProperties': {'type': 'string'}, 'type': 'object'}, 'hs_email_html': {'type': 'string'}, 'hs_email_status': {'enum': ['SENT', 'DRAFT', 'SCHEDULED'], 'type': 'string'}, 'hs_email_subject': {'type': 'string'}, 'hs_email_text': {'type': 'string'}, 'hs_email_to_email': {'format': 'email', 'type': 'string'}, 'hs_email_to_firstname': {'type': 'string'}, 'hs_email_to_lastname': {'type': 'string'}, 'hs_timestamp': {'type': 'string'}, 'hubspot_owner_id': {'type': 'string'}}, 'required': ['hs_email_subject', 'hs_email_text', 'hs_email_from_email', 'hs_email_to_email'], 'type': 'object'}}, 'required': ['properties'], 'type': 'object'}, 'type': 'array'}}, 'required': ['inputs'], 'type': 'object'}, description="""Create multiple email records in a single request"""), # shinzo-labs/HubSpot MCP/emails_batch_create
    Tool(name="""HubSpot MCP_emails_batch_read""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'inputs': {'items': {'additionalProperties': False, 'properties': {'associations': {'items': {'enum': ['contacts', 'companies', 'deals', 'tickets'], 'type': 'string'}, 'type': 'array'}, 'id': {'type': 'string'}, 'properties': {'items': {'type': 'string'}, 'type': 'array'}}, 'required': ['id'], 'type': 'object'}, 'type': 'array'}}, 'required': ['inputs'], 'type': 'object'}, description="""Read multiple email records in a single request"""), # shinzo-labs/HubSpot MCP/emails_batch_read
    Tool(name="""HubSpot MCP_emails_batch_update""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'inputs': {'items': {'additionalProperties': False, 'properties': {'id': {'type': 'string'}, 'properties': {'additionalProperties': {}, 'properties': {'hs_email_bcc': {'items': {'format': 'email', 'type': 'string'}, 'type': 'array'}, 'hs_email_cc': {'items': {'format': 'email', 'type': 'string'}, 'type': 'array'}, 'hs_email_direction': {'enum': ['INBOUND', 'OUTBOUND'], 'type': 'string'}, 'hs_email_from_email': {'format': 'email', 'type': 'string'}, 'hs_email_from_firstname': {'type': 'string'}, 'hs_email_from_lastname': {'type': 'string'}, 'hs_email_headers': {'additionalProperties': {'type': 'string'}, 'type': 'object'}, 'hs_email_html': {'type': 'string'}, 'hs_email_status': {'enum': ['SENT', 'DRAFT', 'SCHEDULED'], 'type': 'string'}, 'hs_email_subject': {'type': 'string'}, 'hs_email_text': {'type': 'string'}, 'hs_email_to_email': {'format': 'email', 'type': 'string'}, 'hs_email_to_firstname': {'type': 'string'}, 'hs_email_to_lastname': {'type': 'string'}, 'hs_timestamp': {'type': 'string'}, 'hubspot_owner_id': {'type': 'string'}}, 'required': ['hs_email_subject', 'hs_email_text', 'hs_email_from_email', 'hs_email_to_email'], 'type': 'object'}}, 'required': ['id', 'properties'], 'type': 'object'}, 'type': 'array'}}, 'required': ['inputs'], 'type': 'object'}, description="""Update multiple email records in a single request"""), # shinzo-labs/HubSpot MCP/emails_batch_update
    Tool(name="""HubSpot MCP_emails_batch_archive""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'emailIds': {'items': {'type': 'string'}, 'type': 'array'}}, 'required': ['emailIds'], 'type': 'object'}, description="""Archive (delete) multiple email records in a single request"""), # shinzo-labs/HubSpot MCP/emails_batch_archive
    Tool(name="""HubSpot MCP_communications_get_preferences""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'contactId': {'type': 'string'}, 'subscriptionId': {'type': 'string'}}, 'required': ['contactId'], 'type': 'object'}, description="""Get communication preferences for a contact"""), # shinzo-labs/HubSpot MCP/communications_get_preferences
    Tool(name="""HubSpot MCP_communications_update_preferences""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'contactId': {'type': 'string'}, 'preferences': {'additionalProperties': {}, 'properties': {'legalBasis': {'enum': ['LEGITIMATE_INTEREST_CLIENT', 'LEGITIMATE_INTEREST_PUB', 'PERFORMANCE_OF_CONTRACT', 'CONSENT_WITH_NOTICE', 'CONSENT_WITH_NOTICE_AND_OPT_OUT'], 'type': 'string'}, 'legalBasisExplanation': {'type': 'string'}, 'status': {'enum': ['SUBSCRIBED', 'UNSUBSCRIBED', 'NOT_OPTED'], 'type': 'string'}, 'subscriptionId': {'type': 'string'}}, 'required': ['subscriptionId', 'status'], 'type': 'object'}, 'subscriptionId': {'type': 'string'}}, 'required': ['contactId', 'subscriptionId', 'preferences'], 'type': 'object'}, description="""Update communication preferences for a contact"""), # shinzo-labs/HubSpot MCP/communications_update_preferences
    Tool(name="""HubSpot MCP_communications_unsubscribe_contact""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'contactId': {'type': 'string'}, 'portalSubscriptionLegalBasis': {'enum': ['LEGITIMATE_INTEREST_CLIENT', 'LEGITIMATE_INTEREST_PUB', 'PERFORMANCE_OF_CONTRACT', 'CONSENT_WITH_NOTICE', 'CONSENT_WITH_NOTICE_AND_OPT_OUT'], 'type': 'string'}, 'portalSubscriptionLegalBasisExplanation': {'type': 'string'}}, 'required': ['contactId'], 'type': 'object'}, description="""Unsubscribe a contact from all email communications"""), # shinzo-labs/HubSpot MCP/communications_unsubscribe_contact
    Tool(name="""HubSpot MCP_communications_subscribe_contact""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'contactId': {'type': 'string'}, 'portalSubscriptionLegalBasis': {'enum': ['LEGITIMATE_INTEREST_CLIENT', 'LEGITIMATE_INTEREST_PUB', 'PERFORMANCE_OF_CONTRACT', 'CONSENT_WITH_NOTICE', 'CONSENT_WITH_NOTICE_AND_OPT_OUT'], 'type': 'string'}, 'portalSubscriptionLegalBasisExplanation': {'type': 'string'}}, 'required': ['contactId'], 'type': 'object'}, description="""Subscribe a contact to all email communications"""), # shinzo-labs/HubSpot MCP/communications_subscribe_contact
    Tool(name="""HubSpot MCP_communications_get_subscription_definitions""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'archived': {'type': 'boolean'}}, 'type': 'object'}, description="""Get all subscription definitions for the portal"""), # shinzo-labs/HubSpot MCP/communications_get_subscription_definitions
    Tool(name="""HubSpot MCP_communications_get_subscription_status""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'contactIds': {'items': {'type': 'string'}, 'type': 'array'}, 'subscriptionId': {'type': 'string'}}, 'required': ['subscriptionId', 'contactIds'], 'type': 'object'}, description="""Get subscription status for multiple contacts"""), # shinzo-labs/HubSpot MCP/communications_get_subscription_status
    Tool(name="""Letz AI MCP_letzai_create_image""", inputSchema={'properties': {'creativity': {'default': 2, 'description': 'Defines how strictly the prompt should be respected. Higher Creativity makes the images more artificial. Lower makes it more photorealistic. Min: 1, Default: 2, Max: 5', 'type': 'number'}, 'hasWatermark': {'default': True, 'description': 'Defines whether to set a watermark or not. Default is true', 'type': 'boolean'}, 'height': {'default': 1600, 'description': 'Height of the image should be between 520 and 2160 max pixels. Default is 1600.', 'type': 'number'}, 'mode': {'default': 'turbo', 'description': 'Select one of the different modes that offer different generation settings. Allowed values: default, sigma, turbo. Default is slow but high quality. Sigma is faster and great for close ups. Turbo is fastest, but lower quality.', 'enum': ['default', 'turbo', 'sigma'], 'type': 'string'}, 'prompt': {'description': 'Image prompt to generate a new image. Can also include @tag to generate an image using a model from the LetzAi Platform', 'type': 'string'}, 'quality': {'default': 2, 'description': 'Defines how many steps the generation should take. Higher is slower, but generally better quality. Min: 1, Default: 2, Max: 5', 'type': 'number'}, 'systemVersion': {'default': 3, 'description': 'Allowed values: 2, 3. UseLetzAI V2, or V3 (newest).', 'type': 'number'}, 'width': {'default': 1600, 'description': 'Width of the image should be between 520 and 2160 max pixels. Default is 1600.', 'type': 'number'}}, 'required': ['prompt'], 'type': 'object'}, description="""Create an image using the LetzAI public api"""), # Letz-AI/Letz AI MCP/letzai_create_image
    Tool(name="""Letz AI MCP_letzai_upscale_image""", inputSchema={'properties': {'imageId': {'description': 'The unique identifier of the image to be upscaled.', 'type': 'string'}, 'imageUrl': {'description': 'The URL of the image to be upscaled. Must be a publicly available URL.', 'type': 'string'}, 'strength': {'default': 1, 'description': 'The strength of the upscaling process. Min. 1, Max. 3.', 'type': 'number'}}, 'required': ['strength'], 'type': 'object'}, description="""Upscale an image using the LetzAI public api"""), # Letz-AI/Letz AI MCP/letzai_upscale_image
    Tool(name="""time-mcp_get_timestamp""", inputSchema={'properties': {'time': {'description': 'The time to get the timestamp. Format: YYYY-MM-DD HH:mm:ss', 'type': 'string'}}, 'type': 'object'}, description="""Get the timestamp of a time."""), # yokingma/time-mcp/get_timestamp
    Tool(name="""time-mcp_convert_time""", inputSchema={'properties': {'sourceTimezone': {'description': 'The source timezone. IANA timezone name, e.g. Asia/Shanghai', 'type': 'string'}, 'targetTimezone': {'description': 'The target timezone. IANA timezone name, e.g. Europe/London', 'type': 'string'}, 'time': {'description': 'Date and time in 24-hour format. e.g. 2025-03-23 12:30:00', 'type': 'string'}}, 'required': ['sourceTimezone', 'targetTimezone', 'time'], 'type': 'object'}, description="""Convert time between timezones."""), # yokingma/time-mcp/convert_time
    Tool(name="""time-mcp_current_time""", inputSchema={'properties': {'format': {'default': 'YYYY-MM-DD HH:mm:ss', 'description': 'The format of the time, default is empty string', 'enum': ['h:mm A', 'h:mm:ss A', 'YYYY-MM-DD HH:mm:ss', 'YYYY-MM-DD', 'YYYY-MM', 'MM/DD/YYYY', 'MM/DD/YY', 'YYYY/MM/DD', 'YYYY/MM'], 'type': 'string'}, 'timezone': {'description': 'The timezone of the time, IANA timezone name, e.g. Asia/Shanghai', 'type': 'string'}}, 'required': ['format'], 'type': 'object'}, description="""Get the current date and time."""), # yokingma/time-mcp/current_time
    Tool(name="""time-mcp_relative_time""", inputSchema={'properties': {'time': {'description': 'The time to get the relative time from now. Format: YYYY-MM-DD HH:mm:ss', 'type': 'string'}}, 'type': 'object'}, description="""Get the relative time from now."""), # yokingma/time-mcp/relative_time
    Tool(name="""time-mcp_days_in_month""", inputSchema={'properties': {'date': {'description': 'The date to get the days in month. Format: YYYY-MM-DD', 'type': 'string'}}, 'type': 'object'}, description="""Get the number of days in a month."""), # yokingma/time-mcp/days_in_month
    Tool(name="""Atlassian Confluence MCP Server_list-spaces""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'cursor': {'description': 'Pagination cursor for retrieving the next set of results. Use this to navigate through large result sets. The cursor value can be obtained from the pagination information in a previous response.', 'type': 'string'}, 'limit': {'description': 'Maximum number of spaces to return (1-250). Use this to control the response size. Useful for pagination or when you only need a few results.', 'maximum': 250, 'minimum': 1, 'type': 'number'}, 'status': {'description': 'Filter spaces by status. Options: "current" (active spaces) or "archived" (inactive spaces). Defaults to "current" if not specified.', 'enum': ['current', 'archived'], 'type': 'string'}, 'type': {'description': 'Filter spaces by type. Options: "global" (company-wide spaces), "personal" (user-specific spaces), "collaboration" (team spaces), or "knowledge_base" (documentation spaces). Defaults to "global" if not specified.', 'enum': ['global', 'personal', 'collaboration', 'knowledge_base'], 'type': 'string'}}, 'type': 'object'}, description="""List Confluence spaces with optional filtering capabilities.\n\nPURPOSE: Discovers available spaces in your Confluence instance with their keys, names, types, and URLs.\n\nWHEN TO USE:\n- When you need to discover what spaces exist in your Confluence instance\n- When you want to find spaces by type (global, personal, archived)\n- When you need to browse available spaces before accessing specific pages\n- When you need space keys for use with other Confluence tools\n\nWHEN NOT TO USE:\n- When you already know the specific space key/ID (use get-space instead)\n- When you need detailed information about a specific space (use get-space instead)\n- When you need to find content across multiple spaces (use search instead)\n- When you need to list pages within a specific space (use list-pages instead)\n\nRETURNS: Formatted list of spaces with IDs, keys, names, types, and URLs, plus pagination info.\n\nEXAMPLES:\n- List all spaces: {}\n- Filter by type: {type: \"global\"}\n- With pagination: {limit: 10, cursor: \"next-page-token\"}\n\nERRORS:\n- Authentication failures: Check your Confluence credentials\n- No spaces found: Verify your permissions in Confluence\n- Rate limiting: Use pagination and reduce query frequency"""), # aashari/Atlassian Confluence MCP Server/list-spaces
    Tool(name="""Atlassian Confluence MCP Server_get-space""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'id': {'description': 'The numeric ID of the Confluence space to retrieve (e.g., "123456"). This is required and must be a valid space ID from your Confluence instance.', 'type': 'string'}}, 'required': ['id'], 'type': 'object'}, description="""Get detailed information about a specific Confluence space by ID or key.\n\nPURPOSE: Retrieves comprehensive space metadata including description, homepage, permissions, and more.\n\nWHEN TO USE:\n- When you need detailed information about a specific space\n- When you need to find the homepage or key pages within a space\n- When you need to verify space permissions or settings\n- After using list-spaces to identify the relevant space\n\nWHEN NOT TO USE:\n- When you don't know which space to look for (use list-spaces first)\n- When you need to browse multiple spaces (use list-spaces instead)\n- When you need to find specific content (use search or list-pages instead)\n\nRETURNS: Detailed space information including key, name, description, type, homepage, and metadata.\n\nEXAMPLES:\n- By key: {idOrKey: \"DEV\"}\n- By ID: {idOrKey: \"123456\"}\n\nERRORS:\n- Space not found: Verify the space key or ID is correct\n- Permission errors: Ensure you have access to the requested space\n- Rate limiting: Cache space information when possible"""), # aashari/Atlassian Confluence MCP Server/get-space
    Tool(name="""Atlassian Confluence MCP Server_list-pages""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'cursor': {'description': 'Pagination cursor for retrieving the next set of results. Use this to navigate through large result sets. The cursor value can be obtained from the pagination information in a previous response.', 'type': 'string'}, 'limit': {'description': 'Maximum number of pages to return (1-250). Use this to control the response size. Useful for pagination or when you only need a few results. The Confluence API caps results at 250 items per request.', 'maximum': 250, 'minimum': 1, 'type': 'number'}, 'spaceId': {'description': 'Filter pages by space IDs. Provide an array of space IDs (e.g., ["123456", "789012"]) to only show pages from specific spaces. Useful when you want to focus on content from particular projects or teams.', 'items': {'type': 'string'}, 'type': 'array'}, 'status': {'description': 'Filter pages by status. Options include: "current" (published pages), "trashed" (pages in trash), "deleted" (permanently deleted), "draft" (unpublished drafts), "archived" (archived pages), or "historical" (previous versions). Defaults to "current" if not specified. Provide as an array to include multiple statuses.', 'items': {'enum': ['current', 'trashed', 'deleted', 'draft', 'archived', 'historical'], 'type': 'string'}, 'type': 'array'}}, 'type': 'object'}, description="""List Confluence pages with optional filtering by space and status.\n\nPURPOSE: Finds pages within Confluence spaces with their IDs, titles, and locations to help you discover available content.\n\nWHEN TO USE:\n- When you need to find pages within a specific space\n- When you want to list the most recently updated content\n- When you need to browse available pages before accessing specific content\n- When you need page IDs for use with other Confluence tools\n- When looking for pages with specific statuses (current, draft, trashed)\n\nWHEN NOT TO USE:\n- When you already know the specific page ID (use get-page instead)\n- When you need the actual content of a page (use get-page instead)\n- When you need to search across multiple spaces (use search instead)\n- When you need to find spaces rather than pages (use list-spaces instead)\n\nRETURNS: Formatted list of pages with IDs, titles, space information, and URLs, plus pagination info.\n\nEXAMPLES:\n- Pages in a space: {spaceId: \"DEV\"}\n- With status filter: {spaceId: \"DEV\", status: \"current\"}\n- With pagination: {spaceId: \"DEV\", limit: 10, cursor: \"next-page-token\"}\n\nERRORS:\n- Space not found: Verify the space ID is correct\n- Authentication failures: Check your Confluence credentials\n- No pages found: The space might be empty or you lack permissions\n- Rate limiting: Use pagination and reduce query frequency"""), # aashari/Atlassian Confluence MCP Server/list-pages
    Tool(name="""Atlassian Confluence MCP Server_get-page""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'id': {'description': 'The numeric ID of the Confluence page to retrieve (e.g., "456789"). This is required and must be a valid page ID from your Confluence instance. The page content will be returned in Markdown format for easy reading.', 'type': 'string'}}, 'required': ['id'], 'type': 'object'}, description="""Get detailed information and content of a specific Confluence page by ID.\n\nPURPOSE: Retrieves the full content of a page in Markdown format along with comprehensive metadata.\n\nWHEN TO USE:\n- When you need to read the actual content of a page\n- When you need detailed page metadata (author, dates, versions)\n- When you need to extract specific information from a page\n- After using list-pages or search to identify relevant page IDs\n\nWHEN NOT TO USE:\n- When you don't know which page to look for (use list-pages or search first)\n- When you only need basic page information without content (use list-pages instead)\n- When you need to find content across multiple pages (use search instead)\n\nRETURNS: Complete page content in Markdown format with metadata including title, author, version, space, and creation/modification dates.\n\nEXAMPLES:\n- By ID: {id: \"123456\"}\n\nERRORS:\n- Page not found: Verify the page ID is correct\n- Permission errors: Ensure you have access to the requested page\n- Rate limiting: Cache page content when possible for frequently accessed pages"""), # aashari/Atlassian Confluence MCP Server/get-page
    Tool(name="""Atlassian Confluence MCP Server_search""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'cql': {'description': 'The Confluence Query Language (CQL) query to search for. This is a powerful query language that allows you to search for content based on various criteria. Examples:\n- Search by space: "space=DEV AND type=page"\n- Search by title: "title~Project AND type=page"\n- Search by content: "text~API AND type=page"\n- Search by label: "label=documentation AND type=page"\n- Combined search: "space=DEV AND title~Project AND created>=2023-01-01"', 'type': 'string'}, 'cursor': {'description': 'Pagination cursor for retrieving the next set of results. Use this to navigate through large result sets. The cursor value can be obtained from the pagination information in a previous response.', 'type': 'string'}, 'limit': {'description': 'Maximum number of results to return (1-100). Use this to control the response size. Useful for pagination or when you only need a few results. The Confluence API may have its own limits on the number of results returned.', 'maximum': 100, 'minimum': 1, 'type': 'number'}}, 'required': ['cql'], 'type': 'object'}, description="""Search for content across Confluence using Confluence Query Language (CQL).\n\nPURPOSE: Finds content matching specific criteria with excerpts showing matches, helping you discover relevant information across spaces.\n\nWHEN TO USE:\n- When you need to find specific content across multiple spaces\n- When you want to search by various criteria (text, title, labels, content type)\n- When you need to gather information scattered across different pages\n- When you're unfamiliar with the structure of Confluence and need discovery\n- When looking for content with specific labels or within specific date ranges\n\nWHEN NOT TO USE:\n- When you already know the exact space and page (use get-page instead)\n- When you want to list all spaces or pages systematically (use list-spaces/list-pages)\n- When performing many rapid, consecutive searches (consider rate limits)\n- When you need to retrieve complete page content (use get-page after search)\n\nRETURNS: Search results with titles, excerpts showing matches, content types, spaces, and URLs, plus pagination info.\n\nEXAMPLES:\n- Simple text search: {cql: \"text~documentation\"}\n- Space-specific search: {cql: \"space=DEV AND text~API\"}\n- Title search: {cql: \"title~Project Plan\"}\n- Content type filter: {cql: \"type=page AND label=important\"}\n- With pagination: {cql: \"text~API\", limit: 10, cursor: \"next-page-token\"}\n\nERRORS:\n- Invalid CQL syntax: Check CQL syntax (example: \"type=page AND space=DEV\")\n- No results: Try broader search terms or check different spaces\n- Authentication failures: Check your Confluence credentials\n- Rate limiting: Use more specific queries and pagination"""), # aashari/Atlassian Confluence MCP Server/search
    Tool(name="""URL Shortener MCP_shorten""", inputSchema={'properties': {'original_url': {'title': 'Original Url', 'type': 'string'}}, 'required': ['original_url'], 'title': 'shortenArguments', 'type': 'object'}, description="""Shorten a URL using the cleanuri API.\n\n    Args:\n        original_url: The URL to shorten.\n    """), # Talismanic/URL Shortener MCP/shorten
    Tool(name="""Nostr MCP Server_getProfile""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'pubkey': {'description': 'Public key of the Nostr user (hex format or npub format)', 'type': 'string'}, 'relays': {'description': 'Optional list of relays to query', 'items': {'type': 'string'}, 'type': 'array'}}, 'required': ['pubkey'], 'type': 'object'}, description="""Get a Nostr profile by public key"""), # AustinKelsay/Nostr MCP Server/getProfile
    Tool(name="""Nostr MCP Server_getKind1Notes""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'limit': {'default': 10, 'description': 'Maximum number of notes to fetch', 'maximum': 100, 'minimum': 1, 'type': 'number'}, 'pubkey': {'description': 'Public key of the Nostr user (hex format or npub format)', 'type': 'string'}, 'relays': {'description': 'Optional list of relays to query', 'items': {'type': 'string'}, 'type': 'array'}}, 'required': ['pubkey'], 'type': 'object'}, description="""Get text notes (kind 1) by public key"""), # AustinKelsay/Nostr MCP Server/getKind1Notes
    Tool(name="""Nostr MCP Server_getReceivedZaps""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'debug': {'default': False, 'description': 'Enable verbose debug logging', 'type': 'boolean'}, 'limit': {'default': 10, 'description': 'Maximum number of zaps to fetch', 'maximum': 100, 'minimum': 1, 'type': 'number'}, 'pubkey': {'description': 'Public key of the Nostr user (hex format or npub format)', 'type': 'string'}, 'relays': {'description': 'Optional list of relays to query', 'items': {'type': 'string'}, 'type': 'array'}, 'validateReceipts': {'default': True, 'description': 'Whether to validate zap receipts according to NIP-57', 'type': 'boolean'}}, 'required': ['pubkey'], 'type': 'object'}, description="""Get zaps received by a public key"""), # AustinKelsay/Nostr MCP Server/getReceivedZaps
    Tool(name="""Nostr MCP Server_getSentZaps""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'debug': {'default': False, 'description': 'Enable verbose debug logging', 'type': 'boolean'}, 'limit': {'default': 10, 'description': 'Maximum number of zaps to fetch', 'maximum': 100, 'minimum': 1, 'type': 'number'}, 'pubkey': {'description': 'Public key of the Nostr user (hex format or npub format)', 'type': 'string'}, 'relays': {'description': 'Optional list of relays to query', 'items': {'type': 'string'}, 'type': 'array'}, 'validateReceipts': {'default': True, 'description': 'Whether to validate zap receipts according to NIP-57', 'type': 'boolean'}}, 'required': ['pubkey'], 'type': 'object'}, description="""Get zaps sent by a public key"""), # AustinKelsay/Nostr MCP Server/getSentZaps
    Tool(name="""Nostr MCP Server_getAllZaps""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'debug': {'default': False, 'description': 'Enable verbose debug logging', 'type': 'boolean'}, 'limit': {'default': 20, 'description': 'Maximum number of total zaps to fetch', 'maximum': 100, 'minimum': 1, 'type': 'number'}, 'pubkey': {'description': 'Public key of the Nostr user (hex format or npub format)', 'type': 'string'}, 'relays': {'description': 'Optional list of relays to query', 'items': {'type': 'string'}, 'type': 'array'}, 'validateReceipts': {'default': True, 'description': 'Whether to validate zap receipts according to NIP-57', 'type': 'boolean'}}, 'required': ['pubkey'], 'type': 'object'}, description="""Get all zaps (sent and received) for a public key"""), # AustinKelsay/Nostr MCP Server/getAllZaps
    Tool(name="""Aiven MCP Server_list_projects""", inputSchema={'properties': {}, 'title': 'list_projectsArguments', 'type': 'object'}, description=""""""), # Aiven-Open/Aiven MCP Server/list_projects
    Tool(name="""Aiven MCP Server_list_services""", inputSchema={'properties': {'project_name': {'title': 'project_name', 'type': 'string'}}, 'required': ['project_name'], 'title': 'list_servicesArguments', 'type': 'object'}, description=""""""), # Aiven-Open/Aiven MCP Server/list_services
    Tool(name="""Aiven MCP Server_get_service_details""", inputSchema={'properties': {'project_name': {'title': 'project_name', 'type': 'string'}, 'service_name': {'title': 'service_name', 'type': 'string'}}, 'required': ['project_name', 'service_name'], 'title': 'get_service_detailsArguments', 'type': 'object'}, description=""""""), # Aiven-Open/Aiven MCP Server/get_service_details
    Tool(name="""Revit MCP_color_elements""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'categoryName': {'description': "The name of the Revit category to color (e.g., 'Walls', 'Doors', 'Rooms')", 'type': 'string'}, 'customColors': {'description': 'Optional array of custom RGB colors to use for specific parameter values', 'items': {'additionalProperties': False, 'properties': {'b': {'maximum': 255, 'minimum': 0, 'type': 'integer'}, 'g': {'maximum': 255, 'minimum': 0, 'type': 'integer'}, 'r': {'maximum': 255, 'minimum': 0, 'type': 'integer'}}, 'required': ['r', 'g', 'b'], 'type': 'object'}, 'type': 'array'}, 'parameterName': {'description': 'The name of the parameter to use for grouping and coloring elements', 'type': 'string'}, 'useGradient': {'default': False, 'description': 'Whether to use a gradient color scheme instead of random colors', 'type': 'boolean'}}, 'required': ['categoryName', 'parameterName'], 'type': 'object'}, description="""Color elements in the current view based on a category and parameter value. Each unique parameter value gets assigned a distinct color."""), # revit-mcp/Revit MCP/color_elements
    Tool(name="""Revit MCP_get_current_view_elements""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'annotationCategoryList': {'description': "List of Revit annotation category names (e.g., 'OST_Dimensions', 'OST_WallTags', 'OST_TextNotes')", 'items': {'type': 'string'}, 'type': 'array'}, 'includeHidden': {'description': 'Whether to include hidden elements in the results', 'type': 'boolean'}, 'limit': {'description': 'Maximum number of elements to return', 'type': 'number'}, 'modelCategoryList': {'description': "List of Revit model category names (e.g., 'OST_Walls', 'OST_Doors', 'OST_Floors')", 'items': {'type': 'string'}, 'type': 'array'}}, 'type': 'object'}, description="""Get elements from the current active view in Revit. You can filter by model categories (like Walls, Floors) or annotation categories (like Dimensions, Text). Use includeHidden to show/hide invisible elements and limit to control the number of returned elements."""), # revit-mcp/Revit MCP/get_current_view_elements
    Tool(name="""Revit MCP_create_line_based_element""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'data': {'description': 'Array of line-based elements to create', 'items': {'additionalProperties': False, 'properties': {'baseLevel': {'description': 'Base level height', 'type': 'number'}, 'baseOffset': {'description': 'Offset from the base level', 'type': 'number'}, 'height': {'description': 'Height of the element (e.g., wall height)', 'type': 'number'}, 'locationLine': {'additionalProperties': False, 'description': "The line defining the element's location", 'properties': {'p0': {'additionalProperties': False, 'properties': {'x': {'description': 'X coordinate of start point', 'type': 'number'}, 'y': {'description': 'Y coordinate of start point', 'type': 'number'}, 'z': {'description': 'Z coordinate of start point', 'type': 'number'}}, 'required': ['x', 'y', 'z'], 'type': 'object'}, 'p1': {'additionalProperties': False, 'properties': {'x': {'description': 'X coordinate of end point', 'type': 'number'}, 'y': {'description': 'Y coordinate of end point', 'type': 'number'}, 'z': {'description': 'Z coordinate of end point', 'type': 'number'}}, 'required': ['x', 'y', 'z'], 'type': 'object'}}, 'required': ['p0', 'p1'], 'type': 'object'}, 'name': {'description': 'Description of the element (e.g., wall, beam)', 'type': 'string'}, 'thickness': {'description': 'Thickness/width of the element (e.g., wall thickness)', 'type': 'number'}, 'typeId': {'description': 'The ID of the family type to create.', 'type': 'number'}}, 'required': ['name', 'locationLine', 'thickness', 'height', 'baseLevel', 'baseOffset'], 'type': 'object'}, 'type': 'array'}}, 'required': ['data'], 'type': 'object'}, description="""Create one or more line-based elements in Revit such as walls, beams, or pipes. Supports batch creation with detailed parameters including family type ID, start and end points, thickness, height, and level information. All units are in millimeters (mm)."""), # revit-mcp/Revit MCP/create_line_based_element
    Tool(name="""Revit MCP_create_point_based_element""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'data': {'description': 'Array of point-based elements to create', 'items': {'additionalProperties': False, 'properties': {'baseLevel': {'description': 'Base level height', 'type': 'number'}, 'baseOffset': {'description': 'Offset from the base level', 'type': 'number'}, 'depth': {'description': 'Depth of the element in mm', 'type': 'number'}, 'height': {'description': 'Height of the element in mm', 'type': 'number'}, 'locationPoint': {'additionalProperties': False, 'description': 'The position coordinates where the element will be placed', 'properties': {'x': {'description': 'X coordinate', 'type': 'number'}, 'y': {'description': 'Y coordinate', 'type': 'number'}, 'z': {'description': 'Z coordinate', 'type': 'number'}}, 'required': ['x', 'y', 'z'], 'type': 'object'}, 'name': {'description': 'Description of the element (e.g., door, window)', 'type': 'string'}, 'rotation': {'description': 'Rotation angle in degrees (0-360)', 'type': 'number'}, 'typeId': {'description': 'The ID of the family type to create.', 'type': 'number'}, 'width': {'description': 'Width of the element in mm', 'type': 'number'}}, 'required': ['name', 'locationPoint', 'width', 'height', 'baseLevel', 'baseOffset'], 'type': 'object'}, 'type': 'array'}}, 'required': ['data'], 'type': 'object'}, description="""Create one or more point-based elements in Revit such as doors, windows, or furniture. Supports batch creation with detailed parameters including family type ID, position, dimensions, and level information. All units are in millimeters (mm)."""), # revit-mcp/Revit MCP/create_point_based_element
    Tool(name="""Revit MCP_create_surface_based_element""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'data': {'description': 'Array of surface-based elements to create', 'items': {'additionalProperties': False, 'properties': {'baseLevel': {'description': 'Base level height', 'type': 'number'}, 'baseOffset': {'description': 'Offset from the base level', 'type': 'number'}, 'boundary': {'additionalProperties': False, 'description': 'Boundary definition with outer loop', 'properties': {'outerLoop': {'description': 'Array of line segments defining the boundary', 'items': {'additionalProperties': False, 'properties': {'p0': {'additionalProperties': False, 'properties': {'x': {'description': 'X coordinate of start point', 'type': 'number'}, 'y': {'description': 'Y coordinate of start point', 'type': 'number'}, 'z': {'description': 'Z coordinate of start point', 'type': 'number'}}, 'required': ['x', 'y', 'z'], 'type': 'object'}, 'p1': {'additionalProperties': False, 'properties': {'x': {'description': 'X coordinate of end point', 'type': 'number'}, 'y': {'description': 'Y coordinate of end point', 'type': 'number'}, 'z': {'description': 'Z coordinate of end point', 'type': 'number'}}, 'required': ['x', 'y', 'z'], 'type': 'object'}}, 'required': ['p0', 'p1'], 'type': 'object'}, 'minItems': 3, 'type': 'array'}}, 'required': ['outerLoop'], 'type': 'object'}, 'name': {'description': 'Description of the element (e.g., floor, ceiling)', 'type': 'string'}, 'thickness': {'description': 'Thickness of the element', 'type': 'number'}, 'typeId': {'description': 'The ID of the family type to create.', 'type': 'number'}}, 'required': ['name', 'boundary', 'thickness', 'baseLevel', 'baseOffset'], 'type': 'object'}, 'type': 'array'}}, 'required': ['data'], 'type': 'object'}, description="""Create one or more surface-based elements in Revit such as floors, ceilings, or roofs. Supports batch creation with detailed parameters including family type ID, boundary lines, thickness, and level information. All units are in millimeters (mm)."""), # revit-mcp/Revit MCP/create_surface_based_element
    Tool(name="""Revit MCP_delete_element""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'elementIds': {'description': 'The IDs of the elements to delete', 'items': {'type': 'string'}, 'type': 'array'}}, 'required': ['elementIds'], 'type': 'object'}, description="""Delete one or more elements from the Revit model by their element IDs."""), # revit-mcp/Revit MCP/delete_element
    Tool(name="""Revit MCP_get_available_family_types""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'categoryList': {'description': "List of Revit category names to filter by (e.g., 'OST_Walls', 'OST_Doors', 'OST_Furniture')", 'items': {'type': 'string'}, 'type': 'array'}, 'familyNameFilter': {'description': 'Filter family types by family name (partial match)', 'type': 'string'}, 'limit': {'description': 'Maximum number of family types to return', 'type': 'number'}}, 'type': 'object'}, description="""Get available family types in the current Revit project. You can filter by category and family name, and limit the number of returned types."""), # revit-mcp/Revit MCP/get_available_family_types
    Tool(name="""Revit MCP_get_current_view_info""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {}, 'type': 'object'}, description=""" Revit """), # revit-mcp/Revit MCP/get_current_view_info
    Tool(name="""Revit MCP_get_selected_elements""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'limit': {'description': 'Maximum number of elements to return', 'type': 'number'}}, 'type': 'object'}, description="""Get elements currently selected in Revit. You can limit the number of returned elements."""), # revit-mcp/Revit MCP/get_selected_elements
    Tool(name="""Revit MCP_send_code_to_revit""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'code': {'description': 'The C# code to execute in Revit. This code will be inserted into the Execute method of a template with access to Document and parameters.', 'type': 'string'}, 'parameters': {'description': 'Optional execution parameters that will be passed to your code', 'type': 'array'}}, 'required': ['code'], 'type': 'object'}, description="""Send C# code to Revit for execution. The code will be inserted into a template with access to the Revit Document and parameters. Your code should be written to work within the Execute method of the template."""), # revit-mcp/Revit MCP/send_code_to_revit
    Tool(name="""Revit MCP_tag_all_walls""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'tagTypeId': {'description': 'The ID of the specific wall tag family type to use. If not provided, the default wall tag type will be used', 'type': 'string'}, 'useLeader': {'default': False, 'description': 'Whether to use a leader line when creating the tags', 'type': 'boolean'}}, 'type': 'object'}, description="""Create tags for all walls in the current active view. Tags will be placed at the middle point of each wall."""), # revit-mcp/Revit MCP/tag_all_walls
    Tool(name="""Starwind UI MCP Server_init_project""", inputSchema={'properties': {'packageManager': {'description': 'Package manager to use (npm, yarn, pnpm)', 'enum': ['npm', 'yarn', 'pnpm'], 'type': 'string'}}, 'required': [], 'type': 'object'}, description="""Initializes a new project with Starwind UI"""), # starwind-ui/Starwind UI MCP Server/init_project
    Tool(name="""Starwind UI MCP Server_install_component""", inputSchema={'properties': {'additionalComponents': {'description': 'Additional components to install', 'items': {'type': 'string'}, 'type': 'array'}, 'component': {'description': 'Component name to install', 'type': 'string'}, 'options': {'description': "Additional options for installation (e.g., '--all' to install all components)", 'items': {'type': 'string'}, 'type': 'array'}, 'packageManager': {'description': 'Package manager to use (npm, yarn, pnpm)', 'enum': ['npm', 'yarn', 'pnpm'], 'type': 'string'}}, 'required': ['component'], 'type': 'object'}, description="""Generates installation commands for Starwind UI components"""), # starwind-ui/Starwind UI MCP Server/install_component
    Tool(name="""Starwind UI MCP Server_update_component""", inputSchema={'properties': {'additionalComponents': {'description': 'Additional components to update', 'items': {'type': 'string'}, 'type': 'array'}, 'component': {'description': 'Component name to update', 'type': 'string'}, 'options': {'description': "Additional options for updating (e.g., '--all' to update all components)", 'items': {'type': 'string'}, 'type': 'array'}, 'packageManager': {'description': 'Package manager to use (npm, yarn, pnpm)', 'enum': ['npm', 'yarn', 'pnpm'], 'type': 'string'}}, 'required': ['component'], 'type': 'object'}, description="""Generates update commands for Starwind UI components"""), # starwind-ui/Starwind UI MCP Server/update_component
    Tool(name="""Starwind UI MCP Server_get_documentation""", inputSchema={'properties': {'component': {'description': 'Specific component to get documentation for (only used when type is components)', 'type': 'string'}, 'type': {'description': 'Type of documentation to retrieve (defaults to overview)', 'enum': ['overview', 'getting-started', 'cli', 'installation', 'theming', 'components', 'full'], 'type': 'string'}}, 'required': [], 'type': 'object'}, description="""Returns documentation links for Starwind UI"""), # starwind-ui/Starwind UI MCP Server/get_documentation
    Tool(name="""Starwind UI MCP Server_fetch_llm_data""", inputSchema={'properties': {'full': {'description': 'Whether to fetch the full LLM data (defaults to false)', 'type': 'boolean'}}, 'required': [], 'type': 'object'}, description="""Fetches LLM data from starwind.dev (rate limited to 3 requests per minute, with caching)"""), # starwind-ui/Starwind UI MCP Server/fetch_llm_data
    Tool(name="""Starwind UI MCP Server_get_package_manager""", inputSchema={'properties': {'cwd': {'description': 'Root directory to check for lock files', 'type': 'string'}, 'defaultManager': {'description': 'Default package manager to use if detection fails (npm, yarn, pnpm)', 'enum': ['npm', 'yarn', 'pnpm'], 'type': 'string'}}, 'required': ['cwd'], 'type': 'object'}, description="""Detects and returns the current package manager information"""), # starwind-ui/Starwind UI MCP Server/get_package_manager
    Tool(name="""Armor Crypto MCP_create_groups""", inputSchema={'properties': {'group_names_list': {'items': {'type': 'string'}, 'title': 'Group Names List', 'type': 'array'}}, 'required': ['group_names_list'], 'title': 'create_groupsArguments', 'type': 'object'}, description="""\n    Create new wallet groups.\n    \n    Expects a list of group names.\n    """), # armorwallet/Armor Crypto MCP/create_groups
    Tool(name="""Armor Crypto MCP_get_wallet_token_balance""", inputSchema={'properties': {'wallet_token_pairs': {'items': {'additionalProperties': True, 'type': 'object'}, 'title': 'Wallet Token Pairs', 'type': 'array'}}, 'required': ['wallet_token_pairs'], 'title': 'get_wallet_token_balanceArguments', 'type': 'object'}, description="""\n    Get the balance for a list of wallet/token pairs.\n    \n    Expects a list of dictionaries each with 'wallet' and 'token' keys.\n    """), # armorwallet/Armor Crypto MCP/get_wallet_token_balance
    Tool(name="""Armor Crypto MCP_conversion_api""", inputSchema={'properties': {'conversion_requests': {'items': {'additionalProperties': True, 'type': 'object'}, 'title': 'Conversion Requests', 'type': 'array'}}, 'required': ['conversion_requests'], 'title': 'conversion_apiArguments', 'type': 'object'}, description="""\n    Perform token conversion.\n    \n    Expects a list of conversion requests with keys: input_amount, input_token, output_token.\n    """), # armorwallet/Armor Crypto MCP/conversion_api
    Tool(name="""Armor Crypto MCP_swap_quote""", inputSchema={'properties': {'swap_quote_requests': {'items': {'additionalProperties': True, 'type': 'object'}, 'title': 'Swap Quote Requests', 'type': 'array'}}, 'required': ['swap_quote_requests'], 'title': 'swap_quoteArguments', 'type': 'object'}, description="""\n    Retrieve a swap quote.\n    \n    Expects a list of swap quote requests.\n    """), # armorwallet/Armor Crypto MCP/swap_quote
    Tool(name="""Armor Crypto MCP_swap_transaction""", inputSchema={'properties': {'swap_transaction_requests': {'items': {'additionalProperties': True, 'type': 'object'}, 'title': 'Swap Transaction Requests', 'type': 'array'}}, 'required': ['swap_transaction_requests'], 'title': 'swap_transactionArguments', 'type': 'object'}, description="""\n    Execute a swap transaction.\n    \n    Expects a list of swap transaction requests.\n    """), # armorwallet/Armor Crypto MCP/swap_transaction
    Tool(name="""Armor Crypto MCP_get_token_details""", inputSchema={'properties': {'token_details_requests': {'items': {'additionalProperties': True, 'type': 'object'}, 'title': 'Token Details Requests', 'type': 'array'}}, 'required': ['token_details_requests'], 'title': 'get_token_detailsArguments', 'type': 'object'}, description="""\n    Retrieve token details.\n    \n    Expects a list of token details requests with keys such as 'query' and 'include_details'.\n    """), # armorwallet/Armor Crypto MCP/get_token_details
    Tool(name="""Armor Crypto MCP_list_groups""", inputSchema={'properties': {}, 'title': 'list_groupsArguments', 'type': 'object'}, description="""\n    List all wallet groups.\n    """), # armorwallet/Armor Crypto MCP/list_groups
    Tool(name="""Armor Crypto MCP_list_single_group""", inputSchema={'properties': {'group_name': {'title': 'Group Name', 'type': 'string'}}, 'required': ['group_name'], 'title': 'list_single_groupArguments', 'type': 'object'}, description="""\n    Retrieve details for a single wallet group.\n    \n    Expects the group name as a parameter.\n    """), # armorwallet/Armor Crypto MCP/list_single_group
    Tool(name="""Armor Crypto MCP_create_wallet""", inputSchema={'properties': {'wallet_names_list': {'items': {'type': 'string'}, 'title': 'Wallet Names List', 'type': 'array'}}, 'required': ['wallet_names_list'], 'title': 'create_walletArguments', 'type': 'object'}, description="""\n    Create new wallets.\n    \n    Expects a list of wallet names.\n    """), # armorwallet/Armor Crypto MCP/create_wallet
    Tool(name="""Armor Crypto MCP_archive_wallets""", inputSchema={'properties': {'wallet_names_list': {'items': {'type': 'string'}, 'title': 'Wallet Names List', 'type': 'array'}}, 'required': ['wallet_names_list'], 'title': 'archive_walletsArguments', 'type': 'object'}, description="""\n    Archive wallets.\n    \n    Expects a list of wallet names.\n    """), # armorwallet/Armor Crypto MCP/archive_wallets
    Tool(name="""Armor Crypto MCP_unarchive_wallets""", inputSchema={'properties': {'wallet_names_list': {'items': {'type': 'string'}, 'title': 'Wallet Names List', 'type': 'array'}}, 'required': ['wallet_names_list'], 'title': 'unarchive_walletsArguments', 'type': 'object'}, description="""\n    Unarchive wallets.\n    \n    Expects a list of wallet names.\n    """), # armorwallet/Armor Crypto MCP/unarchive_wallets
    Tool(name="""Armor Crypto MCP_add_wallets_to_group""", inputSchema={'properties': {'group_name': {'title': 'Group Name', 'type': 'string'}, 'wallet_names_list': {'items': {'type': 'string'}, 'title': 'Wallet Names List', 'type': 'array'}}, 'required': ['group_name', 'wallet_names_list'], 'title': 'add_wallets_to_groupArguments', 'type': 'object'}, description="""\n    Add wallets to a specified group.\n    \n    Expects the group name and a list of wallet names.\n    """), # armorwallet/Armor Crypto MCP/add_wallets_to_group
    Tool(name="""Armor Crypto MCP_archive_wallet_group""", inputSchema={'properties': {'group_names_list': {'items': {'type': 'string'}, 'title': 'Group Names List', 'type': 'array'}}, 'required': ['group_names_list'], 'title': 'archive_wallet_groupArguments', 'type': 'object'}, description="""\n    Archive wallet groups.\n    \n    Expects a list of group names.\n    """), # armorwallet/Armor Crypto MCP/archive_wallet_group
    Tool(name="""Armor Crypto MCP_unarchive_wallet_group""", inputSchema={'properties': {'group_names_list': {'items': {'type': 'string'}, 'title': 'Group Names List', 'type': 'array'}}, 'required': ['group_names_list'], 'title': 'unarchive_wallet_groupArguments', 'type': 'object'}, description="""\n    Unarchive wallet groups.\n    \n    Expects a list of group names.\n    """), # armorwallet/Armor Crypto MCP/unarchive_wallet_group
    Tool(name="""Armor Crypto MCP_remove_wallets_from_group""", inputSchema={'properties': {'group_name': {'title': 'Group Name', 'type': 'string'}, 'wallet_names_list': {'items': {'type': 'string'}, 'title': 'Wallet Names List', 'type': 'array'}}, 'required': ['group_name', 'wallet_names_list'], 'title': 'remove_wallets_from_groupArguments', 'type': 'object'}, description="""\n    Remove wallets from a specified group.\n    \n    Expects the group name and a list of wallet names.\n    """), # armorwallet/Armor Crypto MCP/remove_wallets_from_group
    Tool(name="""Armor Crypto MCP_get_user_wallets_and_groups_list""", inputSchema={'properties': {}, 'title': 'get_user_wallets_and_groups_listArguments', 'type': 'object'}, description="""\n    Retrieve the list of user wallets and wallet groups.\n    """), # armorwallet/Armor Crypto MCP/get_user_wallets_and_groups_list
    Tool(name="""Armor Crypto MCP_transfer_tokens""", inputSchema={'properties': {'transfer_tokens_requests': {'items': {'additionalProperties': True, 'type': 'object'}, 'title': 'Transfer Tokens Requests', 'type': 'array'}}, 'required': ['transfer_tokens_requests'], 'title': 'transfer_tokensArguments', 'type': 'object'}, description="""\n    Transfer tokens from one wallet to another.\n    \n    Expects a list of transfer token requests with the necessary parameters.\n    """), # armorwallet/Armor Crypto MCP/transfer_tokens
    Tool(name="""Armor Crypto MCP_create_dca_order""", inputSchema={'properties': {'dca_order_requests': {'items': {'additionalProperties': True, 'type': 'object'}, 'title': 'Dca Order Requests', 'type': 'array'}}, 'required': ['dca_order_requests'], 'title': 'create_dca_orderArguments', 'type': 'object'}, description="""\n    Create a DCA order.\n    \n    Expects a list of DCA order requests with required parameters.\n    """), # armorwallet/Armor Crypto MCP/create_dca_order
    Tool(name="""Armor Crypto MCP_list_dca_orders""", inputSchema={'properties': {}, 'title': 'list_dca_ordersArguments', 'type': 'object'}, description="""\n    List all DCA orders.\n    """), # armorwallet/Armor Crypto MCP/list_dca_orders
    Tool(name="""Armor Crypto MCP_cancel_dca_order""", inputSchema={'properties': {'cancel_dca_order_requests': {'items': {'additionalProperties': True, 'type': 'object'}, 'title': 'Cancel Dca Order Requests', 'type': 'array'}}, 'required': ['cancel_dca_order_requests'], 'title': 'cancel_dca_orderArguments', 'type': 'object'}, description="""\n    Cancel a DCA order.\n    \n    Expects a list of cancel DCA order requests with the required order IDs.\n    """), # armorwallet/Armor Crypto MCP/cancel_dca_order
    Tool(name="""PagerDuty MCP Server_list_escalation_policies""", inputSchema={'properties': {'current_user_context': {'default': True, 'title': 'Current User Context', 'type': 'boolean'}, 'query': {'anyOf': [{'type': 'string'}, {'type': 'null'}], 'default': None, 'title': 'Query'}, 'team_ids': {'anyOf': [{'items': {'type': 'string'}, 'type': 'array'}, {'type': 'null'}], 'default': None, 'title': 'Team Ids'}, 'user_ids': {'anyOf': [{'items': {'type': 'string'}, 'type': 'array'}, {'type': 'null'}], 'default': None, 'title': 'User Ids'}}, 'title': 'list_escalation_policiesArguments', 'type': 'object'}, description="""List existing escalation policies based on the given criteria.\n\nArgs:\n    current_user_context (bool): Whether to use the current user's ID/team IDs context (default: True, cannot be used with user_ids or team_ids)\n    query (str): Filter escalation policies whose names contain the search query (optional)\n    user_ids (List[str]): Filter results to only escalation policies that include the given user IDs (optional, cannot be used with current_user_context)\n    team_ids (List[str]): Filter results to only escalation policies assigned to teams with the given IDs (optional, cannot be used with current_user_context)\n\nReturns:\n    Dict[str, Any]: Dictionary containing metadata (count, description) and a list of escalation policies matching the specified criteria\n"""), # wpfleger96/PagerDuty MCP Server/list_escalation_policies
    Tool(name="""PagerDuty MCP Server_show_escalation_policy""", inputSchema={'properties': {'policy_id': {'title': 'Policy Id', 'type': 'string'}}, 'required': ['policy_id'], 'title': 'show_escalation_policyArguments', 'type': 'object'}, description="""Show details about a given escalation policy.\n\nArgs:\n    policy_id (str): The ID of the escalation policy to show\n\nReturns:\n    Dict[str, Any]: Escalation policy object with detailed information\n"""), # wpfleger96/PagerDuty MCP Server/show_escalation_policy
    Tool(name="""PagerDuty MCP Server_show_team""", inputSchema={'properties': {'team_id': {'title': 'Team Id', 'type': 'string'}}, 'required': ['team_id'], 'title': 'show_teamArguments', 'type': 'object'}, description="""Get detailed information about a given team.\n\nArgs:\n    team_id (str): The ID of the team to get\n\nReturns:\n    Dict[str, Any]: Team object with detailed information\n"""), # wpfleger96/PagerDuty MCP Server/show_team
    Tool(name="""PagerDuty MCP Server_show_current_user""", inputSchema={'properties': {}, 'title': 'show_current_userArguments', 'type': 'object'}, description="""Get the current user's PagerDuty profile including their teams, contact methods, and notification rules.\n\nReturns:\n    Dict[str, Any]: The user object containing profile information in the following format (note this is non-exhaustive):\n        {\n            \"name\": \"John Doe\",\n            \"email\": \"john.doe@example.com\",\n            \"role\": \"user\",\n            \"description\": \"John Doe is a user at Example Inc.\",\n            \"job_title\": \"Software Engineer\",\n            \"teams\": [\n                {\n                    \"id\": \"P123456\",\n                    \"summary\": \"Team Name 1\"\n                },\n                ...\n            ],\n            \"contact_methods\": [\n                {\n                    \"id\": \"P123456\",\n                    \"summary\": \"Mobile\"\n                },\n                ...\n            ],\n            \"notification_rules\": [\n                {\n                    \"id\": \"P123456\",\n                    \"summary\": \"0 minutes: channel XYZ\"\n                },\n                ...\n            ],\n            \"id\": \"P123456\"\n        }\n"""), # wpfleger96/PagerDuty MCP Server/show_current_user
    Tool(name="""PagerDuty MCP Server_list_incidents""", inputSchema={'properties': {'current_user_context': {'default': True, 'title': 'Current User Context', 'type': 'boolean'}, 'service_ids': {'anyOf': [{'items': {'type': 'string'}, 'type': 'array'}, {'type': 'null'}], 'default': None, 'title': 'Service Ids'}, 'since': {'anyOf': [{'type': 'string'}, {'type': 'null'}], 'default': None, 'title': 'Since'}, 'statuses': {'anyOf': [{'items': {'type': 'string'}, 'type': 'array'}, {'type': 'string'}, {'type': 'null'}], 'default': None, 'title': 'Statuses'}, 'team_ids': {'anyOf': [{'items': {'type': 'string'}, 'type': 'array'}, {'type': 'null'}], 'default': None, 'title': 'Team Ids'}, 'until': {'anyOf': [{'type': 'string'}, {'type': 'null'}], 'default': None, 'title': 'Until'}}, 'title': 'list_incidentsArguments', 'type': 'object'}, description="""List PagerDuty incidents based on specified filters.\n\nArgs:\n    current_user_context (bool): Boolean, use the current user's team_ids and service_ids to filter (default: True, cannot be used with service_ids or team_ids)\n    service_ids (List[str]): list of PagerDuty service IDs to filter by (optional, cannot be used with current_user_context)\n    team_ids (List[str]): list of PagerDuty team IDs to filter by (optional, cannot be used with current_user_context)\n    statuses (List[str]): list of status values to filter by (optional). Valid values are:\n        - 'triggered' - The incident is currently active (included by default)\n        - 'acknowledged' - The incident has been acknowledged by a user (included by default)\n        - 'resolved' - The incident has been resolved (excluded by default)\n    since (str): Start of date range in ISO8601 format (optional). Default is 1 month ago\n    until (str): End of date range in ISO8601 format (optional). Default is now\n\nReturns:\n    Dict[str, Any]: Dictionary containing metadata (count, description) and a list of incidents matching the specified criteria\n"""), # wpfleger96/PagerDuty MCP Server/list_incidents
    Tool(name="""PagerDuty MCP Server_show_incident""", inputSchema={'properties': {'incident_id': {'title': 'Incident Id', 'type': 'string'}}, 'required': ['incident_id'], 'title': 'show_incidentArguments', 'type': 'object'}, description="""Get detailed information about a given incident.\n\nArgs:\n    incident_id (str): The ID or number of the incident to get\n\nReturns:\n    Dict[str, Any]: Incident object with detailed information\n"""), # wpfleger96/PagerDuty MCP Server/show_incident
    Tool(name="""PagerDuty MCP Server_list_oncalls""", inputSchema={'properties': {'current_user_context': {'default': True, 'title': 'Current User Context', 'type': 'boolean'}, 'escalation_policy_ids': {'anyOf': [{'items': {'type': 'string'}, 'type': 'array'}, {'type': 'null'}], 'default': None, 'title': 'Escalation Policy Ids'}, 'schedule_ids': {'anyOf': [{'items': {'type': 'string'}, 'type': 'array'}, {'type': 'null'}], 'default': None, 'title': 'Schedule Ids'}, 'since': {'anyOf': [{'type': 'string'}, {'type': 'null'}], 'default': None, 'title': 'Since'}, 'until': {'anyOf': [{'type': 'string'}, {'type': 'null'}], 'default': None, 'title': 'Until'}, 'user_ids': {'anyOf': [{'items': {'type': 'string'}, 'type': 'array'}, {'type': 'null'}], 'default': None, 'title': 'User Ids'}}, 'title': 'list_oncallsArguments', 'type': 'object'}, description="""List the on-call entries during a given time range.\n\nArgs:\n    current_user_context (bool): Use the current user's ID to filter (default: True, cannot be used with user_ids or escalation_policy_ids)\n    schedule_ids (List[str]): Return only on-calls for the specified schedule IDs (optional)\n    user_ids (List[str]): Return only on-calls for the specified user IDs (optional, cannot be used with current_user_context)\n    escalation_policy_ids (List[str]): Return only on-calls for the specified escalation policy IDs (optional, cannot be used with current_user_context)\n    since (str): Start of date range in ISO8601 format (optional). Default is 1 month ago\n    until (str): End of date range in ISO8601 format (optional). Default is now\n\nReturns:\n    Dict[str, Any]: Dictionary containing metadata (count, description) and a list of on-call entries matching the specified criteria\n"""), # wpfleger96/PagerDuty MCP Server/list_oncalls
    Tool(name="""PagerDuty MCP Server_list_schedules""", inputSchema={'properties': {'query': {'anyOf': [{'type': 'string'}, {'type': 'null'}], 'default': None, 'title': 'Query'}}, 'title': 'list_schedulesArguments', 'type': 'object'}, description="""List the on-call schedules.\n\nArgs:\n    query (str): Filter schedules whose names contain the search query (optional)\n\nReturns:\n    Dict[str, Any]: Dictionary containing metadata (count, description) and a list of schedules matching the specified criteria\n"""), # wpfleger96/PagerDuty MCP Server/list_schedules
    Tool(name="""PagerDuty MCP Server_show_schedule""", inputSchema={'properties': {'schedule_id': {'title': 'Schedule Id', 'type': 'string'}, 'since': {'anyOf': [{'type': 'string'}, {'type': 'null'}], 'default': None, 'title': 'Since'}, 'until': {'anyOf': [{'type': 'string'}, {'type': 'null'}], 'default': None, 'title': 'Until'}}, 'required': ['schedule_id'], 'title': 'show_scheduleArguments', 'type': 'object'}, description="""Show detailed information about a given schedule.\n\nArgs:\n    schedule_id (str): The ID of the schedule to get\n    since (str): The start of the time range over which you want to search. Defaults to 2 weeks before until if an until is given. (optional)\n    until (str): The end of the time range over which you want to search. Defaults to 2 weeks after since if a since is given. (optional)\n\nReturns:\n    Dict[str, Any]: Schedule object with detailed information\n"""), # wpfleger96/PagerDuty MCP Server/show_schedule
    Tool(name="""PagerDuty MCP Server_list_services""", inputSchema={'properties': {'current_user_context': {'default': True, 'title': 'Current User Context', 'type': 'boolean'}, 'query': {'anyOf': [{'type': 'string'}, {'type': 'null'}], 'default': None, 'title': 'Query'}, 'team_ids': {'anyOf': [{'items': {'type': 'string'}, 'type': 'array'}, {'type': 'null'}], 'default': None, 'title': 'Team Ids'}}, 'title': 'list_servicesArguments', 'type': 'object'}, description="""List existing PagerDuty services.\n\nArgs:\n    current_user_context (bool): Use the current user's team IDs to filter (default: True, cannot be used with team_ids)\n    team_ids (List[str]): Filter results to only services assigned to teams with the given IDs (optional, cannot be used with current_user_context)\n    query (str): Filter services whose names contain the search query (optional)\n\nReturns:\n    Dict[str, Any]: Dictionary containing metadata (count, description) and a list of services matching the specified criteria\n"""), # wpfleger96/PagerDuty MCP Server/list_services
    Tool(name="""PagerDuty MCP Server_show_service""", inputSchema={'properties': {'service_id': {'title': 'Service Id', 'type': 'string'}}, 'required': ['service_id'], 'title': 'show_serviceArguments', 'type': 'object'}, description="""Get details about a given service.\n\nArgs:\n    service_id (str): The ID of the service to get\n\nReturns:\n    Dict[str, Any]: Service object with detailed information\n"""), # wpfleger96/PagerDuty MCP Server/show_service
    Tool(name="""PagerDuty MCP Server_list_teams""", inputSchema={'properties': {'query': {'anyOf': [{'type': 'string'}, {'type': 'null'}], 'default': None, 'title': 'Query'}}, 'title': 'list_teamsArguments', 'type': 'object'}, description="""List teams in your PagerDuty account.\n\nArgs:\n    query (str): Filter teams whose names contain the search query (optional)\n\nReturns:\n    Dict[str, Any]: Dictionary containing metadata (count, description) and a list of teams matching the specified criteria\n"""), # wpfleger96/PagerDuty MCP Server/list_teams
    Tool(name="""PagerDuty MCP Server_list_users""", inputSchema={'properties': {'current_user_context': {'default': True, 'title': 'Current User Context', 'type': 'boolean'}, 'query': {'anyOf': [{'type': 'string'}, {'type': 'null'}], 'default': None, 'title': 'Query'}, 'team_ids': {'anyOf': [{'items': {'type': 'string'}, 'type': 'array'}, {'type': 'null'}], 'default': None, 'title': 'Team Ids'}}, 'title': 'list_usersArguments', 'type': 'object'}, description="""List users in PagerDuty.\n\nArgs:\n    current_user_context (bool): Use the current user's team IDs to filter (default: True, cannot be used with team_ids)\n    team_ids (List[str]): A list of team IDs to filter users (optional, cannot be used with current_user_context)\n    query (str): A search query to filter users (optional)\n\nReturns:\n    Dict[str, Any]: Dictionary containing metadata (count, description) and a list of users matching the specified criteria\n"""), # wpfleger96/PagerDuty MCP Server/list_users
    Tool(name="""PagerDuty MCP Server_show_user""", inputSchema={'properties': {'user_id': {'title': 'User Id', 'type': 'string'}}, 'required': ['user_id'], 'title': 'show_userArguments', 'type': 'object'}, description="""Get detailed information about a given user.\nArgs:\n    user_id (str): The ID of the user to get\n\nReturns:\n    Dict[str, Any]: User object with detailed information\n"""), # wpfleger96/PagerDuty MCP Server/show_user
    Tool(name="""MCP Outline Server_list_trash""", inputSchema={'properties': {}, 'title': 'list_trashArguments', 'type': 'object'}, description="""\n        Displays all documents currently in the trash.\n        \n        Use this tool when you need to:\n        - Find deleted documents that can be restored\n        - Review what documents are pending permanent deletion\n        - Identify documents to restore from trash\n        - Verify if specific documents were deleted\n        \n        Returns:\n            Formatted string containing list of documents in trash\n        """), # Vortiago/MCP Outline Server/list_trash
    Tool(name="""MCP Outline Server_search_documents""", inputSchema={'properties': {'collection_id': {'anyOf': [{'type': 'string'}, {'type': 'null'}], 'default': None, 'title': 'Collection Id'}, 'query': {'title': 'Query', 'type': 'string'}}, 'required': ['query'], 'title': 'search_documentsArguments', 'type': 'object'}, description="""\n        Searches for documents using keywords or phrases across your knowledge \n        base.\n        \n        IMPORTANT: The search performs full-text search across all document \n        content and titles. Results are ranked by relevance, with exact \n        matches \n        and title matches typically ranked higher. The search will return \n        snippets of content (context) where the search terms appear in the \n        document. You can limit the search to a specific collection by \n        providing \n        the collection_id.\n        \n        Use this tool when you need to:\n        - Find documents containing specific terms or topics\n        - Locate information across multiple documents\n        - Search within a specific collection using collection_id\n        - Discover content based on keywords\n        \n        Args:\n            query: Search terms (e.g., \"vacation policy\" or \"project plan\")\n            collection_id: Optional collection to limit the search to\n            \n        Returns:\n            Formatted string containing search results with document titles \n            and \n            contexts\n        """), # Vortiago/MCP Outline Server/search_documents
    Tool(name="""MCP Outline Server_list_collections""", inputSchema={'properties': {}, 'title': 'list_collectionsArguments', 'type': 'object'}, description="""\n        Retrieves and displays all available collections in the workspace.\n        \n        Use this tool when you need to:\n        - See what collections exist in the workspace\n        - Get collection IDs for other operations\n        - Explore the organization of the knowledge base\n        - Find a specific collection by name\n        \n        Returns:\n            Formatted string containing collection names, IDs, and descriptions\n        """), # Vortiago/MCP Outline Server/list_collections
    Tool(name="""MCP Outline Server_get_collection_structure""", inputSchema={'properties': {'collection_id': {'title': 'Collection Id', 'type': 'string'}}, 'required': ['collection_id'], 'title': 'get_collection_structureArguments', 'type': 'object'}, description="""\n        Retrieves the hierarchical document structure of a collection.\n        \n        Use this tool when you need to:\n        - Understand how documents are organized in a collection\n        - Find document IDs within a specific collection\n        - See the parent-child relationships between documents\n        - Get an overview of a collection's content structure\n        \n        Args:\n            collection_id: The collection ID to examine\n            \n        Returns:\n            Formatted string showing the hierarchical structure of documents\n        """), # Vortiago/MCP Outline Server/get_collection_structure
    Tool(name="""MCP Outline Server_get_document_id_from_title""", inputSchema={'properties': {'collection_id': {'anyOf': [{'type': 'string'}, {'type': 'null'}], 'default': None, 'title': 'Collection Id'}, 'query': {'title': 'Query', 'type': 'string'}}, 'required': ['query'], 'title': 'get_document_id_from_titleArguments', 'type': 'object'}, description="""\n        Locates a document ID by searching for its title.\n        \n        IMPORTANT: This tool first checks for exact title matches \n        (case-insensitive). If none are found, it returns the best partial \n        match instead. This is useful when you're not sure of the exact title \n        but need \n        to reference a document in other operations. Results are more accurate \n        when you provide more of the actual title in your query.\n        \n        Use this tool when you need to:\n        - Find a document's ID when you only know its title\n        - Get the document ID for use in other operations\n        - Verify if a document with a specific title exists\n        - Find the best matching document if exact title is unknown\n        \n        Args:\n            query: Title to search for (can be exact or partial)\n            collection_id: Optional collection to limit the search to\n            \n        Returns:\n            Document ID if found, or best match information\n        """), # Vortiago/MCP Outline Server/get_document_id_from_title
    Tool(name="""MCP Outline Server_read_document""", inputSchema={'properties': {'document_id': {'title': 'Document Id', 'type': 'string'}}, 'required': ['document_id'], 'title': 'read_documentArguments', 'type': 'object'}, description="""\n        Retrieves and displays the full content of a document.\n        \n        Use this tool when you need to:\n        - Access the complete content of a specific document\n        - Review document information in detail\n        - Quote or reference document content\n        - Analyze document contents\n        \n        Args:\n            document_id: The document ID to retrieve\n            \n        Returns:\n            Formatted string containing the document title and content\n        """), # Vortiago/MCP Outline Server/read_document
    Tool(name="""MCP Outline Server_export_document""", inputSchema={'properties': {'document_id': {'title': 'Document Id', 'type': 'string'}}, 'required': ['document_id'], 'title': 'export_documentArguments', 'type': 'object'}, description="""\n        Exports a document as plain markdown text.\n        \n        Use this tool when you need to:\n        - Get clean markdown content without formatting\n        - Extract document content for external use\n        - Process document content in another application\n        - Share document content outside Outline\n        \n        Args:\n            document_id: The document ID to export\n            \n        Returns:\n            Document content in markdown format without additional formatting\n        """), # Vortiago/MCP Outline Server/export_document
    Tool(name="""MCP Outline Server_create_document""", inputSchema={'properties': {'collection_id': {'title': 'Collection Id', 'type': 'string'}, 'parent_document_id': {'anyOf': [{'type': 'string'}, {'type': 'null'}], 'default': None, 'title': 'Parent Document Id'}, 'publish': {'default': True, 'title': 'Publish', 'type': 'boolean'}, 'text': {'default': '', 'title': 'Text', 'type': 'string'}, 'title': {'title': 'Title', 'type': 'string'}}, 'required': ['title', 'collection_id'], 'title': 'create_documentArguments', 'type': 'object'}, description="""\n        Creates a new document in a specified collection.\n        \n        Use this tool when you need to:\n        - Add new content to a knowledge base\n        - Create documentation, guides, or notes\n        - Add a child document to an existing parent\n        - Start a new document thread or topic\n        \n        Args:\n            title: The document title\n            collection_id: The collection ID to create the document in\n            text: Optional markdown content for the document\n            parent_document_id: Optional parent document ID for nesting\n            publish: Whether to publish the document immediately (True) or \n                save as draft (False)\n            \n        Returns:\n            Result message with the new document ID\n        """), # Vortiago/MCP Outline Server/create_document
    Tool(name="""MCP Outline Server_update_document""", inputSchema={'properties': {'append': {'default': False, 'title': 'Append', 'type': 'boolean'}, 'document_id': {'title': 'Document Id', 'type': 'string'}, 'text': {'anyOf': [{'type': 'string'}, {'type': 'null'}], 'default': None, 'title': 'Text'}, 'title': {'anyOf': [{'type': 'string'}, {'type': 'null'}], 'default': None, 'title': 'Title'}}, 'required': ['document_id'], 'title': 'update_documentArguments', 'type': 'object'}, description="""\n        Modifies an existing document's title or content.\n        \n        IMPORTANT: This tool replaces the document content rather than just \nadding to it.\n        To update a document with changed data, you need to first read the \ndocument,\n        add your changes to the content, and then send the complete document \nwith your changes.\n        \n        Use this tool when you need to:\n        - Edit or update document content\n        - Change a document's title\n        - Append new content to an existing document\n        - Fix errors or add information to documents\n        \n        Args:\n            document_id: The document ID to update\n            title: New title (if None, keeps existing title)\n            text: New content (if None, keeps existing content)\n            append: If True, adds text to the end of document instead of \n    replacing\n            \n        Returns:\n            Result message confirming update\n        """), # Vortiago/MCP Outline Server/update_document
    Tool(name="""MCP Outline Server_add_comment""", inputSchema={'properties': {'document_id': {'title': 'Document Id', 'type': 'string'}, 'parent_comment_id': {'anyOf': [{'type': 'string'}, {'type': 'null'}], 'default': None, 'title': 'Parent Comment Id'}, 'text': {'title': 'Text', 'type': 'string'}}, 'required': ['document_id', 'text'], 'title': 'add_commentArguments', 'type': 'object'}, description="""\n        Adds a comment to a document or replies to an existing comment.\n        \n        Use this tool when you need to:\n        - Provide feedback on document content\n        - Ask questions about specific information\n        - Reply to another user's comment\n        - Collaborate with others on document development\n        \n        Args:\n            document_id: The document to comment on\n            text: The comment text (supports markdown)\n            parent_comment_id: Optional ID of a parent comment (for replies)\n            \n        Returns:\n            Result message with the new comment ID\n        """), # Vortiago/MCP Outline Server/add_comment
    Tool(name="""MCP Outline Server_move_document""", inputSchema={'properties': {'collection_id': {'anyOf': [{'type': 'string'}, {'type': 'null'}], 'default': None, 'title': 'Collection Id'}, 'document_id': {'title': 'Document Id', 'type': 'string'}, 'parent_document_id': {'anyOf': [{'type': 'string'}, {'type': 'null'}], 'default': None, 'title': 'Parent Document Id'}}, 'required': ['document_id'], 'title': 'move_documentArguments', 'type': 'object'}, description="""\n        Relocates a document to a different collection or parent document.\n        \n        IMPORTANT: When moving a document that has child documents (nested \n        documents), all child documents will move along with it, maintaining \n        their hierarchical structure. You must specify either collection_id or \n        parent_document_id (or both).\n        \n        Use this tool when you need to:\n        - Reorganize your document hierarchy\n        - Move a document to a more relevant collection\n        - Change a document's parent document\n        - Restructure content organization\n        \n        Args:\n            document_id: The document ID to move\n            collection_id: Target collection ID (if moving between collections)\n            parent_document_id: Optional parent document ID (for nesting)\n            \n        Returns:\n            Result message confirming the move operation\n        """), # Vortiago/MCP Outline Server/move_document
    Tool(name="""MCP Outline Server_archive_document""", inputSchema={'properties': {'document_id': {'title': 'Document Id', 'type': 'string'}}, 'required': ['document_id'], 'title': 'archive_documentArguments', 'type': 'object'}, description="""\n        Archives a document to remove it from active use while preserving it.\n        \n        IMPORTANT: Archived documents are removed from collections but remain\n        searchable in the system. They won't appear in normal collection views\n        but can still be found through search or the archive list.\n        \n        Use this tool when you need to:\n        - Remove outdated or inactive documents from view\n        - Clean up collections while preserving document history\n        - Preserve documents that are no longer relevant\n        - Temporarily hide documents without deleting them\n        \n        Args:\n            document_id: The document ID to archive\n            \n        Returns:\n            Result message confirming archival\n        """), # Vortiago/MCP Outline Server/archive_document
    Tool(name="""MCP Outline Server_unarchive_document""", inputSchema={'properties': {'document_id': {'title': 'Document Id', 'type': 'string'}}, 'required': ['document_id'], 'title': 'unarchive_documentArguments', 'type': 'object'}, description="""\n        Restores a previously archived document to active status.\n        \n        Use this tool when you need to:\n        - Restore archived documents to active use\n        - Access or reference previously archived content\n        - Make archived content visible in collections again\n        - Update and reuse archived documents\n        \n        Args:\n            document_id: The document ID to unarchive\n            \n        Returns:\n            Result message confirming restoration\n        """), # Vortiago/MCP Outline Server/unarchive_document
    Tool(name="""MCP Outline Server_delete_document""", inputSchema={'properties': {'document_id': {'title': 'Document Id', 'type': 'string'}, 'permanent': {'default': False, 'title': 'Permanent', 'type': 'boolean'}}, 'required': ['document_id'], 'title': 'delete_documentArguments', 'type': 'object'}, description="""\n        Moves a document to trash or permanently deletes it.\n        \n        IMPORTANT: When permanent=False (the default), documents are moved to \n        trash and retained for 30 days before being permanently deleted. \n        During \n        this period, they can be restored using the restore_document tool. \n        Setting permanent=True bypasses the trash and immediately deletes the \n        document without any recovery option.\n        \n        Use this tool when you need to:\n        - Remove unwanted or unnecessary documents\n        - Delete obsolete content\n        - Clean up workspace by removing documents\n        - Permanently remove sensitive information (with permanent=True)\n        \n        Args:\n            document_id: The document ID to delete\n            permanent: If True, permanently deletes the document without \n                recovery option\n            \n        Returns:\n            Result message confirming deletion\n        """), # Vortiago/MCP Outline Server/delete_document
    Tool(name="""MCP Outline Server_restore_document""", inputSchema={'properties': {'document_id': {'title': 'Document Id', 'type': 'string'}}, 'required': ['document_id'], 'title': 'restore_documentArguments', 'type': 'object'}, description="""\n        Recovers a document from the trash back to active status.\n        \n        Use this tool when you need to:\n        - Retrieve accidentally deleted documents\n        - Restore documents from trash to active use\n        - Recover documents deleted within the last 30 days\n        - Access content that was previously trashed\n        \n        Args:\n            document_id: The document ID to restore\n            \n        Returns:\n            Result message confirming restoration\n        """), # Vortiago/MCP Outline Server/restore_document
    Tool(name="""MCP Outline Server_list_archived_documents""", inputSchema={'properties': {}, 'title': 'list_archived_documentsArguments', 'type': 'object'}, description="""\n        Displays all documents that have been archived.\n        \n        Use this tool when you need to:\n        - Find specific archived documents\n        - Review what documents have been archived\n        - Identify documents for possible unarchiving\n        - Check archive status of workspace content\n        \n        Returns:\n            Formatted string containing list of archived documents\n        """), # Vortiago/MCP Outline Server/list_archived_documents
    Tool(name="""MCP Outline Server_list_document_comments""", inputSchema={'properties': {'document_id': {'title': 'Document Id', 'type': 'string'}, 'include_anchor_text': {'default': False, 'title': 'Include Anchor Text', 'type': 'boolean'}, 'limit': {'default': 25, 'title': 'Limit', 'type': 'integer'}, 'offset': {'default': 0, 'title': 'Offset', 'type': 'integer'}}, 'required': ['document_id'], 'title': 'list_document_commentsArguments', 'type': 'object'}, description="""\n        Retrieves comments on a specific document with pagination support.\n        \n        IMPORTANT: By default, this returns up to 25 comments at a time. If \n        there are more than 25 comments on the document, you'll need to make \n        multiple calls with different offset values to get all comments. The \n        response will indicate if there \n        are more comments available.\n        \n        Use this tool when you need to:\n        - Review feedback and discussions on a document\n        - See all comments from different users\n        - Find specific comments or questions\n        - Track collaboration and input on documents\n        \n        Args:\n            document_id: The document ID to get comments from\n            include_anchor_text: Whether to include the document text that \n                comments refer to\n            limit: Maximum number of comments to return (default: 25)\n            offset: Number of comments to skip for pagination (default: 0)\n            \n        Returns:\n            Formatted string containing comments with author, date, and \n            optional anchor text\n        """), # Vortiago/MCP Outline Server/list_document_comments
    Tool(name="""MCP Outline Server_get_comment""", inputSchema={'properties': {'comment_id': {'title': 'Comment Id', 'type': 'string'}, 'include_anchor_text': {'default': False, 'title': 'Include Anchor Text', 'type': 'boolean'}}, 'required': ['comment_id'], 'title': 'get_commentArguments', 'type': 'object'}, description="""\n        Retrieves a specific comment by its ID.\n        \n        Use this tool when you need to:\n        - View details of a specific comment\n        - Reference or quote a particular comment\n        - Check comment content and metadata\n        - Find a comment mentioned elsewhere\n        \n        Args:\n            comment_id: The comment ID to retrieve\n            include_anchor_text: Whether to include the document text that \n                the comment refers to\n            \n        Returns:\n            Formatted string with the comment content and metadata\n        """), # Vortiago/MCP Outline Server/get_comment
    Tool(name="""MCP Outline Server_get_document_backlinks""", inputSchema={'properties': {'document_id': {'title': 'Document Id', 'type': 'string'}}, 'required': ['document_id'], 'title': 'get_document_backlinksArguments', 'type': 'object'}, description="""\n        Finds all documents that link to a specific document.\n        \n        Use this tool when you need to:\n        - Discover references to a document across the workspace\n        - Identify dependencies between documents\n        - Find documents related to a specific document\n        - Understand document relationships and connections\n        \n        Args:\n            document_id: The document ID to find backlinks for\n            \n        Returns:\n            Formatted string listing all documents that link to the specified \ndocument\n        """), # Vortiago/MCP Outline Server/get_document_backlinks
    Tool(name="""MCP Outline Server_create_collection""", inputSchema={'properties': {'color': {'anyOf': [{'type': 'string'}, {'type': 'null'}], 'default': None, 'title': 'Color'}, 'description': {'default': '', 'title': 'Description', 'type': 'string'}, 'name': {'title': 'Name', 'type': 'string'}}, 'required': ['name'], 'title': 'create_collectionArguments', 'type': 'object'}, description="""\n        Creates a new collection for organizing documents.\n        \n        Use this tool when you need to:\n        - Create a new section or category for documents\n        - Set up a workspace for a new project or team\n        - Organize content by department or topic\n        - Establish a separate space for related documents\n        \n        Args:\n            name: Name for the collection\n            description: Optional description of the collection's purpose\n            color: Optional hex color code for visual identification \n    (e.g. #FF0000)\n            \n        Returns:\n            Result message with the new collection ID\n        """), # Vortiago/MCP Outline Server/create_collection
    Tool(name="""MCP Outline Server_update_collection""", inputSchema={'properties': {'collection_id': {'title': 'Collection Id', 'type': 'string'}, 'color': {'anyOf': [{'type': 'string'}, {'type': 'null'}], 'default': None, 'title': 'Color'}, 'description': {'anyOf': [{'type': 'string'}, {'type': 'null'}], 'default': None, 'title': 'Description'}, 'name': {'anyOf': [{'type': 'string'}, {'type': 'null'}], 'default': None, 'title': 'Name'}}, 'required': ['collection_id'], 'title': 'update_collectionArguments', 'type': 'object'}, description="""\n        Modifies an existing collection's properties.\n        \n        Use this tool when you need to:\n        - Rename a collection\n        - Update a collection's description\n        - Change a collection's color coding\n        - Refresh collection metadata\n        \n        Args:\n            collection_id: The collection ID to update\n            name: Optional new name for the collection\n            description: Optional new description\n            color: Optional new hex color code (e.g. #FF0000)\n            \n        Returns:\n            Result message confirming update\n        """), # Vortiago/MCP Outline Server/update_collection
    Tool(name="""MCP Outline Server_delete_collection""", inputSchema={'properties': {'collection_id': {'title': 'Collection Id', 'type': 'string'}}, 'required': ['collection_id'], 'title': 'delete_collectionArguments', 'type': 'object'}, description="""\n        Permanently removes a collection and all its documents.\n        \n        Use this tool when you need to:\n        - Remove an entire section of content\n        - Delete obsolete project collections\n        - Remove collections that are no longer needed\n        - Clean up workspace organization\n        \n        WARNING: This action cannot be undone and will delete all documents \nwithin the collection.\n        \n        Args:\n            collection_id: The collection ID to delete\n            \n        Returns:\n            Result message confirming deletion\n        """), # Vortiago/MCP Outline Server/delete_collection
    Tool(name="""MCP Outline Server_export_collection""", inputSchema={'properties': {'collection_id': {'title': 'Collection Id', 'type': 'string'}, 'format': {'default': 'outline-markdown', 'title': 'Format', 'type': 'string'}}, 'required': ['collection_id'], 'title': 'export_collectionArguments', 'type': 'object'}, description="""\n        Exports all documents in a collection to a downloadable file.\n        \n        IMPORTANT: This tool starts an asynchronous export operation which may \n        take time to complete. The function returns information about the \n        operation, including its status. When the operation is complete, the \n        file can be downloaded or accessed via Outline's UI. The export \n        preserves the document hierarchy and includes all document content and \n        structure in the \n        specified format.\n        \n        Use this tool when you need to:\n        - Create a backup of collection content\n        - Share collection content outside of Outline\n        - Convert collection content to other formats\n        - Archive collection content for offline use\n        \n        Args:\n            collection_id: The collection ID to export\n            format: Export format (\"outline-markdown\", \"json\", or \"html\")\n            \n        Returns:\n            Information about the export operation and how to access the file\n        """), # Vortiago/MCP Outline Server/export_collection
    Tool(name="""MCP Outline Server_export_all_collections""", inputSchema={'properties': {'format': {'default': 'outline-markdown', 'title': 'Format', 'type': 'string'}}, 'title': 'export_all_collectionsArguments', 'type': 'object'}, description="""\n        Exports the entire workspace content to a downloadable file.\n        \n        IMPORTANT: This tool starts an asynchronous export operation which may \n        take time to complete, especially for large workspaces. The function \n        returns information about the operation, including its status. When \n        the operation is complete, the file can be downloaded or accessed via \n        Outline's UI. The export includes all collections, documents, and \n        their \n        hierarchies in the specified format.\n        \n        Use this tool when you need to:\n        - Create a complete backup of all workspace content\n        - Migrate content to another system\n        - Archive all workspace documents\n        - Get a comprehensive export of knowledge base\n        \n        Args:\n            format: Export format (\"outline-markdown\", \"json\", or \"html\")\n            \n        Returns:\n            Information about the export operation and how to access the file\n        """), # Vortiago/MCP Outline Server/export_all_collections
    Tool(name="""MCP Outline Server_ask_ai_about_documents""", inputSchema={'properties': {'collection_id': {'anyOf': [{'type': 'string'}, {'type': 'null'}], 'default': None, 'title': 'Collection Id'}, 'document_id': {'anyOf': [{'type': 'string'}, {'type': 'null'}], 'default': None, 'title': 'Document Id'}, 'question': {'title': 'Question', 'type': 'string'}}, 'required': ['question'], 'title': 'ask_ai_about_documentsArguments', 'type': 'object'}, description="""\n        Queries document content using natural language questions.\n        \n        Use this tool when you need to:\n        - Find specific information across multiple documents\n        - Get direct answers to questions about document content\n        - Extract insights from your knowledge base\n        - Answer questions like \"What is our vacation policy?\" or \"How do we \n  onboard new clients?\"\n        \n        Args:\n            question: The natural language question to ask\n            collection_id: Optional collection to limit the search to\n            document_id: Optional document to limit the search to\n            \n        Returns:\n            AI-generated answer based on document content with sources\n        """), # Vortiago/MCP Outline Server/ask_ai_about_documents
    Tool(name="""Shodan MCP Server_get_host_info""", inputSchema={'properties': {'fields': {'description': "List of fields to include in the results (e.g., ['ip_str', 'ports', 'location.country_name'])", 'items': {'type': 'string'}, 'type': 'array'}, 'ip': {'description': 'IP address to look up', 'type': 'string'}, 'max_items': {'description': 'Maximum number of items to include in arrays (default: 5)', 'type': 'number'}}, 'required': ['ip'], 'type': 'object'}, description="""Get detailed information about a specific IP address"""), # Cyreslab-AI/Shodan MCP Server/get_host_info
    Tool(name="""Shodan MCP Server_search_shodan""", inputSchema={'properties': {'facets': {'description': "List of facets to include in the search results (e.g., ['country', 'org'])", 'items': {'type': 'string'}, 'type': 'array'}, 'fields': {'description': "List of fields to include in the results (e.g., ['ip_str', 'ports', 'location.country_name'])", 'items': {'type': 'string'}, 'type': 'array'}, 'max_items': {'description': 'Maximum number of items to include in arrays (default: 5)', 'type': 'number'}, 'page': {'description': 'Page number for results pagination (default: 1)', 'type': 'number'}, 'query': {'description': "Shodan search query (e.g., 'apache country:US')", 'type': 'string'}, 'summarize': {'description': 'Whether to return a summary of the results instead of the full data (default: false)', 'type': 'boolean'}}, 'required': ['query'], 'type': 'object'}, description="""Search Shodan's database for devices and services"""), # Cyreslab-AI/Shodan MCP Server/search_shodan
    Tool(name="""Shodan MCP Server_scan_network_range""", inputSchema={'properties': {'cidr': {'description': 'Network range in CIDR notation (e.g., 192.168.1.0/24)', 'type': 'string'}, 'fields': {'description': "List of fields to include in the results (e.g., ['ip_str', 'ports', 'location.country_name'])", 'items': {'type': 'string'}, 'type': 'array'}, 'max_items': {'description': 'Maximum number of items to include in results (default: 5)', 'type': 'number'}}, 'required': ['cidr'], 'type': 'object'}, description="""Scan a network range (CIDR notation) for devices"""), # Cyreslab-AI/Shodan MCP Server/scan_network_range
    Tool(name="""Shodan MCP Server_get_ssl_info""", inputSchema={'properties': {'domain': {'description': 'Domain name to look up SSL certificates for (e.g., example.com)', 'type': 'string'}}, 'required': ['domain'], 'type': 'object'}, description="""Get SSL certificate information for a domain"""), # Cyreslab-AI/Shodan MCP Server/get_ssl_info
    Tool(name="""Shodan MCP Server_search_iot_devices""", inputSchema={'properties': {'country': {'description': "Optional country code to limit search (e.g., 'US', 'DE')", 'type': 'string'}, 'device_type': {'description': "Type of IoT device to search for (e.g., 'webcam', 'router', 'smart tv')", 'type': 'string'}, 'max_items': {'description': 'Maximum number of items to include in results (default: 5)', 'type': 'number'}}, 'required': ['device_type'], 'type': 'object'}, description="""Search for specific types of IoT devices"""), # Cyreslab-AI/Shodan MCP Server/search_iot_devices
    Tool(name="""Microsoft Todo MCP Service_auth-status""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {}, 'type': 'object'}, description="""Check if you're authenticated with Microsoft Graph API. Shows current token status and expiration time, and indicates if the token needs to be refreshed."""), # jhirono/Microsoft Todo MCP Service/auth-status
    Tool(name="""Microsoft Todo MCP Service_get-task-lists""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {}, 'type': 'object'}, description="""Get all Microsoft Todo task lists (the top-level containers that organize your tasks). Shows list names, IDs, and indicates default or shared lists."""), # jhirono/Microsoft Todo MCP Service/get-task-lists
    Tool(name="""Microsoft Todo MCP Service_create-task-list""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'displayName': {'description': 'Name of the new task list', 'type': 'string'}}, 'required': ['displayName'], 'type': 'object'}, description="""Create a new task list (top-level container) in Microsoft Todo to help organize your tasks into categories or projects."""), # jhirono/Microsoft Todo MCP Service/create-task-list
    Tool(name="""Microsoft Todo MCP Service_update-task-list""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'displayName': {'description': 'New name for the task list', 'type': 'string'}, 'listId': {'description': 'ID of the task list to update', 'type': 'string'}}, 'required': ['listId', 'displayName'], 'type': 'object'}, description="""Update the name of an existing task list (top-level container) in Microsoft Todo."""), # jhirono/Microsoft Todo MCP Service/update-task-list
    Tool(name="""Microsoft Todo MCP Service_delete-task-list""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'listId': {'description': 'ID of the task list to delete', 'type': 'string'}}, 'required': ['listId'], 'type': 'object'}, description="""Delete a task list (top-level container) from Microsoft Todo. This will remove the list and all tasks within it."""), # jhirono/Microsoft Todo MCP Service/delete-task-list
    Tool(name="""Microsoft Todo MCP Service_get-tasks""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'count': {'description': 'Whether to include a count of tasks', 'type': 'boolean'}, 'filter': {'description': "OData $filter query (e.g., 'status eq \\'completed\\'')", 'type': 'string'}, 'listId': {'description': 'ID of the task list', 'type': 'string'}, 'orderby': {'description': "Property to sort by (e.g., 'createdDateTime desc')", 'type': 'string'}, 'select': {'description': "Comma-separated list of properties to include (e.g., 'id,title,status')", 'type': 'string'}, 'skip': {'description': 'Number of tasks to skip', 'type': 'number'}, 'top': {'description': 'Maximum number of tasks to retrieve', 'type': 'number'}}, 'required': ['listId'], 'type': 'object'}, description="""Get tasks from a specific Microsoft Todo list. These are the main todo items that can contain checklist items (subtasks)."""), # jhirono/Microsoft Todo MCP Service/get-tasks
    Tool(name="""Microsoft Todo MCP Service_create-task""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'body': {'description': 'Description or body content of the task', 'type': 'string'}, 'categories': {'description': 'Categories associated with the task', 'items': {'type': 'string'}, 'type': 'array'}, 'dueDateTime': {'description': 'Due date in ISO format (e.g., 2023-12-31T23:59:59Z)', 'type': 'string'}, 'importance': {'description': 'Task importance', 'enum': ['low', 'normal', 'high'], 'type': 'string'}, 'isReminderOn': {'description': 'Whether to enable reminder for this task', 'type': 'boolean'}, 'listId': {'description': 'ID of the task list', 'type': 'string'}, 'reminderDateTime': {'description': 'Reminder date and time in ISO format', 'type': 'string'}, 'startDateTime': {'description': 'Start date in ISO format (e.g., 2023-12-31T23:59:59Z)', 'type': 'string'}, 'status': {'description': 'Status of the task', 'enum': ['notStarted', 'inProgress', 'completed', 'waitingOnOthers', 'deferred'], 'type': 'string'}, 'title': {'description': 'Title of the task', 'type': 'string'}}, 'required': ['listId', 'title'], 'type': 'object'}, description="""Create a new task in a specific Microsoft Todo list. A task is the main todo item that can have a title, description, due date, and other properties."""), # jhirono/Microsoft Todo MCP Service/create-task
    Tool(name="""Microsoft Todo MCP Service_update-task""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'body': {'description': 'New description or body content of the task', 'type': 'string'}, 'categories': {'description': 'New categories associated with the task', 'items': {'type': 'string'}, 'type': 'array'}, 'dueDateTime': {'description': 'New due date in ISO format (e.g., 2023-12-31T23:59:59Z)', 'type': 'string'}, 'importance': {'description': 'New task importance', 'enum': ['low', 'normal', 'high'], 'type': 'string'}, 'isReminderOn': {'description': 'Whether to enable reminder for this task', 'type': 'boolean'}, 'listId': {'description': 'ID of the task list', 'type': 'string'}, 'reminderDateTime': {'description': 'New reminder date and time in ISO format', 'type': 'string'}, 'startDateTime': {'description': 'New start date in ISO format (e.g., 2023-12-31T23:59:59Z)', 'type': 'string'}, 'status': {'description': 'New status of the task', 'enum': ['notStarted', 'inProgress', 'completed', 'waitingOnOthers', 'deferred'], 'type': 'string'}, 'taskId': {'description': 'ID of the task to update', 'type': 'string'}, 'title': {'description': 'New title of the task', 'type': 'string'}}, 'required': ['listId', 'taskId'], 'type': 'object'}, description="""Update an existing task in Microsoft Todo. Allows changing any properties of the task including title, due date, importance, etc."""), # jhirono/Microsoft Todo MCP Service/update-task
    Tool(name="""Microsoft Todo MCP Service_delete-task""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'listId': {'description': 'ID of the task list', 'type': 'string'}, 'taskId': {'description': 'ID of the task to delete', 'type': 'string'}}, 'required': ['listId', 'taskId'], 'type': 'object'}, description="""Delete a task from a Microsoft Todo list. This will remove the task and all its checklist items (subtasks)."""), # jhirono/Microsoft Todo MCP Service/delete-task
    Tool(name="""Microsoft Todo MCP Service_get-checklist-items""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'listId': {'description': 'ID of the task list', 'type': 'string'}, 'taskId': {'description': 'ID of the task', 'type': 'string'}}, 'required': ['listId', 'taskId'], 'type': 'object'}, description="""Get checklist items (subtasks) for a specific task. Checklist items are smaller steps or components that belong to a parent task."""), # jhirono/Microsoft Todo MCP Service/get-checklist-items
    Tool(name="""Microsoft Todo MCP Service_create-checklist-item""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'displayName': {'description': 'Text content of the checklist item', 'type': 'string'}, 'isChecked': {'description': 'Whether the item is checked off', 'type': 'boolean'}, 'listId': {'description': 'ID of the task list', 'type': 'string'}, 'taskId': {'description': 'ID of the task', 'type': 'string'}}, 'required': ['listId', 'taskId', 'displayName'], 'type': 'object'}, description="""Create a new checklist item (subtask) for a task. Checklist items help break down a task into smaller, manageable steps."""), # jhirono/Microsoft Todo MCP Service/create-checklist-item
    Tool(name="""Microsoft Todo MCP Service_update-checklist-item""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'checklistItemId': {'description': 'ID of the checklist item to update', 'type': 'string'}, 'displayName': {'description': 'New text content of the checklist item', 'type': 'string'}, 'isChecked': {'description': 'Whether the item is checked off', 'type': 'boolean'}, 'listId': {'description': 'ID of the task list', 'type': 'string'}, 'taskId': {'description': 'ID of the task', 'type': 'string'}}, 'required': ['listId', 'taskId', 'checklistItemId'], 'type': 'object'}, description="""Update an existing checklist item (subtask). Allows changing the text content or completion status of the subtask."""), # jhirono/Microsoft Todo MCP Service/update-checklist-item
    Tool(name="""Microsoft Todo MCP Service_delete-checklist-item""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'checklistItemId': {'description': 'ID of the checklist item to delete', 'type': 'string'}, 'listId': {'description': 'ID of the task list', 'type': 'string'}, 'taskId': {'description': 'ID of the task', 'type': 'string'}}, 'required': ['listId', 'taskId', 'checklistItemId'], 'type': 'object'}, description="""Delete a checklist item (subtask) from a task. This removes just the specific subtask, not the parent task."""), # jhirono/Microsoft Todo MCP Service/delete-checklist-item
    Tool(name="""Zotero MCP_zotero_search_items""", inputSchema={'properties': {'item_type': {'default': '-attachment', 'title': 'Item Type', 'type': 'string'}, 'limit': {'anyOf': [{'type': 'integer'}, {'type': 'null'}], 'default': 10, 'title': 'Limit'}, 'qmode': {'default': 'titleCreatorYear', 'enum': ['titleCreatorYear', 'everything'], 'title': 'Qmode', 'type': 'string'}, 'query': {'title': 'Query', 'type': 'string'}}, 'required': ['query'], 'title': 'search_itemsArguments', 'type': 'object'}, description="""Search for items in your Zotero library, given a query string."""), # 54yyyu/Zotero MCP/zotero_search_items
    Tool(name="""Zotero MCP_zotero_get_item_metadata""", inputSchema={'properties': {'include_abstract': {'default': True, 'title': 'Include Abstract', 'type': 'boolean'}, 'item_key': {'title': 'Item Key', 'type': 'string'}}, 'required': ['item_key'], 'title': 'get_item_metadataArguments', 'type': 'object'}, description="""Get detailed metadata for a specific Zotero item by its key."""), # 54yyyu/Zotero MCP/zotero_get_item_metadata
    Tool(name="""Zotero MCP_zotero_get_item_fulltext""", inputSchema={'properties': {'item_key': {'title': 'Item Key', 'type': 'string'}}, 'required': ['item_key'], 'title': 'get_item_fulltextArguments', 'type': 'object'}, description="""Get the full text content of a Zotero item by its key."""), # 54yyyu/Zotero MCP/zotero_get_item_fulltext
    Tool(name="""Zotero MCP_zotero_get_collections""", inputSchema={'properties': {'limit': {'anyOf': [{'type': 'integer'}, {'type': 'null'}], 'default': None, 'title': 'Limit'}}, 'title': 'get_collectionsArguments', 'type': 'object'}, description="""List all collections in your Zotero library."""), # 54yyyu/Zotero MCP/zotero_get_collections
    Tool(name="""Zotero MCP_zotero_get_collection_items""", inputSchema={'properties': {'collection_key': {'title': 'Collection Key', 'type': 'string'}, 'limit': {'anyOf': [{'type': 'integer'}, {'type': 'null'}], 'default': 50, 'title': 'Limit'}}, 'required': ['collection_key'], 'title': 'get_collection_itemsArguments', 'type': 'object'}, description="""Get all items in a specific Zotero collection."""), # 54yyyu/Zotero MCP/zotero_get_collection_items
    Tool(name="""Zotero MCP_zotero_get_item_children""", inputSchema={'properties': {'item_key': {'title': 'Item Key', 'type': 'string'}}, 'required': ['item_key'], 'title': 'get_item_childrenArguments', 'type': 'object'}, description="""Get all child items (attachments, notes) for a specific Zotero item."""), # 54yyyu/Zotero MCP/zotero_get_item_children
    Tool(name="""Zotero MCP_zotero_get_tags""", inputSchema={'properties': {'limit': {'anyOf': [{'type': 'integer'}, {'type': 'null'}], 'default': None, 'title': 'Limit'}}, 'title': 'get_tagsArguments', 'type': 'object'}, description="""Get all tags used in your Zotero library."""), # 54yyyu/Zotero MCP/zotero_get_tags
    Tool(name="""Zotero MCP_zotero_get_recent""", inputSchema={'properties': {'limit': {'default': 10, 'title': 'Limit', 'type': 'integer'}}, 'title': 'get_recentArguments', 'type': 'object'}, description="""Get recently added items to your Zotero library."""), # 54yyyu/Zotero MCP/zotero_get_recent
    Tool(name="""Zotero MCP_zotero_batch_update_tags""", inputSchema={'properties': {'add_tags': {'anyOf': [{'items': {'type': 'string'}, 'type': 'array'}, {'type': 'null'}], 'default': None, 'title': 'Add Tags'}, 'limit': {'default': 50, 'title': 'Limit', 'type': 'integer'}, 'query': {'title': 'Query', 'type': 'string'}, 'remove_tags': {'anyOf': [{'items': {'type': 'string'}, 'type': 'array'}, {'type': 'null'}], 'default': None, 'title': 'Remove Tags'}}, 'required': ['query'], 'title': 'batch_update_tagsArguments', 'type': 'object'}, description="""Batch update tags across multiple items matching a search query."""), # 54yyyu/Zotero MCP/zotero_batch_update_tags
    Tool(name="""Zotero MCP_zotero_advanced_search""", inputSchema={'properties': {'conditions': {'items': {'additionalProperties': {'type': 'string'}, 'type': 'object'}, 'title': 'Conditions', 'type': 'array'}, 'join_mode': {'default': 'all', 'enum': ['all', 'any'], 'title': 'Join Mode', 'type': 'string'}, 'limit': {'default': 50, 'title': 'Limit', 'type': 'integer'}, 'sort_by': {'anyOf': [{'type': 'string'}, {'type': 'null'}], 'default': None, 'title': 'Sort By'}, 'sort_direction': {'default': 'asc', 'enum': ['asc', 'desc'], 'title': 'Sort Direction', 'type': 'string'}}, 'required': ['conditions'], 'title': 'advanced_searchArguments', 'type': 'object'}, description="""Perform an advanced search with multiple criteria."""), # 54yyyu/Zotero MCP/zotero_advanced_search
    Tool(name="""S3 MCP Server_list-buckets""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {}, 'type': 'object'}, description="""List available S3 buckets"""), # samuraikun/S3 MCP Server/list-buckets
    Tool(name="""S3 MCP Server_list-objects""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'bucket': {'description': 'Name of the S3 bucket', 'type': 'string'}, 'maxKeys': {'description': 'Maximum number of objects to return', 'type': 'number'}, 'prefix': {'description': 'Prefix to filter objects (like a folder)', 'type': 'string'}}, 'required': ['bucket'], 'type': 'object'}, description="""List objects in an S3 bucket"""), # samuraikun/S3 MCP Server/list-objects
    Tool(name="""S3 MCP Server_get-object""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'bucket': {'description': 'Name of the S3 bucket', 'type': 'string'}, 'key': {'description': 'Key (path) of the object to retrieve', 'type': 'string'}}, 'required': ['bucket', 'key'], 'type': 'object'}, description="""Retrieve an object from an S3 bucket"""), # samuraikun/S3 MCP Server/get-object
    Tool(name="""Linear_linear_getIssueById""", inputSchema={'properties': {'id': {'description': 'The ID or identifier of the issue (e.g., ABC-123)', 'type': 'string'}}, 'required': ['id'], 'type': 'object'}, description="""Get a specific issue by ID or identifier (e.g., ABC-123)"""), # tacticlaunch/Linear/linear_getIssueById
    Tool(name="""Linear_linear_duplicateIssue""", inputSchema={'properties': {'issueId': {'description': 'ID or identifier of the issue to duplicate (e.g., ABC-123)', 'type': 'string'}}, 'required': ['issueId'], 'type': 'object'}, description="""Duplicate an issue"""), # tacticlaunch/Linear/linear_duplicateIssue
    Tool(name="""Linear_linear_getIssueHistory""", inputSchema={'properties': {'issueId': {'description': 'ID or identifier of the issue (e.g., ABC-123)', 'type': 'string'}, 'limit': {'description': 'Maximum number of history events to return (default: 10)', 'type': 'number'}}, 'required': ['issueId'], 'type': 'object'}, description="""Get the history of changes made to an issue"""), # tacticlaunch/Linear/linear_getIssueHistory
    Tool(name="""Linear_linear_getViewer""", inputSchema={'properties': {}, 'type': 'object'}, description="""Get information about the currently authenticated user"""), # tacticlaunch/Linear/linear_getViewer
    Tool(name="""Linear_linear_getOrganization""", inputSchema={'properties': {}, 'type': 'object'}, description="""Get information about the current Linear organization"""), # tacticlaunch/Linear/linear_getOrganization
    Tool(name="""Linear_linear_getUsers""", inputSchema={'properties': {}, 'type': 'object'}, description="""Get a list of users in the Linear organization"""), # tacticlaunch/Linear/linear_getUsers
    Tool(name="""Linear_linear_getLabels""", inputSchema={'properties': {}, 'type': 'object'}, description="""Get a list of issue labels from Linear"""), # tacticlaunch/Linear/linear_getLabels
    Tool(name="""Linear_linear_getTeams""", inputSchema={'properties': {}, 'type': 'object'}, description="""Get a list of teams from Linear"""), # tacticlaunch/Linear/linear_getTeams
    Tool(name="""Linear_linear_getWorkflowStates""", inputSchema={'properties': {'includeArchived': {'description': 'Whether to include archived states (default: false)', 'type': 'boolean'}, 'teamId': {'description': 'ID of the team to get workflow states for', 'type': 'string'}}, 'required': ['teamId'], 'type': 'object'}, description="""Get workflow states for a team"""), # tacticlaunch/Linear/linear_getWorkflowStates
    Tool(name="""Linear_linear_getProjects""", inputSchema={'properties': {}, 'type': 'object'}, description="""Get a list of projects from Linear"""), # tacticlaunch/Linear/linear_getProjects
    Tool(name="""Linear_linear_createProject""", inputSchema={'properties': {'description': {'description': 'Description of the project (Markdown supported)', 'type': 'string'}, 'name': {'description': 'Name of the project', 'type': 'string'}, 'state': {'description': "Initial state of the project (e.g., 'planned', 'started', 'paused', 'completed', 'canceled')", 'type': 'string'}, 'teamIds': {'description': 'IDs of the teams this project belongs to', 'items': {'type': 'string'}, 'type': 'array'}}, 'required': ['name', 'teamIds'], 'type': 'object'}, description="""Create a new project in Linear"""), # tacticlaunch/Linear/linear_createProject
    Tool(name="""Linear_linear_updateProject""", inputSchema={'properties': {'description': {'description': 'New description of the project (Markdown supported)', 'type': 'string'}, 'id': {'description': 'ID of the project to update', 'type': 'string'}, 'name': {'description': 'New name of the project', 'type': 'string'}, 'state': {'description': "New state of the project (e.g., 'planned', 'started', 'paused', 'completed', 'canceled')", 'type': 'string'}}, 'required': ['id'], 'type': 'object'}, description="""Update an existing project in Linear"""), # tacticlaunch/Linear/linear_updateProject
    Tool(name="""Linear_linear_addIssueToProject""", inputSchema={'properties': {'issueId': {'description': 'ID or identifier of the issue to add to the project', 'type': 'string'}, 'projectId': {'description': 'ID of the project to add the issue to', 'type': 'string'}}, 'required': ['issueId', 'projectId'], 'type': 'object'}, description="""Add an existing issue to a project"""), # tacticlaunch/Linear/linear_addIssueToProject
    Tool(name="""Linear_linear_getProjectIssues""", inputSchema={'properties': {'limit': {'description': 'Maximum number of issues to return (default: 25)', 'type': 'number'}, 'projectId': {'description': 'ID of the project to get issues for', 'type': 'string'}}, 'required': ['projectId'], 'type': 'object'}, description="""Get all issues associated with a project"""), # tacticlaunch/Linear/linear_getProjectIssues
    Tool(name="""Linear_linear_getCycles""", inputSchema={'properties': {'limit': {'description': 'Maximum number of cycles to return (default: 25)', 'type': 'number'}, 'teamId': {'description': 'ID of the team to get cycles for (optional)', 'type': 'string'}}, 'type': 'object'}, description="""Get a list of all cycles"""), # tacticlaunch/Linear/linear_getCycles
    Tool(name="""Linear_linear_getActiveCycle""", inputSchema={'properties': {'teamId': {'description': 'ID of the team to get the active cycle for', 'type': 'string'}}, 'required': ['teamId'], 'type': 'object'}, description="""Get the currently active cycle for a team"""), # tacticlaunch/Linear/linear_getActiveCycle
    Tool(name="""Linear_linear_addIssueToCycle""", inputSchema={'properties': {'cycleId': {'description': 'ID of the cycle to add the issue to', 'type': 'string'}, 'issueId': {'description': 'ID or identifier of the issue to add to the cycle', 'type': 'string'}}, 'required': ['issueId', 'cycleId'], 'type': 'object'}, description="""Add an issue to a cycle"""), # tacticlaunch/Linear/linear_addIssueToCycle
    Tool(name="""Linear_linear_getIssues""", inputSchema={'properties': {'limit': {'description': 'Maximum number of issues to return (default: 10)', 'type': 'number'}}, 'type': 'object'}, description="""Get a list of recent issues from Linear"""), # tacticlaunch/Linear/linear_getIssues
    Tool(name="""Linear_linear_searchIssues""", inputSchema={'properties': {'assigneeId': {'description': 'Filter issues by assignee ID', 'type': 'string'}, 'limit': {'description': 'Maximum number of issues to return (default: 10)', 'type': 'number'}, 'projectId': {'description': 'Filter issues by project ID', 'type': 'string'}, 'query': {'description': 'Text to search for in issue title or description', 'type': 'string'}, 'states': {'description': "Filter issues by state name (e.g., 'Todo', 'In Progress', 'Done')", 'items': {'type': 'string'}, 'type': 'array'}, 'teamId': {'description': 'Filter issues by team ID', 'type': 'string'}}, 'required': [], 'type': 'object'}, description="""Search for issues with various filters"""), # tacticlaunch/Linear/linear_searchIssues
    Tool(name="""Linear_linear_createIssue""", inputSchema={'properties': {'assigneeId': {'description': 'ID of the user to assign the issue to', 'type': 'string'}, 'cycleId': {'description': 'ID of the cycle to add the issue to', 'type': 'string'}, 'description': {'description': 'Description of the issue (Markdown supported)', 'type': 'string'}, 'dueDate': {'description': 'The date at which the issue is due (YYYY-MM-DD format)', 'type': 'string'}, 'estimate': {'description': 'The estimated complexity/points for the issue', 'type': 'number'}, 'labelIds': {'description': 'IDs of the labels to attach to the issue', 'items': {'type': 'string'}, 'type': 'array'}, 'parentId': {'description': 'ID of the parent issue (to create as a sub-task)', 'type': 'string'}, 'priority': {'description': 'Priority of the issue (0 = No priority, 1 = Urgent, 2 = High, 3 = Normal, 4 = Low)', 'type': 'number'}, 'projectId': {'description': 'ID of the project the issue belongs to', 'type': 'string'}, 'sortOrder': {'description': 'The position of the issue in relation to other issues', 'type': 'number'}, 'stateId': {'description': 'ID of the workflow state for the issue', 'type': 'string'}, 'subscriberIds': {'description': 'IDs of the users to subscribe to the issue', 'items': {'type': 'string'}, 'type': 'array'}, 'teamId': {'description': 'ID of the team the issue belongs to', 'type': 'string'}, 'templateId': {'description': 'ID of a template to use for creating the issue', 'type': 'string'}, 'title': {'description': 'Title of the issue', 'type': 'string'}}, 'required': ['title', 'teamId'], 'type': 'object'}, description="""Create a new issue in Linear"""), # tacticlaunch/Linear/linear_createIssue
    Tool(name="""Linear_linear_updateIssue""", inputSchema={'properties': {'addedLabelIds': {'description': 'IDs of labels to add to the issue (without removing existing ones)', 'items': {'type': 'string'}, 'type': 'array'}, 'assigneeId': {'description': 'ID of the user to assign the issue to, or null to unassign', 'type': 'string'}, 'cycleId': {'description': 'ID of the cycle to move the issue to, or null to remove from current cycle', 'type': 'string'}, 'description': {'description': 'New description for the issue (Markdown supported)', 'type': 'string'}, 'dueDate': {'description': 'The new due date for the issue (YYYY-MM-DD format), or null to remove', 'type': 'string'}, 'estimate': {'description': 'The estimated complexity/points for the issue', 'type': 'number'}, 'id': {'description': 'ID or identifier of the issue to update (e.g., ABC-123)', 'type': 'string'}, 'labelIds': {'description': 'IDs of the labels to set on the issue (replacing existing labels)', 'items': {'type': 'string'}, 'type': 'array'}, 'parentId': {'description': 'ID of the parent issue, or null to convert to a regular issue', 'type': 'string'}, 'priority': {'description': 'New priority for the issue (0 = No priority, 1 = Urgent, 2 = High, 3 = Normal, 4 = Low)', 'type': 'number'}, 'projectId': {'description': 'ID of the project to move the issue to', 'type': 'string'}, 'removedLabelIds': {'description': 'IDs of labels to remove from the issue', 'items': {'type': 'string'}, 'type': 'array'}, 'sortOrder': {'description': 'The position of the issue in relation to other issues', 'type': 'number'}, 'stateId': {'description': 'ID of the new state for the issue', 'type': 'string'}, 'subscriberIds': {'description': 'IDs of the users to subscribe to the issue (replacing existing subscribers)', 'items': {'type': 'string'}, 'type': 'array'}, 'teamId': {'description': 'ID of the team to move the issue to', 'type': 'string'}, 'title': {'description': 'New title for the issue', 'type': 'string'}}, 'required': ['id'], 'type': 'object'}, description="""Update an existing issue in Linear"""), # tacticlaunch/Linear/linear_updateIssue
    Tool(name="""Linear_linear_createComment""", inputSchema={'properties': {'body': {'description': 'Text of the comment (Markdown supported)', 'type': 'string'}, 'issueId': {'description': 'ID or identifier of the issue to comment on (e.g., ABC-123)', 'type': 'string'}}, 'required': ['issueId', 'body'], 'type': 'object'}, description="""Add a comment to an issue in Linear"""), # tacticlaunch/Linear/linear_createComment
    Tool(name="""Linear_linear_addIssueLabel""", inputSchema={'properties': {'issueId': {'description': 'ID or identifier of the issue to add the label to (e.g., ABC-123)', 'type': 'string'}, 'labelId': {'description': 'ID of the label to add to the issue', 'type': 'string'}}, 'required': ['issueId', 'labelId'], 'type': 'object'}, description="""Add a label to an issue in Linear"""), # tacticlaunch/Linear/linear_addIssueLabel
    Tool(name="""Linear_linear_removeIssueLabel""", inputSchema={'properties': {'issueId': {'description': 'ID or identifier of the issue to remove the label from (e.g., ABC-123)', 'type': 'string'}, 'labelId': {'description': 'ID of the label to remove from the issue', 'type': 'string'}}, 'required': ['issueId', 'labelId'], 'type': 'object'}, description="""Remove a label from an issue in Linear"""), # tacticlaunch/Linear/linear_removeIssueLabel
    Tool(name="""Linear_linear_assignIssue""", inputSchema={'properties': {'assigneeId': {'description': 'ID of the user to assign the issue to, or null to unassign', 'type': 'string'}, 'issueId': {'description': 'ID or identifier of the issue to assign (e.g., ABC-123)', 'type': 'string'}}, 'required': ['issueId', 'assigneeId'], 'type': 'object'}, description="""Assign an issue to a user"""), # tacticlaunch/Linear/linear_assignIssue
    Tool(name="""Linear_linear_subscribeToIssue""", inputSchema={'properties': {'issueId': {'description': 'ID or identifier of the issue to subscribe to (e.g., ABC-123)', 'type': 'string'}}, 'required': ['issueId'], 'type': 'object'}, description="""Subscribe to issue updates"""), # tacticlaunch/Linear/linear_subscribeToIssue
    Tool(name="""Linear_linear_convertIssueToSubtask""", inputSchema={'properties': {'issueId': {'description': 'ID or identifier of the issue to convert (e.g., ABC-123)', 'type': 'string'}, 'parentIssueId': {'description': 'ID or identifier of the parent issue (e.g., ABC-456)', 'type': 'string'}}, 'required': ['issueId', 'parentIssueId'], 'type': 'object'}, description="""Convert an issue to a subtask"""), # tacticlaunch/Linear/linear_convertIssueToSubtask
    Tool(name="""Linear_linear_createIssueRelation""", inputSchema={'properties': {'issueId': {'description': 'ID or identifier of the first issue (e.g., ABC-123)', 'type': 'string'}, 'relatedIssueId': {'description': 'ID or identifier of the second issue (e.g., ABC-456)', 'type': 'string'}, 'type': {'description': "Type of relation: 'blocks', 'blocked_by', 'related', 'duplicate', 'duplicate_of'", 'enum': ['blocks', 'blocked_by', 'related', 'duplicate', 'duplicate_of'], 'type': 'string'}}, 'required': ['issueId', 'relatedIssueId', 'type'], 'type': 'object'}, description="""Create relations between issues (blocks, is blocked by, etc.)"""), # tacticlaunch/Linear/linear_createIssueRelation
    Tool(name="""Linear_linear_archiveIssue""", inputSchema={'properties': {'issueId': {'description': 'ID or identifier of the issue to archive (e.g., ABC-123)', 'type': 'string'}}, 'required': ['issueId'], 'type': 'object'}, description="""Archive an issue"""), # tacticlaunch/Linear/linear_archiveIssue
    Tool(name="""Linear_linear_setIssuePriority""", inputSchema={'properties': {'issueId': {'description': 'ID or identifier of the issue (e.g., ABC-123)', 'type': 'string'}, 'priority': {'description': 'Priority level (0 = No priority, 1 = Urgent, 2 = High, 3 = Normal, 4 = Low)', 'enum': [0, 1, 2, 3, 4], 'type': 'number'}}, 'required': ['issueId', 'priority'], 'type': 'object'}, description="""Set the priority of an issue"""), # tacticlaunch/Linear/linear_setIssuePriority
    Tool(name="""Linear_linear_transferIssue""", inputSchema={'properties': {'issueId': {'description': 'ID or identifier of the issue to transfer (e.g., ABC-123)', 'type': 'string'}, 'teamId': {'description': 'ID of the team to transfer the issue to', 'type': 'string'}}, 'required': ['issueId', 'teamId'], 'type': 'object'}, description="""Transfer an issue to another team"""), # tacticlaunch/Linear/linear_transferIssue
    Tool(name="""Linear_linear_getComments""", inputSchema={'properties': {'issueId': {'description': 'ID or identifier of the issue to get comments from (e.g., ABC-123)', 'type': 'string'}, 'limit': {'description': 'Maximum number of comments to return (default: 25)', 'type': 'number'}}, 'required': ['issueId'], 'type': 'object'}, description="""Get all comments for an issue"""), # tacticlaunch/Linear/linear_getComments
    Tool(name="""Think Tool MCP Server_think""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'thought': {'description': 'A thought to think about.', 'type': 'string'}}, 'required': ['thought'], 'type': 'object'}, description="""Use the tool to think about something. It will not obtain new information or change the database, but just append the thought to the log. Use it when complex reasoning or some cache memory is needed."""), # PhillipRt/Think Tool MCP Server/think
    Tool(name="""crypto-sentiment-mcp_get_sentiment_balance""", inputSchema={'properties': {'asset': {'title': 'Asset', 'type': 'string'}, 'days': {'default': 7, 'title': 'Days', 'type': 'integer'}}, 'required': ['asset'], 'title': 'get_sentiment_balanceArguments', 'type': 'object'}, description="""\nRetrieve the sentiment balance (sentiment_balance_total) for a given asset.\n\nParameters:\n- asset (str): The cryptocurrency slug (e.g., \"bitcoin\", \"ethereum\"). Required.\n- days (int): Number of days to calculate the average sentiment balance, defaults to 7.\n\nUsage:\n- Use this tool to get the average sentiment balance (positive minus negative sentiment) over a period.\n\nReturns:\n- A string with the average sentiment balance (e.g., \"Bitcoin's sentiment balance over the past 7 days is 12.5\").\n"""), # kukapay/crypto-sentiment-mcp/get_sentiment_balance
    Tool(name="""crypto-sentiment-mcp_get_social_volume""", inputSchema={'properties': {'asset': {'title': 'Asset', 'type': 'string'}, 'days': {'default': 7, 'title': 'Days', 'type': 'integer'}}, 'required': ['asset'], 'title': 'get_social_volumeArguments', 'type': 'object'}, description="""\nRetrieve the total social volume (social_volume_total) for a given asset. It calculates the total number of social data text documents that contain the given search term at least once. Examples of documents are telegram messages and reddit posts.\n\nParameters:\n- asset (str): The cryptocurrency slug (e.g., \"bitcoin\", \"ethereum\"). Required.\n- days (int): Number of days to sum the social volume, defaults to 7.\n\nUsage:\n- Call this tool to get the total number of social media mentions for an asset over a period.\n\nReturns:\n- A string with the total social volume (e.g., \"Bitcoin's social volume over the past 7 days is 15,000 mentions\").\n"""), # kukapay/crypto-sentiment-mcp/get_social_volume
    Tool(name="""crypto-sentiment-mcp_alert_social_shift""", inputSchema={'properties': {'asset': {'title': 'Asset', 'type': 'string'}, 'days': {'default': 7, 'title': 'Days', 'type': 'integer'}, 'threshold': {'default': 50, 'title': 'Threshold', 'type': 'number'}}, 'required': ['asset'], 'title': 'alert_social_shiftArguments', 'type': 'object'}, description="""\nDetect significant shifts (spikes or drops) in social volume (social_volume_total) for a given asset.\n\nParameters:\n- asset (str): The cryptocurrency slug (e.g., \"bitcoin\", \"ethereum\"). Required.\n- threshold (float): Minimum percentage change (absolute value) to trigger an alert, defaults to 50.0 (i.e., 50%).\n- days (int): Number of days to analyze for baseline volume, defaults to 7.\n\nUsage:\n- Call this tool to check if the latest social volume has significantly spiked or dropped compared to the previous average.\n\nReturns:\n- A string indicating if a shift occurred (e.g., \"Bitcoin's social volume spiked by 75.0% in the last 24 hours\" or \"Bitcoin's social volume dropped by 60.0% in the last 24 hours\").\n"""), # kukapay/crypto-sentiment-mcp/alert_social_shift
    Tool(name="""crypto-sentiment-mcp_get_trending_words""", inputSchema={'properties': {'days': {'default': 7, 'title': 'Days', 'type': 'integer'}, 'top_n': {'default': 5, 'title': 'Top N', 'type': 'integer'}}, 'title': 'get_trending_wordsArguments', 'type': 'object'}, description="""\nRetrieve the top trending words in the crypto space over a specified period, aggregated and ranked by score.\n\nParameters:\n- days (int): Number of days to analyze trending words, defaults to 7.\n- top_n (int): Number of top trending words to return, defaults to 5.\n\nUsage:\n- Call this tool to get a list of the most popular words trending in cryptocurrency discussions, ranked across the entire period.\n\nReturns:\n- A string listing the top trending words (e.g., \"Top 5 trending words over the past 7 days: 'halving', 'bullrun', 'defi', 'nft', 'pump'\").\n"""), # kukapay/crypto-sentiment-mcp/get_trending_words
    Tool(name="""crypto-sentiment-mcp_get_social_dominance""", inputSchema={'properties': {'asset': {'title': 'Asset', 'type': 'string'}, 'days': {'default': 7, 'title': 'Days', 'type': 'integer'}}, 'required': ['asset'], 'title': 'get_social_dominanceArguments', 'type': 'object'}, description="""\nRetrieve the social dominance (social_dominance_total) for a given asset. Social Dominance shows the share of the discussions in crypto media that is referring to a particular asset or phrase.\n\nParameters:\n- asset (str): The cryptocurrency slug (e.g., \"bitcoin\", \"ethereum\"). Required.\n- days (int): Number of days to calculate average social dominance, defaults to 7.\n\nUsage:\n- Call this tool to get the percentage of social media discussion dominated by the asset.\n\nReturns:\n- A string with the average social dominance (e.g., \"Bitcoin's social dominance over the past 7 days is 25.3%\").\n"""), # kukapay/crypto-sentiment-mcp/get_social_dominance
    Tool(name="""taskqueue-mcp_list_projects""", inputSchema={'properties': {'state': {'description': "Filter projects by state. 'open' (any incomplete task), 'pending_approval' (any tasks awaiting approval), 'completed' (all tasks done and approved), or 'all' to skip filtering.", 'enum': ['open', 'pending_approval', 'completed', 'all'], 'type': 'string'}}, 'required': [], 'type': 'object'}, description="""List all projects in the system and their basic information (ID, initial prompt, task counts), optionally filtered by state (open, pending_approval, completed, all)."""), # chriscarrollsmith/taskqueue-mcp/list_projects
    Tool(name="""taskqueue-mcp_read_project""", inputSchema={'properties': {'projectId': {'description': 'The ID of the project to read (e.g., proj-1).', 'type': 'string'}}, 'required': ['projectId'], 'type': 'object'}, description="""Read all information for a given project, by its ID, including its tasks' statuses."""), # chriscarrollsmith/taskqueue-mcp/read_project
    Tool(name="""taskqueue-mcp_create_project""", inputSchema={'properties': {'autoApprove': {'description': 'If true, tasks will be automatically approved when marked as done. If false or not provided, tasks require manual approval.', 'type': 'boolean'}, 'initialPrompt': {'description': 'The initial prompt or goal for the project.', 'type': 'string'}, 'projectPlan': {'description': 'A more detailed plan for the project. If not provided, the initial prompt will be used.', 'type': 'string'}, 'tasks': {'description': 'An array of task objects.', 'items': {'properties': {'description': {'description': 'A detailed description of the task.', 'type': 'string'}, 'ruleRecommendations': {'description': 'Recommendations for relevant rules to review when completing the task.', 'type': 'string'}, 'title': {'description': 'The title of the task.', 'type': 'string'}, 'toolRecommendations': {'description': 'Recommendations for tools to use to complete the task.', 'type': 'string'}}, 'required': ['title', 'description'], 'type': 'object'}, 'type': 'array'}}, 'required': ['initialPrompt', 'tasks'], 'type': 'object'}, description="""Create a new project with an initial prompt and a list of tasks. This is typically the first step in any workflow."""), # chriscarrollsmith/taskqueue-mcp/create_project
    Tool(name="""taskqueue-mcp_delete_project""", inputSchema={'properties': {'projectId': {'description': 'The ID of the project to delete (e.g., proj-1).', 'type': 'string'}}, 'required': ['projectId'], 'type': 'object'}, description="""Delete a project and all its associated tasks."""), # chriscarrollsmith/taskqueue-mcp/delete_project
    Tool(name="""taskqueue-mcp_add_tasks_to_project""", inputSchema={'properties': {'projectId': {'description': 'The ID of the project to add tasks to (e.g., proj-1).', 'type': 'string'}, 'tasks': {'description': 'An array of task objects to add.', 'items': {'properties': {'description': {'description': 'A detailed description of the task.', 'type': 'string'}, 'ruleRecommendations': {'description': 'Recommendations for relevant rules to review when completing the task.', 'type': 'string'}, 'title': {'description': 'The title of the task.', 'type': 'string'}, 'toolRecommendations': {'description': 'Recommendations for tools to use to complete the task.', 'type': 'string'}}, 'required': ['title', 'description'], 'type': 'object'}, 'type': 'array'}}, 'required': ['projectId', 'tasks'], 'type': 'object'}, description="""Add new tasks to an existing project."""), # chriscarrollsmith/taskqueue-mcp/add_tasks_to_project
    Tool(name="""taskqueue-mcp_finalize_project""", inputSchema={'properties': {'projectId': {'description': 'The ID of the project to finalize (e.g., proj-1).', 'type': 'string'}}, 'required': ['projectId'], 'type': 'object'}, description="""Mark a project as complete. Can only be called when all tasks are both done and approved. This is typically the last step in a project workflow."""), # chriscarrollsmith/taskqueue-mcp/finalize_project
    Tool(name="""taskqueue-mcp_list_tasks""", inputSchema={'properties': {'projectId': {'description': 'The ID of the project to list tasks from. If omitted, list all tasks.', 'type': 'string'}, 'state': {'description': "Filter tasks by state. 'open' (not started/in progress), 'pending_approval', 'completed', or 'all' to skip filtering.", 'enum': ['open', 'pending_approval', 'completed', 'all'], 'type': 'string'}}, 'required': [], 'type': 'object'}, description="""List all tasks, optionally filtered by project ID and/or state (open, pending_approval, completed, all). Tasks may include tool and rule recommendations to guide their completion."""), # chriscarrollsmith/taskqueue-mcp/list_tasks
    Tool(name="""taskqueue-mcp_read_task""", inputSchema={'properties': {'taskId': {'description': 'The ID of the task to read (e.g., task-1).', 'type': 'string'}}, 'required': ['taskId'], 'type': 'object'}, description="""Get details of a specific task by its ID. The task may include toolRecommendations and ruleRecommendations fields that should be used to guide task completion."""), # chriscarrollsmith/taskqueue-mcp/read_task
    Tool(name="""taskqueue-mcp_create_task""", inputSchema={'properties': {'description': {'description': 'A detailed description of the task.', 'type': 'string'}, 'projectId': {'description': 'The ID of the project to add the task to (e.g., proj-1).', 'type': 'string'}, 'ruleRecommendations': {'description': 'Recommendations for relevant rules to review when completing the task.', 'type': 'string'}, 'title': {'description': 'The title of the task.', 'type': 'string'}, 'toolRecommendations': {'description': 'Recommendations for tools to use to complete the task.', 'type': 'string'}}, 'required': ['projectId', 'title', 'description'], 'type': 'object'}, description="""Create a new task within an existing project. You can optionally include tool and rule recommendations to guide task completion."""), # chriscarrollsmith/taskqueue-mcp/create_task
    Tool(name="""taskqueue-mcp_update_task""", inputSchema={'properties': {'completedDetails': {'description': "Details about the task completion (required if status is set to 'done').", 'type': 'string'}, 'description': {'description': 'The new description for the task (optional).', 'type': 'string'}, 'projectId': {'description': 'The ID of the project containing the task (e.g., proj-1).', 'type': 'string'}, 'ruleRecommendations': {'description': 'Recommendations for relevant rules to review when completing the task.', 'type': 'string'}, 'status': {'description': 'The new status for the task (optional).', 'enum': ['not started', 'in progress', 'done'], 'type': 'string'}, 'taskId': {'description': 'The ID of the task to update (e.g., task-1).', 'type': 'string'}, 'title': {'description': 'The new title for the task (optional).', 'type': 'string'}, 'toolRecommendations': {'description': 'Recommendations for tools to use to complete the task.', 'type': 'string'}}, 'required': ['projectId', 'taskId'], 'type': 'object'}, description="""Modify a task's properties. Note: (1) completedDetails are required when setting status to 'done', (2) approved tasks cannot be modified, (3) status must follow valid transitions: not started  in progress  done. You can also update tool and rule recommendations to guide task completion."""), # chriscarrollsmith/taskqueue-mcp/update_task
    Tool(name="""taskqueue-mcp_delete_task""", inputSchema={'properties': {'projectId': {'description': 'The ID of the project containing the task (e.g., proj-1).', 'type': 'string'}, 'taskId': {'description': 'The ID of the task to delete (e.g., task-1).', 'type': 'string'}}, 'required': ['projectId', 'taskId'], 'type': 'object'}, description="""Remove a task from a project."""), # chriscarrollsmith/taskqueue-mcp/delete_task
    Tool(name="""taskqueue-mcp_approve_task""", inputSchema={'properties': {'projectId': {'description': 'The ID of the project containing the task (e.g., proj-1).', 'type': 'string'}, 'taskId': {'description': 'The ID of the task to approve (e.g., task-1).', 'type': 'string'}}, 'required': ['projectId', 'taskId'], 'type': 'object'}, description="""Approve a completed task. Tasks must be marked as 'done' with completedDetails before approval. Note: This is a CLI-only operation that requires human intervention."""), # chriscarrollsmith/taskqueue-mcp/approve_task
    Tool(name="""taskqueue-mcp_get_next_task""", inputSchema={'properties': {'projectId': {'description': 'The ID of the project to get the next task from (e.g., proj-1).', 'type': 'string'}}, 'required': ['projectId'], 'type': 'object'}, description="""Get the next task to be done in a project. Returns the first non-approved task in sequence, regardless of status. The task may include toolRecommendations and ruleRecommendations fields that should be used to guide task completion."""), # chriscarrollsmith/taskqueue-mcp/get_next_task
    Tool(name="""ZIP-MCP_compress""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'input': {'anyOf': [{'type': 'string'}, {'items': {'type': 'string'}, 'type': 'array'}]}, 'options': {'additionalProperties': False, 'properties': {'comment': {'type': 'string'}, 'encryptionStrength': {'enum': [1, 2, 3], 'type': 'number'}, 'level': {'maximum': 9, 'minimum': 0, 'type': 'number'}, 'overwrite': {'type': 'boolean'}, 'password': {'type': 'string'}}, 'type': 'object'}, 'output': {'type': 'string'}}, 'required': ['input', 'output'], 'type': 'object'}, description="""Compress local files or directories into a ZIP file"""), # 7gugu/ZIP-MCP/compress
    Tool(name="""ZIP-MCP_decompress""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'input': {'type': 'string'}, 'options': {'additionalProperties': False, 'properties': {'createDirectories': {'type': 'boolean'}, 'overwrite': {'type': 'boolean'}, 'password': {'type': 'string'}}, 'type': 'object'}, 'output': {'type': 'string'}}, 'required': ['input', 'output'], 'type': 'object'}, description="""Decompress local ZIP file to specified directory"""), # 7gugu/ZIP-MCP/decompress
    Tool(name="""ZIP-MCP_getZipInfo""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'input': {'type': 'string'}, 'options': {'additionalProperties': False, 'properties': {'password': {'type': 'string'}}, 'type': 'object'}}, 'required': ['input'], 'type': 'object'}, description="""Get metadata information of a local ZIP file"""), # 7gugu/ZIP-MCP/getZipInfo
    Tool(name="""ZIP-MCP_echo""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'message': {'type': 'string'}}, 'required': ['message'], 'type': 'object'}, description="""Return the input message (for testing)"""), # 7gugu/ZIP-MCP/echo
    Tool(name="""MySql MCP Server_use_database""", inputSchema={'properties': {'database': {'description': 'Name of the database to switch to', 'type': 'string'}}, 'required': ['database'], 'type': 'object'}, description="""Switch to a different database."""), # sussa3007/MySql MCP Server/use_database
    Tool(name="""MySql MCP Server_set_readonly""", inputSchema={'properties': {'readonly': {'description': 'Set to true to enable read-only mode, false to disable', 'type': 'boolean'}}, 'required': ['readonly'], 'type': 'object'}, description="""Enable or disable read-only mode"""), # sussa3007/MySql MCP Server/set_readonly
    Tool(name="""MySql MCP Server_list_tables""", inputSchema={'properties': {'random_string': {'description': 'Dummy parameter for no-parameter tools', 'type': 'string'}}, 'required': ['random_string'], 'type': 'object'}, description="""Get a list of tables in the current database."""), # sussa3007/MySql MCP Server/list_tables
    Tool(name="""MySql MCP Server_describe_table""", inputSchema={'properties': {'table': {'description': 'Name of the table to describe', 'type': 'string'}}, 'required': ['table'], 'type': 'object'}, description="""Get the structure of a specific table."""), # sussa3007/MySql MCP Server/describe_table
    Tool(name="""MySql MCP Server_list_databases""", inputSchema={'properties': {'random_string': {'description': 'Dummy parameter for no-parameter tools', 'type': 'string'}}, 'required': ['random_string'], 'type': 'object'}, description="""Get a list of all accessible databases on the server."""), # sussa3007/MySql MCP Server/list_databases
    Tool(name="""MySql MCP Server_status""", inputSchema={'properties': {'random_string': {'description': 'Dummy parameter for no-parameter tools', 'type': 'string'}}, 'required': ['random_string'], 'type': 'object'}, description="""Check the current database connection status."""), # sussa3007/MySql MCP Server/status
    Tool(name="""MySql MCP Server_connect""", inputSchema={'properties': {'database': {'description': 'Database name to connect to', 'type': 'string'}, 'host': {'description': 'Database server hostname or IP address', 'type': 'string'}, 'password': {'description': 'Database password', 'type': 'string'}, 'port': {'description': 'Database server port', 'type': 'string'}, 'user': {'description': 'Database username', 'type': 'string'}}, 'type': 'object'}, description="""Connect to a MySQL database."""), # sussa3007/MySql MCP Server/connect
    Tool(name="""MySql MCP Server_disconnect""", inputSchema={'properties': {'random_string': {'description': 'Dummy parameter for no-parameter tools', 'type': 'string'}}, 'required': ['random_string'], 'type': 'object'}, description="""Close the current MySQL database connection."""), # sussa3007/MySql MCP Server/disconnect
    Tool(name="""MySql MCP Server_query""", inputSchema={'properties': {'params': {'description': 'Parameters for prepared statements', 'items': {'type': 'string'}, 'type': 'array'}, 'sql': {'description': 'SQL query to execute', 'type': 'string'}}, 'required': ['sql'], 'type': 'object'}, description="""Execute an SQL query on the connected database."""), # sussa3007/MySql MCP Server/query
    Tool(name="""Japanese Text Analyzer_count-chars""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'filePath': {'description': 'WindowsWSL/Linux', 'type': 'string'}}, 'required': ['filePath'], 'type': 'object'}, description="""Windows C:\\Users\\...WSL/Linux /c/Users/... """), # Mistizz/Japanese Text Analyzer/count-chars
    Tool(name="""Japanese Text Analyzer_count-words""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'filePath': {'description': 'WindowsWSL/Linux', 'type': 'string'}, 'language': {'default': 'en', 'description': ' (en: , ja: )', 'enum': ['en', 'ja'], 'type': 'string'}}, 'required': ['filePath'], 'type': 'object'}, description="""Windows C:\\Users\\...WSL/Linux /c/Users/... """), # Mistizz/Japanese Text Analyzer/count-words
    Tool(name="""Japanese Text Analyzer_count-clipboard-chars""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'text': {'description': '', 'type': 'string'}}, 'required': ['text'], 'type': 'object'}, description=""""""), # Mistizz/Japanese Text Analyzer/count-clipboard-chars
    Tool(name="""Japanese Text Analyzer_count-clipboard-words""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'language': {'default': 'en', 'description': ' (en: , ja: )', 'enum': ['en', 'ja'], 'type': 'string'}, 'text': {'description': '', 'type': 'string'}}, 'required': ['text'], 'type': 'object'}, description=""""""), # Mistizz/Japanese Text Analyzer/count-clipboard-words
    Tool(name="""Strava MCP Server_get_user_activities""", inputSchema={'properties': {'after': {'anyOf': [{'type': 'integer'}, {'type': 'null'}], 'default': None, 'title': 'After'}, 'before': {'anyOf': [{'type': 'integer'}, {'type': 'null'}], 'default': None, 'title': 'Before'}, 'page': {'default': 1, 'title': 'Page', 'type': 'integer'}, 'per_page': {'default': 30, 'title': 'Per Page', 'type': 'integer'}}, 'title': 'get_user_activitiesArguments', 'type': 'object'}, description="""Get the authenticated user's activities.\n\nArgs:\n    ctx: The MCP request context\n    before: An epoch timestamp for filtering activities before a certain time\n    after: An epoch timestamp for filtering activities after a certain time\n    page: Page number\n    per_page: Number of items per page\n\nReturns:\n    List of activities\n"""), # yorrickjansen/Strava MCP Server/get_user_activities
    Tool(name="""Strava MCP Server_get_activity""", inputSchema={'properties': {'activity_id': {'title': 'Activity Id', 'type': 'integer'}, 'include_all_efforts': {'default': False, 'title': 'Include All Efforts', 'type': 'boolean'}}, 'required': ['activity_id'], 'title': 'get_activityArguments', 'type': 'object'}, description="""Get details of a specific activity.\n\nArgs:\n    ctx: The MCP request context\n    activity_id: The ID of the activity\n    include_all_efforts: Whether to include all segment efforts\n\nReturns:\n    The activity details\n"""), # yorrickjansen/Strava MCP Server/get_activity
    Tool(name="""Strava MCP Server_get_activity_segments""", inputSchema={'properties': {'activity_id': {'title': 'Activity Id', 'type': 'integer'}}, 'required': ['activity_id'], 'title': 'get_activity_segmentsArguments', 'type': 'object'}, description="""Get the segments of a specific activity.\n\nArgs:\n    ctx: The MCP request context\n    activity_id: The ID of the activity\n\nReturns:\n    List of segment efforts for the activity\n"""), # yorrickjansen/Strava MCP Server/get_activity_segments
    Tool(name="""Weather MCP Server_weather""", inputSchema={'properties': {'city': {'title': 'City', 'type': 'string'}}, 'required': ['city'], 'title': 'weatherArguments', 'type': 'object'}, description=""" It fetches the latest weather reports for the given city. \n    Args:\n        city (str): The city name for which weather reports are required.\n    Returns:\n        dict: The weather reports for the given city.\n    """), # CodeByWaqas/Weather MCP Server/weather
    Tool(name="""User Feedback_user_feedback""", inputSchema={'properties': {'project_directory': {'description': 'Full path to the project directory', 'title': 'Project Directory', 'type': 'string'}, 'summary': {'description': 'Short, one-line summary of the changes', 'title': 'Summary', 'type': 'string'}}, 'required': ['project_directory', 'summary'], 'title': 'user_feedbackArguments', 'type': 'object'}, description="""Request user feedback for a given project directory and summary"""), # mrexodia/User Feedback/user_feedback
    Tool(name="""Vibe Check MCP_vibe_check""", inputSchema={'properties': {'availableTools': {'description': 'List of available MCP tools', 'items': {'type': 'string'}, 'type': 'array'}, 'confidence': {'description': "Agent's confidence level (0-1)", 'maximum': 1, 'minimum': 0, 'type': 'number'}, 'focusAreas': {'description': 'Optional specific focus areas', 'items': {'type': 'string'}, 'type': 'array'}, 'phase': {'description': 'Current project phase for context-appropriate feedback', 'enum': ['planning', 'implementation', 'review'], 'type': 'string'}, 'plan': {'description': 'Current plan or thinking', 'type': 'string'}, 'previousAdvice': {'description': 'Previous feedback to avoid repetition and ensure progression', 'type': 'string'}, 'sessionId': {'description': 'Optional session ID for state management', 'type': 'string'}, 'thinkingLog': {'description': 'Raw sequential thinking transcript', 'type': 'string'}, 'userRequest': {'description': 'Original user request - critical for alignment checking', 'type': 'string'}}, 'required': ['plan', 'userRequest'], 'type': 'object'}, description="""Metacognitive questioning tool that identifies assumptions and breaks tunnel vision to prevent cascading errors"""), # PV-Bhat/Vibe Check MCP/vibe_check
    Tool(name="""Vibe Check MCP_vibe_distill""", inputSchema={'properties': {'plan': {'description': 'The plan to distill', 'type': 'string'}, 'sessionId': {'description': 'Optional session ID for state management', 'type': 'string'}, 'userRequest': {'description': 'Original user request', 'type': 'string'}}, 'required': ['plan', 'userRequest'], 'type': 'object'}, description="""Plan simplification tool that reduces complexity and extracts essential elements to prevent over-engineering"""), # PV-Bhat/Vibe Check MCP/vibe_distill
    Tool(name="""Vibe Check MCP_vibe_learn""", inputSchema={'properties': {'category': {'description': 'Category of mistake (standard categories: Complex Solution Bias, Feature Creep, Premature Implementation, Misalignment, Overtooling, Other)', 'enum': ['Complex Solution Bias', 'Feature Creep', 'Premature Implementation', 'Misalignment', 'Overtooling', 'Other'], 'type': 'string'}, 'mistake': {'description': 'One-sentence description of the mistake', 'type': 'string'}, 'sessionId': {'description': 'Optional session ID for state management', 'type': 'string'}, 'solution': {'description': 'How it was corrected (one sentence)', 'type': 'string'}}, 'required': ['mistake', 'category', 'solution'], 'type': 'object'}, description="""Pattern recognition system that tracks common errors and solutions to prevent recurring issues"""), # PV-Bhat/Vibe Check MCP/vibe_learn
    Tool(name="""cloudinary-mcp-server_upload""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'folder': {'description': 'Optional folder path in Cloudinary', 'type': 'string'}, 'publicId': {'description': 'Optional public ID for the uploaded asset', 'type': 'string'}, 'resourceType': {'default': 'auto', 'description': 'Type of resource to upload', 'enum': ['image', 'video', 'raw', 'auto'], 'type': 'string'}, 'source': {'anyOf': [{'description': 'URL of the image/video to upload', 'format': 'uri', 'type': 'string'}, {'description': 'Base64 encoded file content or file path', 'type': 'string'}, {'description': 'Binary data to upload'}], 'description': 'The source media to upload (URL, file path, base64 content, or binary data)'}, 'tags': {'description': 'A string containing Comma-separated list of tags to assign to the asset', 'type': 'string'}}, 'required': ['source'], 'type': 'object'}, description="""Upload a file (asset) to Cloudinary"""), # yoavniran/cloudinary-mcp-server/upload
    Tool(name="""cloudinary-mcp-server_delete-asset""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'assetId': {'description': 'The asset ID of the asset to delete', 'type': 'string'}, 'publicId': {'description': 'The public ID of the asset to delete', 'type': 'string'}}, 'type': 'object'}, description="""Delete a file (asset) from Cloudinary"""), # yoavniran/cloudinary-mcp-server/delete-asset
    Tool(name="""cloudinary-mcp-server_get-asset""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'assetId': {'description': 'The Cloudinary asset ID', 'type': 'string'}, 'context': {'description': 'Whether to include contextual metadata. Default: false', 'type': 'boolean'}, 'metadata': {'description': 'Whether to include structured metadata. Default: false', 'type': 'boolean'}, 'publicId': {'description': 'The public ID of the asset', 'type': 'string'}, 'resourceType': {'description': 'Type of asset. Default: image', 'enum': ['image', 'raw', 'video'], 'type': 'string'}, 'tags': {'description': 'Whether to include the list of tag names. Default: false', 'type': 'boolean'}, 'type': {'description': 'Delivery type. Default: upload', 'enum': ['upload', 'private', 'authenticated', 'fetch', 'facebook', 'twitter', 'gravatar', 'youtube', 'hulu', 'vimeo', 'animoto', 'worldstarhiphop', 'dailymotion', 'list'], 'type': 'string'}}, 'type': 'object'}, description="""Get the details of a specific file (asset)"""), # yoavniran/cloudinary-mcp-server/get-asset
    Tool(name="""cloudinary-mcp-server_find-assets""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'context': {'description': 'Include context in the response', 'type': 'boolean'}, 'expression': {'description': "Search expression (e.g. 'tags=cat' or 'public_id:folder/*')", 'type': 'string'}, 'maxResults': {'default': 10, 'description': 'Maximum number of results', 'maximum': 500, 'minimum': 1, 'type': 'number'}, 'nextCursor': {'description': 'Next cursor for pagination', 'type': 'string'}, 'resourceType': {'default': 'image', 'description': 'Resource type', 'enum': ['image', 'video', 'raw'], 'type': 'string'}, 'tags': {'description': 'Include tags in the response', 'type': 'boolean'}}, 'type': 'object'}, description="""Search for existing files (assets) in Cloudinary with a query expression"""), # yoavniran/cloudinary-mcp-server/find-assets
    Tool(name="""cloudinary-mcp-server_get-usage""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'date': {'description': 'The date for the usage report. Must be within the last 3 months and specified in the format: yyyy-mm-dd. Default: the current date', 'type': 'string'}}, 'type': 'object'}, description="""Get a report on the status of your product environment usage, including storage, credits, bandwidth, requests, number of resources, and add-on usage"""), # yoavniran/cloudinary-mcp-server/get-usage
    Tool(name="""mcp-sleep_sleep""", inputSchema={'properties': {'seconds': {'description': 'seconds it will take me to tell you to continue.', 'maximum': 120, 'minimum': 0, 'type': 'number'}}, 'required': ['seconds'], 'type': 'object'}, description="""If you need to wait for a few seconds to continue with the task you are performing ."""), # AgentsWorkingTogether/mcp-sleep/sleep
    Tool(name="""Tripo MCP Server_get_scene_info""", inputSchema={'properties': {}, 'title': 'get_scene_infoArguments', 'type': 'object'}, description="""Get detailed information about the current Blender scene"""), # VAST-AI-Research/Tripo MCP Server/get_scene_info
    Tool(name="""Tripo MCP Server_get_object_info""", inputSchema={'properties': {'object_name': {'title': 'Object Name', 'type': 'string'}}, 'required': ['object_name'], 'title': 'get_object_infoArguments', 'type': 'object'}, description="""\n    Get detailed information about a specific object in the Blender scene.\n\n    Parameters:\n    - object_name: The name of the object to get information about\n    """), # VAST-AI-Research/Tripo MCP Server/get_object_info
    Tool(name="""Tripo MCP Server_create_object""", inputSchema={'properties': {'location': {'default': None, 'items': {'type': 'number'}, 'title': 'Location', 'type': 'array'}, 'name': {'default': None, 'title': 'Name', 'type': 'string'}, 'rotation': {'default': None, 'items': {'type': 'number'}, 'title': 'Rotation', 'type': 'array'}, 'scale': {'default': None, 'items': {'type': 'number'}, 'title': 'Scale', 'type': 'array'}, 'type': {'default': 'CUBE', 'title': 'Type', 'type': 'string'}}, 'title': 'create_objectArguments', 'type': 'object'}, description="""\n    Create a new object in the Blender scene.\n\n    Parameters:\n    - type: Object type (CUBE, SPHERE, CYLINDER, PLANE, CONE, TORUS, EMPTY, CAMERA, LIGHT)\n    - name: Optional name for the object\n    - location: Optional [x, y, z] location coordinates\n    - rotation: Optional [x, y, z] rotation in radians\n    - scale: Optional [x, y, z] scale factors\n    """), # VAST-AI-Research/Tripo MCP Server/create_object
    Tool(name="""Tripo MCP Server_modify_object""", inputSchema={'properties': {'location': {'default': None, 'items': {'type': 'number'}, 'title': 'Location', 'type': 'array'}, 'name': {'title': 'Name', 'type': 'string'}, 'rotation': {'default': None, 'items': {'type': 'number'}, 'title': 'Rotation', 'type': 'array'}, 'scale': {'default': None, 'items': {'type': 'number'}, 'title': 'Scale', 'type': 'array'}, 'visible': {'default': None, 'title': 'Visible', 'type': 'boolean'}}, 'required': ['name'], 'title': 'modify_objectArguments', 'type': 'object'}, description="""\n    Modify an existing object in the Blender scene.\n\n    Parameters:\n    - name: Name of the object to modify\n    - location: Optional [x, y, z] location coordinates\n    - rotation: Optional [x, y, z] rotation in radians\n    - scale: Optional [x, y, z] scale factors\n    - visible: Optional boolean to set visibility\n    """), # VAST-AI-Research/Tripo MCP Server/modify_object
    Tool(name="""Tripo MCP Server_delete_object""", inputSchema={'properties': {'name': {'title': 'Name', 'type': 'string'}}, 'required': ['name'], 'title': 'delete_objectArguments', 'type': 'object'}, description="""\n    Delete an object from the Blender scene.\n\n    Parameters:\n    - name: Name of the object to delete\n    """), # VAST-AI-Research/Tripo MCP Server/delete_object
    Tool(name="""Tripo MCP Server_set_material""", inputSchema={'properties': {'color': {'default': None, 'items': {'type': 'number'}, 'title': 'Color', 'type': 'array'}, 'material_name': {'default': None, 'title': 'Material Name', 'type': 'string'}, 'object_name': {'title': 'Object Name', 'type': 'string'}}, 'required': ['object_name'], 'title': 'set_materialArguments', 'type': 'object'}, description="""\n    Set or create a material for an object.\n\n    Parameters:\n    - object_name: Name of the object to apply the material to\n    - material_name: Optional name of the material to use or create\n    - color: Optional [R, G, B] color values (0.0-1.0)\n    """), # VAST-AI-Research/Tripo MCP Server/set_material
    Tool(name="""Tripo MCP Server_execute_blender_code""", inputSchema={'properties': {'code': {'title': 'Code', 'type': 'string'}}, 'required': ['code'], 'title': 'execute_blender_codeArguments', 'type': 'object'}, description="""\n    Execute arbitrary Python code in Blender.\n\n    Parameters:\n    - code: The Python code to execute\n    """), # VAST-AI-Research/Tripo MCP Server/execute_blender_code
    Tool(name="""Tripo MCP Server_get_polyhaven_categories""", inputSchema={'properties': {'asset_type': {'default': 'hdris', 'title': 'Asset Type', 'type': 'string'}}, 'title': 'get_polyhaven_categoriesArguments', 'type': 'object'}, description="""\n    Get a list of categories for a specific asset type on Polyhaven.\n\n    Parameters:\n    - asset_type: The type of asset to get categories for (hdris, textures, models, all)\n    """), # VAST-AI-Research/Tripo MCP Server/get_polyhaven_categories
    Tool(name="""Tripo MCP Server_search_polyhaven_assets""", inputSchema={'properties': {'asset_type': {'default': 'all', 'title': 'Asset Type', 'type': 'string'}, 'categories': {'default': None, 'title': 'Categories', 'type': 'string'}}, 'title': 'search_polyhaven_assetsArguments', 'type': 'object'}, description="""\n    Search for assets on Polyhaven with optional filtering.\n\n    Parameters:\n    - asset_type: Type of assets to search for (hdris, textures, models, all)\n    - categories: Optional comma-separated list of categories to filter by\n\n    Returns a list of matching assets with basic information.\n    """), # VAST-AI-Research/Tripo MCP Server/search_polyhaven_assets
    Tool(name="""Tripo MCP Server_download_polyhaven_asset""", inputSchema={'properties': {'asset_id': {'title': 'Asset Id', 'type': 'string'}, 'asset_type': {'title': 'Asset Type', 'type': 'string'}, 'file_format': {'default': None, 'title': 'File Format', 'type': 'string'}, 'resolution': {'default': '1k', 'title': 'Resolution', 'type': 'string'}}, 'required': ['asset_id', 'asset_type'], 'title': 'download_polyhaven_assetArguments', 'type': 'object'}, description="""\n    Download and import a Polyhaven asset into Blender.\n\n    Parameters:\n    - asset_id: The ID of the asset to download\n    - asset_type: The type of asset (hdris, textures, models)\n    - resolution: The resolution to download (e.g., 1k, 2k, 4k)\n    - file_format: Optional file format (e.g., hdr, exr for HDRIs; jpg, png for textures; gltf, fbx for models)\n\n    Returns a message indicating success or failure.\n    """), # VAST-AI-Research/Tripo MCP Server/download_polyhaven_asset
    Tool(name="""Tripo MCP Server_set_texture""", inputSchema={'properties': {'object_name': {'title': 'Object Name', 'type': 'string'}, 'texture_id': {'title': 'Texture Id', 'type': 'string'}}, 'required': ['object_name', 'texture_id'], 'title': 'set_textureArguments', 'type': 'object'}, description="""\n    Apply a previously downloaded Polyhaven texture to an object.\n\n    Parameters:\n    - object_name: Name of the object to apply the texture to\n    - texture_id: ID of the Polyhaven texture to apply (must be downloaded first)\n\n    Returns a message indicating success or failure.\n    """), # VAST-AI-Research/Tripo MCP Server/set_texture
    Tool(name="""Tripo MCP Server_get_polyhaven_status""", inputSchema={'properties': {}, 'title': 'get_polyhaven_statusArguments', 'type': 'object'}, description="""\n    Check if PolyHaven integration is enabled in Blender.\n    Returns a message indicating whether PolyHaven features are available.\n    """), # VAST-AI-Research/Tripo MCP Server/get_polyhaven_status
    Tool(name="""Tripo MCP Server_create_3d_model_from_text""", inputSchema={'properties': {'describe_the_look_of_object': {'title': 'Describe The Look Of Object', 'type': 'string'}, 'face_limit': {'default': 8000, 'title': 'Face Limit', 'type': 'integer'}}, 'required': ['describe_the_look_of_object'], 'title': 'create_3d_model_from_textArguments', 'type': 'object'}, description="""\n    Create a 3D model from a text description using the Tripo API.\n\n    IMPORTANT: This tool initiates a 3D model generation task but does NOT wait for completion.\n    After calling this tool, you MUST repeatedly call the get_task_status tool with the returned\n    task_id until the task status is SUCCESS or a terminal error state.\n\n    Typical workflow:\n    1. Call create_3d_model_from_text to start the task\n    2. Get the task_id from the response\n    3. Call get_task_status with the task_id\n    4. If status is not SUCCESS, wait a moment and call get_task_status again\n    5. Repeat until status is SUCCESS or a terminal error state\n    6. When status is SUCCESS, use the pbr_model_url from the response\n\n    Args:\n        describe_the_look_of_object: A detailed description of the object to generate.\n        face_limit: The maximum number of faces in the model.\n        auto_size: Whether to automatically size the model.\n\n    Returns:\n        A dictionary containing the task ID and instructions for checking the status.\n    """), # VAST-AI-Research/Tripo MCP Server/create_3d_model_from_text
    Tool(name="""Tripo MCP Server_import_tripo_glb_model""", inputSchema={'properties': {'glb_url': {'title': 'Glb Url', 'type': 'string'}}, 'required': ['glb_url'], 'title': 'import_tripo_glb_modelArguments', 'type': 'object'}, description="""\n    Import a GLB model from URL into Blender scene\n\n    Parameters:\n    - glb_url: Download URL of the GLB model file\n\n    Returns:\n    Result message of the import operation\n    """), # VAST-AI-Research/Tripo MCP Server/import_tripo_glb_model
    Tool(name="""Tripo MCP Server_get_task_status""", inputSchema={'properties': {'task_id': {'title': 'Task Id', 'type': 'string'}}, 'required': ['task_id'], 'title': 'get_task_statusArguments', 'type': 'object'}, description="""\n    Get the status of a 3D model generation task.\n\n    IMPORTANT: This tool checks the status of a task started by create_3d_model_from_text.\n    You may need to call this tool MULTIPLE TIMES until the task completes.\n\n    Typical workflow:\n    1. Call this tool with the task_id from create_3d_model_from_text\n    2. Check the status in the response:\n       - If status is SUCCESS, the task is complete and you can use the pbr_model_url\n       - If status is FAILED, CANCELLED, BANNED, or EXPIRED, the task failed\n       - If status is anything else, the task is still in progress\n    3. If the task is still in progress, wait a moment and call this tool again\n\n    Args:\n        task_id: The ID of the task to check (obtained from create_3d_model_from_text).\n\n    Returns:\n        A dictionary containing the task status and other information.\n    """), # VAST-AI-Research/Tripo MCP Server/get_task_status
    Tool(name="""gotoHuman MCP_list-forms""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {}, 'type': 'object'}, description="""List all available review forms. NOTE: You need to fetch the schema for the form fields first using the get-form-schema tool."""), # gotohuman/gotoHuman MCP/list-forms
    Tool(name="""gotoHuman MCP_get-form-schema""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'formId': {'description': 'The form ID to fetch the schema for', 'type': 'string'}}, 'required': ['formId'], 'type': 'object'}, description="""Get the schema to use for the 'fields' property when requesting a human review with a form."""), # gotohuman/gotoHuman MCP/get-form-schema
    Tool(name="""gotoHuman MCP_request-human-review-with-form""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'assignToUsers': {'description': 'Optional list of user emails to assign the review to', 'items': {'type': 'string'}, 'type': 'array'}, 'fieldData': {'additionalProperties': {}, 'description': 'The field data to include in the review request. Note that this is a dynamic schema that you need to fetch first using the get-form-schema tool.', 'type': 'object'}, 'formId': {'description': 'The form ID to request a human review for', 'type': 'string'}, 'metadata': {'additionalProperties': {'type': 'string'}, 'description': 'Optional additional data that will be incl. in the webhook response after form submission. Incl. everything required to proceed with your workflow.', 'type': 'object'}}, 'required': ['formId', 'fieldData'], 'type': 'object'}, description="""Request a human review with a form. NOTE: If you don't have a form ID yet, list all available forms using the list-forms tool first. To know what to pass for fieldData, you need to fetch the schema for the form fields using the get-form-schema tool."""), # gotohuman/gotoHuman MCP/request-human-review-with-form
    Tool(name="""CoinMarketCap MCP_exchangeMap""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'limit': {'type': 'number'}, 'listing_status': {'type': 'string'}, 'slug': {'type': 'string'}, 'sort': {'type': 'string'}, 'start': {'type': 'number'}}, 'type': 'object'}, description="""Returns a mapping of all exchanges to unique CoinMarketCap IDs."""), # shinzo-labs/CoinMarketCap MCP/exchangeMap
    Tool(name="""CoinMarketCap MCP_globalMetricsLatest""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'convert': {'type': 'string'}, 'convert_id': {'type': 'string'}}, 'type': 'object'}, description="""Returns the latest global cryptocurrency market metrics."""), # shinzo-labs/CoinMarketCap MCP/globalMetricsLatest
    Tool(name="""CoinMarketCap MCP_cryptoCategories""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'id': {'type': 'string'}, 'limit': {'type': 'number'}, 'slug': {'type': 'string'}, 'start': {'type': 'number'}, 'symbol': {'type': 'string'}}, 'type': 'object'}, description="""Returns information about all coin categories available on CoinMarketCap."""), # shinzo-labs/CoinMarketCap MCP/cryptoCategories
    Tool(name="""CoinMarketCap MCP_cryptoCategory""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'convert': {'type': 'string'}, 'convert_id': {'type': 'string'}, 'id': {'type': 'string'}, 'limit': {'type': 'number'}, 'start': {'type': 'number'}}, 'required': ['id'], 'type': 'object'}, description="""Returns information about a single coin category on CoinMarketCap."""), # shinzo-labs/CoinMarketCap MCP/cryptoCategory
    Tool(name="""CoinMarketCap MCP_cryptoCurrencyMap""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'aux': {'type': 'string'}, 'limit': {'type': 'number'}, 'listing_status': {'type': 'string'}, 'sort': {'type': 'string'}, 'start': {'type': 'number'}, 'symbol': {'type': 'string'}}, 'type': 'object'}, description="""Returns a mapping of all cryptocurrencies to unique CoinMarketCap IDs."""), # shinzo-labs/CoinMarketCap MCP/cryptoCurrencyMap
    Tool(name="""CoinMarketCap MCP_getCryptoMetadata""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'address': {'type': 'string'}, 'aux': {'type': 'string'}, 'id': {'type': 'string'}, 'skip_invalid': {'type': 'boolean'}, 'slug': {'type': 'string'}, 'symbol': {'type': 'string'}}, 'type': 'object'}, description="""Returns all static metadata for one or more cryptocurrencies including logo, description, and website URLs."""), # shinzo-labs/CoinMarketCap MCP/getCryptoMetadata
    Tool(name="""CoinMarketCap MCP_allCryptocurrencyListings""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'aux': {'type': 'string'}, 'circulating_supply_max': {'type': 'number'}, 'circulating_supply_min': {'type': 'number'}, 'convert': {'type': 'string'}, 'convert_id': {'type': 'string'}, 'cryptocurrency_type': {'type': 'string'}, 'limit': {'maximum': 5000, 'minimum': 1, 'type': 'number'}, 'market_cap_max': {'type': 'number'}, 'market_cap_min': {'type': 'number'}, 'percent_change_24h_max': {'type': 'number'}, 'percent_change_24h_min': {'type': 'number'}, 'price_max': {'type': 'number'}, 'price_min': {'type': 'number'}, 'sort': {'enum': ['market_cap', 'name', 'symbol', 'date_added', 'price', 'circulating_supply', 'total_supply', 'max_supply', 'num_market_pairs', 'volume_24h', 'percent_change_1h', 'percent_change_24h', 'percent_change_7d'], 'type': 'string'}, 'sort_dir': {'enum': ['asc', 'desc'], 'type': 'string'}, 'start': {'type': 'number'}, 'tag': {'type': 'string'}, 'volume_24h_max': {'type': 'number'}, 'volume_24h_min': {'type': 'number'}}, 'type': 'object'}, description="""Returns a paginated list of all active cryptocurrencies with latest market data."""), # shinzo-labs/CoinMarketCap MCP/allCryptocurrencyListings
    Tool(name="""CoinMarketCap MCP_cryptoQuotesLatest""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'aux': {'type': 'string'}, 'convert': {'type': 'string'}, 'convert_id': {'type': 'string'}, 'id': {'type': 'string'}, 'skip_invalid': {'type': 'boolean'}, 'slug': {'type': 'string'}, 'symbol': {'type': 'string'}}, 'type': 'object'}, description="""Returns the latest market quote for one or more cryptocurrencies."""), # shinzo-labs/CoinMarketCap MCP/cryptoQuotesLatest
    Tool(name="""CoinMarketCap MCP_dexInfo""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'aux': {'type': 'string'}, 'id': {'type': 'string'}}, 'type': 'object'}, description="""Returns all static metadata for one or more decentralised exchanges."""), # shinzo-labs/CoinMarketCap MCP/dexInfo
    Tool(name="""CoinMarketCap MCP_dexListingsLatest""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'aux': {'type': 'string'}, 'convert_id': {'type': 'string'}, 'limit': {'type': 'string'}, 'sort': {'enum': ['name', 'volume_24h', 'market_share', 'num_markets'], 'type': 'string'}, 'sort_dir': {'enum': ['desc', 'asc'], 'type': 'string'}, 'start': {'type': 'string'}, 'type': {'enum': ['all', 'orderbook', 'swap', 'aggregator'], 'type': 'string'}}, 'type': 'object'}, description="""Returns a paginated list of all decentralised cryptocurrency exchanges including the latest aggregate market data."""), # shinzo-labs/CoinMarketCap MCP/dexListingsLatest
    Tool(name="""CoinMarketCap MCP_dexNetworksList""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'aux': {'type': 'string'}, 'limit': {'type': 'string'}, 'sort': {'enum': ['id', 'name'], 'type': 'string'}, 'sort_dir': {'enum': ['desc', 'asc'], 'type': 'string'}, 'start': {'type': 'string'}}, 'type': 'object'}, description="""Returns a list of all networks to unique CoinMarketCap ids."""), # shinzo-labs/CoinMarketCap MCP/dexNetworksList
    Tool(name="""CoinMarketCap MCP_dexSpotPairsLatest""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'aux': {'type': 'string'}, 'base_asset_contract_address': {'type': 'string'}, 'base_asset_id': {'type': 'string'}, 'base_asset_symbol': {'type': 'string'}, 'base_asset_ucid': {'type': 'string'}, 'convert_id': {'type': 'string'}, 'dex_id': {'type': 'string'}, 'dex_slug': {'type': 'string'}, 'limit': {'type': 'string'}, 'liquidity_max': {'type': 'string'}, 'liquidity_min': {'type': 'string'}, 'network_id': {'type': 'string'}, 'network_slug': {'type': 'string'}, 'no_of_transactions_24h_max': {'type': 'string'}, 'no_of_transactions_24h_min': {'type': 'string'}, 'percent_change_24h_max': {'type': 'string'}, 'percent_change_24h_min': {'type': 'string'}, 'quote_asset_contract_address': {'type': 'string'}, 'quote_asset_id': {'type': 'string'}, 'quote_asset_symbol': {'type': 'string'}, 'quote_asset_ucid': {'type': 'string'}, 'reverse_order': {'type': 'string'}, 'scroll_id': {'type': 'string'}, 'sort': {'enum': ['name', 'date_added', 'price', 'volume_24h', 'percent_change_1h', 'percent_change_24h', 'liquidity', 'fully_diluted_value', 'no_of_transactions_24h'], 'type': 'string'}, 'sort_dir': {'enum': ['desc', 'asc'], 'type': 'string'}, 'volume_24h_max': {'type': 'string'}, 'volume_24h_min': {'type': 'string'}}, 'type': 'object'}, description="""Returns a paginated list of all active dex spot pairs with latest market data."""), # shinzo-labs/CoinMarketCap MCP/dexSpotPairsLatest
    Tool(name="""CoinMarketCap MCP_dexPairsQuotesLatest""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'aux': {'type': 'string'}, 'contract_address': {'type': 'string'}, 'convert_id': {'type': 'string'}, 'network_id': {'type': 'string'}, 'network_slug': {'type': 'string'}, 'reverse_order': {'type': 'string'}, 'skip_invalid': {'type': 'string'}}, 'type': 'object'}, description="""Returns the latest market quote for 1 or more spot pairs."""), # shinzo-labs/CoinMarketCap MCP/dexPairsQuotesLatest
    Tool(name="""CoinMarketCap MCP_dexPairsOhlcvLatest""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'aux': {'type': 'string'}, 'contract_address': {'type': 'string'}, 'convert_id': {'type': 'string'}, 'network_id': {'type': 'string'}, 'network_slug': {'type': 'string'}, 'reverse_order': {'type': 'string'}, 'skip_invalid': {'type': 'string'}}, 'type': 'object'}, description="""Returns the latest OHLCV market values for one or more spot pairs for the current UTC day."""), # shinzo-labs/CoinMarketCap MCP/dexPairsOhlcvLatest
    Tool(name="""CoinMarketCap MCP_dexPairsOhlcvHistorical""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'aux': {'type': 'string'}, 'contract_address': {'type': 'string'}, 'convert_id': {'type': 'string'}, 'count': {'type': 'string'}, 'interval': {'enum': ['1m', '5m', '15m', '30m', '1h', '4h', '8h', '12h', 'daily', 'weekly', 'monthly'], 'type': 'string'}, 'network_id': {'type': 'string'}, 'network_slug': {'type': 'string'}, 'reverse_order': {'type': 'string'}, 'skip_invalid': {'type': 'string'}, 'time_end': {'type': 'string'}, 'time_period': {'enum': ['daily', 'hourly', '1m', '5m', '15m', '30m', '4h', '8h', '12h', 'weekly', 'monthly'], 'type': 'string'}, 'time_start': {'type': 'string'}}, 'type': 'object'}, description="""Returns historical OHLCV data along with market cap for any spot pairs using time interval parameters."""), # shinzo-labs/CoinMarketCap MCP/dexPairsOhlcvHistorical
    Tool(name="""CoinMarketCap MCP_dexPairsTradeLatest""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'aux': {'type': 'string'}, 'contract_address': {'type': 'string'}, 'convert_id': {'type': 'string'}, 'network_id': {'type': 'string'}, 'network_slug': {'type': 'string'}, 'reverse_order': {'type': 'string'}, 'skip_invalid': {'type': 'string'}}, 'type': 'object'}, description="""Returns up to the latest 100 trades for 1 spot pair."""), # shinzo-labs/CoinMarketCap MCP/dexPairsTradeLatest
    Tool(name="""CoinMarketCap MCP_exchangeAssets""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'id': {'type': 'string'}, 'slug': {'type': 'string'}}, 'type': 'object'}, description="""Returns the assets/token holdings of an exchange."""), # shinzo-labs/CoinMarketCap MCP/exchangeAssets
    Tool(name="""CoinMarketCap MCP_exchangeInfo""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'aux': {'type': 'string'}, 'id': {'type': 'string'}, 'slug': {'type': 'string'}}, 'type': 'object'}, description="""Returns metadata for one or more exchanges."""), # shinzo-labs/CoinMarketCap MCP/exchangeInfo
    Tool(name="""CoinMarketCap MCP_cmc100IndexHistorical""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'count': {'type': 'string'}, 'interval': {'enum': ['5m', '15m', 'daily'], 'type': 'string'}, 'time_end': {'type': 'string'}, 'time_start': {'type': 'string'}}, 'type': 'object'}, description="""Returns an interval of historic CoinMarketCap 100 Index values based on the interval parameter."""), # shinzo-labs/CoinMarketCap MCP/cmc100IndexHistorical
    Tool(name="""CoinMarketCap MCP_cmc100IndexLatest""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {}, 'type': 'object'}, description="""Returns the lastest CoinMarketCap 100 Index value, constituents, and constituent weights."""), # shinzo-labs/CoinMarketCap MCP/cmc100IndexLatest
    Tool(name="""CoinMarketCap MCP_fearAndGreedLatest""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {}, 'type': 'object'}, description="""Returns the latest CMC Crypto Fear and Greed Index value."""), # shinzo-labs/CoinMarketCap MCP/fearAndGreedLatest
    Tool(name="""CoinMarketCap MCP_fearAndGreedHistorical""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'limit': {'maximum': 500, 'minimum': 1, 'type': 'number'}, 'start': {'minimum': 1, 'type': 'number'}}, 'type': 'object'}, description="""Returns historical CMC Crypto Fear and Greed Index values."""), # shinzo-labs/CoinMarketCap MCP/fearAndGreedHistorical
    Tool(name="""CoinMarketCap MCP_fiatMap""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'include_metals': {'type': 'boolean'}, 'limit': {'type': 'number'}, 'sort': {'type': 'string'}, 'start': {'type': 'number'}}, 'type': 'object'}, description="""Returns a mapping of all supported fiat currencies to unique CoinMarketCap IDs."""), # shinzo-labs/CoinMarketCap MCP/fiatMap
    Tool(name="""CoinMarketCap MCP_getPostmanCollection""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {}, 'type': 'object'}, description="""Returns a Postman collection for the CoinMarketCap API."""), # shinzo-labs/CoinMarketCap MCP/getPostmanCollection
    Tool(name="""CoinMarketCap MCP_priceConversion""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'amount': {'type': 'number'}, 'convert': {'type': 'string'}, 'convert_id': {'type': 'string'}, 'id': {'type': 'string'}, 'symbol': {'type': 'string'}, 'time': {'type': 'string'}}, 'required': ['amount'], 'type': 'object'}, description="""Convert an amount of one cryptocurrency or fiat currency into one or more different currencies."""), # shinzo-labs/CoinMarketCap MCP/priceConversion
    Tool(name="""CoinMarketCap MCP_keyInfo""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {}, 'type': 'object'}, description="""Returns API key details and usage stats."""), # shinzo-labs/CoinMarketCap MCP/keyInfo
    Tool(name="""Bluesky MCP Server_search-people""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'limit': {'default': 20, 'description': 'Number of results to fetch (1-100)', 'maximum': 100, 'minimum': 1, 'type': 'number'}, 'query': {'description': 'Search query for finding users', 'type': 'string'}}, 'required': ['query'], 'type': 'object'}, description="""Search for users/actors on Bluesky"""), # brianellin/Bluesky MCP Server/search-people
    Tool(name="""Bluesky MCP Server_get-my-handle-and-did""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {}, 'type': 'object'}, description="""Return the handle and did of the currently authenticated user for this blusesky session. Useful for when someone asks information about themselves using \"me\" or \"my\" on bluesky."""), # brianellin/Bluesky MCP Server/get-my-handle-and-did
    Tool(name="""Bluesky MCP Server_get-timeline-posts""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'count': {'description': 'Number of posts to fetch or hours to look back', 'maximum': 500, 'minimum': 1, 'type': 'number'}, 'type': {'description': 'Whether count represents number of posts or hours to look back', 'enum': ['posts', 'hours'], 'type': 'string'}}, 'required': ['count', 'type'], 'type': 'object'}, description="""Fetch your home timeline from Bluesky, which includes posts from all of the people you follow in reverse chronological order"""), # brianellin/Bluesky MCP Server/get-timeline-posts
    Tool(name="""Bluesky MCP Server_create-post""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'replyTo': {'description': 'Optional URI of post to reply to', 'type': 'string'}, 'text': {'description': 'The content of your post', 'maxLength': 300, 'type': 'string'}}, 'required': ['text'], 'type': 'object'}, description="""Create a new post on Bluesky"""), # brianellin/Bluesky MCP Server/create-post
    Tool(name="""Bluesky MCP Server_get-profile""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'handle': {'description': 'The handle of the user (e.g., alice.bsky.social)', 'type': 'string'}}, 'required': ['handle'], 'type': 'object'}, description="""Get a user's profile from Bluesky"""), # brianellin/Bluesky MCP Server/get-profile
    Tool(name="""Bluesky MCP Server_search-posts""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'limit': {'default': 50, 'description': 'Number of results to fetch (1-100)', 'maximum': 100, 'minimum': 1, 'type': 'number'}, 'query': {'description': 'Search query', 'type': 'string'}, 'sort': {'default': 'top', 'description': "Sort order for search results - 'top' for most relevant or 'latest' for most recent", 'enum': ['top', 'latest'], 'type': 'string'}}, 'required': ['query'], 'type': 'object'}, description="""Search for posts on Bluesky"""), # brianellin/Bluesky MCP Server/search-posts
    Tool(name="""Bluesky MCP Server_search-feeds""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'limit': {'default': 10, 'description': 'Number of results to fetch (1-100)', 'maximum': 100, 'minimum': 1, 'type': 'number'}, 'query': {'description': 'Search query for finding feeds', 'type': 'string'}}, 'required': ['query'], 'type': 'object'}, description="""Search for custom feeds on Bluesky"""), # brianellin/Bluesky MCP Server/search-feeds
    Tool(name="""Bluesky MCP Server_get-liked-posts""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'limit': {'default': 50, 'description': 'Maximum number of liked posts to fetch (1-100)', 'maximum': 100, 'minimum': 1, 'type': 'number'}}, 'type': 'object'}, description="""Get a list of posts that the authenticated user has liked"""), # brianellin/Bluesky MCP Server/get-liked-posts
    Tool(name="""Bluesky MCP Server_get-trends""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'includeSuggested': {'default': False, 'description': 'Whether to include suggested topics in addition to trending topics', 'type': 'boolean'}, 'limit': {'default': 10, 'description': 'Number of trending topics to fetch (1-50)', 'maximum': 50, 'minimum': 1, 'type': 'number'}}, 'type': 'object'}, description="""Get current trending topics on Bluesky"""), # brianellin/Bluesky MCP Server/get-trends
    Tool(name="""Bluesky MCP Server_like-post""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'uri': {'description': 'The URI of the post to like', 'type': 'string'}}, 'required': ['uri'], 'type': 'object'}, description="""Like a post on Bluesky"""), # brianellin/Bluesky MCP Server/like-post
    Tool(name="""Bluesky MCP Server_follow-user""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'handle': {'description': 'The handle of the user to follow', 'type': 'string'}}, 'required': ['handle'], 'type': 'object'}, description="""Follow a user on Bluesky"""), # brianellin/Bluesky MCP Server/follow-user
    Tool(name="""Bluesky MCP Server_get-pinned-feeds""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {}, 'type': 'object'}, description="""Get the authenticated user's pinned feeds and lists."""), # brianellin/Bluesky MCP Server/get-pinned-feeds
    Tool(name="""Bluesky MCP Server_get-feed-posts""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'count': {'description': 'Number of posts to fetch or hours to look back', 'maximum': 500, 'minimum': 1, 'type': 'number'}, 'feed': {'description': 'The URI of the feed to fetch posts from (e.g., at://did:plc:abcdef/app.bsky.feed.generator/whats-hot)', 'type': 'string'}, 'type': {'description': 'Whether count represents number of posts or hours to look back', 'enum': ['posts', 'hours'], 'type': 'string'}}, 'required': ['feed', 'count', 'type'], 'type': 'object'}, description="""Fetch posts from a specified feed"""), # brianellin/Bluesky MCP Server/get-feed-posts
    Tool(name="""Bluesky MCP Server_get-list-posts""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'count': {'description': 'Number of posts to fetch or hours to look back', 'maximum': 500, 'minimum': 1, 'type': 'number'}, 'list': {'description': 'The URI of the list (e.g., at://did:plc:abcdef/app.bsky.graph.list/listname)', 'type': 'string'}, 'type': {'description': 'Whether count represents number of posts or hours to look back', 'enum': ['posts', 'hours'], 'type': 'string'}}, 'required': ['list', 'count', 'type'], 'type': 'object'}, description="""Fetch posts from users in a specified list"""), # brianellin/Bluesky MCP Server/get-list-posts
    Tool(name="""Bluesky MCP Server_get-user-posts""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'count': {'description': 'Number of posts to fetch or hours to look back', 'maximum': 500, 'minimum': 1, 'type': 'number'}, 'type': {'description': 'Whether count represents number of posts or hours to look back', 'enum': ['posts', 'hours'], 'type': 'string'}, 'user': {'description': 'The handle or DID of the user (e.g., alice.bsky.social)', 'type': 'string'}}, 'required': ['user', 'count', 'type'], 'type': 'object'}, description="""Fetch posts from a specific user"""), # brianellin/Bluesky MCP Server/get-user-posts
    Tool(name="""Bluesky MCP Server_get-follows""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'limit': {'default': 500, 'description': 'Maximum number of follows to fetch (1-500)', 'maximum': 500, 'minimum': 1, 'type': 'number'}, 'user': {'description': 'The handle or DID of the user (e.g., alice.bsky.social)', 'type': 'string'}}, 'required': ['user'], 'type': 'object'}, description="""Get a list of users that a person follows"""), # brianellin/Bluesky MCP Server/get-follows
    Tool(name="""Bluesky MCP Server_get-post-likes""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'limit': {'default': 100, 'description': 'Maximum number of likes to fetch (1-100)', 'maximum': 100, 'minimum': 1, 'type': 'number'}, 'uri': {'description': 'The URI of the post to get likes for (e.g., at://did:plc:abcdef/app.bsky.feed.post/123)', 'type': 'string'}}, 'required': ['uri'], 'type': 'object'}, description="""Get information about users who have liked a specific post"""), # brianellin/Bluesky MCP Server/get-post-likes
    Tool(name="""Bluesky MCP Server_list-resources""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {}, 'type': 'object'}, description="""List all available MCP resources with their descriptions"""), # brianellin/Bluesky MCP Server/list-resources
    Tool(name="""MCP Feishu Project Manager_get_view_list""", inputSchema={'properties': {'work_item_type_key': {'enum': ['story', 'version', 'issue'], 'title': 'Work Item Type Key', 'type': 'string'}}, 'required': ['work_item_type_key'], 'title': 'get_view_listArguments', 'type': 'object'}, description="""\n    Args:\n        work_item_type_key: \"story\"\"version\"\"issue\", \n    """), # Roland0511/MCP Feishu Project Manager/get_view_list
    Tool(name="""MCP Feishu Project Manager_get_view_detail""", inputSchema={'properties': {'page_num': {'default': 1, 'title': 'Page Num', 'type': 'integer'}, 'page_size': {'default': 20, 'title': 'Page Size', 'type': 'integer'}, 'view_id': {'title': 'View Id', 'type': 'string'}}, 'required': ['view_id'], 'title': 'get_view_detailArguments', 'type': 'object'}, description="""\n    Args:\n        view_id: \n        page_num: 1\n        page_size: 20\n    """), # Roland0511/MCP Feishu Project Manager/get_view_detail
    Tool(name="""MCP Feishu Project Manager_get_work_item_detail""", inputSchema={'properties': {'work_item_ids': {'title': 'Work Item Ids', 'type': 'string'}, 'work_item_type_key': {'enum': ['story', 'version', 'issue'], 'title': 'Work Item Type Key', 'type': 'string'}}, 'required': ['work_item_type_key', 'work_item_ids'], 'title': 'get_work_item_detailArguments', 'type': 'object'}, description="""\n    Args:\n        work_item_type_key: \"story\"\"version\"\"issue\", \n        work_item_ids: IDID\n    """), # Roland0511/MCP Feishu Project Manager/get_work_item_detail
    Tool(name="""MCP Feishu Project Manager_get_work_item_type_meta""", inputSchema={'properties': {'work_item_type_key': {'enum': ['story', 'version', 'issue'], 'title': 'Work Item Type Key', 'type': 'string'}}, 'required': ['work_item_type_key'], 'title': 'get_work_item_type_metaArguments', 'type': 'object'}, description="""\n    - \"fields\"\n    Args:\n        work_item_type_key: \"story\"\"version\"\"issue\", \n    """), # Roland0511/MCP Feishu Project Manager/get_work_item_type_meta
    Tool(name="""MCP Shell Server_shell_exec""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'command': {'minLength': 1, 'type': 'string'}}, 'required': ['command'], 'type': 'object'}, description="""Executes commands in the specified shell"""), # mkusaka/MCP Shell Server/shell_exec
    Tool(name="""Fewsats MCP Server_pay_offer""", inputSchema={'properties': {'l402_offer': {'title': 'L402 Offer', 'type': 'object'}, 'offer_id': {'title': 'Offer Id', 'type': 'string'}}, 'required': ['offer_id', 'l402_offer'], 'title': 'pay_offerArguments', 'type': 'object'}, description="""Pays an offer_id from the l402_offers.\n\n    The l402_offer parameter must be a dict with this structure:\n    {\n        'offers': [\n            {\n                'offer_id': 'test_offer_2',  # String identifier for the offer\n                'amount': 1,                 # Numeric cost value\n                'currency': 'usd',           # Currency code\n                'description': 'Test offer', # Text description\n                'title': 'Test Package'      # Title of the package\n            }\n        ],\n        'payment_context_token': '60a8e027-8b8b-4ccf-b2b9-380ed0930283',  # Payment context token\n        'payment_request_url': 'https://api.fewsats.com/v0/l402/payment-request',  # Payment URL\n        'version': '0.2.2'  # API version\n    }\n\n    Returns payment status response. \n    If payment status is `needs_review` inform the user he will have to approve it at app.fewsats.com"""), # Fewsats/Fewsats MCP Server/pay_offer
    Tool(name="""Fewsats MCP Server_payment_info""", inputSchema={'properties': {'pid': {'title': 'Pid', 'type': 'string'}}, 'required': ['pid'], 'title': 'payment_infoArguments', 'type': 'object'}, description="""Retrieve the details of a payment.\n    If payment status is `needs_review` inform the user he will have to approve it at app.fewsats.com"""), # Fewsats/Fewsats MCP Server/payment_info
    Tool(name="""Fewsats MCP Server_balance""", inputSchema={'properties': {}, 'title': 'balanceArguments', 'type': 'object'}, description="""Retrieve the balance of the user's wallet.\n    You will rarely need to call this unless instructed by the user, or to troubleshoot payment issues.\n    Fewsats will automatically add balance when needed."""), # Fewsats/Fewsats MCP Server/balance
    Tool(name="""Fewsats MCP Server_payment_methods""", inputSchema={'properties': {}, 'title': 'payment_methodsArguments', 'type': 'object'}, description="""Retrieve the user's payment methods.\n    You will rarely need to call this unless instructed by the user, or to troubleshoot payment issues.\n    Fewsats will automatically select the best payment method."""), # Fewsats/Fewsats MCP Server/payment_methods
    Tool(name="""Google Workspace MCP Server_list_emails""", inputSchema={'properties': {'maxResults': {'description': 'Maximum number of emails to return (default: 10)', 'type': 'number'}, 'query': {'description': 'Search query to filter emails', 'type': 'string'}}, 'type': 'object'}, description="""List recent emails from Gmail inbox"""), # rishipradeep-think41/Google Workspace MCP Server/list_emails
    Tool(name="""Google Workspace MCP Server_search_emails""", inputSchema={'properties': {'maxResults': {'description': 'Maximum number of emails to return (default: 10)', 'type': 'number'}, 'query': {'description': 'Gmail search query (e.g., "from:example@gmail.com has:attachment"). Examples:\n- "from:alice@example.com" (Emails from Alice)\n- "to:bob@example.com" (Emails sent to Bob)\n- "subject:Meeting Update" (Emails with "Meeting Update" in the subject)\n- "has:attachment filename:pdf" (Emails with PDF attachments)\n- "after:2024/01/01 before:2024/02/01" (Emails between specific dates)\n- "is:unread" (Unread emails)\n- "from:@company.com has:attachment" (Emails from a company domain with attachments)', 'required': True, 'type': 'string'}}, 'required': ['query'], 'type': 'object'}, description="""Search emails with advanced query"""), # rishipradeep-think41/Google Workspace MCP Server/search_emails
    Tool(name="""Google Workspace MCP Server_send_email""", inputSchema={'properties': {'bcc': {'description': 'BCC recipients (comma-separated)', 'type': 'string'}, 'body': {'description': 'Email body (can include HTML)', 'type': 'string'}, 'cc': {'description': 'CC recipients (comma-separated)', 'type': 'string'}, 'subject': {'description': 'Email subject', 'type': 'string'}, 'to': {'description': 'Recipient email address', 'type': 'string'}}, 'required': ['to', 'subject', 'body'], 'type': 'object'}, description="""Send a new email"""), # rishipradeep-think41/Google Workspace MCP Server/send_email
    Tool(name="""Google Workspace MCP Server_modify_email""", inputSchema={'properties': {'addLabels': {'description': 'Labels to add', 'items': {'type': 'string'}, 'type': 'array'}, 'id': {'description': 'Email ID', 'type': 'string'}, 'removeLabels': {'description': 'Labels to remove', 'items': {'type': 'string'}, 'type': 'array'}}, 'required': ['id'], 'type': 'object'}, description="""Modify email labels (archive, trash, mark read/unread)"""), # rishipradeep-think41/Google Workspace MCP Server/modify_email
    Tool(name="""Google Workspace MCP Server_list_events""", inputSchema={'properties': {'maxResults': {'description': 'Maximum number of events to return (default: 10)', 'type': 'number'}, 'timeMax': {'description': 'End time in ISO format', 'type': 'string'}, 'timeMin': {'description': 'Start time in ISO format (default: now)', 'type': 'string'}}, 'type': 'object'}, description="""List upcoming calendar events"""), # rishipradeep-think41/Google Workspace MCP Server/list_events
    Tool(name="""Google Workspace MCP Server_create_event""", inputSchema={'properties': {'attendees': {'description': 'List of attendee email addresses', 'items': {'type': 'string'}, 'type': 'array'}, 'description': {'description': 'Event description', 'type': 'string'}, 'end': {'description': 'End time in ISO format', 'type': 'string'}, 'location': {'description': 'Event location', 'type': 'string'}, 'start': {'description': 'Start time in ISO format', 'type': 'string'}, 'summary': {'description': 'Event title', 'type': 'string'}}, 'required': ['summary', 'start', 'end'], 'type': 'object'}, description="""Create a new calendar event"""), # rishipradeep-think41/Google Workspace MCP Server/create_event
    Tool(name="""Google Workspace MCP Server_update_event""", inputSchema={'properties': {'attendees': {'description': 'New list of attendee email addresses', 'items': {'type': 'string'}, 'type': 'array'}, 'description': {'description': 'New event description', 'type': 'string'}, 'end': {'description': 'New end time in ISO format', 'type': 'string'}, 'eventId': {'description': 'Event ID to update', 'type': 'string'}, 'location': {'description': 'New event location', 'type': 'string'}, 'start': {'description': 'New start time in ISO format', 'type': 'string'}, 'summary': {'description': 'New event title', 'type': 'string'}}, 'required': ['eventId'], 'type': 'object'}, description="""Update an existing calendar event"""), # rishipradeep-think41/Google Workspace MCP Server/update_event
    Tool(name="""Google Workspace MCP Server_delete_event""", inputSchema={'properties': {'eventId': {'description': 'Event ID to delete', 'type': 'string'}}, 'required': ['eventId'], 'type': 'object'}, description="""Delete a calendar event"""), # rishipradeep-think41/Google Workspace MCP Server/delete_event
    Tool(name="""Oxylabs MCP Server_oxylabs_scraper""", inputSchema={'properties': {'parse': {'anyOf': [{'type': 'boolean'}, {'type': 'null'}], 'default': None, 'description': 'Should result be parsed. If result should not be parsed then html will be stripped and converted to markdown file', 'title': 'Parse'}, 'render': {'anyOf': [{'enum': ['html', 'None'], 'type': 'string'}, {'type': 'null'}], 'default': None, 'description': 'Whether a headless browser should be used to render the page. See: https://developers.oxylabs.io/scraper-apis/web-scraper-api/features/javascript-rendering `html` will return rendered html page `None` will not use render for scraping.', 'title': 'Render'}, 'url': {'description': 'Url to scrape', 'title': 'Url', 'type': 'string'}}, 'required': ['url'], 'title': 'scrape_urlArguments', 'type': 'object'}, description="""Scrape url using Oxylabs Web Api"""), # oxylabs/Oxylabs MCP Server/oxylabs_scraper
    Tool(name="""Oxylabs MCP Server_oxylabs_web_unblocker""", inputSchema={'properties': {'render': {'anyOf': [{'enum': ['html', 'None'], 'type': 'string'}, {'type': 'null'}], 'default': None, 'description': 'Whether a headless browser should be used to render the page. See: https://developers.oxylabs.io/advanced-proxy-solutions/web-unblocker/headless-browser/javascript-rendering `html` will return rendered html page `None` will not use render for scraping.', 'title': 'Render'}, 'url': {'description': 'Url to scrape with web unblocker', 'title': 'Url', 'type': 'string'}}, 'required': ['url'], 'title': 'scrape_with_web_unblockerArguments', 'type': 'object'}, description="""Scrape url using Oxylabs Web Unblocker"""), # oxylabs/Oxylabs MCP Server/oxylabs_web_unblocker
    Tool(name="""Vidu MCP Server_image-to-video""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'duration': {'default': 4, 'description': 'Duration of the output video in seconds (4 or 8)', 'maximum': 8, 'minimum': 4, 'type': 'integer'}, 'image_url': {'description': 'URL of the image to convert to video', 'format': 'uri', 'type': 'string'}, 'model': {'default': 'vidu2.0', 'description': 'Model name for generation', 'enum': ['vidu1.0', 'vidu1.5', 'vidu2.0'], 'type': 'string'}, 'movement_amplitude': {'default': 'auto', 'description': 'Movement amplitude of objects in the frame', 'enum': ['auto', 'small', 'medium', 'large'], 'type': 'string'}, 'prompt': {'description': 'Text prompt for video generation (max 1500 chars)', 'maxLength': 1500, 'type': 'string'}, 'resolution': {'default': '720p', 'description': 'Resolution of the output video', 'enum': ['360p', '720p', '1080p'], 'type': 'string'}, 'seed': {'description': 'Random seed for reproducibility', 'type': 'integer'}}, 'required': ['image_url'], 'type': 'object'}, description="""Generate a video from an image using Vidu API"""), # el-el-san/Vidu MCP Server/image-to-video
    Tool(name="""Vidu MCP Server_check-generation-status""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'task_id': {'description': 'Task ID returned by the image-to-video tool', 'type': 'string'}}, 'required': ['task_id'], 'type': 'object'}, description="""Check the status of a video generation task"""), # el-el-san/Vidu MCP Server/check-generation-status
    Tool(name="""Vidu MCP Server_upload-image""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'image_path': {'description': 'Local path to the image file', 'type': 'string'}, 'image_type': {'description': 'Image file type', 'enum': ['png', 'webp', 'jpeg', 'jpg'], 'type': 'string'}}, 'required': ['image_path', 'image_type'], 'type': 'object'}, description="""Upload an image to use with the Vidu API"""), # el-el-san/Vidu MCP Server/upload-image
    Tool(name="""SketchupMCP_create_component""", inputSchema={'properties': {'dimensions': {'default': None, 'items': {'type': 'number'}, 'title': 'Dimensions', 'type': 'array'}, 'position': {'default': None, 'items': {'type': 'number'}, 'title': 'Position', 'type': 'array'}, 'type': {'default': 'cube', 'title': 'Type', 'type': 'string'}}, 'title': 'create_componentArguments', 'type': 'object'}, description="""Create a new component in Sketchup"""), # BearNetwork-BRNKC/SketchupMCP/create_component
    Tool(name="""SketchupMCP_delete_component""", inputSchema={'properties': {'id': {'title': 'Id', 'type': 'string'}}, 'required': ['id'], 'title': 'delete_componentArguments', 'type': 'object'}, description="""Delete a component by ID"""), # BearNetwork-BRNKC/SketchupMCP/delete_component
    Tool(name="""SketchupMCP_transform_component""", inputSchema={'properties': {'id': {'title': 'Id', 'type': 'string'}, 'position': {'default': None, 'items': {'type': 'number'}, 'title': 'Position', 'type': 'array'}, 'rotation': {'default': None, 'items': {'type': 'number'}, 'title': 'Rotation', 'type': 'array'}, 'scale': {'default': None, 'items': {'type': 'number'}, 'title': 'Scale', 'type': 'array'}}, 'required': ['id'], 'title': 'transform_componentArguments', 'type': 'object'}, description="""Transform a component's position, rotation, or scale"""), # BearNetwork-BRNKC/SketchupMCP/transform_component
    Tool(name="""SketchupMCP_get_selection""", inputSchema={'properties': {}, 'title': 'get_selectionArguments', 'type': 'object'}, description="""Get currently selected components"""), # BearNetwork-BRNKC/SketchupMCP/get_selection
    Tool(name="""SketchupMCP_set_material""", inputSchema={'properties': {'id': {'title': 'Id', 'type': 'string'}, 'material': {'title': 'Material', 'type': 'string'}}, 'required': ['id', 'material'], 'title': 'set_materialArguments', 'type': 'object'}, description="""Set material for a component"""), # BearNetwork-BRNKC/SketchupMCP/set_material
    Tool(name="""SketchupMCP_export_scene""", inputSchema={'properties': {'format': {'default': 'skp', 'title': 'Format', 'type': 'string'}}, 'title': 'export_sceneArguments', 'type': 'object'}, description="""Export the current scene"""), # BearNetwork-BRNKC/SketchupMCP/export_scene
    Tool(name="""SketchupMCP_create_mortise_tenon""", inputSchema={'properties': {'depth': {'default': 1, 'title': 'Depth', 'type': 'number'}, 'height': {'default': 1, 'title': 'Height', 'type': 'number'}, 'mortise_id': {'title': 'Mortise Id', 'type': 'string'}, 'offset_x': {'default': 0, 'title': 'Offset X', 'type': 'number'}, 'offset_y': {'default': 0, 'title': 'Offset Y', 'type': 'number'}, 'offset_z': {'default': 0, 'title': 'Offset Z', 'type': 'number'}, 'tenon_id': {'title': 'Tenon Id', 'type': 'string'}, 'width': {'default': 1, 'title': 'Width', 'type': 'number'}}, 'required': ['mortise_id', 'tenon_id'], 'title': 'create_mortise_tenonArguments', 'type': 'object'}, description="""Create a mortise and tenon joint between two components"""), # BearNetwork-BRNKC/SketchupMCP/create_mortise_tenon
    Tool(name="""SketchupMCP_create_dovetail""", inputSchema={'properties': {'angle': {'default': 15, 'title': 'Angle', 'type': 'number'}, 'depth': {'default': 1, 'title': 'Depth', 'type': 'number'}, 'height': {'default': 1, 'title': 'Height', 'type': 'number'}, 'num_tails': {'default': 3, 'title': 'Num Tails', 'type': 'integer'}, 'offset_x': {'default': 0, 'title': 'Offset X', 'type': 'number'}, 'offset_y': {'default': 0, 'title': 'Offset Y', 'type': 'number'}, 'offset_z': {'default': 0, 'title': 'Offset Z', 'type': 'number'}, 'pin_id': {'title': 'Pin Id', 'type': 'string'}, 'tail_id': {'title': 'Tail Id', 'type': 'string'}, 'width': {'default': 1, 'title': 'Width', 'type': 'number'}}, 'required': ['tail_id', 'pin_id'], 'title': 'create_dovetailArguments', 'type': 'object'}, description="""Create a dovetail joint between two components"""), # BearNetwork-BRNKC/SketchupMCP/create_dovetail
    Tool(name="""SketchupMCP_create_finger_joint""", inputSchema={'properties': {'board1_id': {'title': 'Board1 Id', 'type': 'string'}, 'board2_id': {'title': 'Board2 Id', 'type': 'string'}, 'depth': {'default': 1, 'title': 'Depth', 'type': 'number'}, 'height': {'default': 1, 'title': 'Height', 'type': 'number'}, 'num_fingers': {'default': 5, 'title': 'Num Fingers', 'type': 'integer'}, 'offset_x': {'default': 0, 'title': 'Offset X', 'type': 'number'}, 'offset_y': {'default': 0, 'title': 'Offset Y', 'type': 'number'}, 'offset_z': {'default': 0, 'title': 'Offset Z', 'type': 'number'}, 'width': {'default': 1, 'title': 'Width', 'type': 'number'}}, 'required': ['board1_id', 'board2_id'], 'title': 'create_finger_jointArguments', 'type': 'object'}, description="""Create a finger joint (box joint) between two components"""), # BearNetwork-BRNKC/SketchupMCP/create_finger_joint
    Tool(name="""SketchupMCP_eval_ruby""", inputSchema={'properties': {'code': {'title': 'Code', 'type': 'string'}}, 'required': ['code'], 'title': 'eval_rubyArguments', 'type': 'object'}, description="""Evaluate arbitrary Ruby code in Sketchup"""), # BearNetwork-BRNKC/SketchupMCP/eval_ruby
    Tool(name="""GitHub Actions MCP Server_list_workflows""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'owner': {'description': 'Repository owner (username or organization)', 'type': 'string'}, 'page': {'description': 'Page number for pagination', 'type': 'number'}, 'perPage': {'description': 'Results per page (max 100)', 'type': 'number'}, 'repo': {'description': 'Repository name', 'type': 'string'}}, 'required': ['owner', 'repo'], 'type': 'object'}, description="""List workflows in a GitHub repository"""), # ko1ynnky/GitHub Actions MCP Server/list_workflows
    Tool(name="""GitHub Actions MCP Server_get_workflow""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'owner': {'description': 'Repository owner (username or organization)', 'type': 'string'}, 'repo': {'description': 'Repository name', 'type': 'string'}, 'workflowId': {'description': 'The ID of the workflow or filename', 'type': ['string', 'number']}}, 'required': ['owner', 'repo', 'workflowId'], 'type': 'object'}, description="""Get details of a specific workflow"""), # ko1ynnky/GitHub Actions MCP Server/get_workflow
    Tool(name="""GitHub Actions MCP Server_get_workflow_usage""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'owner': {'description': 'Repository owner (username or organization)', 'type': 'string'}, 'repo': {'description': 'Repository name', 'type': 'string'}, 'workflowId': {'description': 'The ID of the workflow or filename', 'type': ['string', 'number']}}, 'required': ['owner', 'repo', 'workflowId'], 'type': 'object'}, description="""Get usage statistics of a workflow"""), # ko1ynnky/GitHub Actions MCP Server/get_workflow_usage
    Tool(name="""GitHub Actions MCP Server_list_workflow_runs""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'actor': {'description': "Returns someone's workflow runs. Use the login for the user", 'type': 'string'}, 'branch': {'description': 'Returns workflow runs associated with a branch', 'type': 'string'}, 'checkSuiteId': {'description': 'Returns workflow runs with the check_suite_id', 'type': 'number'}, 'created': {'description': 'Returns workflow runs created within date range (YYYY-MM-DD)', 'type': 'string'}, 'event': {'description': 'Returns workflow runs triggered by the event', 'type': 'string'}, 'excludePullRequests': {'description': 'If true, pull requests are omitted from the response', 'type': 'boolean'}, 'owner': {'description': 'Repository owner (username or organization)', 'type': 'string'}, 'page': {'description': 'Page number for pagination', 'type': 'number'}, 'perPage': {'description': 'Results per page (max 100)', 'type': 'number'}, 'repo': {'description': 'Repository name', 'type': 'string'}, 'status': {'description': 'Returns workflow runs with the check run status', 'enum': ['completed', 'action_required', 'cancelled', 'failure', 'neutral', 'skipped', 'stale', 'success', 'timed_out', 'in_progress', 'queued', 'requested', 'waiting', 'pending'], 'type': 'string'}, 'workflowId': {'description': 'The ID of the workflow or filename', 'type': ['string', 'number']}}, 'required': ['owner', 'repo'], 'type': 'object'}, description="""List all workflow runs for a repository or a specific workflow"""), # ko1ynnky/GitHub Actions MCP Server/list_workflow_runs
    Tool(name="""GitHub Actions MCP Server_get_workflow_run""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'owner': {'description': 'Repository owner (username or organization)', 'type': 'string'}, 'repo': {'description': 'Repository name', 'type': 'string'}, 'runId': {'description': 'The ID of the workflow run', 'type': 'number'}}, 'required': ['owner', 'repo', 'runId'], 'type': 'object'}, description="""Get details of a specific workflow run"""), # ko1ynnky/GitHub Actions MCP Server/get_workflow_run
    Tool(name="""GitHub Actions MCP Server_get_workflow_run_jobs""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'filter': {'description': 'Filter jobs by their completed_at date', 'enum': ['latest', 'all'], 'type': 'string'}, 'owner': {'description': 'Repository owner (username or organization)', 'type': 'string'}, 'page': {'description': 'Page number for pagination', 'type': 'number'}, 'perPage': {'description': 'Results per page (max 100)', 'type': 'number'}, 'repo': {'description': 'Repository name', 'type': 'string'}, 'runId': {'description': 'The ID of the workflow run', 'type': 'number'}}, 'required': ['owner', 'repo', 'runId'], 'type': 'object'}, description="""Get jobs for a specific workflow run"""), # ko1ynnky/GitHub Actions MCP Server/get_workflow_run_jobs
    Tool(name="""GitHub Actions MCP Server_trigger_workflow""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'inputs': {'additionalProperties': {'type': 'string'}, 'description': 'Input parameters for the workflow', 'type': 'object'}, 'owner': {'description': 'Repository owner (username or organization)', 'type': 'string'}, 'ref': {'description': 'The reference of the workflow run (branch, tag, or SHA)', 'type': 'string'}, 'repo': {'description': 'Repository name', 'type': 'string'}, 'workflowId': {'description': 'The ID of the workflow or filename', 'type': ['string', 'number']}}, 'required': ['owner', 'repo', 'workflowId', 'ref'], 'type': 'object'}, description="""Trigger a workflow run"""), # ko1ynnky/GitHub Actions MCP Server/trigger_workflow
    Tool(name="""GitHub Actions MCP Server_cancel_workflow_run""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'owner': {'description': 'Repository owner (username or organization)', 'type': 'string'}, 'repo': {'description': 'Repository name', 'type': 'string'}, 'runId': {'description': 'The ID of the workflow run', 'type': 'number'}}, 'required': ['owner', 'repo', 'runId'], 'type': 'object'}, description="""Cancel a workflow run"""), # ko1ynnky/GitHub Actions MCP Server/cancel_workflow_run
    Tool(name="""GitHub Actions MCP Server_rerun_workflow""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'owner': {'description': 'Repository owner (username or organization)', 'type': 'string'}, 'repo': {'description': 'Repository name', 'type': 'string'}, 'runId': {'description': 'The ID of the workflow run', 'type': 'number'}}, 'required': ['owner', 'repo', 'runId'], 'type': 'object'}, description="""Re-run a workflow run"""), # ko1ynnky/GitHub Actions MCP Server/rerun_workflow
    Tool(name="""mcp-minecraft_move-to-position""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'range': {'description': 'How close to get to the target (default: 1)', 'type': 'number'}, 'x': {'description': 'X coordinate', 'type': 'number'}, 'y': {'description': 'Y coordinate', 'type': 'number'}, 'z': {'description': 'Z coordinate', 'type': 'number'}}, 'required': ['x', 'y', 'z'], 'type': 'object'}, description="""Move the bot to a specific position"""), # yuniko-software/mcp-minecraft/move-to-position
    Tool(name="""mcp-minecraft_look-at""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'x': {'description': 'X coordinate', 'type': 'number'}, 'y': {'description': 'Y coordinate', 'type': 'number'}, 'z': {'description': 'Z coordinate', 'type': 'number'}}, 'required': ['x', 'y', 'z'], 'type': 'object'}, description="""Make the bot look at a specific position"""), # yuniko-software/mcp-minecraft/look-at
    Tool(name="""mcp-minecraft_jump""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {}, 'type': 'object'}, description="""Make the bot jump"""), # yuniko-software/mcp-minecraft/jump
    Tool(name="""mcp-minecraft_get-position""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {}, 'type': 'object'}, description="""Get the current position of the bot"""), # yuniko-software/mcp-minecraft/get-position
    Tool(name="""mcp-minecraft_move-in-direction""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'direction': {'description': 'Direction to move', 'enum': ['forward', 'back', 'left', 'right'], 'type': 'string'}, 'duration': {'description': 'Duration in milliseconds (default: 1000)', 'type': 'number'}}, 'required': ['direction'], 'type': 'object'}, description="""Move the bot in a specific direction for a duration"""), # yuniko-software/mcp-minecraft/move-in-direction
    Tool(name="""mcp-minecraft_list-inventory""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {}, 'type': 'object'}, description="""List all items in the bot's inventory"""), # yuniko-software/mcp-minecraft/list-inventory
    Tool(name="""mcp-minecraft_find-item""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'nameOrType': {'description': 'Name or type of item to find', 'type': 'string'}}, 'required': ['nameOrType'], 'type': 'object'}, description="""Find a specific item in the bot's inventory"""), # yuniko-software/mcp-minecraft/find-item
    Tool(name="""mcp-minecraft_equip-item""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'destination': {'description': "Where to equip the item (default: 'hand')", 'type': 'string'}, 'itemName': {'description': 'Name of the item to equip', 'type': 'string'}}, 'required': ['itemName'], 'type': 'object'}, description="""Equip a specific item"""), # yuniko-software/mcp-minecraft/equip-item
    Tool(name="""mcp-minecraft_place-block""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'faceDirection': {'description': "Direction to place against (default: 'down')", 'enum': ['up', 'down', 'north', 'south', 'east', 'west'], 'type': 'string'}, 'x': {'description': 'X coordinate', 'type': 'number'}, 'y': {'description': 'Y coordinate', 'type': 'number'}, 'z': {'description': 'Z coordinate', 'type': 'number'}}, 'required': ['x', 'y', 'z'], 'type': 'object'}, description="""Place a block at the specified position"""), # yuniko-software/mcp-minecraft/place-block
    Tool(name="""mcp-minecraft_dig-block""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'x': {'description': 'X coordinate', 'type': 'number'}, 'y': {'description': 'Y coordinate', 'type': 'number'}, 'z': {'description': 'Z coordinate', 'type': 'number'}}, 'required': ['x', 'y', 'z'], 'type': 'object'}, description="""Dig a block at the specified position"""), # yuniko-software/mcp-minecraft/dig-block
    Tool(name="""mcp-minecraft_get-block-info""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'x': {'description': 'X coordinate', 'type': 'number'}, 'y': {'description': 'Y coordinate', 'type': 'number'}, 'z': {'description': 'Z coordinate', 'type': 'number'}}, 'required': ['x', 'y', 'z'], 'type': 'object'}, description="""Get information about a block at the specified position"""), # yuniko-software/mcp-minecraft/get-block-info
    Tool(name="""mcp-minecraft_find-block""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'blockType': {'description': 'Type of block to find', 'type': 'string'}, 'maxDistance': {'description': 'Maximum search distance (default: 16)', 'type': 'number'}}, 'required': ['blockType'], 'type': 'object'}, description="""Find the nearest block of a specific type"""), # yuniko-software/mcp-minecraft/find-block
    Tool(name="""mcp-minecraft_find-entity""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'maxDistance': {'description': 'Maximum search distance (default: 16)', 'type': 'number'}, 'type': {'description': 'Type of entity to find (empty for any entity)', 'type': 'string'}}, 'type': 'object'}, description="""Find the nearest entity of a specific type"""), # yuniko-software/mcp-minecraft/find-entity
    Tool(name="""mcp-minecraft_send-chat""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'message': {'description': 'Message to send in chat', 'type': 'string'}}, 'required': ['message'], 'type': 'object'}, description="""Send a chat message in-game"""), # yuniko-software/mcp-minecraft/send-chat
    Tool(name="""Bankless Onchain MCP Server_read_contract""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'contract': {'description': 'The contract address', 'type': 'string'}, 'inputs': {'description': 'Input parameters for the method call', 'items': {'additionalProperties': False, 'properties': {'type': {'description': 'The type of the input parameter', 'type': 'string'}, 'value': {'description': 'The value of the input parameter'}}, 'required': ['type'], 'type': 'object'}, 'type': 'array'}, 'method': {'description': 'The contract method to call', 'type': 'string'}, 'network': {'description': 'The blockchain network (e.g., "ethereum", "base")', 'type': 'string'}, 'outputs': {'description': 'Expected output types for the method call. \n    In case of a tuple, don\'t use type tuple, but specify the inner types (found in the source) in order. For nested structs, include the substructs types.\n    \n    Example: \n    struct DataTypeA {\n    DataTypeB b;\n    //the liquidity index. Expressed in ray\n    uint128 liquidityIndex;\n    }\n    \n    struct DataTypeB {\n    address token;\n    }\n    \n    results in outputs for function with return type DataTypeA (tuple in abi): outputs: [{"type": "address"}, {"type": "uint128"}]\n  ', 'items': {'additionalProperties': False, 'properties': {'components': {'description': 'optional components for tuple types', 'items': {'$ref': '#/properties/outputs/items'}, 'type': 'array'}, 'type': {'description': 'Expected output types for the method call. \n    In case of a tuple, don\'t use type tuple, but specify the inner types (found in the source) in order. For nested structs, include the substructs types.\n    \n    Example: \n    struct DataTypeA {\n    DataTypeB b;\n    //the liquidity index. Expressed in ray\n    uint128 liquidityIndex;\n    }\n    \n    struct DataTypeB {\n    address token;\n    }\n    \n    results in outputs for function with return type DataTypeA (tuple in abi): outputs: [{"type": "address"}, {"type": "uint128"}]\n  ', 'type': 'string'}}, 'required': ['type'], 'type': 'object'}, 'type': 'array'}}, 'required': ['network', 'contract', 'method', 'inputs', 'outputs'], 'type': 'object'}, description="""Read contract state from a blockchain. important:  \n                \n                In case of a tuple, don't use type tuple, but specify the inner types (found in the source) in order. For nested structs, include the substructs types.\n    \n    Example: \n    struct DataTypeA {\n    DataTypeB b;\n    //the liquidity index. Expressed in ray\n    uint128 liquidityIndex;\n    }\n    \n    struct DataTypeB {\n    address token;\n    }\n    \n    results in outputs for function with return type DataTypeA (tuple in abi): outputs: [{\"type\": \"address\"}, {\"type\": \"uint128\"}]"""), # Bankless/Bankless Onchain MCP Server/read_contract
    Tool(name="""Bankless Onchain MCP Server_get_proxy""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'contract': {'description': 'The contract address to request the proxy implementation contract for', 'type': 'string'}, 'network': {'description': 'The blockchain network (e.g., "ethereum", "base")', 'type': 'string'}}, 'required': ['network', 'contract'], 'type': 'object'}, description="""Gets the proxy address for a given network and contract"""), # Bankless/Bankless Onchain MCP Server/get_proxy
    Tool(name="""Bankless Onchain MCP Server_get_abi""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'contract': {'description': 'The contract address', 'type': 'string'}, 'network': {'description': 'The blockchain network (e.g., "ethereum", "base")', 'type': 'string'}}, 'required': ['network', 'contract'], 'type': 'object'}, description="""Gets the ABI for a given contract on a specific network"""), # Bankless/Bankless Onchain MCP Server/get_abi
    Tool(name="""Bankless Onchain MCP Server_get_source""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'contract': {'description': 'The contract address', 'type': 'string'}, 'network': {'description': 'The blockchain network (e.g., "ethereum", "base")', 'type': 'string'}}, 'required': ['network', 'contract'], 'type': 'object'}, description="""Gets the source code for a given contract on a specific network"""), # Bankless/Bankless Onchain MCP Server/get_source
    Tool(name="""Bankless Onchain MCP Server_get_events""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'addresses': {'description': 'List of contract addresses to filter events', 'items': {'type': 'string'}, 'type': 'array'}, 'fromBlock': {'description': 'Block number to start fetching logs from', 'type': 'number'}, 'network': {'description': 'The blockchain network (e.g., "ethereum", "base")', 'type': 'string'}, 'optionalTopics': {'description': 'Optional additional topics', 'items': {'type': ['string', 'null']}, 'type': 'array'}, 'toBlock': {'description': 'Block number to stop fetching logs at', 'type': 'number'}, 'topic': {'description': 'Primary topic to filter events', 'type': 'string'}}, 'required': ['network', 'addresses', 'topic'], 'type': 'object'}, description="""Fetches event logs for a given network and filter criteria"""), # Bankless/Bankless Onchain MCP Server/get_events
    Tool(name="""Bankless Onchain MCP Server_build_event_topic""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'arguments': {'description': 'Event arguments types', 'items': {'additionalProperties': False, 'properties': {'components': {'description': 'optional components for tuple types', 'items': {'$ref': '#/properties/arguments/items'}, 'type': 'array'}, 'type': {'description': 'Expected output types for the method call. \n    In case of a tuple, don\'t use type tuple, but specify the inner types (found in the source) in order. For nested structs, include the substructs types.\n    \n    Example: \n    struct DataTypeA {\n    DataTypeB b;\n    //the liquidity index. Expressed in ray\n    uint128 liquidityIndex;\n    }\n    \n    struct DataTypeB {\n    address token;\n    }\n    \n    results in outputs for function with return type DataTypeA (tuple in abi): outputs: [{"type": "address"}, {"type": "uint128"}]\n  ', 'type': 'string'}}, 'required': ['type'], 'type': 'object'}, 'type': 'array'}, 'name': {'description': 'Event name (e.g., "Transfer(address,address,uint256)")', 'type': 'string'}, 'network': {'description': 'The blockchain network (e.g., "ethereum", "base")', 'type': 'string'}}, 'required': ['network', 'name', 'arguments'], 'type': 'object'}, description="""Builds an event topic signature based on event name and arguments"""), # Bankless/Bankless Onchain MCP Server/build_event_topic
    Tool(name="""Bankless Onchain MCP Server_get_transaction_history_for_user""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'contract': {'description': 'The contract address (optional)', 'type': ['string', 'null']}, 'includeData': {'default': True, 'description': 'Whether to include transaction data', 'type': 'boolean'}, 'methodId': {'description': 'The method ID to filter by (optional)', 'type': ['string', 'null']}, 'network': {'description': 'The blockchain network (e.g., "ethereum", "base")', 'type': 'string'}, 'startBlock': {'description': 'The starting block number (optional)', 'type': ['string', 'null']}, 'user': {'description': 'The user address', 'type': 'string'}}, 'required': ['network', 'user'], 'type': 'object'}, description="""Gets transaction history for a user and optional contract"""), # Bankless/Bankless Onchain MCP Server/get_transaction_history_for_user
    Tool(name="""Bankless Onchain MCP Server_get_transaction_info""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'network': {'description': 'The blockchain network (e.g., "ethereum", "polygon")', 'type': 'string'}, 'txHash': {'description': 'The transaction hash to fetch details for', 'type': 'string'}}, 'required': ['network', 'txHash'], 'type': 'object'}, description="""Gets detailed information about a specific transaction"""), # Bankless/Bankless Onchain MCP Server/get_transaction_info
    Tool(name="""Bankless Onchain MCP Server_get_token_balances_on_network""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'address': {'description': 'The address to check token balances for', 'type': 'string'}, 'network': {'description': 'The blockchain network (e.g., "ethereum", "base")', 'type': 'string'}}, 'required': ['network', 'address'], 'type': 'object'}, description="""Gets all token balances for a given address on a specific network"""), # Bankless/Bankless Onchain MCP Server/get_token_balances_on_network
    Tool(name="""Bankless Onchain MCP Server_get_block_info""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'blockId': {'description': 'The block number or block hash to fetch information for', 'type': 'string'}, 'network': {'description': 'The blockchain network (e.g., "ethereum", "base")', 'type': 'string'}}, 'required': ['network', 'blockId'], 'type': 'object'}, description="""Gets detailed information about a specific block by number or hash"""), # Bankless/Bankless Onchain MCP Server/get_block_info
    Tool(name="""Map Traveler MCP_set_traveler_location""", inputSchema={'properties': {'address': {'description': 'address set to traveler', 'type': 'string'}}, 'required': ['address'], 'type': 'object'}, description="""Set the traveler's current address"""), # mfukushim/Map Traveler MCP/set_traveler_location
    Tool(name="""Map Traveler MCP_tips""", inputSchema={'properties': {}, 'type': 'object'}, description="""Inform you of recommended actions for your device"""), # mfukushim/Map Traveler MCP/tips
    Tool(name="""EVM MCP Server_get_chain_info""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'network': {'description': "Network name (e.g., 'ethereum', 'optimism', 'arbitrum', 'base', etc.) or chain ID. Supports all EVM-compatible networks. Defaults to Ethereum mainnet.", 'type': 'string'}}, 'type': 'object'}, description="""Get information about an EVM network"""), # mcpdotdirect/EVM MCP Server/get_chain_info
    Tool(name="""EVM MCP Server_resolve_ens""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'ensName': {'description': "ENS name to resolve (e.g., 'vitalik.eth')", 'type': 'string'}, 'network': {'description': "Network name (e.g., 'ethereum', 'optimism', 'arbitrum', 'base', etc.) or chain ID. ENS resolution works best on Ethereum mainnet. Defaults to Ethereum mainnet.", 'type': 'string'}}, 'required': ['ensName'], 'type': 'object'}, description="""Resolve an ENS name to an Ethereum address"""), # mcpdotdirect/EVM MCP Server/resolve_ens
    Tool(name="""EVM MCP Server_get_supported_networks""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {}, 'type': 'object'}, description="""Get a list of supported EVM networks"""), # mcpdotdirect/EVM MCP Server/get_supported_networks
    Tool(name="""EVM MCP Server_get_block_by_number""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'blockNumber': {'description': 'The block number to fetch', 'type': 'number'}, 'network': {'description': 'Network name or chain ID. Defaults to Ethereum mainnet.', 'type': 'string'}}, 'required': ['blockNumber'], 'type': 'object'}, description="""Get a block by its block number"""), # mcpdotdirect/EVM MCP Server/get_block_by_number
    Tool(name="""EVM MCP Server_get_latest_block""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'network': {'description': 'Network name or chain ID. Defaults to Ethereum mainnet.', 'type': 'string'}}, 'type': 'object'}, description="""Get the latest block from the EVM"""), # mcpdotdirect/EVM MCP Server/get_latest_block
    Tool(name="""EVM MCP Server_get_balance""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'address': {'description': "The wallet address or ENS name (e.g., '0x1234...' or 'vitalik.eth') to check the balance for", 'type': 'string'}, 'network': {'description': "Network name (e.g., 'ethereum', 'optimism', 'arbitrum', 'base', etc.) or chain ID. Supports all EVM-compatible networks. Defaults to Ethereum mainnet.", 'type': 'string'}}, 'required': ['address'], 'type': 'object'}, description="""Get the native token balance (ETH, MATIC, etc.) for an address"""), # mcpdotdirect/EVM MCP Server/get_balance
    Tool(name="""EVM MCP Server_get_erc20_balance""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'address': {'description': 'The Ethereum address to check', 'type': 'string'}, 'network': {'description': 'Network name or chain ID. Defaults to Ethereum mainnet.', 'type': 'string'}, 'tokenAddress': {'description': 'The ERC20 token contract address', 'type': 'string'}}, 'required': ['address', 'tokenAddress'], 'type': 'object'}, description="""Get the ERC20 token balance of an Ethereum address"""), # mcpdotdirect/EVM MCP Server/get_erc20_balance
    Tool(name="""EVM MCP Server_get_token_balance""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'network': {'description': "Network name (e.g., 'ethereum', 'optimism', 'arbitrum', 'base', etc.) or chain ID. Supports all EVM-compatible networks. Defaults to Ethereum mainnet.", 'type': 'string'}, 'ownerAddress': {'description': "The wallet address or ENS name to check the balance for (e.g., '0x1234...' or 'vitalik.eth')", 'type': 'string'}, 'tokenAddress': {'description': "The contract address or ENS name of the ERC20 token (e.g., '0xA0b86991c6218b36c1d19D4a2e9Eb0cE3606eB48' for USDC or 'uniswap.eth')", 'type': 'string'}}, 'required': ['tokenAddress', 'ownerAddress'], 'type': 'object'}, description="""Get the balance of an ERC20 token for an address"""), # mcpdotdirect/EVM MCP Server/get_token_balance
    Tool(name="""EVM MCP Server_get_transaction""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'network': {'description': "Network name (e.g., 'ethereum', 'optimism', 'arbitrum', 'base', 'polygon') or chain ID. Defaults to Ethereum mainnet.", 'type': 'string'}, 'txHash': {'description': "The transaction hash to look up (e.g., '0x1234...')", 'type': 'string'}}, 'required': ['txHash'], 'type': 'object'}, description="""Get detailed information about a specific transaction by its hash. Includes sender, recipient, value, data, and more."""), # mcpdotdirect/EVM MCP Server/get_transaction
    Tool(name="""EVM MCP Server_get_transaction_receipt""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'network': {'description': 'Network name or chain ID. Defaults to Ethereum mainnet.', 'type': 'string'}, 'txHash': {'description': 'The transaction hash to look up', 'type': 'string'}}, 'required': ['txHash'], 'type': 'object'}, description="""Get a transaction receipt by its hash"""), # mcpdotdirect/EVM MCP Server/get_transaction_receipt
    Tool(name="""EVM MCP Server_estimate_gas""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'data': {'description': 'The transaction data as a hex string', 'type': 'string'}, 'network': {'description': 'Network name or chain ID. Defaults to Ethereum mainnet.', 'type': 'string'}, 'to': {'description': 'The recipient address', 'type': 'string'}, 'value': {'description': "The amount of ETH to send in ether (e.g., '0.1')", 'type': 'string'}}, 'required': ['to'], 'type': 'object'}, description="""Estimate the gas cost for a transaction"""), # mcpdotdirect/EVM MCP Server/estimate_gas
    Tool(name="""EVM MCP Server_get_address_from_private_key""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'privateKey': {'description': 'Private key in hex format (with or without 0x prefix). SECURITY: This is used only for address derivation and is not stored.', 'type': 'string'}}, 'required': ['privateKey'], 'type': 'object'}, description="""Get the EVM address derived from a private key"""), # mcpdotdirect/EVM MCP Server/get_address_from_private_key
    Tool(name="""EVM MCP Server_transfer_eth""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'amount': {'description': "Amount to send in ETH (or the native token of the network), as a string (e.g., '0.1')", 'type': 'string'}, 'network': {'description': "Network name (e.g., 'ethereum', 'optimism', 'arbitrum', 'base', etc.) or chain ID. Supports all EVM-compatible networks. Defaults to Ethereum mainnet.", 'type': 'string'}, 'privateKey': {'description': 'Private key of the sender account in hex format (with or without 0x prefix). SECURITY: This is used only for transaction signing and is not stored.', 'type': 'string'}, 'to': {'description': "The recipient address or ENS name (e.g., '0x1234...' or 'vitalik.eth')", 'type': 'string'}}, 'required': ['privateKey', 'to', 'amount'], 'type': 'object'}, description="""Transfer native tokens (ETH, MATIC, etc.) to an address"""), # mcpdotdirect/EVM MCP Server/transfer_eth
    Tool(name="""EVM MCP Server_transfer_erc20""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'amount': {'description': "The amount of tokens to send (in token units, e.g., '10' for 10 tokens)", 'type': 'string'}, 'network': {'description': "Network name (e.g., 'ethereum', 'optimism', 'arbitrum', 'base', etc.) or chain ID. Supports all EVM-compatible networks. Defaults to Ethereum mainnet.", 'type': 'string'}, 'privateKey': {'description': 'Private key of the sending account (this is used for signing and is never stored)', 'type': 'string'}, 'toAddress': {'description': 'The recipient address', 'type': 'string'}, 'tokenAddress': {'description': 'The address of the ERC20 token contract', 'type': 'string'}}, 'required': ['privateKey', 'tokenAddress', 'toAddress', 'amount'], 'type': 'object'}, description="""Transfer ERC20 tokens to another address"""), # mcpdotdirect/EVM MCP Server/transfer_erc20
    Tool(name="""EVM MCP Server_approve_token_spending""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'amount': {'description': "The amount of tokens to approve in token units, not wei (e.g., '1000' to approve spending 1000 tokens). Use a very large number for unlimited approval.", 'type': 'string'}, 'network': {'description': "Network name (e.g., 'ethereum', 'optimism', 'arbitrum', 'base', 'polygon') or chain ID. Defaults to Ethereum mainnet.", 'type': 'string'}, 'privateKey': {'description': 'Private key of the token owner account in hex format (with or without 0x prefix). SECURITY: This is used only for transaction signing and is not stored.', 'type': 'string'}, 'spenderAddress': {'description': 'The contract address being approved to spend your tokens (e.g., a DEX or lending protocol)', 'type': 'string'}, 'tokenAddress': {'description': "The contract address of the ERC20 token to approve for spending (e.g., '0xA0b86991c6218b36c1d19D4a2e9Eb0cE3606eB48' for USDC on Ethereum)", 'type': 'string'}}, 'required': ['privateKey', 'tokenAddress', 'spenderAddress', 'amount'], 'type': 'object'}, description="""Approve another address (like a DeFi protocol or exchange) to spend your ERC20 tokens. This is often required before interacting with DeFi protocols."""), # mcpdotdirect/EVM MCP Server/approve_token_spending
    Tool(name="""EVM MCP Server_transfer_nft""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'network': {'description': "Network name (e.g., 'ethereum', 'optimism', 'arbitrum', 'base', 'polygon') or chain ID. Most NFTs are on Ethereum mainnet, which is the default.", 'type': 'string'}, 'privateKey': {'description': 'Private key of the NFT owner account in hex format (with or without 0x prefix). SECURITY: This is used only for transaction signing and is not stored.', 'type': 'string'}, 'toAddress': {'description': 'The recipient wallet address that will receive the NFT', 'type': 'string'}, 'tokenAddress': {'description': "The contract address of the NFT collection (e.g., '0xBC4CA0EdA7647A8aB7C2061c2E118A18a936f13D' for Bored Ape Yacht Club)", 'type': 'string'}, 'tokenId': {'description': "The ID of the specific NFT to transfer (e.g., '1234')", 'type': 'string'}}, 'required': ['privateKey', 'tokenAddress', 'tokenId', 'toAddress'], 'type': 'object'}, description="""Transfer an NFT (ERC721 token) from one address to another. Requires the private key of the current owner for signing the transaction."""), # mcpdotdirect/EVM MCP Server/transfer_nft
    Tool(name="""EVM MCP Server_transfer_erc1155""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'amount': {'description': "The quantity of tokens to send (e.g., '1' for a single NFT or '10' for 10 fungible tokens)", 'type': 'string'}, 'network': {'description': "Network name (e.g., 'ethereum', 'optimism', 'arbitrum', 'base', 'polygon') or chain ID. ERC1155 tokens exist across many networks. Defaults to Ethereum mainnet.", 'type': 'string'}, 'privateKey': {'description': 'Private key of the token owner account in hex format (with or without 0x prefix). SECURITY: This is used only for transaction signing and is not stored.', 'type': 'string'}, 'toAddress': {'description': 'The recipient wallet address that will receive the tokens', 'type': 'string'}, 'tokenAddress': {'description': "The contract address of the ERC1155 token collection (e.g., '0x76BE3b62873462d2142405439777e971754E8E77')", 'type': 'string'}, 'tokenId': {'description': "The ID of the specific token to transfer (e.g., '1234')", 'type': 'string'}}, 'required': ['privateKey', 'tokenAddress', 'tokenId', 'amount', 'toAddress'], 'type': 'object'}, description="""Transfer ERC1155 tokens to another address. ERC1155 is a multi-token standard that can represent both fungible and non-fungible tokens in a single contract."""), # mcpdotdirect/EVM MCP Server/transfer_erc1155
    Tool(name="""EVM MCP Server_transfer_token""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'amount': {'description': "Amount of tokens to send as a string (e.g., '100' for 100 tokens). This will be adjusted for the token's decimals.", 'type': 'string'}, 'network': {'description': "Network name (e.g., 'ethereum', 'optimism', 'arbitrum', 'base', etc.) or chain ID. Supports all EVM-compatible networks. Defaults to Ethereum mainnet.", 'type': 'string'}, 'privateKey': {'description': 'Private key of the sender account in hex format (with or without 0x prefix). SECURITY: This is used only for transaction signing and is not stored.', 'type': 'string'}, 'toAddress': {'description': "The recipient address or ENS name that will receive the tokens (e.g., '0x1234...' or 'vitalik.eth')", 'type': 'string'}, 'tokenAddress': {'description': "The contract address or ENS name of the ERC20 token to transfer (e.g., '0xA0b86991c6218b36c1d19D4a2e9Eb0cE3606eB48' for USDC or 'uniswap.eth')", 'type': 'string'}}, 'required': ['privateKey', 'tokenAddress', 'toAddress', 'amount'], 'type': 'object'}, description="""Transfer ERC20 tokens to an address"""), # mcpdotdirect/EVM MCP Server/transfer_token
    Tool(name="""EVM MCP Server_read_contract""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'abi': {'description': 'The ABI (Application Binary Interface) of the smart contract function, as a JSON array', 'type': 'array'}, 'args': {'description': "The arguments to pass to the function, as an array (e.g., ['0x1234...'])", 'type': 'array'}, 'contractAddress': {'description': 'The address of the smart contract to interact with', 'type': 'string'}, 'functionName': {'description': "The name of the function to call on the contract (e.g., 'balanceOf')", 'type': 'string'}, 'network': {'description': "Network name (e.g., 'ethereum', 'optimism', 'arbitrum', 'base', 'polygon') or chain ID. Defaults to Ethereum mainnet.", 'type': 'string'}}, 'required': ['contractAddress', 'abi', 'functionName'], 'type': 'object'}, description="""Read data from a smart contract by calling a view/pure function. This doesn't modify blockchain state and doesn't require gas or signing."""), # mcpdotdirect/EVM MCP Server/read_contract
    Tool(name="""EVM MCP Server_write_contract""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'abi': {'description': 'The ABI (Application Binary Interface) of the smart contract function, as a JSON array', 'type': 'array'}, 'args': {'description': "The arguments to pass to the function, as an array (e.g., ['0x1234...', '1000000000000000000'])", 'type': 'array'}, 'contractAddress': {'description': 'The address of the smart contract to interact with', 'type': 'string'}, 'functionName': {'description': "The name of the function to call on the contract (e.g., 'transfer')", 'type': 'string'}, 'network': {'description': "Network name (e.g., 'ethereum', 'optimism', 'arbitrum', 'base', 'polygon') or chain ID. Defaults to Ethereum mainnet.", 'type': 'string'}, 'privateKey': {'description': 'Private key of the sending account in hex format (with or without 0x prefix). SECURITY: This is used only for transaction signing and is not stored.', 'type': 'string'}}, 'required': ['contractAddress', 'abi', 'functionName', 'args', 'privateKey'], 'type': 'object'}, description="""Write data to a smart contract by calling a state-changing function. This modifies blockchain state and requires gas payment and transaction signing."""), # mcpdotdirect/EVM MCP Server/write_contract
    Tool(name="""EVM MCP Server_is_contract""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'address': {'description': "The wallet or contract address or ENS name to check (e.g., '0x1234...' or 'uniswap.eth')", 'type': 'string'}, 'network': {'description': "Network name (e.g., 'ethereum', 'optimism', 'arbitrum', 'base', etc.) or chain ID. Supports all EVM-compatible networks. Defaults to Ethereum mainnet.", 'type': 'string'}}, 'required': ['address'], 'type': 'object'}, description="""Check if an address is a smart contract or an externally owned account (EOA)"""), # mcpdotdirect/EVM MCP Server/is_contract
    Tool(name="""EVM MCP Server_get_token_info""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'network': {'description': "Network name (e.g., 'ethereum', 'optimism', 'arbitrum', 'base', 'polygon') or chain ID. Defaults to Ethereum mainnet.", 'type': 'string'}, 'tokenAddress': {'description': "The contract address of the ERC20 token (e.g., '0xA0b86991c6218b36c1d19D4a2e9Eb0cE3606eB48' for USDC on Ethereum)", 'type': 'string'}}, 'required': ['tokenAddress'], 'type': 'object'}, description="""Get comprehensive information about an ERC20 token including name, symbol, decimals, total supply, and other metadata. Use this to analyze any token on EVM chains."""), # mcpdotdirect/EVM MCP Server/get_token_info
    Tool(name="""EVM MCP Server_get_token_balance_erc20""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'address': {'description': 'The address to check balance for', 'type': 'string'}, 'network': {'description': 'Network name or chain ID. Defaults to Ethereum mainnet.', 'type': 'string'}, 'tokenAddress': {'description': 'The ERC20 token contract address', 'type': 'string'}}, 'required': ['address', 'tokenAddress'], 'type': 'object'}, description="""Get ERC20 token balance for an address"""), # mcpdotdirect/EVM MCP Server/get_token_balance_erc20
    Tool(name="""EVM MCP Server_get_nft_info""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'network': {'description': "Network name (e.g., 'ethereum', 'optimism', 'arbitrum', 'base', 'polygon') or chain ID. Most NFTs are on Ethereum mainnet, which is the default.", 'type': 'string'}, 'tokenAddress': {'description': "The contract address of the NFT collection (e.g., '0xBC4CA0EdA7647A8aB7C2061c2E118A18a936f13D' for Bored Ape Yacht Club)", 'type': 'string'}, 'tokenId': {'description': "The ID of the specific NFT token to query (e.g., '1234')", 'type': 'string'}}, 'required': ['tokenAddress', 'tokenId'], 'type': 'object'}, description="""Get detailed information about a specific NFT (ERC721 token), including collection name, symbol, token URI, and current owner if available."""), # mcpdotdirect/EVM MCP Server/get_nft_info
    Tool(name="""EVM MCP Server_check_nft_ownership""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'network': {'description': "Network name (e.g., 'ethereum', 'optimism', 'arbitrum', 'base', etc.) or chain ID. Supports all EVM-compatible networks. Defaults to Ethereum mainnet.", 'type': 'string'}, 'ownerAddress': {'description': "The wallet address or ENS name to check ownership against (e.g., '0x1234...' or 'vitalik.eth')", 'type': 'string'}, 'tokenAddress': {'description': "The contract address or ENS name of the NFT collection (e.g., '0xBC4CA0EdA7647A8aB7C2061c2E118A18a936f13D' for BAYC or 'boredapeyachtclub.eth')", 'type': 'string'}, 'tokenId': {'description': "The ID of the NFT to check (e.g., '1234')", 'type': 'string'}}, 'required': ['tokenAddress', 'tokenId', 'ownerAddress'], 'type': 'object'}, description="""Check if an address owns a specific NFT"""), # mcpdotdirect/EVM MCP Server/check_nft_ownership
    Tool(name="""EVM MCP Server_get_erc1155_token_uri""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'network': {'description': "Network name (e.g., 'ethereum', 'optimism', 'arbitrum', 'base', 'polygon') or chain ID. ERC1155 tokens exist across many networks. Defaults to Ethereum mainnet.", 'type': 'string'}, 'tokenAddress': {'description': "The contract address of the ERC1155 token collection (e.g., '0x76BE3b62873462d2142405439777e971754E8E77')", 'type': 'string'}, 'tokenId': {'description': "The ID of the specific token to query metadata for (e.g., '1234')", 'type': 'string'}}, 'required': ['tokenAddress', 'tokenId'], 'type': 'object'}, description="""Get the metadata URI for an ERC1155 token (multi-token standard used for both fungible and non-fungible tokens). The URI typically points to JSON metadata about the token."""), # mcpdotdirect/EVM MCP Server/get_erc1155_token_uri
    Tool(name="""EVM MCP Server_get_nft_balance""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'network': {'description': "Network name (e.g., 'ethereum', 'optimism', 'arbitrum', 'base', 'polygon') or chain ID. Most NFTs are on Ethereum mainnet, which is the default.", 'type': 'string'}, 'ownerAddress': {'description': "The wallet address to check the NFT balance for (e.g., '0x1234...')", 'type': 'string'}, 'tokenAddress': {'description': "The contract address of the NFT collection (e.g., '0xBC4CA0EdA7647A8aB7C2061c2E118A18a936f13D' for Bored Ape Yacht Club)", 'type': 'string'}}, 'required': ['tokenAddress', 'ownerAddress'], 'type': 'object'}, description="""Get the total number of NFTs owned by an address from a specific collection. This returns the count of NFTs, not individual token IDs."""), # mcpdotdirect/EVM MCP Server/get_nft_balance
    Tool(name="""EVM MCP Server_get_erc1155_balance""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'network': {'description': "Network name (e.g., 'ethereum', 'optimism', 'arbitrum', 'base', 'polygon') or chain ID. ERC1155 tokens exist across many networks. Defaults to Ethereum mainnet.", 'type': 'string'}, 'ownerAddress': {'description': "The wallet address to check the token balance for (e.g., '0x1234...')", 'type': 'string'}, 'tokenAddress': {'description': "The contract address of the ERC1155 token collection (e.g., '0x76BE3b62873462d2142405439777e971754E8E77')", 'type': 'string'}, 'tokenId': {'description': "The ID of the specific token to check the balance for (e.g., '1234')", 'type': 'string'}}, 'required': ['tokenAddress', 'tokenId', 'ownerAddress'], 'type': 'object'}, description="""Get the balance of a specific ERC1155 token ID owned by an address. ERC1155 allows multiple tokens of the same ID, so the balance can be greater than 1."""), # mcpdotdirect/EVM MCP Server/get_erc1155_balance
    Tool(name="""MCP Kibela_kibela_search_notes""", inputSchema={'properties': {'query': {'description': 'Search query', 'type': 'string'}}, 'required': ['query'], 'type': 'object'}, description="""Search Kibela notes by query"""), # kj455/MCP Kibela/kibela_search_notes
    Tool(name="""MCP Kibela_kibela_get_my_notes""", inputSchema={'properties': {'limit': {'default': 10, 'description': 'Maximum number of notes to fetch', 'type': 'number'}}, 'type': 'object'}, description="""Get my latest notes from Kibela"""), # kj455/MCP Kibela/kibela_get_my_notes
    Tool(name="""MCP Kibela_kibela_get_note_content""", inputSchema={'properties': {'id': {'description': 'Note ID', 'type': 'string'}}, 'required': ['id'], 'type': 'object'}, description="""Get note content by note ID"""), # kj455/MCP Kibela/kibela_get_note_content
    Tool(name="""MCP Kibela_kibela_get_note_from_path""", inputSchema={'properties': {'path': {'description': 'Note path (e.g. /notes/123)', 'type': 'string'}}, 'required': ['path'], 'type': 'object'}, description="""Get note content by note path"""), # kj455/MCP Kibela/kibela_get_note_from_path
    Tool(name="""MCP Kibela_kibela_update_note_content""", inputSchema={'properties': {'content': {'description': 'New content of the note in markdown format. The content will completely replace the existing note content. Make sure to include all necessary formatting, headers, and sections you want to preserve.', 'type': 'string'}, 'id': {'description': 'Note id - not note path (e.g. /notes/123). If you want to update note content by note path, please use kibela_get_note_from_path tool first and get note id from the response', 'type': 'string'}}, 'required': ['id', 'content'], 'type': 'object'}, description="""Update note content by note id. This tool allows you to modify the content of an existing Kibela note. Before updating, it fetches the current content of the note to ensure proper version control. Note that you need the note ID (not the note path) to use this tool."""), # kj455/MCP Kibela/kibela_update_note_content
    Tool(name="""MCP Kibela_kibela_create_note""", inputSchema={'properties': {'authorId': {'description': 'ID of the author of the note. If not specified, the note will be created by the authenticated user.', 'type': 'string'}, 'coediting': {'description': 'required: Whether to enable co-editing for the note', 'type': 'boolean'}, 'content': {'description': 'required: Content of the note in markdown format', 'type': 'string'}, 'draft': {'description': 'Whether to create the note as a draft', 'type': 'boolean'}, 'folders': {'description': 'IDs of the folders to add the note to.', 'items': {'type': 'string'}, 'type': 'array'}, 'groupIds': {'description': 'required: IDs of the groups to create the note in.', 'items': {'type': 'string'}, 'type': 'array'}, 'title': {'description': 'required: Title of the note', 'type': 'string'}}, 'required': ['title', 'content'], 'type': 'object'}, description="""Create a new note in Kibela."""), # kj455/MCP Kibela/kibela_create_note
    Tool(name="""Hologres MCP Server_execute_select_sql""", inputSchema={'properties': {'query': {'description': 'The (SELECT) SQL query to execute', 'type': 'string'}}, 'required': ['query'], 'type': 'object'}, description="""Execute SELECT SQL to query data from Hologres database."""), # aliyun/Hologres MCP Server/execute_select_sql
    Tool(name="""Hologres MCP Server_execute_dml_sql""", inputSchema={'properties': {'query': {'description': 'The DML SQL query to execute', 'type': 'string'}}, 'required': ['query'], 'type': 'object'}, description="""Execute (INSERT, UPDATE, DELETE) SQL to insert, update, and delete data in Hologres databse."""), # aliyun/Hologres MCP Server/execute_dml_sql
    Tool(name="""Hologres MCP Server_execute_ddl_sql""", inputSchema={'properties': {'query': {'description': 'The DDL SQL query to execute', 'type': 'string'}}, 'required': ['query'], 'type': 'object'}, description="""Execute (CREATE, ALTER, DROP) SQL statements to CREATE, ALTER, or DROP tables, views, procedures, GUCs etc. in Hologres databse."""), # aliyun/Hologres MCP Server/execute_ddl_sql
    Tool(name="""Hologres MCP Server_gather_table_statistics""", inputSchema={'properties': {'schema': {'description': 'Schema name', 'type': 'string'}, 'table': {'description': 'Table name', 'type': 'string'}}, 'required': ['schema', 'table'], 'type': 'object'}, description="""Execute the ANALYZE TABLE command to have Hologres collect table statistics, enabling QO to generate better query plans"""), # aliyun/Hologres MCP Server/gather_table_statistics
    Tool(name="""Hologres MCP Server_get_query_plan""", inputSchema={'properties': {'query': {'description': 'The SQL query to analyze', 'type': 'string'}}, 'required': ['query'], 'type': 'object'}, description="""Get query plan for a SQL query"""), # aliyun/Hologres MCP Server/get_query_plan
    Tool(name="""Hologres MCP Server_get_execution_plan""", inputSchema={'properties': {'query': {'description': 'The SQL query to analyze', 'type': 'string'}}, 'required': ['query'], 'type': 'object'}, description="""Get actual execution plan with runtime statistics for a SQL query"""), # aliyun/Hologres MCP Server/get_execution_plan
    Tool(name="""Spotify MCP Server_searchSpotify""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'limit': {'description': 'Maximum number of results to return (10-50)', 'maximum': 50, 'minimum': 1, 'type': 'number'}, 'query': {'description': 'The search query', 'type': 'string'}, 'type': {'description': 'The type of item to search for either track, album, artist, or playlist', 'enum': ['track', 'album', 'artist', 'playlist'], 'type': 'string'}}, 'required': ['query', 'type'], 'type': 'object'}, description="""Search for tracks, albums, artists, or playlists on Spotify"""), # marcelmarais/Spotify MCP Server/searchSpotify
    Tool(name="""Spotify MCP Server_getNowPlaying""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {}, 'type': 'object'}, description="""Get information about the currently playing track on Spotify"""), # marcelmarais/Spotify MCP Server/getNowPlaying
    Tool(name="""Spotify MCP Server_getMyPlaylists""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'limit': {'description': 'Maximum number of playlists to return (1-50)', 'maximum': 50, 'minimum': 1, 'type': 'number'}}, 'type': 'object'}, description="""Get a list of the current user's playlists on Spotify"""), # marcelmarais/Spotify MCP Server/getMyPlaylists
    Tool(name="""Spotify MCP Server_getPlaylistTracks""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'limit': {'description': 'Maximum number of tracks to return (1-50)', 'maximum': 50, 'minimum': 1, 'type': 'number'}, 'playlistId': {'description': 'The Spotify ID of the playlist', 'type': 'string'}}, 'required': ['playlistId'], 'type': 'object'}, description="""Get a list of tracks in a Spotify playlist"""), # marcelmarais/Spotify MCP Server/getPlaylistTracks
    Tool(name="""Spotify MCP Server_playMusic""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'deviceId': {'description': 'The Spotify device ID to play on', 'type': 'string'}, 'id': {'description': 'The Spotify ID of the item to play', 'type': 'string'}, 'type': {'description': 'The type of item to play', 'enum': ['track', 'album', 'artist', 'playlist'], 'type': 'string'}, 'uri': {'description': 'The Spotify URI to play (overrides type and id)', 'type': 'string'}}, 'type': 'object'}, description="""Start playing a Spotify track, album, artist, or playlist"""), # marcelmarais/Spotify MCP Server/playMusic
    Tool(name="""Spotify MCP Server_pausePlayback""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'deviceId': {'description': 'The Spotify device ID to pause playback on', 'type': 'string'}}, 'type': 'object'}, description="""Pause Spotify playback on the active device"""), # marcelmarais/Spotify MCP Server/pausePlayback
    Tool(name="""Spotify MCP Server_skipToNext""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'deviceId': {'description': 'The Spotify device ID to skip on', 'type': 'string'}}, 'type': 'object'}, description="""Skip to the next track in the current Spotify playback queue"""), # marcelmarais/Spotify MCP Server/skipToNext
    Tool(name="""Spotify MCP Server_skipToPrevious""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'deviceId': {'description': 'The Spotify device ID to skip on', 'type': 'string'}}, 'type': 'object'}, description="""Skip to the previous track in the current Spotify playback queue"""), # marcelmarais/Spotify MCP Server/skipToPrevious
    Tool(name="""Spotify MCP Server_createPlaylist""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'description': {'description': 'The description of the playlist', 'type': 'string'}, 'name': {'description': 'The name of the playlist', 'type': 'string'}, 'public': {'description': 'Whether the playlist should be public', 'type': 'boolean'}}, 'required': ['name'], 'type': 'object'}, description="""Create a new playlist on Spotify"""), # marcelmarais/Spotify MCP Server/createPlaylist
    Tool(name="""Spotify MCP Server_addTracksToPlaylist""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'playlistId': {'description': 'The Spotify ID of the playlist', 'type': 'string'}, 'position': {'description': 'Position to insert the tracks (0-based index)', 'minimum': 0, 'type': 'number'}, 'trackIds': {'description': 'Array of Spotify track IDs to add', 'items': {'type': 'string'}, 'type': 'array'}}, 'required': ['playlistId', 'trackIds'], 'type': 'object'}, description="""Add tracks to a Spotify playlist"""), # marcelmarais/Spotify MCP Server/addTracksToPlaylist
    Tool(name="""Spotify MCP Server_resumePlayback""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'deviceId': {'description': 'The Spotify device ID to resume playback on', 'type': 'string'}}, 'type': 'object'}, description="""Resume Spotify playback on the active device"""), # marcelmarais/Spotify MCP Server/resumePlayback
    Tool(name="""Spotify MCP Server_addToQueue""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'deviceId': {'description': 'The Spotify device ID to add the track to', 'type': 'string'}, 'id': {'description': 'The Spotify ID of the item to play', 'type': 'string'}, 'type': {'description': 'The type of item to play', 'enum': ['track', 'album', 'artist', 'playlist'], 'type': 'string'}, 'uri': {'description': 'The Spotify URI to play (overrides type and id)', 'type': 'string'}}, 'type': 'object'}, description="""Adds a track, album, artist or playlist to the playback queue"""), # marcelmarais/Spotify MCP Server/addToQueue
    Tool(name="""MCP Server for FTP Access_list-directory""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'remotePath': {'description': 'Path of the directory on the FTP server', 'type': 'string'}}, 'required': ['remotePath'], 'type': 'object'}, description="""List contents of an FTP directory"""), # alxspiker/MCP Server for FTP Access/list-directory
    Tool(name="""MCP Server for FTP Access_download-file""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'remotePath': {'description': 'Path of the file on the FTP server', 'type': 'string'}}, 'required': ['remotePath'], 'type': 'object'}, description="""Download a file from the FTP server"""), # alxspiker/MCP Server for FTP Access/download-file
    Tool(name="""MCP Server for FTP Access_upload-file""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'content': {'description': 'Content to upload to the file', 'type': 'string'}, 'remotePath': {'description': 'Destination path on the FTP server', 'type': 'string'}}, 'required': ['remotePath', 'content'], 'type': 'object'}, description="""Upload a file to the FTP server"""), # alxspiker/MCP Server for FTP Access/upload-file
    Tool(name="""MCP Server for FTP Access_create-directory""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'remotePath': {'description': 'Path of the directory to create', 'type': 'string'}}, 'required': ['remotePath'], 'type': 'object'}, description="""Create a new directory on the FTP server"""), # alxspiker/MCP Server for FTP Access/create-directory
    Tool(name="""MCP Server for FTP Access_delete-file""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'remotePath': {'description': 'Path of the file to delete', 'type': 'string'}}, 'required': ['remotePath'], 'type': 'object'}, description="""Delete a file from the FTP server"""), # alxspiker/MCP Server for FTP Access/delete-file
    Tool(name="""MCP Server for FTP Access_delete-directory""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'remotePath': {'description': 'Path of the directory to delete', 'type': 'string'}}, 'required': ['remotePath'], 'type': 'object'}, description="""Delete a directory from the FTP server"""), # alxspiker/MCP Server for FTP Access/delete-directory
    Tool(name="""UseGrant MCP Server_get_provider""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'id': {'description': 'The ID of the provider', 'minLength': 1, 'type': 'string'}}, 'required': ['id'], 'type': 'object'}, description="""Get a provider by ID"""), # usegranthq/UseGrant MCP Server/get_provider
    Tool(name="""UseGrant MCP Server_list_providers""", inputSchema={'type': 'object'}, description="""List all providers"""), # usegranthq/UseGrant MCP Server/list_providers
    Tool(name="""UseGrant MCP Server_create_provider""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'description': {'description': 'The description of the provider', 'maxLength': 100, 'minLength': 1, 'type': 'string'}, 'name': {'description': 'The name of the provider', 'maxLength': 50, 'minLength': 3, 'type': 'string'}}, 'required': ['name', 'description'], 'type': 'object'}, description="""Create a new provider"""), # usegranthq/UseGrant MCP Server/create_provider
    Tool(name="""UseGrant MCP Server_delete_provider""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'id': {'description': 'The ID of the provider', 'minLength': 1, 'type': 'string'}}, 'required': ['id'], 'type': 'object'}, description="""Delete a provider"""), # usegranthq/UseGrant MCP Server/delete_provider
    Tool(name="""UseGrant MCP Server_list_clients""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'providerId': {'description': 'The ID of the provider', 'minLength': 1, 'type': 'string'}}, 'required': ['providerId'], 'type': 'object'}, description="""List all clients"""), # usegranthq/UseGrant MCP Server/list_clients
    Tool(name="""UseGrant MCP Server_create_client""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'audience': {'description': 'The audience of the client', 'maxLength': 100, 'minLength': 3, 'type': 'string'}, 'name': {'description': 'The name of the client', 'maxLength': 50, 'minLength': 3, 'type': 'string'}, 'providerId': {'description': 'The ID of the provider', 'minLength': 1, 'type': 'string'}}, 'required': ['providerId', 'name', 'audience'], 'type': 'object'}, description="""Create a new client for a provider"""), # usegranthq/UseGrant MCP Server/create_client
    Tool(name="""UseGrant MCP Server_get_client""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'clientId': {'description': 'The ID of the client', 'minLength': 1, 'type': 'string'}, 'providerId': {'description': 'The ID of the provider', 'minLength': 1, 'type': 'string'}}, 'required': ['providerId', 'clientId'], 'type': 'object'}, description="""Get client details by provider and client ID"""), # usegranthq/UseGrant MCP Server/get_client
    Tool(name="""UseGrant MCP Server_delete_client""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'clientId': {'description': 'The ID of the client', 'minLength': 1, 'type': 'string'}, 'providerId': {'description': 'The ID of the provider', 'minLength': 1, 'type': 'string'}}, 'required': ['providerId', 'clientId'], 'type': 'object'}, description="""Delete a client from a provider"""), # usegranthq/UseGrant MCP Server/delete_client
    Tool(name="""UseGrant MCP Server_list_domains""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'providerId': {'description': 'The ID of the provider', 'minLength': 1, 'type': 'string'}}, 'required': ['providerId'], 'type': 'object'}, description="""List all domains for a provider"""), # usegranthq/UseGrant MCP Server/list_domains
    Tool(name="""UseGrant MCP Server_add_domain""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'domain': {'description': 'The domain of the domain', 'type': 'string'}, 'providerId': {'description': 'The ID of the provider', 'minLength': 1, 'type': 'string'}}, 'required': ['providerId', 'domain'], 'type': 'object'}, description="""Add a domain to a provider"""), # usegranthq/UseGrant MCP Server/add_domain
    Tool(name="""UseGrant MCP Server_get_domain""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'domainId': {'description': 'The ID of the domain', 'minLength': 1, 'type': 'string'}, 'providerId': {'description': 'The ID of the provider', 'minLength': 1, 'type': 'string'}}, 'required': ['providerId', 'domainId'], 'type': 'object'}, description="""Get a domain by provider and domain ID"""), # usegranthq/UseGrant MCP Server/get_domain
    Tool(name="""UseGrant MCP Server_delete_domain""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'domainId': {'description': 'The ID of the domain', 'minLength': 1, 'type': 'string'}, 'providerId': {'description': 'The ID of the provider', 'minLength': 1, 'type': 'string'}}, 'required': ['providerId', 'domainId'], 'type': 'object'}, description="""Delete a domain from a provider"""), # usegranthq/UseGrant MCP Server/delete_domain
    Tool(name="""UseGrant MCP Server_verify_domain""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'domainId': {'description': 'The ID of the domain', 'minLength': 1, 'type': 'string'}, 'providerId': {'description': 'The ID of the provider', 'minLength': 1, 'type': 'string'}}, 'required': ['providerId', 'domainId'], 'type': 'object'}, description="""Verify a domain for a provider"""), # usegranthq/UseGrant MCP Server/verify_domain
    Tool(name="""UseGrant MCP Server_create_access_token""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'audienceAsArray': {'description': 'Whether to use an array of audiences', 'type': 'boolean'}, 'clientId': {'description': 'The ID of the client', 'minLength': 1, 'type': 'string'}, 'expiresIn': {'description': 'The number of seconds the token will be valid for', 'maximum': 172800000, 'type': 'number'}, 'forceDefaultDomain': {'description': 'Whether to force the default domain', 'type': 'boolean'}, 'providerId': {'description': 'The ID of the provider', 'minLength': 1, 'type': 'string'}, 'useJwtType': {'description': 'Whether to use at+jwt token type in the header', 'type': 'boolean'}}, 'required': ['providerId', 'clientId'], 'type': 'object'}, description="""Create a new access token for a client"""), # usegranthq/UseGrant MCP Server/create_access_token
    Tool(name="""UseGrant MCP Server_list_tenants""", inputSchema={'type': 'object'}, description="""List all tenants"""), # usegranthq/UseGrant MCP Server/list_tenants
    Tool(name="""UseGrant MCP Server_create_tenant""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'description': {'description': 'The description of the tenant', 'maxLength': 100, 'minLength': 1, 'type': 'string'}, 'name': {'description': 'The name of the tenant', 'minLength': 3, 'type': 'string'}}, 'required': ['name', 'description'], 'type': 'object'}, description="""Create a new tenant"""), # usegranthq/UseGrant MCP Server/create_tenant
    Tool(name="""UseGrant MCP Server_get_tenant""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'id': {'description': 'The ID of the tenant', 'minLength': 1, 'type': 'string'}}, 'required': ['id'], 'type': 'object'}, description="""Get a tenant by ID"""), # usegranthq/UseGrant MCP Server/get_tenant
    Tool(name="""UseGrant MCP Server_delete_tenant""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'id': {'description': 'The ID of the tenant', 'minLength': 1, 'type': 'string'}}, 'required': ['id'], 'type': 'object'}, description="""Delete a tenant"""), # usegranthq/UseGrant MCP Server/delete_tenant
    Tool(name="""UseGrant MCP Server_list_tenant_providers""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'tenantId': {'description': 'The ID of the tenant', 'minLength': 1, 'type': 'string'}}, 'required': ['tenantId'], 'type': 'object'}, description="""List all providers for a tenant"""), # usegranthq/UseGrant MCP Server/list_tenant_providers
    Tool(name="""UseGrant MCP Server_create_tenant_provider""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'audience': {'description': 'The audience of the provider', 'maxLength': 100, 'minLength': 3, 'type': 'string'}, 'earliestIssuanceTimeAllowed': {'description': 'The earliest issuance time allowed in hours', 'maximum': 12, 'minimum': 0, 'type': 'number'}, 'fingerprints': {'items': {'description': 'The fingerprint of the provider', 'maxLength': 64, 'minLength': 32, 'type': 'string'}, 'maxItems': 5, 'minItems': 1, 'type': 'array'}, 'tenantId': {'description': 'The ID of the tenant', 'minLength': 1, 'type': 'string'}, 'url': {'description': 'The URL of the provider', 'format': 'uri', 'type': 'string'}}, 'required': ['tenantId', 'url', 'fingerprints', 'audience', 'earliestIssuanceTimeAllowed'], 'type': 'object'}, description="""Create a new provider for a tenant"""), # usegranthq/UseGrant MCP Server/create_tenant_provider
    Tool(name="""UseGrant MCP Server_get_tenant_provider""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'providerId': {'description': 'The ID of the tenant provider', 'minLength': 1, 'type': 'string'}, 'tenantId': {'description': 'The ID of the tenant', 'minLength': 1, 'type': 'string'}}, 'required': ['tenantId', 'providerId'], 'type': 'object'}, description="""Get a provider for a tenant"""), # usegranthq/UseGrant MCP Server/get_tenant_provider
    Tool(name="""UseGrant MCP Server_delete_tenant_provider""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'providerId': {'description': 'The ID of the tenant provider', 'minLength': 1, 'type': 'string'}, 'tenantId': {'description': 'The ID of the tenant', 'minLength': 1, 'type': 'string'}}, 'required': ['tenantId', 'providerId'], 'type': 'object'}, description="""Delete a provider for a tenant"""), # usegranthq/UseGrant MCP Server/delete_tenant_provider
    Tool(name="""UseGrant MCP Server_list_tenant_provider_policies""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'providerId': {'description': 'The ID of the tenant provider', 'minLength': 1, 'type': 'string'}, 'tenantId': {'description': 'The ID of the tenant', 'minLength': 1, 'type': 'string'}}, 'required': ['tenantId', 'providerId'], 'type': 'object'}, description="""List all policies for a tenant provider"""), # usegranthq/UseGrant MCP Server/list_tenant_provider_policies
    Tool(name="""UseGrant MCP Server_create_tenant_provider_policy""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'audience': {'description': 'The audience of the tenant provider policy', 'maxLength': 100, 'minLength': 3, 'type': 'string'}, 'conditions': {'description': 'The conditions of the tenant provider policy', 'items': {'additionalProperties': False, 'properties': {'key': {'description': 'The key of the condition', 'maxLength': 10, 'minLength': 1, 'type': 'string'}, 'operator': {'description': 'The operator of the condition', 'enum': ['stringEquals', 'stringLike', 'stringNotEquals', 'stringNotLike'], 'type': 'string'}, 'value': {'description': 'The value of the condition', 'maxLength': 100, 'minLength': 1, 'type': 'string'}}, 'required': ['key', 'operator', 'value'], 'type': 'object'}, 'maxItems': 5, 'minItems': 1, 'type': 'array'}, 'description': {'description': 'The description of the tenant provider policy', 'maxLength': 100, 'minLength': 10, 'type': 'string'}, 'name': {'description': 'The name of the tenant provider policy', 'minLength': 3, 'type': 'string'}, 'providerId': {'description': 'The ID of the tenant provider', 'minLength': 1, 'type': 'string'}, 'tenantId': {'description': 'The ID of the tenant', 'minLength': 1, 'type': 'string'}}, 'required': ['tenantId', 'providerId', 'name', 'description', 'audience', 'conditions'], 'type': 'object'}, description="""Create a new policy for a tenant provider"""), # usegranthq/UseGrant MCP Server/create_tenant_provider_policy
    Tool(name="""UseGrant MCP Server_get_tenant_provider_policy""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'policyId': {'description': 'The ID of the tenant provider policy', 'minLength': 1, 'type': 'string'}, 'providerId': {'description': 'The ID of the tenant provider', 'minLength': 1, 'type': 'string'}, 'tenantId': {'description': 'The ID of the tenant', 'minLength': 1, 'type': 'string'}}, 'required': ['tenantId', 'providerId', 'policyId'], 'type': 'object'}, description="""Get a policy for a tenant provider"""), # usegranthq/UseGrant MCP Server/get_tenant_provider_policy
    Tool(name="""UseGrant MCP Server_delete_tenant_provider_policy""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'policyId': {'description': 'The ID of the tenant provider policy', 'minLength': 1, 'type': 'string'}, 'providerId': {'description': 'The ID of the tenant provider', 'minLength': 1, 'type': 'string'}, 'tenantId': {'description': 'The ID of the tenant', 'minLength': 1, 'type': 'string'}}, 'required': ['tenantId', 'providerId', 'policyId'], 'type': 'object'}, description="""Delete a policy for a tenant provider"""), # usegranthq/UseGrant MCP Server/delete_tenant_provider_policy
    Tool(name="""Backlog MCP Server_backlog_get_projects""", inputSchema={'properties': {'all': {'default': False, 'description': 'Only applies to administrators. If true, it returns all projects. If false, it returns only projects they have joined (set to false by default).', 'type': 'boolean'}, 'archived': {'description': 'For unspecified parameters, this form returns all projects. For false parameters, it returns unarchived projects. For true parameters, it returns archived projects.', 'type': 'boolean'}}, 'type': 'object'}, description="""Performs list project get using the Backlog Projects get API. Supports pagination, content filtering. Maximum 20 results per request, with offset for pagination."""), # fleagne/Backlog MCP Server/backlog_get_projects
    Tool(name="""Backlog MCP Server_backlog_get_project""", inputSchema={'properties': {'projectIdOrKey': {'description': 'Project ID or Project Key', 'type': 'string'}}, 'required': ['projectIdOrKey'], 'type': 'object'}, description="""Performs an project get using the Backlog Project get API."""), # fleagne/Backlog MCP Server/backlog_get_project
    Tool(name="""Backlog MCP Server_backlog_get_issues""", inputSchema={'properties': {'assigneeId': {'description': 'Assignee ids', 'items': {'type': 'number'}, 'type': 'array'}, 'count': {'default': 20, 'description': 'Number of results (1-100, default 20)', 'maximum': 100, 'minimum': 1, 'type': 'number'}, 'createdSince': {'description': 'Start date of created date (YYYY-MM-DD format)', 'type': 'string'}, 'createdUntil': {'description': 'End date of created date (YYYY-MM-DD format)', 'type': 'string'}, 'keyword': {'description': 'Keyword for searching', 'type': 'string'}, 'offset': {'default': 0, 'description': 'Offset for pagination', 'type': 'number'}, 'order': {'default': 'desc', 'description': 'Sort order', 'enum': ['asc', 'desc'], 'type': 'string'}, 'priorityId': {'description': 'Priority ids', 'items': {'type': 'number'}, 'type': 'array'}, 'projectId': {'description': 'Project ids', 'items': {'type': 'number'}, 'type': 'array'}, 'sort': {'description': 'Attribute name for sorting', 'enum': ['issueType', 'category', 'version', 'milestone', 'summary', 'status', 'priority', 'attachment', 'sharedFile', 'created', 'createdUser', 'updated', 'updatedUser', 'assignee', 'startDate', 'dueDate', 'estimatedHours', 'actualHours', 'childIssue'], 'type': 'string'}, 'statusId': {'description': 'Status ids', 'items': {'type': 'number'}, 'type': 'array'}}, 'type': 'object'}, description="""Performs list issue get using the Backlog Issues API. Supports pagination, content filtering. Maximum 20 results per request, with offset for pagination."""), # fleagne/Backlog MCP Server/backlog_get_issues
    Tool(name="""Backlog MCP Server_backlog_get_issue""", inputSchema={'properties': {'issueIdOrKey': {'description': 'Issue ID or Issue Key', 'type': 'string'}}, 'required': ['issueIdOrKey'], 'type': 'object'}, description="""Performs an issue get using the Backlog Issue API."""), # fleagne/Backlog MCP Server/backlog_get_issue
    Tool(name="""Backlog MCP Server_backlog_add_issue""", inputSchema={'properties': {'actualHours': {'description': 'Actual hours for the issue', 'type': 'number'}, 'assigneeId': {'description': 'Assignee id', 'type': 'number'}, 'categoryId': {'description': 'Category id', 'type': 'number'}, 'description': {'description': 'Description of the issue', 'type': 'string'}, 'dueDate': {'description': 'Due date of the issue (YYYY-MM-DD format)', 'type': 'string'}, 'estimatedHours': {'description': 'Estimated hours for the issue', 'type': 'number'}, 'issueTypeId': {'description': 'Issue type id', 'type': 'number'}, 'milestoneId': {'description': 'Milestone id', 'type': 'number'}, 'priorityId': {'description': 'Priority id', 'type': 'number'}, 'projectId': {'description': 'Project id', 'type': 'number'}, 'startDate': {'description': 'Start date of the issue (YYYY-MM-DD format)', 'type': 'string'}, 'summary': {'description': 'Summary of the issue', 'type': 'string'}, 'versionId': {'description': 'Version id', 'type': 'number'}}, 'required': ['projectId', 'summary', 'issueTypeId', 'priorityId'], 'type': 'object'}, description="""Add an issue using the Backlog Issue API."""), # fleagne/Backlog MCP Server/backlog_add_issue
    Tool(name="""Backlog MCP Server_backlog_update_issue""", inputSchema={'properties': {'actualHours': {'description': 'Actual hours', 'type': 'number'}, 'assigneeId': {'description': 'Assignee id', 'type': 'number'}, 'attachmentId': {'description': 'Attachment ids', 'items': {'type': 'number'}, 'type': 'array'}, 'categoryId': {'description': 'Category ids', 'items': {'type': 'number'}, 'type': 'array'}, 'comment': {'description': 'Comment', 'type': 'string'}, 'description': {'description': 'Description', 'type': 'string'}, 'dueDate': {'description': 'Due date', 'type': 'string'}, 'estimatedHours': {'description': 'Estimated hours', 'type': 'number'}, 'issueIdOrKey': {'description': 'Issue ID or Issue Key', 'type': 'string'}, 'issueTypeId': {'description': 'Issue type id', 'type': 'number'}, 'milestoneId': {'description': 'Milestone ids', 'items': {'type': 'number'}, 'type': 'array'}, 'notifiedUserId': {'description': 'Notified user ids', 'items': {'type': 'number'}, 'type': 'array'}, 'parentIssueId': {'description': 'Parent issue id', 'type': 'number'}, 'priorityId': {'description': 'Priority id', 'type': 'number'}, 'startDate': {'description': 'Start date', 'type': 'string'}, 'statusId': {'description': 'Status id', 'type': 'number'}, 'summary': {'description': 'Summary', 'type': 'string'}, 'versionId': {'description': 'Version ids', 'items': {'type': 'number'}, 'type': 'array'}}, 'required': ['issueIdOrKey'], 'type': 'object'}, description="""Update an issue using the Backlog Issue API."""), # fleagne/Backlog MCP Server/backlog_update_issue
    Tool(name="""Backlog MCP Server_backlog_delete_issue""", inputSchema={'properties': {'issueIdOrKey': {'description': 'Issue ID or Issue Key', 'type': 'string'}}, 'required': ['issueIdOrKey'], 'type': 'object'}, description="""Delete an issue using the Backlog Issue API."""), # fleagne/Backlog MCP Server/backlog_delete_issue
    Tool(name="""Backlog MCP Server_backlog_get_wikis""", inputSchema={'properties': {'keywords': {'description': 'Keyword for searching', 'type': 'string'}, 'projectIdOrKey': {'description': 'Project ID or Project Key', 'type': 'string'}}, 'required': ['projectIdOrKey'], 'type': 'object'}, description="""Performs list wikis get using the Backlog Wiki API"""), # fleagne/Backlog MCP Server/backlog_get_wikis
    Tool(name="""Backlog MCP Server_backlog_get_wiki""", inputSchema={'properties': {'wikiId': {'description': 'Wiki page ID', 'type': 'number'}}, 'required': ['wikiId'], 'type': 'object'}, description="""Performs an wiki get using the Backlog Wiki API."""), # fleagne/Backlog MCP Server/backlog_get_wiki
    Tool(name="""Backlog MCP Server_backlog_add_wiki""", inputSchema={'properties': {'content': {'description': 'Content', 'type': 'string'}, 'mailNotify': {'description': 'True make to notify by Email', 'type': 'boolean'}, 'name': {'description': 'Page Name', 'type': 'string'}, 'projectId': {'description': 'Project ID', 'type': 'number'}}, 'required': ['projectId', 'name', 'content'], 'type': 'object'}, description="""Add an wiki using the Backlog Wiki API."""), # fleagne/Backlog MCP Server/backlog_add_wiki
    Tool(name="""Backlog MCP Server_backlog_update_wiki""", inputSchema={'properties': {'content': {'description': 'Content', 'type': 'string'}, 'mailNotify': {'description': 'True make to notify by Email', 'type': 'boolean'}, 'name': {'description': 'Page Name', 'type': 'string'}, 'wikiId': {'description': 'Wiki page ID', 'type': 'number'}}, 'required': ['wikiId'], 'type': 'object'}, description="""Update an wiki using the Backlog Wiki API."""), # fleagne/Backlog MCP Server/backlog_update_wiki
    Tool(name="""Backlog MCP Server_backlog_delete_wiki""", inputSchema={'properties': {'mailNotify': {'description': 'True make to notify by Email', 'type': 'boolean'}, 'wikiId': {'description': 'Wiki page ID', 'type': 'number'}}, 'required': ['wikiId'], 'type': 'object'}, description="""Delete an wiki using the Backlog Wiki API."""), # fleagne/Backlog MCP Server/backlog_delete_wiki
    Tool(name="""WhatsApp MCP Server_open_session""", inputSchema={'properties': {}, 'title': 'open_sessionArguments', 'type': 'object'}, description="""Open a new WhatsApp session."""), # msaelices/WhatsApp MCP Server/open_session
    Tool(name="""WhatsApp MCP Server_send_message""", inputSchema={'properties': {'content': {'title': 'Content', 'type': 'string'}, 'phone_number': {'title': 'Phone Number', 'type': 'string'}, 'reply_to': {'anyOf': [{'type': 'string'}, {'type': 'null'}], 'default': None, 'title': 'Reply To'}}, 'required': ['phone_number', 'content'], 'title': 'send_messageArguments', 'type': 'object'}, description="""\n    Send a message to a chat.\n\n    Parameters:\n    - phone_number: The phone number of the recipient\n    - content: The content of the message to send\n    - reply_to: ID of the message to reply to (optional)\n    """), # msaelices/WhatsApp MCP Server/send_message
    Tool(name="""WhatsApp MCP Server_get_chats""", inputSchema={'properties': {'limit': {'default': 50, 'title': 'Limit', 'type': 'integer'}, 'offset': {'default': 0, 'title': 'Offset', 'type': 'integer'}}, 'title': 'get_chatsArguments', 'type': 'object'}, description="""\n    Get a list of chats.\n\n    Parameters:\n    - limit: Maximum number of chats to return (default: 50)\n    - offset: Offset for pagination (default: 0)\n    """), # msaelices/WhatsApp MCP Server/get_chats
    Tool(name="""WhatsApp MCP Server_create_group""", inputSchema={'properties': {'group_name': {'title': 'Group Name', 'type': 'string'}, 'participants': {'items': {'type': 'string'}, 'title': 'Participants', 'type': 'array'}}, 'required': ['group_name', 'participants'], 'title': 'create_groupArguments', 'type': 'object'}, description="""\n    Create a new WhatsApp group.\n\n    Parameters:\n    - group_name: Name of the group to create\n    - participants: List of participant phone numbers\n    """), # msaelices/WhatsApp MCP Server/create_group
    Tool(name="""WhatsApp MCP Server_get_group_participants""", inputSchema={'properties': {'group_id': {'title': 'Group Id', 'type': 'string'}}, 'required': ['group_id'], 'title': 'get_group_participantsArguments', 'type': 'object'}, description="""\n    Get the participants of a WhatsApp group.\n\n    Parameters:\n    - group_id: The WhatsApp ID of the group\n    """), # msaelices/WhatsApp MCP Server/get_group_participants
    Tool(name="""MCP Ripgrep Server_search""", inputSchema={'properties': {'caseSensitive': {'description': 'Use case sensitive search (default: auto)', 'type': 'boolean'}, 'context': {'description': 'Show N lines before and after each match', 'type': 'number'}, 'filePattern': {'description': 'Filter by file type or glob', 'type': 'string'}, 'maxResults': {'description': 'Limit the number of matching lines', 'type': 'number'}, 'path': {'description': 'Directory or file(s) to search.', 'type': 'string'}, 'pattern': {'description': 'The search pattern (regex by default)', 'type': 'string'}, 'useColors': {'description': 'Use colors in output (default: false)', 'type': 'boolean'}}, 'required': ['pattern', 'path'], 'type': 'object'}, description="""Search files for patterns using ripgrep (rg)"""), # mcollina/MCP Ripgrep Server/search
    Tool(name="""MCP Ripgrep Server_advanced-search""", inputSchema={'properties': {'caseSensitive': {'description': 'Use case sensitive search (default: auto)', 'type': 'boolean'}, 'context': {'description': 'Show N lines before and after each match', 'type': 'number'}, 'filePattern': {'description': 'Filter by file type or glob', 'type': 'string'}, 'fileType': {'description': 'Filter by file type (e.g., js, py)', 'type': 'string'}, 'fixedStrings': {'description': 'Treat pattern as a literal string, not a regex', 'type': 'boolean'}, 'followSymlinks': {'description': 'Follow symbolic links', 'type': 'boolean'}, 'includeHidden': {'description': 'Search in hidden files and directories', 'type': 'boolean'}, 'invertMatch': {'description': "Show lines that don't match the pattern", 'type': 'boolean'}, 'maxResults': {'description': 'Limit the number of matching lines', 'type': 'number'}, 'path': {'description': 'Directory or file(s) to search.', 'type': 'string'}, 'pattern': {'description': 'The search pattern (regex by default)', 'type': 'string'}, 'showFilenamesOnly': {'description': 'Only show filenames of matches, not content', 'type': 'boolean'}, 'showLineNumbers': {'description': 'Show line numbers', 'type': 'boolean'}, 'useColors': {'description': 'Use colors in output (default: false)', 'type': 'boolean'}, 'wordMatch': {'description': 'Only show matches surrounded by word boundaries', 'type': 'boolean'}}, 'required': ['pattern', 'path'], 'type': 'object'}, description="""Advanced search with ripgrep with more options"""), # mcollina/MCP Ripgrep Server/advanced-search
    Tool(name="""MCP Ripgrep Server_count-matches""", inputSchema={'properties': {'caseSensitive': {'description': 'Use case sensitive search (default: auto)', 'type': 'boolean'}, 'countLines': {'description': 'Count matching lines instead of total matches', 'type': 'boolean'}, 'filePattern': {'description': 'Filter by file type or glob', 'type': 'string'}, 'path': {'description': 'Directory or file(s) to search.', 'type': 'string'}, 'pattern': {'description': 'The search pattern (regex by default)', 'type': 'string'}, 'useColors': {'description': 'Use colors in output (default: false)', 'type': 'boolean'}}, 'required': ['pattern', 'path'], 'type': 'object'}, description="""Count matches in files using ripgrep"""), # mcollina/MCP Ripgrep Server/count-matches
    Tool(name="""MCP Ripgrep Server_list-files""", inputSchema={'properties': {'filePattern': {'description': 'Filter by file type or glob', 'type': 'string'}, 'fileType': {'description': 'Filter by file type (e.g., js, py)', 'type': 'string'}, 'includeHidden': {'description': 'Include hidden files and directories', 'type': 'boolean'}, 'path': {'description': 'Directory or file(s) to search.', 'type': 'string'}}, 'required': ['path'], 'type': 'object'}, description="""List files that would be searched by ripgrep without actually searching them"""), # mcollina/MCP Ripgrep Server/list-files
    Tool(name="""MCP Ripgrep Server_list-file-types""", inputSchema={'properties': {}, 'type': 'object'}, description="""List all supported file types in ripgrep"""), # mcollina/MCP Ripgrep Server/list-file-types
    Tool(name="""Cursor Talk To Figma MCP_set_text_content""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'nodeId': {'description': 'The ID of the text node to modify', 'type': 'string'}, 'text': {'description': 'New text content', 'type': 'string'}}, 'required': ['nodeId', 'text'], 'type': 'object'}, description="""Set the text content of an existing text node in Figma"""), # toiletmadarchut/Cursor Talk To Figma MCP/set_text_content
    Tool(name="""Cursor Talk To Figma MCP_get_document_info""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {}, 'type': 'object'}, description="""Get detailed information about the current Figma document"""), # toiletmadarchut/Cursor Talk To Figma MCP/get_document_info
    Tool(name="""Cursor Talk To Figma MCP_get_selection""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {}, 'type': 'object'}, description="""Get information about the current selection in Figma"""), # toiletmadarchut/Cursor Talk To Figma MCP/get_selection
    Tool(name="""Cursor Talk To Figma MCP_get_node_info""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'nodeId': {'description': 'The ID of the node to get information about', 'type': 'string'}}, 'required': ['nodeId'], 'type': 'object'}, description="""Get detailed information about a specific node in Figma"""), # toiletmadarchut/Cursor Talk To Figma MCP/get_node_info
    Tool(name="""Cursor Talk To Figma MCP_create_rectangle""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'height': {'description': 'Height of the rectangle', 'type': 'number'}, 'name': {'description': 'Optional name for the rectangle', 'type': 'string'}, 'parentId': {'description': 'Optional parent node ID to append the rectangle to', 'type': 'string'}, 'width': {'description': 'Width of the rectangle', 'type': 'number'}, 'x': {'description': 'X position', 'type': 'number'}, 'y': {'description': 'Y position', 'type': 'number'}}, 'required': ['x', 'y', 'width', 'height'], 'type': 'object'}, description="""Create a new rectangle in Figma"""), # toiletmadarchut/Cursor Talk To Figma MCP/create_rectangle
    Tool(name="""Cursor Talk To Figma MCP_join_channel""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'channel': {'default': '', 'description': 'The name of the channel to join', 'type': 'string'}}, 'type': 'object'}, description="""Join a specific channel to communicate with Figma"""), # toiletmadarchut/Cursor Talk To Figma MCP/join_channel
    Tool(name="""Cursor Talk To Figma MCP_create_frame""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'fillColor': {'additionalProperties': False, 'description': 'Fill color in RGBA format', 'properties': {'a': {'description': 'Alpha component (0-1)', 'maximum': 1, 'minimum': 0, 'type': 'number'}, 'b': {'description': 'Blue component (0-1)', 'maximum': 1, 'minimum': 0, 'type': 'number'}, 'g': {'description': 'Green component (0-1)', 'maximum': 1, 'minimum': 0, 'type': 'number'}, 'r': {'description': 'Red component (0-1)', 'maximum': 1, 'minimum': 0, 'type': 'number'}}, 'required': ['r', 'g', 'b'], 'type': 'object'}, 'height': {'description': 'Height of the frame', 'type': 'number'}, 'name': {'description': 'Optional name for the frame', 'type': 'string'}, 'parentId': {'description': 'Optional parent node ID to append the frame to', 'type': 'string'}, 'strokeColor': {'additionalProperties': False, 'description': 'Stroke color in RGBA format', 'properties': {'a': {'description': 'Alpha component (0-1)', 'maximum': 1, 'minimum': 0, 'type': 'number'}, 'b': {'description': 'Blue component (0-1)', 'maximum': 1, 'minimum': 0, 'type': 'number'}, 'g': {'description': 'Green component (0-1)', 'maximum': 1, 'minimum': 0, 'type': 'number'}, 'r': {'description': 'Red component (0-1)', 'maximum': 1, 'minimum': 0, 'type': 'number'}}, 'required': ['r', 'g', 'b'], 'type': 'object'}, 'strokeWeight': {'description': 'Stroke weight', 'exclusiveMinimum': 0, 'type': 'number'}, 'width': {'description': 'Width of the frame', 'type': 'number'}, 'x': {'description': 'X position', 'type': 'number'}, 'y': {'description': 'Y position', 'type': 'number'}}, 'required': ['x', 'y', 'width', 'height'], 'type': 'object'}, description="""Create a new frame in Figma"""), # toiletmadarchut/Cursor Talk To Figma MCP/create_frame
    Tool(name="""Cursor Talk To Figma MCP_create_text""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'fontColor': {'additionalProperties': False, 'description': 'Font color in RGBA format', 'properties': {'a': {'description': 'Alpha component (0-1)', 'maximum': 1, 'minimum': 0, 'type': 'number'}, 'b': {'description': 'Blue component (0-1)', 'maximum': 1, 'minimum': 0, 'type': 'number'}, 'g': {'description': 'Green component (0-1)', 'maximum': 1, 'minimum': 0, 'type': 'number'}, 'r': {'description': 'Red component (0-1)', 'maximum': 1, 'minimum': 0, 'type': 'number'}}, 'required': ['r', 'g', 'b'], 'type': 'object'}, 'fontSize': {'description': 'Font size (default: 14)', 'type': 'number'}, 'fontWeight': {'description': 'Font weight (e.g., 400 for Regular, 700 for Bold)', 'type': 'number'}, 'name': {'description': 'Optional name for the text node by default following text', 'type': 'string'}, 'parentId': {'description': 'Optional parent node ID to append the text to', 'type': 'string'}, 'text': {'description': 'Text content', 'type': 'string'}, 'x': {'description': 'X position', 'type': 'number'}, 'y': {'description': 'Y position', 'type': 'number'}}, 'required': ['x', 'y', 'text'], 'type': 'object'}, description="""Create a new text element in Figma"""), # toiletmadarchut/Cursor Talk To Figma MCP/create_text
    Tool(name="""Cursor Talk To Figma MCP_set_fill_color""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'a': {'description': 'Alpha component (0-1)', 'maximum': 1, 'minimum': 0, 'type': 'number'}, 'b': {'description': 'Blue component (0-1)', 'maximum': 1, 'minimum': 0, 'type': 'number'}, 'g': {'description': 'Green component (0-1)', 'maximum': 1, 'minimum': 0, 'type': 'number'}, 'nodeId': {'description': 'The ID of the node to modify', 'type': 'string'}, 'r': {'description': 'Red component (0-1)', 'maximum': 1, 'minimum': 0, 'type': 'number'}}, 'required': ['nodeId', 'r', 'g', 'b'], 'type': 'object'}, description="""Set the fill color of a node in Figma can be TextNode or FrameNode"""), # toiletmadarchut/Cursor Talk To Figma MCP/set_fill_color
    Tool(name="""Cursor Talk To Figma MCP_set_stroke_color""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'a': {'description': 'Alpha component (0-1)', 'maximum': 1, 'minimum': 0, 'type': 'number'}, 'b': {'description': 'Blue component (0-1)', 'maximum': 1, 'minimum': 0, 'type': 'number'}, 'g': {'description': 'Green component (0-1)', 'maximum': 1, 'minimum': 0, 'type': 'number'}, 'nodeId': {'description': 'The ID of the node to modify', 'type': 'string'}, 'r': {'description': 'Red component (0-1)', 'maximum': 1, 'minimum': 0, 'type': 'number'}, 'weight': {'description': 'Stroke weight', 'exclusiveMinimum': 0, 'type': 'number'}}, 'required': ['nodeId', 'r', 'g', 'b'], 'type': 'object'}, description="""Set the stroke color of a node in Figma"""), # toiletmadarchut/Cursor Talk To Figma MCP/set_stroke_color
    Tool(name="""Cursor Talk To Figma MCP_move_node""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'nodeId': {'description': 'The ID of the node to move', 'type': 'string'}, 'x': {'description': 'New X position', 'type': 'number'}, 'y': {'description': 'New Y position', 'type': 'number'}}, 'required': ['nodeId', 'x', 'y'], 'type': 'object'}, description="""Move a node to a new position in Figma"""), # toiletmadarchut/Cursor Talk To Figma MCP/move_node
    Tool(name="""Cursor Talk To Figma MCP_clone_node""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'nodeId': {'description': 'The ID of the node to clone', 'type': 'string'}, 'x': {'description': 'New X position for the clone', 'type': 'number'}, 'y': {'description': 'New Y position for the clone', 'type': 'number'}}, 'required': ['nodeId'], 'type': 'object'}, description="""Clone an existing node in Figma"""), # toiletmadarchut/Cursor Talk To Figma MCP/clone_node
    Tool(name="""Cursor Talk To Figma MCP_resize_node""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'height': {'description': 'New height', 'exclusiveMinimum': 0, 'type': 'number'}, 'nodeId': {'description': 'The ID of the node to resize', 'type': 'string'}, 'width': {'description': 'New width', 'exclusiveMinimum': 0, 'type': 'number'}}, 'required': ['nodeId', 'width', 'height'], 'type': 'object'}, description="""Resize a node in Figma"""), # toiletmadarchut/Cursor Talk To Figma MCP/resize_node
    Tool(name="""Cursor Talk To Figma MCP_delete_node""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'nodeId': {'description': 'The ID of the node to delete', 'type': 'string'}}, 'required': ['nodeId'], 'type': 'object'}, description="""Delete a node from Figma"""), # toiletmadarchut/Cursor Talk To Figma MCP/delete_node
    Tool(name="""Cursor Talk To Figma MCP_get_styles""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {}, 'type': 'object'}, description="""Get all styles from the current Figma document"""), # toiletmadarchut/Cursor Talk To Figma MCP/get_styles
    Tool(name="""Cursor Talk To Figma MCP_get_local_components""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {}, 'type': 'object'}, description="""Get all local components from the Figma document"""), # toiletmadarchut/Cursor Talk To Figma MCP/get_local_components
    Tool(name="""Cursor Talk To Figma MCP_create_component_instance""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'componentKey': {'description': 'Key of the component to instantiate', 'type': 'string'}, 'x': {'description': 'X position', 'type': 'number'}, 'y': {'description': 'Y position', 'type': 'number'}}, 'required': ['componentKey', 'x', 'y'], 'type': 'object'}, description="""Create an instance of a component in Figma"""), # toiletmadarchut/Cursor Talk To Figma MCP/create_component_instance
    Tool(name="""Cursor Talk To Figma MCP_export_node_as_image""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'format': {'description': 'Export format', 'enum': ['PNG', 'JPG', 'SVG', 'PDF'], 'type': 'string'}, 'nodeId': {'description': 'The ID of the node to export', 'type': 'string'}, 'scale': {'description': 'Export scale', 'exclusiveMinimum': 0, 'type': 'number'}}, 'required': ['nodeId'], 'type': 'object'}, description="""Export a node as an image from Figma"""), # toiletmadarchut/Cursor Talk To Figma MCP/export_node_as_image
    Tool(name="""Cursor Talk To Figma MCP_set_corner_radius""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'corners': {'description': 'Optional array of 4 booleans to specify which corners to round [topLeft, topRight, bottomRight, bottomLeft]', 'items': {'type': 'boolean'}, 'maxItems': 4, 'minItems': 4, 'type': 'array'}, 'nodeId': {'description': 'The ID of the node to modify', 'type': 'string'}, 'radius': {'description': 'Corner radius value', 'minimum': 0, 'type': 'number'}}, 'required': ['nodeId', 'radius'], 'type': 'object'}, description="""Set the corner radius of a node in Figma"""), # toiletmadarchut/Cursor Talk To Figma MCP/set_corner_radius
    Tool(name="""Sensei MCP_dojo_config""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {}, 'type': 'object'}, description="""Essential guidance for configuring Dojo projects. Use this when setting up Scarb.toml, creating dojo profile files, configuring permissions, setting up namespaces, or managing external contracts and dependencies."""), # dojoengine/Sensei MCP/dojo_config
    Tool(name="""Sensei MCP_dojo_101""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {}, 'type': 'object'}, description="""Beginner-friendly introduction to Dojo development. Use this when starting a new Dojo project, understanding the basic workflow, or when you need a high-level overview of the Dojo development process and architecture."""), # dojoengine/Sensei MCP/dojo_101
    Tool(name="""Sensei MCP_dojo_logic""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {}, 'type': 'object'}, description="""Expert guidance on implementing Dojo systems and game logic. Use this when writing contract functions, implementing game mechanics, handling state changes, or working with the World contract to read/write models."""), # dojoengine/Sensei MCP/dojo_logic
    Tool(name="""Sensei MCP_dojo_model""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {}, 'type': 'object'}, description="""Specialized guidance for creating and working with Dojo models. Use this when you need to define data structures, create model schemas, implement model traits, or understand model relationships and constraints."""), # dojoengine/Sensei MCP/dojo_model
    Tool(name="""Sensei MCP_dojo_sensei""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {}, 'type': 'object'}, description="""The main system prompt for Dojo development. Use this as the primary prompt when starting a conversation about Dojo or Cairo development, or when you need comprehensive guidance across all aspects of Dojo development."""), # dojoengine/Sensei MCP/dojo_sensei
    Tool(name="""Sensei MCP_dojo_test""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {}, 'type': 'object'}, description="""Comprehensive guide for writing tests for Dojo applications. Use this when creating unit tests, integration tests, setting up test environments, or verifying the correctness of your Dojo systems and models."""), # dojoengine/Sensei MCP/dojo_test
    Tool(name="""Sensei MCP_dojo_token""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {}, 'type': 'object'}, description="""Detailed guidance on implementing token standards in Dojo. Use this when creating ERC20, ERC721, or ERC1155 tokens, implementing token functionality, or integrating tokens with your Dojo game."""), # dojoengine/Sensei MCP/dojo_token
    Tool(name="""MCP Server Box_box_who_am_i""", inputSchema={'properties': {}, 'title': 'box_who_am_iArguments', 'type': 'object'}, description="""\nGet the current user's information.\nThis is also useful to check the connection status.\n\nreturn:\n    str: The current user's information.\n"""), # box-community/MCP Server Box/box_who_am_i
    Tool(name="""MCP Server Box_box_authorize_app_tool""", inputSchema={'properties': {}, 'title': 'box_authorize_app_toolArguments', 'type': 'object'}, description="""\nAuthorize the Box application.\nStart the Box app authorization process\n\nreturn:\n    str: Message\n"""), # box-community/MCP Server Box/box_authorize_app_tool
    Tool(name="""MCP Server Box_box_search_tool""", inputSchema={'properties': {'ancestor_folder_ids': {'anyOf': [{'items': {'type': 'string'}, 'type': 'array'}, {'type': 'null'}], 'default': None, 'title': 'Ancestor Folder Ids'}, 'file_extensions': {'anyOf': [{'items': {'type': 'string'}, 'type': 'array'}, {'type': 'null'}], 'default': None, 'title': 'File Extensions'}, 'query': {'title': 'Query', 'type': 'string'}, 'where_to_look_for_query': {'anyOf': [{'items': {'type': 'string'}, 'type': 'array'}, {'type': 'null'}], 'default': None, 'title': 'Where To Look For Query'}}, 'required': ['query'], 'title': 'box_search_toolArguments', 'type': 'object'}, description="""\nSearch for files in Box with the given query.\n\nArgs:\n    query (str): The query to search for.\n    file_extensions (List[str]): The file extensions to search for, for example *.pdf\n    content_types (List[SearchForContentContentTypes]): where to look for the information, possible values are:\n        NAME\n        DESCRIPTION,\n        FILE_CONTENT,\n        COMMENTS,\n        TAG,\n    ancestor_folder_ids (List[str]): The ancestor folder IDs to search in.\nreturn:\n    str: The search results.\n"""), # box-community/MCP Server Box/box_search_tool
    Tool(name="""MCP Server Box_box_read_tool""", inputSchema={'properties': {'file_id': {'title': 'File Id'}}, 'required': ['file_id'], 'title': 'box_read_toolArguments', 'type': 'object'}, description="""\nRead the text content of a file in Box.\n\nArgs:\n    file_id (str): The ID of the file to read.\nreturn:\n    str: The text content of the file.\n"""), # box-community/MCP Server Box/box_read_tool
    Tool(name="""MCP Server Box_box_ask_ai_tool""", inputSchema={'properties': {'file_id': {'title': 'File Id'}, 'prompt': {'title': 'Prompt', 'type': 'string'}}, 'required': ['file_id', 'prompt'], 'title': 'box_ask_ai_toolArguments', 'type': 'object'}, description="""\nAsk box ai about a file in Box.\n\nArgs:\n    file_id (str): The ID of the file to read.\n    prompt (str): The prompt to ask the AI.\nreturn:\n    str: The text content of the file.\n"""), # box-community/MCP Server Box/box_ask_ai_tool
    Tool(name="""MCP Server Box_box_search_folder_by_name""", inputSchema={'properties': {'folder_name': {'title': 'Folder Name', 'type': 'string'}}, 'required': ['folder_name'], 'title': 'box_search_folder_by_nameArguments', 'type': 'object'}, description="""\nLocate a folder in Box by its name.\n\nArgs:\n    folder_name (str): The name of the folder to locate.\nreturn:\n    str: The folder ID.\n"""), # box-community/MCP Server Box/box_search_folder_by_name
    Tool(name="""MCP Server Box_box_ai_extract_data""", inputSchema={'properties': {'fields': {'title': 'Fields', 'type': 'string'}, 'file_id': {'title': 'File Id'}}, 'required': ['file_id', 'fields'], 'title': 'box_ai_extract_dataArguments', 'type': 'object'}, description="""\"\nExtract data from a file in Box using AI.\n\nArgs:\n    file_id (str): The ID of the file to read.\n    fields (str): The fields to extract from the file.\nreturn:\n    str: The extracted data in a json string format.\n"""), # box-community/MCP Server Box/box_ai_extract_data
    Tool(name="""MCP Server Box_box_list_folder_content_by_folder_id""", inputSchema={'properties': {'folder_id': {'title': 'Folder Id'}, 'is_recursive': {'title': 'is_recursive', 'type': 'string'}}, 'required': ['folder_id', 'is_recursive'], 'title': 'box_list_folder_content_by_folder_idArguments', 'type': 'object'}, description="""\nList the content of a folder in Box by its ID.\n\nArgs:\n    folder_id (str): The ID of the folder to list the content of.\n    is_recursive (bool): Whether to list the content recursively.\n\nreturn:\n    str: The content of the folder in a json string format, including the \"id\", \"name\", \"type\", and \"description\".\n"""), # box-community/MCP Server Box/box_list_folder_content_by_folder_id
    Tool(name="""anilist-mcp_favourite_studio""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'id': {'description': 'The AniList ID of the studio to favourite/unfavourite', 'type': 'number'}}, 'required': ['id'], 'type': 'object'}, description="""[Requires Login] Favourite or unfavourite a studio by its ID"""), # yuna0x0/anilist-mcp/favourite_studio
    Tool(name="""anilist-mcp_get_genres""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {}, 'type': 'object'}, description="""Get all available genres on AniList"""), # yuna0x0/anilist-mcp/get_genres
    Tool(name="""anilist-mcp_get_media_tags""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {}, 'type': 'object'}, description="""Get all available media tags on AniList"""), # yuna0x0/anilist-mcp/get_media_tags
    Tool(name="""anilist-mcp_get_site_statistics""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {}, 'type': 'object'}, description="""Get AniList site statistics over the last seven days"""), # yuna0x0/anilist-mcp/get_site_statistics
    Tool(name="""anilist-mcp_get_studio""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'studio': {'description': 'The studio ID or name', 'type': ['string', 'number']}}, 'required': ['studio'], 'type': 'object'}, description="""Get information about a studio by its AniList ID or name"""), # yuna0x0/anilist-mcp/get_studio
    Tool(name="""anilist-mcp_delete_activity""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'id': {'description': 'The AniList activity ID to delete', 'type': 'number'}}, 'required': ['id'], 'type': 'object'}, description="""[Requires Login] Delete the current authorized user's activity post"""), # yuna0x0/anilist-mcp/delete_activity
    Tool(name="""anilist-mcp_get_activity""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'activityID': {'description': 'The AniList activity ID', 'type': 'number'}}, 'required': ['activityID'], 'type': 'object'}, description="""Get a specific AniList activity by its ID"""), # yuna0x0/anilist-mcp/get_activity
    Tool(name="""anilist-mcp_get_user_activity""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'page': {'default': 1, 'description': 'The page number to display', 'type': 'number'}, 'perPage': {'default': 25, 'description': 'How many entries to display on one page (max 25)', 'type': 'number'}, 'user': {'description': "The user's AniList ID", 'type': 'number'}}, 'required': ['user'], 'type': 'object'}, description="""Fetch activities from a user"""), # yuna0x0/anilist-mcp/get_user_activity
    Tool(name="""anilist-mcp_post_message_activity""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'id': {'description': 'AniList Activity ID (null to create new, number to update)', 'type': ['number', 'null']}, 'isPrivate': {'default': False, 'description': 'Set to true if it is a private message', 'type': 'boolean'}, 'recipientId': {'description': 'The target user to send the message to', 'type': 'number'}, 'text': {'description': 'The activity message text', 'type': 'string'}}, 'required': ['text', 'recipientId', 'id'], 'type': 'object'}, description="""[Requires Login] Post a new message activity or update an existing one"""), # yuna0x0/anilist-mcp/post_message_activity
    Tool(name="""anilist-mcp_post_text_activity""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'id': {'description': 'AniList Activity ID (null to create new, number to update)', 'type': ['number', 'null']}, 'text': {'description': 'The content of the activity', 'type': 'string'}}, 'required': ['text', 'id'], 'type': 'object'}, description="""[Requires Login] Post a new text activity or update an existing one"""), # yuna0x0/anilist-mcp/post_text_activity
    Tool(name="""anilist-mcp_add_list_entry""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'id': {'description': 'The AniList ID of the media entry to add', 'type': 'number'}, 'options': {'additionalProperties': False, 'description': 'Values to save with the entry', 'properties': {'advancedScores': {'description': 'Advanced scores as an object', 'items': {'type': 'number'}, 'type': 'array'}, 'completedAt': {'additionalProperties': False, 'description': 'When the user completed the media', 'properties': {'day': {'type': 'number'}, 'month': {'type': 'number'}, 'year': {'type': 'number'}}, 'required': ['year', 'month', 'day'], 'type': 'object'}, 'customLists': {'description': 'Array of custom list names for the media', 'items': {'type': 'string'}, 'type': 'array'}, 'hiddenFromStatusLists': {'description': 'Whether the entry should be hidden from non-custom lists', 'type': 'boolean'}, 'id': {'description': 'The ID of the list entry', 'type': 'number'}, 'mediaId': {'description': 'The ID of the media to add', 'type': 'number'}, 'notes': {'description': 'Text notes about the media', 'type': 'string'}, 'priority': {'description': 'Priority level of the media', 'type': 'number'}, 'private': {'description': 'Whether the entry should be private', 'type': 'boolean'}, 'progress': {'description': 'The amount of episodes/chapters consumed', 'type': 'number'}, 'progressVolumes': {'description': 'The amount of volumes read (manga only)', 'type': 'number'}, 'repeat': {'description': 'Amount of times the media has been repeated', 'type': 'number'}, 'score': {'description': 'The score given to the media', 'type': 'number'}, 'scoreRaw': {'description': 'The raw score in 100 point format', 'type': 'number'}, 'startedAt': {'additionalProperties': False, 'description': 'When the user started the media', 'properties': {'day': {'type': 'number'}, 'month': {'type': 'number'}, 'year': {'type': 'number'}}, 'required': ['year', 'month', 'day'], 'type': 'object'}, 'status': {'description': 'The status of the media on the list', 'enum': ['CURRENT', 'PLANNING', 'COMPLETED', 'DROPPED', 'PAUSED', 'REPEATING'], 'type': 'string'}}, 'required': ['id', 'mediaId', 'status', 'score', 'scoreRaw', 'progress', 'progressVolumes', 'repeat', 'priority', 'private', 'notes', 'hiddenFromStatusLists', 'customLists', 'advancedScores', 'startedAt', 'completedAt'], 'type': 'object'}}, 'required': ['id', 'options'], 'type': 'object'}, description="""[Requires Login] Add an entry to the authorized user's list"""), # yuna0x0/anilist-mcp/add_list_entry
    Tool(name="""anilist-mcp_get_user_anime_list""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'user': {'description': 'Username or user ID', 'type': ['number', 'string']}}, 'required': ['user'], 'type': 'object'}, description="""Get a user's anime list"""), # yuna0x0/anilist-mcp/get_user_anime_list
    Tool(name="""anilist-mcp_get_user_manga_list""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'user': {'description': 'Username or user ID', 'type': ['number', 'string']}}, 'required': ['user'], 'type': 'object'}, description="""Get a user's manga list"""), # yuna0x0/anilist-mcp/get_user_manga_list
    Tool(name="""anilist-mcp_remove_list_entry""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'id': {'description': 'The AniList list ID of the entry to remove', 'type': 'number'}}, 'required': ['id'], 'type': 'object'}, description="""[Requires Login] Remove an entry from the authorized user's list"""), # yuna0x0/anilist-mcp/remove_list_entry
    Tool(name="""anilist-mcp_search_studio""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'amount': {'default': 5, 'description': 'Results per page (max 25)', 'type': 'number'}, 'page': {'default': 1, 'description': 'Page number for results', 'type': 'number'}, 'term': {'description': 'Search term for finding studios', 'type': 'string'}}, 'required': ['term'], 'type': 'object'}, description="""Search for studios based on a query term"""), # yuna0x0/anilist-mcp/search_studio
    Tool(name="""anilist-mcp_update_list_entry""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'id': {'description': 'The AniList list ID of the entry to edit', 'type': 'number'}, 'options': {'additionalProperties': False, 'description': 'Values to save with the entry', 'properties': {'advancedScores': {'description': 'Advanced scores as an object', 'items': {'type': 'number'}, 'type': 'array'}, 'completedAt': {'additionalProperties': False, 'description': 'When the user completed the media', 'properties': {'day': {'type': 'number'}, 'month': {'type': 'number'}, 'year': {'type': 'number'}}, 'required': ['year', 'month', 'day'], 'type': 'object'}, 'customLists': {'description': 'Array of custom list names for the media', 'items': {'type': 'string'}, 'type': 'array'}, 'hiddenFromStatusLists': {'description': 'Whether the entry should be hidden from non-custom lists', 'type': 'boolean'}, 'id': {'description': 'The ID of the list entry', 'type': 'number'}, 'mediaId': {'description': 'The ID of the media to add', 'type': 'number'}, 'notes': {'description': 'Text notes about the media', 'type': 'string'}, 'priority': {'description': 'Priority level of the media', 'type': 'number'}, 'private': {'description': 'Whether the entry should be private', 'type': 'boolean'}, 'progress': {'description': 'The amount of episodes/chapters consumed', 'type': 'number'}, 'progressVolumes': {'description': 'The amount of volumes read (manga only)', 'type': 'number'}, 'repeat': {'description': 'Amount of times the media has been repeated', 'type': 'number'}, 'score': {'description': 'The score given to the media', 'type': 'number'}, 'scoreRaw': {'description': 'The raw score in 100 point format', 'type': 'number'}, 'startedAt': {'additionalProperties': False, 'description': 'When the user started the media', 'properties': {'day': {'type': 'number'}, 'month': {'type': 'number'}, 'year': {'type': 'number'}}, 'required': ['year', 'month', 'day'], 'type': 'object'}, 'status': {'description': 'The status of the media on the list', 'enum': ['CURRENT', 'PLANNING', 'COMPLETED', 'DROPPED', 'PAUSED', 'REPEATING'], 'type': 'string'}}, 'required': ['id', 'mediaId', 'status', 'score', 'scoreRaw', 'progress', 'progressVolumes', 'repeat', 'priority', 'private', 'notes', 'hiddenFromStatusLists', 'customLists', 'advancedScores', 'startedAt', 'completedAt'], 'type': 'object'}}, 'required': ['id', 'options'], 'type': 'object'}, description="""[Requires Login] Update an entry on the authorized user's list"""), # yuna0x0/anilist-mcp/update_list_entry
    Tool(name="""anilist-mcp_get_anime""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'id': {'description': 'The AniList ID of the anime', 'type': 'number'}}, 'required': ['id'], 'type': 'object'}, description="""Get detailed information about an anime by its AniList ID"""), # yuna0x0/anilist-mcp/get_anime
    Tool(name="""anilist-mcp_favourite_anime""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'id': {'description': 'The AniList ID of the anime to favourite/unfavourite', 'type': 'number'}}, 'required': ['id'], 'type': 'object'}, description="""[Requires Login] Favourite or unfavourite an anime by its ID"""), # yuna0x0/anilist-mcp/favourite_anime
    Tool(name="""anilist-mcp_favourite_manga""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'id': {'description': 'The AniList ID of the manga to favourite/unfavourite', 'type': 'number'}}, 'required': ['id'], 'type': 'object'}, description="""[Requires Login] Favourite or unfavourite a manga by its ID"""), # yuna0x0/anilist-mcp/favourite_manga
    Tool(name="""anilist-mcp_get_manga""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'id': {'description': 'The AniList ID of the manga', 'type': 'number'}}, 'required': ['id'], 'type': 'object'}, description="""Get detailed information about a manga by its AniList ID"""), # yuna0x0/anilist-mcp/get_manga
    Tool(name="""anilist-mcp_get_character""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'id': {'description': 'The AniList ID of the character', 'type': ['number', 'string']}}, 'required': ['id'], 'type': 'object'}, description="""Get information about a character by their AniList ID"""), # yuna0x0/anilist-mcp/get_character
    Tool(name="""anilist-mcp_favourite_character""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'id': {'description': 'The AniList ID of the character to favourite/unfavourite', 'type': 'number'}}, 'required': ['id'], 'type': 'object'}, description="""[Requires Login] Favourite or unfavourite a character by its ID"""), # yuna0x0/anilist-mcp/favourite_character
    Tool(name="""anilist-mcp_favourite_staff""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'id': {'description': 'The AniList ID of the staff member to favourite/unfavourite', 'type': 'number'}}, 'required': ['id'], 'type': 'object'}, description="""[Requires Login] Favourite or unfavourite a staff member by their ID"""), # yuna0x0/anilist-mcp/favourite_staff
    Tool(name="""anilist-mcp_get_todays_birthday_characters""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'page': {'default': 1, 'description': 'What page in the search to target', 'type': 'number'}}, 'type': 'object'}, description="""Get all characters whose birthday is today"""), # yuna0x0/anilist-mcp/get_todays_birthday_characters
    Tool(name="""anilist-mcp_get_todays_birthday_staff""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'page': {'default': 1, 'description': 'What page in the search to target', 'type': 'number'}}, 'type': 'object'}, description="""Get all staff members whose birthday is today"""), # yuna0x0/anilist-mcp/get_todays_birthday_staff
    Tool(name="""anilist-mcp_get_staff""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'id': {'description': 'The AniList ID or name of the staff member', 'type': ['number', 'string']}}, 'required': ['id'], 'type': 'object'}, description="""Get information about staff member by their AniList ID or name"""), # yuna0x0/anilist-mcp/get_staff
    Tool(name="""anilist-mcp_get_recommendation""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'recommendID': {'description': 'The AniList recommendation ID', 'type': 'number'}}, 'required': ['recommendID'], 'type': 'object'}, description="""Get an AniList recommendation by its ID"""), # yuna0x0/anilist-mcp/get_recommendation
    Tool(name="""anilist-mcp_get_recommendations_for_media""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'mediaID': {'description': 'The AniList media ID', 'type': 'number'}, 'page': {'default': 1, 'description': 'Target a specific page number for recommendations', 'type': 'number'}, 'perPage': {'default': 25, 'description': 'Limit the page amount (max 25 per AniList limits)', 'type': 'number'}}, 'required': ['mediaID'], 'type': 'object'}, description="""Get AniList recommendations for a specific media"""), # yuna0x0/anilist-mcp/get_recommendations_for_media
    Tool(name="""anilist-mcp_search_activity""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'activityID': {'description': 'The activity ID to lookup (leave it as undefined for no specific ID)', 'type': 'number'}, 'filter': {'additionalProperties': False, 'description': 'Filter object for searching activities (leave it as undefined for no specific filter)', 'properties': {'createdAt': {'description': 'The time at which the activity was created', 'type': 'number'}, 'createdAt_greater': {'description': 'Include any activity created at the given date or more recent', 'type': 'number'}, 'createdAt_lesser': {'description': 'Include any activity created at the given date or less recent', 'type': 'number'}, 'hasReplies': {'description': 'Filter by which activities have replies', 'type': 'boolean'}, 'hasRepliesOrTypeText': {'description': 'Filter by which activities have replies or text', 'type': 'boolean'}, 'id': {'description': 'The id of the activity', 'type': 'number'}, 'id_in': {'description': 'Include any activities with the given IDs', 'items': {'type': 'number'}, 'type': 'array'}, 'id_not': {'description': 'Exclude an activity with the given ID', 'type': 'number'}, 'id_not_in': {'description': 'Excludes any activities with the given IDs', 'items': {'type': 'number'}, 'type': 'array'}, 'isFollowing': {'description': '[Requires Login] Filter users by who is following the authorized user', 'type': 'boolean'}, 'mediaId': {'description': 'The ID of the media', 'type': 'number'}, 'mediaId_in': {'description': 'Include any activity with the given media IDs', 'items': {'type': 'number'}, 'type': 'array'}, 'mediaId_not': {'description': 'Exclude any activity with the given media ID', 'type': 'number'}, 'mediaId_not_in': {'description': 'Exclude any activity with the given media IDs', 'items': {'type': 'number'}, 'type': 'array'}, 'messengerId': {'description': 'The ID of who sent the message', 'type': 'number'}, 'messengerId_in': {'description': 'Include any activity with the given message sender IDs', 'items': {'type': 'number'}, 'type': 'array'}, 'messengerId_not': {'description': 'Exclude any activity with the given message sender ID', 'type': 'number'}, 'messengerId_not_in': {'description': 'Exclude any activity with the given message sender IDs', 'items': {'type': 'number'}, 'type': 'array'}, 'sort': {'description': 'Sort the query by the parameters given.', 'items': {'enum': ['ID', 'ID_DESC'], 'type': 'string'}, 'type': 'array'}, 'type': {'description': 'The type of activity', 'enum': ['TEXT', 'ANIME_LIST', 'MANGA_LIST', 'MESSAGE', 'MEDIA_LIST'], 'type': 'string'}, 'type_in': {'description': 'Include any activity with the given ActivityTypes', 'items': {'$ref': '#/properties/filter/properties/type'}, 'type': 'array'}, 'type_not': {'$ref': '#/properties/filter/properties/type', 'description': 'Exclude any activity with the same ActivityType'}, 'type_not_in': {'description': 'Exclude any activity with the given ActivityTypes', 'items': {'$ref': '#/properties/filter/properties/type'}, 'type': 'array'}, 'userId': {'description': 'The userID of the account with the activity', 'type': 'number'}, 'userId_in': {'description': 'Includes any activity with the given userIDs', 'items': {'type': 'number'}, 'type': 'array'}, 'userId_not': {'description': 'Exclude any activity with the given userID', 'type': 'number'}, 'userId_not_in': {'description': 'Exclude any activity with the given userIDs', 'items': {'type': 'number'}, 'type': 'array'}}, 'type': 'object'}, 'page': {'default': 1, 'description': 'Page number for results', 'type': 'number'}, 'perPage': {'default': 5, 'description': 'Results per page (max 25)', 'type': 'number'}}, 'type': 'object'}, description="""Search for activities on AniList"""), # yuna0x0/anilist-mcp/search_activity
    Tool(name="""anilist-mcp_search_anime""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'amount': {'default': 5, 'description': 'Results per page (max 25)', 'type': 'number'}, 'filter': {'additionalProperties': False, 'description': 'Filter object for searching anime.\nYou MUST NOT include "{ "type": "ANIME" }" in the filter object. As it is already included in the API call.\nWhen no sorting method or any filter is specified, you SHOULD use the site default: "{ "sort": ["SEARCH_MATCH"] }".\nOtherwise, request is likely to fail or return no results.', 'properties': {'averageScore': {'description': "Filter by the media's average score", 'type': 'number'}, 'averageScore_greater': {'description': 'Filter by average score greater than value', 'type': 'number'}, 'averageScore_lesser': {'description': 'Filter by average score less than value', 'type': 'number'}, 'averageScore_not': {'description': 'Filter by average score not equal to value', 'type': 'number'}, 'chapters': {'description': 'The number of chapters in the media', 'type': 'number'}, 'chapters_greater': {'description': 'Filter by chapter count greater than value', 'type': 'number'}, 'chapters_lesser': {'description': 'Filter by chapter count less than value', 'type': 'number'}, 'countryOfOrigin': {'description': 'Filter by the country where the media was created (ISO 3166-1 alpha-2 country code)', 'type': 'number'}, 'duration': {'description': 'The duration of episodes in minutes', 'type': 'number'}, 'duration_greater': {'description': 'Filter by episode duration greater than value', 'type': 'number'}, 'duration_lesser': {'description': 'Filter by episode duration less than value', 'type': 'number'}, 'endDate': {'$ref': '#/properties/filter/properties/startDate', 'description': 'The end date of the media'}, 'endDate_greater': {'description': 'Filter by end date greater than value (FuzzyDateInt format)', 'type': 'number'}, 'endDate_lesser': {'description': 'Filter by end date less than value (FuzzyDateInt format)', 'type': 'number'}, 'endDate_like': {'description': 'Filter by end date that matches pattern', 'type': 'string'}, 'episodes': {'description': 'The number of episodes in the media', 'type': 'number'}, 'episodes_greater': {'description': 'Filter by episode count greater than value', 'type': 'number'}, 'episodes_lesser': {'description': 'Filter by episode count less than value', 'type': 'number'}, 'format': {'description': 'The format of the media', 'enum': ['TV', 'TV_SHORT', 'MOVIE', 'SPECIAL', 'OVA', 'ONA', 'MUSIC', 'MANGA', 'NOVEL', 'ONE_SHOT'], 'type': 'string'}, 'format_in': {'description': 'Filter by media format in array', 'items': {'$ref': '#/properties/filter/properties/format'}, 'type': 'array'}, 'format_not': {'$ref': '#/properties/filter/properties/format', 'description': 'Filter by media format not equal to value'}, 'format_not_in': {'description': 'Filter by media format not in array', 'items': {'$ref': '#/properties/filter/properties/format'}, 'type': 'array'}, 'genre': {'description': 'Filter by a specific genre', 'type': 'string'}, 'genre_in': {'description': 'Filter by genres in array', 'items': {'type': 'string'}, 'type': 'array'}, 'genre_not_in': {'description': 'Filter by genres not in array', 'items': {'type': 'string'}, 'type': 'array'}, 'id': {'description': 'The AniList ID', 'type': 'number'}, 'idMal': {'description': 'The MyAnimeList ID', 'type': 'number'}, 'idMal_in': {'description': 'Filter by MyAnimeList ID in array', 'items': {'type': 'number'}, 'type': 'array'}, 'idMal_not': {'description': 'Filter by MyAnimeList ID not equal to value', 'type': 'number'}, 'idMal_not_in': {'description': 'Filter by MyAnimeList ID not in array', 'items': {'type': 'number'}, 'type': 'array'}, 'id_in': {'description': 'Filter by media ID in array', 'items': {'type': 'number'}, 'type': 'array'}, 'id_not': {'description': 'Filter by media ID not equal to value', 'type': 'number'}, 'id_not_in': {'description': 'Filter by media ID not in array', 'items': {'type': 'number'}, 'type': 'array'}, 'isAdult': {'description': 'If the media is intended for adult audiences', 'type': 'boolean'}, 'licensedBy': {'description': 'Filter by media licensed by a specific company', 'type': 'string'}, 'licensedBy_in': {'description': 'Filter by media licensed by companies in array', 'items': {'type': 'string'}, 'type': 'array'}, 'minimumTagRank': {'description': 'The minimum tag rank to filter by', 'type': 'number'}, 'onList': {'description': "[Requires Login] Filter by if the media is on the authenticated user's list", 'type': 'boolean'}, 'popularity': {'description': "Filter by the media's popularity", 'type': 'number'}, 'popularity_greater': {'description': 'Filter by popularity greater than value', 'type': 'number'}, 'popularity_lesser': {'description': 'Filter by popularity less than value', 'type': 'number'}, 'popularity_not': {'description': 'Filter by popularity not equal to value', 'type': 'number'}, 'search': {'description': 'Filter by search query', 'type': 'string'}, 'season': {'description': 'The season the media aired', 'enum': ['WINTER', 'SPRING', 'SUMMER', 'FALL'], 'type': 'string'}, 'seasonYear': {'description': 'The year of the season', 'type': 'number'}, 'sort': {'description': 'Sort the results by the provided sort options', 'items': {'enum': ['ID', 'ID_DESC', 'TITLE_ROMAJI', 'TITLE_ROMAJI_DESC', 'TITLE_ENGLISH', 'TITLE_ENGLISH_DESC', 'TITLE_NATIVE', 'TITLE_NATIVE_DESC', 'TYPE', 'TYPE_DESC', 'FORMAT', 'FORMAT_DESC', 'START_DATE', 'START_DATE_DESC', 'END_DATE', 'END_DATE_DESC', 'SCORE', 'SCORE_DESC', 'POPULARITY', 'POPULARITY_DESC', 'TRENDING', 'TRENDING_DESC', 'EPISODES', 'EPISODES_DESC', 'DURATION', 'DURATION_DESC', 'STATUS', 'STATUS_DESC', 'CHAPTERS', 'CHAPTERS_DESC', 'VOLUMES', 'VOLUMES_DESC', 'UPDATED_AT', 'UPDATED_AT_DESC', 'SEARCH_MATCH', 'FAVOURITES', 'FAVOURITES_DESC'], 'type': 'string'}, 'type': 'array'}, 'source': {'$ref': '#/properties/filter/properties/format', 'description': "Filter by the media's source type"}, 'source_in': {'description': 'Filter by source types in array', 'items': {'enum': ['ORIGINAL', 'MANGA', 'LIGHT_NOVEL', 'VISUAL_NOVEL', 'VIDEO_GAME', 'OTHER', 'NOVEL', 'DOUJINSHI', 'ANIME'], 'type': 'string'}, 'type': 'array'}, 'startDate': {'additionalProperties': False, 'description': 'The start date of the media', 'properties': {'day': {'type': ['number', 'null']}, 'month': {'type': ['number', 'null']}, 'year': {'type': ['number', 'null']}}, 'required': ['year', 'month', 'day'], 'type': 'object'}, 'startDate_greater': {'description': 'Filter by start date greater than value (FuzzyDateInt format)', 'type': 'number'}, 'startDate_lesser': {'description': 'Filter by start date less than value (FuzzyDateInt format)', 'type': 'number'}, 'startDate_like': {'description': 'Filter by start date that matches pattern', 'type': 'string'}, 'status': {'description': 'The current status of the media', 'enum': ['FINISHED', 'RELEASING', 'NOT_YET_RELEASED', 'CANCELLED', 'HIATUS'], 'type': 'string'}, 'status_in': {'description': 'Filter by media status in array', 'items': {'$ref': '#/properties/filter/properties/status'}, 'type': 'array'}, 'status_not': {'$ref': '#/properties/filter/properties/status', 'description': 'Filter by media status not equal to value'}, 'status_not_in': {'description': 'Filter by media status not in array', 'items': {'$ref': '#/properties/filter/properties/status'}, 'type': 'array'}, 'tag': {'description': 'Filter by a specific tag', 'type': 'string'}, 'tagCategory': {'description': 'Filter by tag category', 'type': 'string'}, 'tagCategory_in': {'description': 'Filter by tag categories in array', 'items': {'type': 'string'}, 'type': 'array'}, 'tagCategory_not_in': {'description': 'Filter by tag categories not in array', 'items': {'type': 'string'}, 'type': 'array'}, 'tag_in': {'description': 'Filter by tags in array', 'items': {'type': 'string'}, 'type': 'array'}, 'tag_not_in': {'description': 'Filter by tags not in array', 'items': {'type': 'string'}, 'type': 'array'}, 'type': {'description': 'The type of the media (ANIME or MANGA)', 'enum': ['ANIME', 'MANGA'], 'type': 'string'}, 'volumes': {'description': 'The number of volumes in the media', 'type': 'number'}, 'volumes_greater': {'description': 'Filter by volume count greater than value', 'type': 'number'}, 'volumes_lesser': {'description': 'Filter by volume count less than value', 'type': 'number'}}, 'type': 'object'}, 'page': {'default': 1, 'description': 'Page number for results', 'type': 'number'}, 'term': {'description': "Query term for finding anime (leave it as undefined when no query term specified.)\nQuery term is used for searching with specific word or title in mind.\n\nYou SHOULD not include things that can be found in the filter object, such as genre or tag.\nThose things should be included in the filter object instead.\n\nTo check whether a user requested term should be considered as a query term or a filter term.\nIt is recommended to use tools like 'get_genres' and 'get_media_tags' first.", 'type': 'string'}}, 'type': 'object'}, description="""Search for anime with query term and filters"""), # yuna0x0/anilist-mcp/search_anime
    Tool(name="""anilist-mcp_search_character""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'amount': {'default': 5, 'description': 'Results per page (max 25)', 'type': 'number'}, 'page': {'default': 1, 'description': 'Page number for results', 'type': 'number'}, 'term': {'description': 'Search term for finding characters', 'type': 'string'}}, 'required': ['term'], 'type': 'object'}, description="""Search for characters based on a query term"""), # yuna0x0/anilist-mcp/search_character
    Tool(name="""anilist-mcp_search_manga""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'amount': {'default': 5, 'description': 'Results per page (max 25)', 'type': 'number'}, 'filter': {'additionalProperties': False, 'description': 'Filter object for searching manga.\nYou MUST NOT include "{ "type": "MANGA" }" in the filter object. As it is already included in the API call.\nWhen no sorting method or any filter is specified, you SHOULD use the site default: "{ "sort": ["SEARCH_MATCH"] }".\nOtherwise, request is likely to fail or return no results.', 'properties': {'averageScore': {'description': "Filter by the media's average score", 'type': 'number'}, 'averageScore_greater': {'description': 'Filter by average score greater than value', 'type': 'number'}, 'averageScore_lesser': {'description': 'Filter by average score less than value', 'type': 'number'}, 'averageScore_not': {'description': 'Filter by average score not equal to value', 'type': 'number'}, 'chapters': {'description': 'The number of chapters in the media', 'type': 'number'}, 'chapters_greater': {'description': 'Filter by chapter count greater than value', 'type': 'number'}, 'chapters_lesser': {'description': 'Filter by chapter count less than value', 'type': 'number'}, 'countryOfOrigin': {'description': 'Filter by the country where the media was created (ISO 3166-1 alpha-2 country code)', 'type': 'number'}, 'duration': {'description': 'The duration of episodes in minutes', 'type': 'number'}, 'duration_greater': {'description': 'Filter by episode duration greater than value', 'type': 'number'}, 'duration_lesser': {'description': 'Filter by episode duration less than value', 'type': 'number'}, 'endDate': {'$ref': '#/properties/filter/properties/startDate', 'description': 'The end date of the media'}, 'endDate_greater': {'description': 'Filter by end date greater than value (FuzzyDateInt format)', 'type': 'number'}, 'endDate_lesser': {'description': 'Filter by end date less than value (FuzzyDateInt format)', 'type': 'number'}, 'endDate_like': {'description': 'Filter by end date that matches pattern', 'type': 'string'}, 'episodes': {'description': 'The number of episodes in the media', 'type': 'number'}, 'episodes_greater': {'description': 'Filter by episode count greater than value', 'type': 'number'}, 'episodes_lesser': {'description': 'Filter by episode count less than value', 'type': 'number'}, 'format': {'description': 'The format of the media', 'enum': ['TV', 'TV_SHORT', 'MOVIE', 'SPECIAL', 'OVA', 'ONA', 'MUSIC', 'MANGA', 'NOVEL', 'ONE_SHOT'], 'type': 'string'}, 'format_in': {'description': 'Filter by media format in array', 'items': {'$ref': '#/properties/filter/properties/format'}, 'type': 'array'}, 'format_not': {'$ref': '#/properties/filter/properties/format', 'description': 'Filter by media format not equal to value'}, 'format_not_in': {'description': 'Filter by media format not in array', 'items': {'$ref': '#/properties/filter/properties/format'}, 'type': 'array'}, 'genre': {'description': 'Filter by a specific genre', 'type': 'string'}, 'genre_in': {'description': 'Filter by genres in array', 'items': {'type': 'string'}, 'type': 'array'}, 'genre_not_in': {'description': 'Filter by genres not in array', 'items': {'type': 'string'}, 'type': 'array'}, 'id': {'description': 'The AniList ID', 'type': 'number'}, 'idMal': {'description': 'The MyAnimeList ID', 'type': 'number'}, 'idMal_in': {'description': 'Filter by MyAnimeList ID in array', 'items': {'type': 'number'}, 'type': 'array'}, 'idMal_not': {'description': 'Filter by MyAnimeList ID not equal to value', 'type': 'number'}, 'idMal_not_in': {'description': 'Filter by MyAnimeList ID not in array', 'items': {'type': 'number'}, 'type': 'array'}, 'id_in': {'description': 'Filter by media ID in array', 'items': {'type': 'number'}, 'type': 'array'}, 'id_not': {'description': 'Filter by media ID not equal to value', 'type': 'number'}, 'id_not_in': {'description': 'Filter by media ID not in array', 'items': {'type': 'number'}, 'type': 'array'}, 'isAdult': {'description': 'If the media is intended for adult audiences', 'type': 'boolean'}, 'licensedBy': {'description': 'Filter by media licensed by a specific company', 'type': 'string'}, 'licensedBy_in': {'description': 'Filter by media licensed by companies in array', 'items': {'type': 'string'}, 'type': 'array'}, 'minimumTagRank': {'description': 'The minimum tag rank to filter by', 'type': 'number'}, 'onList': {'description': "[Requires Login] Filter by if the media is on the authenticated user's list", 'type': 'boolean'}, 'popularity': {'description': "Filter by the media's popularity", 'type': 'number'}, 'popularity_greater': {'description': 'Filter by popularity greater than value', 'type': 'number'}, 'popularity_lesser': {'description': 'Filter by popularity less than value', 'type': 'number'}, 'popularity_not': {'description': 'Filter by popularity not equal to value', 'type': 'number'}, 'search': {'description': 'Filter by search query', 'type': 'string'}, 'season': {'description': 'The season the media aired', 'enum': ['WINTER', 'SPRING', 'SUMMER', 'FALL'], 'type': 'string'}, 'seasonYear': {'description': 'The year of the season', 'type': 'number'}, 'sort': {'description': 'Sort the results by the provided sort options', 'items': {'enum': ['ID', 'ID_DESC', 'TITLE_ROMAJI', 'TITLE_ROMAJI_DESC', 'TITLE_ENGLISH', 'TITLE_ENGLISH_DESC', 'TITLE_NATIVE', 'TITLE_NATIVE_DESC', 'TYPE', 'TYPE_DESC', 'FORMAT', 'FORMAT_DESC', 'START_DATE', 'START_DATE_DESC', 'END_DATE', 'END_DATE_DESC', 'SCORE', 'SCORE_DESC', 'POPULARITY', 'POPULARITY_DESC', 'TRENDING', 'TRENDING_DESC', 'EPISODES', 'EPISODES_DESC', 'DURATION', 'DURATION_DESC', 'STATUS', 'STATUS_DESC', 'CHAPTERS', 'CHAPTERS_DESC', 'VOLUMES', 'VOLUMES_DESC', 'UPDATED_AT', 'UPDATED_AT_DESC', 'SEARCH_MATCH', 'FAVOURITES', 'FAVOURITES_DESC'], 'type': 'string'}, 'type': 'array'}, 'source': {'$ref': '#/properties/filter/properties/format', 'description': "Filter by the media's source type"}, 'source_in': {'description': 'Filter by source types in array', 'items': {'enum': ['ORIGINAL', 'MANGA', 'LIGHT_NOVEL', 'VISUAL_NOVEL', 'VIDEO_GAME', 'OTHER', 'NOVEL', 'DOUJINSHI', 'ANIME'], 'type': 'string'}, 'type': 'array'}, 'startDate': {'additionalProperties': False, 'description': 'The start date of the media', 'properties': {'day': {'type': ['number', 'null']}, 'month': {'type': ['number', 'null']}, 'year': {'type': ['number', 'null']}}, 'required': ['year', 'month', 'day'], 'type': 'object'}, 'startDate_greater': {'description': 'Filter by start date greater than value (FuzzyDateInt format)', 'type': 'number'}, 'startDate_lesser': {'description': 'Filter by start date less than value (FuzzyDateInt format)', 'type': 'number'}, 'startDate_like': {'description': 'Filter by start date that matches pattern', 'type': 'string'}, 'status': {'description': 'The current status of the media', 'enum': ['FINISHED', 'RELEASING', 'NOT_YET_RELEASED', 'CANCELLED', 'HIATUS'], 'type': 'string'}, 'status_in': {'description': 'Filter by media status in array', 'items': {'$ref': '#/properties/filter/properties/status'}, 'type': 'array'}, 'status_not': {'$ref': '#/properties/filter/properties/status', 'description': 'Filter by media status not equal to value'}, 'status_not_in': {'description': 'Filter by media status not in array', 'items': {'$ref': '#/properties/filter/properties/status'}, 'type': 'array'}, 'tag': {'description': 'Filter by a specific tag', 'type': 'string'}, 'tagCategory': {'description': 'Filter by tag category', 'type': 'string'}, 'tagCategory_in': {'description': 'Filter by tag categories in array', 'items': {'type': 'string'}, 'type': 'array'}, 'tagCategory_not_in': {'description': 'Filter by tag categories not in array', 'items': {'type': 'string'}, 'type': 'array'}, 'tag_in': {'description': 'Filter by tags in array', 'items': {'type': 'string'}, 'type': 'array'}, 'tag_not_in': {'description': 'Filter by tags not in array', 'items': {'type': 'string'}, 'type': 'array'}, 'type': {'description': 'The type of the media (ANIME or MANGA)', 'enum': ['ANIME', 'MANGA'], 'type': 'string'}, 'volumes': {'description': 'The number of volumes in the media', 'type': 'number'}, 'volumes_greater': {'description': 'Filter by volume count greater than value', 'type': 'number'}, 'volumes_lesser': {'description': 'Filter by volume count less than value', 'type': 'number'}}, 'type': 'object'}, 'page': {'default': 1, 'description': 'Page number for results', 'type': 'number'}, 'term': {'description': "Query term for finding manga (leave it as undefined when no query term specified.)\nQuery term is used for searching with specific word or title in mind.\n\nYou SHOULD not include things that can be found in the filter object, such as genre or tag.\nThose things should be included in the filter object instead.\n\nTo check whether a user requested term should be considered as a query term or a filter term.\nIt is recommended to use tools like 'get_genres' and 'get_media_tags' first.", 'type': 'string'}}, 'type': 'object'}, description="""Search for manga with query term and filters"""), # yuna0x0/anilist-mcp/search_manga
    Tool(name="""anilist-mcp_search_staff""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'amount': {'default': 5, 'description': 'Results per page (max 25)', 'type': 'number'}, 'page': {'default': 1, 'description': 'Page number for results', 'type': 'number'}, 'term': {'description': 'Search term for finding staff members', 'type': 'string'}}, 'required': ['term'], 'type': 'object'}, description="""Search for staff members based on a query term"""), # yuna0x0/anilist-mcp/search_staff
    Tool(name="""anilist-mcp_search_user""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'amount': {'default': 5, 'description': 'Results per page (max 25)', 'type': 'number'}, 'page': {'default': 1, 'description': 'Page number for results', 'type': 'number'}, 'term': {'description': 'Search term for finding users', 'type': 'string'}}, 'required': ['term'], 'type': 'object'}, description="""Search for users on AniList"""), # yuna0x0/anilist-mcp/search_user
    Tool(name="""anilist-mcp_delete_thread""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'id': {'description': 'The AniList thread ID to delete', 'type': 'number'}}, 'required': ['id'], 'type': 'object'}, description="""[Requires Login] Delete a thread by its ID"""), # yuna0x0/anilist-mcp/delete_thread
    Tool(name="""anilist-mcp_get_thread""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'id': {'description': 'The AniList ID of the thread', 'type': 'number'}}, 'required': ['id'], 'type': 'object'}, description="""Get a specific thread by its AniList ID"""), # yuna0x0/anilist-mcp/get_thread
    Tool(name="""anilist-mcp_get_thread_comments""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'id': {'description': 'The AniList thread ID', 'type': 'number'}, 'page': {'default': 1, 'description': 'The page number', 'type': 'number'}, 'perPage': {'default': 25, 'description': 'How many comments per page', 'type': 'number'}}, 'required': ['id'], 'type': 'object'}, description="""Get comments for a specific thread"""), # yuna0x0/anilist-mcp/get_thread_comments
    Tool(name="""anilist-mcp_get_full_user_info""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'user': {'description': 'Username or user ID', 'type': ['number', 'string']}}, 'required': ['user'], 'type': 'object'}, description="""Get a user's complete profile and stats information"""), # yuna0x0/anilist-mcp/get_full_user_info
    Tool(name="""anilist-mcp_follow_user""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'userID': {'description': 'The user ID of the account to follow/unfollow', 'type': 'number'}}, 'required': ['userID'], 'type': 'object'}, description="""[Requires Login] Follow or unfollow a user by their ID"""), # yuna0x0/anilist-mcp/follow_user
    Tool(name="""anilist-mcp_get_authorized_user""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {}, 'type': 'object'}, description="""[Requires Login] Get profile information of the currently authorized user"""), # yuna0x0/anilist-mcp/get_authorized_user
    Tool(name="""anilist-mcp_get_user_recent_activity""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'user': {'description': "The user's AniList ID (Number ID only, DO NOT use username, any kind of string or other types except for numbers.)", 'type': 'number'}}, 'required': ['user'], 'type': 'object'}, description="""Get recent activity from a user"""), # yuna0x0/anilist-mcp/get_user_recent_activity
    Tool(name="""anilist-mcp_get_user_profile""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'user': {'description': 'Username or user ID', 'type': ['number', 'string']}}, 'required': ['user'], 'type': 'object'}, description="""Get a user's AniList profile"""), # yuna0x0/anilist-mcp/get_user_profile
    Tool(name="""anilist-mcp_get_user_stats""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'user': {'description': 'Username or user ID', 'type': ['number', 'string']}}, 'required': ['user'], 'type': 'object'}, description="""Get a user's AniList statistics"""), # yuna0x0/anilist-mcp/get_user_stats
    Tool(name="""anilist-mcp_update_user""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'options': {'additionalProperties': False, 'description': 'User options to update', 'properties': {'about': {'description': "The user's description", 'type': 'string'}, 'activityMergeTime': {'description': 'The minutes between activity for them to be merged together. 0 is Never, Above 2 weeks (20160 mins) is always.', 'type': 'number'}, 'airingNotifications': {'description': 'True if the user wants airing notifications', 'type': 'boolean'}, 'animeListOptions': {'additionalProperties': False, 'description': "The user's options for anime lists", 'properties': {'advancedScoring': {'items': {'type': 'string'}, 'type': 'array'}, 'advancedScoringEnabled': {'type': 'boolean'}, 'customLists': {'items': {'type': 'string'}, 'type': 'array'}, 'sectionOrder': {'items': {'type': 'string'}, 'type': 'array'}, 'splitCompletedSectionByFormat': {'type': 'boolean'}, 'theme': {'type': 'string'}}, 'required': ['sectionOrder', 'splitCompletedSectionByFormat', 'customLists', 'advancedScoring', 'advancedScoringEnabled', 'theme'], 'type': 'object'}, 'displayAdultContent': {'description': 'True if the user wants to display adult content', 'type': 'boolean'}, 'mangaListOptions': {'additionalProperties': False, 'description': "The user's options for manga lists", 'properties': {'advancedScoring': {'$ref': '#/properties/options/properties/animeListOptions/properties/advancedScoring'}, 'advancedScoringEnabled': {'$ref': '#/properties/options/properties/animeListOptions/properties/advancedScoringEnabled'}, 'customLists': {'$ref': '#/properties/options/properties/animeListOptions/properties/customLists'}, 'sectionOrder': {'$ref': '#/properties/options/properties/animeListOptions/properties/sectionOrder'}, 'splitCompletedSectionByFormat': {'$ref': '#/properties/options/properties/animeListOptions/properties/splitCompletedSectionByFormat'}, 'theme': {'$ref': '#/properties/options/properties/animeListOptions/properties/theme'}}, 'required': ['sectionOrder', 'splitCompletedSectionByFormat', 'customLists', 'advancedScoring', 'advancedScoringEnabled', 'theme'], 'type': 'object'}, 'notificationOptions': {'description': "The user's notification options", 'items': {'additionalProperties': False, 'properties': {'enabled': {'type': 'boolean'}, 'type': {'enum': ['ACTIVITY_MESSAGE', 'ACTIVITY_REPLY', 'FOLLOWING', 'ACTIVITY_MENTION', 'THREAD_COMMENT_MENTION', 'THREAD_SUBSCRIBED', 'THREAD_COMMENT_REPLY', 'AIRING', 'ACTIVITY_LIKE', 'ACTIVITY_REPLY_LIKE', 'THREAD_LIKE', 'THREAD_COMMENT_LIKE', 'ACTIVITY_REPLY_SUBSCRIBED', 'RELATED_MEDIA_ADDITION', 'MEDIA_DATA_CHANGE', 'MEDIA_MERGE', 'MEDIA_DELETION'], 'type': 'string'}}, 'required': ['type', 'enabled'], 'type': 'object'}, 'type': 'array'}, 'profileColor': {'description': "The user's profile highlight color", 'type': 'string'}, 'rowOrder': {'description': "The user's default list order", 'type': 'string'}, 'scoreFormat': {'description': "The user's score format", 'enum': ['POINT_100', 'POINT_10_DECIMAL', 'POINT_10', 'POINT_5', 'POINT_3'], 'type': 'string'}, 'staffNameLanguage': {'description': "The user's preferred way to see staff and characters", 'enum': ['ROMAJI', 'NATIVE', 'ROMAJI_WESTERN'], 'type': 'string'}, 'timezone': {'description': "The user's timezone offset format", 'type': 'string'}, 'titleLanguage': {'description': "The user's preferred title language", 'enum': ['ROMAJI', 'ENGLISH', 'NATIVE', 'ROMAJI_STYLISED', 'ENGLISH_STYLISED', 'NATIVE_STYLISED'], 'type': 'string'}}, 'required': ['about', 'titleLanguage', 'displayAdultContent', 'airingNotifications', 'profileColor', 'activityMergeTime', 'staffNameLanguage', 'notificationOptions', 'timezone', 'scoreFormat', 'rowOrder', 'animeListOptions', 'mangaListOptions'], 'type': 'object'}}, 'required': ['options'], 'type': 'object'}, description="""[Requires Login] Update user settings"""), # yuna0x0/anilist-mcp/update_user
    Tool(name="""agentek-eth_resolveENS""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'name': {'description': 'The ENS name to resolve', 'type': 'string'}}, 'required': ['name'], 'type': 'object'}, description="""Resolves an ENS name to an Ethereum address"""), # NaniDAO/agentek-eth/resolveENS
    Tool(name="""agentek-eth_lookupENS""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'address': {'description': 'The Ethereum address to lookup', 'pattern': '^0x[a-fA-F0-9]{40}$', 'type': 'string'}}, 'required': ['address'], 'type': 'object'}, description="""Looks up the ENS name for an Ethereum address"""), # NaniDAO/agentek-eth/lookupENS
    Tool(name="""agentek-eth_getAllowance""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'chainId': {'description': 'If not specified, returns approval for all supported chains.', 'type': 'number'}, 'owner': {'description': "The token owner's address", 'type': 'string'}, 'spender': {'description': "The spender's address", 'type': 'string'}, 'token': {'description': 'The token address', 'type': 'string'}}, 'required': ['token', 'owner', 'spender'], 'type': 'object'}, description="""Gets the ERC20 token allowance between an owner and spender"""), # NaniDAO/agentek-eth/getAllowance
    Tool(name="""agentek-eth_getBalanceOf""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'chainId': {'description': 'If not specified, returns balance for all supported chains.', 'type': 'number'}, 'owner': {'description': "The token owner's address", 'type': 'string'}, 'token': {'description': 'The token address', 'type': 'string'}}, 'required': ['token', 'owner'], 'type': 'object'}, description="""Gets the ERC20 token balance of an address"""), # NaniDAO/agentek-eth/getBalanceOf
    Tool(name="""agentek-eth_getTotalSupply""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'chainId': {'description': 'If not specified, returns total supply for all supported chains.', 'type': 'number'}, 'token': {'description': 'The token address', 'type': 'string'}}, 'required': ['token'], 'type': 'object'}, description="""Gets the total supply of an ERC20 token"""), # NaniDAO/agentek-eth/getTotalSupply
    Tool(name="""agentek-eth_getDecimals""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'chainId': {'description': 'If not specified, returns decimals for all supported chains.', 'type': 'number'}, 'token': {'description': 'The token address', 'type': 'string'}}, 'required': ['token'], 'type': 'object'}, description="""Gets the number of decimals of an ERC20 token"""), # NaniDAO/agentek-eth/getDecimals
    Tool(name="""agentek-eth_getName""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'chainId': {'description': 'If not specified, returns name for all supported chains.', 'type': 'number'}, 'token': {'description': 'The token address', 'type': 'string'}}, 'required': ['token'], 'type': 'object'}, description="""Gets the name of an ERC20 token"""), # NaniDAO/agentek-eth/getName
    Tool(name="""agentek-eth_getSymbol""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'chainId': {'description': 'If not specified, returns symbol for all supported chains.', 'type': 'number'}, 'token': {'description': 'The token address', 'type': 'string'}}, 'required': ['token'], 'type': 'object'}, description="""Gets the symbol of an ERC20 token"""), # NaniDAO/agentek-eth/getSymbol
    Tool(name="""agentek-eth_getTokenMetadata""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'chainId': {'description': 'The token chain', 'type': 'number'}, 'token': {'description': 'The token address', 'type': 'string'}}, 'required': ['token', 'chainId'], 'type': 'object'}, description="""Gets all metadata (name, symbol, decimals, totalSupply) of an ERC20 token"""), # NaniDAO/agentek-eth/getTokenMetadata
    Tool(name="""agentek-eth_intentApprove""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'amount': {'description': 'The amount to approve', 'type': 'string'}, 'chainId': {'description': 'Optional specific chain to use', 'type': 'number'}, 'spender': {'description': 'The spender address to approve', 'type': 'string'}, 'token': {'description': 'The token address', 'type': 'string'}}, 'required': ['token', 'amount', 'spender'], 'type': 'object'}, description="""Creates an intent to approve token spending"""), # NaniDAO/agentek-eth/intentApprove
    Tool(name="""agentek-eth_getAcrossFeeQuote""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'amount': {'description': 'Amount of tokens to bridge (in ether)', 'type': 'string'}, 'destinationChainId': {'description': 'Chain ID of the destination chain.', 'type': 'number'}, 'inputToken': {'description': 'The token contract address on the origin chain (e.g., WETH address).', 'type': 'string'}, 'originChainId': {'description': 'Chain ID where the input token exists.', 'type': 'number'}, 'outputToken': {'description': 'The token contract address on the destination chain (e.g., corresponding WETH address).', 'type': 'string'}, 'recipient': {'description': 'Recipient address on the destination chain.', 'type': 'string'}}, 'required': ['inputToken', 'outputToken', 'originChainId', 'destinationChainId', 'amount', 'recipient'], 'type': 'object'}, description="""Fetches a suggested fee quote for a cross-chain asset bridge using the Across Protocol REST API."""), # NaniDAO/agentek-eth/getAcrossFeeQuote
    Tool(name="""agentek-eth_intentDepositAcross""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'amount': {'description': 'Amount of tokens to bridge (in ether)', 'type': 'string'}, 'destinationChainId': {'description': 'Chain ID of the destination chain for the transfer.', 'type': 'number'}, 'destinationToken': {'description': 'Address of the token to bridge on the destination chain.', 'type': 'string'}, 'originChainId': {'description': 'Chain ID of the origin chain for the deposit.', 'type': 'number'}, 'originToken': {'description': 'Address of the token to bridge on the origin chain.', 'type': 'string'}, 'recipient': {'description': 'Recipient address on the destination chain.', 'type': 'string'}}, 'required': ['originChainId', 'originToken', 'amount', 'destinationToken', 'destinationChainId', 'recipient'], 'type': 'object'}, description="""Deposits tokens into the Across Protocol bridge to initiate a cross-chain transfer."""), # NaniDAO/agentek-eth/intentDepositAcross
    Tool(name="""agentek-eth_intentTransfer""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'amount': {'description': 'The amount to transfer', 'type': 'string'}, 'chainId': {'description': 'Optional specify chainId to use', 'type': 'number'}, 'to': {'description': 'The recipient address or ENS name', 'type': 'string'}, 'token': {'description': 'The token address', 'type': 'string'}}, 'required': ['token', 'amount', 'to'], 'type': 'object'}, description="""Creates an intent to transfer tokens"""), # NaniDAO/agentek-eth/intentTransfer
    Tool(name="""agentek-eth_intentTransferFrom""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'amount': {'description': 'The amount to transfer', 'type': 'string'}, 'chainId': {'description': 'Optional specific chain to use', 'type': 'number'}, 'from': {'description': 'The address to transfer from', 'type': 'string'}, 'to': {'description': 'The recipient address or ENS', 'type': 'string'}, 'token': {'description': 'The token address', 'type': 'string'}}, 'required': ['token', 'amount', 'from', 'to'], 'type': 'object'}, description="""Creates an intent to transfer tokens from another address"""), # NaniDAO/agentek-eth/intentTransferFrom
    Tool(name="""agentek-eth_getLatestTokens""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'chainId': {'description': 'Chain Id', 'type': 'number'}}, 'required': ['chainId'], 'type': 'object'}, description="""Get trending tokens and market data"""), # NaniDAO/agentek-eth/getLatestTokens
    Tool(name="""agentek-eth_getBalance""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'address': {'type': 'string'}, 'chainId': {'type': 'number'}, 'formatEth': {'type': 'boolean'}}, 'required': ['address'], 'type': 'object'}, description="""Get the ETH balance for an address"""), # NaniDAO/agentek-eth/getBalance
    Tool(name="""agentek-eth_getCode""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'address': {'type': 'string'}, 'chainId': {'type': 'number'}}, 'required': ['address'], 'type': 'object'}, description="""Get the bytecode of an address"""), # NaniDAO/agentek-eth/getCode
    Tool(name="""agentek-eth_getTransactionCount""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'address': {'type': 'string'}, 'chainId': {'type': 'number'}}, 'required': ['address'], 'type': 'object'}, description="""Get the number of transactions sent from an address"""), # NaniDAO/agentek-eth/getTransactionCount
    Tool(name="""agentek-eth_getBlock""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'blockHash': {'type': 'string'}, 'blockNumber': {'type': 'number'}, 'chainId': {'type': 'number'}}, 'required': ['chainId'], 'type': 'object'}, description="""Get information about a block"""), # NaniDAO/agentek-eth/getBlock
    Tool(name="""agentek-eth_getBlockNumber""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'chainId': {'type': 'number'}}, 'type': 'object'}, description="""Get the current block number"""), # NaniDAO/agentek-eth/getBlockNumber
    Tool(name="""agentek-eth_getGasPrice""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'chainId': {'type': 'number'}, 'formatGwei': {'type': 'boolean'}}, 'type': 'object'}, description="""Get the current gas price. If chainId is not specified, will return gas price for all supported chains."""), # NaniDAO/agentek-eth/getGasPrice
    Tool(name="""agentek-eth_estimateGas""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'chainId': {'type': 'number'}, 'data': {'type': 'string'}, 'to': {'type': 'string'}, 'value': {'type': 'string'}}, 'required': ['to'], 'type': 'object'}, description="""Estimate gas for a transaction"""), # NaniDAO/agentek-eth/estimateGas
    Tool(name="""agentek-eth_getFeeHistory""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'blockCount': {'description': 'Number of blocks in the requested range. Between 1 and 1024 blocks can be requested in a single query. Less than requested may be returned if not all blocks are available.', 'type': 'number'}, 'chainId': {'type': 'number'}, 'rewardPercentiles': {'description': "A monotonically increasing list of percentile values to sample from each block's effective priority fees per gas in ascending order, weighted by gas used.", 'items': {'type': 'number'}, 'type': 'array'}}, 'required': ['blockCount', 'chainId'], 'type': 'object'}, description="""Get historical gas fee info"""), # NaniDAO/agentek-eth/getFeeHistory
    Tool(name="""agentek-eth_getTransaction""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'chainId': {'type': 'number'}, 'hash': {'type': 'string'}}, 'required': ['hash', 'chainId'], 'type': 'object'}, description="""Get details about a transaction"""), # NaniDAO/agentek-eth/getTransaction
    Tool(name="""agentek-eth_getTransactionReceipt""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'chainId': {'type': 'number'}, 'hash': {'type': 'string'}}, 'required': ['hash', 'chainId'], 'type': 'object'}, description="""Get the receipt of a transaction"""), # NaniDAO/agentek-eth/getTransactionReceipt
    Tool(name="""agentek-eth_getUniV3Pool""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'chainId': {'type': 'number'}, 'poolAddress': {'type': 'string'}}, 'required': ['poolAddress', 'chainId'], 'type': 'object'}, description="""Gets information about a Uniswap V3 pool"""), # NaniDAO/agentek-eth/getUniV3Pool
    Tool(name="""agentek-eth_getUserPositions""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'chainId': {'type': 'number'}, 'user': {'type': 'string'}}, 'required': ['chainId'], 'type': 'object'}, description="""Gets all Uniswap V3 positions for a user"""), # NaniDAO/agentek-eth/getUserPositions
    Tool(name="""agentek-eth_getPoolFeeData""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'chainId': {'type': 'number'}, 'poolAddress': {'type': 'string'}}, 'required': ['poolAddress', 'chainId'], 'type': 'object'}, description="""Gets fee-related data for a pool"""), # NaniDAO/agentek-eth/getPoolFeeData
    Tool(name="""agentek-eth_getPositionDetails""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'chainId': {'type': 'number'}, 'tokenId': {'type': 'string'}}, 'required': ['tokenId', 'chainId'], 'type': 'object'}, description="""Gets detailed information about a specific LP position"""), # NaniDAO/agentek-eth/getPositionDetails
    Tool(name="""agentek-eth_intentMintPosition""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'amount0Desired': {'type': 'string'}, 'amount1Desired': {'type': 'string'}, 'chainId': {'type': 'number'}, 'deadline': {'type': 'number'}, 'fee': {'type': 'number'}, 'recipient': {'type': 'string'}, 'slippageTolerance': {'default': 0.5, 'type': 'number'}, 'tickLower': {'type': 'number'}, 'tickUpper': {'type': 'number'}, 'token0': {'type': 'string'}, 'token1': {'type': 'string'}}, 'required': ['token0', 'token1', 'fee', 'tickLower', 'tickUpper', 'amount0Desired', 'amount1Desired', 'chainId'], 'type': 'object'}, description="""Creates a new Uniswap V3 liquidity position"""), # NaniDAO/agentek-eth/intentMintPosition
    Tool(name="""agentek-eth_intentIncreaseLiquidity""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'amount0Desired': {'type': 'string'}, 'amount1Desired': {'type': 'string'}, 'chainId': {'type': 'number'}, 'deadline': {'type': 'number'}, 'slippageTolerance': {'default': 0.5, 'type': 'number'}, 'tokenId': {'type': 'string'}}, 'required': ['tokenId', 'amount0Desired', 'amount1Desired', 'chainId'], 'type': 'object'}, description="""Adds more liquidity to an existing Uniswap V3 position"""), # NaniDAO/agentek-eth/intentIncreaseLiquidity
    Tool(name="""agentek-eth_intentDecreaseLiquidity""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'chainId': {'type': 'number'}, 'deadline': {'type': 'number'}, 'liquidity': {'type': 'string'}, 'slippageTolerance': {'default': 0.5, 'type': 'number'}, 'tokenId': {'type': 'string'}}, 'required': ['tokenId', 'liquidity', 'chainId'], 'type': 'object'}, description="""Removes liquidity from a Uniswap V3 position"""), # NaniDAO/agentek-eth/intentDecreaseLiquidity
    Tool(name="""agentek-eth_intentCollectFees""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'chainId': {'type': 'number'}, 'recipient': {'type': 'string'}, 'tokenId': {'type': 'string'}}, 'required': ['tokenId', 'chainId'], 'type': 'object'}, description="""Collects accumulated fees from a Uniswap V3 position"""), # NaniDAO/agentek-eth/intentCollectFees
    Tool(name="""agentek-eth_intentTransferPosition""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'chainId': {'type': 'number'}, 'to': {'type': 'string'}, 'tokenId': {'type': 'string'}}, 'required': ['tokenId', 'to', 'chainId'], 'type': 'object'}, description="""Transfers ownership of a Uniswap V3 LP NFT"""), # NaniDAO/agentek-eth/intentTransferPosition
    Tool(name="""agentek-eth_depositWETH""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'amount': {'description': 'Amount of ETH to deposit (in ether)', 'type': 'number'}, 'chainId': {'description': 'Chain ID to deposit on', 'type': 'number'}}, 'required': ['chainId', 'amount'], 'type': 'object'}, description="""Deposit ETH into the WETH contract, receiving WETH in return"""), # NaniDAO/agentek-eth/depositWETH
    Tool(name="""agentek-eth_withdrawWETH""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'amount': {'description': 'Amount of WETH to withdraw (in ether)', 'type': 'number'}, 'chainId': {'description': 'Chain ID to withdraw on', 'type': 'number'}}, 'required': ['chainId', 'amount'], 'type': 'object'}, description="""Withdraw WETH back to native ETH"""), # NaniDAO/agentek-eth/withdrawWETH
    Tool(name="""agentek-eth_getNaniProposals""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'account': {'type': 'string'}, 'chainId': {'type': 'number'}, 'dao': {'type': 'string'}}, 'required': ['account', 'chainId', 'dao'], 'type': 'object'}, description="""Get proposals for NANIDAO"""), # NaniDAO/agentek-eth/getNaniProposals
    Tool(name="""agentek-eth_intentStakeNani""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'amount': {'description': 'The amount of NANI tokens to stake', 'type': 'string'}, 'chainId': {'description': 'The chain to stake on', 'type': 'number'}}, 'required': ['amount', 'chainId'], 'type': 'object'}, description="""Stake NANI tokens to receive xNANI tokens, which can be used for governance"""), # NaniDAO/agentek-eth/intentStakeNani
    Tool(name="""agentek-eth_intentUnstakeNani""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'amount': {'description': 'The amount of xNANI tokens to unstake', 'type': 'string'}, 'chainId': {'description': 'The chain to unstake on', 'type': 'number'}}, 'required': ['amount', 'chainId'], 'type': 'object'}, description="""Unstake xNANI tokens back to NANI tokens"""), # NaniDAO/agentek-eth/intentUnstakeNani
    Tool(name="""agentek-eth_intentProposeNani""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'chainId': {'description': 'The chain ID to propose on', 'type': 'number'}, 'content': {'description': 'The proposal content/description', 'type': 'string'}}, 'required': ['content', 'chainId'], 'type': 'object'}, description="""Create a new governance proposal for NANIDAO"""), # NaniDAO/agentek-eth/intentProposeNani
    Tool(name="""agentek-eth_intentVoteNaniProposal""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'approve': {'description': 'True to vote yes, false to vote no', 'type': 'boolean'}, 'chainId': {'description': 'The chain ID to vote on', 'type': 'number'}, 'proposalId': {'description': 'The ID of the proposal to vote on', 'type': 'number'}}, 'required': ['proposalId', 'approve', 'chainId'], 'type': 'object'}, description="""Vote on an existing NANIDAO governance proposal"""), # NaniDAO/agentek-eth/intentVoteNaniProposal
    Tool(name="""agentek-eth_getNativeCoinHolders""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'chain': {'anyOf': [{'enum': ['1', '137', '42161', '10', '8453'], 'type': 'string'}, {'allOf': [{'type': 'number'}, {'enum': ['1', '137', '42161', '10', '8453'], 'type': 'string'}]}], 'description': 'Chain ID for the blockchain network. Supports: 1, 137, 42161, 10, and 8453'}}, 'required': ['chain'], 'type': 'object'}, description="""Get native coin holders list"""), # NaniDAO/agentek-eth/getNativeCoinHolders
    Tool(name="""agentek-eth_getAddressInfo""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'address': {'pattern': '^0x[a-fA-F0-9]{40}$', 'type': 'string'}, 'chain': {'anyOf': [{'enum': ['1', '137', '42161', '10', '8453'], 'type': 'string'}, {'allOf': [{'type': 'number'}, {'enum': ['1', '137', '42161', '10', '8453'], 'type': 'string'}]}], 'description': 'Chain ID for the blockchain network. Supports: 1, 137, 42161, 10, and 8453'}}, 'required': ['chain', 'address'], 'type': 'object'}, description="""Get information about a specific address"""), # NaniDAO/agentek-eth/getAddressInfo
    Tool(name="""agentek-eth_getAddressCounters""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'address': {'type': 'string'}, 'chain': {'anyOf': [{'enum': ['1', '137', '42161', '10', '8453'], 'type': 'string'}, {'allOf': [{'type': 'number'}, {'enum': ['1', '137', '42161', '10', '8453'], 'type': 'string'}]}], 'description': 'Chain ID for the blockchain network. Supports: 1, 137, 42161, 10, and 8453'}}, 'required': ['chain', 'address'], 'type': 'object'}, description="""Get counters for a specific address"""), # NaniDAO/agentek-eth/getAddressCounters
    Tool(name="""agentek-eth_getAddressTransactions""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'address': {'type': 'string'}, 'chain': {'anyOf': [{'enum': ['1', '137', '42161', '10', '8453'], 'type': 'string'}, {'allOf': [{'type': 'number'}, {'enum': ['1', '137', '42161', '10', '8453'], 'type': 'string'}]}], 'description': 'Chain ID for the blockchain network. Supports: 1, 137, 42161, 10, and 8453'}}, 'required': ['chain', 'address'], 'type': 'object'}, description="""Get transactions for a specific address"""), # NaniDAO/agentek-eth/getAddressTransactions
    Tool(name="""agentek-eth_getAddressTokenTransfers""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'address': {'type': 'string'}, 'chain': {'anyOf': [{'enum': ['1', '137', '42161', '10', '8453'], 'type': 'string'}, {'allOf': [{'type': 'number'}, {'enum': ['1', '137', '42161', '10', '8453'], 'type': 'string'}]}], 'description': 'Chain ID for the blockchain network. Supports: 1, 137, 42161, 10, and 8453'}}, 'required': ['chain', 'address'], 'type': 'object'}, description="""Get token transfers for a specific address"""), # NaniDAO/agentek-eth/getAddressTokenTransfers
    Tool(name="""agentek-eth_getAddressInternalTransactions""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'address': {'type': 'string'}, 'chain': {'anyOf': [{'enum': ['1', '137', '42161', '10', '8453'], 'type': 'string'}, {'allOf': [{'type': 'number'}, {'enum': ['1', '137', '42161', '10', '8453'], 'type': 'string'}]}], 'description': 'Chain ID for the blockchain network. Supports: 1, 137, 42161, 10, and 8453'}}, 'required': ['chain', 'address'], 'type': 'object'}, description="""Get internal transactions for a specific address"""), # NaniDAO/agentek-eth/getAddressInternalTransactions
    Tool(name="""agentek-eth_getAddressLogs""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'address': {'type': 'string'}, 'chain': {'anyOf': [{'enum': ['1', '137', '42161', '10', '8453'], 'type': 'string'}, {'allOf': [{'type': 'number'}, {'enum': ['1', '137', '42161', '10', '8453'], 'type': 'string'}]}], 'description': 'Chain ID for the blockchain network. Supports: 1, 137, 42161, 10, and 8453'}}, 'required': ['chain', 'address'], 'type': 'object'}, description="""Get logs for a specific address"""), # NaniDAO/agentek-eth/getAddressLogs
    Tool(name="""agentek-eth_getAddressBlocksValidated""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'address': {'type': 'string'}, 'chain': {'anyOf': [{'enum': ['1', '137', '42161', '10', '8453'], 'type': 'string'}, {'allOf': [{'type': 'number'}, {'enum': ['1', '137', '42161', '10', '8453'], 'type': 'string'}]}], 'description': 'Chain ID for the blockchain network. Supports: 1, 137, 42161, 10, and 8453'}}, 'required': ['chain', 'address'], 'type': 'object'}, description="""Get blocks validated by a specific address"""), # NaniDAO/agentek-eth/getAddressBlocksValidated
    Tool(name="""agentek-eth_getAddressTokenBalances""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'address': {'type': 'string'}, 'chain': {'anyOf': [{'enum': ['1', '137', '42161', '10', '8453'], 'type': 'string'}, {'allOf': [{'type': 'number'}, {'enum': ['1', '137', '42161', '10', '8453'], 'type': 'string'}]}], 'description': 'Chain ID for the blockchain network. Supports: 1, 137, 42161, 10, and 8453'}}, 'required': ['chain', 'address'], 'type': 'object'}, description="""Get all token balances for a specific address"""), # NaniDAO/agentek-eth/getAddressTokenBalances
    Tool(name="""agentek-eth_getAddressTokens""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'address': {'type': 'string'}, 'chain': {'anyOf': [{'enum': ['1', '137', '42161', '10', '8453'], 'type': 'string'}, {'allOf': [{'type': 'number'}, {'enum': ['1', '137', '42161', '10', '8453'], 'type': 'string'}]}], 'description': 'Chain ID for the blockchain network. Supports: 1, 137, 42161, 10, and 8453'}}, 'required': ['chain', 'address'], 'type': 'object'}, description="""Get token balances with filtering and pagination"""), # NaniDAO/agentek-eth/getAddressTokens
    Tool(name="""agentek-eth_getAddressCoinBalanceHistory""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'address': {'type': 'string'}, 'chain': {'anyOf': [{'enum': ['1', '137', '42161', '10', '8453'], 'type': 'string'}, {'allOf': [{'type': 'number'}, {'enum': ['1', '137', '42161', '10', '8453'], 'type': 'string'}]}], 'description': 'Chain ID for the blockchain network. Supports: 1, 137, 42161, 10, and 8453'}}, 'required': ['chain', 'address'], 'type': 'object'}, description="""Get address coin balance history"""), # NaniDAO/agentek-eth/getAddressCoinBalanceHistory
    Tool(name="""agentek-eth_getAddressCoinBalanceHistoryByDay""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'address': {'type': 'string'}, 'chain': {'anyOf': [{'enum': ['1', '137', '42161', '10', '8453'], 'type': 'string'}, {'allOf': [{'type': 'number'}, {'enum': ['1', '137', '42161', '10', '8453'], 'type': 'string'}]}], 'description': 'Chain ID for the blockchain network. Supports: 1, 137, 42161, 10, and 8453'}}, 'required': ['chain', 'address'], 'type': 'object'}, description="""Get address coin balance history by day"""), # NaniDAO/agentek-eth/getAddressCoinBalanceHistoryByDay
    Tool(name="""agentek-eth_getAddressWithdrawals""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'address': {'type': 'string'}, 'chain': {'anyOf': [{'enum': ['1', '137', '42161', '10', '8453'], 'type': 'string'}, {'allOf': [{'type': 'number'}, {'enum': ['1', '137', '42161', '10', '8453'], 'type': 'string'}]}], 'description': 'Chain ID for the blockchain network. Supports: 1, 137, 42161, 10, and 8453'}}, 'required': ['chain', 'address'], 'type': 'object'}, description="""Get withdrawals for a specific address"""), # NaniDAO/agentek-eth/getAddressWithdrawals
    Tool(name="""agentek-eth_getAddressNFTs""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'address': {'type': 'string'}, 'chain': {'anyOf': [{'enum': ['1', '137', '42161', '10', '8453'], 'type': 'string'}, {'allOf': [{'type': 'number'}, {'enum': ['1', '137', '42161', '10', '8453'], 'type': 'string'}]}], 'description': 'Chain ID for the blockchain network. Supports: 1, 137, 42161, 10, and 8453'}}, 'required': ['chain', 'address'], 'type': 'object'}, description="""Get list of NFTs owned by address"""), # NaniDAO/agentek-eth/getAddressNFTs
    Tool(name="""agentek-eth_getAddressNFTCollections""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'address': {'type': 'string'}, 'chain': {'anyOf': [{'enum': ['1', '137', '42161', '10', '8453'], 'type': 'string'}, {'allOf': [{'type': 'number'}, {'enum': ['1', '137', '42161', '10', '8453'], 'type': 'string'}]}], 'description': 'Chain ID for the blockchain network. Supports: 1, 137, 42161, 10, and 8453'}}, 'required': ['chain', 'address'], 'type': 'object'}, description="""Get list of NFTs owned by address, grouped by collection"""), # NaniDAO/agentek-eth/getAddressNFTCollections
    Tool(name="""agentek-eth_getBlockInfo""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'blockNumberOrHash': {'type': ['string', 'number']}, 'chain': {'anyOf': [{'enum': ['1', '137', '42161', '10', '8453'], 'type': 'string'}, {'allOf': [{'type': 'number'}, {'enum': ['1', '137', '42161', '10', '8453'], 'type': 'string'}]}], 'description': 'Chain ID for the blockchain network. Supports: 1, 137, 42161, 10, and 8453'}}, 'required': ['chain', 'blockNumberOrHash'], 'type': 'object'}, description="""Get information about a specific block"""), # NaniDAO/agentek-eth/getBlockInfo
    Tool(name="""agentek-eth_getBlockTransactions""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'blockNumberOrHash': {'type': ['string', 'number']}, 'chain': {'anyOf': [{'enum': ['1', '137', '42161', '10', '8453'], 'type': 'string'}, {'allOf': [{'type': 'number'}, {'enum': ['1', '137', '42161', '10', '8453'], 'type': 'string'}]}], 'description': 'Chain ID for the blockchain network. Supports: 1, 137, 42161, 10, and 8453'}}, 'required': ['chain', 'blockNumberOrHash'], 'type': 'object'}, description="""Get transactions within a specific block"""), # NaniDAO/agentek-eth/getBlockTransactions
    Tool(name="""agentek-eth_getBlockWithdrawals""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'blockNumberOrHash': {'type': ['string', 'number']}, 'chain': {'anyOf': [{'enum': ['1', '137', '42161', '10', '8453'], 'type': 'string'}, {'allOf': [{'type': 'number'}, {'enum': ['1', '137', '42161', '10', '8453'], 'type': 'string'}]}], 'description': 'Chain ID for the blockchain network. Supports: 1, 137, 42161, 10, and 8453'}}, 'required': ['chain', 'blockNumberOrHash'], 'type': 'object'}, description="""Get withdrawals within a specific block"""), # NaniDAO/agentek-eth/getBlockWithdrawals
    Tool(name="""agentek-eth_getStats""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'chain': {'anyOf': [{'enum': ['1', '137', '42161', '10', '8453'], 'type': 'string'}, {'allOf': [{'type': 'number'}, {'enum': ['1', '137', '42161', '10', '8453'], 'type': 'string'}]}], 'description': 'Chain ID for the blockchain network. Supports: 1, 137, 42161, 10, and 8453'}}, 'required': ['chain'], 'type': 'object'}, description="""Get statistics for various blockchain metrics."""), # NaniDAO/agentek-eth/getStats
    Tool(name="""agentek-eth_getTransactionsChart""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'chain': {'anyOf': [{'enum': ['1', '137', '42161', '10', '8453'], 'type': 'string'}, {'allOf': [{'type': 'number'}, {'enum': ['1', '137', '42161', '10', '8453'], 'type': 'string'}]}], 'description': 'Chain ID for the blockchain network. Supports: 1, 137, 42161, 10, and 8453'}}, 'required': ['chain'], 'type': 'object'}, description="""Retrieve daily transaction statistics chart data."""), # NaniDAO/agentek-eth/getTransactionsChart
    Tool(name="""agentek-eth_getTransactionInfo""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'chain': {'anyOf': [{'enum': ['1', '137', '42161', '10', '8453'], 'type': 'string'}, {'allOf': [{'type': 'number'}, {'enum': ['1', '137', '42161', '10', '8453'], 'type': 'string'}]}], 'description': 'Chain ID for the blockchain network. Supports: 1, 137, 42161, 10, and 8453'}, 'txhash': {'type': 'string'}}, 'required': ['chain', 'txhash'], 'type': 'object'}, description="""Retrieve detailed information for a given transaction hash."""), # NaniDAO/agentek-eth/getTransactionInfo
    Tool(name="""agentek-eth_getTransactionTokenTransfers""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'chain': {'anyOf': [{'enum': ['1', '137', '42161', '10', '8453'], 'type': 'string'}, {'allOf': [{'type': 'number'}, {'enum': ['1', '137', '42161', '10', '8453'], 'type': 'string'}]}], 'description': 'Chain ID for the blockchain network. Supports: 1, 137, 42161, 10, and 8453'}, 'txhash': {'type': 'string'}}, 'required': ['chain', 'txhash'], 'type': 'object'}, description="""Retrieve all token transfers that occurred within a given transaction."""), # NaniDAO/agentek-eth/getTransactionTokenTransfers
    Tool(name="""agentek-eth_getTransactionInternalTransactions""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'chain': {'anyOf': [{'enum': ['1', '137', '42161', '10', '8453'], 'type': 'string'}, {'allOf': [{'type': 'number'}, {'enum': ['1', '137', '42161', '10', '8453'], 'type': 'string'}]}], 'description': 'Chain ID for the blockchain network. Supports: 1, 137, 42161, 10, and 8453'}, 'txhash': {'type': 'string'}}, 'required': ['chain', 'txhash'], 'type': 'object'}, description="""Retrieve internal transactions that occurred within a given transaction."""), # NaniDAO/agentek-eth/getTransactionInternalTransactions
    Tool(name="""agentek-eth_tallyUserDaos""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'address': {'description': 'The Ethereum address to check DAO membership for', 'type': 'string'}}, 'required': ['address'], 'type': 'object'}, description="""Fetch all DAOs a user is a member of from the Tally governance API."""), # NaniDAO/agentek-eth/tallyUserDaos
    Tool(name="""agentek-eth_getTransactionLogs""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'chain': {'anyOf': [{'enum': ['1', '137', '42161', '10', '8453'], 'type': 'string'}, {'allOf': [{'type': 'number'}, {'enum': ['1', '137', '42161', '10', '8453'], 'type': 'string'}]}], 'description': 'Chain ID for the blockchain network. Supports: 1, 137, 42161, 10, and 8453'}, 'txhash': {'type': 'string'}}, 'required': ['chain', 'txhash'], 'type': 'object'}, description="""Retrieve logs that were generated from a specific transaction."""), # NaniDAO/agentek-eth/getTransactionLogs
    Tool(name="""agentek-eth_getTransactionRawTrace""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'chain': {'anyOf': [{'enum': ['1', '137', '42161', '10', '8453'], 'type': 'string'}, {'allOf': [{'type': 'number'}, {'enum': ['1', '137', '42161', '10', '8453'], 'type': 'string'}]}], 'description': 'Chain ID for the blockchain network. Supports: 1, 137, 42161, 10, and 8453'}, 'txhash': {'type': 'string'}}, 'required': ['chain', 'txhash'], 'type': 'object'}, description="""Retrieve raw trace information for a specific transaction."""), # NaniDAO/agentek-eth/getTransactionRawTrace
    Tool(name="""agentek-eth_getTransactionStateChanges""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'chain': {'anyOf': [{'enum': ['1', '137', '42161', '10', '8453'], 'type': 'string'}, {'allOf': [{'type': 'number'}, {'enum': ['1', '137', '42161', '10', '8453'], 'type': 'string'}]}], 'description': 'Chain ID for the blockchain network. Supports: 1, 137, 42161, 10, and 8453'}, 'txhash': {'type': 'string'}}, 'required': ['chain', 'txhash'], 'type': 'object'}, description="""Retrieve state changes that occurred during a transaction."""), # NaniDAO/agentek-eth/getTransactionStateChanges
    Tool(name="""agentek-eth_getTransactionSummary""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'chain': {'anyOf': [{'enum': ['1', '137', '42161', '10', '8453'], 'type': 'string'}, {'allOf': [{'type': 'number'}, {'enum': ['1', '137', '42161', '10', '8453'], 'type': 'string'}]}], 'description': 'Chain ID for the blockchain network. Supports: 1, 137, 42161, 10, and 8453'}, 'txhash': {'type': 'string'}}, 'required': ['chain', 'txhash'], 'type': 'object'}, description="""Retrieve a summary of data related to a transaction."""), # NaniDAO/agentek-eth/getTransactionSummary
    Tool(name="""agentek-eth_getSmartContracts""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'chain': {'anyOf': [{'enum': ['1', '137', '42161', '10', '8453'], 'type': 'string'}, {'allOf': [{'type': 'number'}, {'enum': ['1', '137', '42161', '10', '8453'], 'type': 'string'}]}], 'description': 'Chain ID for the blockchain network. Supports: 1, 137, 42161, 10, and 8453'}, 'language': {'description': 'Optional language to query explorer for', 'enum': ['solidity', 'yul', 'viper'], 'type': 'string'}, 'q': {'description': 'Query to get smart contracts for', 'type': 'string'}}, 'required': ['chain', 'q'], 'type': 'object'}, description="""Get smart contract for the query"""), # NaniDAO/agentek-eth/getSmartContracts
    Tool(name="""agentek-eth_getSmartContract""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'address': {'pattern': '^0x[a-fA-F0-9]{40}$', 'type': 'string'}, 'chain': {'anyOf': [{'enum': ['1', '137', '42161', '10', '8453'], 'type': 'string'}, {'allOf': [{'type': 'number'}, {'enum': ['1', '137', '42161', '10', '8453'], 'type': 'string'}]}], 'description': 'Chain ID for the blockchain network. Supports: 1, 137, 42161, 10, and 8453'}}, 'required': ['chain', 'address'], 'type': 'object'}, description="""Retrieve the source code, ABI and metadata a contract."""), # NaniDAO/agentek-eth/getSmartContract
    Tool(name="""agentek-eth_getTokenInfo""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'chain': {'anyOf': [{'enum': ['1', '137', '42161', '10', '8453'], 'type': 'string'}, {'allOf': [{'type': 'number'}, {'enum': ['1', '137', '42161', '10', '8453'], 'type': 'string'}]}], 'description': 'Chain ID for the blockchain network. Supports: 1, 137, 42161, 10, and 8453'}, 'tokenContract': {'pattern': '^0x[a-fA-F0-9]{40}$', 'type': 'string'}}, 'required': ['chain', 'tokenContract'], 'type': 'object'}, description="""Fetch metadata for a token contract."""), # NaniDAO/agentek-eth/getTokenInfo
    Tool(name="""agentek-eth_getTokenHolders""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'chain': {'anyOf': [{'enum': ['1', '137', '42161', '10', '8453'], 'type': 'string'}, {'allOf': [{'type': 'number'}, {'enum': ['1', '137', '42161', '10', '8453'], 'type': 'string'}]}], 'description': 'Chain ID for the blockchain network. Supports: 1, 137, 42161, 10, and 8453'}, 'offset': {'type': 'number'}, 'page': {'type': 'number'}, 'tokenContract': {'type': 'string'}}, 'required': ['chain', 'tokenContract'], 'type': 'object'}, description="""Retrieve token holders and their balances for a given token."""), # NaniDAO/agentek-eth/getTokenHolders
    Tool(name="""agentek-eth_getTokenTransfers""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'chain': {'anyOf': [{'enum': ['1', '137', '42161', '10', '8453'], 'type': 'string'}, {'allOf': [{'type': 'number'}, {'enum': ['1', '137', '42161', '10', '8453'], 'type': 'string'}]}], 'description': 'Chain ID for the blockchain network. Supports: 1, 137, 42161, 10, and 8453'}, 'offset': {'type': 'number'}, 'page': {'type': 'number'}, 'tokenContract': {'type': 'string'}}, 'required': ['chain', 'tokenContract'], 'type': 'object'}, description="""List transfers for a specific token contract with pagination support."""), # NaniDAO/agentek-eth/getTokenTransfers
    Tool(name="""agentek-eth_getBlockscoutSearch""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'chain': {'anyOf': [{'enum': ['1', '137', '42161', '10', '8453'], 'type': 'string'}, {'allOf': [{'type': 'number'}, {'enum': ['1', '137', '42161', '10', '8453'], 'type': 'string'}]}], 'description': 'Chain ID for the blockchain network. Supports: 1, 137, 42161, 10, and 8453'}, 'query': {'minLength': 1, 'type': 'string'}}, 'required': ['chain', 'query'], 'type': 'object'}, description="""Perform a search query to find blocks, transactions, addresses, or tokens on the blockchain."""), # NaniDAO/agentek-eth/getBlockscoutSearch
    Tool(name="""agentek-eth_getAaveUserData""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'chainId': {'description': 'The chain ID where Aave is deployed.', 'type': 'number'}, 'userAddress': {'description': "The user's wallet address.", 'type': 'string'}}, 'required': ['userAddress', 'chainId'], 'type': 'object'}, description="""Fetches Aave user data including total collateral, total debt, available borrowing power, current liquidation threshold, LTV, and health factor."""), # NaniDAO/agentek-eth/getAaveUserData
    Tool(name="""agentek-eth_getAaveReserveData""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'asset': {'description': 'The token contract address of the asset.', 'type': 'string'}, 'chainId': {'description': 'Chain ID where Aave is deployed.', 'type': 'number'}}, 'required': ['asset', 'chainId'], 'type': 'object'}, description="""Fetches reserve data for a given asset from Aave including available liquidity, total stable and variable debt, and interest rates."""), # NaniDAO/agentek-eth/getAaveReserveData
    Tool(name="""agentek-eth_intentAaveDeposit""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'amount': {'description': 'Amount of tokens to deposit (in human-readable format).', 'type': 'string'}, 'asset': {'description': 'Token contract address to deposit.', 'type': 'string'}, 'chainId': {'description': 'Chain ID for the deposit.', 'type': 'number'}}, 'required': ['chainId', 'asset', 'amount'], 'type': 'object'}, description="""Deposits tokens into the Aave protocol to supply liquidity and earn interest."""), # NaniDAO/agentek-eth/intentAaveDeposit
    Tool(name="""agentek-eth_intentAaveWithdraw""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'amount': {'description': 'Amount of tokens to withdraw (in human-readable format).', 'type': 'string'}, 'asset': {'description': 'Token contract address to withdraw.', 'type': 'string'}, 'chainId': {'description': 'Chain ID for the withdrawal.', 'type': 'number'}}, 'required': ['chainId', 'asset', 'amount'], 'type': 'object'}, description="""Withdraws tokens from Aave, redeeming your supplied assets (aTokens)."""), # NaniDAO/agentek-eth/intentAaveWithdraw
    Tool(name="""agentek-eth_intentAaveBorrow""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'amount': {'description': 'Amount of tokens to borrow (in human-readable format).', 'type': 'string'}, 'asset': {'description': 'Token contract address to borrow.', 'type': 'string'}, 'chainId': {'description': 'Chain ID for borrowing.', 'type': 'number'}, 'interestRateMode': {'description': '1 for stable, 2 for variable (default is variable).', 'type': 'number'}}, 'required': ['chainId', 'asset', 'amount'], 'type': 'object'}, description="""Borrows tokens from Aave using your supplied collateral. By default, the variable rate mode (2) is used."""), # NaniDAO/agentek-eth/intentAaveBorrow
    Tool(name="""agentek-eth_intentAaveRepay""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'amount': {'description': 'Amount of tokens to repay (in human-readable format).', 'type': 'string'}, 'asset': {'description': 'Token contract address of the asset to repay.', 'type': 'string'}, 'chainId': {'description': 'Chain ID for repayment.', 'type': 'number'}, 'rateMode': {'description': '1 for stable, 2 for variable (default is variable).', 'type': 'number'}}, 'required': ['chainId', 'asset', 'amount'], 'type': 'object'}, description="""Repays your Aave debt. By default, the variable rate mode (2) is used for repayment."""), # NaniDAO/agentek-eth/intentAaveRepay
    Tool(name="""agentek-eth_checkMaliciousAddress""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'address': {'type': 'string'}}, 'required': ['address'], 'type': 'object'}, description="""Check if an Ethereum address has been associated with malicious activity"""), # NaniDAO/agentek-eth/checkMaliciousAddress
    Tool(name="""agentek-eth_checkMaliciousWebsite""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'website': {'type': 'string'}}, 'required': ['website'], 'type': 'object'}, description="""Check if a website has been associated with crypto scams or malicious activity"""), # NaniDAO/agentek-eth/checkMaliciousWebsite
    Tool(name="""agentek-eth_scrapeWebContent""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'website': {'type': 'string'}}, 'required': ['website'], 'type': 'object'}, description="""Given a URL, fetch the page's HTML and return the main text content as accurately as possible. Works for most websites."""), # NaniDAO/agentek-eth/scrapeWebContent
    Tool(name="""agentek-eth_getFearAndGreedIndex""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {}, 'type': 'object'}, description="""Retrieves the current Fear and Greed Index value from Alternative.me API."""), # NaniDAO/agentek-eth/getFearAndGreedIndex
    Tool(name="""agentek-eth_getSlowStatus""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'tokenId': {'description': 'Optional specific token ID to check', 'type': 'string'}, 'transferId': {'description': 'Optional specific transfer ID to check', 'type': 'string'}, 'user': {'description': 'The user address to check', 'type': 'string'}}, 'required': ['user'], 'type': 'object'}, description="""Get information about tokens, unlocked balances, and pending transfers in SLOW"""), # NaniDAO/agentek-eth/getSlowStatus
    Tool(name="""agentek-eth_predictTransferId""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'amount': {'description': 'The transfer amount', 'type': 'string'}, 'from': {'description': 'The sender address', 'type': 'string'}, 'id': {'description': 'The token ID', 'type': 'string'}, 'to': {'$ref': '#/properties/from', 'description': 'The recipient address'}}, 'required': ['from', 'to', 'id', 'amount'], 'type': 'object'}, description="""Predict a transfer ID for a potential transfer"""), # NaniDAO/agentek-eth/predictTransferId
    Tool(name="""agentek-eth_canUnlockSlow""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'transferId': {'description': 'The transfer ID to check', 'type': 'string'}}, 'required': ['transferId'], 'type': 'object'}, description="""Check if a transfer can be unlocked and get info about it"""), # NaniDAO/agentek-eth/canUnlockSlow
    Tool(name="""agentek-eth_getCanReverseSlowTransfer""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'transferId': {'description': 'The transfer ID to check', 'type': 'string'}}, 'required': ['transferId'], 'type': 'object'}, description="""Check if a transfer can be reversed"""), # NaniDAO/agentek-eth/getCanReverseSlowTransfer
    Tool(name="""agentek-eth_getSlowGuardianInfo""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'user': {'description': 'The user address to check', 'type': 'string'}}, 'required': ['user'], 'type': 'object'}, description="""Get guardian information for a user"""), # NaniDAO/agentek-eth/getSlowGuardianInfo
    Tool(name="""agentek-eth_getSlowTransferApprovalRequired""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'amount': {'description': 'The amount to transfer', 'type': 'string'}, 'id': {'description': 'The token ID', 'type': 'string'}, 'to': {'$ref': '#/properties/user', 'description': 'The recipient address'}, 'user': {'description': 'The user address', 'type': 'string'}}, 'required': ['user', 'to', 'id', 'amount'], 'type': 'object'}, description="""Check if a transfer needs guardian approval"""), # NaniDAO/agentek-eth/getSlowTransferApprovalRequired
    Tool(name="""agentek-eth_intentDepositToSlow""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'amount': {'description': 'The amount to deposit in human readable format (e.g. for 0.01 ETH use 0.01)', 'type': 'string'}, 'chainId': {'description': 'The chainId to execute the intent on.', 'type': 'number'}, 'delay': {'description': 'The timelock delay in seconds', 'type': 'number'}, 'to': {'$ref': '#/properties/token', 'description': 'The recipient address'}, 'token': {'description': 'The token address to deposit (use 0x0000000000000000000000000000000000000000 for ETH)', 'type': 'string'}}, 'required': ['chainId', 'token', 'to', 'amount', 'delay'], 'type': 'object'}, description="""Deposit tokens or ETH into SLOW contract with a timelock"""), # NaniDAO/agentek-eth/intentDepositToSlow
    Tool(name="""agentek-eth_intentSetSlowGuardian""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'chainId': {'description': 'The chainId to execute the intent on.', 'type': 'number'}, 'guardian': {'description': 'The guardian address to set (use zero address to remove guardian)', 'type': 'string'}}, 'required': ['chainId', 'guardian'], 'type': 'object'}, description="""Set a guardian for a user in the SLOW contract"""), # NaniDAO/agentek-eth/intentSetSlowGuardian
    Tool(name="""agentek-eth_intentWithdrawFromSlow""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'amount': {'description': 'The amount to withdraw', 'type': 'string'}, 'chainId': {'description': 'The chainId to execute the intent on.', 'type': 'number'}, 'from': {'description': 'The address to withdraw from', 'type': 'string'}, 'id': {'description': 'The token ID to withdraw', 'type': 'string'}, 'to': {'$ref': '#/properties/from', 'description': 'The recipient address'}}, 'required': ['chainId', 'from', 'to', 'id', 'amount'], 'type': 'object'}, description="""Withdraw unlocked tokens from SLOW contract"""), # NaniDAO/agentek-eth/intentWithdrawFromSlow
    Tool(name="""agentek-eth_intentApproveSlowTransfer""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'chainId': {'description': 'The chainId to execute the intent on.', 'type': 'number'}, 'from': {'description': 'The user address that initiated the transfer', 'type': 'string'}, 'transferId': {'description': 'The transfer ID to approve', 'type': 'string'}}, 'required': ['chainId', 'from', 'transferId'], 'type': 'object'}, description="""Guardian approves a transfer in SLOW contract"""), # NaniDAO/agentek-eth/intentApproveSlowTransfer
    Tool(name="""agentek-eth_intentUnlockSlow""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'chainId': {'description': 'The chainId to execute the intent on.', 'type': 'number'}, 'transferId': {'description': 'The transfer ID to unlock', 'type': 'string'}}, 'required': ['chainId', 'transferId'], 'type': 'object'}, description="""Unlock a time-locked transfer in SLOW contract"""), # NaniDAO/agentek-eth/intentUnlockSlow
    Tool(name="""agentek-eth_intentReverseSlowTransfer""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'chainId': {'description': 'The chainId to execute the intent on.', 'type': 'number'}, 'transferId': {'description': 'The transfer ID to reverse', 'type': 'string'}}, 'required': ['chainId', 'transferId'], 'type': 'object'}, description="""Reverse a pending transfer in SLOW contract"""), # NaniDAO/agentek-eth/intentReverseSlowTransfer
    Tool(name="""agentek-eth_getNFTMetadata""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'chainId': {'description': 'The chain ID where the NFT exists', 'type': 'number'}, 'contractAddress': {'description': 'The NFT contract address', 'type': 'string'}, 'tokenId': {'description': 'The token ID of the NFT', 'type': 'string'}}, 'required': ['contractAddress', 'tokenId', 'chainId'], 'type': 'object'}, description="""Gets metadata for an NFT token by contract address and token ID"""), # NaniDAO/agentek-eth/getNFTMetadata
    Tool(name="""agentek-eth_getCryptoPrice""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'symbol': {'description': 'Cryptocurrency symbol (e.g., BTC, ETH, SOL) or CoinGecko ID (e.g., bitcoin, ethereum, solana) for better accuracy and wider asset support', 'type': 'string'}}, 'required': ['symbol'], 'type': 'object'}, description="""Get the current price of a cryptocurrency in USD"""), # NaniDAO/agentek-eth/getCryptoPrice
    Tool(name="""agentek-eth_estimateGasCost""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'chainId': {'description': 'Chain ID (e.g. 1 for Ethereum, 137 for Polygon)', 'type': 'number'}, 'gasUnits': {'description': 'Estimated gas units for the transaction', 'type': 'number'}, 'maxFeePerGas': {'description': 'Optional max fee per gas in gwei', 'type': 'string'}, 'maxPriorityFeePerGas': {'description': 'Optional max priority fee per gas in gwei', 'type': 'string'}}, 'required': ['chainId', 'gasUnits'], 'type': 'object'}, description="""Estimate the gas cost for a transaction in both native token and USD"""), # NaniDAO/agentek-eth/estimateGasCost
    Tool(name="""agentek-eth_getTokenChart""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'options': {'additionalProperties': False, 'description': 'Optional configuration for the chart data', 'properties': {'searchWidth': {'description': 'Time range on either side to find price data (e.g., "600" for 10 minutes)', 'type': 'string'}, 'span': {'default': 10, 'description': 'Number of data points to return. Defaults to 10. To create a chart you need many data points.', 'type': 'number'}}, 'type': 'object'}, 'period': {'default': '1d', 'description': 'Time interval between data points. Format: 1h, 4h, 1d, 1w (defaults to "1d")', 'type': 'string'}, 'startTime': {'description': 'ISO timestamp for the start time (e.g., "2025-01-01T00:00:00Z")', 'type': 'string'}, 'tokens': {'anyOf': [{'type': 'string'}, {'items': {'type': 'string'}, 'type': 'array'}], 'description': 'Token identifier in format "chain:address" (e.g., "ethereum:0x...", "coingecko:ethereum") or array of such identifiers'}}, 'required': ['tokens'], 'type': 'object'}, description="""Gets historical price chart data for one or more tokens from DeFi Llama"""), # NaniDAO/agentek-eth/getTokenChart
    Tool(name="""agentek-eth_getYieldTool""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'asset': {'description': 'Optional filter for specific asset (e.g., ETH, USDC)', 'type': 'string'}, 'chain': {'description': 'Optional filter for specific chain (e.g., Ethereum, Arbitrum)', 'type': 'string'}, 'chainId': {'description': 'Optional chain ID filter (e.g., 1 for Ethereum, 10 for Optimism)', 'type': 'number'}, 'limit': {'default': 20, 'description': 'Maximum number of results to return', 'maximum': 100, 'minimum': 1, 'type': 'number'}, 'maxRisk': {'description': 'Optional maximum risk level (low, medium, high)', 'enum': ['low', 'medium', 'high'], 'type': 'string'}, 'minApy': {'description': 'Optional minimum APY threshold (e.g., 5 for 5%)', 'minimum': 0, 'type': 'number'}, 'project': {'description': 'Optional filter for specific project (e.g., Aave, Lido)', 'type': 'string'}, 'protocol': {'description': 'Optional filter for specific protocol (e.g., Aave, Compound)', 'enum': ['Aave', 'Compound', 'Morpho', 'SparkLend', 'Lido', 'RocketPool', 'DefiLlama'], 'type': 'string'}, 'stablecoin': {'description': 'Optional filter for stablecoin yields only', 'type': 'boolean'}, 'symbol': {'description': 'Optional filter for specific token symbol (e.g., ETH, USDC)', 'type': 'string'}}, 'type': 'object'}, description="""Analyzes and compares yield opportunities from DefiLlama across all DeFi protocols"""), # NaniDAO/agentek-eth/getYieldTool
    Tool(name="""agentek-eth_compareYieldTool""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'amount': {'description': 'Optional investment amount in USD for projected earnings', 'type': 'number'}, 'assets': {'description': 'List of assets to compare (e.g., ["USDC", "ETH"])', 'items': {'type': 'string'}, 'maxItems': 5, 'minItems': 1, 'type': 'array'}, 'duration': {'description': 'Optional investment duration in days for projected earnings', 'type': 'number'}}, 'required': ['assets'], 'type': 'object'}, description="""Compares yield opportunities for specific assets across different protocols"""), # NaniDAO/agentek-eth/compareYieldTool
    Tool(name="""agentek-eth_getYieldHistoryTool""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'days': {'default': 30, 'description': 'Number of days of historical data to return (max 365)', 'maximum': 365, 'minimum': 1, 'type': 'number'}, 'poolId': {'description': 'The DefiLlama pool ID to fetch historical yield data for', 'type': 'string'}}, 'required': ['poolId'], 'type': 'object'}, description="""Fetches and analyzes historical yield data for a specific pool from DefiLlama"""), # NaniDAO/agentek-eth/getYieldHistoryTool
    Tool(name="""agentek-eth_compareYieldHistoryTool""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'days': {'default': 30, 'description': 'Number of days of historical data to analyze (max 365)', 'maximum': 365, 'minimum': 1, 'type': 'number'}, 'poolIds': {'description': 'List of DefiLlama pool IDs to compare (between 2-5 pools)', 'items': {'type': 'string'}, 'maxItems': 5, 'minItems': 2, 'type': 'array'}, 'sortBy': {'default': 'apy', 'description': 'Metric to sort the comparison results by', 'enum': ['apy', 'volatility', 'stability', 'tvl'], 'type': 'string'}}, 'required': ['poolIds'], 'type': 'object'}, description="""Compares historical yield performance across multiple pools, analyzing metrics like APY, volatility, and TVL trends"""), # NaniDAO/agentek-eth/compareYieldHistoryTool
    Tool(name="""agentek-eth_think""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'thought': {'description': 'A thought to think about.', 'type': 'string'}}, 'required': ['thought'], 'type': 'object'}, description="""Use the tool to think about something. It will not obtain new information or change the database, but just append the thought to the log. Use it when complex reasoning or some cache memory is needed."""), # NaniDAO/agentek-eth/think
    Tool(name="""agentek-eth_askPerplexitySearch""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'searchString': {'type': 'string'}}, 'required': ['searchString'], 'type': 'object'}, description="""Ask perplexity search"""), # NaniDAO/agentek-eth/askPerplexitySearch
    Tool(name="""agentek-eth_tallyProposals""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'limit': {'default': 10, 'description': 'Maximum number of proposals to fetch', 'type': 'number'}, 'space': {'description': 'The DAO or space identifier e.g. uniswap, hai, nounsdao', 'type': 'string'}}, 'required': ['space'], 'type': 'object'}, description="""Fetch proposals from the Tally governance API for a specified DAO/space."""), # NaniDAO/agentek-eth/tallyProposals
    Tool(name="""agentek-eth_tallyChains""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {}, 'type': 'object'}, description="""Fetch all chains supported by the Tally governance API."""), # NaniDAO/agentek-eth/tallyChains
    Tool(name="""agentek-eth_intentGovernorVote""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'proposalId': {'type': 'number'}, 'space': {'type': 'string'}, 'vote': {'enum': ['against', 'for', 'abstain'], 'type': 'string'}}, 'required': ['space', 'vote', 'proposalId'], 'type': 'object'}, description="""Creates an intent to vote on a Governor bravo proposal"""), # NaniDAO/agentek-eth/intentGovernorVote
    Tool(name="""agentek-eth_intentGovernorVoteWithReason""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'proposalId': {'type': 'number'}, 'reason': {'type': 'string'}, 'space': {'type': 'string'}, 'vote': {'enum': ['against', 'for', 'abstain'], 'type': 'string'}}, 'required': ['space', 'vote', 'proposalId', 'reason'], 'type': 'object'}, description="""Creates an intent to vote on a Governor bravo proposal with a reason"""), # NaniDAO/agentek-eth/intentGovernorVoteWithReason
    Tool(name="""agentek-eth_getLatestCoindeskNewsTool""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'limit': {'default': 10, 'maximum': 100, 'minimum': 1, 'type': 'number'}}, 'type': 'object'}, description="""Calls the Coindesk API to retrieve the latest news articles. Parameter 'limit' allows specification of how many articles to fetch (defaults to 10)."""), # NaniDAO/agentek-eth/getLatestCoindeskNewsTool
    Tool(name="""agentek-eth_getMarketEvents""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'showOnly': {'enum': ['trending_events', 'popular_events', 'firmed_date', 'confirmed_by_representatives'], 'type': 'string'}}, 'type': 'object'}, description="""Fetches cryptocurrency market events from CoinMarketCal. Supports filtering by coins, categories, date ranges, and various sorting options."""), # NaniDAO/agentek-eth/getMarketEvents
    Tool(name="""mcp-turso-cloud_list_databases""", inputSchema={'properties': {}, 'required': [], 'type': 'object'}, description="""List all databases in your Turso organization"""), # spences10/mcp-turso-cloud/list_databases
    Tool(name="""mcp-turso-cloud_create_database""", inputSchema={'properties': {'group': {'description': 'Optional group name for the database', 'type': 'string'}, 'name': {'description': 'Name of the database to create', 'type': 'string'}, 'regions': {'description': 'Optional list of regions to deploy the database to', 'items': {'type': 'string'}, 'type': 'array'}}, 'required': ['name'], 'type': 'object'}, description="""Create a new database in your Turso organization"""), # spences10/mcp-turso-cloud/create_database
    Tool(name="""mcp-turso-cloud_delete_database""", inputSchema={'properties': {'name': {'description': 'Name of the database to delete', 'type': 'string'}}, 'required': ['name'], 'type': 'object'}, description="""Delete a database from your Turso organization"""), # spences10/mcp-turso-cloud/delete_database
    Tool(name="""mcp-turso-cloud_generate_database_token""", inputSchema={'properties': {'database': {'description': 'Name of the database to generate a token for', 'type': 'string'}, 'permission': {'description': 'Permission level for the token', 'enum': ['full-access', 'read-only'], 'type': 'string'}}, 'required': ['database'], 'type': 'object'}, description="""Generate a new token for a specific database"""), # spences10/mcp-turso-cloud/generate_database_token
    Tool(name="""mcp-turso-cloud_list_tables""", inputSchema={'properties': {'database': {'description': 'Database name (optional, uses context if not provided)', 'type': 'string'}}, 'required': [], 'type': 'object'}, description="""Lists all tables in a database"""), # spences10/mcp-turso-cloud/list_tables
    Tool(name="""mcp-turso-cloud_execute_query""", inputSchema={'properties': {'database': {'description': 'Database name (optional, uses context if not provided)', 'type': 'string'}, 'params': {'description': 'Query parameters (optional)', 'type': 'object'}, 'query': {'description': 'SQL query to execute', 'type': 'string'}}, 'required': ['query'], 'type': 'object'}, description="""Executes a SQL query against a database"""), # spences10/mcp-turso-cloud/execute_query
    Tool(name="""mcp-turso-cloud_describe_table""", inputSchema={'properties': {'database': {'description': 'Database name (optional, uses context if not provided)', 'type': 'string'}, 'table': {'description': 'Table name', 'type': 'string'}}, 'required': ['table'], 'type': 'object'}, description="""Gets schema information for a table"""), # spences10/mcp-turso-cloud/describe_table
    Tool(name="""mcp-turso-cloud_vector_search""", inputSchema={'properties': {'database': {'description': 'Database name (optional, uses context if not provided)', 'type': 'string'}, 'limit': {'description': 'Maximum number of results (optional, default 10)', 'type': 'number'}, 'query_vector': {'description': 'Query vector for similarity search', 'items': {'type': 'number'}, 'type': 'array'}, 'table': {'description': 'Table name', 'type': 'string'}, 'vector_column': {'description': 'Column containing vectors', 'type': 'string'}}, 'required': ['table', 'vector_column', 'query_vector'], 'type': 'object'}, description="""Performs vector similarity search"""), # spences10/mcp-turso-cloud/vector_search
    Tool(name="""Mindmap MCP Server_convert_markdown_to_mindmap""", inputSchema={'properties': {'markdown_content': {'title': 'Markdown Content', 'type': 'string'}}, 'required': ['markdown_content'], 'title': 'convert_markdown_to_mindmapArguments', 'type': 'object'}, description="""Convert Markdown content to a mindmap mind map.\n    \n    Args:\n        markdown_content: The Markdown content to convert\n    \n    Returns:\n        Either the HTML content or the file path to the generated HTML, \n        depending on the --return-type server argument\n    """), # YuChenSSR/Mindmap MCP Server/convert_markdown_to_mindmap
    Tool(name="""Pica MCP Server_list_connections""", inputSchema={'properties': {}, 'required': [], 'type': 'object'}, description="""List all available active connections in the user's Pica account"""), # picahq/Pica MCP Server/list_connections
    Tool(name="""Pica MCP Server_get_available_actions""", inputSchema={'properties': {'platform': {'description': 'Platform name', 'type': 'string'}}, 'required': ['platform'], 'type': 'object'}, description="""Get available actions for a specific platform"""), # picahq/Pica MCP Server/get_available_actions
    Tool(name="""Pica MCP Server_get_action_knowledge""", inputSchema={'properties': {'actionId': {'description': 'ID of the action', 'type': 'string'}}, 'required': ['actionId'], 'type': 'object'}, description="""Get detailed information about a specific action"""), # picahq/Pica MCP Server/get_action_knowledge
    Tool(name="""Pica MCP Server_execute_action""", inputSchema={'properties': {'actionId': {'description': 'ID of the action to execute', 'type': 'string'}, 'connectionKey': {'description': 'Key of the connection to use', 'type': 'string'}, 'data': {'description': 'Request data (for POST, PUT, etc.)', 'type': 'object'}, 'headers': {'description': 'Additional headers', 'type': 'object'}, 'isFormData': {'description': 'Whether to send data as multipart/form-data', 'type': 'boolean'}, 'isFormUrlEncoded': {'description': 'Whether to send data as application/x-www-form-urlencoded', 'type': 'boolean'}, 'method': {'description': 'HTTP method (GET, POST, PUT, DELETE, etc.)', 'type': 'string'}, 'path': {'description': 'API path', 'type': 'string'}, 'pathVariables': {'description': 'Variables to replace in the path', 'type': 'object'}, 'queryParams': {'description': 'Query parameters', 'type': 'object'}}, 'required': ['actionId', 'connectionKey', 'method', 'path'], 'type': 'object'}, description="""Prepare to execute a specific action (requires confirmation)"""), # picahq/Pica MCP Server/execute_action
    Tool(name="""notion-mcp-server_create_page""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'children': {'description': 'Optional array of paragraph blocks to add as page content', 'items': {'anyOf': [{'additionalProperties': False, 'properties': {'archived': {'description': 'Whether block is archived', 'type': 'boolean'}, 'created_time': {'description': 'ISO timestamp of block creation', 'type': 'string'}, 'has_children': {'description': 'Whether block has child blocks', 'type': 'boolean'}, 'last_edited_time': {'description': 'ISO timestamp of last edit', 'type': 'string'}, 'object': {'const': 'block', 'description': 'Object type identifier', 'type': 'string'}, 'paragraph': {'additionalProperties': False, 'description': 'Paragraph block content', 'properties': {'color': {'$ref': '#/properties/children/items/anyOf/0/properties/paragraph/properties/rich_text/items/anyOf/0/properties/annotations/properties/color', 'description': 'Color of the block'}, 'rich_text': {'description': 'Array of rich text content', 'items': {'anyOf': [{'additionalProperties': False, 'description': 'Text rich text item request', 'properties': {'annotations': {'additionalProperties': False, 'description': 'Text formatting annotations', 'properties': {'bold': {'description': 'Whether text is bold', 'type': 'boolean'}, 'code': {'description': 'Whether text is code formatted', 'type': 'boolean'}, 'color': {'description': 'Color of the text', 'enum': ['default', 'gray', 'brown', 'orange', 'yellow', 'green', 'blue', 'purple', 'pink', 'red', 'gray_background', 'brown_background', 'orange_background', 'yellow_background', 'green_background', 'blue_background', 'purple_background', 'pink_background', 'red_background'], 'type': 'string'}, 'italic': {'description': 'Whether text is italic', 'type': 'boolean'}, 'strikethrough': {'description': 'Whether text has strikethrough', 'type': 'boolean'}, 'underline': {'description': 'Whether text is underlined', 'type': 'boolean'}}, 'type': 'object'}, 'href': {'description': 'URL for the link', 'type': ['string', 'null']}, 'plain_text': {'description': 'Plain text content without formatting', 'type': 'string'}, 'text': {'additionalProperties': False, 'description': 'Text content', 'properties': {'content': {'$ref': '#/properties/properties/properties/title/properties/title/items/properties/text/properties/content'}, 'link': {'$ref': '#/properties/properties/properties/title/properties/title/items/properties/text/properties/link'}}, 'required': ['content'], 'type': 'object'}, 'type': {'const': 'text', 'description': 'Type of rich text content', 'type': 'string'}}, 'required': ['type', 'text'], 'type': 'object'}, {'additionalProperties': False, 'description': 'Equation rich text item request', 'properties': {'annotations': {'$ref': '#/properties/children/items/anyOf/0/properties/paragraph/properties/rich_text/items/anyOf/0/properties/annotations', 'description': 'Text formatting annotations'}, 'equation': {'additionalProperties': False, 'description': 'Equation content', 'properties': {'expression': {'description': 'LaTeX equation expression', 'type': 'string'}}, 'required': ['expression'], 'type': 'object'}, 'href': {'description': 'URL for the link', 'type': ['string', 'null']}, 'plain_text': {'description': 'Plain text content without formatting', 'type': 'string'}, 'type': {'const': 'equation', 'description': 'Type of equation content', 'type': 'string'}}, 'required': ['type', 'equation'], 'type': 'object'}, {'additionalProperties': False, 'description': 'Mention rich text item request', 'properties': {'annotations': {'$ref': '#/properties/children/items/anyOf/0/properties/paragraph/properties/rich_text/items/anyOf/0/properties/annotations', 'description': 'Text formatting annotations'}, 'href': {'description': 'URL for the link', 'type': ['string', 'null']}, 'mention': {'anyOf': [{'additionalProperties': False, 'description': 'Schema for a date mention block request', 'properties': {'date': {'additionalProperties': False, 'description': 'Contains the date information', 'properties': {'end': {'description': 'The optional end date in YYYY-MM-DD format', 'type': ['string', 'null']}, 'start': {'description': 'The start date in YYYY-MM-DD format', 'type': 'string'}}, 'required': ['start'], 'type': 'object'}, 'type': {'const': 'date', 'description': 'Specifies this is a date mention type', 'type': 'string'}}, 'required': ['type', 'date'], 'type': 'object'}, {'additionalProperties': False, 'description': 'Schema for a user mention block request', 'properties': {'type': {'const': 'user', 'description': 'Specifies this is a user mention type', 'type': 'string'}, 'user': {'additionalProperties': False, 'description': 'Contains the user reference information', 'properties': {'id': {'description': 'The unique ID that identifies this specific user', 'type': 'string'}, 'object': {'const': 'user', 'description': 'Identifies this object as a user type', 'type': 'string'}}, 'required': ['id'], 'type': 'object'}}, 'required': ['type', 'user'], 'type': 'object'}, {'additionalProperties': False, 'description': 'Schema for a page mention block request', 'properties': {'page': {'additionalProperties': False, 'description': 'Contains the page reference information', 'properties': {'id': {'description': 'The unique ID that identifies this specific page', 'type': 'string'}}, 'required': ['id'], 'type': 'object'}, 'type': {'const': 'page', 'description': 'Specifies this is a page mention type', 'type': 'string'}}, 'required': ['type', 'page'], 'type': 'object'}, {'additionalProperties': False, 'description': 'Schema for a database mention block request', 'properties': {'database': {'additionalProperties': False, 'description': 'Contains the database reference information', 'properties': {'id': {'description': 'The unique ID that identifies this specific database', 'type': 'string'}}, 'required': ['id'], 'type': 'object'}, 'type': {'const': 'database', 'description': 'Specifies this is a database mention type', 'type': 'string'}}, 'required': ['type', 'database'], 'type': 'object'}, {'additionalProperties': False, 'description': 'Schema for a template mention user block request', 'properties': {'template_mention': {'additionalProperties': False, 'description': 'Contains the template mention user information', 'properties': {'template_mention_user': {'const': 'me', 'description': 'Template mention user value', 'type': 'string'}, 'type': {'const': 'template_mention_user', 'description': 'Specifies this is a template mention user type', 'type': 'string'}}, 'required': ['type', 'template_mention_user'], 'type': 'object'}, 'type': {'const': 'template_mention', 'description': 'Specifies this is a template mention type', 'type': 'string'}}, 'required': ['type', 'template_mention'], 'type': 'object'}, {'additionalProperties': False, 'description': 'Schema for a template mention date block request', 'properties': {'template_mention': {'additionalProperties': False, 'description': 'Contains the template mention date information', 'properties': {'template_mention_date': {'const': 'today', 'description': 'Template mention date value', 'type': 'string'}, 'type': {'const': 'template_mention_date', 'description': 'Specifies this is a template mention date type', 'type': 'string'}}, 'required': ['type', 'template_mention_date'], 'type': 'object'}, 'type': {'const': 'template_mention', 'description': 'Specifies this is a template mention type', 'type': 'string'}}, 'required': ['type', 'template_mention'], 'type': 'object'}], 'description': 'Mention content'}, 'plain_text': {'description': 'Plain text content without formatting', 'type': 'string'}, 'type': {'const': 'mention', 'description': 'Type of mention content', 'type': 'string'}}, 'required': ['type', 'mention'], 'type': 'object'}], 'description': 'Union of all possible rich text item request types'}, 'type': 'array'}}, 'required': ['rich_text'], 'type': 'object'}, 'type': {'const': 'paragraph', 'description': 'Paragraph block type', 'type': 'string'}}, 'required': ['type', 'paragraph'], 'type': 'object'}, {'additionalProperties': False, 'properties': {'archived': {'$ref': '#/properties/children/items/anyOf/0/properties/archived'}, 'created_time': {'$ref': '#/properties/children/items/anyOf/0/properties/created_time'}, 'has_children': {'$ref': '#/properties/children/items/anyOf/0/properties/has_children'}, 'heading_1': {'additionalProperties': False, 'description': 'Heading 1 block content', 'properties': {'color': {'$ref': '#/properties/children/items/anyOf/0/properties/paragraph/properties/color'}, 'is_toggleable': {'description': 'Whether heading can be toggled', 'type': 'boolean'}, 'rich_text': {'$ref': '#/properties/children/items/anyOf/0/properties/paragraph/properties/rich_text'}}, 'required': ['rich_text'], 'type': 'object'}, 'last_edited_time': {'$ref': '#/properties/children/items/anyOf/0/properties/last_edited_time'}, 'object': {'$ref': '#/properties/children/items/anyOf/0/properties/object'}, 'type': {'const': 'heading_1', 'description': 'Heading 1 block type', 'type': 'string'}}, 'required': ['type', 'heading_1'], 'type': 'object'}, {'additionalProperties': False, 'properties': {'archived': {'$ref': '#/properties/children/items/anyOf/0/properties/archived'}, 'created_time': {'$ref': '#/properties/children/items/anyOf/0/properties/created_time'}, 'has_children': {'$ref': '#/properties/children/items/anyOf/0/properties/has_children'}, 'heading_2': {'additionalProperties': False, 'description': 'Heading 2 block content', 'properties': {'color': {'$ref': '#/properties/children/items/anyOf/0/properties/paragraph/properties/color'}, 'is_toggleable': {'description': 'Whether heading can be toggled', 'type': 'boolean'}, 'rich_text': {'$ref': '#/properties/children/items/anyOf/0/properties/paragraph/properties/rich_text'}}, 'required': ['rich_text'], 'type': 'object'}, 'last_edited_time': {'$ref': '#/properties/children/items/anyOf/0/properties/last_edited_time'}, 'object': {'$ref': '#/properties/children/items/anyOf/0/properties/object'}, 'type': {'const': 'heading_2', 'description': 'Heading 2 block type', 'type': 'string'}}, 'required': ['type', 'heading_2'], 'type': 'object'}, {'additionalProperties': False, 'properties': {'archived': {'$ref': '#/properties/children/items/anyOf/0/properties/archived'}, 'created_time': {'$ref': '#/properties/children/items/anyOf/0/properties/created_time'}, 'has_children': {'$ref': '#/properties/children/items/anyOf/0/properties/has_children'}, 'heading_3': {'additionalProperties': False, 'description': 'Heading 3 block content', 'properties': {'color': {'$ref': '#/properties/children/items/anyOf/0/properties/paragraph/properties/color'}, 'is_toggleable': {'description': 'Whether heading can be toggled', 'type': 'boolean'}, 'rich_text': {'$ref': '#/properties/children/items/anyOf/0/properties/paragraph/properties/rich_text'}}, 'required': ['rich_text'], 'type': 'object'}, 'last_edited_time': {'$ref': '#/properties/children/items/anyOf/0/properties/last_edited_time'}, 'object': {'$ref': '#/properties/children/items/anyOf/0/properties/object'}, 'type': {'const': 'heading_3', 'description': 'Heading 3 block type', 'type': 'string'}}, 'required': ['type', 'heading_3'], 'type': 'object'}, {'additionalProperties': False, 'properties': {'archived': {'$ref': '#/properties/children/items/anyOf/0/properties/archived'}, 'created_time': {'$ref': '#/properties/children/items/anyOf/0/properties/created_time'}, 'has_children': {'$ref': '#/properties/children/items/anyOf/0/properties/has_children'}, 'last_edited_time': {'$ref': '#/properties/children/items/anyOf/0/properties/last_edited_time'}, 'object': {'$ref': '#/properties/children/items/anyOf/0/properties/object'}, 'quote': {'additionalProperties': False, 'description': 'Quote block content', 'properties': {'color': {'$ref': '#/properties/children/items/anyOf/0/properties/paragraph/properties/color'}, 'rich_text': {'$ref': '#/properties/children/items/anyOf/0/properties/paragraph/properties/rich_text'}}, 'required': ['rich_text'], 'type': 'object'}, 'type': {'const': 'quote', 'description': 'Quote block type', 'type': 'string'}}, 'required': ['type', 'quote'], 'type': 'object'}, {'additionalProperties': False, 'properties': {'archived': {'$ref': '#/properties/children/items/anyOf/0/properties/archived'}, 'callout': {'additionalProperties': False, 'description': 'Callout block content', 'properties': {'color': {'$ref': '#/properties/children/items/anyOf/0/properties/paragraph/properties/color'}, 'icon': {'additionalProperties': False, 'description': 'Icon for the callout', 'properties': {'emoji': {'type': 'string'}, 'type': {'const': 'emoji', 'type': 'string'}}, 'required': ['emoji', 'type'], 'type': 'object'}, 'rich_text': {'$ref': '#/properties/children/items/anyOf/0/properties/paragraph/properties/rich_text'}}, 'required': ['rich_text'], 'type': 'object'}, 'created_time': {'$ref': '#/properties/children/items/anyOf/0/properties/created_time'}, 'has_children': {'$ref': '#/properties/children/items/anyOf/0/properties/has_children'}, 'last_edited_time': {'$ref': '#/properties/children/items/anyOf/0/properties/last_edited_time'}, 'object': {'$ref': '#/properties/children/items/anyOf/0/properties/object'}, 'type': {'const': 'callout', 'description': 'Callout block type', 'type': 'string'}}, 'required': ['type', 'callout'], 'type': 'object'}, {'additionalProperties': False, 'properties': {'archived': {'$ref': '#/properties/children/items/anyOf/0/properties/archived'}, 'created_time': {'$ref': '#/properties/children/items/anyOf/0/properties/created_time'}, 'has_children': {'$ref': '#/properties/children/items/anyOf/0/properties/has_children'}, 'last_edited_time': {'$ref': '#/properties/children/items/anyOf/0/properties/last_edited_time'}, 'object': {'$ref': '#/properties/children/items/anyOf/0/properties/object'}, 'toggle': {'additionalProperties': False, 'description': 'Toggle block content', 'properties': {'color': {'$ref': '#/properties/children/items/anyOf/0/properties/paragraph/properties/color'}, 'rich_text': {'$ref': '#/properties/children/items/anyOf/0/properties/paragraph/properties/rich_text'}}, 'required': ['rich_text'], 'type': 'object'}, 'type': {'const': 'toggle', 'description': 'Toggle block type', 'type': 'string'}}, 'required': ['type', 'toggle'], 'type': 'object'}, {'additionalProperties': False, 'properties': {'archived': {'$ref': '#/properties/children/items/anyOf/0/properties/archived'}, 'bulleted_list_item': {'additionalProperties': False, 'description': 'Bulleted list item block content', 'properties': {'color': {'$ref': '#/properties/children/items/anyOf/0/properties/paragraph/properties/color'}, 'rich_text': {'$ref': '#/properties/children/items/anyOf/0/properties/paragraph/properties/rich_text'}}, 'required': ['rich_text'], 'type': 'object'}, 'created_time': {'$ref': '#/properties/children/items/anyOf/0/properties/created_time'}, 'has_children': {'$ref': '#/properties/children/items/anyOf/0/properties/has_children'}, 'last_edited_time': {'$ref': '#/properties/children/items/anyOf/0/properties/last_edited_time'}, 'object': {'$ref': '#/properties/children/items/anyOf/0/properties/object'}, 'type': {'const': 'bulleted_list_item', 'description': 'Bulleted list item block type', 'type': 'string'}}, 'required': ['type', 'bulleted_list_item'], 'type': 'object'}, {'additionalProperties': False, 'properties': {'archived': {'$ref': '#/properties/children/items/anyOf/0/properties/archived'}, 'created_time': {'$ref': '#/properties/children/items/anyOf/0/properties/created_time'}, 'has_children': {'$ref': '#/properties/children/items/anyOf/0/properties/has_children'}, 'last_edited_time': {'$ref': '#/properties/children/items/anyOf/0/properties/last_edited_time'}, 'numbered_list_item': {'additionalProperties': False, 'description': 'Numbered list item block content', 'properties': {'color': {'$ref': '#/properties/children/items/anyOf/0/properties/paragraph/properties/color'}, 'rich_text': {'$ref': '#/properties/children/items/anyOf/0/properties/paragraph/properties/rich_text'}}, 'required': ['rich_text'], 'type': 'object'}, 'object': {'$ref': '#/properties/children/items/anyOf/0/properties/object'}, 'type': {'const': 'numbered_list_item', 'description': 'Numbered list item block type', 'type': 'string'}}, 'required': ['type', 'numbered_list_item'], 'type': 'object'}, {'additionalProperties': False, 'properties': {'archived': {'$ref': '#/properties/children/items/anyOf/0/properties/archived'}, 'created_time': {'$ref': '#/properties/children/items/anyOf/0/properties/created_time'}, 'has_children': {'$ref': '#/properties/children/items/anyOf/0/properties/has_children'}, 'last_edited_time': {'$ref': '#/properties/children/items/anyOf/0/properties/last_edited_time'}, 'object': {'$ref': '#/properties/children/items/anyOf/0/properties/object'}, 'to_do': {'additionalProperties': False, 'description': 'To-do block content', 'properties': {'checked': {'description': 'Whether the to-do is checked', 'type': 'boolean'}, 'color': {'$ref': '#/properties/children/items/anyOf/0/properties/paragraph/properties/color'}, 'rich_text': {'$ref': '#/properties/children/items/anyOf/0/properties/paragraph/properties/rich_text'}}, 'required': ['rich_text'], 'type': 'object'}, 'type': {'const': 'to_do', 'description': 'To-do block type', 'type': 'string'}}, 'required': ['type', 'to_do'], 'type': 'object'}, {'additionalProperties': False, 'properties': {'archived': {'$ref': '#/properties/children/items/anyOf/0/properties/archived'}, 'code': {'additionalProperties': False, 'description': 'Code block content', 'properties': {'color': {'$ref': '#/properties/children/items/anyOf/0/properties/paragraph/properties/color'}, 'language': {'description': 'Programming language for code blocks', 'enum': ['abap', 'arduino', 'bash', 'basic', 'c', 'clojure', 'coffeescript', 'c++', 'c#', 'css', 'dart', 'diff', 'docker', 'elixir', 'elm', 'erlang', 'flow', 'fortran', 'f#', 'gherkin', 'glsl', 'go', 'graphql', 'groovy', 'haskell', 'html', 'java', 'javascript', 'json', 'julia', 'kotlin', 'latex', 'less', 'lisp', 'livescript', 'lua', 'makefile', 'markdown', 'markup', 'matlab', 'mermaid', 'nix', 'objective-c', 'ocaml', 'pascal', 'perl', 'php', 'plain text', 'powershell', 'prolog', 'protobuf', 'python', 'r', 'reason', 'ruby', 'rust', 'sass', 'scala', 'scheme', 'scss', 'shell', 'sql', 'swift', 'typescript', 'vb.net', 'verilog', 'vhdl', 'visual basic', 'webassembly', 'xml', 'yaml', 'java/c/c++/c#'], 'type': 'string'}, 'rich_text': {'$ref': '#/properties/children/items/anyOf/0/properties/paragraph/properties/rich_text'}}, 'required': ['rich_text', 'language'], 'type': 'object'}, 'created_time': {'$ref': '#/properties/children/items/anyOf/0/properties/created_time'}, 'has_children': {'$ref': '#/properties/children/items/anyOf/0/properties/has_children'}, 'last_edited_time': {'$ref': '#/properties/children/items/anyOf/0/properties/last_edited_time'}, 'object': {'$ref': '#/properties/children/items/anyOf/0/properties/object'}, 'type': {'const': 'code', 'description': 'Code block type', 'type': 'string'}}, 'required': ['type', 'code'], 'type': 'object'}, {'additionalProperties': False, 'properties': {'archived': {'$ref': '#/properties/children/items/anyOf/0/properties/archived'}, 'created_time': {'$ref': '#/properties/children/items/anyOf/0/properties/created_time'}, 'divider': {'additionalProperties': False, 'description': 'Divider block content', 'properties': {}, 'type': 'object'}, 'has_children': {'$ref': '#/properties/children/items/anyOf/0/properties/has_children'}, 'last_edited_time': {'$ref': '#/properties/children/items/anyOf/0/properties/last_edited_time'}, 'object': {'$ref': '#/properties/children/items/anyOf/0/properties/object'}, 'type': {'const': 'divider', 'description': 'Divider block type', 'type': 'string'}}, 'required': ['type', 'divider'], 'type': 'object'}, {'additionalProperties': False, 'properties': {'archived': {'$ref': '#/properties/children/items/anyOf/0/properties/archived'}, 'created_time': {'$ref': '#/properties/children/items/anyOf/0/properties/created_time'}, 'has_children': {'$ref': '#/properties/children/items/anyOf/0/properties/has_children'}, 'image': {'additionalProperties': False, 'description': 'Image block content', 'properties': {'caption': {'description': 'Image caption', 'items': {'$ref': '#/properties/children/items/anyOf/0/properties/paragraph/properties/rich_text/items'}, 'type': 'array'}, 'external': {'additionalProperties': False, 'description': 'External file source', 'properties': {'url': {'description': 'URL of the external file', 'format': 'uri', 'type': 'string'}}, 'required': ['url'], 'type': 'object'}, 'type': {'const': 'external', 'description': 'Type of file source', 'type': 'string'}}, 'required': ['external', 'type'], 'type': 'object'}, 'last_edited_time': {'$ref': '#/properties/children/items/anyOf/0/properties/last_edited_time'}, 'object': {'$ref': '#/properties/children/items/anyOf/0/properties/object'}, 'type': {'const': 'image', 'description': 'Image block type', 'type': 'string'}}, 'required': ['type', 'image'], 'type': 'object'}], 'description': 'Union of all possible text block request types'}, 'type': 'array'}, 'cover': {'anyOf': [{'additionalProperties': False, 'description': 'File schema', 'properties': {'external': {'$ref': '#/properties/children/items/anyOf/12/properties/image/properties/external'}, 'type': {'$ref': '#/properties/children/items/anyOf/12/properties/image/properties/type'}}, 'required': ['external', 'type'], 'type': 'object'}, {'type': 'null'}], 'description': 'Optional cover image for the page'}, 'icon': {'anyOf': [{'$ref': '#/properties/children/items/anyOf/5/properties/callout/properties/icon'}, {'type': 'null'}], 'description': 'Optional icon for the page'}, 'parent': {'anyOf': [{'additionalProperties': False, 'properties': {'page_id': {'description': 'ID of the parent page', 'type': 'string'}, 'type': {'const': 'page_id', 'description': 'Parent type for page', 'type': 'string'}}, 'required': ['type', 'page_id'], 'type': 'object'}, {'additionalProperties': False, 'properties': {'database_id': {'description': 'ID of the parent database', 'type': 'string'}, 'type': {'const': 'database_id', 'description': 'Parent type for database', 'type': 'string'}}, 'required': ['type', 'database_id'], 'type': 'object'}], 'default': {'page_id': 'FOO', 'type': 'page_id'}, 'description': 'Optional parent - if not provided, will use NOTION_PAGE_ID as parent page'}, 'properties': {'additionalProperties': False, 'description': 'Properties of the page', 'properties': {'title': {'additionalProperties': False, 'description': 'The title of the page', 'properties': {'title': {'description': 'Array of text segments that make up the title', 'items': {'additionalProperties': False, 'properties': {'text': {'additionalProperties': False, 'description': 'Text content for title segment', 'properties': {'content': {'description': 'The actual text content', 'type': 'string'}, 'link': {'anyOf': [{'anyOf': [{'not': {}}, {'additionalProperties': False, 'properties': {'url': {'description': 'URL for the link', 'format': 'uri', 'type': 'string'}}, 'required': ['url'], 'type': 'object'}]}, {'type': 'null'}], 'description': 'Optional link associated with the text'}}, 'required': ['content'], 'type': 'object'}}, 'required': ['text'], 'type': 'object'}, 'type': 'array'}}, 'required': ['title'], 'type': 'object'}}, 'required': ['title'], 'type': 'object'}}, 'required': ['properties'], 'type': 'object'}, description="""Create a new page in Notion"""), # awkoy/notion-mcp-server/create_page
    Tool(name="""notion-mcp-server_archive_page""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'pageId': {'description': 'The ID of the page to archive', 'type': 'string'}}, 'required': ['pageId'], 'type': 'object'}, description="""Archive (trash) a Notion page"""), # awkoy/notion-mcp-server/archive_page
    Tool(name="""notion-mcp-server_restore_page""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'pageId': {'description': 'The ID of the page to restore', 'type': 'string'}}, 'required': ['pageId'], 'type': 'object'}, description="""Restore a previously archived Notion page"""), # awkoy/notion-mcp-server/restore_page
    Tool(name="""notion-mcp-server_search_pages""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'page_size': {'description': 'Number of results to return (1-100)', 'maximum': 100, 'minimum': 1, 'type': 'number'}, 'query': {'description': 'Search query for filtering by title', 'type': 'string'}, 'sort': {'additionalProperties': False, 'description': 'Sort order for results', 'properties': {'direction': {'enum': ['ascending', 'descending'], 'type': 'string'}, 'timestamp': {'const': 'last_edited_time', 'type': 'string'}}, 'required': ['direction', 'timestamp'], 'type': 'object'}, 'start_cursor': {'description': 'Cursor for pagination', 'type': 'string'}}, 'type': 'object'}, description="""Search for pages and databases in Notion by title"""), # awkoy/notion-mcp-server/search_pages
    Tool(name="""notion-mcp-server_append_block_children""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'blockId': {'description': 'The ID of the block to append children to', 'type': 'string'}, 'children': {'description': 'Array of blocks to append as children', 'items': {'anyOf': [{'additionalProperties': False, 'properties': {'archived': {'description': 'Whether block is archived', 'type': 'boolean'}, 'created_time': {'description': 'ISO timestamp of block creation', 'type': 'string'}, 'has_children': {'description': 'Whether block has child blocks', 'type': 'boolean'}, 'last_edited_time': {'description': 'ISO timestamp of last edit', 'type': 'string'}, 'object': {'const': 'block', 'description': 'Object type identifier', 'type': 'string'}, 'paragraph': {'additionalProperties': False, 'description': 'Paragraph block content', 'properties': {'color': {'$ref': '#/properties/children/items/anyOf/0/properties/paragraph/properties/rich_text/items/anyOf/0/properties/annotations/properties/color', 'description': 'Color of the block'}, 'rich_text': {'description': 'Array of rich text content', 'items': {'anyOf': [{'additionalProperties': False, 'description': 'Text rich text item request', 'properties': {'annotations': {'additionalProperties': False, 'description': 'Text formatting annotations', 'properties': {'bold': {'description': 'Whether text is bold', 'type': 'boolean'}, 'code': {'description': 'Whether text is code formatted', 'type': 'boolean'}, 'color': {'description': 'Color of the text', 'enum': ['default', 'gray', 'brown', 'orange', 'yellow', 'green', 'blue', 'purple', 'pink', 'red', 'gray_background', 'brown_background', 'orange_background', 'yellow_background', 'green_background', 'blue_background', 'purple_background', 'pink_background', 'red_background'], 'type': 'string'}, 'italic': {'description': 'Whether text is italic', 'type': 'boolean'}, 'strikethrough': {'description': 'Whether text has strikethrough', 'type': 'boolean'}, 'underline': {'description': 'Whether text is underlined', 'type': 'boolean'}}, 'type': 'object'}, 'href': {'description': 'URL for the link', 'type': ['string', 'null']}, 'plain_text': {'description': 'Plain text content without formatting', 'type': 'string'}, 'text': {'additionalProperties': False, 'description': 'Text content', 'properties': {'content': {'description': 'The actual text content', 'type': 'string'}, 'link': {'anyOf': [{'anyOf': [{'not': {}}, {'additionalProperties': False, 'properties': {'url': {'description': 'URL for the link', 'format': 'uri', 'type': 'string'}}, 'required': ['url'], 'type': 'object'}]}, {'type': 'null'}], 'description': 'Optional link associated with the text'}}, 'required': ['content'], 'type': 'object'}, 'type': {'const': 'text', 'description': 'Type of rich text content', 'type': 'string'}}, 'required': ['type', 'text'], 'type': 'object'}, {'additionalProperties': False, 'description': 'Equation rich text item request', 'properties': {'annotations': {'$ref': '#/properties/children/items/anyOf/0/properties/paragraph/properties/rich_text/items/anyOf/0/properties/annotations', 'description': 'Text formatting annotations'}, 'equation': {'additionalProperties': False, 'description': 'Equation content', 'properties': {'expression': {'description': 'LaTeX equation expression', 'type': 'string'}}, 'required': ['expression'], 'type': 'object'}, 'href': {'description': 'URL for the link', 'type': ['string', 'null']}, 'plain_text': {'description': 'Plain text content without formatting', 'type': 'string'}, 'type': {'const': 'equation', 'description': 'Type of equation content', 'type': 'string'}}, 'required': ['type', 'equation'], 'type': 'object'}, {'additionalProperties': False, 'description': 'Mention rich text item request', 'properties': {'annotations': {'$ref': '#/properties/children/items/anyOf/0/properties/paragraph/properties/rich_text/items/anyOf/0/properties/annotations', 'description': 'Text formatting annotations'}, 'href': {'description': 'URL for the link', 'type': ['string', 'null']}, 'mention': {'anyOf': [{'additionalProperties': False, 'description': 'Schema for a date mention block request', 'properties': {'date': {'additionalProperties': False, 'description': 'Contains the date information', 'properties': {'end': {'description': 'The optional end date in YYYY-MM-DD format', 'type': ['string', 'null']}, 'start': {'description': 'The start date in YYYY-MM-DD format', 'type': 'string'}}, 'required': ['start'], 'type': 'object'}, 'type': {'const': 'date', 'description': 'Specifies this is a date mention type', 'type': 'string'}}, 'required': ['type', 'date'], 'type': 'object'}, {'additionalProperties': False, 'description': 'Schema for a user mention block request', 'properties': {'type': {'const': 'user', 'description': 'Specifies this is a user mention type', 'type': 'string'}, 'user': {'additionalProperties': False, 'description': 'Contains the user reference information', 'properties': {'id': {'description': 'The unique ID that identifies this specific user', 'type': 'string'}, 'object': {'const': 'user', 'description': 'Identifies this object as a user type', 'type': 'string'}}, 'required': ['id'], 'type': 'object'}}, 'required': ['type', 'user'], 'type': 'object'}, {'additionalProperties': False, 'description': 'Schema for a page mention block request', 'properties': {'page': {'additionalProperties': False, 'description': 'Contains the page reference information', 'properties': {'id': {'description': 'The unique ID that identifies this specific page', 'type': 'string'}}, 'required': ['id'], 'type': 'object'}, 'type': {'const': 'page', 'description': 'Specifies this is a page mention type', 'type': 'string'}}, 'required': ['type', 'page'], 'type': 'object'}, {'additionalProperties': False, 'description': 'Schema for a database mention block request', 'properties': {'database': {'additionalProperties': False, 'description': 'Contains the database reference information', 'properties': {'id': {'description': 'The unique ID that identifies this specific database', 'type': 'string'}}, 'required': ['id'], 'type': 'object'}, 'type': {'const': 'database', 'description': 'Specifies this is a database mention type', 'type': 'string'}}, 'required': ['type', 'database'], 'type': 'object'}, {'additionalProperties': False, 'description': 'Schema for a template mention user block request', 'properties': {'template_mention': {'additionalProperties': False, 'description': 'Contains the template mention user information', 'properties': {'template_mention_user': {'const': 'me', 'description': 'Template mention user value', 'type': 'string'}, 'type': {'const': 'template_mention_user', 'description': 'Specifies this is a template mention user type', 'type': 'string'}}, 'required': ['type', 'template_mention_user'], 'type': 'object'}, 'type': {'const': 'template_mention', 'description': 'Specifies this is a template mention type', 'type': 'string'}}, 'required': ['type', 'template_mention'], 'type': 'object'}, {'additionalProperties': False, 'description': 'Schema for a template mention date block request', 'properties': {'template_mention': {'additionalProperties': False, 'description': 'Contains the template mention date information', 'properties': {'template_mention_date': {'const': 'today', 'description': 'Template mention date value', 'type': 'string'}, 'type': {'const': 'template_mention_date', 'description': 'Specifies this is a template mention date type', 'type': 'string'}}, 'required': ['type', 'template_mention_date'], 'type': 'object'}, 'type': {'const': 'template_mention', 'description': 'Specifies this is a template mention type', 'type': 'string'}}, 'required': ['type', 'template_mention'], 'type': 'object'}], 'description': 'Mention content'}, 'plain_text': {'description': 'Plain text content without formatting', 'type': 'string'}, 'type': {'const': 'mention', 'description': 'Type of mention content', 'type': 'string'}}, 'required': ['type', 'mention'], 'type': 'object'}], 'description': 'Union of all possible rich text item request types'}, 'type': 'array'}}, 'required': ['rich_text'], 'type': 'object'}, 'type': {'const': 'paragraph', 'description': 'Paragraph block type', 'type': 'string'}}, 'required': ['type', 'paragraph'], 'type': 'object'}, {'additionalProperties': False, 'properties': {'archived': {'$ref': '#/properties/children/items/anyOf/0/properties/archived'}, 'created_time': {'$ref': '#/properties/children/items/anyOf/0/properties/created_time'}, 'has_children': {'$ref': '#/properties/children/items/anyOf/0/properties/has_children'}, 'heading_1': {'additionalProperties': False, 'description': 'Heading 1 block content', 'properties': {'color': {'$ref': '#/properties/children/items/anyOf/0/properties/paragraph/properties/color'}, 'is_toggleable': {'description': 'Whether heading can be toggled', 'type': 'boolean'}, 'rich_text': {'$ref': '#/properties/children/items/anyOf/0/properties/paragraph/properties/rich_text'}}, 'required': ['rich_text'], 'type': 'object'}, 'last_edited_time': {'$ref': '#/properties/children/items/anyOf/0/properties/last_edited_time'}, 'object': {'$ref': '#/properties/children/items/anyOf/0/properties/object'}, 'type': {'const': 'heading_1', 'description': 'Heading 1 block type', 'type': 'string'}}, 'required': ['type', 'heading_1'], 'type': 'object'}, {'additionalProperties': False, 'properties': {'archived': {'$ref': '#/properties/children/items/anyOf/0/properties/archived'}, 'created_time': {'$ref': '#/properties/children/items/anyOf/0/properties/created_time'}, 'has_children': {'$ref': '#/properties/children/items/anyOf/0/properties/has_children'}, 'heading_2': {'additionalProperties': False, 'description': 'Heading 2 block content', 'properties': {'color': {'$ref': '#/properties/children/items/anyOf/0/properties/paragraph/properties/color'}, 'is_toggleable': {'description': 'Whether heading can be toggled', 'type': 'boolean'}, 'rich_text': {'$ref': '#/properties/children/items/anyOf/0/properties/paragraph/properties/rich_text'}}, 'required': ['rich_text'], 'type': 'object'}, 'last_edited_time': {'$ref': '#/properties/children/items/anyOf/0/properties/last_edited_time'}, 'object': {'$ref': '#/properties/children/items/anyOf/0/properties/object'}, 'type': {'const': 'heading_2', 'description': 'Heading 2 block type', 'type': 'string'}}, 'required': ['type', 'heading_2'], 'type': 'object'}, {'additionalProperties': False, 'properties': {'archived': {'$ref': '#/properties/children/items/anyOf/0/properties/archived'}, 'created_time': {'$ref': '#/properties/children/items/anyOf/0/properties/created_time'}, 'has_children': {'$ref': '#/properties/children/items/anyOf/0/properties/has_children'}, 'heading_3': {'additionalProperties': False, 'description': 'Heading 3 block content', 'properties': {'color': {'$ref': '#/properties/children/items/anyOf/0/properties/paragraph/properties/color'}, 'is_toggleable': {'description': 'Whether heading can be toggled', 'type': 'boolean'}, 'rich_text': {'$ref': '#/properties/children/items/anyOf/0/properties/paragraph/properties/rich_text'}}, 'required': ['rich_text'], 'type': 'object'}, 'last_edited_time': {'$ref': '#/properties/children/items/anyOf/0/properties/last_edited_time'}, 'object': {'$ref': '#/properties/children/items/anyOf/0/properties/object'}, 'type': {'const': 'heading_3', 'description': 'Heading 3 block type', 'type': 'string'}}, 'required': ['type', 'heading_3'], 'type': 'object'}, {'additionalProperties': False, 'properties': {'archived': {'$ref': '#/properties/children/items/anyOf/0/properties/archived'}, 'created_time': {'$ref': '#/properties/children/items/anyOf/0/properties/created_time'}, 'has_children': {'$ref': '#/properties/children/items/anyOf/0/properties/has_children'}, 'last_edited_time': {'$ref': '#/properties/children/items/anyOf/0/properties/last_edited_time'}, 'object': {'$ref': '#/properties/children/items/anyOf/0/properties/object'}, 'quote': {'additionalProperties': False, 'description': 'Quote block content', 'properties': {'color': {'$ref': '#/properties/children/items/anyOf/0/properties/paragraph/properties/color'}, 'rich_text': {'$ref': '#/properties/children/items/anyOf/0/properties/paragraph/properties/rich_text'}}, 'required': ['rich_text'], 'type': 'object'}, 'type': {'const': 'quote', 'description': 'Quote block type', 'type': 'string'}}, 'required': ['type', 'quote'], 'type': 'object'}, {'additionalProperties': False, 'properties': {'archived': {'$ref': '#/properties/children/items/anyOf/0/properties/archived'}, 'callout': {'additionalProperties': False, 'description': 'Callout block content', 'properties': {'color': {'$ref': '#/properties/children/items/anyOf/0/properties/paragraph/properties/color'}, 'icon': {'additionalProperties': False, 'description': 'Icon for the callout', 'properties': {'emoji': {'type': 'string'}, 'type': {'const': 'emoji', 'type': 'string'}}, 'required': ['emoji', 'type'], 'type': 'object'}, 'rich_text': {'$ref': '#/properties/children/items/anyOf/0/properties/paragraph/properties/rich_text'}}, 'required': ['rich_text'], 'type': 'object'}, 'created_time': {'$ref': '#/properties/children/items/anyOf/0/properties/created_time'}, 'has_children': {'$ref': '#/properties/children/items/anyOf/0/properties/has_children'}, 'last_edited_time': {'$ref': '#/properties/children/items/anyOf/0/properties/last_edited_time'}, 'object': {'$ref': '#/properties/children/items/anyOf/0/properties/object'}, 'type': {'const': 'callout', 'description': 'Callout block type', 'type': 'string'}}, 'required': ['type', 'callout'], 'type': 'object'}, {'additionalProperties': False, 'properties': {'archived': {'$ref': '#/properties/children/items/anyOf/0/properties/archived'}, 'created_time': {'$ref': '#/properties/children/items/anyOf/0/properties/created_time'}, 'has_children': {'$ref': '#/properties/children/items/anyOf/0/properties/has_children'}, 'last_edited_time': {'$ref': '#/properties/children/items/anyOf/0/properties/last_edited_time'}, 'object': {'$ref': '#/properties/children/items/anyOf/0/properties/object'}, 'toggle': {'additionalProperties': False, 'description': 'Toggle block content', 'properties': {'color': {'$ref': '#/properties/children/items/anyOf/0/properties/paragraph/properties/color'}, 'rich_text': {'$ref': '#/properties/children/items/anyOf/0/properties/paragraph/properties/rich_text'}}, 'required': ['rich_text'], 'type': 'object'}, 'type': {'const': 'toggle', 'description': 'Toggle block type', 'type': 'string'}}, 'required': ['type', 'toggle'], 'type': 'object'}, {'additionalProperties': False, 'properties': {'archived': {'$ref': '#/properties/children/items/anyOf/0/properties/archived'}, 'bulleted_list_item': {'additionalProperties': False, 'description': 'Bulleted list item block content', 'properties': {'color': {'$ref': '#/properties/children/items/anyOf/0/properties/paragraph/properties/color'}, 'rich_text': {'$ref': '#/properties/children/items/anyOf/0/properties/paragraph/properties/rich_text'}}, 'required': ['rich_text'], 'type': 'object'}, 'created_time': {'$ref': '#/properties/children/items/anyOf/0/properties/created_time'}, 'has_children': {'$ref': '#/properties/children/items/anyOf/0/properties/has_children'}, 'last_edited_time': {'$ref': '#/properties/children/items/anyOf/0/properties/last_edited_time'}, 'object': {'$ref': '#/properties/children/items/anyOf/0/properties/object'}, 'type': {'const': 'bulleted_list_item', 'description': 'Bulleted list item block type', 'type': 'string'}}, 'required': ['type', 'bulleted_list_item'], 'type': 'object'}, {'additionalProperties': False, 'properties': {'archived': {'$ref': '#/properties/children/items/anyOf/0/properties/archived'}, 'created_time': {'$ref': '#/properties/children/items/anyOf/0/properties/created_time'}, 'has_children': {'$ref': '#/properties/children/items/anyOf/0/properties/has_children'}, 'last_edited_time': {'$ref': '#/properties/children/items/anyOf/0/properties/last_edited_time'}, 'numbered_list_item': {'additionalProperties': False, 'description': 'Numbered list item block content', 'properties': {'color': {'$ref': '#/properties/children/items/anyOf/0/properties/paragraph/properties/color'}, 'rich_text': {'$ref': '#/properties/children/items/anyOf/0/properties/paragraph/properties/rich_text'}}, 'required': ['rich_text'], 'type': 'object'}, 'object': {'$ref': '#/properties/children/items/anyOf/0/properties/object'}, 'type': {'const': 'numbered_list_item', 'description': 'Numbered list item block type', 'type': 'string'}}, 'required': ['type', 'numbered_list_item'], 'type': 'object'}, {'additionalProperties': False, 'properties': {'archived': {'$ref': '#/properties/children/items/anyOf/0/properties/archived'}, 'created_time': {'$ref': '#/properties/children/items/anyOf/0/properties/created_time'}, 'has_children': {'$ref': '#/properties/children/items/anyOf/0/properties/has_children'}, 'last_edited_time': {'$ref': '#/properties/children/items/anyOf/0/properties/last_edited_time'}, 'object': {'$ref': '#/properties/children/items/anyOf/0/properties/object'}, 'to_do': {'additionalProperties': False, 'description': 'To-do block content', 'properties': {'checked': {'description': 'Whether the to-do is checked', 'type': 'boolean'}, 'color': {'$ref': '#/properties/children/items/anyOf/0/properties/paragraph/properties/color'}, 'rich_text': {'$ref': '#/properties/children/items/anyOf/0/properties/paragraph/properties/rich_text'}}, 'required': ['rich_text'], 'type': 'object'}, 'type': {'const': 'to_do', 'description': 'To-do block type', 'type': 'string'}}, 'required': ['type', 'to_do'], 'type': 'object'}, {'additionalProperties': False, 'properties': {'archived': {'$ref': '#/properties/children/items/anyOf/0/properties/archived'}, 'code': {'additionalProperties': False, 'description': 'Code block content', 'properties': {'color': {'$ref': '#/properties/children/items/anyOf/0/properties/paragraph/properties/color'}, 'language': {'description': 'Programming language for code blocks', 'enum': ['abap', 'arduino', 'bash', 'basic', 'c', 'clojure', 'coffeescript', 'c++', 'c#', 'css', 'dart', 'diff', 'docker', 'elixir', 'elm', 'erlang', 'flow', 'fortran', 'f#', 'gherkin', 'glsl', 'go', 'graphql', 'groovy', 'haskell', 'html', 'java', 'javascript', 'json', 'julia', 'kotlin', 'latex', 'less', 'lisp', 'livescript', 'lua', 'makefile', 'markdown', 'markup', 'matlab', 'mermaid', 'nix', 'objective-c', 'ocaml', 'pascal', 'perl', 'php', 'plain text', 'powershell', 'prolog', 'protobuf', 'python', 'r', 'reason', 'ruby', 'rust', 'sass', 'scala', 'scheme', 'scss', 'shell', 'sql', 'swift', 'typescript', 'vb.net', 'verilog', 'vhdl', 'visual basic', 'webassembly', 'xml', 'yaml', 'java/c/c++/c#'], 'type': 'string'}, 'rich_text': {'$ref': '#/properties/children/items/anyOf/0/properties/paragraph/properties/rich_text'}}, 'required': ['rich_text', 'language'], 'type': 'object'}, 'created_time': {'$ref': '#/properties/children/items/anyOf/0/properties/created_time'}, 'has_children': {'$ref': '#/properties/children/items/anyOf/0/properties/has_children'}, 'last_edited_time': {'$ref': '#/properties/children/items/anyOf/0/properties/last_edited_time'}, 'object': {'$ref': '#/properties/children/items/anyOf/0/properties/object'}, 'type': {'const': 'code', 'description': 'Code block type', 'type': 'string'}}, 'required': ['type', 'code'], 'type': 'object'}, {'additionalProperties': False, 'properties': {'archived': {'$ref': '#/properties/children/items/anyOf/0/properties/archived'}, 'created_time': {'$ref': '#/properties/children/items/anyOf/0/properties/created_time'}, 'divider': {'additionalProperties': False, 'description': 'Divider block content', 'properties': {}, 'type': 'object'}, 'has_children': {'$ref': '#/properties/children/items/anyOf/0/properties/has_children'}, 'last_edited_time': {'$ref': '#/properties/children/items/anyOf/0/properties/last_edited_time'}, 'object': {'$ref': '#/properties/children/items/anyOf/0/properties/object'}, 'type': {'const': 'divider', 'description': 'Divider block type', 'type': 'string'}}, 'required': ['type', 'divider'], 'type': 'object'}, {'additionalProperties': False, 'properties': {'archived': {'$ref': '#/properties/children/items/anyOf/0/properties/archived'}, 'created_time': {'$ref': '#/properties/children/items/anyOf/0/properties/created_time'}, 'has_children': {'$ref': '#/properties/children/items/anyOf/0/properties/has_children'}, 'image': {'additionalProperties': False, 'description': 'Image block content', 'properties': {'caption': {'description': 'Image caption', 'items': {'$ref': '#/properties/children/items/anyOf/0/properties/paragraph/properties/rich_text/items'}, 'type': 'array'}, 'external': {'additionalProperties': False, 'description': 'External file source', 'properties': {'url': {'description': 'URL of the external file', 'format': 'uri', 'type': 'string'}}, 'required': ['url'], 'type': 'object'}, 'type': {'const': 'external', 'description': 'Type of file source', 'type': 'string'}}, 'required': ['external', 'type'], 'type': 'object'}, 'last_edited_time': {'$ref': '#/properties/children/items/anyOf/0/properties/last_edited_time'}, 'object': {'$ref': '#/properties/children/items/anyOf/0/properties/object'}, 'type': {'const': 'image', 'description': 'Image block type', 'type': 'string'}}, 'required': ['type', 'image'], 'type': 'object'}], 'description': 'Union of all possible text block request types'}, 'type': 'array'}}, 'required': ['blockId', 'children'], 'type': 'object'}, description="""Append child blocks to a parent block in Notion"""), # awkoy/notion-mcp-server/append_block_children
    Tool(name="""notion-mcp-server_retrieve_block""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'blockId': {'description': 'The ID of the block to retrieve', 'type': 'string'}}, 'required': ['blockId'], 'type': 'object'}, description="""Retrieve a block from Notion by ID"""), # awkoy/notion-mcp-server/retrieve_block
    Tool(name="""notion-mcp-server_retrieve_block_children""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'blockId': {'description': 'The ID of the block to retrieve children for', 'type': 'string'}, 'page_size': {'description': 'Number of results to return (1-100)', 'maximum': 100, 'minimum': 1, 'type': 'number'}, 'start_cursor': {'description': 'Cursor for pagination', 'type': 'string'}}, 'required': ['blockId'], 'type': 'object'}, description="""Retrieve the children of a block from Notion"""), # awkoy/notion-mcp-server/retrieve_block_children
    Tool(name="""notion-mcp-server_update_block""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'blockId': {'description': 'The ID of the block to update', 'type': 'string'}, 'data': {'anyOf': [{'additionalProperties': False, 'properties': {'archived': {'description': 'Whether block is archived', 'type': 'boolean'}, 'created_time': {'description': 'ISO timestamp of block creation', 'type': 'string'}, 'has_children': {'description': 'Whether block has child blocks', 'type': 'boolean'}, 'last_edited_time': {'description': 'ISO timestamp of last edit', 'type': 'string'}, 'object': {'const': 'block', 'description': 'Object type identifier', 'type': 'string'}, 'paragraph': {'additionalProperties': False, 'description': 'Paragraph block content', 'properties': {'color': {'$ref': '#/properties/data/anyOf/0/properties/paragraph/properties/rich_text/items/anyOf/0/properties/annotations/properties/color', 'description': 'Color of the block'}, 'rich_text': {'description': 'Array of rich text content', 'items': {'anyOf': [{'additionalProperties': False, 'description': 'Text rich text item request', 'properties': {'annotations': {'additionalProperties': False, 'description': 'Text formatting annotations', 'properties': {'bold': {'description': 'Whether text is bold', 'type': 'boolean'}, 'code': {'description': 'Whether text is code formatted', 'type': 'boolean'}, 'color': {'description': 'Color of the text', 'enum': ['default', 'gray', 'brown', 'orange', 'yellow', 'green', 'blue', 'purple', 'pink', 'red', 'gray_background', 'brown_background', 'orange_background', 'yellow_background', 'green_background', 'blue_background', 'purple_background', 'pink_background', 'red_background'], 'type': 'string'}, 'italic': {'description': 'Whether text is italic', 'type': 'boolean'}, 'strikethrough': {'description': 'Whether text has strikethrough', 'type': 'boolean'}, 'underline': {'description': 'Whether text is underlined', 'type': 'boolean'}}, 'type': 'object'}, 'href': {'description': 'URL for the link', 'type': ['string', 'null']}, 'plain_text': {'description': 'Plain text content without formatting', 'type': 'string'}, 'text': {'additionalProperties': False, 'description': 'Text content', 'properties': {'content': {'description': 'The actual text content', 'type': 'string'}, 'link': {'anyOf': [{'anyOf': [{'not': {}}, {'additionalProperties': False, 'properties': {'url': {'description': 'URL for the link', 'format': 'uri', 'type': 'string'}}, 'required': ['url'], 'type': 'object'}]}, {'type': 'null'}], 'description': 'Optional link associated with the text'}}, 'required': ['content'], 'type': 'object'}, 'type': {'const': 'text', 'description': 'Type of rich text content', 'type': 'string'}}, 'required': ['type', 'text'], 'type': 'object'}, {'additionalProperties': False, 'description': 'Equation rich text item request', 'properties': {'annotations': {'$ref': '#/properties/data/anyOf/0/properties/paragraph/properties/rich_text/items/anyOf/0/properties/annotations', 'description': 'Text formatting annotations'}, 'equation': {'additionalProperties': False, 'description': 'Equation content', 'properties': {'expression': {'description': 'LaTeX equation expression', 'type': 'string'}}, 'required': ['expression'], 'type': 'object'}, 'href': {'description': 'URL for the link', 'type': ['string', 'null']}, 'plain_text': {'description': 'Plain text content without formatting', 'type': 'string'}, 'type': {'const': 'equation', 'description': 'Type of equation content', 'type': 'string'}}, 'required': ['type', 'equation'], 'type': 'object'}, {'additionalProperties': False, 'description': 'Mention rich text item request', 'properties': {'annotations': {'$ref': '#/properties/data/anyOf/0/properties/paragraph/properties/rich_text/items/anyOf/0/properties/annotations', 'description': 'Text formatting annotations'}, 'href': {'description': 'URL for the link', 'type': ['string', 'null']}, 'mention': {'anyOf': [{'additionalProperties': False, 'description': 'Schema for a date mention block request', 'properties': {'date': {'additionalProperties': False, 'description': 'Contains the date information', 'properties': {'end': {'description': 'The optional end date in YYYY-MM-DD format', 'type': ['string', 'null']}, 'start': {'description': 'The start date in YYYY-MM-DD format', 'type': 'string'}}, 'required': ['start'], 'type': 'object'}, 'type': {'const': 'date', 'description': 'Specifies this is a date mention type', 'type': 'string'}}, 'required': ['type', 'date'], 'type': 'object'}, {'additionalProperties': False, 'description': 'Schema for a user mention block request', 'properties': {'type': {'const': 'user', 'description': 'Specifies this is a user mention type', 'type': 'string'}, 'user': {'additionalProperties': False, 'description': 'Contains the user reference information', 'properties': {'id': {'description': 'The unique ID that identifies this specific user', 'type': 'string'}, 'object': {'const': 'user', 'description': 'Identifies this object as a user type', 'type': 'string'}}, 'required': ['id'], 'type': 'object'}}, 'required': ['type', 'user'], 'type': 'object'}, {'additionalProperties': False, 'description': 'Schema for a page mention block request', 'properties': {'page': {'additionalProperties': False, 'description': 'Contains the page reference information', 'properties': {'id': {'description': 'The unique ID that identifies this specific page', 'type': 'string'}}, 'required': ['id'], 'type': 'object'}, 'type': {'const': 'page', 'description': 'Specifies this is a page mention type', 'type': 'string'}}, 'required': ['type', 'page'], 'type': 'object'}, {'additionalProperties': False, 'description': 'Schema for a database mention block request', 'properties': {'database': {'additionalProperties': False, 'description': 'Contains the database reference information', 'properties': {'id': {'description': 'The unique ID that identifies this specific database', 'type': 'string'}}, 'required': ['id'], 'type': 'object'}, 'type': {'const': 'database', 'description': 'Specifies this is a database mention type', 'type': 'string'}}, 'required': ['type', 'database'], 'type': 'object'}, {'additionalProperties': False, 'description': 'Schema for a template mention user block request', 'properties': {'template_mention': {'additionalProperties': False, 'description': 'Contains the template mention user information', 'properties': {'template_mention_user': {'const': 'me', 'description': 'Template mention user value', 'type': 'string'}, 'type': {'const': 'template_mention_user', 'description': 'Specifies this is a template mention user type', 'type': 'string'}}, 'required': ['type', 'template_mention_user'], 'type': 'object'}, 'type': {'const': 'template_mention', 'description': 'Specifies this is a template mention type', 'type': 'string'}}, 'required': ['type', 'template_mention'], 'type': 'object'}, {'additionalProperties': False, 'description': 'Schema for a template mention date block request', 'properties': {'template_mention': {'additionalProperties': False, 'description': 'Contains the template mention date information', 'properties': {'template_mention_date': {'const': 'today', 'description': 'Template mention date value', 'type': 'string'}, 'type': {'const': 'template_mention_date', 'description': 'Specifies this is a template mention date type', 'type': 'string'}}, 'required': ['type', 'template_mention_date'], 'type': 'object'}, 'type': {'const': 'template_mention', 'description': 'Specifies this is a template mention type', 'type': 'string'}}, 'required': ['type', 'template_mention'], 'type': 'object'}], 'description': 'Mention content'}, 'plain_text': {'description': 'Plain text content without formatting', 'type': 'string'}, 'type': {'const': 'mention', 'description': 'Type of mention content', 'type': 'string'}}, 'required': ['type', 'mention'], 'type': 'object'}], 'description': 'Union of all possible rich text item request types'}, 'type': 'array'}}, 'required': ['rich_text'], 'type': 'object'}, 'type': {'const': 'paragraph', 'description': 'Paragraph block type', 'type': 'string'}}, 'required': ['type', 'paragraph'], 'type': 'object'}, {'additionalProperties': False, 'properties': {'archived': {'$ref': '#/properties/data/anyOf/0/properties/archived'}, 'created_time': {'$ref': '#/properties/data/anyOf/0/properties/created_time'}, 'has_children': {'$ref': '#/properties/data/anyOf/0/properties/has_children'}, 'heading_1': {'additionalProperties': False, 'description': 'Heading 1 block content', 'properties': {'color': {'$ref': '#/properties/data/anyOf/0/properties/paragraph/properties/color'}, 'is_toggleable': {'description': 'Whether heading can be toggled', 'type': 'boolean'}, 'rich_text': {'$ref': '#/properties/data/anyOf/0/properties/paragraph/properties/rich_text'}}, 'required': ['rich_text'], 'type': 'object'}, 'last_edited_time': {'$ref': '#/properties/data/anyOf/0/properties/last_edited_time'}, 'object': {'$ref': '#/properties/data/anyOf/0/properties/object'}, 'type': {'const': 'heading_1', 'description': 'Heading 1 block type', 'type': 'string'}}, 'required': ['type', 'heading_1'], 'type': 'object'}, {'additionalProperties': False, 'properties': {'archived': {'$ref': '#/properties/data/anyOf/0/properties/archived'}, 'created_time': {'$ref': '#/properties/data/anyOf/0/properties/created_time'}, 'has_children': {'$ref': '#/properties/data/anyOf/0/properties/has_children'}, 'heading_2': {'additionalProperties': False, 'description': 'Heading 2 block content', 'properties': {'color': {'$ref': '#/properties/data/anyOf/0/properties/paragraph/properties/color'}, 'is_toggleable': {'description': 'Whether heading can be toggled', 'type': 'boolean'}, 'rich_text': {'$ref': '#/properties/data/anyOf/0/properties/paragraph/properties/rich_text'}}, 'required': ['rich_text'], 'type': 'object'}, 'last_edited_time': {'$ref': '#/properties/data/anyOf/0/properties/last_edited_time'}, 'object': {'$ref': '#/properties/data/anyOf/0/properties/object'}, 'type': {'const': 'heading_2', 'description': 'Heading 2 block type', 'type': 'string'}}, 'required': ['type', 'heading_2'], 'type': 'object'}, {'additionalProperties': False, 'properties': {'archived': {'$ref': '#/properties/data/anyOf/0/properties/archived'}, 'created_time': {'$ref': '#/properties/data/anyOf/0/properties/created_time'}, 'has_children': {'$ref': '#/properties/data/anyOf/0/properties/has_children'}, 'heading_3': {'additionalProperties': False, 'description': 'Heading 3 block content', 'properties': {'color': {'$ref': '#/properties/data/anyOf/0/properties/paragraph/properties/color'}, 'is_toggleable': {'description': 'Whether heading can be toggled', 'type': 'boolean'}, 'rich_text': {'$ref': '#/properties/data/anyOf/0/properties/paragraph/properties/rich_text'}}, 'required': ['rich_text'], 'type': 'object'}, 'last_edited_time': {'$ref': '#/properties/data/anyOf/0/properties/last_edited_time'}, 'object': {'$ref': '#/properties/data/anyOf/0/properties/object'}, 'type': {'const': 'heading_3', 'description': 'Heading 3 block type', 'type': 'string'}}, 'required': ['type', 'heading_3'], 'type': 'object'}, {'additionalProperties': False, 'properties': {'archived': {'$ref': '#/properties/data/anyOf/0/properties/archived'}, 'created_time': {'$ref': '#/properties/data/anyOf/0/properties/created_time'}, 'has_children': {'$ref': '#/properties/data/anyOf/0/properties/has_children'}, 'last_edited_time': {'$ref': '#/properties/data/anyOf/0/properties/last_edited_time'}, 'object': {'$ref': '#/properties/data/anyOf/0/properties/object'}, 'quote': {'additionalProperties': False, 'description': 'Quote block content', 'properties': {'color': {'$ref': '#/properties/data/anyOf/0/properties/paragraph/properties/color'}, 'rich_text': {'$ref': '#/properties/data/anyOf/0/properties/paragraph/properties/rich_text'}}, 'required': ['rich_text'], 'type': 'object'}, 'type': {'const': 'quote', 'description': 'Quote block type', 'type': 'string'}}, 'required': ['type', 'quote'], 'type': 'object'}, {'additionalProperties': False, 'properties': {'archived': {'$ref': '#/properties/data/anyOf/0/properties/archived'}, 'callout': {'additionalProperties': False, 'description': 'Callout block content', 'properties': {'color': {'$ref': '#/properties/data/anyOf/0/properties/paragraph/properties/color'}, 'icon': {'additionalProperties': False, 'description': 'Icon for the callout', 'properties': {'emoji': {'type': 'string'}, 'type': {'const': 'emoji', 'type': 'string'}}, 'required': ['emoji', 'type'], 'type': 'object'}, 'rich_text': {'$ref': '#/properties/data/anyOf/0/properties/paragraph/properties/rich_text'}}, 'required': ['rich_text'], 'type': 'object'}, 'created_time': {'$ref': '#/properties/data/anyOf/0/properties/created_time'}, 'has_children': {'$ref': '#/properties/data/anyOf/0/properties/has_children'}, 'last_edited_time': {'$ref': '#/properties/data/anyOf/0/properties/last_edited_time'}, 'object': {'$ref': '#/properties/data/anyOf/0/properties/object'}, 'type': {'const': 'callout', 'description': 'Callout block type', 'type': 'string'}}, 'required': ['type', 'callout'], 'type': 'object'}, {'additionalProperties': False, 'properties': {'archived': {'$ref': '#/properties/data/anyOf/0/properties/archived'}, 'created_time': {'$ref': '#/properties/data/anyOf/0/properties/created_time'}, 'has_children': {'$ref': '#/properties/data/anyOf/0/properties/has_children'}, 'last_edited_time': {'$ref': '#/properties/data/anyOf/0/properties/last_edited_time'}, 'object': {'$ref': '#/properties/data/anyOf/0/properties/object'}, 'toggle': {'additionalProperties': False, 'description': 'Toggle block content', 'properties': {'color': {'$ref': '#/properties/data/anyOf/0/properties/paragraph/properties/color'}, 'rich_text': {'$ref': '#/properties/data/anyOf/0/properties/paragraph/properties/rich_text'}}, 'required': ['rich_text'], 'type': 'object'}, 'type': {'const': 'toggle', 'description': 'Toggle block type', 'type': 'string'}}, 'required': ['type', 'toggle'], 'type': 'object'}, {'additionalProperties': False, 'properties': {'archived': {'$ref': '#/properties/data/anyOf/0/properties/archived'}, 'bulleted_list_item': {'additionalProperties': False, 'description': 'Bulleted list item block content', 'properties': {'color': {'$ref': '#/properties/data/anyOf/0/properties/paragraph/properties/color'}, 'rich_text': {'$ref': '#/properties/data/anyOf/0/properties/paragraph/properties/rich_text'}}, 'required': ['rich_text'], 'type': 'object'}, 'created_time': {'$ref': '#/properties/data/anyOf/0/properties/created_time'}, 'has_children': {'$ref': '#/properties/data/anyOf/0/properties/has_children'}, 'last_edited_time': {'$ref': '#/properties/data/anyOf/0/properties/last_edited_time'}, 'object': {'$ref': '#/properties/data/anyOf/0/properties/object'}, 'type': {'const': 'bulleted_list_item', 'description': 'Bulleted list item block type', 'type': 'string'}}, 'required': ['type', 'bulleted_list_item'], 'type': 'object'}, {'additionalProperties': False, 'properties': {'archived': {'$ref': '#/properties/data/anyOf/0/properties/archived'}, 'created_time': {'$ref': '#/properties/data/anyOf/0/properties/created_time'}, 'has_children': {'$ref': '#/properties/data/anyOf/0/properties/has_children'}, 'last_edited_time': {'$ref': '#/properties/data/anyOf/0/properties/last_edited_time'}, 'numbered_list_item': {'additionalProperties': False, 'description': 'Numbered list item block content', 'properties': {'color': {'$ref': '#/properties/data/anyOf/0/properties/paragraph/properties/color'}, 'rich_text': {'$ref': '#/properties/data/anyOf/0/properties/paragraph/properties/rich_text'}}, 'required': ['rich_text'], 'type': 'object'}, 'object': {'$ref': '#/properties/data/anyOf/0/properties/object'}, 'type': {'const': 'numbered_list_item', 'description': 'Numbered list item block type', 'type': 'string'}}, 'required': ['type', 'numbered_list_item'], 'type': 'object'}, {'additionalProperties': False, 'properties': {'archived': {'$ref': '#/properties/data/anyOf/0/properties/archived'}, 'created_time': {'$ref': '#/properties/data/anyOf/0/properties/created_time'}, 'has_children': {'$ref': '#/properties/data/anyOf/0/properties/has_children'}, 'last_edited_time': {'$ref': '#/properties/data/anyOf/0/properties/last_edited_time'}, 'object': {'$ref': '#/properties/data/anyOf/0/properties/object'}, 'to_do': {'additionalProperties': False, 'description': 'To-do block content', 'properties': {'checked': {'description': 'Whether the to-do is checked', 'type': 'boolean'}, 'color': {'$ref': '#/properties/data/anyOf/0/properties/paragraph/properties/color'}, 'rich_text': {'$ref': '#/properties/data/anyOf/0/properties/paragraph/properties/rich_text'}}, 'required': ['rich_text'], 'type': 'object'}, 'type': {'const': 'to_do', 'description': 'To-do block type', 'type': 'string'}}, 'required': ['type', 'to_do'], 'type': 'object'}, {'additionalProperties': False, 'properties': {'archived': {'$ref': '#/properties/data/anyOf/0/properties/archived'}, 'code': {'additionalProperties': False, 'description': 'Code block content', 'properties': {'color': {'$ref': '#/properties/data/anyOf/0/properties/paragraph/properties/color'}, 'language': {'description': 'Programming language for code blocks', 'enum': ['abap', 'arduino', 'bash', 'basic', 'c', 'clojure', 'coffeescript', 'c++', 'c#', 'css', 'dart', 'diff', 'docker', 'elixir', 'elm', 'erlang', 'flow', 'fortran', 'f#', 'gherkin', 'glsl', 'go', 'graphql', 'groovy', 'haskell', 'html', 'java', 'javascript', 'json', 'julia', 'kotlin', 'latex', 'less', 'lisp', 'livescript', 'lua', 'makefile', 'markdown', 'markup', 'matlab', 'mermaid', 'nix', 'objective-c', 'ocaml', 'pascal', 'perl', 'php', 'plain text', 'powershell', 'prolog', 'protobuf', 'python', 'r', 'reason', 'ruby', 'rust', 'sass', 'scala', 'scheme', 'scss', 'shell', 'sql', 'swift', 'typescript', 'vb.net', 'verilog', 'vhdl', 'visual basic', 'webassembly', 'xml', 'yaml', 'java/c/c++/c#'], 'type': 'string'}, 'rich_text': {'$ref': '#/properties/data/anyOf/0/properties/paragraph/properties/rich_text'}}, 'required': ['rich_text', 'language'], 'type': 'object'}, 'created_time': {'$ref': '#/properties/data/anyOf/0/properties/created_time'}, 'has_children': {'$ref': '#/properties/data/anyOf/0/properties/has_children'}, 'last_edited_time': {'$ref': '#/properties/data/anyOf/0/properties/last_edited_time'}, 'object': {'$ref': '#/properties/data/anyOf/0/properties/object'}, 'type': {'const': 'code', 'description': 'Code block type', 'type': 'string'}}, 'required': ['type', 'code'], 'type': 'object'}, {'additionalProperties': False, 'properties': {'archived': {'$ref': '#/properties/data/anyOf/0/properties/archived'}, 'created_time': {'$ref': '#/properties/data/anyOf/0/properties/created_time'}, 'divider': {'additionalProperties': False, 'description': 'Divider block content', 'properties': {}, 'type': 'object'}, 'has_children': {'$ref': '#/properties/data/anyOf/0/properties/has_children'}, 'last_edited_time': {'$ref': '#/properties/data/anyOf/0/properties/last_edited_time'}, 'object': {'$ref': '#/properties/data/anyOf/0/properties/object'}, 'type': {'const': 'divider', 'description': 'Divider block type', 'type': 'string'}}, 'required': ['type', 'divider'], 'type': 'object'}, {'additionalProperties': False, 'properties': {'archived': {'$ref': '#/properties/data/anyOf/0/properties/archived'}, 'created_time': {'$ref': '#/properties/data/anyOf/0/properties/created_time'}, 'has_children': {'$ref': '#/properties/data/anyOf/0/properties/has_children'}, 'image': {'additionalProperties': False, 'description': 'Image block content', 'properties': {'caption': {'description': 'Image caption', 'items': {'$ref': '#/properties/data/anyOf/0/properties/paragraph/properties/rich_text/items'}, 'type': 'array'}, 'external': {'additionalProperties': False, 'description': 'External file source', 'properties': {'url': {'description': 'URL of the external file', 'format': 'uri', 'type': 'string'}}, 'required': ['url'], 'type': 'object'}, 'type': {'const': 'external', 'description': 'Type of file source', 'type': 'string'}}, 'required': ['external', 'type'], 'type': 'object'}, 'last_edited_time': {'$ref': '#/properties/data/anyOf/0/properties/last_edited_time'}, 'object': {'$ref': '#/properties/data/anyOf/0/properties/object'}, 'type': {'const': 'image', 'description': 'Image block type', 'type': 'string'}}, 'required': ['type', 'image'], 'type': 'object'}], 'description': 'The block data to update'}}, 'required': ['blockId', 'data'], 'type': 'object'}, description="""Update a block's content in Notion"""), # awkoy/notion-mcp-server/update_block
    Tool(name="""notion-mcp-server_delete_block""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'blockId': {'description': 'The ID of the block to delete/archive', 'type': 'string'}}, 'required': ['blockId'], 'type': 'object'}, description="""Delete (move to trash) a block in Notion"""), # awkoy/notion-mcp-server/delete_block
    Tool(name="""notion-mcp-server_batch_append_block_children""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'operations': {'description': 'Array of append operations to perform in a single batch', 'items': {'additionalProperties': False, 'properties': {'blockId': {'description': 'The ID of the block to append children to', 'type': 'string'}, 'children': {'description': 'Array of blocks to append as children', 'items': {'anyOf': [{'additionalProperties': False, 'properties': {'archived': {'description': 'Whether block is archived', 'type': 'boolean'}, 'created_time': {'description': 'ISO timestamp of block creation', 'type': 'string'}, 'has_children': {'description': 'Whether block has child blocks', 'type': 'boolean'}, 'last_edited_time': {'description': 'ISO timestamp of last edit', 'type': 'string'}, 'object': {'const': 'block', 'description': 'Object type identifier', 'type': 'string'}, 'paragraph': {'additionalProperties': False, 'description': 'Paragraph block content', 'properties': {'color': {'$ref': '#/properties/operations/items/properties/children/items/anyOf/0/properties/paragraph/properties/rich_text/items/anyOf/0/properties/annotations/properties/color', 'description': 'Color of the block'}, 'rich_text': {'description': 'Array of rich text content', 'items': {'anyOf': [{'additionalProperties': False, 'description': 'Text rich text item request', 'properties': {'annotations': {'additionalProperties': False, 'description': 'Text formatting annotations', 'properties': {'bold': {'description': 'Whether text is bold', 'type': 'boolean'}, 'code': {'description': 'Whether text is code formatted', 'type': 'boolean'}, 'color': {'description': 'Color of the text', 'enum': ['default', 'gray', 'brown', 'orange', 'yellow', 'green', 'blue', 'purple', 'pink', 'red', 'gray_background', 'brown_background', 'orange_background', 'yellow_background', 'green_background', 'blue_background', 'purple_background', 'pink_background', 'red_background'], 'type': 'string'}, 'italic': {'description': 'Whether text is italic', 'type': 'boolean'}, 'strikethrough': {'description': 'Whether text has strikethrough', 'type': 'boolean'}, 'underline': {'description': 'Whether text is underlined', 'type': 'boolean'}}, 'type': 'object'}, 'href': {'description': 'URL for the link', 'type': ['string', 'null']}, 'plain_text': {'description': 'Plain text content without formatting', 'type': 'string'}, 'text': {'additionalProperties': False, 'description': 'Text content', 'properties': {'content': {'description': 'The actual text content', 'type': 'string'}, 'link': {'anyOf': [{'anyOf': [{'not': {}}, {'additionalProperties': False, 'properties': {'url': {'description': 'URL for the link', 'format': 'uri', 'type': 'string'}}, 'required': ['url'], 'type': 'object'}]}, {'type': 'null'}], 'description': 'Optional link associated with the text'}}, 'required': ['content'], 'type': 'object'}, 'type': {'const': 'text', 'description': 'Type of rich text content', 'type': 'string'}}, 'required': ['type', 'text'], 'type': 'object'}, {'additionalProperties': False, 'description': 'Equation rich text item request', 'properties': {'annotations': {'$ref': '#/properties/operations/items/properties/children/items/anyOf/0/properties/paragraph/properties/rich_text/items/anyOf/0/properties/annotations', 'description': 'Text formatting annotations'}, 'equation': {'additionalProperties': False, 'description': 'Equation content', 'properties': {'expression': {'description': 'LaTeX equation expression', 'type': 'string'}}, 'required': ['expression'], 'type': 'object'}, 'href': {'description': 'URL for the link', 'type': ['string', 'null']}, 'plain_text': {'description': 'Plain text content without formatting', 'type': 'string'}, 'type': {'const': 'equation', 'description': 'Type of equation content', 'type': 'string'}}, 'required': ['type', 'equation'], 'type': 'object'}, {'additionalProperties': False, 'description': 'Mention rich text item request', 'properties': {'annotations': {'$ref': '#/properties/operations/items/properties/children/items/anyOf/0/properties/paragraph/properties/rich_text/items/anyOf/0/properties/annotations', 'description': 'Text formatting annotations'}, 'href': {'description': 'URL for the link', 'type': ['string', 'null']}, 'mention': {'anyOf': [{'additionalProperties': False, 'description': 'Schema for a date mention block request', 'properties': {'date': {'additionalProperties': False, 'description': 'Contains the date information', 'properties': {'end': {'description': 'The optional end date in YYYY-MM-DD format', 'type': ['string', 'null']}, 'start': {'description': 'The start date in YYYY-MM-DD format', 'type': 'string'}}, 'required': ['start'], 'type': 'object'}, 'type': {'const': 'date', 'description': 'Specifies this is a date mention type', 'type': 'string'}}, 'required': ['type', 'date'], 'type': 'object'}, {'additionalProperties': False, 'description': 'Schema for a user mention block request', 'properties': {'type': {'const': 'user', 'description': 'Specifies this is a user mention type', 'type': 'string'}, 'user': {'additionalProperties': False, 'description': 'Contains the user reference information', 'properties': {'id': {'description': 'The unique ID that identifies this specific user', 'type': 'string'}, 'object': {'const': 'user', 'description': 'Identifies this object as a user type', 'type': 'string'}}, 'required': ['id'], 'type': 'object'}}, 'required': ['type', 'user'], 'type': 'object'}, {'additionalProperties': False, 'description': 'Schema for a page mention block request', 'properties': {'page': {'additionalProperties': False, 'description': 'Contains the page reference information', 'properties': {'id': {'description': 'The unique ID that identifies this specific page', 'type': 'string'}}, 'required': ['id'], 'type': 'object'}, 'type': {'const': 'page', 'description': 'Specifies this is a page mention type', 'type': 'string'}}, 'required': ['type', 'page'], 'type': 'object'}, {'additionalProperties': False, 'description': 'Schema for a database mention block request', 'properties': {'database': {'additionalProperties': False, 'description': 'Contains the database reference information', 'properties': {'id': {'description': 'The unique ID that identifies this specific database', 'type': 'string'}}, 'required': ['id'], 'type': 'object'}, 'type': {'const': 'database', 'description': 'Specifies this is a database mention type', 'type': 'string'}}, 'required': ['type', 'database'], 'type': 'object'}, {'additionalProperties': False, 'description': 'Schema for a template mention user block request', 'properties': {'template_mention': {'additionalProperties': False, 'description': 'Contains the template mention user information', 'properties': {'template_mention_user': {'const': 'me', 'description': 'Template mention user value', 'type': 'string'}, 'type': {'const': 'template_mention_user', 'description': 'Specifies this is a template mention user type', 'type': 'string'}}, 'required': ['type', 'template_mention_user'], 'type': 'object'}, 'type': {'const': 'template_mention', 'description': 'Specifies this is a template mention type', 'type': 'string'}}, 'required': ['type', 'template_mention'], 'type': 'object'}, {'additionalProperties': False, 'description': 'Schema for a template mention date block request', 'properties': {'template_mention': {'additionalProperties': False, 'description': 'Contains the template mention date information', 'properties': {'template_mention_date': {'const': 'today', 'description': 'Template mention date value', 'type': 'string'}, 'type': {'const': 'template_mention_date', 'description': 'Specifies this is a template mention date type', 'type': 'string'}}, 'required': ['type', 'template_mention_date'], 'type': 'object'}, 'type': {'const': 'template_mention', 'description': 'Specifies this is a template mention type', 'type': 'string'}}, 'required': ['type', 'template_mention'], 'type': 'object'}], 'description': 'Mention content'}, 'plain_text': {'description': 'Plain text content without formatting', 'type': 'string'}, 'type': {'const': 'mention', 'description': 'Type of mention content', 'type': 'string'}}, 'required': ['type', 'mention'], 'type': 'object'}], 'description': 'Union of all possible rich text item request types'}, 'type': 'array'}}, 'required': ['rich_text'], 'type': 'object'}, 'type': {'const': 'paragraph', 'description': 'Paragraph block type', 'type': 'string'}}, 'required': ['type', 'paragraph'], 'type': 'object'}, {'additionalProperties': False, 'properties': {'archived': {'$ref': '#/properties/operations/items/properties/children/items/anyOf/0/properties/archived'}, 'created_time': {'$ref': '#/properties/operations/items/properties/children/items/anyOf/0/properties/created_time'}, 'has_children': {'$ref': '#/properties/operations/items/properties/children/items/anyOf/0/properties/has_children'}, 'heading_1': {'additionalProperties': False, 'description': 'Heading 1 block content', 'properties': {'color': {'$ref': '#/properties/operations/items/properties/children/items/anyOf/0/properties/paragraph/properties/color'}, 'is_toggleable': {'description': 'Whether heading can be toggled', 'type': 'boolean'}, 'rich_text': {'$ref': '#/properties/operations/items/properties/children/items/anyOf/0/properties/paragraph/properties/rich_text'}}, 'required': ['rich_text'], 'type': 'object'}, 'last_edited_time': {'$ref': '#/properties/operations/items/properties/children/items/anyOf/0/properties/last_edited_time'}, 'object': {'$ref': '#/properties/operations/items/properties/children/items/anyOf/0/properties/object'}, 'type': {'const': 'heading_1', 'description': 'Heading 1 block type', 'type': 'string'}}, 'required': ['type', 'heading_1'], 'type': 'object'}, {'additionalProperties': False, 'properties': {'archived': {'$ref': '#/properties/operations/items/properties/children/items/anyOf/0/properties/archived'}, 'created_time': {'$ref': '#/properties/operations/items/properties/children/items/anyOf/0/properties/created_time'}, 'has_children': {'$ref': '#/properties/operations/items/properties/children/items/anyOf/0/properties/has_children'}, 'heading_2': {'additionalProperties': False, 'description': 'Heading 2 block content', 'properties': {'color': {'$ref': '#/properties/operations/items/properties/children/items/anyOf/0/properties/paragraph/properties/color'}, 'is_toggleable': {'description': 'Whether heading can be toggled', 'type': 'boolean'}, 'rich_text': {'$ref': '#/properties/operations/items/properties/children/items/anyOf/0/properties/paragraph/properties/rich_text'}}, 'required': ['rich_text'], 'type': 'object'}, 'last_edited_time': {'$ref': '#/properties/operations/items/properties/children/items/anyOf/0/properties/last_edited_time'}, 'object': {'$ref': '#/properties/operations/items/properties/children/items/anyOf/0/properties/object'}, 'type': {'const': 'heading_2', 'description': 'Heading 2 block type', 'type': 'string'}}, 'required': ['type', 'heading_2'], 'type': 'object'}, {'additionalProperties': False, 'properties': {'archived': {'$ref': '#/properties/operations/items/properties/children/items/anyOf/0/properties/archived'}, 'created_time': {'$ref': '#/properties/operations/items/properties/children/items/anyOf/0/properties/created_time'}, 'has_children': {'$ref': '#/properties/operations/items/properties/children/items/anyOf/0/properties/has_children'}, 'heading_3': {'additionalProperties': False, 'description': 'Heading 3 block content', 'properties': {'color': {'$ref': '#/properties/operations/items/properties/children/items/anyOf/0/properties/paragraph/properties/color'}, 'is_toggleable': {'description': 'Whether heading can be toggled', 'type': 'boolean'}, 'rich_text': {'$ref': '#/properties/operations/items/properties/children/items/anyOf/0/properties/paragraph/properties/rich_text'}}, 'required': ['rich_text'], 'type': 'object'}, 'last_edited_time': {'$ref': '#/properties/operations/items/properties/children/items/anyOf/0/properties/last_edited_time'}, 'object': {'$ref': '#/properties/operations/items/properties/children/items/anyOf/0/properties/object'}, 'type': {'const': 'heading_3', 'description': 'Heading 3 block type', 'type': 'string'}}, 'required': ['type', 'heading_3'], 'type': 'object'}, {'additionalProperties': False, 'properties': {'archived': {'$ref': '#/properties/operations/items/properties/children/items/anyOf/0/properties/archived'}, 'created_time': {'$ref': '#/properties/operations/items/properties/children/items/anyOf/0/properties/created_time'}, 'has_children': {'$ref': '#/properties/operations/items/properties/children/items/anyOf/0/properties/has_children'}, 'last_edited_time': {'$ref': '#/properties/operations/items/properties/children/items/anyOf/0/properties/last_edited_time'}, 'object': {'$ref': '#/properties/operations/items/properties/children/items/anyOf/0/properties/object'}, 'quote': {'additionalProperties': False, 'description': 'Quote block content', 'properties': {'color': {'$ref': '#/properties/operations/items/properties/children/items/anyOf/0/properties/paragraph/properties/color'}, 'rich_text': {'$ref': '#/properties/operations/items/properties/children/items/anyOf/0/properties/paragraph/properties/rich_text'}}, 'required': ['rich_text'], 'type': 'object'}, 'type': {'const': 'quote', 'description': 'Quote block type', 'type': 'string'}}, 'required': ['type', 'quote'], 'type': 'object'}, {'additionalProperties': False, 'properties': {'archived': {'$ref': '#/properties/operations/items/properties/children/items/anyOf/0/properties/archived'}, 'callout': {'additionalProperties': False, 'description': 'Callout block content', 'properties': {'color': {'$ref': '#/properties/operations/items/properties/children/items/anyOf/0/properties/paragraph/properties/color'}, 'icon': {'additionalProperties': False, 'description': 'Icon for the callout', 'properties': {'emoji': {'type': 'string'}, 'type': {'const': 'emoji', 'type': 'string'}}, 'required': ['emoji', 'type'], 'type': 'object'}, 'rich_text': {'$ref': '#/properties/operations/items/properties/children/items/anyOf/0/properties/paragraph/properties/rich_text'}}, 'required': ['rich_text'], 'type': 'object'}, 'created_time': {'$ref': '#/properties/operations/items/properties/children/items/anyOf/0/properties/created_time'}, 'has_children': {'$ref': '#/properties/operations/items/properties/children/items/anyOf/0/properties/has_children'}, 'last_edited_time': {'$ref': '#/properties/operations/items/properties/children/items/anyOf/0/properties/last_edited_time'}, 'object': {'$ref': '#/properties/operations/items/properties/children/items/anyOf/0/properties/object'}, 'type': {'const': 'callout', 'description': 'Callout block type', 'type': 'string'}}, 'required': ['type', 'callout'], 'type': 'object'}, {'additionalProperties': False, 'properties': {'archived': {'$ref': '#/properties/operations/items/properties/children/items/anyOf/0/properties/archived'}, 'created_time': {'$ref': '#/properties/operations/items/properties/children/items/anyOf/0/properties/created_time'}, 'has_children': {'$ref': '#/properties/operations/items/properties/children/items/anyOf/0/properties/has_children'}, 'last_edited_time': {'$ref': '#/properties/operations/items/properties/children/items/anyOf/0/properties/last_edited_time'}, 'object': {'$ref': '#/properties/operations/items/properties/children/items/anyOf/0/properties/object'}, 'toggle': {'additionalProperties': False, 'description': 'Toggle block content', 'properties': {'color': {'$ref': '#/properties/operations/items/properties/children/items/anyOf/0/properties/paragraph/properties/color'}, 'rich_text': {'$ref': '#/properties/operations/items/properties/children/items/anyOf/0/properties/paragraph/properties/rich_text'}}, 'required': ['rich_text'], 'type': 'object'}, 'type': {'const': 'toggle', 'description': 'Toggle block type', 'type': 'string'}}, 'required': ['type', 'toggle'], 'type': 'object'}, {'additionalProperties': False, 'properties': {'archived': {'$ref': '#/properties/operations/items/properties/children/items/anyOf/0/properties/archived'}, 'bulleted_list_item': {'additionalProperties': False, 'description': 'Bulleted list item block content', 'properties': {'color': {'$ref': '#/properties/operations/items/properties/children/items/anyOf/0/properties/paragraph/properties/color'}, 'rich_text': {'$ref': '#/properties/operations/items/properties/children/items/anyOf/0/properties/paragraph/properties/rich_text'}}, 'required': ['rich_text'], 'type': 'object'}, 'created_time': {'$ref': '#/properties/operations/items/properties/children/items/anyOf/0/properties/created_time'}, 'has_children': {'$ref': '#/properties/operations/items/properties/children/items/anyOf/0/properties/has_children'}, 'last_edited_time': {'$ref': '#/properties/operations/items/properties/children/items/anyOf/0/properties/last_edited_time'}, 'object': {'$ref': '#/properties/operations/items/properties/children/items/anyOf/0/properties/object'}, 'type': {'const': 'bulleted_list_item', 'description': 'Bulleted list item block type', 'type': 'string'}}, 'required': ['type', 'bulleted_list_item'], 'type': 'object'}, {'additionalProperties': False, 'properties': {'archived': {'$ref': '#/properties/operations/items/properties/children/items/anyOf/0/properties/archived'}, 'created_time': {'$ref': '#/properties/operations/items/properties/children/items/anyOf/0/properties/created_time'}, 'has_children': {'$ref': '#/properties/operations/items/properties/children/items/anyOf/0/properties/has_children'}, 'last_edited_time': {'$ref': '#/properties/operations/items/properties/children/items/anyOf/0/properties/last_edited_time'}, 'numbered_list_item': {'additionalProperties': False, 'description': 'Numbered list item block content', 'properties': {'color': {'$ref': '#/properties/operations/items/properties/children/items/anyOf/0/properties/paragraph/properties/color'}, 'rich_text': {'$ref': '#/properties/operations/items/properties/children/items/anyOf/0/properties/paragraph/properties/rich_text'}}, 'required': ['rich_text'], 'type': 'object'}, 'object': {'$ref': '#/properties/operations/items/properties/children/items/anyOf/0/properties/object'}, 'type': {'const': 'numbered_list_item', 'description': 'Numbered list item block type', 'type': 'string'}}, 'required': ['type', 'numbered_list_item'], 'type': 'object'}, {'additionalProperties': False, 'properties': {'archived': {'$ref': '#/properties/operations/items/properties/children/items/anyOf/0/properties/archived'}, 'created_time': {'$ref': '#/properties/operations/items/properties/children/items/anyOf/0/properties/created_time'}, 'has_children': {'$ref': '#/properties/operations/items/properties/children/items/anyOf/0/properties/has_children'}, 'last_edited_time': {'$ref': '#/properties/operations/items/properties/children/items/anyOf/0/properties/last_edited_time'}, 'object': {'$ref': '#/properties/operations/items/properties/children/items/anyOf/0/properties/object'}, 'to_do': {'additionalProperties': False, 'description': 'To-do block content', 'properties': {'checked': {'description': 'Whether the to-do is checked', 'type': 'boolean'}, 'color': {'$ref': '#/properties/operations/items/properties/children/items/anyOf/0/properties/paragraph/properties/color'}, 'rich_text': {'$ref': '#/properties/operations/items/properties/children/items/anyOf/0/properties/paragraph/properties/rich_text'}}, 'required': ['rich_text'], 'type': 'object'}, 'type': {'const': 'to_do', 'description': 'To-do block type', 'type': 'string'}}, 'required': ['type', 'to_do'], 'type': 'object'}, {'additionalProperties': False, 'properties': {'archived': {'$ref': '#/properties/operations/items/properties/children/items/anyOf/0/properties/archived'}, 'code': {'additionalProperties': False, 'description': 'Code block content', 'properties': {'color': {'$ref': '#/properties/operations/items/properties/children/items/anyOf/0/properties/paragraph/properties/color'}, 'language': {'description': 'Programming language for code blocks', 'enum': ['abap', 'arduino', 'bash', 'basic', 'c', 'clojure', 'coffeescript', 'c++', 'c#', 'css', 'dart', 'diff', 'docker', 'elixir', 'elm', 'erlang', 'flow', 'fortran', 'f#', 'gherkin', 'glsl', 'go', 'graphql', 'groovy', 'haskell', 'html', 'java', 'javascript', 'json', 'julia', 'kotlin', 'latex', 'less', 'lisp', 'livescript', 'lua', 'makefile', 'markdown', 'markup', 'matlab', 'mermaid', 'nix', 'objective-c', 'ocaml', 'pascal', 'perl', 'php', 'plain text', 'powershell', 'prolog', 'protobuf', 'python', 'r', 'reason', 'ruby', 'rust', 'sass', 'scala', 'scheme', 'scss', 'shell', 'sql', 'swift', 'typescript', 'vb.net', 'verilog', 'vhdl', 'visual basic', 'webassembly', 'xml', 'yaml', 'java/c/c++/c#'], 'type': 'string'}, 'rich_text': {'$ref': '#/properties/operations/items/properties/children/items/anyOf/0/properties/paragraph/properties/rich_text'}}, 'required': ['rich_text', 'language'], 'type': 'object'}, 'created_time': {'$ref': '#/properties/operations/items/properties/children/items/anyOf/0/properties/created_time'}, 'has_children': {'$ref': '#/properties/operations/items/properties/children/items/anyOf/0/properties/has_children'}, 'last_edited_time': {'$ref': '#/properties/operations/items/properties/children/items/anyOf/0/properties/last_edited_time'}, 'object': {'$ref': '#/properties/operations/items/properties/children/items/anyOf/0/properties/object'}, 'type': {'const': 'code', 'description': 'Code block type', 'type': 'string'}}, 'required': ['type', 'code'], 'type': 'object'}, {'additionalProperties': False, 'properties': {'archived': {'$ref': '#/properties/operations/items/properties/children/items/anyOf/0/properties/archived'}, 'created_time': {'$ref': '#/properties/operations/items/properties/children/items/anyOf/0/properties/created_time'}, 'divider': {'additionalProperties': False, 'description': 'Divider block content', 'properties': {}, 'type': 'object'}, 'has_children': {'$ref': '#/properties/operations/items/properties/children/items/anyOf/0/properties/has_children'}, 'last_edited_time': {'$ref': '#/properties/operations/items/properties/children/items/anyOf/0/properties/last_edited_time'}, 'object': {'$ref': '#/properties/operations/items/properties/children/items/anyOf/0/properties/object'}, 'type': {'const': 'divider', 'description': 'Divider block type', 'type': 'string'}}, 'required': ['type', 'divider'], 'type': 'object'}, {'additionalProperties': False, 'properties': {'archived': {'$ref': '#/properties/operations/items/properties/children/items/anyOf/0/properties/archived'}, 'created_time': {'$ref': '#/properties/operations/items/properties/children/items/anyOf/0/properties/created_time'}, 'has_children': {'$ref': '#/properties/operations/items/properties/children/items/anyOf/0/properties/has_children'}, 'image': {'additionalProperties': False, 'description': 'Image block content', 'properties': {'caption': {'description': 'Image caption', 'items': {'$ref': '#/properties/operations/items/properties/children/items/anyOf/0/properties/paragraph/properties/rich_text/items'}, 'type': 'array'}, 'external': {'additionalProperties': False, 'description': 'External file source', 'properties': {'url': {'description': 'URL of the external file', 'format': 'uri', 'type': 'string'}}, 'required': ['url'], 'type': 'object'}, 'type': {'const': 'external', 'description': 'Type of file source', 'type': 'string'}}, 'required': ['external', 'type'], 'type': 'object'}, 'last_edited_time': {'$ref': '#/properties/operations/items/properties/children/items/anyOf/0/properties/last_edited_time'}, 'object': {'$ref': '#/properties/operations/items/properties/children/items/anyOf/0/properties/object'}, 'type': {'const': 'image', 'description': 'Image block type', 'type': 'string'}}, 'required': ['type', 'image'], 'type': 'object'}], 'description': 'Union of all possible text block request types'}, 'type': 'array'}}, 'required': ['blockId', 'children'], 'type': 'object'}, 'type': 'array'}}, 'required': ['operations'], 'type': 'object'}, description="""Append children to multiple blocks in a single operation"""), # awkoy/notion-mcp-server/batch_append_block_children
    Tool(name="""notion-mcp-server_batch_update_blocks""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'operations': {'description': 'Array of update operations to perform in a single batch', 'items': {'additionalProperties': False, 'properties': {'blockId': {'description': 'The ID of the block to update', 'type': 'string'}, 'data': {'anyOf': [{'additionalProperties': False, 'properties': {'archived': {'description': 'Whether block is archived', 'type': 'boolean'}, 'created_time': {'description': 'ISO timestamp of block creation', 'type': 'string'}, 'has_children': {'description': 'Whether block has child blocks', 'type': 'boolean'}, 'last_edited_time': {'description': 'ISO timestamp of last edit', 'type': 'string'}, 'object': {'const': 'block', 'description': 'Object type identifier', 'type': 'string'}, 'paragraph': {'additionalProperties': False, 'description': 'Paragraph block content', 'properties': {'color': {'$ref': '#/properties/operations/items/properties/data/anyOf/0/properties/paragraph/properties/rich_text/items/anyOf/0/properties/annotations/properties/color', 'description': 'Color of the block'}, 'rich_text': {'description': 'Array of rich text content', 'items': {'anyOf': [{'additionalProperties': False, 'description': 'Text rich text item request', 'properties': {'annotations': {'additionalProperties': False, 'description': 'Text formatting annotations', 'properties': {'bold': {'description': 'Whether text is bold', 'type': 'boolean'}, 'code': {'description': 'Whether text is code formatted', 'type': 'boolean'}, 'color': {'description': 'Color of the text', 'enum': ['default', 'gray', 'brown', 'orange', 'yellow', 'green', 'blue', 'purple', 'pink', 'red', 'gray_background', 'brown_background', 'orange_background', 'yellow_background', 'green_background', 'blue_background', 'purple_background', 'pink_background', 'red_background'], 'type': 'string'}, 'italic': {'description': 'Whether text is italic', 'type': 'boolean'}, 'strikethrough': {'description': 'Whether text has strikethrough', 'type': 'boolean'}, 'underline': {'description': 'Whether text is underlined', 'type': 'boolean'}}, 'type': 'object'}, 'href': {'description': 'URL for the link', 'type': ['string', 'null']}, 'plain_text': {'description': 'Plain text content without formatting', 'type': 'string'}, 'text': {'additionalProperties': False, 'description': 'Text content', 'properties': {'content': {'description': 'The actual text content', 'type': 'string'}, 'link': {'anyOf': [{'anyOf': [{'not': {}}, {'additionalProperties': False, 'properties': {'url': {'description': 'URL for the link', 'format': 'uri', 'type': 'string'}}, 'required': ['url'], 'type': 'object'}]}, {'type': 'null'}], 'description': 'Optional link associated with the text'}}, 'required': ['content'], 'type': 'object'}, 'type': {'const': 'text', 'description': 'Type of rich text content', 'type': 'string'}}, 'required': ['type', 'text'], 'type': 'object'}, {'additionalProperties': False, 'description': 'Equation rich text item request', 'properties': {'annotations': {'$ref': '#/properties/operations/items/properties/data/anyOf/0/properties/paragraph/properties/rich_text/items/anyOf/0/properties/annotations', 'description': 'Text formatting annotations'}, 'equation': {'additionalProperties': False, 'description': 'Equation content', 'properties': {'expression': {'description': 'LaTeX equation expression', 'type': 'string'}}, 'required': ['expression'], 'type': 'object'}, 'href': {'description': 'URL for the link', 'type': ['string', 'null']}, 'plain_text': {'description': 'Plain text content without formatting', 'type': 'string'}, 'type': {'const': 'equation', 'description': 'Type of equation content', 'type': 'string'}}, 'required': ['type', 'equation'], 'type': 'object'}, {'additionalProperties': False, 'description': 'Mention rich text item request', 'properties': {'annotations': {'$ref': '#/properties/operations/items/properties/data/anyOf/0/properties/paragraph/properties/rich_text/items/anyOf/0/properties/annotations', 'description': 'Text formatting annotations'}, 'href': {'description': 'URL for the link', 'type': ['string', 'null']}, 'mention': {'anyOf': [{'additionalProperties': False, 'description': 'Schema for a date mention block request', 'properties': {'date': {'additionalProperties': False, 'description': 'Contains the date information', 'properties': {'end': {'description': 'The optional end date in YYYY-MM-DD format', 'type': ['string', 'null']}, 'start': {'description': 'The start date in YYYY-MM-DD format', 'type': 'string'}}, 'required': ['start'], 'type': 'object'}, 'type': {'const': 'date', 'description': 'Specifies this is a date mention type', 'type': 'string'}}, 'required': ['type', 'date'], 'type': 'object'}, {'additionalProperties': False, 'description': 'Schema for a user mention block request', 'properties': {'type': {'const': 'user', 'description': 'Specifies this is a user mention type', 'type': 'string'}, 'user': {'additionalProperties': False, 'description': 'Contains the user reference information', 'properties': {'id': {'description': 'The unique ID that identifies this specific user', 'type': 'string'}, 'object': {'const': 'user', 'description': 'Identifies this object as a user type', 'type': 'string'}}, 'required': ['id'], 'type': 'object'}}, 'required': ['type', 'user'], 'type': 'object'}, {'additionalProperties': False, 'description': 'Schema for a page mention block request', 'properties': {'page': {'additionalProperties': False, 'description': 'Contains the page reference information', 'properties': {'id': {'description': 'The unique ID that identifies this specific page', 'type': 'string'}}, 'required': ['id'], 'type': 'object'}, 'type': {'const': 'page', 'description': 'Specifies this is a page mention type', 'type': 'string'}}, 'required': ['type', 'page'], 'type': 'object'}, {'additionalProperties': False, 'description': 'Schema for a database mention block request', 'properties': {'database': {'additionalProperties': False, 'description': 'Contains the database reference information', 'properties': {'id': {'description': 'The unique ID that identifies this specific database', 'type': 'string'}}, 'required': ['id'], 'type': 'object'}, 'type': {'const': 'database', 'description': 'Specifies this is a database mention type', 'type': 'string'}}, 'required': ['type', 'database'], 'type': 'object'}, {'additionalProperties': False, 'description': 'Schema for a template mention user block request', 'properties': {'template_mention': {'additionalProperties': False, 'description': 'Contains the template mention user information', 'properties': {'template_mention_user': {'const': 'me', 'description': 'Template mention user value', 'type': 'string'}, 'type': {'const': 'template_mention_user', 'description': 'Specifies this is a template mention user type', 'type': 'string'}}, 'required': ['type', 'template_mention_user'], 'type': 'object'}, 'type': {'const': 'template_mention', 'description': 'Specifies this is a template mention type', 'type': 'string'}}, 'required': ['type', 'template_mention'], 'type': 'object'}, {'additionalProperties': False, 'description': 'Schema for a template mention date block request', 'properties': {'template_mention': {'additionalProperties': False, 'description': 'Contains the template mention date information', 'properties': {'template_mention_date': {'const': 'today', 'description': 'Template mention date value', 'type': 'string'}, 'type': {'const': 'template_mention_date', 'description': 'Specifies this is a template mention date type', 'type': 'string'}}, 'required': ['type', 'template_mention_date'], 'type': 'object'}, 'type': {'const': 'template_mention', 'description': 'Specifies this is a template mention type', 'type': 'string'}}, 'required': ['type', 'template_mention'], 'type': 'object'}], 'description': 'Mention content'}, 'plain_text': {'description': 'Plain text content without formatting', 'type': 'string'}, 'type': {'const': 'mention', 'description': 'Type of mention content', 'type': 'string'}}, 'required': ['type', 'mention'], 'type': 'object'}], 'description': 'Union of all possible rich text item request types'}, 'type': 'array'}}, 'required': ['rich_text'], 'type': 'object'}, 'type': {'const': 'paragraph', 'description': 'Paragraph block type', 'type': 'string'}}, 'required': ['type', 'paragraph'], 'type': 'object'}, {'additionalProperties': False, 'properties': {'archived': {'$ref': '#/properties/operations/items/properties/data/anyOf/0/properties/archived'}, 'created_time': {'$ref': '#/properties/operations/items/properties/data/anyOf/0/properties/created_time'}, 'has_children': {'$ref': '#/properties/operations/items/properties/data/anyOf/0/properties/has_children'}, 'heading_1': {'additionalProperties': False, 'description': 'Heading 1 block content', 'properties': {'color': {'$ref': '#/properties/operations/items/properties/data/anyOf/0/properties/paragraph/properties/color'}, 'is_toggleable': {'description': 'Whether heading can be toggled', 'type': 'boolean'}, 'rich_text': {'$ref': '#/properties/operations/items/properties/data/anyOf/0/properties/paragraph/properties/rich_text'}}, 'required': ['rich_text'], 'type': 'object'}, 'last_edited_time': {'$ref': '#/properties/operations/items/properties/data/anyOf/0/properties/last_edited_time'}, 'object': {'$ref': '#/properties/operations/items/properties/data/anyOf/0/properties/object'}, 'type': {'const': 'heading_1', 'description': 'Heading 1 block type', 'type': 'string'}}, 'required': ['type', 'heading_1'], 'type': 'object'}, {'additionalProperties': False, 'properties': {'archived': {'$ref': '#/properties/operations/items/properties/data/anyOf/0/properties/archived'}, 'created_time': {'$ref': '#/properties/operations/items/properties/data/anyOf/0/properties/created_time'}, 'has_children': {'$ref': '#/properties/operations/items/properties/data/anyOf/0/properties/has_children'}, 'heading_2': {'additionalProperties': False, 'description': 'Heading 2 block content', 'properties': {'color': {'$ref': '#/properties/operations/items/properties/data/anyOf/0/properties/paragraph/properties/color'}, 'is_toggleable': {'description': 'Whether heading can be toggled', 'type': 'boolean'}, 'rich_text': {'$ref': '#/properties/operations/items/properties/data/anyOf/0/properties/paragraph/properties/rich_text'}}, 'required': ['rich_text'], 'type': 'object'}, 'last_edited_time': {'$ref': '#/properties/operations/items/properties/data/anyOf/0/properties/last_edited_time'}, 'object': {'$ref': '#/properties/operations/items/properties/data/anyOf/0/properties/object'}, 'type': {'const': 'heading_2', 'description': 'Heading 2 block type', 'type': 'string'}}, 'required': ['type', 'heading_2'], 'type': 'object'}, {'additionalProperties': False, 'properties': {'archived': {'$ref': '#/properties/operations/items/properties/data/anyOf/0/properties/archived'}, 'created_time': {'$ref': '#/properties/operations/items/properties/data/anyOf/0/properties/created_time'}, 'has_children': {'$ref': '#/properties/operations/items/properties/data/anyOf/0/properties/has_children'}, 'heading_3': {'additionalProperties': False, 'description': 'Heading 3 block content', 'properties': {'color': {'$ref': '#/properties/operations/items/properties/data/anyOf/0/properties/paragraph/properties/color'}, 'is_toggleable': {'description': 'Whether heading can be toggled', 'type': 'boolean'}, 'rich_text': {'$ref': '#/properties/operations/items/properties/data/anyOf/0/properties/paragraph/properties/rich_text'}}, 'required': ['rich_text'], 'type': 'object'}, 'last_edited_time': {'$ref': '#/properties/operations/items/properties/data/anyOf/0/properties/last_edited_time'}, 'object': {'$ref': '#/properties/operations/items/properties/data/anyOf/0/properties/object'}, 'type': {'const': 'heading_3', 'description': 'Heading 3 block type', 'type': 'string'}}, 'required': ['type', 'heading_3'], 'type': 'object'}, {'additionalProperties': False, 'properties': {'archived': {'$ref': '#/properties/operations/items/properties/data/anyOf/0/properties/archived'}, 'created_time': {'$ref': '#/properties/operations/items/properties/data/anyOf/0/properties/created_time'}, 'has_children': {'$ref': '#/properties/operations/items/properties/data/anyOf/0/properties/has_children'}, 'last_edited_time': {'$ref': '#/properties/operations/items/properties/data/anyOf/0/properties/last_edited_time'}, 'object': {'$ref': '#/properties/operations/items/properties/data/anyOf/0/properties/object'}, 'quote': {'additionalProperties': False, 'description': 'Quote block content', 'properties': {'color': {'$ref': '#/properties/operations/items/properties/data/anyOf/0/properties/paragraph/properties/color'}, 'rich_text': {'$ref': '#/properties/operations/items/properties/data/anyOf/0/properties/paragraph/properties/rich_text'}}, 'required': ['rich_text'], 'type': 'object'}, 'type': {'const': 'quote', 'description': 'Quote block type', 'type': 'string'}}, 'required': ['type', 'quote'], 'type': 'object'}, {'additionalProperties': False, 'properties': {'archived': {'$ref': '#/properties/operations/items/properties/data/anyOf/0/properties/archived'}, 'callout': {'additionalProperties': False, 'description': 'Callout block content', 'properties': {'color': {'$ref': '#/properties/operations/items/properties/data/anyOf/0/properties/paragraph/properties/color'}, 'icon': {'additionalProperties': False, 'description': 'Icon for the callout', 'properties': {'emoji': {'type': 'string'}, 'type': {'const': 'emoji', 'type': 'string'}}, 'required': ['emoji', 'type'], 'type': 'object'}, 'rich_text': {'$ref': '#/properties/operations/items/properties/data/anyOf/0/properties/paragraph/properties/rich_text'}}, 'required': ['rich_text'], 'type': 'object'}, 'created_time': {'$ref': '#/properties/operations/items/properties/data/anyOf/0/properties/created_time'}, 'has_children': {'$ref': '#/properties/operations/items/properties/data/anyOf/0/properties/has_children'}, 'last_edited_time': {'$ref': '#/properties/operations/items/properties/data/anyOf/0/properties/last_edited_time'}, 'object': {'$ref': '#/properties/operations/items/properties/data/anyOf/0/properties/object'}, 'type': {'const': 'callout', 'description': 'Callout block type', 'type': 'string'}}, 'required': ['type', 'callout'], 'type': 'object'}, {'additionalProperties': False, 'properties': {'archived': {'$ref': '#/properties/operations/items/properties/data/anyOf/0/properties/archived'}, 'created_time': {'$ref': '#/properties/operations/items/properties/data/anyOf/0/properties/created_time'}, 'has_children': {'$ref': '#/properties/operations/items/properties/data/anyOf/0/properties/has_children'}, 'last_edited_time': {'$ref': '#/properties/operations/items/properties/data/anyOf/0/properties/last_edited_time'}, 'object': {'$ref': '#/properties/operations/items/properties/data/anyOf/0/properties/object'}, 'toggle': {'additionalProperties': False, 'description': 'Toggle block content', 'properties': {'color': {'$ref': '#/properties/operations/items/properties/data/anyOf/0/properties/paragraph/properties/color'}, 'rich_text': {'$ref': '#/properties/operations/items/properties/data/anyOf/0/properties/paragraph/properties/rich_text'}}, 'required': ['rich_text'], 'type': 'object'}, 'type': {'const': 'toggle', 'description': 'Toggle block type', 'type': 'string'}}, 'required': ['type', 'toggle'], 'type': 'object'}, {'additionalProperties': False, 'properties': {'archived': {'$ref': '#/properties/operations/items/properties/data/anyOf/0/properties/archived'}, 'bulleted_list_item': {'additionalProperties': False, 'description': 'Bulleted list item block content', 'properties': {'color': {'$ref': '#/properties/operations/items/properties/data/anyOf/0/properties/paragraph/properties/color'}, 'rich_text': {'$ref': '#/properties/operations/items/properties/data/anyOf/0/properties/paragraph/properties/rich_text'}}, 'required': ['rich_text'], 'type': 'object'}, 'created_time': {'$ref': '#/properties/operations/items/properties/data/anyOf/0/properties/created_time'}, 'has_children': {'$ref': '#/properties/operations/items/properties/data/anyOf/0/properties/has_children'}, 'last_edited_time': {'$ref': '#/properties/operations/items/properties/data/anyOf/0/properties/last_edited_time'}, 'object': {'$ref': '#/properties/operations/items/properties/data/anyOf/0/properties/object'}, 'type': {'const': 'bulleted_list_item', 'description': 'Bulleted list item block type', 'type': 'string'}}, 'required': ['type', 'bulleted_list_item'], 'type': 'object'}, {'additionalProperties': False, 'properties': {'archived': {'$ref': '#/properties/operations/items/properties/data/anyOf/0/properties/archived'}, 'created_time': {'$ref': '#/properties/operations/items/properties/data/anyOf/0/properties/created_time'}, 'has_children': {'$ref': '#/properties/operations/items/properties/data/anyOf/0/properties/has_children'}, 'last_edited_time': {'$ref': '#/properties/operations/items/properties/data/anyOf/0/properties/last_edited_time'}, 'numbered_list_item': {'additionalProperties': False, 'description': 'Numbered list item block content', 'properties': {'color': {'$ref': '#/properties/operations/items/properties/data/anyOf/0/properties/paragraph/properties/color'}, 'rich_text': {'$ref': '#/properties/operations/items/properties/data/anyOf/0/properties/paragraph/properties/rich_text'}}, 'required': ['rich_text'], 'type': 'object'}, 'object': {'$ref': '#/properties/operations/items/properties/data/anyOf/0/properties/object'}, 'type': {'const': 'numbered_list_item', 'description': 'Numbered list item block type', 'type': 'string'}}, 'required': ['type', 'numbered_list_item'], 'type': 'object'}, {'additionalProperties': False, 'properties': {'archived': {'$ref': '#/properties/operations/items/properties/data/anyOf/0/properties/archived'}, 'created_time': {'$ref': '#/properties/operations/items/properties/data/anyOf/0/properties/created_time'}, 'has_children': {'$ref': '#/properties/operations/items/properties/data/anyOf/0/properties/has_children'}, 'last_edited_time': {'$ref': '#/properties/operations/items/properties/data/anyOf/0/properties/last_edited_time'}, 'object': {'$ref': '#/properties/operations/items/properties/data/anyOf/0/properties/object'}, 'to_do': {'additionalProperties': False, 'description': 'To-do block content', 'properties': {'checked': {'description': 'Whether the to-do is checked', 'type': 'boolean'}, 'color': {'$ref': '#/properties/operations/items/properties/data/anyOf/0/properties/paragraph/properties/color'}, 'rich_text': {'$ref': '#/properties/operations/items/properties/data/anyOf/0/properties/paragraph/properties/rich_text'}}, 'required': ['rich_text'], 'type': 'object'}, 'type': {'const': 'to_do', 'description': 'To-do block type', 'type': 'string'}}, 'required': ['type', 'to_do'], 'type': 'object'}, {'additionalProperties': False, 'properties': {'archived': {'$ref': '#/properties/operations/items/properties/data/anyOf/0/properties/archived'}, 'code': {'additionalProperties': False, 'description': 'Code block content', 'properties': {'color': {'$ref': '#/properties/operations/items/properties/data/anyOf/0/properties/paragraph/properties/color'}, 'language': {'description': 'Programming language for code blocks', 'enum': ['abap', 'arduino', 'bash', 'basic', 'c', 'clojure', 'coffeescript', 'c++', 'c#', 'css', 'dart', 'diff', 'docker', 'elixir', 'elm', 'erlang', 'flow', 'fortran', 'f#', 'gherkin', 'glsl', 'go', 'graphql', 'groovy', 'haskell', 'html', 'java', 'javascript', 'json', 'julia', 'kotlin', 'latex', 'less', 'lisp', 'livescript', 'lua', 'makefile', 'markdown', 'markup', 'matlab', 'mermaid', 'nix', 'objective-c', 'ocaml', 'pascal', 'perl', 'php', 'plain text', 'powershell', 'prolog', 'protobuf', 'python', 'r', 'reason', 'ruby', 'rust', 'sass', 'scala', 'scheme', 'scss', 'shell', 'sql', 'swift', 'typescript', 'vb.net', 'verilog', 'vhdl', 'visual basic', 'webassembly', 'xml', 'yaml', 'java/c/c++/c#'], 'type': 'string'}, 'rich_text': {'$ref': '#/properties/operations/items/properties/data/anyOf/0/properties/paragraph/properties/rich_text'}}, 'required': ['rich_text', 'language'], 'type': 'object'}, 'created_time': {'$ref': '#/properties/operations/items/properties/data/anyOf/0/properties/created_time'}, 'has_children': {'$ref': '#/properties/operations/items/properties/data/anyOf/0/properties/has_children'}, 'last_edited_time': {'$ref': '#/properties/operations/items/properties/data/anyOf/0/properties/last_edited_time'}, 'object': {'$ref': '#/properties/operations/items/properties/data/anyOf/0/properties/object'}, 'type': {'const': 'code', 'description': 'Code block type', 'type': 'string'}}, 'required': ['type', 'code'], 'type': 'object'}, {'additionalProperties': False, 'properties': {'archived': {'$ref': '#/properties/operations/items/properties/data/anyOf/0/properties/archived'}, 'created_time': {'$ref': '#/properties/operations/items/properties/data/anyOf/0/properties/created_time'}, 'divider': {'additionalProperties': False, 'description': 'Divider block content', 'properties': {}, 'type': 'object'}, 'has_children': {'$ref': '#/properties/operations/items/properties/data/anyOf/0/properties/has_children'}, 'last_edited_time': {'$ref': '#/properties/operations/items/properties/data/anyOf/0/properties/last_edited_time'}, 'object': {'$ref': '#/properties/operations/items/properties/data/anyOf/0/properties/object'}, 'type': {'const': 'divider', 'description': 'Divider block type', 'type': 'string'}}, 'required': ['type', 'divider'], 'type': 'object'}, {'additionalProperties': False, 'properties': {'archived': {'$ref': '#/properties/operations/items/properties/data/anyOf/0/properties/archived'}, 'created_time': {'$ref': '#/properties/operations/items/properties/data/anyOf/0/properties/created_time'}, 'has_children': {'$ref': '#/properties/operations/items/properties/data/anyOf/0/properties/has_children'}, 'image': {'additionalProperties': False, 'description': 'Image block content', 'properties': {'caption': {'description': 'Image caption', 'items': {'$ref': '#/properties/operations/items/properties/data/anyOf/0/properties/paragraph/properties/rich_text/items'}, 'type': 'array'}, 'external': {'additionalProperties': False, 'description': 'External file source', 'properties': {'url': {'description': 'URL of the external file', 'format': 'uri', 'type': 'string'}}, 'required': ['url'], 'type': 'object'}, 'type': {'const': 'external', 'description': 'Type of file source', 'type': 'string'}}, 'required': ['external', 'type'], 'type': 'object'}, 'last_edited_time': {'$ref': '#/properties/operations/items/properties/data/anyOf/0/properties/last_edited_time'}, 'object': {'$ref': '#/properties/operations/items/properties/data/anyOf/0/properties/object'}, 'type': {'const': 'image', 'description': 'Image block type', 'type': 'string'}}, 'required': ['type', 'image'], 'type': 'object'}], 'description': 'The block data to update'}}, 'required': ['blockId', 'data'], 'type': 'object'}, 'type': 'array'}}, 'required': ['operations'], 'type': 'object'}, description="""Update multiple blocks in a single operation"""), # awkoy/notion-mcp-server/batch_update_blocks
    Tool(name="""notion-mcp-server_batch_delete_blocks""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'blockIds': {'description': 'Array of block IDs to delete in a single batch', 'items': {'description': 'The ID of a block to delete/archive', 'type': 'string'}, 'type': 'array'}}, 'required': ['blockIds'], 'type': 'object'}, description="""Delete multiple blocks in a single operation"""), # awkoy/notion-mcp-server/batch_delete_blocks
    Tool(name="""notion-mcp-server_batch_mixed_operations""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'operations': {'description': 'Array of mixed operations to perform in a single batch', 'items': {'anyOf': [{'additionalProperties': False, 'properties': {'blockId': {'description': 'The ID of the block to append children to', 'type': 'string'}, 'children': {'description': 'Array of blocks to append as children', 'items': {'anyOf': [{'additionalProperties': False, 'properties': {'archived': {'description': 'Whether block is archived', 'type': 'boolean'}, 'created_time': {'description': 'ISO timestamp of block creation', 'type': 'string'}, 'has_children': {'description': 'Whether block has child blocks', 'type': 'boolean'}, 'last_edited_time': {'description': 'ISO timestamp of last edit', 'type': 'string'}, 'object': {'const': 'block', 'description': 'Object type identifier', 'type': 'string'}, 'paragraph': {'additionalProperties': False, 'description': 'Paragraph block content', 'properties': {'color': {'$ref': '#/properties/operations/items/anyOf/0/properties/children/items/anyOf/0/properties/paragraph/properties/rich_text/items/anyOf/0/properties/annotations/properties/color', 'description': 'Color of the block'}, 'rich_text': {'description': 'Array of rich text content', 'items': {'anyOf': [{'additionalProperties': False, 'description': 'Text rich text item request', 'properties': {'annotations': {'additionalProperties': False, 'description': 'Text formatting annotations', 'properties': {'bold': {'description': 'Whether text is bold', 'type': 'boolean'}, 'code': {'description': 'Whether text is code formatted', 'type': 'boolean'}, 'color': {'description': 'Color of the text', 'enum': ['default', 'gray', 'brown', 'orange', 'yellow', 'green', 'blue', 'purple', 'pink', 'red', 'gray_background', 'brown_background', 'orange_background', 'yellow_background', 'green_background', 'blue_background', 'purple_background', 'pink_background', 'red_background'], 'type': 'string'}, 'italic': {'description': 'Whether text is italic', 'type': 'boolean'}, 'strikethrough': {'description': 'Whether text has strikethrough', 'type': 'boolean'}, 'underline': {'description': 'Whether text is underlined', 'type': 'boolean'}}, 'type': 'object'}, 'href': {'description': 'URL for the link', 'type': ['string', 'null']}, 'plain_text': {'description': 'Plain text content without formatting', 'type': 'string'}, 'text': {'additionalProperties': False, 'description': 'Text content', 'properties': {'content': {'description': 'The actual text content', 'type': 'string'}, 'link': {'anyOf': [{'anyOf': [{'not': {}}, {'additionalProperties': False, 'properties': {'url': {'description': 'URL for the link', 'format': 'uri', 'type': 'string'}}, 'required': ['url'], 'type': 'object'}]}, {'type': 'null'}], 'description': 'Optional link associated with the text'}}, 'required': ['content'], 'type': 'object'}, 'type': {'const': 'text', 'description': 'Type of rich text content', 'type': 'string'}}, 'required': ['type', 'text'], 'type': 'object'}, {'additionalProperties': False, 'description': 'Equation rich text item request', 'properties': {'annotations': {'$ref': '#/properties/operations/items/anyOf/0/properties/children/items/anyOf/0/properties/paragraph/properties/rich_text/items/anyOf/0/properties/annotations', 'description': 'Text formatting annotations'}, 'equation': {'additionalProperties': False, 'description': 'Equation content', 'properties': {'expression': {'description': 'LaTeX equation expression', 'type': 'string'}}, 'required': ['expression'], 'type': 'object'}, 'href': {'description': 'URL for the link', 'type': ['string', 'null']}, 'plain_text': {'description': 'Plain text content without formatting', 'type': 'string'}, 'type': {'const': 'equation', 'description': 'Type of equation content', 'type': 'string'}}, 'required': ['type', 'equation'], 'type': 'object'}, {'additionalProperties': False, 'description': 'Mention rich text item request', 'properties': {'annotations': {'$ref': '#/properties/operations/items/anyOf/0/properties/children/items/anyOf/0/properties/paragraph/properties/rich_text/items/anyOf/0/properties/annotations', 'description': 'Text formatting annotations'}, 'href': {'description': 'URL for the link', 'type': ['string', 'null']}, 'mention': {'anyOf': [{'additionalProperties': False, 'description': 'Schema for a date mention block request', 'properties': {'date': {'additionalProperties': False, 'description': 'Contains the date information', 'properties': {'end': {'description': 'The optional end date in YYYY-MM-DD format', 'type': ['string', 'null']}, 'start': {'description': 'The start date in YYYY-MM-DD format', 'type': 'string'}}, 'required': ['start'], 'type': 'object'}, 'type': {'const': 'date', 'description': 'Specifies this is a date mention type', 'type': 'string'}}, 'required': ['type', 'date'], 'type': 'object'}, {'additionalProperties': False, 'description': 'Schema for a user mention block request', 'properties': {'type': {'const': 'user', 'description': 'Specifies this is a user mention type', 'type': 'string'}, 'user': {'additionalProperties': False, 'description': 'Contains the user reference information', 'properties': {'id': {'description': 'The unique ID that identifies this specific user', 'type': 'string'}, 'object': {'const': 'user', 'description': 'Identifies this object as a user type', 'type': 'string'}}, 'required': ['id'], 'type': 'object'}}, 'required': ['type', 'user'], 'type': 'object'}, {'additionalProperties': False, 'description': 'Schema for a page mention block request', 'properties': {'page': {'additionalProperties': False, 'description': 'Contains the page reference information', 'properties': {'id': {'description': 'The unique ID that identifies this specific page', 'type': 'string'}}, 'required': ['id'], 'type': 'object'}, 'type': {'const': 'page', 'description': 'Specifies this is a page mention type', 'type': 'string'}}, 'required': ['type', 'page'], 'type': 'object'}, {'additionalProperties': False, 'description': 'Schema for a database mention block request', 'properties': {'database': {'additionalProperties': False, 'description': 'Contains the database reference information', 'properties': {'id': {'description': 'The unique ID that identifies this specific database', 'type': 'string'}}, 'required': ['id'], 'type': 'object'}, 'type': {'const': 'database', 'description': 'Specifies this is a database mention type', 'type': 'string'}}, 'required': ['type', 'database'], 'type': 'object'}, {'additionalProperties': False, 'description': 'Schema for a template mention user block request', 'properties': {'template_mention': {'additionalProperties': False, 'description': 'Contains the template mention user information', 'properties': {'template_mention_user': {'const': 'me', 'description': 'Template mention user value', 'type': 'string'}, 'type': {'const': 'template_mention_user', 'description': 'Specifies this is a template mention user type', 'type': 'string'}}, 'required': ['type', 'template_mention_user'], 'type': 'object'}, 'type': {'const': 'template_mention', 'description': 'Specifies this is a template mention type', 'type': 'string'}}, 'required': ['type', 'template_mention'], 'type': 'object'}, {'additionalProperties': False, 'description': 'Schema for a template mention date block request', 'properties': {'template_mention': {'additionalProperties': False, 'description': 'Contains the template mention date information', 'properties': {'template_mention_date': {'const': 'today', 'description': 'Template mention date value', 'type': 'string'}, 'type': {'const': 'template_mention_date', 'description': 'Specifies this is a template mention date type', 'type': 'string'}}, 'required': ['type', 'template_mention_date'], 'type': 'object'}, 'type': {'const': 'template_mention', 'description': 'Specifies this is a template mention type', 'type': 'string'}}, 'required': ['type', 'template_mention'], 'type': 'object'}], 'description': 'Mention content'}, 'plain_text': {'description': 'Plain text content without formatting', 'type': 'string'}, 'type': {'const': 'mention', 'description': 'Type of mention content', 'type': 'string'}}, 'required': ['type', 'mention'], 'type': 'object'}], 'description': 'Union of all possible rich text item request types'}, 'type': 'array'}}, 'required': ['rich_text'], 'type': 'object'}, 'type': {'const': 'paragraph', 'description': 'Paragraph block type', 'type': 'string'}}, 'required': ['type', 'paragraph'], 'type': 'object'}, {'additionalProperties': False, 'properties': {'archived': {'$ref': '#/properties/operations/items/anyOf/0/properties/children/items/anyOf/0/properties/archived'}, 'created_time': {'$ref': '#/properties/operations/items/anyOf/0/properties/children/items/anyOf/0/properties/created_time'}, 'has_children': {'$ref': '#/properties/operations/items/anyOf/0/properties/children/items/anyOf/0/properties/has_children'}, 'heading_1': {'additionalProperties': False, 'description': 'Heading 1 block content', 'properties': {'color': {'$ref': '#/properties/operations/items/anyOf/0/properties/children/items/anyOf/0/properties/paragraph/properties/color'}, 'is_toggleable': {'description': 'Whether heading can be toggled', 'type': 'boolean'}, 'rich_text': {'$ref': '#/properties/operations/items/anyOf/0/properties/children/items/anyOf/0/properties/paragraph/properties/rich_text'}}, 'required': ['rich_text'], 'type': 'object'}, 'last_edited_time': {'$ref': '#/properties/operations/items/anyOf/0/properties/children/items/anyOf/0/properties/last_edited_time'}, 'object': {'$ref': '#/properties/operations/items/anyOf/0/properties/children/items/anyOf/0/properties/object'}, 'type': {'const': 'heading_1', 'description': 'Heading 1 block type', 'type': 'string'}}, 'required': ['type', 'heading_1'], 'type': 'object'}, {'additionalProperties': False, 'properties': {'archived': {'$ref': '#/properties/operations/items/anyOf/0/properties/children/items/anyOf/0/properties/archived'}, 'created_time': {'$ref': '#/properties/operations/items/anyOf/0/properties/children/items/anyOf/0/properties/created_time'}, 'has_children': {'$ref': '#/properties/operations/items/anyOf/0/properties/children/items/anyOf/0/properties/has_children'}, 'heading_2': {'additionalProperties': False, 'description': 'Heading 2 block content', 'properties': {'color': {'$ref': '#/properties/operations/items/anyOf/0/properties/children/items/anyOf/0/properties/paragraph/properties/color'}, 'is_toggleable': {'description': 'Whether heading can be toggled', 'type': 'boolean'}, 'rich_text': {'$ref': '#/properties/operations/items/anyOf/0/properties/children/items/anyOf/0/properties/paragraph/properties/rich_text'}}, 'required': ['rich_text'], 'type': 'object'}, 'last_edited_time': {'$ref': '#/properties/operations/items/anyOf/0/properties/children/items/anyOf/0/properties/last_edited_time'}, 'object': {'$ref': '#/properties/operations/items/anyOf/0/properties/children/items/anyOf/0/properties/object'}, 'type': {'const': 'heading_2', 'description': 'Heading 2 block type', 'type': 'string'}}, 'required': ['type', 'heading_2'], 'type': 'object'}, {'additionalProperties': False, 'properties': {'archived': {'$ref': '#/properties/operations/items/anyOf/0/properties/children/items/anyOf/0/properties/archived'}, 'created_time': {'$ref': '#/properties/operations/items/anyOf/0/properties/children/items/anyOf/0/properties/created_time'}, 'has_children': {'$ref': '#/properties/operations/items/anyOf/0/properties/children/items/anyOf/0/properties/has_children'}, 'heading_3': {'additionalProperties': False, 'description': 'Heading 3 block content', 'properties': {'color': {'$ref': '#/properties/operations/items/anyOf/0/properties/children/items/anyOf/0/properties/paragraph/properties/color'}, 'is_toggleable': {'description': 'Whether heading can be toggled', 'type': 'boolean'}, 'rich_text': {'$ref': '#/properties/operations/items/anyOf/0/properties/children/items/anyOf/0/properties/paragraph/properties/rich_text'}}, 'required': ['rich_text'], 'type': 'object'}, 'last_edited_time': {'$ref': '#/properties/operations/items/anyOf/0/properties/children/items/anyOf/0/properties/last_edited_time'}, 'object': {'$ref': '#/properties/operations/items/anyOf/0/properties/children/items/anyOf/0/properties/object'}, 'type': {'const': 'heading_3', 'description': 'Heading 3 block type', 'type': 'string'}}, 'required': ['type', 'heading_3'], 'type': 'object'}, {'additionalProperties': False, 'properties': {'archived': {'$ref': '#/properties/operations/items/anyOf/0/properties/children/items/anyOf/0/properties/archived'}, 'created_time': {'$ref': '#/properties/operations/items/anyOf/0/properties/children/items/anyOf/0/properties/created_time'}, 'has_children': {'$ref': '#/properties/operations/items/anyOf/0/properties/children/items/anyOf/0/properties/has_children'}, 'last_edited_time': {'$ref': '#/properties/operations/items/anyOf/0/properties/children/items/anyOf/0/properties/last_edited_time'}, 'object': {'$ref': '#/properties/operations/items/anyOf/0/properties/children/items/anyOf/0/properties/object'}, 'quote': {'additionalProperties': False, 'description': 'Quote block content', 'properties': {'color': {'$ref': '#/properties/operations/items/anyOf/0/properties/children/items/anyOf/0/properties/paragraph/properties/color'}, 'rich_text': {'$ref': '#/properties/operations/items/anyOf/0/properties/children/items/anyOf/0/properties/paragraph/properties/rich_text'}}, 'required': ['rich_text'], 'type': 'object'}, 'type': {'const': 'quote', 'description': 'Quote block type', 'type': 'string'}}, 'required': ['type', 'quote'], 'type': 'object'}, {'additionalProperties': False, 'properties': {'archived': {'$ref': '#/properties/operations/items/anyOf/0/properties/children/items/anyOf/0/properties/archived'}, 'callout': {'additionalProperties': False, 'description': 'Callout block content', 'properties': {'color': {'$ref': '#/properties/operations/items/anyOf/0/properties/children/items/anyOf/0/properties/paragraph/properties/color'}, 'icon': {'additionalProperties': False, 'description': 'Icon for the callout', 'properties': {'emoji': {'type': 'string'}, 'type': {'const': 'emoji', 'type': 'string'}}, 'required': ['emoji', 'type'], 'type': 'object'}, 'rich_text': {'$ref': '#/properties/operations/items/anyOf/0/properties/children/items/anyOf/0/properties/paragraph/properties/rich_text'}}, 'required': ['rich_text'], 'type': 'object'}, 'created_time': {'$ref': '#/properties/operations/items/anyOf/0/properties/children/items/anyOf/0/properties/created_time'}, 'has_children': {'$ref': '#/properties/operations/items/anyOf/0/properties/children/items/anyOf/0/properties/has_children'}, 'last_edited_time': {'$ref': '#/properties/operations/items/anyOf/0/properties/children/items/anyOf/0/properties/last_edited_time'}, 'object': {'$ref': '#/properties/operations/items/anyOf/0/properties/children/items/anyOf/0/properties/object'}, 'type': {'const': 'callout', 'description': 'Callout block type', 'type': 'string'}}, 'required': ['type', 'callout'], 'type': 'object'}, {'additionalProperties': False, 'properties': {'archived': {'$ref': '#/properties/operations/items/anyOf/0/properties/children/items/anyOf/0/properties/archived'}, 'created_time': {'$ref': '#/properties/operations/items/anyOf/0/properties/children/items/anyOf/0/properties/created_time'}, 'has_children': {'$ref': '#/properties/operations/items/anyOf/0/properties/children/items/anyOf/0/properties/has_children'}, 'last_edited_time': {'$ref': '#/properties/operations/items/anyOf/0/properties/children/items/anyOf/0/properties/last_edited_time'}, 'object': {'$ref': '#/properties/operations/items/anyOf/0/properties/children/items/anyOf/0/properties/object'}, 'toggle': {'additionalProperties': False, 'description': 'Toggle block content', 'properties': {'color': {'$ref': '#/properties/operations/items/anyOf/0/properties/children/items/anyOf/0/properties/paragraph/properties/color'}, 'rich_text': {'$ref': '#/properties/operations/items/anyOf/0/properties/children/items/anyOf/0/properties/paragraph/properties/rich_text'}}, 'required': ['rich_text'], 'type': 'object'}, 'type': {'const': 'toggle', 'description': 'Toggle block type', 'type': 'string'}}, 'required': ['type', 'toggle'], 'type': 'object'}, {'additionalProperties': False, 'properties': {'archived': {'$ref': '#/properties/operations/items/anyOf/0/properties/children/items/anyOf/0/properties/archived'}, 'bulleted_list_item': {'additionalProperties': False, 'description': 'Bulleted list item block content', 'properties': {'color': {'$ref': '#/properties/operations/items/anyOf/0/properties/children/items/anyOf/0/properties/paragraph/properties/color'}, 'rich_text': {'$ref': '#/properties/operations/items/anyOf/0/properties/children/items/anyOf/0/properties/paragraph/properties/rich_text'}}, 'required': ['rich_text'], 'type': 'object'}, 'created_time': {'$ref': '#/properties/operations/items/anyOf/0/properties/children/items/anyOf/0/properties/created_time'}, 'has_children': {'$ref': '#/properties/operations/items/anyOf/0/properties/children/items/anyOf/0/properties/has_children'}, 'last_edited_time': {'$ref': '#/properties/operations/items/anyOf/0/properties/children/items/anyOf/0/properties/last_edited_time'}, 'object': {'$ref': '#/properties/operations/items/anyOf/0/properties/children/items/anyOf/0/properties/object'}, 'type': {'const': 'bulleted_list_item', 'description': 'Bulleted list item block type', 'type': 'string'}}, 'required': ['type', 'bulleted_list_item'], 'type': 'object'}, {'additionalProperties': False, 'properties': {'archived': {'$ref': '#/properties/operations/items/anyOf/0/properties/children/items/anyOf/0/properties/archived'}, 'created_time': {'$ref': '#/properties/operations/items/anyOf/0/properties/children/items/anyOf/0/properties/created_time'}, 'has_children': {'$ref': '#/properties/operations/items/anyOf/0/properties/children/items/anyOf/0/properties/has_children'}, 'last_edited_time': {'$ref': '#/properties/operations/items/anyOf/0/properties/children/items/anyOf/0/properties/last_edited_time'}, 'numbered_list_item': {'additionalProperties': False, 'description': 'Numbered list item block content', 'properties': {'color': {'$ref': '#/properties/operations/items/anyOf/0/properties/children/items/anyOf/0/properties/paragraph/properties/color'}, 'rich_text': {'$ref': '#/properties/operations/items/anyOf/0/properties/children/items/anyOf/0/properties/paragraph/properties/rich_text'}}, 'required': ['rich_text'], 'type': 'object'}, 'object': {'$ref': '#/properties/operations/items/anyOf/0/properties/children/items/anyOf/0/properties/object'}, 'type': {'const': 'numbered_list_item', 'description': 'Numbered list item block type', 'type': 'string'}}, 'required': ['type', 'numbered_list_item'], 'type': 'object'}, {'additionalProperties': False, 'properties': {'archived': {'$ref': '#/properties/operations/items/anyOf/0/properties/children/items/anyOf/0/properties/archived'}, 'created_time': {'$ref': '#/properties/operations/items/anyOf/0/properties/children/items/anyOf/0/properties/created_time'}, 'has_children': {'$ref': '#/properties/operations/items/anyOf/0/properties/children/items/anyOf/0/properties/has_children'}, 'last_edited_time': {'$ref': '#/properties/operations/items/anyOf/0/properties/children/items/anyOf/0/properties/last_edited_time'}, 'object': {'$ref': '#/properties/operations/items/anyOf/0/properties/children/items/anyOf/0/properties/object'}, 'to_do': {'additionalProperties': False, 'description': 'To-do block content', 'properties': {'checked': {'description': 'Whether the to-do is checked', 'type': 'boolean'}, 'color': {'$ref': '#/properties/operations/items/anyOf/0/properties/children/items/anyOf/0/properties/paragraph/properties/color'}, 'rich_text': {'$ref': '#/properties/operations/items/anyOf/0/properties/children/items/anyOf/0/properties/paragraph/properties/rich_text'}}, 'required': ['rich_text'], 'type': 'object'}, 'type': {'const': 'to_do', 'description': 'To-do block type', 'type': 'string'}}, 'required': ['type', 'to_do'], 'type': 'object'}, {'additionalProperties': False, 'properties': {'archived': {'$ref': '#/properties/operations/items/anyOf/0/properties/children/items/anyOf/0/properties/archived'}, 'code': {'additionalProperties': False, 'description': 'Code block content', 'properties': {'color': {'$ref': '#/properties/operations/items/anyOf/0/properties/children/items/anyOf/0/properties/paragraph/properties/color'}, 'language': {'description': 'Programming language for code blocks', 'enum': ['abap', 'arduino', 'bash', 'basic', 'c', 'clojure', 'coffeescript', 'c++', 'c#', 'css', 'dart', 'diff', 'docker', 'elixir', 'elm', 'erlang', 'flow', 'fortran', 'f#', 'gherkin', 'glsl', 'go', 'graphql', 'groovy', 'haskell', 'html', 'java', 'javascript', 'json', 'julia', 'kotlin', 'latex', 'less', 'lisp', 'livescript', 'lua', 'makefile', 'markdown', 'markup', 'matlab', 'mermaid', 'nix', 'objective-c', 'ocaml', 'pascal', 'perl', 'php', 'plain text', 'powershell', 'prolog', 'protobuf', 'python', 'r', 'reason', 'ruby', 'rust', 'sass', 'scala', 'scheme', 'scss', 'shell', 'sql', 'swift', 'typescript', 'vb.net', 'verilog', 'vhdl', 'visual basic', 'webassembly', 'xml', 'yaml', 'java/c/c++/c#'], 'type': 'string'}, 'rich_text': {'$ref': '#/properties/operations/items/anyOf/0/properties/children/items/anyOf/0/properties/paragraph/properties/rich_text'}}, 'required': ['rich_text', 'language'], 'type': 'object'}, 'created_time': {'$ref': '#/properties/operations/items/anyOf/0/properties/children/items/anyOf/0/properties/created_time'}, 'has_children': {'$ref': '#/properties/operations/items/anyOf/0/properties/children/items/anyOf/0/properties/has_children'}, 'last_edited_time': {'$ref': '#/properties/operations/items/anyOf/0/properties/children/items/anyOf/0/properties/last_edited_time'}, 'object': {'$ref': '#/properties/operations/items/anyOf/0/properties/children/items/anyOf/0/properties/object'}, 'type': {'const': 'code', 'description': 'Code block type', 'type': 'string'}}, 'required': ['type', 'code'], 'type': 'object'}, {'additionalProperties': False, 'properties': {'archived': {'$ref': '#/properties/operations/items/anyOf/0/properties/children/items/anyOf/0/properties/archived'}, 'created_time': {'$ref': '#/properties/operations/items/anyOf/0/properties/children/items/anyOf/0/properties/created_time'}, 'divider': {'additionalProperties': False, 'description': 'Divider block content', 'properties': {}, 'type': 'object'}, 'has_children': {'$ref': '#/properties/operations/items/anyOf/0/properties/children/items/anyOf/0/properties/has_children'}, 'last_edited_time': {'$ref': '#/properties/operations/items/anyOf/0/properties/children/items/anyOf/0/properties/last_edited_time'}, 'object': {'$ref': '#/properties/operations/items/anyOf/0/properties/children/items/anyOf/0/properties/object'}, 'type': {'const': 'divider', 'description': 'Divider block type', 'type': 'string'}}, 'required': ['type', 'divider'], 'type': 'object'}, {'additionalProperties': False, 'properties': {'archived': {'$ref': '#/properties/operations/items/anyOf/0/properties/children/items/anyOf/0/properties/archived'}, 'created_time': {'$ref': '#/properties/operations/items/anyOf/0/properties/children/items/anyOf/0/properties/created_time'}, 'has_children': {'$ref': '#/properties/operations/items/anyOf/0/properties/children/items/anyOf/0/properties/has_children'}, 'image': {'additionalProperties': False, 'description': 'Image block content', 'properties': {'caption': {'description': 'Image caption', 'items': {'$ref': '#/properties/operations/items/anyOf/0/properties/children/items/anyOf/0/properties/paragraph/properties/rich_text/items'}, 'type': 'array'}, 'external': {'additionalProperties': False, 'description': 'External file source', 'properties': {'url': {'description': 'URL of the external file', 'format': 'uri', 'type': 'string'}}, 'required': ['url'], 'type': 'object'}, 'type': {'const': 'external', 'description': 'Type of file source', 'type': 'string'}}, 'required': ['external', 'type'], 'type': 'object'}, 'last_edited_time': {'$ref': '#/properties/operations/items/anyOf/0/properties/children/items/anyOf/0/properties/last_edited_time'}, 'object': {'$ref': '#/properties/operations/items/anyOf/0/properties/children/items/anyOf/0/properties/object'}, 'type': {'const': 'image', 'description': 'Image block type', 'type': 'string'}}, 'required': ['type', 'image'], 'type': 'object'}], 'description': 'Union of all possible text block request types'}, 'type': 'array'}, 'operation': {'const': 'append', 'type': 'string'}}, 'required': ['operation', 'blockId', 'children'], 'type': 'object'}, {'additionalProperties': False, 'properties': {'blockId': {'description': 'The ID of the block to update', 'type': 'string'}, 'data': {'$ref': '#/properties/operations/items/anyOf/0/properties/children/items', 'description': 'The block data to update'}, 'operation': {'const': 'update', 'type': 'string'}}, 'required': ['operation', 'blockId', 'data'], 'type': 'object'}, {'additionalProperties': False, 'properties': {'blockId': {'description': 'The ID of the block to delete/archive', 'type': 'string'}, 'operation': {'const': 'delete', 'type': 'string'}}, 'required': ['operation', 'blockId'], 'type': 'object'}]}, 'type': 'array'}}, 'required': ['operations'], 'type': 'object'}, description="""Perform a mix of append, update, and delete operations in a single request"""), # awkoy/notion-mcp-server/batch_mixed_operations
    Tool(name="""mcp-server-code-runner_run-code""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'code': {'description': 'Code Snippet', 'type': 'string'}, 'languageId': {'description': 'Language ID', 'type': 'string'}}, 'required': ['code', 'languageId'], 'type': 'object'}, description="""Run code snippet and return the result."""), # formulahendry/mcp-server-code-runner/run-code
    Tool(name="""mcp-octagon_octagon-sec-agent""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'prompt': {'description': 'Your natural language query or request for the agent', 'type': 'string'}}, 'required': ['prompt'], 'type': 'object'}, description="""[PUBLIC MARKET INTELLIGENCE] A specialized agent for SEC filings analysis and financial data extraction. Covers over 8,000 public companies from SEC EDGAR with comprehensive coverage of financial statements from annual and quarterly reports (10-K, 10-Q, 20-F), offering filings (S-1), amendments, and event filings (8-K). Updated daily with historical data dating back to 2018 for time-series analysis. Best for extracting financial and segment metrics, management discussion, footnotes, risk factors, and quantitative data from SEC filings. Example queries: 'What was Apple's R&D expense as a percentage of revenue in their latest fiscal year?', 'Find the risk factors related to supply chain in Tesla's latest 10-K', 'Extract quarterly revenue growth rates for Microsoft over the past 2 years'."""), # OctagonAI/mcp-octagon/octagon-sec-agent
    Tool(name="""mcp-octagon_octagon-transcripts-agent""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'prompt': {'description': 'Your natural language query or request for the agent', 'type': 'string'}}, 'required': ['prompt'], 'type': 'object'}, description="""[PUBLIC MARKET INTELLIGENCE] A specialized agent for analyzing earnings call transcripts and management commentary. Covers over 8,000 public companies with continuous daily updates for real-time insights. Historical data dating back to 2018 enables robust time-series analysis. Extract information from earnings call transcripts, including executive statements, financial guidance, analyst questions, and forward-looking statements. Best for analyzing management sentiment, extracting guidance figures, and identifying key business trends. Example queries: 'What did Amazon's CEO say about AWS growth expectations in the latest earnings call?', 'Summarize key financial metrics mentioned in Tesla's Q2 2023 earnings call', 'What questions did analysts ask about margins during Netflix's latest earnings call?'."""), # OctagonAI/mcp-octagon/octagon-transcripts-agent
    Tool(name="""mcp-octagon_octagon-financials-agent""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'prompt': {'description': 'Your natural language query or request for the agent', 'type': 'string'}}, 'required': ['prompt'], 'type': 'object'}, description="""[PUBLIC MARKET INTELLIGENCE] Specialized agent for financial statement analysis and ratio calculations. Capabilities: Analyze financial statements, calculate financial metrics, compare ratios, and evaluate performance indicators. Best for: Deep financial analysis and comparison of company financial performance. Example queries: 'Compare the gross margins, operating margins, and net margins of Apple, Microsoft, and Google over the last 3 years', 'Analyze Tesla's cash flow statements from 2021 to 2023 and calculate free cash flow trends', 'Calculate and explain key financial ratios for Amazon including P/E, EV/EBITDA, and ROIC'."""), # OctagonAI/mcp-octagon/octagon-financials-agent
    Tool(name="""mcp-octagon_octagon-stock-data-agent""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'prompt': {'description': 'Your natural language query or request for the agent', 'type': 'string'}}, 'required': ['prompt'], 'type': 'object'}, description="""[PUBLIC MARKET INTELLIGENCE] Specialized agent for stock market data and equity investment analysis. Capabilities: Analyze stock price movements, trading volumes, market trends, valuation metrics, and technical indicators. Best for: Stock market research, equity analysis, and trading pattern identification. Example queries: 'How has Apple's stock performed compared to the S&P 500 over the last 6 months?', 'Analyze the trading volume patterns for Tesla stock before and after earnings releases', 'What were the major price movements for NVIDIA in 2023 and what were the catalysts?'."""), # OctagonAI/mcp-octagon/octagon-stock-data-agent
    Tool(name="""mcp-octagon_octagon-companies-agent""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'prompt': {'description': 'Your natural language query or request for the agent', 'type': 'string'}}, 'required': ['prompt'], 'type': 'object'}, description="""[PRIVATE MARKET INTELLIGENCE] A specialized database agent for looking up company information and financials. Capabilities: Query comprehensive company financial information and business intelligence from Octagon's company database. Best for: Finding basic information about companies, their financial metrics, and industry benchmarks. NOTE: For better and more accurate results, provide the company's website URL instead of just the company name. Example queries: 'What is the employee trends for Stripe (stripe.com)?', 'List the top 5 companies in the AI sector by revenue growth', 'Who are the top competitors to Databricks (databricks.com)?'."""), # OctagonAI/mcp-octagon/octagon-companies-agent
    Tool(name="""mcp-octagon_octagon-funding-agent""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'prompt': {'description': 'Your natural language query or request for the agent', 'type': 'string'}}, 'required': ['prompt'], 'type': 'object'}, description="""[PRIVATE MARKET INTELLIGENCE] A specialized database agent for company funding transactions and venture capital research. Capabilities: Extract information about funding rounds, investors, valuations, and investment trends. Best for: Researching startup funding history, investor activity, and venture capital patterns. NOTE: For better and more accurate results, provide the company's website URL instead of just the company name. Example queries: 'What was Anthropic's latest funding round size, valuation, and key investors (anthropic.com)?', 'How much has OpenAI raised in total funding and at what valuation (openai.com)?', 'Who were the lead investors in Databricks' Series G round and what was the post-money valuation (databricks.com)?'."""), # OctagonAI/mcp-octagon/octagon-funding-agent
    Tool(name="""mcp-octagon_octagon-deals-agent""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'prompt': {'description': 'Your natural language query or request for the agent', 'type': 'string'}}, 'required': ['prompt'], 'type': 'object'}, description="""[PRIVATE MARKET INTELLIGENCE] A specialized database agent for M&A and IPO transaction analysis. Capabilities: Retrieve information about mergers, acquisitions, initial public offerings, and other financial transactions. Best for: Research on corporate transactions, IPO valuations, and M&A activity. NOTE: For better and more accurate results, provide the company's website URL instead of just the company name. Example queries: 'What was the acquisition price when Microsoft (microsoft.com) acquired GitHub (github.com)?', 'List the valuation multiples for AI companies in 2024', 'List all the acquisitions and price, valuation by Salesforce (salesforce.com) in 2023?'."""), # OctagonAI/mcp-octagon/octagon-deals-agent
    Tool(name="""mcp-octagon_octagon-investors-agent""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'prompt': {'description': 'Your natural language query or request for the agent', 'type': 'string'}}, 'required': ['prompt'], 'type': 'object'}, description="""[PRIVATE MARKET INTELLIGENCE] A specialized database agent for looking up information on investors. Capabilities: Retrieve information about investors, their investment criteria, and past activities. Best for: Research on investors and details about their investment activities. NOTE: For better and more accurate results, provide the investor's website URL instead of just the investor name. Example queries: 'What is the latest investment criteria of Insight Partners (insightpartners.com)?', 'How many investments did Andreessen Horowitz (a16z.com) make in the last 6 months', 'What is the typical check size for QED Investors (qedinvestors.com)'."""), # OctagonAI/mcp-octagon/octagon-investors-agent
    Tool(name="""mcp-octagon_octagon-scraper-agent""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'prompt': {'description': 'Your natural language query or request for the agent', 'type': 'string'}}, 'required': ['prompt'], 'type': 'object'}, description="""[PUBLIC & PRIVATE MARKET INTELLIGENCE] Specialized agent for financial data extraction from investor websites. Capabilities: Extract structured financial data from investor relations websites, tables, and online financial sources. Best for: Gathering financial data from websites that don't have accessible APIs. Example queries: 'Extract all data fields from zillow.com/san-francisco-ca/', 'Extract all data fields from www.carvana.com/cars/'."""), # OctagonAI/mcp-octagon/octagon-scraper-agent
    Tool(name="""mcp-octagon_octagon-deep-research-agent""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'prompt': {'description': 'Your natural language query or request for the agent', 'type': 'string'}}, 'required': ['prompt'], 'type': 'object'}, description="""[PUBLIC & PRIVATE MARKET INTELLIGENCE] A comprehensive agent that can utilize multiple sources for deep research analysis. Capabilities: Aggregate research across multiple data sources, synthesize information, and provide comprehensive investment research. Best for: Investment research questions requiring up-to-date aggregated information from the web. Example queries: 'Research the financial impact of Apple's privacy changes on digital advertising companies' revenue and margins', 'Analyze the competitive landscape in the cloud computing sector, focusing on AWS, Azure, and Google Cloud margin and growth trends', 'Investigate the factors driving electric vehicle adoption and their impact on battery supplier financials'."""), # OctagonAI/mcp-octagon/octagon-deep-research-agent
    Tool(name="""mcp-octagon_octagon-debts-agent""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'prompt': {'description': 'Your natural language query or request for the agent', 'type': 'string'}}, 'required': ['prompt'], 'type': 'object'}, description="""[PRIVATE MARKET INTELLIGENCE] A specialized database agent for analyzing private debts and lenders. Capabilities: Retrieve information about private debts and lenders. Best for: Research on borrowers, and lenders and details about the private debt facilities. Example queries: 'List all the debt activities from borrower American Tower', 'Compile all the debt activities from lender ING Group in Q4 2024'."""), # OctagonAI/mcp-octagon/octagon-debts-agent
    Tool(name="""Scrapybara MCP_start_instance""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {}, 'type': 'object'}, description="""Start a Scrapybara Ubuntu instance. Use it as a desktop sandbox to access the web or run code. Always present the stream URL to the user afterwards so they can watch the instance in real time."""), # Scrapybara/Scrapybara MCP/start_instance
    Tool(name="""Scrapybara MCP_get_instances""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {}, 'type': 'object'}, description="""Get all running Scrapybara instances."""), # Scrapybara/Scrapybara MCP/get_instances
    Tool(name="""Scrapybara MCP_stop_instance""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'instance_id': {'description': 'The ID of the instance to stop.', 'type': 'string'}}, 'required': ['instance_id'], 'type': 'object'}, description="""Stop a running Scrapybara instance."""), # Scrapybara/Scrapybara MCP/stop_instance
    Tool(name="""Scrapybara MCP_bash""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'command': {'description': 'The command to run in the instance shell.', 'type': 'string'}, 'instance_id': {'description': 'The ID of the instance to run the command on.', 'type': 'string'}}, 'required': ['instance_id', 'command'], 'type': 'object'}, description="""Run a bash command in a Scrapybara instance."""), # Scrapybara/Scrapybara MCP/bash
    Tool(name="""Scrapybara MCP_act""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'instance_id': {'description': 'The ID of the instance to act on.', 'type': 'string'}, 'prompt': {'description': "The prompt to act on.\n<EXAMPLES>\n- Go to https://ycombinator.com/companies, set batch filter to W25, and extract all company names.\n- Find the best way to contact Scrapybara.\n- Order a Big Mac from McDonald's on Doordash.\n</EXAMPLES>\n", 'type': 'string'}, 'schema': {'description': 'Optional schema if you want to extract structured output.'}}, 'required': ['instance_id', 'prompt'], 'type': 'object'}, description="""Take action on a Scrapybara instance through an agent. The agent can control the instance with mouse/keyboard and bash commands."""), # Scrapybara/Scrapybara MCP/act
    Tool(name="""Flutter Inspector MCP Server_get_active_ports""", inputSchema={'properties': {}, 'required': [], 'type': 'object'}, description="""Utility: Get list of ports where Flutter/Dart processes are listening. This is a local utility, not a Flutter RPC method."""), # Arenukvern/Flutter Inspector MCP Server/get_active_ports
    Tool(name="""Flutter Inspector MCP Server_get_supported_protocols""", inputSchema={'properties': {'port': {'description': 'Optional: Custom port number if not using default Flutter debug port 8181', 'type': 'number'}}, 'required': [], 'type': 'object'}, description="""Utility: Get supported protocols from a Flutter app. This is a VM service method, not a Flutter RPC. Connects to the default Flutter debug port (8181) unless specified otherwise."""), # Arenukvern/Flutter Inspector MCP Server/get_supported_protocols
    Tool(name="""Flutter Inspector MCP Server_get_vm_info""", inputSchema={'properties': {'port': {'description': 'Optional: Custom port number if not using default Flutter debug port 8181', 'type': 'number'}}, 'required': [], 'type': 'object'}, description="""Utility: Get VM information from a Flutter app. This is a VM service method, not a Flutter RPC. Connects to the default Flutter debug port (8181) unless specified otherwise."""), # Arenukvern/Flutter Inspector MCP Server/get_vm_info
    Tool(name="""Flutter Inspector MCP Server_get_extension_rpcs""", inputSchema={'properties': {'isRawResponse': {'default': False, 'description': 'If true, returns the raw response from the VM service without processing', 'type': 'boolean'}, 'isolateId': {'description': 'Optional specific isolate ID to check. If not provided, checks all isolates', 'type': 'string'}, 'port': {'description': 'Optional: Custom port number if not using default Flutter debug port 8181', 'type': 'number'}}, 'required': [], 'type': 'object'}, description="""Utility: List all available extension RPCs in the Flutter app. This is a helper tool for discovering available methods."""), # Arenukvern/Flutter Inspector MCP Server/get_extension_rpcs
    Tool(name="""Flutter Inspector MCP Server_debug_disable_opacity_layers""", inputSchema={'properties': {'enabled': {'default': False, 'description': 'Whether to enable or disable opacity layers', 'type': 'boolean'}, 'port': {'description': 'Optional: Custom port number if not using default Flutter debug port 8181', 'type': 'number'}}, 'required': ['enabled'], 'type': 'object'}, description="""RPC: Toggle opacity layers debugging (ext.flutter.debugDisableOpacityLayers). Connects to the default Flutter debug port (8181) unless specified otherwise."""), # Arenukvern/Flutter Inspector MCP Server/debug_disable_opacity_layers
    Tool(name="""Flutter Inspector MCP Server_debug_dump_render_tree""", inputSchema={'properties': {'port': {'description': 'Optional: Custom port number if not using default Flutter debug port 8181', 'type': 'number'}}, 'required': [], 'type': 'object'}, description="""RPC: Dump the render tree (ext.flutter.debugDumpRenderTree). Connects to the default Flutter debug port (8181) unless specified otherwise."""), # Arenukvern/Flutter Inspector MCP Server/debug_dump_render_tree
    Tool(name="""Flutter Inspector MCP Server_debug_dump_layer_tree""", inputSchema={'properties': {'port': {'description': 'Optional: Custom port number if not using default Flutter debug port 8181', 'type': 'number'}}, 'required': [], 'type': 'object'}, description="""RPC: Dump the layer tree (ext.flutter.debugDumpLayerTree). Connects to the default Flutter debug port (8181) unless specified otherwise."""), # Arenukvern/Flutter Inspector MCP Server/debug_dump_layer_tree
    Tool(name="""Flutter Inspector MCP Server_debug_dump_semantics_tree""", inputSchema={'properties': {'port': {'description': 'Optional: Custom port number if not using default Flutter debug port 8181', 'type': 'number'}}, 'required': [], 'type': 'object'}, description="""RPC: Dump the semantics tree (ext.flutter.debugDumpSemanticsTreeInTraversalOrder). Connects to the default Flutter debug port (8181) unless specified otherwise."""), # Arenukvern/Flutter Inspector MCP Server/debug_dump_semantics_tree
    Tool(name="""Flutter Inspector MCP Server_debug_dump_semantics_tree_inverse""", inputSchema={'properties': {'port': {'description': 'Port number where the Flutter app is running (defaults to 8181)', 'type': 'number'}}, 'required': [], 'type': 'object'}, description="""RPC: Dump the semantics tree in inverse hit test order (ext.flutter.debugDumpSemanticsTreeInInverseHitTestOrder)"""), # Arenukvern/Flutter Inspector MCP Server/debug_dump_semantics_tree_inverse
    Tool(name="""Flutter Inspector MCP Server_debug_paint_baselines_enabled""", inputSchema={'properties': {'enabled': {'description': 'Whether to enable or disable baseline paint debugging', 'type': 'boolean'}, 'port': {'description': 'Optional: Custom port number if not using default Flutter debug port 8181', 'type': 'number'}}, 'required': ['enabled'], 'type': 'object'}, description="""RPC: Toggle baseline paint debugging (ext.flutter.debugPaintBaselinesEnabled). Connects to the default Flutter debug port (8181) unless specified otherwise."""), # Arenukvern/Flutter Inspector MCP Server/debug_paint_baselines_enabled
    Tool(name="""Flutter Inspector MCP Server_debug_dump_focus_tree""", inputSchema={'properties': {'port': {'description': 'Port number where the Flutter app is running (defaults to 8181)', 'type': 'number'}}, 'required': [], 'type': 'object'}, description="""RPC: Dump the focus tree (ext.flutter.debugDumpFocusTree)"""), # Arenukvern/Flutter Inspector MCP Server/debug_dump_focus_tree
    Tool(name="""Flutter Inspector MCP Server_debug_disable_physical_shape_layers""", inputSchema={'properties': {'enabled': {'description': 'Whether to enable or disable physical shape layers', 'type': 'boolean'}, 'port': {'description': 'Port number where the Flutter app is running (defaults to 8181)', 'type': 'number'}}, 'required': ['enabled'], 'type': 'object'}, description="""RPC: Toggle physical shape layers debugging (ext.flutter.debugDisablePhysicalShapeLayers)"""), # Arenukvern/Flutter Inspector MCP Server/debug_disable_physical_shape_layers
    Tool(name="""Flutter Inspector MCP Server_inspector_screenshot""", inputSchema={'properties': {'port': {'description': 'Optional: Custom port number if not using default Flutter debug port 8181', 'type': 'number'}}, 'required': [], 'type': 'object'}, description="""RPC: Take a screenshot of the Flutter app (ext.flutter.inspector.screenshot). Connects to the default Flutter debug port (8181) unless specified otherwise."""), # Arenukvern/Flutter Inspector MCP Server/inspector_screenshot
    Tool(name="""Flutter Inspector MCP Server_inspector_get_layout_explorer_node""", inputSchema={'properties': {'objectId': {'description': 'ID of the widget to inspect', 'type': 'string'}, 'port': {'description': 'Optional: Custom port number if not using default Flutter debug port 8181', 'type': 'number'}}, 'required': ['objectId'], 'type': 'object'}, description="""RPC: Get layout explorer information for a widget (ext.flutter.inspector.getLayoutExplorerNode). Connects to the default Flutter debug port (8181) unless specified otherwise."""), # Arenukvern/Flutter Inspector MCP Server/inspector_get_layout_explorer_node
    Tool(name="""Flutter Inspector MCP Server_inspector_track_rebuild_dirty_widgets""", inputSchema={'properties': {'enabled': {'description': 'Whether to enable or disable rebuild tracking', 'type': 'boolean'}, 'port': {'description': 'Optional: Custom port number if not using default Flutter debug port 8181', 'type': 'number'}}, 'required': ['enabled'], 'type': 'object'}, description="""RPC: Track widget rebuilds to identify performance issues (ext.flutter.inspector.trackRebuildDirtyWidgets). Connects to the default Flutter debug port (8181) unless specified otherwise."""), # Arenukvern/Flutter Inspector MCP Server/inspector_track_rebuild_dirty_widgets
    Tool(name="""Flutter Inspector MCP Server_inspector_set_selection_by_id""", inputSchema={'properties': {'port': {'description': 'Optional: Custom port number if not using default Flutter debug port 8181', 'type': 'number'}, 'selectionId': {'description': 'ID of the widget to select', 'type': 'string'}}, 'required': ['selectionId'], 'type': 'object'}, description="""RPC: Set the selected widget by ID (ext.flutter.inspector.setSelectionById). Connects to the default Flutter debug port (8181) unless specified otherwise."""), # Arenukvern/Flutter Inspector MCP Server/inspector_set_selection_by_id
    Tool(name="""Flutter Inspector MCP Server_inspector_get_parent_chain""", inputSchema={'properties': {'objectId': {'description': 'ID of the widget to get parent chain for', 'type': 'string'}, 'port': {'description': 'Optional: Custom port number if not using default Flutter debug port 8181', 'type': 'number'}}, 'required': ['objectId'], 'type': 'object'}, description="""RPC: Get the parent chain for a widget (ext.flutter.inspector.getParentChain). Connects to the default Flutter debug port (8181) unless specified otherwise."""), # Arenukvern/Flutter Inspector MCP Server/inspector_get_parent_chain
    Tool(name="""Flutter Inspector MCP Server_inspector_get_children_summary_tree""", inputSchema={'properties': {'objectId': {'description': 'ID of the widget to get children summary tree for', 'type': 'string'}, 'port': {'description': 'Optional: Custom port number if not using default Flutter debug port 8181', 'type': 'number'}}, 'required': ['objectId'], 'type': 'object'}, description="""RPC: Get the children summary tree for a widget (ext.flutter.inspector.getChildrenSummaryTree). Connects to the default Flutter debug port (8181) unless specified otherwise."""), # Arenukvern/Flutter Inspector MCP Server/inspector_get_children_summary_tree
    Tool(name="""Flutter Inspector MCP Server_inspector_get_children_details_subtree""", inputSchema={'properties': {'objectId': {'description': 'ID of the widget to get children details subtree for', 'type': 'string'}, 'port': {'description': 'Port number where the Flutter app is running (defaults to 8181)', 'type': 'number'}}, 'required': ['objectId'], 'type': 'object'}, description="""RPC: Get the children details subtree for a widget (ext.flutter.inspector.getChildrenDetailsSubtree)"""), # Arenukvern/Flutter Inspector MCP Server/inspector_get_children_details_subtree
    Tool(name="""Flutter Inspector MCP Server_inspector_get_root_widget_summary_tree""", inputSchema={'properties': {'port': {'description': 'Port number where the Flutter app is running (defaults to 8181)', 'type': 'number'}}, 'required': [], 'type': 'object'}, description="""RPC: Get the root widget summary tree (ext.flutter.inspector.getRootWidgetSummaryTree)"""), # Arenukvern/Flutter Inspector MCP Server/inspector_get_root_widget_summary_tree
    Tool(name="""Flutter Inspector MCP Server_inspector_get_root_widget_summary_tree_with_previews""", inputSchema={'properties': {'port': {'description': 'Port number where the Flutter app is running (defaults to 8181)', 'type': 'number'}}, 'required': [], 'type': 'object'}, description="""RPC: Get the root widget summary tree with previews from the Flutter app. This provides a hierarchical view of the widget tree with preview information."""), # Arenukvern/Flutter Inspector MCP Server/inspector_get_root_widget_summary_tree_with_previews
    Tool(name="""Flutter Inspector MCP Server_inspector_get_details_subtree""", inputSchema={'properties': {'objectId': {'description': 'ID of the widget to get details for', 'type': 'string'}, 'port': {'description': 'Optional: Custom port number if not using default Flutter debug port 8181', 'type': 'number'}}, 'required': ['objectId'], 'type': 'object'}, description="""RPC: Get the details subtree for a widget. This provides detailed information about the widget and its descendants. Connects to the default Flutter debug port (8181) unless specified otherwise."""), # Arenukvern/Flutter Inspector MCP Server/inspector_get_details_subtree
    Tool(name="""Flutter Inspector MCP Server_inspector_get_selected_widget""", inputSchema={'properties': {'port': {'description': 'Optional: Custom port number if not using default Flutter debug port 8181', 'type': 'number'}}, 'required': [], 'type': 'object'}, description="""RPC: Get information about the currently selected widget in the Flutter app. Connects to the default Flutter debug port (8181) unless specified otherwise."""), # Arenukvern/Flutter Inspector MCP Server/inspector_get_selected_widget
    Tool(name="""Flutter Inspector MCP Server_inspector_get_selected_summary_widget""", inputSchema={'properties': {'port': {'description': 'Optional: Custom port number if not using default Flutter debug port 8181', 'type': 'number'}}, 'required': [], 'type': 'object'}, description="""RPC: Get summary information about the currently selected widget in the Flutter app. Connects to the default Flutter debug port (8181) unless specified otherwise."""), # Arenukvern/Flutter Inspector MCP Server/inspector_get_selected_summary_widget
    Tool(name="""Flutter Inspector MCP Server_inspector_is_widget_creation_tracked""", inputSchema={'properties': {'port': {'description': 'Optional: Custom port number if not using default Flutter debug port 8181', 'type': 'number'}}, 'required': [], 'type': 'object'}, description="""RPC: Check if widget creation tracking is enabled in the Flutter app."""), # Arenukvern/Flutter Inspector MCP Server/inspector_is_widget_creation_tracked
    Tool(name="""Flutter Inspector MCP Server_dart_io_socket_profiling_enabled""", inputSchema={'properties': {'enabled': {'description': 'Whether to enable or disable socket profiling', 'type': 'boolean'}, 'port': {'description': 'Optional: Custom port number if not using default Flutter debug port 8181', 'type': 'number'}}, 'required': ['enabled'], 'type': 'object'}, description="""RPC: Enable or disable socket profiling. Connects to the default Flutter debug port (8181) unless specified otherwise."""), # Arenukvern/Flutter Inspector MCP Server/dart_io_socket_profiling_enabled
    Tool(name="""Flutter Inspector MCP Server_dart_io_http_enable_timeline_logging""", inputSchema={'properties': {'enabled': {'description': 'Whether to enable or disable HTTP timeline logging', 'type': 'boolean'}, 'port': {'description': 'Optional: Custom port number if not using default Flutter debug port 8181', 'type': 'number'}}, 'required': ['enabled'], 'type': 'object'}, description="""RPC: Enable or disable HTTP timeline logging. Connects to the default Flutter debug port (8181) unless specified otherwise."""), # Arenukvern/Flutter Inspector MCP Server/dart_io_http_enable_timeline_logging
    Tool(name="""Flutter Inspector MCP Server_dart_io_get_version""", inputSchema={'properties': {'port': {'description': 'Port number where the Flutter app is running (defaults to 8181)', 'type': 'number'}}, 'required': [], 'type': 'object'}, description="""RPC: Get Flutter version information (ext.dart.io.getVersion)"""), # Arenukvern/Flutter Inspector MCP Server/dart_io_get_version
    Tool(name="""Flutter Inspector MCP Server_dart_io_get_open_files""", inputSchema={'properties': {'port': {'description': 'Port number where the Flutter app is running (defaults to 8181)', 'type': 'number'}}, 'required': [], 'type': 'object'}, description="""RPC: Get list of currently open files in the Flutter app"""), # Arenukvern/Flutter Inspector MCP Server/dart_io_get_open_files
    Tool(name="""Flutter Inspector MCP Server_dart_io_get_open_file_by_id""", inputSchema={'properties': {'fileId': {'description': 'ID of the file to get details for', 'type': 'string'}, 'port': {'description': 'Port number where the Flutter app is running (defaults to 8181)', 'type': 'number'}}, 'required': ['fileId'], 'type': 'object'}, description="""RPC: Get details of a specific open file by its ID"""), # Arenukvern/Flutter Inspector MCP Server/dart_io_get_open_file_by_id
    Tool(name="""Flutter Inspector MCP Server_stream_listen""", inputSchema={'properties': {'port': {'description': 'Optional: Custom port number if not using default Flutter debug port 8181', 'type': 'number'}, 'streamId': {'description': 'Stream ID to subscribe to', 'enum': ['Debug', 'Isolate', 'VM', 'GC', 'Timeline', 'Logging', 'Service', 'HeapSnapshot'], 'type': 'string'}}, 'required': ['streamId'], 'type': 'object'}, description="""RPC: Subscribe to a Flutter event stream. This is a VM service method for event monitoring. Connects to the default Flutter debug port (8181) unless specified otherwise."""), # Arenukvern/Flutter Inspector MCP Server/stream_listen
    Tool(name="""Flutter Inspector MCP Server_dart_io_get_http_profile_request""", inputSchema={'properties': {'port': {'description': 'Port number where the Flutter app is running (defaults to 8181)', 'type': 'number'}, 'requestId': {'description': 'ID of the HTTP request to get details for', 'type': 'string'}}, 'required': ['requestId'], 'type': 'object'}, description="""RPC: Get details of a specific HTTP request from the profile"""), # Arenukvern/Flutter Inspector MCP Server/dart_io_get_http_profile_request
    Tool(name="""Flutter Inspector MCP Server_flutter_core_invert_oversized_images""", inputSchema={'properties': {'enabled': {'description': 'Whether to enable or disable inverting of oversized images', 'type': 'boolean'}, 'port': {'description': 'Port number where the Flutter app is running (defaults to 8181)', 'type': 'number'}}, 'required': ['enabled'], 'type': 'object'}, description="""RPC: Toggle inverting of oversized images for debugging"""), # Arenukvern/Flutter Inspector MCP Server/flutter_core_invert_oversized_images
    Tool(name="""Flutter Inspector MCP Server_debug_allow_banner""", inputSchema={'properties': {'enabled': {'description': 'Whether to show or hide the debug banner', 'type': 'boolean'}, 'port': {'description': 'Port number where the Flutter app is running (defaults to 8181)', 'type': 'number'}}, 'required': ['enabled'], 'type': 'object'}, description="""RPC: Toggle the debug banner in the Flutter app"""), # Arenukvern/Flutter Inspector MCP Server/debug_allow_banner
    Tool(name="""Flutter Inspector MCP Server_flutter_core_did_send_first_frame_event""", inputSchema={'properties': {'port': {'description': 'Port number where the Flutter app is running (defaults to 8181)', 'type': 'number'}}, 'required': [], 'type': 'object'}, description="""RPC: Check if the first frame event has been sent"""), # Arenukvern/Flutter Inspector MCP Server/flutter_core_did_send_first_frame_event
    Tool(name="""Flutter Inspector MCP Server_flutter_core_did_send_first_frame_rasterized_event""", inputSchema={'properties': {'port': {'description': 'Port number where the Flutter app is running (defaults to 8181)', 'type': 'number'}}, 'required': [], 'type': 'object'}, description="""RPC: Check if the first frame has been rasterized"""), # Arenukvern/Flutter Inspector MCP Server/flutter_core_did_send_first_frame_rasterized_event
    Tool(name="""Flutter Inspector MCP Server_flutter_core_platform_override""", inputSchema={'properties': {'platform': {'description': 'Platform to override to (android, ios, fuchsia, linux, macOS, windows, or null to reset)', 'enum': ['android', 'ios', 'fuchsia', 'linux', 'macOS', 'windows', None], 'type': 'string'}, 'port': {'description': 'Port number where the Flutter app is running (defaults to 8181)', 'type': 'number'}}, 'required': ['platform'], 'type': 'object'}, description="""RPC: Override the platform for the Flutter app"""), # Arenukvern/Flutter Inspector MCP Server/flutter_core_platform_override
    Tool(name="""Flutter Inspector MCP Server_flutter_core_brightness_override""", inputSchema={'properties': {'brightness': {'description': 'Brightness to override to (light, dark, or null to reset)', 'enum': ['light', 'dark', None], 'type': 'string'}, 'port': {'description': 'Port number where the Flutter app is running (defaults to 8181)', 'type': 'number'}}, 'required': ['brightness'], 'type': 'object'}, description="""RPC: Override the brightness for the Flutter app"""), # Arenukvern/Flutter Inspector MCP Server/flutter_core_brightness_override
    Tool(name="""Flutter Inspector MCP Server_flutter_core_time_dilation""", inputSchema={'properties': {'dilation': {'description': 'Time dilation factor (1.0 is normal speed, >1.0 is slower, <1.0 is faster)', 'minimum': 0, 'type': 'number'}, 'port': {'description': 'Port number where the Flutter app is running (defaults to 8181)', 'type': 'number'}}, 'required': ['dilation'], 'type': 'object'}, description="""RPC: Set the time dilation factor for animations in the Flutter app"""), # Arenukvern/Flutter Inspector MCP Server/flutter_core_time_dilation
    Tool(name="""Flutter Inspector MCP Server_flutter_core_evict""", inputSchema={'properties': {'asset': {'description': 'Asset path to evict from the cache', 'type': 'string'}, 'port': {'description': 'Port number where the Flutter app is running (defaults to 8181)', 'type': 'number'}}, 'required': ['asset'], 'type': 'object'}, description="""RPC: Evict an asset from the Flutter app's cache"""), # Arenukvern/Flutter Inspector MCP Server/flutter_core_evict
    Tool(name="""Flutter Inspector MCP Server_flutter_core_profile_platform_channels""", inputSchema={'properties': {'enabled': {'description': 'Whether to enable or disable platform channel profiling', 'type': 'boolean'}, 'port': {'description': 'Port number where the Flutter app is running (defaults to 8181)', 'type': 'number'}}, 'required': ['enabled'], 'type': 'object'}, description="""RPC: Enable or disable profiling of platform channels"""), # Arenukvern/Flutter Inspector MCP Server/flutter_core_profile_platform_channels
    Tool(name="""Flutter Inspector MCP Server_debug_disable_clip_layers""", inputSchema={'properties': {'enabled': {'description': 'Whether to enable or disable clip layers', 'type': 'boolean'}, 'port': {'description': 'Port number where the Flutter app is running (defaults to 8181)', 'type': 'number'}}, 'required': ['enabled'], 'type': 'object'}, description="""RPC: Toggle disabling of clip layers in the Flutter app"""), # Arenukvern/Flutter Inspector MCP Server/debug_disable_clip_layers
    Tool(name="""HackMD MCP Server_list_team_notes""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'teamPath': {'description': 'Team path', 'type': 'string'}}, 'required': ['teamPath'], 'type': 'object'}, description="""List all notes in a team"""), # yuna0x0/HackMD MCP Server/list_team_notes
    Tool(name="""HackMD MCP Server_get_user_info""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {}, 'type': 'object'}, description="""Get information about the authenticated user"""), # yuna0x0/HackMD MCP Server/get_user_info
    Tool(name="""HackMD MCP Server_list_user_notes""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {}, 'type': 'object'}, description="""List all notes owned by the user"""), # yuna0x0/HackMD MCP Server/list_user_notes
    Tool(name="""HackMD MCP Server_get_note""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'noteId': {'description': 'Note ID', 'type': 'string'}}, 'required': ['noteId'], 'type': 'object'}, description="""Get a note by its ID"""), # yuna0x0/HackMD MCP Server/get_note
    Tool(name="""HackMD MCP Server_create_note""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'payload': {'additionalProperties': False, 'description': 'Create note options', 'properties': {'commentPermission': {'description': 'Comment permission', 'enum': ['disabled', 'forbidden', 'owners', 'signed_in_users', 'everyone'], 'type': 'string'}, 'content': {'description': 'Note content', 'type': 'string'}, 'permalink': {'description': 'Custom permalink', 'type': 'string'}, 'readPermission': {'description': 'Read permission', 'enum': ['owner', 'signed_in', 'guest'], 'type': 'string'}, 'title': {'description': 'Note title', 'type': 'string'}, 'writePermission': {'description': 'Write permission', 'enum': ['owner', 'signed_in', 'guest'], 'type': 'string'}}, 'type': 'object'}}, 'required': ['payload'], 'type': 'object'}, description="""Create a new note"""), # yuna0x0/HackMD MCP Server/create_note
    Tool(name="""HackMD MCP Server_update_note""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'noteId': {'description': 'Note ID', 'type': 'string'}, 'payload': {'additionalProperties': False, 'description': 'Update note options', 'properties': {'content': {'description': 'New note content', 'type': 'string'}, 'permalink': {'description': 'Custom permalink', 'type': 'string'}, 'readPermission': {'description': 'Read permission', 'enum': ['owner', 'signed_in', 'guest'], 'type': 'string'}, 'writePermission': {'description': 'Write permission', 'enum': ['owner', 'signed_in', 'guest'], 'type': 'string'}}, 'type': 'object'}}, 'required': ['noteId', 'payload'], 'type': 'object'}, description="""Update an existing note"""), # yuna0x0/HackMD MCP Server/update_note
    Tool(name="""HackMD MCP Server_delete_note""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'noteId': {'description': 'Note ID', 'type': 'string'}}, 'required': ['noteId'], 'type': 'object'}, description="""Delete a note"""), # yuna0x0/HackMD MCP Server/delete_note
    Tool(name="""HackMD MCP Server_get_history""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {}, 'type': 'object'}, description="""Get user's reading history"""), # yuna0x0/HackMD MCP Server/get_history
    Tool(name="""HackMD MCP Server_list_teams""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {}, 'type': 'object'}, description="""List all teams accessible to the user"""), # yuna0x0/HackMD MCP Server/list_teams
    Tool(name="""HackMD MCP Server_create_team_note""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'payload': {'additionalProperties': False, 'description': 'Create note options', 'properties': {'commentPermission': {'description': 'Comment permission', 'enum': ['disabled', 'forbidden', 'owners', 'signed_in_users', 'everyone'], 'type': 'string'}, 'content': {'description': 'Note content', 'type': 'string'}, 'permalink': {'description': 'Custom permalink', 'type': 'string'}, 'readPermission': {'description': 'Read permission', 'enum': ['owner', 'signed_in', 'guest'], 'type': 'string'}, 'title': {'description': 'Note title', 'type': 'string'}, 'writePermission': {'description': 'Write permission', 'enum': ['owner', 'signed_in', 'guest'], 'type': 'string'}}, 'type': 'object'}, 'teamPath': {'description': 'Team path', 'type': 'string'}}, 'required': ['teamPath', 'payload'], 'type': 'object'}, description="""Create a new note in a team"""), # yuna0x0/HackMD MCP Server/create_team_note
    Tool(name="""HackMD MCP Server_update_team_note""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'noteId': {'description': 'Note ID', 'type': 'string'}, 'options': {'additionalProperties': False, 'description': 'Update note options', 'properties': {'content': {'description': 'New note content', 'type': 'string'}, 'permalink': {'description': 'Custom permalink', 'type': 'string'}, 'readPermission': {'description': 'Read permission', 'enum': ['owner', 'signed_in', 'guest'], 'type': 'string'}, 'writePermission': {'description': 'Write permission', 'enum': ['owner', 'signed_in', 'guest'], 'type': 'string'}}, 'type': 'object'}, 'teamPath': {'description': 'Team path', 'type': 'string'}}, 'required': ['teamPath', 'noteId', 'options'], 'type': 'object'}, description="""Update an existing note in a team"""), # yuna0x0/HackMD MCP Server/update_team_note
    Tool(name="""HackMD MCP Server_delete_team_note""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'noteId': {'description': 'Note ID', 'type': 'string'}, 'teamPath': {'description': 'Team path', 'type': 'string'}}, 'required': ['teamPath', 'noteId'], 'type': 'object'}, description="""Delete a note in a team"""), # yuna0x0/HackMD MCP Server/delete_team_note
    Tool(name="""Talk to Figma MCP_clone_node""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'nodeId': {'description': 'The ID of the node to clone', 'type': 'string'}, 'x': {'description': 'New X position for the clone', 'type': 'number'}, 'y': {'description': 'New Y position for the clone', 'type': 'number'}}, 'required': ['nodeId'], 'type': 'object'}, description="""Clone an existing node in Figma"""), # sonnylazuardi/Talk to Figma MCP/clone_node
    Tool(name="""Talk to Figma MCP_get_document_info""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {}, 'type': 'object'}, description="""Get detailed information about the current Figma document"""), # sonnylazuardi/Talk to Figma MCP/get_document_info
    Tool(name="""Talk to Figma MCP_get_selection""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {}, 'type': 'object'}, description="""Get information about the current selection in Figma"""), # sonnylazuardi/Talk to Figma MCP/get_selection
    Tool(name="""Talk to Figma MCP_get_node_info""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'nodeId': {'description': 'The ID of the node to get information about', 'type': 'string'}}, 'required': ['nodeId'], 'type': 'object'}, description="""Get detailed information about a specific node in Figma"""), # sonnylazuardi/Talk to Figma MCP/get_node_info
    Tool(name="""Talk to Figma MCP_create_rectangle""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'height': {'description': 'Height of the rectangle', 'type': 'number'}, 'name': {'description': 'Optional name for the rectangle', 'type': 'string'}, 'parentId': {'description': 'Optional parent node ID to append the rectangle to', 'type': 'string'}, 'width': {'description': 'Width of the rectangle', 'type': 'number'}, 'x': {'description': 'X position', 'type': 'number'}, 'y': {'description': 'Y position', 'type': 'number'}}, 'required': ['x', 'y', 'width', 'height'], 'type': 'object'}, description="""Create a new rectangle in Figma"""), # sonnylazuardi/Talk to Figma MCP/create_rectangle
    Tool(name="""Talk to Figma MCP_create_frame""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'fillColor': {'additionalProperties': False, 'description': 'Fill color in RGBA format', 'properties': {'a': {'description': 'Alpha component (0-1)', 'maximum': 1, 'minimum': 0, 'type': 'number'}, 'b': {'description': 'Blue component (0-1)', 'maximum': 1, 'minimum': 0, 'type': 'number'}, 'g': {'description': 'Green component (0-1)', 'maximum': 1, 'minimum': 0, 'type': 'number'}, 'r': {'description': 'Red component (0-1)', 'maximum': 1, 'minimum': 0, 'type': 'number'}}, 'required': ['r', 'g', 'b'], 'type': 'object'}, 'height': {'description': 'Height of the frame', 'type': 'number'}, 'name': {'description': 'Optional name for the frame', 'type': 'string'}, 'parentId': {'description': 'Optional parent node ID to append the frame to', 'type': 'string'}, 'strokeColor': {'additionalProperties': False, 'description': 'Stroke color in RGBA format', 'properties': {'a': {'description': 'Alpha component (0-1)', 'maximum': 1, 'minimum': 0, 'type': 'number'}, 'b': {'description': 'Blue component (0-1)', 'maximum': 1, 'minimum': 0, 'type': 'number'}, 'g': {'description': 'Green component (0-1)', 'maximum': 1, 'minimum': 0, 'type': 'number'}, 'r': {'description': 'Red component (0-1)', 'maximum': 1, 'minimum': 0, 'type': 'number'}}, 'required': ['r', 'g', 'b'], 'type': 'object'}, 'strokeWeight': {'description': 'Stroke weight', 'exclusiveMinimum': 0, 'type': 'number'}, 'width': {'description': 'Width of the frame', 'type': 'number'}, 'x': {'description': 'X position', 'type': 'number'}, 'y': {'description': 'Y position', 'type': 'number'}}, 'required': ['x', 'y', 'width', 'height'], 'type': 'object'}, description="""Create a new frame in Figma"""), # sonnylazuardi/Talk to Figma MCP/create_frame
    Tool(name="""Talk to Figma MCP_create_text""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'fontColor': {'additionalProperties': False, 'description': 'Font color in RGBA format', 'properties': {'a': {'description': 'Alpha component (0-1)', 'maximum': 1, 'minimum': 0, 'type': 'number'}, 'b': {'description': 'Blue component (0-1)', 'maximum': 1, 'minimum': 0, 'type': 'number'}, 'g': {'description': 'Green component (0-1)', 'maximum': 1, 'minimum': 0, 'type': 'number'}, 'r': {'description': 'Red component (0-1)', 'maximum': 1, 'minimum': 0, 'type': 'number'}}, 'required': ['r', 'g', 'b'], 'type': 'object'}, 'fontSize': {'description': 'Font size (default: 14)', 'type': 'number'}, 'fontWeight': {'description': 'Font weight (e.g., 400 for Regular, 700 for Bold)', 'type': 'number'}, 'name': {'description': 'Optional name for the text node by default following text', 'type': 'string'}, 'parentId': {'description': 'Optional parent node ID to append the text to', 'type': 'string'}, 'text': {'description': 'Text content', 'type': 'string'}, 'x': {'description': 'X position', 'type': 'number'}, 'y': {'description': 'Y position', 'type': 'number'}}, 'required': ['x', 'y', 'text'], 'type': 'object'}, description="""Create a new text element in Figma"""), # sonnylazuardi/Talk to Figma MCP/create_text
    Tool(name="""Talk to Figma MCP_set_fill_color""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'a': {'description': 'Alpha component (0-1)', 'maximum': 1, 'minimum': 0, 'type': 'number'}, 'b': {'description': 'Blue component (0-1)', 'maximum': 1, 'minimum': 0, 'type': 'number'}, 'g': {'description': 'Green component (0-1)', 'maximum': 1, 'minimum': 0, 'type': 'number'}, 'nodeId': {'description': 'The ID of the node to modify', 'type': 'string'}, 'r': {'description': 'Red component (0-1)', 'maximum': 1, 'minimum': 0, 'type': 'number'}}, 'required': ['nodeId', 'r', 'g', 'b'], 'type': 'object'}, description="""Set the fill color of a node in Figma can be TextNode or FrameNode"""), # sonnylazuardi/Talk to Figma MCP/set_fill_color
    Tool(name="""Talk to Figma MCP_set_stroke_color""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'a': {'description': 'Alpha component (0-1)', 'maximum': 1, 'minimum': 0, 'type': 'number'}, 'b': {'description': 'Blue component (0-1)', 'maximum': 1, 'minimum': 0, 'type': 'number'}, 'g': {'description': 'Green component (0-1)', 'maximum': 1, 'minimum': 0, 'type': 'number'}, 'nodeId': {'description': 'The ID of the node to modify', 'type': 'string'}, 'r': {'description': 'Red component (0-1)', 'maximum': 1, 'minimum': 0, 'type': 'number'}, 'weight': {'description': 'Stroke weight', 'exclusiveMinimum': 0, 'type': 'number'}}, 'required': ['nodeId', 'r', 'g', 'b'], 'type': 'object'}, description="""Set the stroke color of a node in Figma"""), # sonnylazuardi/Talk to Figma MCP/set_stroke_color
    Tool(name="""Talk to Figma MCP_move_node""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'nodeId': {'description': 'The ID of the node to move', 'type': 'string'}, 'x': {'description': 'New X position', 'type': 'number'}, 'y': {'description': 'New Y position', 'type': 'number'}}, 'required': ['nodeId', 'x', 'y'], 'type': 'object'}, description="""Move a node to a new position in Figma"""), # sonnylazuardi/Talk to Figma MCP/move_node
    Tool(name="""Talk to Figma MCP_resize_node""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'height': {'description': 'New height', 'exclusiveMinimum': 0, 'type': 'number'}, 'nodeId': {'description': 'The ID of the node to resize', 'type': 'string'}, 'width': {'description': 'New width', 'exclusiveMinimum': 0, 'type': 'number'}}, 'required': ['nodeId', 'width', 'height'], 'type': 'object'}, description="""Resize a node in Figma"""), # sonnylazuardi/Talk to Figma MCP/resize_node
    Tool(name="""Talk to Figma MCP_delete_node""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'nodeId': {'description': 'The ID of the node to delete', 'type': 'string'}}, 'required': ['nodeId'], 'type': 'object'}, description="""Delete a node from Figma"""), # sonnylazuardi/Talk to Figma MCP/delete_node
    Tool(name="""Talk to Figma MCP_get_styles""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {}, 'type': 'object'}, description="""Get all styles from the current Figma document"""), # sonnylazuardi/Talk to Figma MCP/get_styles
    Tool(name="""Talk to Figma MCP_get_local_components""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {}, 'type': 'object'}, description="""Get all local components from the Figma document"""), # sonnylazuardi/Talk to Figma MCP/get_local_components
    Tool(name="""Talk to Figma MCP_create_component_instance""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'componentKey': {'description': 'Key of the component to instantiate', 'type': 'string'}, 'x': {'description': 'X position', 'type': 'number'}, 'y': {'description': 'Y position', 'type': 'number'}}, 'required': ['componentKey', 'x', 'y'], 'type': 'object'}, description="""Create an instance of a component in Figma"""), # sonnylazuardi/Talk to Figma MCP/create_component_instance
    Tool(name="""Talk to Figma MCP_export_node_as_image""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'format': {'description': 'Export format', 'enum': ['PNG', 'JPG', 'SVG', 'PDF'], 'type': 'string'}, 'nodeId': {'description': 'The ID of the node to export', 'type': 'string'}, 'scale': {'description': 'Export scale', 'exclusiveMinimum': 0, 'type': 'number'}}, 'required': ['nodeId'], 'type': 'object'}, description="""Export a node as an image from Figma"""), # sonnylazuardi/Talk to Figma MCP/export_node_as_image
    Tool(name="""Talk to Figma MCP_set_corner_radius""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'corners': {'description': 'Optional array of 4 booleans to specify which corners to round [topLeft, topRight, bottomRight, bottomLeft]', 'items': {'type': 'boolean'}, 'maxItems': 4, 'minItems': 4, 'type': 'array'}, 'nodeId': {'description': 'The ID of the node to modify', 'type': 'string'}, 'radius': {'description': 'Corner radius value', 'minimum': 0, 'type': 'number'}}, 'required': ['nodeId', 'radius'], 'type': 'object'}, description="""Set the corner radius of a node in Figma"""), # sonnylazuardi/Talk to Figma MCP/set_corner_radius
    Tool(name="""Talk to Figma MCP_set_text_content""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'nodeId': {'description': 'The ID of the text node to modify', 'type': 'string'}, 'text': {'description': 'New text content', 'type': 'string'}}, 'required': ['nodeId', 'text'], 'type': 'object'}, description="""Set the text content of an existing text node in Figma"""), # sonnylazuardi/Talk to Figma MCP/set_text_content
    Tool(name="""Talk to Figma MCP_join_channel""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'channel': {'default': '', 'description': 'The name of the channel to join', 'type': 'string'}}, 'type': 'object'}, description="""Join a specific channel to communicate with Figma"""), # sonnylazuardi/Talk to Figma MCP/join_channel
    Tool(name="""gitlab-mcp-server_get_project_wiki_page""", inputSchema={'properties': {'project_id': {'type': 'string'}, 'render_html': {'type': 'boolean'}, 'slug': {'type': 'string'}, 'version': {'type': 'string'}}, 'type': 'object'}, description="""Get a specific wiki page for a GitLab project"""), # yoda-digital/gitlab-mcp-server/get_project_wiki_page
    Tool(name="""gitlab-mcp-server_get_group_wiki_page""", inputSchema={'properties': {'group_id': {'type': 'string'}, 'render_html': {'type': 'boolean'}, 'slug': {'type': 'string'}, 'version': {'type': 'string'}}, 'type': 'object'}, description="""Get a specific wiki page for a GitLab group"""), # yoda-digital/gitlab-mcp-server/get_group_wiki_page
    Tool(name="""gitlab-mcp-server_create_project_wiki_page""", inputSchema={'properties': {'content': {'type': 'string'}, 'format': {'enum': ['markdown', 'rdoc', 'asciidoc', 'org'], 'type': 'string'}, 'project_id': {'type': 'string'}, 'title': {'type': 'string'}}, 'type': 'object'}, description="""Create a new wiki page for a GitLab project"""), # yoda-digital/gitlab-mcp-server/create_project_wiki_page
    Tool(name="""gitlab-mcp-server_create_group_wiki_page""", inputSchema={'properties': {'content': {'type': 'string'}, 'format': {'enum': ['markdown', 'rdoc', 'asciidoc', 'org'], 'type': 'string'}, 'group_id': {'type': 'string'}, 'title': {'type': 'string'}}, 'type': 'object'}, description="""Create a new wiki page for a GitLab group"""), # yoda-digital/gitlab-mcp-server/create_group_wiki_page
    Tool(name="""gitlab-mcp-server_edit_group_wiki_page""", inputSchema={'properties': {'content': {'type': 'string'}, 'format': {'enum': ['markdown', 'rdoc', 'asciidoc', 'org'], 'type': 'string'}, 'group_id': {'type': 'string'}, 'slug': {'type': 'string'}, 'title': {'type': 'string'}}, 'type': 'object'}, description="""Edit an existing wiki page for a GitLab group"""), # yoda-digital/gitlab-mcp-server/edit_group_wiki_page
    Tool(name="""gitlab-mcp-server_delete_group_wiki_page""", inputSchema={'properties': {'group_id': {'type': 'string'}, 'slug': {'type': 'string'}}, 'type': 'object'}, description="""Delete a wiki page from a GitLab group"""), # yoda-digital/gitlab-mcp-server/delete_group_wiki_page
    Tool(name="""gitlab-mcp-server_upload_group_wiki_attachment""", inputSchema={'properties': {'branch': {'type': 'string'}, 'content': {'type': 'string'}, 'file_path': {'type': 'string'}, 'group_id': {'type': 'string'}}, 'type': 'object'}, description="""Upload an attachment to a GitLab group wiki"""), # yoda-digital/gitlab-mcp-server/upload_group_wiki_attachment
    Tool(name="""gitlab-mcp-server_list_project_members""", inputSchema={'properties': {'page': {'type': 'number'}, 'per_page': {'type': 'number'}, 'project_id': {'type': 'string'}, 'query': {'type': 'string'}}, 'type': 'object'}, description="""List all members of a GitLab project (including inherited members)"""), # yoda-digital/gitlab-mcp-server/list_project_members
    Tool(name="""gitlab-mcp-server_list_group_members""", inputSchema={'properties': {'group_id': {'type': 'string'}, 'page': {'type': 'number'}, 'per_page': {'type': 'number'}, 'query': {'type': 'string'}}, 'type': 'object'}, description="""List all members of a GitLab group (including inherited members)"""), # yoda-digital/gitlab-mcp-server/list_group_members
    Tool(name="""gitlab-mcp-server_upload_project_wiki_attachment""", inputSchema={'properties': {'branch': {'type': 'string'}, 'content': {'type': 'string'}, 'file_path': {'type': 'string'}, 'project_id': {'type': 'string'}}, 'type': 'object'}, description="""Upload an attachment to a GitLab project wiki"""), # yoda-digital/gitlab-mcp-server/upload_project_wiki_attachment
    Tool(name="""gitlab-mcp-server_list_group_wiki_pages""", inputSchema={'properties': {'group_id': {'type': 'string'}, 'with_content': {'type': 'boolean'}}, 'type': 'object'}, description="""List all wiki pages for a GitLab group"""), # yoda-digital/gitlab-mcp-server/list_group_wiki_pages
    Tool(name="""gitlab-mcp-server_create_or_update_file""", inputSchema={'properties': {'branch': {'type': 'string'}, 'commit_message': {'type': 'string'}, 'content': {'type': 'string'}, 'file_path': {'type': 'string'}, 'previous_path': {'type': 'string'}, 'project_id': {'type': 'string'}}, 'type': 'object'}, description="""Create or update a single file in a GitLab project"""), # yoda-digital/gitlab-mcp-server/create_or_update_file
    Tool(name="""gitlab-mcp-server_search_repositories""", inputSchema={'properties': {'page': {'type': 'number'}, 'per_page': {'type': 'number'}, 'search': {'type': 'string'}}, 'type': 'object'}, description="""Search for GitLab projects"""), # yoda-digital/gitlab-mcp-server/search_repositories
    Tool(name="""gitlab-mcp-server_create_repository""", inputSchema={'properties': {'description': {'type': 'string'}, 'initialize_with_readme': {'default': True, 'type': 'boolean'}, 'name': {'type': 'string'}, 'visibility': {'default': 'private', 'enum': ['private', 'internal', 'public'], 'type': 'string'}}, 'type': 'object'}, description="""Create a new GitLab project"""), # yoda-digital/gitlab-mcp-server/create_repository
    Tool(name="""gitlab-mcp-server_get_file_contents""", inputSchema={'properties': {'file_path': {'type': 'string'}, 'project_id': {'type': 'string'}, 'ref': {'type': 'string'}}, 'type': 'object'}, description="""Get the contents of a file or directory from a GitLab project"""), # yoda-digital/gitlab-mcp-server/get_file_contents
    Tool(name="""gitlab-mcp-server_push_files""", inputSchema={'properties': {'branch': {'type': 'string'}, 'commit_message': {'type': 'string'}, 'files': {'items': {'additionalProperties': False, 'properties': {'content': {'type': 'string'}, 'path': {'type': 'string'}}, 'required': ['path', 'content'], 'type': 'object'}, 'type': 'array'}, 'project_id': {'type': 'string'}}, 'type': 'object'}, description="""Push multiple files to a GitLab project in a single commit"""), # yoda-digital/gitlab-mcp-server/push_files
    Tool(name="""gitlab-mcp-server_create_issue""", inputSchema={'properties': {'assignee_ids': {'items': {'type': 'number'}, 'type': 'array'}, 'description': {'type': 'string'}, 'labels': {'items': {'type': 'string'}, 'type': 'array'}, 'milestone_id': {'type': 'number'}, 'project_id': {'type': 'string'}, 'title': {'type': 'string'}}, 'type': 'object'}, description="""Create a new issue in a GitLab project"""), # yoda-digital/gitlab-mcp-server/create_issue
    Tool(name="""gitlab-mcp-server_create_merge_request""", inputSchema={'properties': {'allow_collaboration': {'type': 'boolean'}, 'description': {'type': 'string'}, 'draft': {'type': 'boolean'}, 'project_id': {'type': 'string'}, 'source_branch': {'type': 'string'}, 'target_branch': {'type': 'string'}, 'title': {'type': 'string'}}, 'type': 'object'}, description="""Create a new merge request in a GitLab project"""), # yoda-digital/gitlab-mcp-server/create_merge_request
    Tool(name="""gitlab-mcp-server_fork_repository""", inputSchema={'properties': {'namespace': {'type': 'string'}, 'project_id': {'type': 'string'}}, 'type': 'object'}, description="""Fork a GitLab project to your account or specified namespace"""), # yoda-digital/gitlab-mcp-server/fork_repository
    Tool(name="""gitlab-mcp-server_create_branch""", inputSchema={'properties': {'branch': {'type': 'string'}, 'project_id': {'type': 'string'}, 'ref': {'type': 'string'}}, 'type': 'object'}, description="""Create a new branch in a GitLab project"""), # yoda-digital/gitlab-mcp-server/create_branch
    Tool(name="""gitlab-mcp-server_list_group_projects""", inputSchema={'properties': {'archived': {'type': 'boolean'}, 'group_id': {'type': 'string'}, 'include_subgroups': {'type': 'boolean'}, 'order_by': {'enum': ['id', 'name', 'path', 'created_at', 'updated_at', 'last_activity_at'], 'type': 'string'}, 'page': {'type': 'number'}, 'per_page': {'type': 'number'}, 'search': {'type': 'string'}, 'simple': {'type': 'boolean'}, 'sort': {'enum': ['asc', 'desc'], 'type': 'string'}, 'visibility': {'enum': ['public', 'internal', 'private'], 'type': 'string'}}, 'type': 'object'}, description="""List all projects (repositories) within a specific GitLab group"""), # yoda-digital/gitlab-mcp-server/list_group_projects
    Tool(name="""gitlab-mcp-server_get_project_events""", inputSchema={'properties': {'action': {'type': 'string'}, 'after': {'type': 'string'}, 'before': {'type': 'string'}, 'page': {'type': 'number'}, 'per_page': {'type': 'number'}, 'project_id': {'type': 'string'}, 'sort': {'enum': ['asc', 'desc'], 'type': 'string'}, 'target_type': {'type': 'string'}}, 'type': 'object'}, description="""Get recent events/activities for a GitLab project"""), # yoda-digital/gitlab-mcp-server/get_project_events
    Tool(name="""gitlab-mcp-server_list_commits""", inputSchema={'properties': {'all': {'type': 'boolean'}, 'first_parent': {'type': 'boolean'}, 'page': {'type': 'number'}, 'path': {'type': 'string'}, 'per_page': {'type': 'number'}, 'project_id': {'type': 'string'}, 'sha': {'type': 'string'}, 'since': {'type': 'string'}, 'until': {'type': 'string'}, 'with_stats': {'type': 'boolean'}}, 'type': 'object'}, description="""Get commit history for a GitLab project"""), # yoda-digital/gitlab-mcp-server/list_commits
    Tool(name="""gitlab-mcp-server_list_issues""", inputSchema={'properties': {'assignee_id': {'type': 'number'}, 'author_id': {'type': 'number'}, 'created_after': {'type': 'string'}, 'created_before': {'type': 'string'}, 'iid': {'type': ['number', 'string']}, 'labels': {'type': 'string'}, 'milestone': {'type': 'string'}, 'order_by': {'type': 'string'}, 'page': {'type': 'number'}, 'per_page': {'type': 'number'}, 'project_id': {'type': 'string'}, 'scope': {'enum': ['created_by_me', 'assigned_to_me', 'all'], 'type': 'string'}, 'search': {'type': 'string'}, 'sort': {'enum': ['asc', 'desc'], 'type': 'string'}, 'state': {'enum': ['opened', 'closed', 'all'], 'type': 'string'}, 'updated_after': {'type': 'string'}, 'updated_before': {'type': 'string'}}, 'type': 'object'}, description="""Get issues for a GitLab project"""), # yoda-digital/gitlab-mcp-server/list_issues
    Tool(name="""gitlab-mcp-server_list_merge_requests""", inputSchema={'properties': {'assignee_id': {'type': 'number'}, 'author_id': {'type': 'number'}, 'created_after': {'type': 'string'}, 'created_before': {'type': 'string'}, 'labels': {'type': 'string'}, 'milestone': {'type': 'string'}, 'order_by': {'enum': ['created_at', 'updated_at'], 'type': 'string'}, 'page': {'type': 'number'}, 'per_page': {'type': 'number'}, 'project_id': {'type': 'string'}, 'scope': {'enum': ['created_by_me', 'assigned_to_me', 'all'], 'type': 'string'}, 'search': {'type': 'string'}, 'sort': {'enum': ['asc', 'desc'], 'type': 'string'}, 'source_branch': {'type': 'string'}, 'state': {'enum': ['opened', 'closed', 'locked', 'merged', 'all'], 'type': 'string'}, 'target_branch': {'type': 'string'}, 'updated_after': {'type': 'string'}, 'updated_before': {'type': 'string'}, 'wip': {'enum': ['yes', 'no'], 'type': 'string'}}, 'type': 'object'}, description="""Get merge requests for a GitLab project"""), # yoda-digital/gitlab-mcp-server/list_merge_requests
    Tool(name="""gitlab-mcp-server_list_project_wiki_pages""", inputSchema={'properties': {'project_id': {'type': 'string'}, 'with_content': {'type': 'boolean'}}, 'type': 'object'}, description="""List all wiki pages for a GitLab project"""), # yoda-digital/gitlab-mcp-server/list_project_wiki_pages
    Tool(name="""gitlab-mcp-server_edit_project_wiki_page""", inputSchema={'properties': {'content': {'type': 'string'}, 'format': {'enum': ['markdown', 'rdoc', 'asciidoc', 'org'], 'type': 'string'}, 'project_id': {'type': 'string'}, 'slug': {'type': 'string'}, 'title': {'type': 'string'}}, 'type': 'object'}, description="""Edit an existing wiki page for a GitLab project"""), # yoda-digital/gitlab-mcp-server/edit_project_wiki_page
    Tool(name="""gitlab-mcp-server_delete_project_wiki_page""", inputSchema={'properties': {'project_id': {'type': 'string'}, 'slug': {'type': 'string'}}, 'type': 'object'}, description="""Delete a wiki page from a GitLab project"""), # yoda-digital/gitlab-mcp-server/delete_project_wiki_page
    Tool(name="""BSC MCP Server_securityCheck""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'tokenAddress': {'type': 'string'}}, 'required': ['tokenAddress'], 'type': 'object'}, description="""Check security of BSC tokens"""), # TermiX-official/BSC MCP Server/securityCheck
    Tool(name="""BSC MCP Server_transferNativeToken""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'amount': {'type': 'string'}, 'recipientAddress': {'type': 'string'}}, 'required': ['recipientAddress', 'amount'], 'type': 'object'}, description="""Transfer native token (BNB)"""), # TermiX-official/BSC MCP Server/transferNativeToken
    Tool(name="""BSC MCP Server_transferBEP20Token""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'amount': {'type': 'string'}, 'recipientAddress': {'type': 'string'}, 'token': {'type': 'string'}}, 'required': ['recipientAddress', 'amount', 'token'], 'type': 'object'}, description="""Transfer BEP-20 token by symbol or address"""), # TermiX-official/BSC MCP Server/transferBEP20Token
    Tool(name="""BSC MCP Server_pancakeSwap""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'amount': {'type': 'string'}, 'inputToken': {'type': 'string'}, 'outputToken': {'type': 'string'}}, 'required': ['inputToken', 'outputToken', 'amount'], 'type': 'object'}, description="""Swap tokens in BSC chain via PancakeSwap"""), # TermiX-official/BSC MCP Server/pancakeSwap
    Tool(name="""BSC MCP Server_getWalletInfo""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'address': {'type': 'string'}}, 'type': 'object'}, description="""Get wallet info for an address"""), # TermiX-official/BSC MCP Server/getWalletInfo
    Tool(name="""BSC MCP Server_createFourMeme""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'desc': {'description': 'description', 'type': 'string'}, 'imgUrl': {'description': 'image url', 'type': 'string'}, 'name': {'description': 'name', 'type': 'string'}, 'preSale': {'description': 'pre sale value', 'type': 'string'}, 'shortName': {'description': 'short name', 'type': 'string'}, 'telegramUrl': {'description': 'telegramUrl', 'type': 'string'}, 'twitterUrl': {'description': 'twitterUrl', 'type': 'string'}, 'webUrl': {'description': 'webUrl', 'type': 'string'}}, 'required': ['name', 'shortName', 'imgUrl', 'preSale', 'desc'], 'type': 'object'}, description="""create new meme token on four.meme"""), # TermiX-official/BSC MCP Server/createFourMeme
    Tool(name="""BSC MCP Server_createBEP20Token""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'name': {'type': 'string'}, 'symbol': {'type': 'string'}, 'totalSupply': {'type': 'string'}}, 'required': ['name', 'symbol', 'totalSupply'], 'type': 'object'}, description="""create bep20 token"""), # TermiX-official/BSC MCP Server/createBEP20Token
    Tool(name="""BSC MCP Server_buyMemeToken""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'bnbValue': {'default': '0', 'type': 'string'}, 'token': {'type': 'string'}, 'tokenValue': {'default': '0', 'type': 'string'}}, 'required': ['token'], 'type': 'object'}, description="""buy meme token"""), # TermiX-official/BSC MCP Server/buyMemeToken
    Tool(name="""BSC MCP Server_sellMemeToken""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'token': {'type': 'string'}, 'tokenValue': {'type': 'string'}}, 'required': ['token', 'tokenValue'], 'type': 'object'}, description="""sell meme token"""), # TermiX-official/BSC MCP Server/sellMemeToken
    Tool(name="""BSC MCP Server_pancakeAddLiquidity""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'token0': {'type': 'string'}, 'token0Amount': {'type': 'string'}, 'token1': {'type': 'string'}, 'token1Amount': {'type': 'string'}}, 'required': ['token0', 'token1', 'token0Amount', 'token1Amount'], 'type': 'object'}, description="""add liquidity to pancake"""), # TermiX-official/BSC MCP Server/pancakeAddLiquidity
    Tool(name="""BSC MCP Server_pancakeMyPosition""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {}, 'type': 'object'}, description="""check my liquidity position on panceke"""), # TermiX-official/BSC MCP Server/pancakeMyPosition
    Tool(name="""BSC MCP Server_pancakeRemovePosition""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'percent': {'maximum': 100, 'minimum': 1, 'type': 'number'}, 'positionId': {'type': 'string'}}, 'required': ['positionId', 'percent'], 'type': 'object'}, description="""remove liquidity position on panceke"""), # TermiX-official/BSC MCP Server/pancakeRemovePosition
    Tool(name="""3D-MCP_getProperty""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'id': {'description': 'Object identifier', 'type': 'string'}, 'propertyPath': {'description': "Path to the property (e.g., 'material.color')", 'type': 'string'}}, 'required': ['id', 'propertyPath'], 'type': 'object'}, description="""Get a property value from an object"""), # team-plask/3D-MCP/getProperty
    Tool(name="""3D-MCP_getIKChains""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'ids': {'description': 'IKChain identifiers', 'items': {'type': 'string'}, 'type': 'array'}}, 'required': ['ids'], 'type': 'object'}, description="""Get multiple IKChains by IDs"""), # team-plask/3D-MCP/getIKChains
    Tool(name="""3D-MCP_getDrivers""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'ids': {'description': 'Driver identifiers', 'items': {'type': 'string'}, 'type': 'array'}}, 'required': ['ids'], 'type': 'object'}, description="""Get multiple Drivers by IDs"""), # team-plask/3D-MCP/getDrivers
    Tool(name="""3D-MCP_listDrivers""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'filters': {'additionalProperties': {}, 'description': 'Optional filters to apply', 'type': 'object'}, 'limit': {'description': 'Maximum number of results', 'exclusiveMinimum': 0, 'type': 'integer'}, 'offset': {'description': 'Starting offset for pagination', 'minimum': 0, 'type': 'integer'}, 'parentId': {'description': 'Optional parent ID to filter by', 'type': 'string'}}, 'type': 'object'}, description="""List all Drivers"""), # team-plask/3D-MCP/listDrivers
    Tool(name="""3D-MCP_query""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'limit': {'description': 'Maximum results to return', 'exclusiveMinimum': 0, 'type': 'integer'}, 'offset': {'description': 'Starting offset for pagination', 'minimum': 0, 'type': 'integer'}, 'properties': {'additionalProperties': {}, 'description': 'Property values to match (path -> value)', 'type': 'object'}, 'type': {'description': 'Entity type to filter by', 'type': 'string'}}, 'type': 'object'}, description="""Query entities based on criteria"""), # team-plask/3D-MCP/query
    Tool(name="""3D-MCP_undo""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {}, 'type': 'object'}, description="""Undo the last operation"""), # team-plask/3D-MCP/undo
    Tool(name="""3D-MCP_redo""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {}, 'type': 'object'}, description="""Redo the previously undone operation"""), # team-plask/3D-MCP/redo
    Tool(name="""3D-MCP_rename""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'id': {'description': 'Entity identifier', 'type': 'string'}, 'name': {'description': 'New name', 'type': 'string'}}, 'required': ['id', 'name'], 'type': 'object'}, description="""Rename an entity"""), # team-plask/3D-MCP/rename
    Tool(name="""3D-MCP_setMetadata""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'id': {'description': 'Entity identifier', 'type': 'string'}, 'merge': {'default': True, 'description': 'Whether to merge with existing metadata', 'type': 'boolean'}, 'metadata': {'additionalProperties': {}, 'description': 'Metadata to set', 'type': 'object'}}, 'required': ['id', 'metadata'], 'type': 'object'}, description="""Set metadata on an entity"""), # team-plask/3D-MCP/setMetadata
    Tool(name="""3D-MCP_getMetadata""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'id': {'description': 'Entity identifier', 'type': 'string'}, 'key': {'description': 'Specific metadata key to retrieve', 'type': 'string'}}, 'required': ['id'], 'type': 'object'}, description="""Get metadata from an entity"""), # team-plask/3D-MCP/getMetadata
    Tool(name="""3D-MCP_createKeyframes""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'items': {'description': 'Array of Keyframes to create', 'items': {'additionalProperties': False, 'properties': {'channelId': {'description': 'ID of the channel this keyframe belongs to', 'type': 'string'}, 'metadata': {'additionalProperties': {}, 'description': 'Additional tool-specific metadata', 'type': 'object'}, 'name': {'description': 'Display name', 'type': 'string'}, 'tangentIn': {'description': 'Incoming tangent handle (for bezier/hermite)', 'items': {'type': 'number'}, 'maxItems': 2, 'minItems': 2, 'type': 'array'}, 'tangentOut': {'$ref': '#/properties/items/items/properties/tangentIn', 'description': 'Outgoing tangent handle (for bezier/hermite)'}, 'time': {'description': 'Time position in seconds', 'type': 'number'}, 'value': {'description': 'Value at this keyframe', 'items': {'type': 'number'}, 'type': 'array'}}, 'required': ['name', 'time', 'value', 'channelId'], 'type': 'object'}, 'type': 'array'}}, 'required': ['items'], 'type': 'object'}, description="""Create multiple Keyframes"""), # team-plask/3D-MCP/createKeyframes
    Tool(name="""3D-MCP_getKeyframes""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'ids': {'description': 'Keyframe identifiers', 'items': {'type': 'string'}, 'type': 'array'}}, 'required': ['ids'], 'type': 'object'}, description="""Get multiple Keyframes by IDs"""), # team-plask/3D-MCP/getKeyframes
    Tool(name="""3D-MCP_listKeyframes""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'filters': {'additionalProperties': {}, 'description': 'Optional filters to apply', 'type': 'object'}, 'limit': {'description': 'Maximum number of results', 'exclusiveMinimum': 0, 'type': 'integer'}, 'offset': {'description': 'Starting offset for pagination', 'minimum': 0, 'type': 'integer'}, 'parentId': {'description': 'Optional parent ID to filter by', 'type': 'string'}}, 'type': 'object'}, description="""List all Keyframes"""), # team-plask/3D-MCP/listKeyframes
    Tool(name="""3D-MCP_updateKeyframes""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'items': {'description': 'Array of Keyframes to update with their IDs', 'items': {'additionalProperties': False, 'properties': {'channelId': {'description': 'ID of the channel this keyframe belongs to', 'type': 'string'}, 'ids': {'description': 'Keyframe identifiers to update', 'items': {'type': 'string'}, 'type': 'array'}, 'metadata': {'additionalProperties': {}, 'description': 'Additional tool-specific metadata', 'type': 'object'}, 'name': {'description': 'Display name', 'type': 'string'}, 'tangentIn': {'description': 'Incoming tangent handle (for bezier/hermite)', 'items': {'type': 'number'}, 'maxItems': 2, 'minItems': 2, 'type': 'array'}, 'tangentOut': {'$ref': '#/properties/items/items/properties/tangentIn', 'description': 'Outgoing tangent handle (for bezier/hermite)'}, 'time': {'description': 'Time position in seconds', 'type': 'number'}, 'value': {'description': 'Value at this keyframe', 'items': {'type': 'number'}, 'type': 'array'}}, 'required': ['ids'], 'type': 'object'}, 'type': 'array'}}, 'required': ['items'], 'type': 'object'}, description="""Update multiple Keyframes in a single operation"""), # team-plask/3D-MCP/updateKeyframes
    Tool(name="""3D-MCP_deleteKeyframes""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'ids': {'description': 'Keyframe identifiers to delete', 'items': {'type': 'string'}, 'type': 'array'}}, 'required': ['ids'], 'type': 'object'}, description="""Delete multiple Keyframes"""), # team-plask/3D-MCP/deleteKeyframes
    Tool(name="""3D-MCP_createChannels""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'items': {'description': 'Array of Channels to create', 'items': {'additionalProperties': False, 'properties': {'clipId': {'description': 'ID of the parent animation clip', 'type': 'string'}, 'defaultValue': {'description': 'Default value when no keyframes present'}, 'enabled': {'default': True, 'description': 'Whether this channel is active', 'type': 'boolean'}, 'extrapolationPost': {'$ref': '#/properties/items/items/properties/extrapolationPre', 'default': 'constant', 'description': 'Behavior after last keyframe'}, 'extrapolationPre': {'default': 'constant', 'description': 'Behavior before first keyframe', 'enum': ['constant', 'linear', 'cycle', 'cycleWithOffset', 'oscillate'], 'type': 'string'}, 'metadata': {'additionalProperties': {}, 'description': 'Additional tool-specific metadata', 'type': 'object'}, 'name': {'description': 'Display name', 'type': 'string'}, 'nodeId': {'description': 'ID of the node this channel affects', 'type': 'string'}, 'path': {'description': 'Property path this channel animates', 'type': 'string'}, 'type': {'description': 'Data type of the animated property', 'enum': ['SCALAR', 'VEC2', 'VEC3', 'VEC4', 'MAT2', 'MAT3', 'MAT4', 'QUAT'], 'type': 'string'}}, 'required': ['name', 'path', 'type', 'nodeId', 'clipId'], 'type': 'object'}, 'type': 'array'}}, 'required': ['items'], 'type': 'object'}, description="""Create multiple Channels"""), # team-plask/3D-MCP/createChannels
    Tool(name="""3D-MCP_getChannels""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'ids': {'description': 'Channel identifiers', 'items': {'type': 'string'}, 'type': 'array'}}, 'required': ['ids'], 'type': 'object'}, description="""Get multiple Channels by IDs"""), # team-plask/3D-MCP/getChannels
    Tool(name="""3D-MCP_listChannels""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'filters': {'additionalProperties': {}, 'description': 'Optional filters to apply', 'type': 'object'}, 'limit': {'description': 'Maximum number of results', 'exclusiveMinimum': 0, 'type': 'integer'}, 'offset': {'description': 'Starting offset for pagination', 'minimum': 0, 'type': 'integer'}, 'parentId': {'description': 'Optional parent ID to filter by', 'type': 'string'}}, 'type': 'object'}, description="""List all Channels"""), # team-plask/3D-MCP/listChannels
    Tool(name="""3D-MCP_getChildren""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'id': {'description': 'Parent object identifier', 'type': 'string'}, 'recursive': {'default': False, 'description': 'Whether to include all descendants', 'type': 'boolean'}, 'typeFilter': {'description': 'Filter by object types', 'items': {'type': 'string'}, 'type': 'array'}}, 'required': ['id'], 'type': 'object'}, description="""Get all children of an object"""), # team-plask/3D-MCP/getChildren
    Tool(name="""3D-MCP_updateChannels""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'items': {'description': 'Array of Channels to update with their IDs', 'items': {'additionalProperties': False, 'properties': {'clipId': {'description': 'ID of the parent animation clip', 'type': 'string'}, 'defaultValue': {'description': 'Default value when no keyframes present'}, 'enabled': {'default': True, 'description': 'Whether this channel is active', 'type': 'boolean'}, 'extrapolationPost': {'$ref': '#/properties/items/items/properties/extrapolationPre', 'default': 'constant', 'description': 'Behavior after last keyframe'}, 'extrapolationPre': {'default': 'constant', 'description': 'Behavior before first keyframe', 'enum': ['constant', 'linear', 'cycle', 'cycleWithOffset', 'oscillate'], 'type': 'string'}, 'ids': {'description': 'Channel identifiers to update', 'items': {'type': 'string'}, 'type': 'array'}, 'metadata': {'additionalProperties': {}, 'description': 'Additional tool-specific metadata', 'type': 'object'}, 'name': {'description': 'Display name', 'type': 'string'}, 'nodeId': {'description': 'ID of the node this channel affects', 'type': 'string'}, 'path': {'description': 'Property path this channel animates', 'type': 'string'}, 'type': {'description': 'Data type of the animated property', 'enum': ['SCALAR', 'VEC2', 'VEC3', 'VEC4', 'MAT2', 'MAT3', 'MAT4', 'QUAT'], 'type': 'string'}}, 'required': ['ids'], 'type': 'object'}, 'type': 'array'}}, 'required': ['items'], 'type': 'object'}, description="""Update multiple Channels in a single operation"""), # team-plask/3D-MCP/updateChannels
    Tool(name="""3D-MCP_deleteChannels""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'ids': {'description': 'Channel identifiers to delete', 'items': {'type': 'string'}, 'type': 'array'}}, 'required': ['ids'], 'type': 'object'}, description="""Delete multiple Channels"""), # team-plask/3D-MCP/deleteChannels
    Tool(name="""3D-MCP_createClips""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'items': {'description': 'Array of Clips to create', 'items': {'additionalProperties': False, 'properties': {'duration': {'description': 'Duration in seconds', 'minimum': 0, 'type': 'number'}, 'enabled': {'default': True, 'description': 'Whether this clip is enabled', 'type': 'boolean'}, 'frameRate': {'default': 24, 'description': 'Frame rate in frames per second', 'exclusiveMinimum': 0, 'type': 'number'}, 'loop': {'default': False, 'description': 'Whether the clip should loop', 'type': 'boolean'}, 'metadata': {'additionalProperties': {}, 'description': 'Additional tool-specific metadata', 'type': 'object'}, 'name': {'description': 'Display name', 'type': 'string'}, 'speed': {'default': 1, 'description': 'Playback speed multiplier', 'type': 'number'}, 'startTime': {'default': 0, 'description': 'Start time in seconds', 'type': 'number'}}, 'required': ['name', 'duration'], 'type': 'object'}, 'type': 'array'}}, 'required': ['items'], 'type': 'object'}, description="""Create multiple Clips"""), # team-plask/3D-MCP/createClips
    Tool(name="""3D-MCP_getClips""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'ids': {'description': 'Clip identifiers', 'items': {'type': 'string'}, 'type': 'array'}}, 'required': ['ids'], 'type': 'object'}, description="""Get multiple Clips by IDs"""), # team-plask/3D-MCP/getClips
    Tool(name="""3D-MCP_listClips""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'filters': {'additionalProperties': {}, 'description': 'Optional filters to apply', 'type': 'object'}, 'limit': {'description': 'Maximum number of results', 'exclusiveMinimum': 0, 'type': 'integer'}, 'offset': {'description': 'Starting offset for pagination', 'minimum': 0, 'type': 'integer'}, 'parentId': {'description': 'Optional parent ID to filter by', 'type': 'string'}}, 'type': 'object'}, description="""List all Clips"""), # team-plask/3D-MCP/listClips
    Tool(name="""3D-MCP_updateClips""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'items': {'description': 'Array of Clips to update with their IDs', 'items': {'additionalProperties': False, 'properties': {'duration': {'description': 'Duration in seconds', 'minimum': 0, 'type': 'number'}, 'enabled': {'default': True, 'description': 'Whether this clip is enabled', 'type': 'boolean'}, 'frameRate': {'default': 24, 'description': 'Frame rate in frames per second', 'exclusiveMinimum': 0, 'type': 'number'}, 'ids': {'description': 'Clip identifiers to update', 'items': {'type': 'string'}, 'type': 'array'}, 'loop': {'default': False, 'description': 'Whether the clip should loop', 'type': 'boolean'}, 'metadata': {'additionalProperties': {}, 'description': 'Additional tool-specific metadata', 'type': 'object'}, 'name': {'description': 'Display name', 'type': 'string'}, 'speed': {'default': 1, 'description': 'Playback speed multiplier', 'type': 'number'}, 'startTime': {'default': 0, 'description': 'Start time in seconds', 'type': 'number'}}, 'required': ['ids'], 'type': 'object'}, 'type': 'array'}}, 'required': ['items'], 'type': 'object'}, description="""Update multiple Clips in a single operation"""), # team-plask/3D-MCP/updateClips
    Tool(name="""3D-MCP_deleteClips""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'ids': {'description': 'Clip identifiers to delete', 'items': {'type': 'string'}, 'type': 'array'}}, 'required': ['ids'], 'type': 'object'}, description="""Delete multiple Clips"""), # team-plask/3D-MCP/deleteClips
    Tool(name="""3D-MCP_createLayers""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'items': {'description': 'Array of Layers to create', 'items': {'additionalProperties': False, 'properties': {'additive': {'default': False, 'description': 'Whether this layer adds to base pose', 'type': 'boolean'}, 'clipIds': {'default': [], 'description': 'IDs of clips in this layer', 'items': {'type': 'string'}, 'type': 'array'}, 'metadata': {'additionalProperties': {}, 'description': 'Additional tool-specific metadata', 'type': 'object'}, 'name': {'description': 'Display name', 'type': 'string'}, 'parentId': {'description': 'Parent layer if in a hierarchy', 'type': 'string'}, 'weight': {'default': 1, 'description': 'Blend weight influence', 'maximum': 1, 'minimum': 0, 'type': 'number'}}, 'required': ['name'], 'type': 'object'}, 'type': 'array'}}, 'required': ['items'], 'type': 'object'}, description="""Create multiple Layers"""), # team-plask/3D-MCP/createLayers
    Tool(name="""3D-MCP_getLayers""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'ids': {'description': 'Layer identifiers', 'items': {'type': 'string'}, 'type': 'array'}}, 'required': ['ids'], 'type': 'object'}, description="""Get multiple Layers by IDs"""), # team-plask/3D-MCP/getLayers
    Tool(name="""3D-MCP_listLayers""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'filters': {'additionalProperties': {}, 'description': 'Optional filters to apply', 'type': 'object'}, 'limit': {'description': 'Maximum number of results', 'exclusiveMinimum': 0, 'type': 'integer'}, 'offset': {'description': 'Starting offset for pagination', 'minimum': 0, 'type': 'integer'}, 'parentId': {'description': 'Optional parent ID to filter by', 'type': 'string'}}, 'type': 'object'}, description="""List all Layers"""), # team-plask/3D-MCP/listLayers
    Tool(name="""3D-MCP_batchSetProperty""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'items': {'description': 'Property assignments to make', 'items': {'additionalProperties': False, 'properties': {'id': {'description': 'Object identifier', 'type': 'string'}, 'propertyPath': {'description': 'Path to the property', 'type': 'string'}, 'value': {'description': 'Property value to set'}}, 'required': ['id', 'propertyPath'], 'type': 'object'}, 'type': 'array'}}, 'required': ['items'], 'type': 'object'}, description="""Set properties on multiple objects"""), # team-plask/3D-MCP/batchSetProperty
    Tool(name="""3D-MCP_updateLayers""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'items': {'description': 'Array of Layers to update with their IDs', 'items': {'additionalProperties': False, 'properties': {'additive': {'default': False, 'description': 'Whether this layer adds to base pose', 'type': 'boolean'}, 'clipIds': {'default': [], 'description': 'IDs of clips in this layer', 'items': {'type': 'string'}, 'type': 'array'}, 'ids': {'description': 'Layer identifiers to update', 'items': {'type': 'string'}, 'type': 'array'}, 'metadata': {'additionalProperties': {}, 'description': 'Additional tool-specific metadata', 'type': 'object'}, 'name': {'description': 'Display name', 'type': 'string'}, 'parentId': {'description': 'Parent layer if in a hierarchy', 'type': 'string'}, 'weight': {'default': 1, 'description': 'Blend weight influence', 'maximum': 1, 'minimum': 0, 'type': 'number'}}, 'required': ['ids'], 'type': 'object'}, 'type': 'array'}}, 'required': ['items'], 'type': 'object'}, description="""Update multiple Layers in a single operation"""), # team-plask/3D-MCP/updateLayers
    Tool(name="""3D-MCP_deleteLayers""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'ids': {'description': 'Layer identifiers to delete', 'items': {'type': 'string'}, 'type': 'array'}}, 'required': ['ids'], 'type': 'object'}, description="""Delete multiple Layers"""), # team-plask/3D-MCP/deleteLayers
    Tool(name="""3D-MCP_createDrivers""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'items': {'description': 'Array of Drivers to create', 'items': {'additionalProperties': False, 'properties': {'expression': {'description': 'Mathematical expression or code', 'type': 'string'}, 'metadata': {'additionalProperties': {}, 'description': 'Additional tool-specific metadata', 'type': 'object'}, 'name': {'description': 'Display name', 'type': 'string'}, 'targetNodeId': {'description': 'Node to drive', 'type': 'string'}, 'targetPath': {'description': 'Property path on target to drive', 'type': 'string'}, 'variables': {'default': [], 'description': 'Input variables for the expression', 'items': {'additionalProperties': False, 'properties': {'name': {'description': 'Variable name in expression', 'type': 'string'}, 'sourceNodeId': {'description': 'Node ID to read from', 'type': 'string'}, 'sourcePath': {'description': 'Property path to read from', 'type': 'string'}, 'transform': {'description': 'Transform to apply to input', 'type': 'string'}}, 'required': ['name', 'sourceNodeId', 'sourcePath'], 'type': 'object'}, 'type': 'array'}}, 'required': ['name', 'targetNodeId', 'targetPath', 'expression'], 'type': 'object'}, 'type': 'array'}}, 'required': ['items'], 'type': 'object'}, description="""Create multiple Drivers"""), # team-plask/3D-MCP/createDrivers
    Tool(name="""3D-MCP_updateDrivers""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'items': {'description': 'Array of Drivers to update with their IDs', 'items': {'additionalProperties': False, 'properties': {'expression': {'description': 'Mathematical expression or code', 'type': 'string'}, 'ids': {'description': 'Driver identifiers to update', 'items': {'type': 'string'}, 'type': 'array'}, 'metadata': {'additionalProperties': {}, 'description': 'Additional tool-specific metadata', 'type': 'object'}, 'name': {'description': 'Display name', 'type': 'string'}, 'targetNodeId': {'description': 'Node to drive', 'type': 'string'}, 'targetPath': {'description': 'Property path on target to drive', 'type': 'string'}, 'variables': {'default': [], 'description': 'Input variables for the expression', 'items': {'additionalProperties': False, 'properties': {'name': {'description': 'Variable name in expression', 'type': 'string'}, 'sourceNodeId': {'description': 'Node ID to read from', 'type': 'string'}, 'sourcePath': {'description': 'Property path to read from', 'type': 'string'}, 'transform': {'description': 'Transform to apply to input', 'type': 'string'}}, 'required': ['name', 'sourceNodeId', 'sourcePath'], 'type': 'object'}, 'type': 'array'}}, 'required': ['ids'], 'type': 'object'}, 'type': 'array'}}, 'required': ['items'], 'type': 'object'}, description="""Update multiple Drivers in a single operation"""), # team-plask/3D-MCP/updateDrivers
    Tool(name="""3D-MCP_deleteDrivers""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'ids': {'description': 'Driver identifiers to delete', 'items': {'type': 'string'}, 'type': 'array'}}, 'required': ['ids'], 'type': 'object'}, description="""Delete multiple Drivers"""), # team-plask/3D-MCP/deleteDrivers
    Tool(name="""3D-MCP_test""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {}, 'type': 'object'}, description="""Test tool"""), # team-plask/3D-MCP/test
    Tool(name="""3D-MCP_select""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'domain': {'description': "Optional domain to restrict selection (e.g., 'mesh', 'animation')", 'type': 'string'}, 'ids': {'description': 'Object identifiers to select', 'items': {'type': 'string'}, 'type': 'array'}, 'mode': {'default': 'replace', 'description': 'Selection mode operation', 'enum': ['replace', 'add', 'remove', 'toggle'], 'type': 'string'}}, 'required': ['ids'], 'type': 'object'}, description="""Select one or more objects"""), # team-plask/3D-MCP/select
    Tool(name="""3D-MCP_clearSelection""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'domain': {'description': "Optional domain to restrict clearing (e.g., 'mesh', 'animation')", 'type': 'string'}}, 'type': 'object'}, description="""Clear current selection"""), # team-plask/3D-MCP/clearSelection
    Tool(name="""3D-MCP_getSelection""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'domain': {'description': "Optional domain to filter results (e.g., 'mesh', 'animation')", 'type': 'string'}}, 'type': 'object'}, description="""Get currently selected objects"""), # team-plask/3D-MCP/getSelection
    Tool(name="""3D-MCP_batchTransform""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'items': {'description': 'Transformations to apply', 'items': {'additionalProperties': False, 'properties': {'id': {'description': 'Object identifier', 'type': 'string'}, 'position': {'description': 'New absolute position [x, y, z]', 'items': {'type': 'number'}, 'maxItems': 3, 'minItems': 3, 'type': 'array'}, 'positionOffset': {'$ref': '#/properties/items/items/properties/position', 'description': 'Relative position offset to apply [dx, dy, dz]'}, 'rotation': {'description': 'New absolute rotation quaternion [x, y, z, w]', 'items': {'type': 'number'}, 'maxItems': 4, 'minItems': 4, 'type': 'array'}, 'rotationOffset': {'$ref': '#/properties/items/items/properties/rotation', 'description': 'Relative rotation to apply as quaternion [x, y, z, w]'}, 'scale': {'$ref': '#/properties/items/items/properties/position', 'description': 'New absolute scale [x, y, z]'}, 'scaleOffset': {'$ref': '#/properties/items/items/properties/position', 'description': 'Relative scale to apply [sx, sy, sz]'}, 'space': {'default': 'world', 'description': 'Coordinate space for the transformation', 'enum': ['local', 'world', 'parent'], 'type': 'string'}}, 'required': ['id'], 'type': 'object'}, 'type': 'array'}}, 'required': ['items'], 'type': 'object'}, description="""Apply transformations to multiple objects"""), # team-plask/3D-MCP/batchTransform
    Tool(name="""3D-MCP_batchSetParent""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'items': {'description': 'Parent assignments to make', 'items': {'additionalProperties': False, 'properties': {'id': {'description': 'Object identifier', 'type': 'string'}, 'parentId': {'description': 'Parent object ID (null to unparent)', 'type': ['string', 'null']}}, 'required': ['id', 'parentId'], 'type': 'object'}, 'type': 'array'}, 'maintainWorldTransform': {'default': True, 'description': 'Whether to preserve world transforms after reparenting', 'type': 'boolean'}}, 'required': ['items'], 'type': 'object'}, description="""Set parent for multiple objects"""), # team-plask/3D-MCP/batchSetParent
    Tool(name="""3D-MCP_batchGetProperty""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'items': {'description': 'Property requests to make', 'items': {'additionalProperties': False, 'properties': {'id': {'description': 'Object identifier', 'type': 'string'}, 'propertyPath': {'description': 'Path to the property', 'type': 'string'}}, 'required': ['id', 'propertyPath'], 'type': 'object'}, 'type': 'array'}, 'recursive': {'default': False, 'description': 'Whether to include all descendants', 'type': 'boolean'}}, 'required': ['items'], 'type': 'object'}, description="""Get property values from multiple objects"""), # team-plask/3D-MCP/batchGetProperty
    Tool(name="""3D-MCP_duplicate""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'duplicateChildren': {'default': True, 'description': 'Whether to duplicate children', 'type': 'boolean'}, 'duplicateDependencies': {'default': False, 'description': 'Whether to duplicate dependencies (materials, etc.)', 'type': 'boolean'}, 'id': {'description': 'Source entity identifier', 'type': 'string'}, 'newName': {'description': 'Name for the duplicated entity', 'type': 'string'}}, 'required': ['id'], 'type': 'object'}, description="""Duplicate an entity"""), # team-plask/3D-MCP/duplicate
    Tool(name="""3D-MCP_createMeshs""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'items': {'description': 'Array of Meshs to create', 'items': {'additionalProperties': False, 'properties': {'castShadow': {'default': True, 'description': 'Whether the object casts shadows', 'type': 'boolean'}, 'childIds': {'default': [], 'description': 'Child object IDs', 'items': {'type': 'string'}, 'type': 'array'}, 'colors': {'description': 'Array of vertex colors [r, g, b, a]', 'items': {'$ref': '#/properties/items/items/properties/tangents/items'}, 'type': 'array'}, 'indices': {'description': 'Vertex indices defining triangles', 'items': {'type': 'integer'}, 'type': 'array'}, 'locked': {'default': False, 'description': 'Editing lock state', 'type': 'boolean'}, 'materialId': {'description': 'ID of material applied to this mesh', 'type': 'string'}, 'metadata': {'additionalProperties': {}, 'description': 'Additional tool-specific metadata', 'type': 'object'}, 'name': {'description': 'Display name', 'type': 'string'}, 'normals': {'description': 'Array of normal vectors [nx, ny, nz]', 'items': {'$ref': '#/properties/items/items/properties/position'}, 'type': 'array'}, 'parentId': {'default': None, 'description': 'Parent object ID', 'type': ['string', 'null']}, 'position': {'default': [0, 0, 0], 'description': 'Position [x, y, z]', 'items': {'type': 'number'}, 'maxItems': 3, 'minItems': 3, 'type': 'array'}, 'receiveShadow': {'default': True, 'description': 'Whether the object receives shadows', 'type': 'boolean'}, 'renderOrder': {'default': 0, 'description': 'Render sorting order', 'type': 'integer'}, 'rotation': {'default': [0, 0, 0, 1], 'description': 'Rotation quaternion [x, y, z, w]', 'items': {'type': 'number'}, 'maxItems': 4, 'minItems': 4, 'type': 'array'}, 'scale': {'$ref': '#/properties/items/items/properties/position', 'default': [1, 1, 1], 'description': 'Scale [x, y, z]'}, 'tangents': {'description': 'Array of tangent vectors [tx, ty, tz, handedness]', 'items': {'description': 'VEC4 tensor with 4 components', 'items': {'type': 'number'}, 'maxItems': 4, 'minItems': 4, 'type': 'array'}, 'type': 'array'}, 'uvs': {'description': 'Array of UV coordinates [u, v]', 'items': {'description': 'VEC2 tensor with 2 components', 'items': {'type': 'number'}, 'maxItems': 2, 'minItems': 2, 'type': 'array'}, 'type': 'array'}, 'vertices': {'description': 'Array of vertex positions [x, y, z]', 'items': {'$ref': '#/properties/items/items/properties/position'}, 'type': 'array'}, 'visible': {'default': True, 'description': 'Visibility state', 'type': 'boolean'}}, 'required': ['name', 'vertices', 'indices'], 'type': 'object'}, 'type': 'array'}}, 'required': ['items'], 'type': 'object'}, description="""Create multiple Meshs"""), # team-plask/3D-MCP/createMeshs
    Tool(name="""3D-MCP_getMeshs""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'ids': {'description': 'Mesh identifiers', 'items': {'type': 'string'}, 'type': 'array'}}, 'required': ['ids'], 'type': 'object'}, description="""Get multiple Meshs by IDs"""), # team-plask/3D-MCP/getMeshs
    Tool(name="""3D-MCP_listMeshs""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'filters': {'additionalProperties': {}, 'description': 'Optional filters to apply', 'type': 'object'}, 'limit': {'description': 'Maximum number of results', 'exclusiveMinimum': 0, 'type': 'integer'}, 'offset': {'description': 'Starting offset for pagination', 'minimum': 0, 'type': 'integer'}, 'parentId': {'description': 'Optional parent ID to filter by', 'type': 'string'}}, 'type': 'object'}, description="""List all Meshs"""), # team-plask/3D-MCP/listMeshs
    Tool(name="""3D-MCP_updateMeshs""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'items': {'description': 'Array of Meshs to update with their IDs', 'items': {'additionalProperties': False, 'properties': {'castShadow': {'default': True, 'description': 'Whether the object casts shadows', 'type': 'boolean'}, 'childIds': {'default': [], 'description': 'Child object IDs', 'items': {'type': 'string'}, 'type': 'array'}, 'colors': {'description': 'Array of vertex colors [r, g, b, a]', 'items': {'$ref': '#/properties/items/items/properties/tangents/items'}, 'type': 'array'}, 'ids': {'description': 'Mesh identifiers to update', 'items': {'type': 'string'}, 'type': 'array'}, 'indices': {'description': 'Vertex indices defining triangles', 'items': {'type': 'integer'}, 'type': 'array'}, 'locked': {'default': False, 'description': 'Editing lock state', 'type': 'boolean'}, 'materialId': {'description': 'ID of material applied to this mesh', 'type': 'string'}, 'metadata': {'additionalProperties': {}, 'description': 'Additional tool-specific metadata', 'type': 'object'}, 'name': {'description': 'Display name', 'type': 'string'}, 'normals': {'description': 'Array of normal vectors [nx, ny, nz]', 'items': {'$ref': '#/properties/items/items/properties/position'}, 'type': 'array'}, 'parentId': {'default': None, 'description': 'Parent object ID', 'type': ['string', 'null']}, 'position': {'default': [0, 0, 0], 'description': 'Position [x, y, z]', 'items': {'type': 'number'}, 'maxItems': 3, 'minItems': 3, 'type': 'array'}, 'receiveShadow': {'default': True, 'description': 'Whether the object receives shadows', 'type': 'boolean'}, 'renderOrder': {'default': 0, 'description': 'Render sorting order', 'type': 'integer'}, 'rotation': {'default': [0, 0, 0, 1], 'description': 'Rotation quaternion [x, y, z, w]', 'items': {'type': 'number'}, 'maxItems': 4, 'minItems': 4, 'type': 'array'}, 'scale': {'$ref': '#/properties/items/items/properties/position', 'default': [1, 1, 1], 'description': 'Scale [x, y, z]'}, 'tangents': {'description': 'Array of tangent vectors [tx, ty, tz, handedness]', 'items': {'description': 'VEC4 tensor with 4 components', 'items': {'type': 'number'}, 'maxItems': 4, 'minItems': 4, 'type': 'array'}, 'type': 'array'}, 'uvs': {'description': 'Array of UV coordinates [u, v]', 'items': {'description': 'VEC2 tensor with 2 components', 'items': {'type': 'number'}, 'maxItems': 2, 'minItems': 2, 'type': 'array'}, 'type': 'array'}, 'vertices': {'description': 'Array of vertex positions [x, y, z]', 'items': {'$ref': '#/properties/items/items/properties/position'}, 'type': 'array'}, 'visible': {'default': True, 'description': 'Visibility state', 'type': 'boolean'}}, 'required': ['ids'], 'type': 'object'}, 'type': 'array'}}, 'required': ['items'], 'type': 'object'}, description="""Update multiple Meshs in a single operation"""), # team-plask/3D-MCP/updateMeshs
    Tool(name="""3D-MCP_deleteMeshs""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'ids': {'description': 'Mesh identifiers to delete', 'items': {'type': 'string'}, 'type': 'array'}}, 'required': ['ids'], 'type': 'object'}, description="""Delete multiple Meshs"""), # team-plask/3D-MCP/deleteMeshs
    Tool(name="""3D-MCP_createVertexs""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'items': {'description': 'Array of Vertexs to create', 'items': {'additionalProperties': False, 'properties': {'color': {'description': 'Vertex color [r, g, b, a]', 'items': {'type': 'number'}, 'maxItems': 4, 'minItems': 4, 'type': 'array'}, 'meshId': {'description': 'ID of the parent mesh', 'type': 'string'}, 'metadata': {'additionalProperties': {}, 'description': 'Additional tool-specific metadata', 'type': 'object'}, 'name': {'description': 'Display name', 'type': 'string'}, 'normal': {'description': 'Normal vector [nx, ny, nz]', 'items': {'$ref': '#/properties/items/items/properties/position/items'}, 'maxItems': 3, 'minItems': 3, 'type': 'array'}, 'position': {'description': 'Position [x, y, z]', 'items': {'type': 'number'}, 'maxItems': 3, 'minItems': 3, 'type': 'array'}, 'selected': {'default': False, 'description': 'Selection state of the vertex', 'type': 'boolean'}, 'uv': {'description': 'UV coordinates by channel', 'items': {'description': 'VEC2 tensor with 2 components', 'items': {'type': 'number'}, 'maxItems': 2, 'minItems': 2, 'type': 'array'}, 'type': 'array'}, 'weight': {'additionalProperties': {'type': 'number'}, 'description': 'Vertex weights by influence (bone ID -> weight)', 'type': 'object'}}, 'required': ['name', 'meshId', 'position'], 'type': 'object'}, 'type': 'array'}}, 'required': ['items'], 'type': 'object'}, description="""Create multiple Vertexs"""), # team-plask/3D-MCP/createVertexs
    Tool(name="""3D-MCP_getVertexs""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'ids': {'description': 'Vertex identifiers', 'items': {'type': 'string'}, 'type': 'array'}}, 'required': ['ids'], 'type': 'object'}, description="""Get multiple Vertexs by IDs"""), # team-plask/3D-MCP/getVertexs
    Tool(name="""3D-MCP_listVertexs""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'filters': {'additionalProperties': {}, 'description': 'Optional filters to apply', 'type': 'object'}, 'limit': {'description': 'Maximum number of results', 'exclusiveMinimum': 0, 'type': 'integer'}, 'offset': {'description': 'Starting offset for pagination', 'minimum': 0, 'type': 'integer'}, 'parentId': {'description': 'Optional parent ID to filter by', 'type': 'string'}}, 'type': 'object'}, description="""List all Vertexs"""), # team-plask/3D-MCP/listVertexs
    Tool(name="""3D-MCP_listIKChains""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'filters': {'additionalProperties': {}, 'description': 'Optional filters to apply', 'type': 'object'}, 'limit': {'description': 'Maximum number of results', 'exclusiveMinimum': 0, 'type': 'integer'}, 'offset': {'description': 'Starting offset for pagination', 'minimum': 0, 'type': 'integer'}, 'parentId': {'description': 'Optional parent ID to filter by', 'type': 'string'}}, 'type': 'object'}, description="""List all IKChains"""), # team-plask/3D-MCP/listIKChains
    Tool(name="""3D-MCP_updateVertexs""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'items': {'description': 'Array of Vertexs to update with their IDs', 'items': {'additionalProperties': False, 'properties': {'color': {'description': 'Vertex color [r, g, b, a]', 'items': {'type': 'number'}, 'maxItems': 4, 'minItems': 4, 'type': 'array'}, 'ids': {'description': 'Vertex identifiers to update', 'items': {'type': 'string'}, 'type': 'array'}, 'meshId': {'description': 'ID of the parent mesh', 'type': 'string'}, 'metadata': {'additionalProperties': {}, 'description': 'Additional tool-specific metadata', 'type': 'object'}, 'name': {'description': 'Display name', 'type': 'string'}, 'normal': {'description': 'Normal vector [nx, ny, nz]', 'items': {'$ref': '#/properties/items/items/properties/position/items'}, 'maxItems': 3, 'minItems': 3, 'type': 'array'}, 'position': {'description': 'Position [x, y, z]', 'items': {'type': 'number'}, 'maxItems': 3, 'minItems': 3, 'type': 'array'}, 'selected': {'default': False, 'description': 'Selection state of the vertex', 'type': 'boolean'}, 'uv': {'description': 'UV coordinates by channel', 'items': {'description': 'VEC2 tensor with 2 components', 'items': {'type': 'number'}, 'maxItems': 2, 'minItems': 2, 'type': 'array'}, 'type': 'array'}, 'weight': {'additionalProperties': {'type': 'number'}, 'description': 'Vertex weights by influence (bone ID -> weight)', 'type': 'object'}}, 'required': ['ids'], 'type': 'object'}, 'type': 'array'}}, 'required': ['items'], 'type': 'object'}, description="""Update multiple Vertexs in a single operation"""), # team-plask/3D-MCP/updateVertexs
    Tool(name="""3D-MCP_deleteVertexs""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'ids': {'description': 'Vertex identifiers to delete', 'items': {'type': 'string'}, 'type': 'array'}}, 'required': ['ids'], 'type': 'object'}, description="""Delete multiple Vertexs"""), # team-plask/3D-MCP/deleteVertexs
    Tool(name="""3D-MCP_createEdges""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'items': {'description': 'Array of Edges to create', 'items': {'additionalProperties': False, 'properties': {'crease': {'default': 0, 'description': 'Crease weight for subdivision', 'maximum': 1, 'minimum': 0, 'type': 'number'}, 'hidden': {'default': False, 'description': 'Whether the edge is hidden', 'type': 'boolean'}, 'meshId': {'description': 'ID of the parent mesh', 'type': 'string'}, 'metadata': {'additionalProperties': {}, 'description': 'Additional tool-specific metadata', 'type': 'object'}, 'name': {'description': 'Display name', 'type': 'string'}, 'selected': {'default': False, 'description': 'Selection state of the edge', 'type': 'boolean'}, 'sharp': {'default': False, 'description': 'Whether the edge is marked as sharp', 'type': 'boolean'}, 'vertexIds': {'description': 'IDs of vertices defining the edge', 'items': [{'type': 'string'}, {'type': 'string'}], 'maxItems': 2, 'minItems': 2, 'type': 'array'}}, 'required': ['name', 'meshId', 'vertexIds'], 'type': 'object'}, 'type': 'array'}}, 'required': ['items'], 'type': 'object'}, description="""Create multiple Edges"""), # team-plask/3D-MCP/createEdges
    Tool(name="""3D-MCP_getEdges""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'ids': {'description': 'Edge identifiers', 'items': {'type': 'string'}, 'type': 'array'}}, 'required': ['ids'], 'type': 'object'}, description="""Get multiple Edges by IDs"""), # team-plask/3D-MCP/getEdges
    Tool(name="""3D-MCP_listEdges""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'filters': {'additionalProperties': {}, 'description': 'Optional filters to apply', 'type': 'object'}, 'limit': {'description': 'Maximum number of results', 'exclusiveMinimum': 0, 'type': 'integer'}, 'offset': {'description': 'Starting offset for pagination', 'minimum': 0, 'type': 'integer'}, 'parentId': {'description': 'Optional parent ID to filter by', 'type': 'string'}}, 'type': 'object'}, description="""List all Edges"""), # team-plask/3D-MCP/listEdges
    Tool(name="""3D-MCP_updateEdges""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'items': {'description': 'Array of Edges to update with their IDs', 'items': {'additionalProperties': False, 'properties': {'crease': {'default': 0, 'description': 'Crease weight for subdivision', 'maximum': 1, 'minimum': 0, 'type': 'number'}, 'hidden': {'default': False, 'description': 'Whether the edge is hidden', 'type': 'boolean'}, 'ids': {'description': 'Edge identifiers to update', 'items': {'type': 'string'}, 'type': 'array'}, 'meshId': {'description': 'ID of the parent mesh', 'type': 'string'}, 'metadata': {'additionalProperties': {}, 'description': 'Additional tool-specific metadata', 'type': 'object'}, 'name': {'description': 'Display name', 'type': 'string'}, 'selected': {'default': False, 'description': 'Selection state of the edge', 'type': 'boolean'}, 'sharp': {'default': False, 'description': 'Whether the edge is marked as sharp', 'type': 'boolean'}, 'vertexIds': {'description': 'IDs of vertices defining the edge', 'items': [{'type': 'string'}, {'type': 'string'}], 'maxItems': 2, 'minItems': 2, 'type': 'array'}}, 'required': ['ids'], 'type': 'object'}, 'type': 'array'}}, 'required': ['items'], 'type': 'object'}, description="""Update multiple Edges in a single operation"""), # team-plask/3D-MCP/updateEdges
    Tool(name="""3D-MCP_deleteEdges""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'ids': {'description': 'Edge identifiers to delete', 'items': {'type': 'string'}, 'type': 'array'}}, 'required': ['ids'], 'type': 'object'}, description="""Delete multiple Edges"""), # team-plask/3D-MCP/deleteEdges
    Tool(name="""3D-MCP_createFaces""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'items': {'description': 'Array of Faces to create', 'items': {'additionalProperties': False, 'properties': {'materialId': {'description': 'Material ID for this specific face', 'type': 'string'}, 'meshId': {'description': 'ID of the parent mesh', 'type': 'string'}, 'metadata': {'additionalProperties': {}, 'description': 'Additional tool-specific metadata', 'type': 'object'}, 'name': {'description': 'Display name', 'type': 'string'}, 'normal': {'description': 'Face normal [nx, ny, nz]', 'items': {'type': 'number'}, 'maxItems': 3, 'minItems': 3, 'type': 'array'}, 'selected': {'default': False, 'description': 'Selection state of the face', 'type': 'boolean'}, 'smoothingGroup': {'description': 'Smoothing group identifier', 'minimum': 0, 'type': 'integer'}, 'vertexIds': {'description': 'IDs of vertices defining the face', 'items': {'type': 'string'}, 'minItems': 3, 'type': 'array'}}, 'required': ['name', 'meshId', 'vertexIds'], 'type': 'object'}, 'type': 'array'}}, 'required': ['items'], 'type': 'object'}, description="""Create multiple Faces"""), # team-plask/3D-MCP/createFaces
    Tool(name="""3D-MCP_getFaces""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'ids': {'description': 'Face identifiers', 'items': {'type': 'string'}, 'type': 'array'}}, 'required': ['ids'], 'type': 'object'}, description="""Get multiple Faces by IDs"""), # team-plask/3D-MCP/getFaces
    Tool(name="""3D-MCP_listFaces""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'filters': {'additionalProperties': {}, 'description': 'Optional filters to apply', 'type': 'object'}, 'limit': {'description': 'Maximum number of results', 'exclusiveMinimum': 0, 'type': 'integer'}, 'offset': {'description': 'Starting offset for pagination', 'minimum': 0, 'type': 'integer'}, 'parentId': {'description': 'Optional parent ID to filter by', 'type': 'string'}}, 'type': 'object'}, description="""List all Faces"""), # team-plask/3D-MCP/listFaces
    Tool(name="""3D-MCP_updateFaces""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'items': {'description': 'Array of Faces to update with their IDs', 'items': {'additionalProperties': False, 'properties': {'ids': {'description': 'Face identifiers to update', 'items': {'type': 'string'}, 'type': 'array'}, 'materialId': {'description': 'Material ID for this specific face', 'type': 'string'}, 'meshId': {'description': 'ID of the parent mesh', 'type': 'string'}, 'metadata': {'additionalProperties': {}, 'description': 'Additional tool-specific metadata', 'type': 'object'}, 'name': {'description': 'Display name', 'type': 'string'}, 'normal': {'description': 'Face normal [nx, ny, nz]', 'items': {'type': 'number'}, 'maxItems': 3, 'minItems': 3, 'type': 'array'}, 'selected': {'default': False, 'description': 'Selection state of the face', 'type': 'boolean'}, 'smoothingGroup': {'description': 'Smoothing group identifier', 'minimum': 0, 'type': 'integer'}, 'vertexIds': {'description': 'IDs of vertices defining the face', 'items': {'type': 'string'}, 'minItems': 3, 'type': 'array'}}, 'required': ['ids'], 'type': 'object'}, 'type': 'array'}}, 'required': ['items'], 'type': 'object'}, description="""Update multiple Faces in a single operation"""), # team-plask/3D-MCP/updateFaces
    Tool(name="""3D-MCP_deleteFaces""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'ids': {'description': 'Face identifiers to delete', 'items': {'type': 'string'}, 'type': 'array'}}, 'required': ['ids'], 'type': 'object'}, description="""Delete multiple Faces"""), # team-plask/3D-MCP/deleteFaces
    Tool(name="""3D-MCP_listGroups""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'filters': {'additionalProperties': {}, 'description': 'Optional filters to apply', 'type': 'object'}, 'limit': {'description': 'Maximum number of results', 'exclusiveMinimum': 0, 'type': 'integer'}, 'offset': {'description': 'Starting offset for pagination', 'minimum': 0, 'type': 'integer'}, 'parentId': {'description': 'Optional parent ID to filter by', 'type': 'string'}}, 'type': 'object'}, description="""List all Groups"""), # team-plask/3D-MCP/listGroups
    Tool(name="""3D-MCP_createUVMaps""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'items': {'description': 'Array of UVMaps to create', 'items': {'additionalProperties': False, 'properties': {'channel': {'description': 'UV channel index', 'minimum': 0, 'type': 'integer'}, 'coordinates': {'description': 'UV coordinates per vertex', 'items': {'additionalProperties': False, 'properties': {'u': {'description': 'U coordinate', 'type': 'number'}, 'v': {'description': 'V coordinate', 'type': 'number'}, 'vertexId': {'description': 'Vertex identifier', 'type': 'string'}}, 'required': ['vertexId', 'u', 'v'], 'type': 'object'}, 'type': 'array'}, 'meshId': {'description': 'ID of the associated mesh', 'type': 'string'}, 'metadata': {'additionalProperties': {}, 'description': 'Additional tool-specific metadata', 'type': 'object'}, 'name': {'description': 'Display name', 'type': 'string'}}, 'required': ['name', 'meshId', 'channel', 'coordinates'], 'type': 'object'}, 'type': 'array'}}, 'required': ['items'], 'type': 'object'}, description="""Create multiple UVMaps"""), # team-plask/3D-MCP/createUVMaps
    Tool(name="""3D-MCP_getUVMaps""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'ids': {'description': 'UVMap identifiers', 'items': {'type': 'string'}, 'type': 'array'}}, 'required': ['ids'], 'type': 'object'}, description="""Get multiple UVMaps by IDs"""), # team-plask/3D-MCP/getUVMaps
    Tool(name="""3D-MCP_listUVMaps""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'filters': {'additionalProperties': {}, 'description': 'Optional filters to apply', 'type': 'object'}, 'limit': {'description': 'Maximum number of results', 'exclusiveMinimum': 0, 'type': 'integer'}, 'offset': {'description': 'Starting offset for pagination', 'minimum': 0, 'type': 'integer'}, 'parentId': {'description': 'Optional parent ID to filter by', 'type': 'string'}}, 'type': 'object'}, description="""List all UVMaps"""), # team-plask/3D-MCP/listUVMaps
    Tool(name="""3D-MCP_updateUVMaps""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'items': {'description': 'Array of UVMaps to update with their IDs', 'items': {'additionalProperties': False, 'properties': {'channel': {'description': 'UV channel index', 'minimum': 0, 'type': 'integer'}, 'coordinates': {'description': 'UV coordinates per vertex', 'items': {'additionalProperties': False, 'properties': {'u': {'description': 'U coordinate', 'type': 'number'}, 'v': {'description': 'V coordinate', 'type': 'number'}, 'vertexId': {'description': 'Vertex identifier', 'type': 'string'}}, 'required': ['vertexId', 'u', 'v'], 'type': 'object'}, 'type': 'array'}, 'ids': {'description': 'UVMap identifiers to update', 'items': {'type': 'string'}, 'type': 'array'}, 'meshId': {'description': 'ID of the associated mesh', 'type': 'string'}, 'metadata': {'additionalProperties': {}, 'description': 'Additional tool-specific metadata', 'type': 'object'}, 'name': {'description': 'Display name', 'type': 'string'}}, 'required': ['ids'], 'type': 'object'}, 'type': 'array'}}, 'required': ['items'], 'type': 'object'}, description="""Update multiple UVMaps in a single operation"""), # team-plask/3D-MCP/updateUVMaps
    Tool(name="""3D-MCP_deleteUVMaps""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'ids': {'description': 'UVMap identifiers to delete', 'items': {'type': 'string'}, 'type': 'array'}}, 'required': ['ids'], 'type': 'object'}, description="""Delete multiple UVMaps"""), # team-plask/3D-MCP/deleteUVMaps
    Tool(name="""3D-MCP_createMaterials""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'items': {'description': 'Array of Materials to create', 'items': {'additionalProperties': False, 'properties': {'alphaCutoff': {'default': 0.5, 'description': 'Alpha cutoff threshold', 'maximum': 1, 'minimum': 0, 'type': 'number'}, 'alphaMode': {'default': 'OPAQUE', 'description': 'Alpha rendering mode', 'enum': ['OPAQUE', 'MASK', 'BLEND'], 'type': 'string'}, 'baseColor': {'default': [1, 1, 1, 1], 'description': 'Base color [r, g, b, a]', 'items': {'type': 'number'}, 'maxItems': 4, 'minItems': 4, 'type': 'array'}, 'doubleSided': {'default': False, 'description': 'Whether material is rendered on both sides', 'type': 'boolean'}, 'emissive': {'description': 'Emissive color [r, g, b]', 'items': {'type': 'number'}, 'maxItems': 3, 'minItems': 3, 'type': 'array'}, 'emissiveIntensity': {'description': 'Emissive intensity multiplier', 'minimum': 0, 'type': 'number'}, 'metadata': {'additionalProperties': {}, 'description': 'Additional tool-specific metadata', 'type': 'object'}, 'metallic': {'description': 'Metallic factor', 'maximum': 1, 'minimum': 0, 'type': 'number'}, 'name': {'description': 'Display name', 'type': 'string'}, 'normalScale': {'description': 'Normal map intensity', 'type': 'number'}, 'opacity': {'default': 1, 'description': 'Opacity factor', 'maximum': 1, 'minimum': 0, 'type': 'number'}, 'roughness': {'description': 'Roughness factor', 'maximum': 1, 'minimum': 0, 'type': 'number'}, 'shaderParameters': {'additionalProperties': {}, 'description': 'Additional shader-specific parameters', 'type': 'object'}, 'textures': {'additionalProperties': {'type': 'string'}, 'description': 'Material texture maps by type', 'propertyNames': {'enum': ['baseColor', 'normal', 'metallic', 'roughness', 'emissive', 'ambientOcclusion', 'height', 'opacity']}, 'type': 'object'}, 'type': {'description': 'Material type/shader model', 'enum': ['standard', 'pbr', 'lambert', 'phong', 'toon', 'custom'], 'type': 'string'}}, 'required': ['name', 'type'], 'type': 'object'}, 'type': 'array'}}, 'required': ['items'], 'type': 'object'}, description="""Create multiple Materials"""), # team-plask/3D-MCP/createMaterials
    Tool(name="""3D-MCP_getMaterials""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'ids': {'description': 'Material identifiers', 'items': {'type': 'string'}, 'type': 'array'}}, 'required': ['ids'], 'type': 'object'}, description="""Get multiple Materials by IDs"""), # team-plask/3D-MCP/getMaterials
    Tool(name="""3D-MCP_listMaterials""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'filters': {'additionalProperties': {}, 'description': 'Optional filters to apply', 'type': 'object'}, 'limit': {'description': 'Maximum number of results', 'exclusiveMinimum': 0, 'type': 'integer'}, 'offset': {'description': 'Starting offset for pagination', 'minimum': 0, 'type': 'integer'}, 'parentId': {'description': 'Optional parent ID to filter by', 'type': 'string'}}, 'type': 'object'}, description="""List all Materials"""), # team-plask/3D-MCP/listMaterials
    Tool(name="""3D-MCP_updateMaterials""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'items': {'description': 'Array of Materials to update with their IDs', 'items': {'additionalProperties': False, 'properties': {'alphaCutoff': {'default': 0.5, 'description': 'Alpha cutoff threshold', 'maximum': 1, 'minimum': 0, 'type': 'number'}, 'alphaMode': {'default': 'OPAQUE', 'description': 'Alpha rendering mode', 'enum': ['OPAQUE', 'MASK', 'BLEND'], 'type': 'string'}, 'baseColor': {'default': [1, 1, 1, 1], 'description': 'Base color [r, g, b, a]', 'items': {'type': 'number'}, 'maxItems': 4, 'minItems': 4, 'type': 'array'}, 'doubleSided': {'default': False, 'description': 'Whether material is rendered on both sides', 'type': 'boolean'}, 'emissive': {'description': 'Emissive color [r, g, b]', 'items': {'type': 'number'}, 'maxItems': 3, 'minItems': 3, 'type': 'array'}, 'emissiveIntensity': {'description': 'Emissive intensity multiplier', 'minimum': 0, 'type': 'number'}, 'ids': {'description': 'Material identifiers to update', 'items': {'type': 'string'}, 'type': 'array'}, 'metadata': {'additionalProperties': {}, 'description': 'Additional tool-specific metadata', 'type': 'object'}, 'metallic': {'description': 'Metallic factor', 'maximum': 1, 'minimum': 0, 'type': 'number'}, 'name': {'description': 'Display name', 'type': 'string'}, 'normalScale': {'description': 'Normal map intensity', 'type': 'number'}, 'opacity': {'default': 1, 'description': 'Opacity factor', 'maximum': 1, 'minimum': 0, 'type': 'number'}, 'roughness': {'description': 'Roughness factor', 'maximum': 1, 'minimum': 0, 'type': 'number'}, 'shaderParameters': {'additionalProperties': {}, 'description': 'Additional shader-specific parameters', 'type': 'object'}, 'textures': {'additionalProperties': {'type': 'string'}, 'description': 'Material texture maps by type', 'propertyNames': {'enum': ['baseColor', 'normal', 'metallic', 'roughness', 'emissive', 'ambientOcclusion', 'height', 'opacity']}, 'type': 'object'}, 'type': {'description': 'Material type/shader model', 'enum': ['standard', 'pbr', 'lambert', 'phong', 'toon', 'custom'], 'type': 'string'}}, 'required': ['ids'], 'type': 'object'}, 'type': 'array'}}, 'required': ['items'], 'type': 'object'}, description="""Update multiple Materials in a single operation"""), # team-plask/3D-MCP/updateMaterials
    Tool(name="""3D-MCP_deleteMaterials""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'ids': {'description': 'Material identifiers to delete', 'items': {'type': 'string'}, 'type': 'array'}}, 'required': ['ids'], 'type': 'object'}, description="""Delete multiple Materials"""), # team-plask/3D-MCP/deleteMaterials
    Tool(name="""3D-MCP_createGroups""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'items': {'description': 'Array of Groups to create', 'items': {'additionalProperties': False, 'properties': {'locked': {'default': False, 'description': 'Lock state of the group', 'type': 'boolean'}, 'metadata': {'additionalProperties': {}, 'description': 'Additional tool-specific metadata', 'type': 'object'}, 'name': {'description': 'Display name', 'type': 'string'}, 'objectIds': {'description': 'IDs of objects in this group', 'items': {'type': 'string'}, 'type': 'array'}, 'parentId': {'description': 'ID of parent group', 'type': 'string'}, 'visible': {'default': True, 'description': 'Visibility state of the group', 'type': 'boolean'}}, 'required': ['name', 'objectIds'], 'type': 'object'}, 'type': 'array'}}, 'required': ['items'], 'type': 'object'}, description="""Create multiple Groups"""), # team-plask/3D-MCP/createGroups
    Tool(name="""3D-MCP_getGroups""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'ids': {'description': 'Group identifiers', 'items': {'type': 'string'}, 'type': 'array'}}, 'required': ['ids'], 'type': 'object'}, description="""Get multiple Groups by IDs"""), # team-plask/3D-MCP/getGroups
    Tool(name="""3D-MCP_updateGroups""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'items': {'description': 'Array of Groups to update with their IDs', 'items': {'additionalProperties': False, 'properties': {'ids': {'description': 'Group identifiers to update', 'items': {'type': 'string'}, 'type': 'array'}, 'locked': {'default': False, 'description': 'Lock state of the group', 'type': 'boolean'}, 'metadata': {'additionalProperties': {}, 'description': 'Additional tool-specific metadata', 'type': 'object'}, 'name': {'description': 'Display name', 'type': 'string'}, 'objectIds': {'description': 'IDs of objects in this group', 'items': {'type': 'string'}, 'type': 'array'}, 'parentId': {'description': 'ID of parent group', 'type': 'string'}, 'visible': {'default': True, 'description': 'Visibility state of the group', 'type': 'boolean'}}, 'required': ['ids'], 'type': 'object'}, 'type': 'array'}}, 'required': ['items'], 'type': 'object'}, description="""Update multiple Groups in a single operation"""), # team-plask/3D-MCP/updateGroups
    Tool(name="""3D-MCP_deleteGroups""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'ids': {'description': 'Group identifiers to delete', 'items': {'type': 'string'}, 'type': 'array'}}, 'required': ['ids'], 'type': 'object'}, description="""Delete multiple Groups"""), # team-plask/3D-MCP/deleteGroups
    Tool(name="""3D-MCP_createCurves""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'items': {'description': 'Array of Curves to create', 'items': {'additionalProperties': False, 'properties': {'castShadow': {'default': True, 'description': 'Whether the object casts shadows', 'type': 'boolean'}, 'childIds': {'default': [], 'description': 'Child object IDs', 'items': {'type': 'string'}, 'type': 'array'}, 'closed': {'default': False, 'description': 'Whether the curve is closed', 'type': 'boolean'}, 'controlPoints': {'description': 'Control points defining the curve', 'items': {'additionalProperties': False, 'properties': {'position': {'description': 'Position [x, y, z]', 'items': {'$ref': '#/properties/items/items/properties/position/items'}, 'maxItems': 3, 'minItems': 3, 'type': 'array'}, 'weight': {'default': 1, 'description': 'Control point weight', 'exclusiveMinimum': 0, 'type': 'number'}}, 'required': ['position'], 'type': 'object'}, 'type': 'array'}, 'degree': {'description': 'Degree of the curve', 'exclusiveMinimum': 0, 'type': 'integer'}, 'knots': {'description': 'Knot vector', 'items': {'type': 'number'}, 'type': 'array'}, 'locked': {'default': False, 'description': 'Editing lock state', 'type': 'boolean'}, 'metadata': {'additionalProperties': {}, 'description': 'Additional tool-specific metadata', 'type': 'object'}, 'name': {'description': 'Display name', 'type': 'string'}, 'parentId': {'default': None, 'description': 'Parent object ID', 'type': ['string', 'null']}, 'position': {'default': [0, 0, 0], 'description': 'Position [x, y, z]', 'items': {'type': 'number'}, 'maxItems': 3, 'minItems': 3, 'type': 'array'}, 'receiveShadow': {'default': True, 'description': 'Whether the object receives shadows', 'type': 'boolean'}, 'renderOrder': {'default': 0, 'description': 'Render sorting order', 'type': 'integer'}, 'rotation': {'default': [0, 0, 0, 1], 'description': 'Rotation quaternion [x, y, z, w]', 'items': {'type': 'number'}, 'maxItems': 4, 'minItems': 4, 'type': 'array'}, 'scale': {'$ref': '#/properties/items/items/properties/position', 'default': [1, 1, 1], 'description': 'Scale [x, y, z]'}, 'visible': {'default': True, 'description': 'Visibility state', 'type': 'boolean'}}, 'required': ['name', 'degree', 'controlPoints', 'knots'], 'type': 'object'}, 'type': 'array'}}, 'required': ['items'], 'type': 'object'}, description="""Create multiple Curves"""), # team-plask/3D-MCP/createCurves
    Tool(name="""3D-MCP_getCurves""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'ids': {'description': 'Curve identifiers', 'items': {'type': 'string'}, 'type': 'array'}}, 'required': ['ids'], 'type': 'object'}, description="""Get multiple Curves by IDs"""), # team-plask/3D-MCP/getCurves
    Tool(name="""3D-MCP_listCurves""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'filters': {'additionalProperties': {}, 'description': 'Optional filters to apply', 'type': 'object'}, 'limit': {'description': 'Maximum number of results', 'exclusiveMinimum': 0, 'type': 'integer'}, 'offset': {'description': 'Starting offset for pagination', 'minimum': 0, 'type': 'integer'}, 'parentId': {'description': 'Optional parent ID to filter by', 'type': 'string'}}, 'type': 'object'}, description="""List all Curves"""), # team-plask/3D-MCP/listCurves
    Tool(name="""3D-MCP_updateCurves""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'items': {'description': 'Array of Curves to update with their IDs', 'items': {'additionalProperties': False, 'properties': {'castShadow': {'default': True, 'description': 'Whether the object casts shadows', 'type': 'boolean'}, 'childIds': {'default': [], 'description': 'Child object IDs', 'items': {'type': 'string'}, 'type': 'array'}, 'closed': {'default': False, 'description': 'Whether the curve is closed', 'type': 'boolean'}, 'controlPoints': {'description': 'Control points defining the curve', 'items': {'additionalProperties': False, 'properties': {'position': {'description': 'Position [x, y, z]', 'items': {'$ref': '#/properties/items/items/properties/position/items'}, 'maxItems': 3, 'minItems': 3, 'type': 'array'}, 'weight': {'default': 1, 'description': 'Control point weight', 'exclusiveMinimum': 0, 'type': 'number'}}, 'required': ['position'], 'type': 'object'}, 'type': 'array'}, 'degree': {'description': 'Degree of the curve', 'exclusiveMinimum': 0, 'type': 'integer'}, 'ids': {'description': 'Curve identifiers to update', 'items': {'type': 'string'}, 'type': 'array'}, 'knots': {'description': 'Knot vector', 'items': {'type': 'number'}, 'type': 'array'}, 'locked': {'default': False, 'description': 'Editing lock state', 'type': 'boolean'}, 'metadata': {'additionalProperties': {}, 'description': 'Additional tool-specific metadata', 'type': 'object'}, 'name': {'description': 'Display name', 'type': 'string'}, 'parentId': {'default': None, 'description': 'Parent object ID', 'type': ['string', 'null']}, 'position': {'default': [0, 0, 0], 'description': 'Position [x, y, z]', 'items': {'type': 'number'}, 'maxItems': 3, 'minItems': 3, 'type': 'array'}, 'receiveShadow': {'default': True, 'description': 'Whether the object receives shadows', 'type': 'boolean'}, 'renderOrder': {'default': 0, 'description': 'Render sorting order', 'type': 'integer'}, 'rotation': {'default': [0, 0, 0, 1], 'description': 'Rotation quaternion [x, y, z, w]', 'items': {'type': 'number'}, 'maxItems': 4, 'minItems': 4, 'type': 'array'}, 'scale': {'$ref': '#/properties/items/items/properties/position', 'default': [1, 1, 1], 'description': 'Scale [x, y, z]'}, 'visible': {'default': True, 'description': 'Visibility state', 'type': 'boolean'}}, 'required': ['ids'], 'type': 'object'}, 'type': 'array'}}, 'required': ['items'], 'type': 'object'}, description="""Update multiple Curves in a single operation"""), # team-plask/3D-MCP/updateCurves
    Tool(name="""3D-MCP_deleteCurves""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'ids': {'description': 'Curve identifiers to delete', 'items': {'type': 'string'}, 'type': 'array'}}, 'required': ['ids'], 'type': 'object'}, description="""Delete multiple Curves"""), # team-plask/3D-MCP/deleteCurves
    Tool(name="""3D-MCP_getQuadView""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'auto_adjust_camera': {'default': True, 'description': 'Automatically adjust camera to fit the scene', 'type': 'boolean'}, 'name_visibility_predicate': {'description': ' Function that takes an object as input and returns a dict with display settings. See example below.', 'type': 'string'}, 'shading_mode': {'default': 'WIREFRAME', 'description': 'Shading mode for the viewports', 'enum': ['WIREFRAME', 'RENDERED', 'SOLID', 'MATERIAL'], 'type': 'string'}}, 'type': 'object'}, description="""Get top, front, right, and perspective views of the scene."""), # team-plask/3D-MCP/getQuadView
    Tool(name="""3D-MCP_createSubdivisionSurfaces""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'items': {'description': 'Array of SubdivisionSurfaces to create', 'items': {'additionalProperties': False, 'properties': {'baseMeshId': {'description': 'ID of the base mesh', 'type': 'string'}, 'boundaryInterpolation': {'default': 'all', 'description': 'Boundary interpolation rule', 'enum': ['none', 'edges', 'all'], 'type': 'string'}, 'creaseEdges': {'description': 'Creased edges with weights', 'items': {'additionalProperties': False, 'properties': {'creaseWeight': {'description': 'Crease weight', 'maximum': 10, 'minimum': 0, 'type': 'number'}, 'edgeId': {'description': 'Edge identifier', 'type': 'string'}}, 'required': ['edgeId', 'creaseWeight'], 'type': 'object'}, 'type': 'array'}, 'metadata': {'additionalProperties': {}, 'description': 'Additional tool-specific metadata', 'type': 'object'}, 'name': {'description': 'Display name', 'type': 'string'}, 'scheme': {'description': 'Subdivision scheme', 'enum': ['catmull-clark', 'loop', 'bilinear'], 'type': 'string'}, 'subdivisionLevel': {'default': 1, 'description': 'Current subdivision level', 'minimum': 0, 'type': 'integer'}}, 'required': ['name', 'baseMeshId', 'scheme'], 'type': 'object'}, 'type': 'array'}}, 'required': ['items'], 'type': 'object'}, description="""Create multiple SubdivisionSurfaces"""), # team-plask/3D-MCP/createSubdivisionSurfaces
    Tool(name="""3D-MCP_getSubdivisionSurfaces""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'ids': {'description': 'SubdivisionSurface identifiers', 'items': {'type': 'string'}, 'type': 'array'}}, 'required': ['ids'], 'type': 'object'}, description="""Get multiple SubdivisionSurfaces by IDs"""), # team-plask/3D-MCP/getSubdivisionSurfaces
    Tool(name="""3D-MCP_listSubdivisionSurfaces""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'filters': {'additionalProperties': {}, 'description': 'Optional filters to apply', 'type': 'object'}, 'limit': {'description': 'Maximum number of results', 'exclusiveMinimum': 0, 'type': 'integer'}, 'offset': {'description': 'Starting offset for pagination', 'minimum': 0, 'type': 'integer'}, 'parentId': {'description': 'Optional parent ID to filter by', 'type': 'string'}}, 'type': 'object'}, description="""List all SubdivisionSurfaces"""), # team-plask/3D-MCP/listSubdivisionSurfaces
    Tool(name="""3D-MCP_assignMaterials""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'items': {'description': 'Material assignments to make', 'items': {'additionalProperties': False, 'properties': {'faceIds': {'description': 'Specific face IDs (if omitted, applies to entire mesh)', 'items': {'type': 'string'}, 'type': 'array'}, 'materialId': {'description': 'Material identifier', 'type': 'string'}, 'meshId': {'description': 'Mesh identifier', 'type': 'string'}}, 'required': ['materialId', 'meshId'], 'type': 'object'}, 'type': 'array'}}, 'required': ['items'], 'type': 'object'}, description="""Assign materials to meshes or specific faces"""), # team-plask/3D-MCP/assignMaterials
    Tool(name="""3D-MCP_updateSubdivisionSurfaces""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'items': {'description': 'Array of SubdivisionSurfaces to update with their IDs', 'items': {'additionalProperties': False, 'properties': {'baseMeshId': {'description': 'ID of the base mesh', 'type': 'string'}, 'boundaryInterpolation': {'default': 'all', 'description': 'Boundary interpolation rule', 'enum': ['none', 'edges', 'all'], 'type': 'string'}, 'creaseEdges': {'description': 'Creased edges with weights', 'items': {'additionalProperties': False, 'properties': {'creaseWeight': {'description': 'Crease weight', 'maximum': 10, 'minimum': 0, 'type': 'number'}, 'edgeId': {'description': 'Edge identifier', 'type': 'string'}}, 'required': ['edgeId', 'creaseWeight'], 'type': 'object'}, 'type': 'array'}, 'ids': {'description': 'SubdivisionSurface identifiers to update', 'items': {'type': 'string'}, 'type': 'array'}, 'metadata': {'additionalProperties': {}, 'description': 'Additional tool-specific metadata', 'type': 'object'}, 'name': {'description': 'Display name', 'type': 'string'}, 'scheme': {'description': 'Subdivision scheme', 'enum': ['catmull-clark', 'loop', 'bilinear'], 'type': 'string'}, 'subdivisionLevel': {'default': 1, 'description': 'Current subdivision level', 'minimum': 0, 'type': 'integer'}}, 'required': ['ids'], 'type': 'object'}, 'type': 'array'}}, 'required': ['items'], 'type': 'object'}, description="""Update multiple SubdivisionSurfaces in a single operation"""), # team-plask/3D-MCP/updateSubdivisionSurfaces
    Tool(name="""3D-MCP_deleteSubdivisionSurfaces""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'ids': {'description': 'SubdivisionSurface identifiers to delete', 'items': {'type': 'string'}, 'type': 'array'}}, 'required': ['ids'], 'type': 'object'}, description="""Delete multiple SubdivisionSurfaces"""), # team-plask/3D-MCP/deleteSubdivisionSurfaces
    Tool(name="""3D-MCP_combineMeshes""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'meshIds': {'description': 'IDs of meshes to combine', 'items': {'type': 'string'}, 'minItems': 2, 'type': 'array'}, 'name': {'description': 'Name for the combined mesh', 'type': 'string'}, 'preserveSubMeshes': {'default': False, 'description': 'Whether to preserve material assignments as submeshes', 'type': 'boolean'}, 'worldSpace': {'default': True, 'description': 'Whether to combine in world space or local space', 'type': 'boolean'}}, 'required': ['meshIds'], 'type': 'object'}, description="""Combine multiple meshes into a single mesh"""), # team-plask/3D-MCP/combineMeshes
    Tool(name="""3D-MCP_splitMeshes""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'items': {'description': 'Meshes to split', 'items': {'additionalProperties': False, 'properties': {'meshId': {'description': 'Mesh identifier', 'type': 'string'}, 'method': {'description': 'Splitting method', 'enum': ['byMaterial', 'byUnconnected', 'bySelection'], 'type': 'string'}, 'namePattern': {'default': '{original}_part_{index}', 'description': 'Naming pattern for split results', 'type': 'string'}}, 'required': ['meshId', 'method'], 'type': 'object'}, 'type': 'array'}}, 'required': ['items'], 'type': 'object'}, description="""Split meshes into separate objects"""), # team-plask/3D-MCP/splitMeshes
    Tool(name="""3D-MCP_transformVertices""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'items': {'description': 'Vertex transformations to apply', 'items': {'additionalProperties': False, 'properties': {'normal': {'$ref': '#/properties/items/items/properties/position', 'description': 'New normal vector [nx, ny, nz]'}, 'offset': {'$ref': '#/properties/items/items/properties/position', 'description': 'Position offset to apply [dx, dy, dz]'}, 'position': {'description': 'New position [x, y, z]', 'items': {'type': 'number'}, 'maxItems': 3, 'minItems': 3, 'type': 'array'}, 'vertexId': {'description': 'Vertex identifier', 'type': 'string'}}, 'required': ['vertexId'], 'type': 'object'}, 'type': 'array'}}, 'required': ['items'], 'type': 'object'}, description="""Transform multiple vertices"""), # team-plask/3D-MCP/transformVertices
    Tool(name="""3D-MCP_setEdgeCreases""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'items': {'description': 'Edge crease operations', 'items': {'additionalProperties': False, 'properties': {'creaseWeight': {'description': 'Crease weight value', 'maximum': 10, 'minimum': 0, 'type': 'number'}, 'edgeId': {'description': 'Edge identifier', 'type': 'string'}}, 'required': ['edgeId', 'creaseWeight'], 'type': 'object'}, 'type': 'array'}}, 'required': ['items'], 'type': 'object'}, description="""Set crease weights for edges"""), # team-plask/3D-MCP/setEdgeCreases
    Tool(name="""3D-MCP_extrudeFaces""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'items': {'description': 'Face extrusion operations', 'items': {'additionalProperties': False, 'properties': {'createCaps': {'default': True, 'description': 'Whether to create cap faces', 'type': 'boolean'}, 'customDirection': {'description': "Custom direction vector when using 'custom' direction", 'items': {'type': 'number'}, 'maxItems': 3, 'minItems': 3, 'type': 'array'}, 'direction': {'default': 'normal', 'description': 'Extrusion direction method', 'enum': ['normal', 'custom'], 'type': 'string'}, 'distance': {'description': 'Extrusion distance', 'type': 'number'}, 'faceIds': {'description': 'Face identifiers', 'items': {'type': 'string'}, 'type': 'array'}, 'individualFaces': {'default': False, 'description': 'Whether to extrude faces individually', 'type': 'boolean'}}, 'required': ['faceIds', 'distance'], 'type': 'object'}, 'type': 'array'}}, 'required': ['items'], 'type': 'object'}, description="""Extrude faces"""), # team-plask/3D-MCP/extrudeFaces
    Tool(name="""3D-MCP_unwrapUVs""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'items': {'description': 'UV unwrapping operations', 'items': {'additionalProperties': False, 'properties': {'channel': {'default': 0, 'description': 'Target UV channel', 'minimum': 0, 'type': 'integer'}, 'margin': {'default': 0.01, 'description': 'Margin between UV islands', 'maximum': 1, 'minimum': 0, 'type': 'number'}, 'meshId': {'description': 'Mesh identifier', 'type': 'string'}, 'method': {'default': 'angle', 'description': 'Unwrapping method', 'enum': ['angle', 'conformal', 'lscm', 'abf', 'sphere', 'box', 'cylinder'], 'type': 'string'}, 'normalizeUVs': {'default': True, 'description': 'Whether to normalize UVs to 0-1 range', 'type': 'boolean'}, 'packIslands': {'default': True, 'description': 'Whether to pack UV islands efficiently', 'type': 'boolean'}}, 'required': ['meshId'], 'type': 'object'}, 'type': 'array'}}, 'required': ['items'], 'type': 'object'}, description="""Generate UV coordinates using automatic unwrapping"""), # team-plask/3D-MCP/unwrapUVs
    Tool(name="""3D-MCP_transformUVs""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'items': {'description': 'UV transformation operations', 'items': {'additionalProperties': False, 'properties': {'channel': {'default': 0, 'description': 'Target UV channel', 'minimum': 0, 'type': 'integer'}, 'meshId': {'description': 'Mesh identifier', 'type': 'string'}, 'vertexTransforms': {'description': 'Per-vertex UV transformations', 'items': {'additionalProperties': False, 'properties': {'offsetU': {'description': 'U offset to apply', 'type': 'number'}, 'offsetV': {'description': 'V offset to apply', 'type': 'number'}, 'u': {'description': 'New U coordinate', 'type': 'number'}, 'v': {'description': 'New V coordinate', 'type': 'number'}, 'vertexId': {'description': 'Vertex identifier', 'type': 'string'}}, 'required': ['vertexId'], 'type': 'object'}, 'type': 'array'}}, 'required': ['meshId', 'vertexTransforms'], 'type': 'object'}, 'type': 'array'}}, 'required': ['items'], 'type': 'object'}, description="""Transform UV coordinates for vertices"""), # team-plask/3D-MCP/transformUVs
    Tool(name="""3D-MCP_performGroupOperations""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'items': {'description': 'Group operations to perform', 'items': {'additionalProperties': False, 'properties': {'groupId': {'description': 'Group identifier', 'type': 'string'}, 'objectIds': {'description': 'Object IDs for add/remove operations', 'items': {'type': 'string'}, 'type': 'array'}, 'targetGroupId': {'description': 'Target group for move/nest operations', 'type': 'string'}}, 'required': ['groupId'], 'type': 'object'}, 'type': 'array'}, 'operation': {'description': 'Operation to perform', 'enum': ['add', 'remove', 'move', 'nest'], 'type': 'string'}}, 'required': ['operation', 'items'], 'type': 'object'}, description="""Perform operations on object groups"""), # team-plask/3D-MCP/performGroupOperations
    Tool(name="""3D-MCP_editCurveControlPoints""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'items': {'description': 'Curve control point edits', 'items': {'additionalProperties': False, 'properties': {'controlPointIndex': {'description': 'Index of control point to edit', 'minimum': 0, 'type': 'integer'}, 'curveId': {'description': 'Curve identifier', 'type': 'string'}, 'position': {'description': 'New position [x, y, z]', 'items': {'type': 'number'}, 'maxItems': 3, 'minItems': 3, 'type': 'array'}, 'weight': {'description': 'New weight value', 'exclusiveMinimum': 0, 'type': 'number'}}, 'required': ['curveId', 'controlPointIndex'], 'type': 'object'}, 'type': 'array'}}, 'required': ['items'], 'type': 'object'}, description="""Edit control points of curves"""), # team-plask/3D-MCP/editCurveControlPoints
    Tool(name="""3D-MCP_setSubdivisionLevels""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'items': {'description': 'Subdivision level operations', 'items': {'additionalProperties': False, 'properties': {'level': {'description': 'Subdivision level to set', 'minimum': 0, 'type': 'integer'}, 'subdivisionSurfaceId': {'description': 'Subdivision surface identifier', 'type': 'string'}}, 'required': ['subdivisionSurfaceId', 'level'], 'type': 'object'}, 'type': 'array'}}, 'required': ['items'], 'type': 'object'}, description="""Set subdivision levels for surfaces"""), # team-plask/3D-MCP/setSubdivisionLevels
    Tool(name="""3D-MCP_triangulate""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'items': {'description': 'Triangulation operations', 'items': {'additionalProperties': False, 'properties': {'facesToTriangulate': {'description': 'Specific face IDs to triangulate (if omitted, applies to all faces)', 'items': {'type': 'string'}, 'type': 'array'}, 'meshId': {'description': 'Mesh identifier', 'type': 'string'}, 'method': {'default': 'beauty', 'description': 'Triangulation method', 'enum': ['beauty', 'delaunay', 'fan'], 'type': 'string'}, 'preserveBoundaries': {'default': True, 'description': 'Whether to preserve boundary edges', 'type': 'boolean'}}, 'required': ['meshId'], 'type': 'object'}, 'type': 'array'}}, 'required': ['items'], 'type': 'object'}, description="""Convert n-gons to triangles"""), # team-plask/3D-MCP/triangulate
    Tool(name="""3D-MCP_quadrangulate""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'items': {'description': 'Quadrangulation operations', 'items': {'additionalProperties': False, 'properties': {'facesToQuadrangulate': {'description': 'Specific face IDs to quadrangulate (if omitted, applies to all faces)', 'items': {'type': 'string'}, 'type': 'array'}, 'maxAngleDeviation': {'default': 40, 'description': 'Maximum angle deviation for merging triangles', 'maximum': 180, 'minimum': 0, 'type': 'number'}, 'meshId': {'description': 'Mesh identifier', 'type': 'string'}}, 'required': ['meshId'], 'type': 'object'}, 'type': 'array'}}, 'required': ['items'], 'type': 'object'}, description="""Convert triangles to quads"""), # team-plask/3D-MCP/quadrangulate
    Tool(name="""3D-MCP_bevel""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'items': {'description': 'Bevel operations', 'items': {'additionalProperties': False, 'properties': {'amount': {'description': 'Bevel amount', 'exclusiveMinimum': 0, 'type': 'number'}, 'edgeIds': {'description': 'Edge IDs to bevel', 'items': {'type': 'string'}, 'type': 'array'}, 'meshId': {'description': 'Mesh identifier', 'type': 'string'}, 'segments': {'default': 1, 'description': 'Number of bevel segments', 'exclusiveMinimum': 0, 'type': 'integer'}, 'shape': {'default': 0.5, 'description': 'Profile shape factor', 'maximum': 1, 'minimum': 0, 'type': 'number'}, 'vertexIds': {'description': 'Vertex IDs to bevel', 'items': {'type': 'string'}, 'type': 'array'}}, 'required': ['meshId', 'amount'], 'type': 'object'}, 'type': 'array'}}, 'required': ['items'], 'type': 'object'}, description="""Bevel edges or vertices"""), # team-plask/3D-MCP/bevel
    Tool(name="""3D-MCP_bridge""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'items': {'description': 'Bridge operations', 'items': {'additionalProperties': False, 'properties': {'faceLoopA': {'description': 'First face loop', 'items': {'type': 'string'}, 'type': 'array'}, 'faceLoopB': {'description': 'Second face loop', 'items': {'type': 'string'}, 'type': 'array'}, 'meshId': {'description': 'Mesh identifier', 'type': 'string'}, 'smooth': {'default': True, 'description': 'Whether to smooth the bridge', 'type': 'boolean'}, 'twist': {'default': 0, 'description': 'Twist offset for bridge connections', 'type': 'integer'}}, 'required': ['meshId', 'faceLoopA', 'faceLoopB'], 'type': 'object'}, 'type': 'array'}}, 'required': ['items'], 'type': 'object'}, description="""Create bridges between face loops"""), # team-plask/3D-MCP/bridge
    Tool(name="""3D-MCP_importGeometry""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'items': {'description': 'Geometry sources to import', 'items': {'additionalProperties': False, 'properties': {'data': {'description': 'Geometry data in the specified format'}, 'format': {'description': 'Source format', 'enum': ['obj', 'fbx', 'stl', 'gltf', 'ply', 'usd'], 'type': 'string'}, 'options': {'additionalProperties': False, 'description': 'Import options', 'properties': {'calculateNormals': {'default': True, 'description': 'Whether to calculate normals if missing', 'type': 'boolean'}, 'importMaterials': {'default': True, 'description': 'Whether to import materials', 'type': 'boolean'}, 'scale': {'default': 1, 'description': 'Import scale factor', 'exclusiveMinimum': 0, 'type': 'number'}}, 'type': 'object'}}, 'required': ['format'], 'type': 'object'}, 'type': 'array'}}, 'required': ['items'], 'type': 'object'}, description="""Import geometry data sources"""), # team-plask/3D-MCP/importGeometry
    Tool(name="""3D-MCP_exportGeometry""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'items': {'description': 'Geometry export operations', 'items': {'additionalProperties': False, 'properties': {'format': {'description': 'Target format', 'enum': ['obj', 'fbx', 'stl', 'gltf', 'ply', 'usd'], 'type': 'string'}, 'meshIds': {'description': 'IDs of meshes to export', 'items': {'type': 'string'}, 'type': 'array'}, 'options': {'additionalProperties': False, 'description': 'Export options', 'properties': {'exportMaterials': {'default': True, 'description': 'Whether to export materials', 'type': 'boolean'}, 'scale': {'default': 1, 'description': 'Export scale factor', 'exclusiveMinimum': 0, 'type': 'number'}}, 'type': 'object'}}, 'required': ['meshIds', 'format'], 'type': 'object'}, 'type': 'array'}}, 'required': ['items'], 'type': 'object'}, description="""Export geometry collections to external formats"""), # team-plask/3D-MCP/exportGeometry
    Tool(name="""3D-MCP_createJoints""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'items': {'description': 'Array of Joints to create', 'items': {'additionalProperties': False, 'properties': {'castShadow': {'default': True, 'description': 'Whether the object casts shadows', 'type': 'boolean'}, 'childIds': {'default': [], 'description': 'Child object IDs', 'items': {'type': 'string'}, 'type': 'array'}, 'length': {'default': 1, 'description': 'Length of the joint', 'minimum': 0, 'type': 'number'}, 'locked': {'default': False, 'description': 'Editing lock state', 'type': 'boolean'}, 'metadata': {'additionalProperties': {}, 'description': 'Additional tool-specific metadata', 'type': 'object'}, 'name': {'description': 'Display name', 'type': 'string'}, 'orientation': {'$ref': '#/properties/items/items/properties/rotation', 'default': [0, 0, 0, 1], 'description': 'Local orientation for the joint'}, 'parentId': {'default': None, 'description': 'Parent object ID', 'type': ['string', 'null']}, 'position': {'default': [0, 0, 0], 'description': 'Position [x, y, z]', 'items': {'type': 'number'}, 'maxItems': 3, 'minItems': 3, 'type': 'array'}, 'preferredRotationAxis': {'$ref': '#/properties/items/items/properties/position', 'description': 'Preferred axis for rotation (for resolving rotation ambiguity)'}, 'receiveShadow': {'default': True, 'description': 'Whether the object receives shadows', 'type': 'boolean'}, 'renderOrder': {'default': 0, 'description': 'Render sorting order', 'type': 'integer'}, 'rotation': {'default': [0, 0, 0, 1], 'description': 'Rotation quaternion [x, y, z, w]', 'items': {'type': 'number'}, 'maxItems': 4, 'minItems': 4, 'type': 'array'}, 'scale': {'$ref': '#/properties/items/items/properties/position', 'default': [1, 1, 1], 'description': 'Scale [x, y, z]'}, 'visible': {'default': True, 'description': 'Visibility state', 'type': 'boolean'}}, 'required': ['name'], 'type': 'object'}, 'type': 'array'}}, 'required': ['items'], 'type': 'object'}, description="""Create multiple Joints"""), # team-plask/3D-MCP/createJoints
    Tool(name="""3D-MCP_getJoints""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'ids': {'description': 'Joint identifiers', 'items': {'type': 'string'}, 'type': 'array'}}, 'required': ['ids'], 'type': 'object'}, description="""Get multiple Joints by IDs"""), # team-plask/3D-MCP/getJoints
    Tool(name="""3D-MCP_listJoints""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'filters': {'additionalProperties': {}, 'description': 'Optional filters to apply', 'type': 'object'}, 'limit': {'description': 'Maximum number of results', 'exclusiveMinimum': 0, 'type': 'integer'}, 'offset': {'description': 'Starting offset for pagination', 'minimum': 0, 'type': 'integer'}, 'parentId': {'description': 'Optional parent ID to filter by', 'type': 'string'}}, 'type': 'object'}, description="""List all Joints"""), # team-plask/3D-MCP/listJoints
    Tool(name="""3D-MCP_updateJoints""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'items': {'description': 'Array of Joints to update with their IDs', 'items': {'additionalProperties': False, 'properties': {'castShadow': {'default': True, 'description': 'Whether the object casts shadows', 'type': 'boolean'}, 'childIds': {'default': [], 'description': 'Child object IDs', 'items': {'type': 'string'}, 'type': 'array'}, 'ids': {'description': 'Joint identifiers to update', 'items': {'type': 'string'}, 'type': 'array'}, 'length': {'default': 1, 'description': 'Length of the joint', 'minimum': 0, 'type': 'number'}, 'locked': {'default': False, 'description': 'Editing lock state', 'type': 'boolean'}, 'metadata': {'additionalProperties': {}, 'description': 'Additional tool-specific metadata', 'type': 'object'}, 'name': {'description': 'Display name', 'type': 'string'}, 'orientation': {'$ref': '#/properties/items/items/properties/rotation', 'default': [0, 0, 0, 1], 'description': 'Local orientation for the joint'}, 'parentId': {'default': None, 'description': 'Parent object ID', 'type': ['string', 'null']}, 'position': {'default': [0, 0, 0], 'description': 'Position [x, y, z]', 'items': {'type': 'number'}, 'maxItems': 3, 'minItems': 3, 'type': 'array'}, 'preferredRotationAxis': {'$ref': '#/properties/items/items/properties/position', 'description': 'Preferred axis for rotation (for resolving rotation ambiguity)'}, 'receiveShadow': {'default': True, 'description': 'Whether the object receives shadows', 'type': 'boolean'}, 'renderOrder': {'default': 0, 'description': 'Render sorting order', 'type': 'integer'}, 'rotation': {'default': [0, 0, 0, 1], 'description': 'Rotation quaternion [x, y, z, w]', 'items': {'type': 'number'}, 'maxItems': 4, 'minItems': 4, 'type': 'array'}, 'scale': {'$ref': '#/properties/items/items/properties/position', 'default': [1, 1, 1], 'description': 'Scale [x, y, z]'}, 'visible': {'default': True, 'description': 'Visibility state', 'type': 'boolean'}}, 'required': ['ids'], 'type': 'object'}, 'type': 'array'}}, 'required': ['items'], 'type': 'object'}, description="""Update multiple Joints in a single operation"""), # team-plask/3D-MCP/updateJoints
    Tool(name="""3D-MCP_deleteJoints""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'ids': {'description': 'Joint identifiers to delete', 'items': {'type': 'string'}, 'type': 'array'}}, 'required': ['ids'], 'type': 'object'}, description="""Delete multiple Joints"""), # team-plask/3D-MCP/deleteJoints
    Tool(name="""3D-MCP_createConstraints""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'items': {'description': 'Array of Constraints to create', 'items': {'additionalProperties': False, 'properties': {'active': {'default': True, 'description': 'Whether constraint is active', 'type': 'boolean'}, 'customSpaceId': {'description': 'Custom space reference object ID', 'type': 'string'}, 'influence': {'default': 1, 'description': 'Constraint influence strength', 'maximum': 1, 'minimum': 0, 'type': 'number'}, 'maintainOffset': {'default': True, 'description': 'Whether to maintain initial offset', 'type': 'boolean'}, 'metadata': {'additionalProperties': {}, 'description': 'Additional tool-specific metadata', 'type': 'object'}, 'name': {'description': 'Display name', 'type': 'string'}, 'skipRotation': {'description': 'Rotation axes to skip', 'items': {'enum': ['x', 'y', 'z'], 'type': 'string'}, 'type': 'array'}, 'skipScale': {'description': 'Scale axes to skip', 'items': {'enum': ['x', 'y', 'z'], 'type': 'string'}, 'type': 'array'}, 'skipTranslation': {'description': 'Translation axes to skip', 'items': {'enum': ['x', 'y', 'z'], 'type': 'string'}, 'type': 'array'}, 'sourceId': {'description': 'Source object ID (the one that drives)', 'type': 'string'}, 'space': {'default': 'world', 'description': 'Space in which constraint operates', 'enum': ['world', 'local', 'custom'], 'type': 'string'}, 'targetId': {'description': 'Target object ID (the one being constrained)', 'type': 'string'}, 'type': {'description': 'Constraint type', 'enum': ['point', 'aim', 'orientation', 'parent', 'pole', 'ik', 'spring', 'path', 'scaleTo', 'lookAt'], 'type': 'string'}}, 'required': ['name', 'type', 'sourceId', 'targetId'], 'type': 'object'}, 'type': 'array'}}, 'required': ['items'], 'type': 'object'}, description="""Create multiple Constraints"""), # team-plask/3D-MCP/createConstraints
    Tool(name="""3D-MCP_getConstraints""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'ids': {'description': 'Constraint identifiers', 'items': {'type': 'string'}, 'type': 'array'}}, 'required': ['ids'], 'type': 'object'}, description="""Get multiple Constraints by IDs"""), # team-plask/3D-MCP/getConstraints
    Tool(name="""3D-MCP_listConstraints""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'filters': {'additionalProperties': {}, 'description': 'Optional filters to apply', 'type': 'object'}, 'limit': {'description': 'Maximum number of results', 'exclusiveMinimum': 0, 'type': 'integer'}, 'offset': {'description': 'Starting offset for pagination', 'minimum': 0, 'type': 'integer'}, 'parentId': {'description': 'Optional parent ID to filter by', 'type': 'string'}}, 'type': 'object'}, description="""List all Constraints"""), # team-plask/3D-MCP/listConstraints
    Tool(name="""3D-MCP_updateConstraints""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'items': {'description': 'Array of Constraints to update with their IDs', 'items': {'additionalProperties': False, 'properties': {'active': {'default': True, 'description': 'Whether constraint is active', 'type': 'boolean'}, 'customSpaceId': {'description': 'Custom space reference object ID', 'type': 'string'}, 'ids': {'description': 'Constraint identifiers to update', 'items': {'type': 'string'}, 'type': 'array'}, 'influence': {'default': 1, 'description': 'Constraint influence strength', 'maximum': 1, 'minimum': 0, 'type': 'number'}, 'maintainOffset': {'default': True, 'description': 'Whether to maintain initial offset', 'type': 'boolean'}, 'metadata': {'additionalProperties': {}, 'description': 'Additional tool-specific metadata', 'type': 'object'}, 'name': {'description': 'Display name', 'type': 'string'}, 'skipRotation': {'description': 'Rotation axes to skip', 'items': {'enum': ['x', 'y', 'z'], 'type': 'string'}, 'type': 'array'}, 'skipScale': {'description': 'Scale axes to skip', 'items': {'enum': ['x', 'y', 'z'], 'type': 'string'}, 'type': 'array'}, 'skipTranslation': {'description': 'Translation axes to skip', 'items': {'enum': ['x', 'y', 'z'], 'type': 'string'}, 'type': 'array'}, 'sourceId': {'description': 'Source object ID (the one that drives)', 'type': 'string'}, 'space': {'default': 'world', 'description': 'Space in which constraint operates', 'enum': ['world', 'local', 'custom'], 'type': 'string'}, 'targetId': {'description': 'Target object ID (the one being constrained)', 'type': 'string'}, 'type': {'description': 'Constraint type', 'enum': ['point', 'aim', 'orientation', 'parent', 'pole', 'ik', 'spring', 'path', 'scaleTo', 'lookAt'], 'type': 'string'}}, 'required': ['ids'], 'type': 'object'}, 'type': 'array'}}, 'required': ['items'], 'type': 'object'}, description="""Update multiple Constraints in a single operation"""), # team-plask/3D-MCP/updateConstraints
    Tool(name="""3D-MCP_deleteConstraints""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'ids': {'description': 'Constraint identifiers to delete', 'items': {'type': 'string'}, 'type': 'array'}}, 'required': ['ids'], 'type': 'object'}, description="""Delete multiple Constraints"""), # team-plask/3D-MCP/deleteConstraints
    Tool(name="""3D-MCP_createIKChains""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'items': {'description': 'Array of IKChains to create', 'items': {'additionalProperties': False, 'properties': {'enabled': {'default': True, 'description': 'Whether IK chain is enabled', 'type': 'boolean'}, 'endId': {'description': 'End joint/bone ID', 'type': 'string'}, 'influence': {'default': 1, 'description': 'Influence strength', 'maximum': 1, 'minimum': 0, 'type': 'number'}, 'iterations': {'default': 10, 'description': 'Solver iteration count', 'exclusiveMinimum': 0, 'type': 'integer'}, 'maintainRotation': {'default': False, 'description': 'Whether to maintain end effector rotation', 'type': 'boolean'}, 'maxStretchRatio': {'default': 1.5, 'description': 'Maximum stretch ratio', 'minimum': 1, 'type': 'number'}, 'metadata': {'additionalProperties': {}, 'description': 'Additional tool-specific metadata', 'type': 'object'}, 'name': {'description': 'Display name', 'type': 'string'}, 'poleAngle': {'default': 0, 'description': 'Rotation around pole vector in degrees', 'type': 'number'}, 'poleTargetId': {'description': 'Pole vector target ID (for orientating the chain)', 'type': 'string'}, 'solverType': {'default': 'ccd', 'description': 'IK solver algorithm', 'enum': ['ccd', 'fabrik', 'analytic', 'spring'], 'type': 'string'}, 'startId': {'description': 'Start joint/bone ID', 'type': 'string'}, 'stretchEnabled': {'default': False, 'description': 'Whether the chain can stretch beyond natural limits', 'type': 'boolean'}, 'tolerance': {'default': 0.001, 'description': 'Solver distance tolerance', 'exclusiveMinimum': 0, 'type': 'number'}}, 'required': ['name', 'startId', 'endId'], 'type': 'object'}, 'type': 'array'}}, 'required': ['items'], 'type': 'object'}, description="""Create multiple IKChains"""), # team-plask/3D-MCP/createIKChains
    Tool(name="""3D-MCP_updateIKChains""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'items': {'description': 'Array of IKChains to update with their IDs', 'items': {'additionalProperties': False, 'properties': {'enabled': {'default': True, 'description': 'Whether IK chain is enabled', 'type': 'boolean'}, 'endId': {'description': 'End joint/bone ID', 'type': 'string'}, 'ids': {'description': 'IKChain identifiers to update', 'items': {'type': 'string'}, 'type': 'array'}, 'influence': {'default': 1, 'description': 'Influence strength', 'maximum': 1, 'minimum': 0, 'type': 'number'}, 'iterations': {'default': 10, 'description': 'Solver iteration count', 'exclusiveMinimum': 0, 'type': 'integer'}, 'maintainRotation': {'default': False, 'description': 'Whether to maintain end effector rotation', 'type': 'boolean'}, 'maxStretchRatio': {'default': 1.5, 'description': 'Maximum stretch ratio', 'minimum': 1, 'type': 'number'}, 'metadata': {'additionalProperties': {}, 'description': 'Additional tool-specific metadata', 'type': 'object'}, 'name': {'description': 'Display name', 'type': 'string'}, 'poleAngle': {'default': 0, 'description': 'Rotation around pole vector in degrees', 'type': 'number'}, 'poleTargetId': {'description': 'Pole vector target ID (for orientating the chain)', 'type': 'string'}, 'solverType': {'default': 'ccd', 'description': 'IK solver algorithm', 'enum': ['ccd', 'fabrik', 'analytic', 'spring'], 'type': 'string'}, 'startId': {'description': 'Start joint/bone ID', 'type': 'string'}, 'stretchEnabled': {'default': False, 'description': 'Whether the chain can stretch beyond natural limits', 'type': 'boolean'}, 'tolerance': {'default': 0.001, 'description': 'Solver distance tolerance', 'exclusiveMinimum': 0, 'type': 'number'}}, 'required': ['ids'], 'type': 'object'}, 'type': 'array'}}, 'required': ['items'], 'type': 'object'}, description="""Update multiple IKChains in a single operation"""), # team-plask/3D-MCP/updateIKChains
    Tool(name="""3D-MCP_deleteIKChains""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'ids': {'description': 'IKChain identifiers to delete', 'items': {'type': 'string'}, 'type': 'array'}}, 'required': ['ids'], 'type': 'object'}, description="""Delete multiple IKChains"""), # team-plask/3D-MCP/deleteIKChains
    Tool(name="""3D-MCP_createBlendShapes""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'items': {'description': 'Array of BlendShapes to create', 'items': {'additionalProperties': False, 'properties': {'combineMethod': {'default': 'additive', 'description': 'How this shape combines with others', 'enum': ['average', 'additive'], 'type': 'string'}, 'deltas': {'description': 'Per-vertex deformation deltas', 'items': {'additionalProperties': False, 'properties': {'normalDelta': {'description': 'Normal vector offset', 'items': {'$ref': '#/properties/items/items/properties/deltas/items/properties/positionDelta/items'}, 'maxItems': 3, 'minItems': 3, 'type': 'array'}, 'positionDelta': {'description': 'Position offset', 'items': {'type': 'number'}, 'maxItems': 3, 'minItems': 3, 'type': 'array'}, 'tangentDelta': {'$ref': '#/properties/items/items/properties/deltas/items/properties/normalDelta', 'description': 'Tangent vector offset'}, 'vertexIndex': {'description': 'Vertex index', 'minimum': 0, 'type': 'integer'}}, 'required': ['vertexIndex', 'positionDelta'], 'type': 'object'}, 'type': 'array'}, 'meshId': {'description': 'ID of the target mesh', 'type': 'string'}, 'metadata': {'additionalProperties': {}, 'description': 'Additional tool-specific metadata', 'type': 'object'}, 'name': {'description': 'Display name', 'type': 'string'}, 'weight': {'default': 0, 'description': 'Current blend shape weight', 'maximum': 1, 'minimum': 0, 'type': 'number'}}, 'required': ['name', 'meshId', 'deltas'], 'type': 'object'}, 'type': 'array'}}, 'required': ['items'], 'type': 'object'}, description="""Create multiple BlendShapes"""), # team-plask/3D-MCP/createBlendShapes
    Tool(name="""3D-MCP_getBlendShapes""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'ids': {'description': 'BlendShape identifiers', 'items': {'type': 'string'}, 'type': 'array'}}, 'required': ['ids'], 'type': 'object'}, description="""Get multiple BlendShapes by IDs"""), # team-plask/3D-MCP/getBlendShapes
    Tool(name="""3D-MCP_listBlendShapes""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'filters': {'additionalProperties': {}, 'description': 'Optional filters to apply', 'type': 'object'}, 'limit': {'description': 'Maximum number of results', 'exclusiveMinimum': 0, 'type': 'integer'}, 'offset': {'description': 'Starting offset for pagination', 'minimum': 0, 'type': 'integer'}, 'parentId': {'description': 'Optional parent ID to filter by', 'type': 'string'}}, 'type': 'object'}, description="""List all BlendShapes"""), # team-plask/3D-MCP/listBlendShapes
    Tool(name="""3D-MCP_updateBlendShapes""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'items': {'description': 'Array of BlendShapes to update with their IDs', 'items': {'additionalProperties': False, 'properties': {'combineMethod': {'default': 'additive', 'description': 'How this shape combines with others', 'enum': ['average', 'additive'], 'type': 'string'}, 'deltas': {'description': 'Per-vertex deformation deltas', 'items': {'additionalProperties': False, 'properties': {'normalDelta': {'description': 'Normal vector offset', 'items': {'$ref': '#/properties/items/items/properties/deltas/items/properties/positionDelta/items'}, 'maxItems': 3, 'minItems': 3, 'type': 'array'}, 'positionDelta': {'description': 'Position offset', 'items': {'type': 'number'}, 'maxItems': 3, 'minItems': 3, 'type': 'array'}, 'tangentDelta': {'$ref': '#/properties/items/items/properties/deltas/items/properties/normalDelta', 'description': 'Tangent vector offset'}, 'vertexIndex': {'description': 'Vertex index', 'minimum': 0, 'type': 'integer'}}, 'required': ['vertexIndex', 'positionDelta'], 'type': 'object'}, 'type': 'array'}, 'ids': {'description': 'BlendShape identifiers to update', 'items': {'type': 'string'}, 'type': 'array'}, 'meshId': {'description': 'ID of the target mesh', 'type': 'string'}, 'metadata': {'additionalProperties': {}, 'description': 'Additional tool-specific metadata', 'type': 'object'}, 'name': {'description': 'Display name', 'type': 'string'}, 'weight': {'default': 0, 'description': 'Current blend shape weight', 'maximum': 1, 'minimum': 0, 'type': 'number'}}, 'required': ['ids'], 'type': 'object'}, 'type': 'array'}}, 'required': ['items'], 'type': 'object'}, description="""Update multiple BlendShapes in a single operation"""), # team-plask/3D-MCP/updateBlendShapes
    Tool(name="""3D-MCP_deleteBlendShapes""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'ids': {'description': 'BlendShape identifiers to delete', 'items': {'type': 'string'}, 'type': 'array'}}, 'required': ['ids'], 'type': 'object'}, description="""Delete multiple BlendShapes"""), # team-plask/3D-MCP/deleteBlendShapes
    Tool(name="""Unsplash MCP Server_search_photos""", inputSchema={'properties': {'color': {'anyOf': [{'type': 'string'}, {'type': 'null'}], 'default': None, 'title': 'Color'}, 'order_by': {'default': 'relevant', 'title': 'Order By', 'type': 'string'}, 'orientation': {'anyOf': [{'type': 'string'}, {'type': 'null'}], 'default': None, 'title': 'Orientation'}, 'page': {'default': 1, 'title': 'Page', 'type': 'integer'}, 'per_page': {'default': 10, 'title': 'Per Page', 'type': 'integer'}, 'query': {'title': 'Query', 'type': 'string'}}, 'required': ['query'], 'title': 'search_photosArguments', 'type': 'object'}, description="""\n    Search for Unsplash photos\n    \n    Args:\n        query: Search keyword\n        page: Page number (1-based)\n        per_page: Results per page (1-30)\n        order_by: Sort method (relevant or latest)\n        color: Color filter (black_and_white, black, white, yellow, orange, red, purple, magenta, green, teal, blue)\n        orientation: Orientation filter (landscape, portrait, squarish)\n    \n    Returns:\n        List[UnsplashPhoto]: List of search results containing photo objects with the following properties:\n            - id: Unique identifier for the photo\n            - description: Optional text description of the photo\n            - urls: Dictionary of available image URLs in different sizes\n            - width: Original image width in pixels\n            - height: Original image height in pixels\n    """), # hellokaton/Unsplash MCP Server/search_photos
    Tool(name="""mcp-mermaid-validator_validateMermaid""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'diagram': {'type': 'string'}}, 'required': ['diagram'], 'type': 'object'}, description="""Validates a Mermaid diagram and returns the rendered SVG if valid"""), # rtuin/mcp-mermaid-validator/validateMermaid
    Tool(name="""Semgrep MCP Server_start_scan_from_content""", inputSchema={'properties': {'code_files': {'items': {'additionalProperties': {'type': 'string'}, 'type': 'object'}, 'title': 'Code Files', 'type': 'array'}, 'config': {'default': 'auto', 'title': 'Config', 'type': 'string'}}, 'required': ['code_files'], 'title': 'start_scan_from_contentArguments', 'type': 'object'}, description="""\nStarts a Semgrep scan with code content provided directly\n\nArgs:\n    ctx: MCP context for sending notifications\n    code_files: List of dictionaries with 'filename' and 'content' keys\n    config: Semgrep configuration (e.g. \"auto\" or absolute path to rule file)\n    \nReturns:\n    Dictionary with scan information\n"""), # semgrep/Semgrep MCP Server/start_scan_from_content
    Tool(name="""Semgrep MCP Server_get_scan_status""", inputSchema={'properties': {'scan_id': {'title': 'Scan Id', 'type': 'string'}}, 'required': ['scan_id'], 'title': 'get_scan_statusArguments', 'type': 'object'}, description="""\nGets the current status of a scan\n\nArgs:\n    scan_id: Identifier for the scan\n    \nReturns:\n    Dictionary with scan status information\n"""), # semgrep/Semgrep MCP Server/get_scan_status
    Tool(name="""Semgrep MCP Server_get_scan_results""", inputSchema={'properties': {'scan_id': {'title': 'Scan Id', 'type': 'string'}}, 'required': ['scan_id'], 'title': 'get_scan_resultsArguments', 'type': 'object'}, description="""\nGets the results of a completed scan\n\nArgs:\n    scan_id: Identifier for the scan\n    \nReturns:\n    Dictionary with scan results\n"""), # semgrep/Semgrep MCP Server/get_scan_results
    Tool(name="""Semgrep MCP Server_get_supported_languages""", inputSchema={'properties': {}, 'title': 'get_supported_languagesArguments', 'type': 'object'}, description="""\nReturns a list of supported languages by Semgrep\n\nReturns:\n    List of supported languages\n"""), # semgrep/Semgrep MCP Server/get_supported_languages
    Tool(name="""Semgrep MCP Server_semgrep_scan""", inputSchema={'properties': {'code_files': {'items': {'additionalProperties': {'type': 'string'}, 'type': 'object'}, 'title': 'Code Files', 'type': 'array'}, 'config': {'default': 'auto', 'title': 'Config', 'type': 'string'}}, 'required': ['code_files'], 'title': 'semgrep_scanArguments', 'type': 'object'}, description="""\nRuns a Semgrep scan on provided code content and returns the findings in JSON format\n\nArgs:\n    code_files: List of dictionaries with 'filename' and 'content' keys\n    config: Semgrep configuration (e.g. \"auto\" or absolute path to rule file)\n    \nReturns:\n    Dictionary with scan results in Semgrep JSON format\n"""), # semgrep/Semgrep MCP Server/semgrep_scan
    Tool(name="""Semgrep MCP Server_start_scan""", inputSchema={'properties': {'config': {'default': 'auto', 'title': 'Config', 'type': 'string'}, 'target_path': {'title': 'Target Path', 'type': 'string'}}, 'required': ['target_path'], 'title': 'start_scanArguments', 'type': 'object'}, description="""\nStarts a Semgrep scan with progress updates via notifications\n\nArgs:\n    ctx: MCP context for sending notifications\n    target_path: Absolute path to the file or directory to scan\n    config: Semgrep configuration (e.g. \"auto\" or absolute path to rule file)\n    \nReturns:\n    Dictionary with scan information\n"""), # semgrep/Semgrep MCP Server/start_scan
    Tool(name="""freecad mcp_get_object""", inputSchema={'properties': {'doc_name': {'title': 'Doc Name', 'type': 'string'}, 'obj_name': {'title': 'Obj Name', 'type': 'string'}}, 'required': ['doc_name', 'obj_name'], 'title': 'get_objectArguments', 'type': 'object'}, description="""Get an object from a document.\n    You can use this tool to get the properties of an object to see what you can check or edit.\n\n    Args:\n        doc_name: The name of the document to get the object from.\n        obj_name: The name of the object to get.\n\n    Returns:\n        The object and a screenshot of the object.\n    """), # neka-nat/freecad mcp/get_object
    Tool(name="""freecad mcp_get_parts_list""", inputSchema={'properties': {}, 'title': 'get_parts_listArguments', 'type': 'object'}, description="""Get the list of parts in the parts library addon.\n    """), # neka-nat/freecad mcp/get_parts_list
    Tool(name="""freecad mcp_create_document""", inputSchema={'properties': {'name': {'title': 'Name', 'type': 'string'}}, 'required': ['name'], 'title': 'create_documentArguments', 'type': 'object'}, description="""Create a new document in FreeCAD.\n\n    Args:\n        name: The name of the document to create.\n\n    Returns:\n        A message indicating the success or failure of the document creation.\n\n    Examples:\n        If you want to create a document named \"MyDocument\", you can use the following data.\n        ```json\n        {\n            \"name\": \"MyDocument\"\n        }\n        ```\n    """), # neka-nat/freecad mcp/create_document
    Tool(name="""freecad mcp_create_object""", inputSchema={'properties': {'doc_name': {'title': 'Doc Name', 'type': 'string'}, 'obj_name': {'title': 'Obj Name', 'type': 'string'}, 'obj_properties': {'default': None, 'title': 'Obj Properties', 'type': 'object'}, 'obj_type': {'title': 'Obj Type', 'type': 'string'}}, 'required': ['doc_name', 'obj_type', 'obj_name'], 'title': 'create_objectArguments', 'type': 'object'}, description="""Create a new object in FreeCAD.\n\n    Args:\n        doc_name: The name of the document to create the object in.\n        obj_type: The type of the object to create (e.g. 'Part::Box', 'Part::Cylinder', 'Draft::Circle', 'PartDesign::Body', etc.).\n        obj_name: The name of the object to create.\n        obj_properties: The properties of the object to create.\n\n    Returns:\n        A message indicating the success or failure of the object creation and a screenshot of the object.\n\n    Examples:\n        If you want to create a cylinder with a height of 30 and a radius of 10, you can use the following data.\n        ```json\n        {\n            \"doc_name\": \"MyCylinder\",\n            \"obj_name\": \"Cylinder\",\n            \"obj_type\": \"Part::Cylinder\",\n            \"obj_properties\": {\n                \"Height\": 30,\n                \"Radius\": 10,\n                \"Placement\": {\n                    \"Base\": {\n                        \"x\": 10,\n                        \"y\": 10,\n                        \"z\": 0\n                    },\n                    \"Rotation\": {\n                        \"Axis\": {\n                            \"x\": 0,\n                            \"y\": 0,\n                            \"z\": 1\n                        },\n                        \"Angle\": 45\n                    }\n                },\n                \"ViewObject\": {\n                    \"ShapeColor\": [0.5, 0.5, 0.5, 1.0]\n                }\n            }\n        }\n        ```\n\n        If you want to create a circle with a radius of 10, you can use the following data.\n        ```json\n        {\n            \"doc_name\": \"MyCircle\",\n            \"obj_name\": \"Circle\",\n            \"obj_type\": \"Draft::Circle\",\n        }\n        ```\n\n        If you want to create a FEM analysis, you can use the following data.\n        ```json\n        {\n            \"doc_name\": \"MyFEMAnalysis\",\n            \"obj_name\": \"FEMAnalysis\",\n        }\n        ```\n    """), # neka-nat/freecad mcp/create_object
    Tool(name="""freecad mcp_edit_object""", inputSchema={'properties': {'doc_name': {'title': 'Doc Name', 'type': 'string'}, 'obj_name': {'title': 'Obj Name', 'type': 'string'}, 'obj_properties': {'title': 'Obj Properties', 'type': 'object'}}, 'required': ['doc_name', 'obj_name', 'obj_properties'], 'title': 'edit_objectArguments', 'type': 'object'}, description="""Edit an object in FreeCAD.\n    This tool is used when the `create_object` tool cannot handle the object creation.\n\n    Args:\n        doc_name: The name of the document to edit the object in.\n        obj_name: The name of the object to edit.\n        obj_properties: The properties of the object to edit.\n\n    Returns:\n        A message indicating the success or failure of the object editing and a screenshot of the object.\n    """), # neka-nat/freecad mcp/edit_object
    Tool(name="""freecad mcp_delete_object""", inputSchema={'properties': {'doc_name': {'title': 'Doc Name', 'type': 'string'}, 'obj_name': {'title': 'Obj Name', 'type': 'string'}}, 'required': ['doc_name', 'obj_name'], 'title': 'delete_objectArguments', 'type': 'object'}, description="""Delete an object in FreeCAD.\n\n    Args:\n        doc_name: The name of the document to delete the object from.\n        obj_name: The name of the object to delete.\n\n    Returns:\n        A message indicating the success or failure of the object deletion and a screenshot of the object.\n    """), # neka-nat/freecad mcp/delete_object
    Tool(name="""freecad mcp_execute_code""", inputSchema={'properties': {'code': {'title': 'Code', 'type': 'string'}}, 'required': ['code'], 'title': 'execute_codeArguments', 'type': 'object'}, description="""Execute arbitrary Python code in FreeCAD.\n\n    Args:\n        code: The Python code to execute.\n\n    Returns:\n        A message indicating the success or failure of the code execution and a screenshot of the object.\n    """), # neka-nat/freecad mcp/execute_code
    Tool(name="""freecad mcp_get_view""", inputSchema={'properties': {'view_name': {'enum': ['Isometric', 'Front', 'Top', 'Right', 'Back', 'Left', 'Bottom', 'Dimetric', 'Trimetric'], 'title': 'View Name', 'type': 'string'}}, 'required': ['view_name'], 'title': 'get_viewArguments', 'type': 'object'}, description="""Get a screenshot of the active view.\n\n    Args:\n        view_name: The name of the view to get the screenshot of.\n        The following views are available:\n        - \"Isometric\"\n        - \"Front\"\n        - \"Top\"\n        - \"Right\"\n        - \"Back\"\n        - \"Left\"\n        - \"Bottom\"\n        - \"Dimetric\"\n        - \"Trimetric\"\n\n    Returns:\n        A screenshot of the active view.\n    """), # neka-nat/freecad mcp/get_view
    Tool(name="""freecad mcp_insert_part_from_library""", inputSchema={'properties': {'relative_path': {'title': 'Relative Path', 'type': 'string'}}, 'required': ['relative_path'], 'title': 'insert_part_from_libraryArguments', 'type': 'object'}, description="""Insert a part from the parts library addon.\n\n    Args:\n        relative_path: The relative path of the part to insert.\n\n    Returns:\n        A message indicating the success or failure of the part insertion and a screenshot of the object.\n    """), # neka-nat/freecad mcp/insert_part_from_library
    Tool(name="""freecad mcp_get_objects""", inputSchema={'properties': {'doc_name': {'title': 'Doc Name', 'type': 'string'}}, 'required': ['doc_name'], 'title': 'get_objectsArguments', 'type': 'object'}, description="""Get all objects in a document.\n    You can use this tool to get the objects in a document to see what you can check or edit.\n\n    Args:\n        doc_name: The name of the document to get the objects from.\n\n    Returns:\n        A list of objects in the document and a screenshot of the document.\n    """), # neka-nat/freecad mcp/get_objects
    Tool(name="""VeyraX_get_tools""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {}, 'type': 'object'}, description="""\n\"Use this tool to retrieve a list of available tools from the Veyrax API.\nThis will return dynamic tools that user has access to.\nYou can use this tool to get the list of tools, method names and parameters, and then use tool_call tool to call the tool with the provided parameters.\nThis method also returns all flows with name and id that user has access to (if any).\n\"\n"""), # VeyraX/VeyraX/get_tools
    Tool(name="""VeyraX_tool_call""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'method': {'description': "The method of the tool to call (e.g., 'get_messages', 'send_message', 'list_events')", 'type': 'string'}, 'parameters': {'additionalProperties': {}, 'default': {}, 'description': 'The parameters required by the specific tool method being called, it is MUST HAVE field.', 'type': 'object'}, 'tool': {'description': "The name of the tool to call (e.g., 'gmail', 'google-calendar', 'slack')", 'type': 'string'}}, 'required': ['tool', 'method'], 'type': 'object'}, description="""\n\"Use this tool to execute a specific method of another tool with the provided parameters based on get-tools tool response.\nYou need to specify the tool name, method name, and any required parameters for that method.\"\n"""), # VeyraX/VeyraX/tool_call
    Tool(name="""VeyraX_get_flow""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'flowId': {'description': 'The ID of the workflow to retrieve.', 'type': 'string'}}, 'required': ['flowId'], 'type': 'object'}, description="""\n\"Use this tool to retrieve a specific workflow by its ID.\n\nWorkflow is sequence of steps that are executed in order to get some result. Flow comes with description, steps and input schema of all methods to call.\n\nYou can call this tool once you have a flowId which usually you can get from: user directly OR using get-tools method.\"\n"""), # VeyraX/VeyraX/get_flow
    Tool(name="""NEAR MCP_system_list_local_keypairs""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'networkId': {'default': 'mainnet', 'enum': ['testnet', 'mainnet'], 'type': 'string'}}, 'type': 'object'}, description="""List all accounts and their keypairs in the local keystore by network."""), # nearai/NEAR MCP/system_list_local_keypairs
    Tool(name="""NEAR MCP_system_import_account""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'args': {'anyOf': [{'additionalProperties': False, 'properties': {'accountId': {'type': 'string'}, 'networkId': {'default': 'mainnet', 'enum': ['testnet', 'mainnet'], 'type': 'string'}, 'op': {'const': 'import_from_private_key', 'type': 'string'}, 'privateKey': {'description': 'The private key for the account. If provided, this will be used to import the account.', 'type': 'string'}}, 'required': ['op', 'accountId', 'privateKey'], 'type': 'object'}, {'additionalProperties': False, 'properties': {'filePath': {'description': '\nThe path to the file containing the account id, public key, and private key.\nThe file should be in JSON format and the filename should be something\nlike `<accountId>.<networkId>.json`.', 'type': 'string'}, 'op': {'const': 'import_from_file', 'type': 'string'}}, 'required': ['op', 'filePath'], 'type': 'object'}]}}, 'required': ['args'], 'type': 'object'}, description="""\nImport an account into the local keystore.\nThis will allow the user to use this account in other tools.\nRemember mainnet accounts are created with a .near suffix,\nand testnet accounts are created with a .testnet suffix."""), # nearai/NEAR MCP/system_import_account
    Tool(name="""NEAR MCP_system_remove_local_account""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'accountId': {'description': 'The local account id to remove from the local keystore.', 'type': 'string'}, 'networkId': {'default': 'mainnet', 'enum': ['testnet', 'mainnet'], 'type': 'string'}}, 'required': ['accountId'], 'type': 'object'}, description="""\nRemoves a local NEAR account from the local keystore. Once removed, the account\nwill no longer be available to the user. This does not delete the account from\nthe NEAR blockchain, it only removes the account from the local keystore."""), # nearai/NEAR MCP/system_remove_local_account
    Tool(name="""NEAR MCP_account_view_account_summary""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'accountId': {'type': 'string'}, 'networkId': {'default': 'mainnet', 'enum': ['testnet', 'mainnet'], 'type': 'string'}}, 'required': ['accountId'], 'type': 'object'}, description="""Get summary information about any NEAR account. This calls the public RPC endpoint to get this information."""), # nearai/NEAR MCP/account_view_account_summary
    Tool(name="""NEAR MCP_system_search_popular_fungible_token_contracts""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'searchPattern': {'description': 'The grep search pattern to use for filtering popular fungible token contract information.', 'type': 'string'}}, 'required': ['searchPattern'], 'type': 'object'}, description="""\nSearch for popular fungible token contract information on the NEAR blockchain, with a grep-like search.\nUse this tool to search for popular fungible token contract information. This tool works by 'grepping'\nthrough a list of contract information JSON objects. Useful for getting contract information about popular\ntokens like USDC native, USDT, WNEAR, and more."""), # nearai/NEAR MCP/system_search_popular_fungible_token_contracts
    Tool(name="""NEAR MCP_account_export_account""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'accountId': {'type': 'string'}, 'filePath': {'description': 'The path to the file to write the account to. If not provided, the account will be written to the current working directory.', 'type': 'string'}, 'networkId': {'default': 'mainnet', 'enum': ['testnet', 'mainnet'], 'type': 'string'}}, 'required': ['accountId'], 'type': 'object'}, description="""Export an account from the local keystore to a file."""), # nearai/NEAR MCP/account_export_account
    Tool(name="""NEAR MCP_account_sign_data""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'accountId': {'description': 'The account id of the account that will sign the data. This account must be in the local keystore.', 'type': 'string'}, 'data': {'description': 'The data to sign as a string.', 'type': 'string'}, 'networkId': {'default': 'mainnet', 'enum': ['testnet', 'mainnet'], 'type': 'string'}, 'signatureEncoding': {'default': 'base58', 'description': 'The encoding to use for signature creation.', 'enum': ['base58', 'base64'], 'type': 'string'}}, 'required': ['accountId', 'data'], 'type': 'object'}, description="""\nCryptographically sign a piece of data with a local account's private key, then encode the result with the specified encoding.\nOutputs the curve, encoded signature, and encoding used."""), # nearai/NEAR MCP/account_sign_data
    Tool(name="""NEAR MCP_account_verify_signature""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'accountId': {'description': 'The account id to verify the signature against and search for a valid public key.', 'type': 'string'}, 'data': {'description': 'The data to verify.', 'type': 'string'}, 'networkId': {'default': 'mainnet', 'enum': ['testnet', 'mainnet'], 'type': 'string'}, 'signatureArgs': {'additionalProperties': False, 'description': 'The signature arguments to verify.', 'properties': {'curve': {'description': 'The curve used on the signature.', 'type': 'string'}, 'encoding': {'default': 'base58', 'description': 'The encoding used on the signature.', 'enum': ['base58', 'base64'], 'type': 'string'}, 'signatureData': {'description': 'The signature data to verify. Only the encoded signature data is required.', 'type': 'string'}}, 'required': ['curve', 'signatureData'], 'type': 'object'}}, 'required': ['accountId', 'data', 'signatureArgs'], 'type': 'object'}, description="""\nCryptographically verify a signed piece of data against some NEAR account's public key."""), # nearai/NEAR MCP/account_verify_signature
    Tool(name="""NEAR MCP_account_create_implicit_account""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'networkId': {'default': 'mainnet', 'enum': ['testnet', 'mainnet'], 'type': 'string'}}, 'type': 'object'}, description="""\nCreate an implicit account on the NEAR blockchain. An implicit account is a new random keypair that is not associated with an account ID.\nInstead the account ID is derived from the public key of the keypair (a 64-character lowercase hexadecimal representation of the public key).\nThis implicit account id can be used just as a regular account id, but remember *it is not* an official account id with a .near or .testnet suffix.\nCreating implicit accounts is useful for adding new access keys to an existing account.\n"""), # nearai/NEAR MCP/account_create_implicit_account
    Tool(name="""NEAR MCP_account_create_account""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'initialBalance': {'description': 'The initial balance of the new account in NEAR. If not provided, the new account will be funded with 0.1 NEAR.', 'type': 'number'}, 'networkId': {'default': 'mainnet', 'enum': ['testnet', 'mainnet'], 'type': 'string'}, 'newAccountId': {'description': 'The account id of the new account. If not provided, a random one will be generated.', 'type': 'string'}, 'signerAccountId': {'description': 'The account that will fund the new account.', 'type': 'string'}}, 'required': ['signerAccountId', 'initialBalance'], 'type': 'object'}, description="""\nCreate a new NEAR account with a new account ID. The initial balance of this account will be funded by the account that is calling this tool.\nThis account will be created with a random public key. If no account ID is provided, a random one will be generated.\nEnsure that mainnet accounts are created with a .near suffix, and testnet accounts are created with a .testnet suffix."""), # nearai/NEAR MCP/account_create_account
    Tool(name="""NEAR MCP_account_delete_account""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'accountId': {'description': 'The account to delete.', 'type': 'string'}, 'beneficiaryAccountId': {'description': 'The account that will receive the remaining balance of the deleted account.', 'type': 'string'}, 'networkId': {'default': 'mainnet', 'enum': ['testnet', 'mainnet'], 'type': 'string'}}, 'required': ['accountId', 'beneficiaryAccountId'], 'type': 'object'}, description="""\nDelete an account from the NEAR blockchain. This will also remove the account from the local keystore and any associated keypair."""), # nearai/NEAR MCP/account_delete_account
    Tool(name="""NEAR MCP_account_list_access_keys""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'accountId': {'type': 'string'}, 'networkId': {'default': 'mainnet', 'enum': ['testnet', 'mainnet'], 'type': 'string'}}, 'required': ['accountId'], 'type': 'object'}, description="""\nList all access keys for an given account."""), # nearai/NEAR MCP/account_list_access_keys
    Tool(name="""NEAR MCP_account_add_access_key""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'accessKeyArgs': {'additionalProperties': False, 'properties': {'permission': {'anyOf': [{'additionalProperties': False, 'properties': {'publicKey': {'description': 'The public key of the access key.', 'type': 'string'}, 'type': {'const': 'FullAccess', 'type': 'string'}}, 'required': ['type', 'publicKey'], 'type': 'object'}, {'additionalProperties': False, 'properties': {'FunctionCall': {'additionalProperties': False, 'properties': {'allowance': {'default': 1.0000000000000001e-24, 'description': 'The allowance of the function call access key.', 'type': ['number', 'integer']}, 'contractId': {'type': 'string'}, 'methodNames': {'items': {'type': 'string'}, 'type': 'array'}}, 'required': ['contractId', 'methodNames'], 'type': 'object'}, 'publicKey': {'description': 'The public key of the access key.', 'type': 'string'}, 'type': {'const': 'FunctionCall', 'type': 'string'}}, 'required': ['type', 'publicKey', 'FunctionCall'], 'type': 'object'}]}}, 'required': ['permission'], 'type': 'object'}, 'accountId': {'type': 'string'}, 'networkId': {'default': 'mainnet', 'enum': ['testnet', 'mainnet'], 'type': 'string'}}, 'required': ['accountId', 'accessKeyArgs'], 'type': 'object'}, description="""\nAdd an access key to an account. This will allow the account to\ninteract with the contract."""), # nearai/NEAR MCP/account_add_access_key
    Tool(name="""NEAR MCP_account_delete_access_keys""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'accountId': {'type': 'string'}, 'networkId': {'default': 'mainnet', 'enum': ['testnet', 'mainnet'], 'type': 'string'}, 'publicKey': {'type': 'string'}}, 'required': ['accountId', 'publicKey'], 'type': 'object'}, description="""\nDelete an access key from an account based on it's public key."""), # nearai/NEAR MCP/account_delete_access_keys
    Tool(name="""NEAR MCP_tokens_send_near""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'amount': {'default': 1.0000000000000001e-24, 'description': 'The amount of NEAR to send in NEAR. e.g. 1.5', 'type': ['number', 'integer']}, 'networkId': {'default': 'mainnet', 'enum': ['testnet', 'mainnet'], 'type': 'string'}, 'receiverAccountId': {'type': 'string'}, 'signerAccountId': {'type': 'string'}}, 'required': ['signerAccountId', 'receiverAccountId'], 'type': 'object'}, description="""\nSend NEAR tokens to an account (in NEAR). The signer account\nis the sender of the tokens, and the receiver account is the\nrecipient of the tokens. Remember mainnet accounts are\ncreated with a .near suffix, and testnet accounts are created\nwith a .testnet suffix. The user is sending tokens as the signer\naccount. Please ensure that the sender and receiver accounts\nare in the same network."""), # nearai/NEAR MCP/tokens_send_near
    Tool(name="""NEAR MCP_tokens_send_ft""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'amount': {'description': 'The amount of tokens to send in the fungible token contract. e.g. 1 USDC, 0.33 USDT, 1.5 WNEAR, etc.', 'type': 'number'}, 'fungibleTokenContractAccountId': {'description': 'The account id of the fungible token contract. Ensure the contract account id exists and is in the same network as the signer and receiver accounts.', 'type': 'string'}, 'networkId': {'default': 'mainnet', 'enum': ['mainnet'], 'type': 'string'}, 'receiverAccountId': {'description': 'The account that will receive the tokens.', 'type': 'string'}, 'signerAccountId': {'description': 'The account that will send the tokens.', 'type': 'string'}}, 'required': ['signerAccountId', 'receiverAccountId', 'fungibleTokenContractAccountId', 'amount'], 'type': 'object'}, description="""\nSend Fungible Tokens (FT) like USDC native, USDT, WNEAR, etc. based on the NEP-141 and NEP-148 standards to an account.\nThe signer account is the sender of the tokens, and the receiver account is the\nrecipient of the tokens. Ensure the contract account id exists and is in the same network as the signer and receiver accounts."""), # nearai/NEAR MCP/tokens_send_ft
    Tool(name="""NEAR MCP_contract_view_functions""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'contractId': {'type': 'string'}, 'networkId': {'default': 'mainnet', 'enum': ['testnet', 'mainnet'], 'type': 'string'}}, 'required': ['contractId'], 'type': 'object'}, description="""\nView available functions on a NEAR smart contract."""), # nearai/NEAR MCP/contract_view_functions
    Tool(name="""NEAR MCP_contract_get_function_args""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'contractId': {'type': 'string'}, 'methodName': {'type': 'string'}, 'networkId': {'default': 'mainnet', 'enum': ['testnet', 'mainnet'], 'type': 'string'}}, 'required': ['contractId', 'methodName'], 'type': 'object'}, description="""\nGet the arguments of a function call by parsing the contract's ABI or by using the nearblocks.io API (as a fallback).\nThis function API checks recent execution results of the contract's method being queried\nto determine the likely arguments of the function call.\nWarning: This tool is experimental and is not garunteed to get the correct arguments."""), # nearai/NEAR MCP/contract_get_function_args
    Tool(name="""NEAR MCP_contract_call_raw_function_as_read_only""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'args': {'additionalProperties': {}, 'description': 'The arguments to pass to the method.', 'type': 'object'}, 'contractId': {'description': 'The account id of the contract.', 'type': 'string'}, 'methodName': {'description': 'The name of the method to call.', 'type': 'string'}, 'networkId': {'default': 'mainnet', 'enum': ['testnet', 'mainnet'], 'type': 'string'}}, 'required': ['contractId', 'methodName', 'args'], 'type': 'object'}, description="""\nCall a function of a contract as a read-only call. This is equivalent to\nsaying we are calling a view method of the contract."""), # nearai/NEAR MCP/contract_call_raw_function_as_read_only
    Tool(name="""NEAR MCP_contract_call_raw_function""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'accountId': {'description': 'The account id of the signer.', 'type': 'string'}, 'args': {'additionalProperties': {}, 'description': 'The arguments to pass to the method.', 'type': 'object'}, 'attachedDeposit': {'default': 1.0000000000000001e-24, 'description': 'The amount to attach to the function call (default to 1 yoctoNEAR). Can be specified as a number (in NEAR) or as a bigint (in yoctoNEAR).', 'type': ['number', 'integer']}, 'contractAccountId': {'description': 'The account id of the contract.', 'type': 'string'}, 'gas': {'description': 'The amount of gas to use for the function call in yoctoNEAR (default to 30TGas).', 'format': 'int64', 'type': 'integer'}, 'methodName': {'description': 'The name of the method to call.', 'type': 'string'}, 'networkId': {'default': 'mainnet', 'enum': ['testnet', 'mainnet'], 'type': 'string'}}, 'required': ['accountId', 'contractAccountId', 'methodName', 'args'], 'type': 'object'}, description="""\nCall a function of a contract as a raw function call action. This tool creates a function call\nas a transaction which costs gas and NEAR."""), # nearai/NEAR MCP/contract_call_raw_function
    Tool(name="""mcp-coincap-jj_get-crypto-price""", inputSchema={'properties': {'symbol': {'description': 'Cryptocurrency symbol (e.g., BTC, ETH)', 'type': 'string'}}, 'required': ['symbol'], 'type': 'object'}, description="""Get current price and 24h stats for a cryptocurrency"""), # wazzan/mcp-coincap-jj/get-crypto-price
    Tool(name="""mcp-coincap-jj_get-market-analysis""", inputSchema={'properties': {'symbol': {'description': 'Cryptocurrency symbol (e.g., BTC, ETH)', 'type': 'string'}}, 'required': ['symbol'], 'type': 'object'}, description="""Get detailed market analysis including top exchanges and volume distribution"""), # wazzan/mcp-coincap-jj/get-market-analysis
    Tool(name="""mcp-coincap-jj_get-historical-analysis""", inputSchema={'properties': {'days': {'default': 7, 'description': 'Number of days to analyze (1-30)', 'type': 'number'}, 'interval': {'default': 'h1', 'description': 'Time interval (m5, m15, m30, h1, h2, h6, h12, d1)', 'type': 'string'}, 'symbol': {'description': 'Cryptocurrency symbol (e.g., BTC, ETH)', 'type': 'string'}}, 'required': ['symbol'], 'type': 'object'}, description="""Get historical price analysis with customizable timeframe"""), # wazzan/mcp-coincap-jj/get-historical-analysis
    Tool(name="""mcp-audio-analysis_load""", inputSchema={'properties': {'duration': {'default': None, 'title': 'Duration', 'type': 'number'}, 'file_path': {'title': 'File Path', 'type': 'string'}, 'offset': {'default': 0, 'title': 'Offset', 'type': 'number'}}, 'required': ['file_path'], 'title': 'loadArguments', 'type': 'object'}, description="""\n    Loads an audio file and returns the path to the audio time series\n    Offset and duration are optional, in seconds.\n    Be careful, you will never know the name of the song.\n    """), # hugohow/mcp-audio-analysis/load
    Tool(name="""mcp-audio-analysis_get_duration""", inputSchema={'properties': {'path_audio_time_series_y': {'title': 'Path Audio Time Series Y', 'type': 'string'}}, 'required': ['path_audio_time_series_y'], 'title': 'get_durationArguments', 'type': 'object'}, description="""\n    Returns the total duration (in seconds) of the given audio time series.\n    """), # hugohow/mcp-audio-analysis/get_duration
    Tool(name="""mcp-audio-analysis_tempo""", inputSchema={'properties': {'ac_size': {'default': 8, 'title': 'Ac Size', 'type': 'number'}, 'hop_length': {'default': 512, 'title': 'Hop Length', 'type': 'integer'}, 'max_tempo': {'default': 320, 'title': 'Max Tempo', 'type': 'number'}, 'path_audio_time_series_y': {'title': 'Path Audio Time Series Y', 'type': 'string'}, 'start_bpm': {'default': 120, 'title': 'Start Bpm', 'type': 'number'}, 'std_bpm': {'default': 1, 'title': 'Std Bpm', 'type': 'number'}}, 'required': ['path_audio_time_series_y'], 'title': 'tempoArguments', 'type': 'object'}, description="""\n    Estimates the tempo (in BPM) of the given audio time series using librosa.\n    Offset and duration are optional, in seconds.\n    """), # hugohow/mcp-audio-analysis/tempo
    Tool(name="""mcp-audio-analysis_chroma_cqt""", inputSchema={'properties': {'fmin': {'default': None, 'title': 'Fmin', 'type': 'number'}, 'hop_length': {'default': 512, 'title': 'Hop Length', 'type': 'integer'}, 'n_chroma': {'default': 12, 'title': 'N Chroma', 'type': 'integer'}, 'n_octaves': {'default': 7, 'title': 'N Octaves', 'type': 'integer'}, 'path_audio_time_series_y': {'title': 'Path Audio Time Series Y', 'type': 'string'}}, 'required': ['path_audio_time_series_y'], 'title': 'chroma_cqtArguments', 'type': 'object'}, description="""\n    Computes the chroma CQT of the given audio time series using librosa.\n    The chroma CQT is a representation of the audio signal in terms of its\n    chromatic content, which is useful for music analysis.\n    The chroma CQT is computed using the following parameters:\n    - path_audio_time_series_y: The path to the audio time series (CSV file).\n        It's sometimes better to take harmonics only\n    - hop_length: The number of samples between frames.\n    - fmin: The minimum frequency of the chroma feature.\n    - n_chroma: The number of chroma bins (default is 12).\n    - n_octaves: The number of octaves to include in the chroma feature.\n    The chroma CQT is saved to a CSV file with the following columns:\n    - note: The note name (C, C#, D, etc.).\n    - time: The time position of the note in seconds.\n    - amplitude: The amplitude of the note at that time.\n    The path to the CSV file is returned.\n    """), # hugohow/mcp-audio-analysis/chroma_cqt
    Tool(name="""mcp-audio-analysis_mfcc""", inputSchema={'properties': {'path_audio_time_series_y': {'title': 'Path Audio Time Series Y', 'type': 'string'}}, 'required': ['path_audio_time_series_y'], 'title': 'mfccArguments', 'type': 'object'}, description="""\n    Computes the MFCC of the given audio time series using librosa.\n    The MFCC is a representation of the audio signal in terms of its\n    spectral content, which is useful for music analysis.\n    The MFCC is computed using the following parameters:\n    - path_audio_time_series_y: The path to the audio time series (CSV file).\n        It's sometimes better to take harmonics only\n    """), # hugohow/mcp-audio-analysis/mfcc
    Tool(name="""mcp-audio-analysis_beat_track""", inputSchema={'properties': {'hop_length': {'default': 512, 'title': 'Hop Length', 'type': 'integer'}, 'path_audio_time_series_y': {'title': 'Path Audio Time Series Y', 'type': 'string'}, 'start_bpm': {'default': 120, 'title': 'Start Bpm', 'type': 'number'}, 'tightness': {'default': 100, 'title': 'Tightness', 'type': 'integer'}, 'units': {'default': 'frames', 'title': 'Units', 'type': 'string'}}, 'required': ['path_audio_time_series_y'], 'title': 'beat_trackArguments', 'type': 'object'}, description="""\n    Computes the beat track of the given audio time series using librosa.\n    The beat track is a representation of the audio signal in terms of its\n    rhythmic content, which is useful for music analysis.\n    The beat track is computed using the following parameters:\n    - hop_length: The number of samples between frames.\n    - start_bpm: The initial estimate of the tempo (in BPM).\n    - tightness: The tightness of the beat tracking (default is 100).\n    - units: The units of the beat track (default is \"frames\"). It can be frames, samples, time.\n    """), # hugohow/mcp-audio-analysis/beat_track
    Tool(name="""mcp-audio-analysis_download_from_url""", inputSchema={'properties': {'url': {'title': 'Url', 'type': 'string'}}, 'required': ['url'], 'title': 'download_from_urlArguments', 'type': 'object'}, description="""\n    Downloads a file from a given URL and returns the path to the downloaded file.\n    Be careful, you will never know the name of the song.\n    """), # hugohow/mcp-audio-analysis/download_from_url
    Tool(name="""mcp-audio-analysis_download_from_youtube""", inputSchema={'properties': {'youtube_url': {'title': 'Youtube Url', 'type': 'string'}}, 'required': ['youtube_url'], 'title': 'download_from_youtubeArguments', 'type': 'object'}, description="""\n    Downloads a file from a given youtube URL and returns the path to the downloaded file.\n    Be careful, you will never know the name of the song.\n    """), # hugohow/mcp-audio-analysis/download_from_youtube
    Tool(name="""Bing Search MCP Server_bing_web_search""", inputSchema={'properties': {'count': {'default': 10, 'title': 'Count', 'type': 'integer'}, 'market': {'default': 'en-US', 'title': 'Market', 'type': 'string'}, 'offset': {'default': 0, 'title': 'Offset', 'type': 'integer'}, 'query': {'title': 'Query', 'type': 'string'}}, 'required': ['query'], 'title': 'bing_web_searchArguments', 'type': 'object'}, description="""Performs a web search using the Bing Search API for general information\n    and websites.\n\n    Args:\n        query: Search query (required)\n        count: Number of results (1-50, default 10)\n        offset: Pagination offset (default 0)\n        market: Market code like en-US, en-GB, etc.\n    """), # leehanchung/Bing Search MCP Server/bing_web_search
    Tool(name="""Bing Search MCP Server_bing_news_search""", inputSchema={'properties': {'count': {'default': 10, 'title': 'Count', 'type': 'integer'}, 'freshness': {'default': 'Day', 'title': 'Freshness', 'type': 'string'}, 'market': {'default': 'en-US', 'title': 'Market', 'type': 'string'}, 'query': {'title': 'Query', 'type': 'string'}}, 'required': ['query'], 'title': 'bing_news_searchArguments', 'type': 'object'}, description="""Searches for news articles using Bing News Search API for current\n    events and timely information.\n\n    Args:\n        query: News search query (required)\n        count: Number of results (1-50, default 10)\n        market: Market code like en-US, en-GB, etc.\n        freshness: Time period of news (Day, Week, Month)\n    """), # leehanchung/Bing Search MCP Server/bing_news_search
    Tool(name="""Bing Search MCP Server_bing_image_search""", inputSchema={'properties': {'count': {'default': 10, 'title': 'Count', 'type': 'integer'}, 'market': {'default': 'en-US', 'title': 'Market', 'type': 'string'}, 'query': {'title': 'Query', 'type': 'string'}}, 'required': ['query'], 'title': 'bing_image_searchArguments', 'type': 'object'}, description="""Searches for images using Bing Image Search API for visual content.\n\n    Args:\n        query: Image search query (required)\n        count: Number of results (1-50, default 10)\n        market: Market code like en-US, en-GB, etc.\n    """), # leehanchung/Bing Search MCP Server/bing_image_search
    Tool(name="""Unity Editor MCP Server_execute_menu_item""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'menuPath': {'description': 'The path to the menu item to execute (e.g. "GameObject/Create Empty")', 'type': 'string'}}, 'required': ['menuPath'], 'type': 'object'}, description="""Executes a Unity menu item by path"""), # CoderGamester/Unity Editor MCP Server/execute_menu_item
    Tool(name="""Unity Editor MCP Server_select_object""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'objectPath': {'description': 'The path or ID of the object to select (e.g. "Main Camera" or a Unity object ID)', 'type': 'string'}}, 'required': ['objectPath'], 'type': 'object'}, description="""Sets the selected object in the Unity editor by path or ID"""), # CoderGamester/Unity Editor MCP Server/select_object
    Tool(name="""Unity Editor MCP Server_package_manager""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'branch': {'description': 'The branch to use for GitHub packages (optional)', 'type': 'string'}, 'methodSource': {'description': 'The method source to use (registry, github, or disk) to add the package', 'type': 'string'}, 'packageName': {'description': 'The package name to add from Unity registry (e.g. com.unity.textmeshpro)', 'type': 'string'}, 'path': {'description': 'The path to use (folder path for disk method or subfolder for GitHub)', 'type': 'string'}, 'repositoryUrl': {'description': 'The GitHub repository URL (e.g. https://github.com/username/repo.git)', 'type': 'string'}, 'version': {'description': 'The version to use for registry packages (optional)', 'type': 'string'}}, 'required': ['methodSource'], 'type': 'object'}, description="""Manages packages in the Unity Package Manager"""), # CoderGamester/Unity Editor MCP Server/package_manager
    Tool(name="""Unity Editor MCP Server_run_tests""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'testFilter': {'description': 'Optional test filter (e.g. specific test name or namespace)', 'type': 'string'}, 'testMode': {'description': 'The test mode to run (EditMode, PlayMode, or All)', 'type': 'string'}}, 'type': 'object'}, description="""Runs Unity's Test Runner tests"""), # CoderGamester/Unity Editor MCP Server/run_tests
    Tool(name="""Unity Editor MCP Server_notify_message""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'message': {'description': 'The message to display in the Unity console', 'type': 'string'}, 'type': {'description': 'The type of message (info, warning, error)', 'type': 'string'}}, 'required': ['message'], 'type': 'object'}, description="""Sends a message to the Unity console"""), # CoderGamester/Unity Editor MCP Server/notify_message
    Tool(name="""ida-mcp-server_ida_get_function_assembly_by_name""", inputSchema={'properties': {'function_name': {'title': 'Function Name', 'type': 'string'}}, 'required': ['function_name'], 'title': 'GetFunctionAssemblyByName', 'type': 'object'}, description="""Get assembly code for a function by name"""), # MxIris-Reverse-Engineering/ida-mcp-server/ida_get_function_assembly_by_name
    Tool(name="""ida-mcp-server_ida_get_function_assembly_by_address""", inputSchema={'properties': {'address': {'title': 'Address', 'type': 'string'}}, 'required': ['address'], 'title': 'GetFunctionAssemblyByAddress', 'type': 'object'}, description="""Get assembly code for a function by address"""), # MxIris-Reverse-Engineering/ida-mcp-server/ida_get_function_assembly_by_address
    Tool(name="""ida-mcp-server_ida_get_function_decompiled_by_name""", inputSchema={'properties': {'function_name': {'title': 'Function Name', 'type': 'string'}}, 'required': ['function_name'], 'title': 'GetFunctionDecompiledByName', 'type': 'object'}, description="""Get decompiled pseudocode for a function by name"""), # MxIris-Reverse-Engineering/ida-mcp-server/ida_get_function_decompiled_by_name
    Tool(name="""ida-mcp-server_ida_get_function_decompiled_by_address""", inputSchema={'properties': {'address': {'title': 'Address', 'type': 'string'}}, 'required': ['address'], 'title': 'GetFunctionDecompiledByAddress', 'type': 'object'}, description="""Get decompiled pseudocode for a function by address"""), # MxIris-Reverse-Engineering/ida-mcp-server/ida_get_function_decompiled_by_address
    Tool(name="""ida-mcp-server_ida_get_global_variable_by_name""", inputSchema={'properties': {'variable_name': {'title': 'Variable Name', 'type': 'string'}}, 'required': ['variable_name'], 'title': 'GetGlobalVariableByName', 'type': 'object'}, description="""Get information about a global variable by name"""), # MxIris-Reverse-Engineering/ida-mcp-server/ida_get_global_variable_by_name
    Tool(name="""ida-mcp-server_ida_get_global_variable_by_address""", inputSchema={'properties': {'address': {'title': 'Address', 'type': 'string'}}, 'required': ['address'], 'title': 'GetGlobalVariableByAddress', 'type': 'object'}, description="""Get information about a global variable by address"""), # MxIris-Reverse-Engineering/ida-mcp-server/ida_get_global_variable_by_address
    Tool(name="""ida-mcp-server_ida_get_current_function_assembly""", inputSchema={'properties': {}, 'title': 'GetCurrentFunctionAssembly', 'type': 'object'}, description="""Get assembly code for the function at the current cursor position"""), # MxIris-Reverse-Engineering/ida-mcp-server/ida_get_current_function_assembly
    Tool(name="""ida-mcp-server_ida_get_current_function_decompiled""", inputSchema={'properties': {}, 'title': 'GetCurrentFunctionDecompiled', 'type': 'object'}, description="""Get decompiled pseudocode for the function at the current cursor position"""), # MxIris-Reverse-Engineering/ida-mcp-server/ida_get_current_function_decompiled
    Tool(name="""ida-mcp-server_ida_rename_local_variable""", inputSchema={'properties': {'function_name': {'title': 'Function Name', 'type': 'string'}, 'new_name': {'title': 'New Name', 'type': 'string'}, 'old_name': {'title': 'Old Name', 'type': 'string'}}, 'required': ['function_name', 'old_name', 'new_name'], 'title': 'RenameLocalVariable', 'type': 'object'}, description="""Rename a local variable within a function in the IDA database"""), # MxIris-Reverse-Engineering/ida-mcp-server/ida_rename_local_variable
    Tool(name="""ida-mcp-server_ida_rename_global_variable""", inputSchema={'properties': {'new_name': {'title': 'New Name', 'type': 'string'}, 'old_name': {'title': 'Old Name', 'type': 'string'}}, 'required': ['old_name', 'new_name'], 'title': 'RenameGlobalVariable', 'type': 'object'}, description="""Rename a global variable in the IDA database"""), # MxIris-Reverse-Engineering/ida-mcp-server/ida_rename_global_variable
    Tool(name="""ida-mcp-server_ida_rename_function""", inputSchema={'properties': {'new_name': {'title': 'New Name', 'type': 'string'}, 'old_name': {'title': 'Old Name', 'type': 'string'}}, 'required': ['old_name', 'new_name'], 'title': 'RenameFunction', 'type': 'object'}, description="""Rename a function in the IDA database"""), # MxIris-Reverse-Engineering/ida-mcp-server/ida_rename_function
    Tool(name="""ida-mcp-server_ida_rename_multi_local_variables""", inputSchema={'properties': {'function_name': {'title': 'Function Name', 'type': 'string'}, 'rename_pairs_old2new': {'items': {'additionalProperties': {'type': 'string'}, 'type': 'object'}, 'title': 'Rename Pairs Old2New', 'type': 'array'}}, 'required': ['function_name', 'rename_pairs_old2new'], 'title': 'RenameMultiLocalVariables', 'type': 'object'}, description="""Rename multiple local variables within a function at once in the IDA database"""), # MxIris-Reverse-Engineering/ida-mcp-server/ida_rename_multi_local_variables
    Tool(name="""ida-mcp-server_ida_rename_multi_global_variables""", inputSchema={'properties': {'rename_pairs_old2new': {'items': {'additionalProperties': {'type': 'string'}, 'type': 'object'}, 'title': 'Rename Pairs Old2New', 'type': 'array'}}, 'required': ['rename_pairs_old2new'], 'title': 'RenameMultiGlobalVariables', 'type': 'object'}, description="""Rename multiple global variables at once in the IDA database"""), # MxIris-Reverse-Engineering/ida-mcp-server/ida_rename_multi_global_variables
    Tool(name="""ida-mcp-server_ida_rename_multi_functions""", inputSchema={'properties': {'rename_pairs_old2new': {'items': {'additionalProperties': {'type': 'string'}, 'type': 'object'}, 'title': 'Rename Pairs Old2New', 'type': 'array'}}, 'required': ['rename_pairs_old2new'], 'title': 'RenameMultiFunctions', 'type': 'object'}, description="""Rename multiple functions at once in the IDA database"""), # MxIris-Reverse-Engineering/ida-mcp-server/ida_rename_multi_functions
    Tool(name="""ida-mcp-server_ida_add_assembly_comment""", inputSchema={'properties': {'address': {'title': 'Address', 'type': 'string'}, 'comment': {'title': 'Comment', 'type': 'string'}, 'is_repeatable': {'default': False, 'title': 'Is Repeatable', 'type': 'boolean'}}, 'required': ['address', 'comment'], 'title': 'AddAssemblyComment', 'type': 'object'}, description="""Add a comment at a specific address in the assembly view of the IDA database"""), # MxIris-Reverse-Engineering/ida-mcp-server/ida_add_assembly_comment
    Tool(name="""ida-mcp-server_ida_add_function_comment""", inputSchema={'properties': {'comment': {'title': 'Comment', 'type': 'string'}, 'function_name': {'title': 'Function Name', 'type': 'string'}, 'is_repeatable': {'default': False, 'title': 'Is Repeatable', 'type': 'boolean'}}, 'required': ['function_name', 'comment'], 'title': 'AddFunctionComment', 'type': 'object'}, description="""Add a comment to a function in the IDA database"""), # MxIris-Reverse-Engineering/ida-mcp-server/ida_add_function_comment
    Tool(name="""ida-mcp-server_ida_add_pseudocode_comment""", inputSchema={'properties': {'address': {'title': 'Address', 'type': 'string'}, 'comment': {'title': 'Comment', 'type': 'string'}, 'function_name': {'title': 'Function Name', 'type': 'string'}, 'is_repeatable': {'default': False, 'title': 'Is Repeatable', 'type': 'boolean'}}, 'required': ['function_name', 'address', 'comment'], 'title': 'AddPseudocodeComment', 'type': 'object'}, description="""Add a comment to a specific address in the function's decompiled pseudocode"""), # MxIris-Reverse-Engineering/ida-mcp-server/ida_add_pseudocode_comment
    Tool(name="""ida-mcp-server_ida_execute_script""", inputSchema={'properties': {'script': {'title': 'Script', 'type': 'string'}}, 'required': ['script'], 'title': 'ExecuteScript', 'type': 'object'}, description="""Execute a Python script in IDA Pro and return its output. The script runs in IDA's context with access to all IDA API modules."""), # MxIris-Reverse-Engineering/ida-mcp-server/ida_execute_script
    Tool(name="""ida-mcp-server_ida_execute_script_from_file""", inputSchema={'properties': {'file_path': {'title': 'File Path', 'type': 'string'}}, 'required': ['file_path'], 'title': 'ExecuteScriptFromFile', 'type': 'object'}, description="""Execute a Python script from a file path in IDA Pro and return its output. The file should be accessible from IDA's process."""), # MxIris-Reverse-Engineering/ida-mcp-server/ida_execute_script_from_file
    Tool(name="""VRChat MCP Server_vrchat_get_current_user""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {}, 'type': 'object'}, description="""Retrieve your own VRChat user information"""), # sawa-zen/VRChat MCP Server/vrchat_get_current_user
    Tool(name="""VRChat MCP Server_vrchat_get_friends_list""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'n': {'maximum': 100, 'minimum': 1, 'type': 'number'}, 'offline': {'type': 'boolean'}, 'offset': {'minimum': 0, 'type': 'number'}}, 'type': 'object'}, description="""Retrieve a list of VRChat friend information. The following information can be retrieved:\n    - \"bio\"\n    - \"bioLinks\"\n    - \"currentAvatarImageUrl\"\n    - \"currentAvatarThumbnailImageUrl\"\n    - \"currentAvatarTags\"\n    - \"developerType\"\n    - \"displayName\"\n    - \"fallbackAvatar\"\n    - \"id\"\n    - \"isFriend\"\n    - \"last_platform\"\n    - \"last_login\"\n    - \"profilePicOverride\"\n    - \"pronouns\"\n    - \"status\"\n    - \"statusDescription\"\n    - \"tags\"\n    - \"userIcon\"\n    - \"location\"\n    - \"friendKey\""""), # sawa-zen/VRChat MCP Server/vrchat_get_friends_list
    Tool(name="""VRChat MCP Server_vrchat_search_avatars""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'featured': {'type': 'boolean'}, 'maxUnityVersion': {'type': 'string'}, 'minUnityVersion': {'type': 'string'}, 'n': {'maximum': 100, 'minimum': 1, 'type': 'number'}, 'notag': {'type': 'string'}, 'offset': {'minimum': 0, 'type': 'number'}, 'order': {'enum': ['ascending', 'descending'], 'type': 'string'}, 'platform': {'type': 'string'}, 'releaseStatus': {'enum': ['public', 'private', 'hidden', 'all'], 'type': 'string'}, 'sort': {'enum': ['popularity', 'heat', 'trust', 'shuffle', 'random', 'favorites', 'reportScore', 'reportCount', 'publicationDate', 'labsPublicationDate', 'created', '_created_at', 'updated', '_updated_at', 'order', 'relevance', 'magic', 'name'], 'type': 'string'}, 'tag': {'type': 'string'}, 'user': {'enum': ['me'], 'type': 'string'}, 'userId': {'type': 'string'}}, 'type': 'object'}, description="""Search and list avatars by query filters. You can only search your own or featured avatars. It is not possible as a normal user to search other people's avatars."""), # sawa-zen/VRChat MCP Server/vrchat_search_avatars
    Tool(name="""VRChat MCP Server_vrchat_search_worlds""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'featured': {'type': 'boolean'}, 'n': {'maximum': 100, 'minimum': 1, 'type': 'number'}, 'notag': {'type': 'string'}, 'offset': {'minimum': 0, 'type': 'number'}, 'order': {'enum': ['ascending', 'descending'], 'type': 'string'}, 'search': {'type': 'string'}, 'sort': {'enum': ['popularity', 'heat', 'trust', 'shuffle', 'random', 'favorites', 'reportScore', 'reportCount', 'publicationDate', 'labsPublicationDate', 'created', '_created_at', 'updated', '_updated_at', 'order', 'relevance', 'magic', 'name'], 'type': 'string'}, 'tag': {'type': 'string'}, 'user': {'enum': ['me'], 'type': 'string'}, 'userId': {'type': 'string'}}, 'type': 'object'}, description="""Search and list worlds by query filters."""), # sawa-zen/VRChat MCP Server/vrchat_search_worlds
    Tool(name="""VRChat MCP Server_vrchat_create_instance""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'canRequestInvite': {'type': 'boolean'}, 'closedAt': {'type': 'string'}, 'groupAccessType': {'enum': ['members', 'plus', 'public'], 'type': 'string'}, 'hardClose': {'type': 'boolean'}, 'inviteOnly': {'type': 'boolean'}, 'ownerId': {'type': ['string', 'null']}, 'queueEnabled': {'type': 'boolean'}, 'region': {'default': 'us', 'enum': ['us', 'use', 'eu', 'jp', 'unknown'], 'type': 'string'}, 'roleIds': {'items': {'type': 'string'}, 'type': 'array'}, 'type': {'enum': ['public', 'hidden', 'friends', 'private', 'group'], 'type': 'string'}, 'worldId': {'type': 'string'}}, 'required': ['worldId', 'type'], 'type': 'object'}, description="""Create a new instance of a world."""), # sawa-zen/VRChat MCP Server/vrchat_create_instance
    Tool(name="""VRChat MCP Server_vrchat_join_group""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'groupId': {'description': 'Must be a valid group ID', 'type': 'string'}}, 'required': ['groupId'], 'type': 'object'}, description="""Join a VRChat group by ID"""), # sawa-zen/VRChat MCP Server/vrchat_join_group
    Tool(name="""VRChat MCP Server_vrchat_search_groups""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'n': {'description': 'The number of objects to return', 'maximum': 100, 'minimum': 1, 'type': 'number'}, 'offset': {'description': 'A zero-based offset from the default object sorting', 'minimum': 0, 'type': 'number'}, 'query': {'description': 'Query to search for, can be either Group Name or Group shortCode', 'type': 'string'}}, 'required': ['query'], 'type': 'object'}, description="""Search VRChat groups by name or shortCode"""), # sawa-zen/VRChat MCP Server/vrchat_search_groups
    Tool(name="""Claude TypeScript MCP Servers_brave_web_search""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'count': {'description': 'Number of results (1-20, default 10)', 'type': 'number'}, 'offset': {'description': 'Pagination offset (max 9, default 0)', 'type': 'number'}, 'query': {'description': 'Search query (max 400 chars, 50 words)', 'type': 'string'}}, 'required': ['query'], 'type': 'object'}, description="""Retrieves up-to-date information from the web using Brave Search. You should proactively use this tool whenever you need current information beyond your knowledge cutoff, when answering questions about recent events, when asked about specific facts you're uncertain about, or when providing comprehensive answers. Search automatically when you suspect information might be outdated or when greater detail would improve your response. Use this for news, technical information, current events, product details, or any topic where fresh, accurate data would enhance your answer quality."""), # ukkz/Claude TypeScript MCP Servers/brave_web_search
    Tool(name="""Claude TypeScript MCP Servers_brave_local_search""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'count': {'description': 'Number of results (1-20, default 5)', 'type': 'number'}, 'query': {'description': "Local search query (e.g. 'pizza near Central Park')", 'type': 'string'}}, 'required': ['query'], 'type': 'object'}, description="""Finds information about local businesses, services, attractions, and locations with real-time data. Use this tool proactively whenever a query mentions specific places or location-based information. This is especially useful for questions about restaurants, shops, tourist attractions, local services, or any place-based inquiry. You should automatically search when users ask about places 'near' somewhere, business hours, local reviews, addresses, or location details that would benefit from current information. This provides much more accurate and up-to-date information than your built-in knowledge."""), # ukkz/Claude TypeScript MCP Servers/brave_local_search
    Tool(name="""terraform-cloud-mcp_get_account_details""", inputSchema={'properties': {}, 'title': 'get_account_detailsArguments', 'type': 'object'}, description="""Get account details for a Terraform Cloud API token\n\n    This endpoint shows information about the currently authenticated user or service account,\n    useful for verifying identity, retrieving email address, and checking authentication status.\n    It returns the same type of object as the Users API, but also includes an email address,\n    which is hidden when viewing info about other users.\n\n    API endpoint: GET /account/details\n\n    Returns:\n        Raw API response with account information from Terraform Cloud\n        including user ID, username, email address, and authentication status\n\n    See:\n        docs/tools/account_tools.md for usage examples\n    """), # severity1/terraform-cloud-mcp/get_account_details
    Tool(name="""terraform-cloud-mcp_list_workspaces""", inputSchema={'properties': {'organization': {'title': 'Organization', 'type': 'string'}, 'page_number': {'default': 1, 'title': 'Page Number', 'type': 'integer'}, 'page_size': {'default': 20, 'title': 'Page Size', 'type': 'integer'}, 'search': {'default': '', 'title': 'Search', 'type': 'string'}}, 'required': ['organization'], 'title': 'list_workspacesArguments', 'type': 'object'}, description="""List workspaces in an organization.\n\n    Retrieves a paginated list of all workspaces in a Terraform Cloud organization.\n    Results can be filtered using a search string to find specific workspaces by name.\n    Use this tool to discover existing workspaces, check workspace configurations,\n    or find specific workspaces by partial name match.\n\n    API endpoint: GET /organizations/{organization}/workspaces\n\n    Args:\n        organization: The name of the organization to list workspaces from\n        page_number: The page number to return (default: 1)\n        page_size: The number of items per page (default: 20, max: 100)\n        search: Optional search string to filter workspaces by name\n\n    Returns:\n        Paginated list of workspaces with their configuration settings and metadata\n\n    See:\n        docs/tools/workspace_tools.md for usage examples\n    """), # severity1/terraform-cloud-mcp/list_workspaces
    Tool(name="""terraform-cloud-mcp_get_workspace_details""", inputSchema={'properties': {'organization': {'default': '', 'title': 'Organization', 'type': 'string'}, 'workspace_id': {'default': '', 'title': 'Workspace Id', 'type': 'string'}, 'workspace_name': {'default': '', 'title': 'Workspace Name', 'type': 'string'}}, 'title': 'get_workspace_detailsArguments', 'type': 'object'}, description="""Get details for a specific workspace, identified either by ID or by org name and workspace name.\n\n    Retrieves comprehensive information about a workspace including its configuration,\n    VCS settings, execution mode, and other attributes. This is useful for checking\n    workspace settings before operations or determining the current state of a workspace.\n\n    The workspace can be identified either by its ID directly, or by the combination\n    of organization name and workspace name.\n\n    API endpoint:\n    - GET /workspaces/{workspace_id} (when using workspace_id)\n    - GET /organizations/{organization}/workspaces/{workspace_name} (when using org+name)\n\n    Args:\n        workspace_id: The ID of the workspace (format: \"ws-xxxxxxxx\")\n        organization: The name of the organization (required if workspace_id not provided)\n        workspace_name: The name of the workspace (required if workspace_id not provided)\n\n    Returns:\n        Comprehensive workspace details including settings, configuration and status\n\n    See:\n        docs/tools/workspace_tools.md for usage examples\n    """), # severity1/terraform-cloud-mcp/get_workspace_details
    Tool(name="""terraform-cloud-mcp_force_unlock_workspace""", inputSchema={'properties': {'workspace_id': {'title': 'Workspace Id', 'type': 'string'}}, 'required': ['workspace_id'], 'title': 'force_unlock_workspaceArguments', 'type': 'object'}, description="""Force unlock a workspace. This should be used with caution.\n\n    Forces a workspace to unlock even when the normal unlock process isn't possible.\n    This is typically needed when a run has orphaned a lock or when the user who locked\n    the workspace is unavailable. This operation requires admin privileges on the workspace.\n\n    WARNING: Forcing an unlock can be dangerous if the workspace is legitimately locked\n    for active operations. Only use this when you are certain it's safe to unlock.\n\n    API endpoint: POST /workspaces/{workspace_id}/actions/force-unlock\n\n    Args:\n        workspace_id: The ID of the workspace to force unlock (format: \"ws-xxxxxxxx\")\n\n    Returns:\n        The workspace with updated lock status and related metadata\n\n    See:\n        docs/tools/workspace_tools.md for usage examples\n    """), # severity1/terraform-cloud-mcp/force_unlock_workspace
    Tool(name="""terraform-cloud-mcp_create_workspace""", inputSchema={'$defs': {'ExecutionMode': {'description': "Execution mode options for workspaces and organizations.\n\nDefines how Terraform operations are executed:\n- REMOTE: Terraform runs on Terraform Cloud's infrastructure\n- LOCAL: Terraform runs on your local machine\n- AGENT: Terraform runs on your own infrastructure using an agent\n\nReference: https://developer.hashicorp.com/terraform/cloud-docs/workspaces/settings#execution-mode\n\nSee:\n    docs/models/workspace_examples.md for usage examples", 'enum': ['remote', 'local', 'agent'], 'title': 'ExecutionMode', 'type': 'string'}, 'VcsRepoConfig': {'description': 'VCS repository configuration for a workspace.\n\nDefines version control system repository configuration for a workspace,\nincluding branch, repository identifier, OAuth token, and other settings.\n\nReference: https://developer.hashicorp.com/terraform/cloud-docs/api-docs/workspaces\n\nSee:\n    docs/models/workspace_examples.md for usage examples', 'properties': {'branch': {'anyOf': [{'type': 'string'}, {'type': 'null'}], 'default': None, 'description': 'The repository branch that Terraform executes from', 'title': 'Branch'}, 'github-app-installation-id': {'anyOf': [{'type': 'string'}, {'type': 'null'}], 'default': None, 'description': 'The VCS Connection GitHub App Installation to use', 'title': 'Github-App-Installation-Id'}, 'identifier': {'anyOf': [{'type': 'string'}, {'type': 'null'}], 'default': None, 'description': 'A reference to your VCS repository in the format :org/:repo', 'title': 'Identifier'}, 'ingress-submodules': {'anyOf': [{'type': 'boolean'}, {'type': 'null'}], 'default': None, 'description': 'Whether submodules should be fetched when cloning the VCS repository', 'title': 'Ingress-Submodules'}, 'oauth-token-id': {'anyOf': [{'type': 'string'}, {'type': 'null'}], 'default': None, 'description': 'Specifies the VCS OAuth connection and token', 'title': 'Oauth-Token-Id'}, 'tags-regex': {'anyOf': [{'type': 'string'}, {'type': 'null'}], 'default': None, 'description': 'A regular expression used to match Git tags', 'title': 'Tags-Regex'}}, 'title': 'VcsRepoConfig', 'type': 'object'}, 'WorkspaceParams': {'description': 'Parameters for workspace operations without routing fields.\n\nThis model provides all optional parameters for creating or updating workspaces,\nreusing field definitions from BaseWorkspaceRequest. It separates configuration\nparameters from routing information like organization and workspace name.\n\nReference: https://developer.hashicorp.com/terraform/cloud-docs/api-docs/workspaces\n\nNote:\n    When updating a workspace, use this model to specify only the attributes\n    you want to change. Unspecified attributes retain their current values.\n    All fields are inherited from BaseWorkspaceRequest.\n\nSee:\n    docs/models/workspace_examples.md for usage examples', 'properties': {'agent-pool-id': {'anyOf': [{'type': 'string'}, {'type': 'null'}], 'default': None, 'description': 'The ID of the agent pool', 'title': 'Agent-Pool-Id'}, 'allow-destroy-plan': {'anyOf': [{'type': 'boolean'}, {'type': 'null'}], 'default': True, 'description': 'Whether to allow destruction plans', 'title': 'Allow-Destroy-Plan'}, 'assessments-enabled': {'anyOf': [{'type': 'boolean'}, {'type': 'null'}], 'default': False, 'description': 'Whether to perform health assessments', 'title': 'Assessments-Enabled'}, 'auto-apply': {'anyOf': [{'type': 'boolean'}, {'type': 'null'}], 'default': False, 'description': 'Whether to automatically apply changes in runs triggered by VCS, UI, or CLI', 'title': 'Auto-Apply'}, 'auto-apply-run-trigger': {'anyOf': [{'type': 'boolean'}, {'type': 'null'}], 'default': False, 'description': 'Whether to automatically apply changes initiated by run triggers', 'title': 'Auto-Apply-Run-Trigger'}, 'auto-destroy-activity-duration': {'anyOf': [{'type': 'string'}, {'type': 'null'}], 'default': None, 'description': 'Value and units for automatically scheduled destroy runs based on workspace activity', 'title': 'Auto-Destroy-Activity-Duration'}, 'auto-destroy-at': {'anyOf': [{'type': 'string'}, {'type': 'null'}], 'default': None, 'description': 'Timestamp when the next scheduled destroy run will occur', 'title': 'Auto-Destroy-At'}, 'description': {'anyOf': [{'type': 'string'}, {'type': 'null'}], 'default': None, 'description': 'Description of the workspace', 'title': 'Description'}, 'execution-mode': {'anyOf': [{'type': 'string'}, {'$ref': '#/$defs/ExecutionMode'}, {'type': 'null'}], 'default': 'remote', 'description': 'How operations are executed', 'title': 'Execution-Mode'}, 'file-triggers-enabled': {'anyOf': [{'type': 'boolean'}, {'type': 'null'}], 'default': True, 'description': 'Whether to filter runs based on file paths', 'title': 'File-Triggers-Enabled'}, 'global-remote-state': {'anyOf': [{'type': 'boolean'}, {'type': 'null'}], 'default': False, 'description': "Whether to allow all workspaces to access this workspace's state", 'title': 'Global-Remote-State'}, 'name': {'anyOf': [{'type': 'string'}, {'type': 'null'}], 'default': None, 'description': 'Name of the workspace', 'title': 'Name'}, 'queue-all-runs': {'anyOf': [{'type': 'boolean'}, {'type': 'null'}], 'default': False, 'description': 'Whether runs should be queued immediately', 'title': 'Queue-All-Runs'}, 'setting-overwrites': {'anyOf': [{'additionalProperties': {'type': 'boolean'}, 'type': 'object'}, {'type': 'null'}], 'default': None, 'description': 'Specifies attributes that have organization-level defaults', 'title': 'Setting-Overwrites'}, 'source-name': {'anyOf': [{'type': 'string'}, {'type': 'null'}], 'default': None, 'description': 'Indicates where the workspace settings originated', 'title': 'Source-Name'}, 'source-url': {'anyOf': [{'type': 'string'}, {'type': 'null'}], 'default': None, 'description': 'URL to origin source', 'title': 'Source-Url'}, 'speculative-enabled': {'anyOf': [{'type': 'boolean'}, {'type': 'null'}], 'default': True, 'description': 'Whether this workspace allows speculative plans', 'title': 'Speculative-Enabled'}, 'terraform-version': {'anyOf': [{'type': 'string'}, {'type': 'null'}], 'default': 'latest', 'description': 'Specifies the version of Terraform to use for this workspace', 'title': 'Terraform-Version'}, 'trigger-patterns': {'anyOf': [{'items': {'type': 'string'}, 'type': 'array'}, {'type': 'null'}], 'default': None, 'description': 'List of glob patterns that trigger runs', 'title': 'Trigger-Patterns'}, 'trigger-prefixes': {'anyOf': [{'items': {'type': 'string'}, 'type': 'array'}, {'type': 'null'}], 'default': None, 'description': 'List of paths that trigger runs', 'title': 'Trigger-Prefixes'}, 'vcs-repo': {'anyOf': [{'$ref': '#/$defs/VcsRepoConfig'}, {'type': 'null'}], 'default': None, 'description': "Settings for the workspace's VCS repository"}, 'working-directory': {'anyOf': [{'type': 'string'}, {'type': 'null'}], 'default': None, 'description': 'The directory to execute commands in', 'title': 'Working-Directory'}}, 'title': 'WorkspaceParams', 'type': 'object'}}, 'properties': {'name': {'title': 'Name', 'type': 'string'}, 'organization': {'title': 'Organization', 'type': 'string'}, 'params': {'anyOf': [{'$ref': '#/$defs/WorkspaceParams'}, {'type': 'null'}], 'default': None}}, 'required': ['organization', 'name'], 'title': 'create_workspaceArguments', 'type': 'object'}, description="""Create a new workspace in an organization.\n\n    Creates a new Terraform Cloud workspace which serves as an isolated environment\n    for managing infrastructure. Workspaces contain variables, state files, and run\n    histories for a specific infrastructure configuration.\n\n    API endpoint: POST /organizations/{organization}/workspaces\n\n    Args:\n        organization: The name of the organization\n        name: The name to give the workspace\n\n        params: Additional workspace parameters (optional):\n            - description: Human-readable description of the workspace\n            - execution_mode: How Terraform runs are executed (remote, local, agent)\n            - terraform_version: Version of Terraform to use (default: latest)\n            - working_directory: Subdirectory to use when running Terraform\n            - vcs_repo: Version control repository configuration\n            - auto_apply: Whether to automatically apply successful plans\n            - file_triggers_enabled: Whether file changes trigger runs\n            - trigger_prefixes: Directories that trigger runs when changed\n            - trigger_patterns: Glob patterns that trigger runs when files match\n            - allow_destroy_plan: Whether to allow destruction plans\n            - auto_apply_run_trigger: Whether to auto-apply changes from run triggers\n\n    Returns:\n        The created workspace data including configuration, settings and metadata\n\n    See:\n        docs/tools/workspace_tools.md for usage examples\n    """), # severity1/terraform-cloud-mcp/create_workspace
    Tool(name="""terraform-cloud-mcp_update_workspace""", inputSchema={'$defs': {'ExecutionMode': {'description': "Execution mode options for workspaces and organizations.\n\nDefines how Terraform operations are executed:\n- REMOTE: Terraform runs on Terraform Cloud's infrastructure\n- LOCAL: Terraform runs on your local machine\n- AGENT: Terraform runs on your own infrastructure using an agent\n\nReference: https://developer.hashicorp.com/terraform/cloud-docs/workspaces/settings#execution-mode\n\nSee:\n    docs/models/workspace_examples.md for usage examples", 'enum': ['remote', 'local', 'agent'], 'title': 'ExecutionMode', 'type': 'string'}, 'VcsRepoConfig': {'description': 'VCS repository configuration for a workspace.\n\nDefines version control system repository configuration for a workspace,\nincluding branch, repository identifier, OAuth token, and other settings.\n\nReference: https://developer.hashicorp.com/terraform/cloud-docs/api-docs/workspaces\n\nSee:\n    docs/models/workspace_examples.md for usage examples', 'properties': {'branch': {'anyOf': [{'type': 'string'}, {'type': 'null'}], 'default': None, 'description': 'The repository branch that Terraform executes from', 'title': 'Branch'}, 'github-app-installation-id': {'anyOf': [{'type': 'string'}, {'type': 'null'}], 'default': None, 'description': 'The VCS Connection GitHub App Installation to use', 'title': 'Github-App-Installation-Id'}, 'identifier': {'anyOf': [{'type': 'string'}, {'type': 'null'}], 'default': None, 'description': 'A reference to your VCS repository in the format :org/:repo', 'title': 'Identifier'}, 'ingress-submodules': {'anyOf': [{'type': 'boolean'}, {'type': 'null'}], 'default': None, 'description': 'Whether submodules should be fetched when cloning the VCS repository', 'title': 'Ingress-Submodules'}, 'oauth-token-id': {'anyOf': [{'type': 'string'}, {'type': 'null'}], 'default': None, 'description': 'Specifies the VCS OAuth connection and token', 'title': 'Oauth-Token-Id'}, 'tags-regex': {'anyOf': [{'type': 'string'}, {'type': 'null'}], 'default': None, 'description': 'A regular expression used to match Git tags', 'title': 'Tags-Regex'}}, 'title': 'VcsRepoConfig', 'type': 'object'}, 'WorkspaceParams': {'description': 'Parameters for workspace operations without routing fields.\n\nThis model provides all optional parameters for creating or updating workspaces,\nreusing field definitions from BaseWorkspaceRequest. It separates configuration\nparameters from routing information like organization and workspace name.\n\nReference: https://developer.hashicorp.com/terraform/cloud-docs/api-docs/workspaces\n\nNote:\n    When updating a workspace, use this model to specify only the attributes\n    you want to change. Unspecified attributes retain their current values.\n    All fields are inherited from BaseWorkspaceRequest.\n\nSee:\n    docs/models/workspace_examples.md for usage examples', 'properties': {'agent-pool-id': {'anyOf': [{'type': 'string'}, {'type': 'null'}], 'default': None, 'description': 'The ID of the agent pool', 'title': 'Agent-Pool-Id'}, 'allow-destroy-plan': {'anyOf': [{'type': 'boolean'}, {'type': 'null'}], 'default': True, 'description': 'Whether to allow destruction plans', 'title': 'Allow-Destroy-Plan'}, 'assessments-enabled': {'anyOf': [{'type': 'boolean'}, {'type': 'null'}], 'default': False, 'description': 'Whether to perform health assessments', 'title': 'Assessments-Enabled'}, 'auto-apply': {'anyOf': [{'type': 'boolean'}, {'type': 'null'}], 'default': False, 'description': 'Whether to automatically apply changes in runs triggered by VCS, UI, or CLI', 'title': 'Auto-Apply'}, 'auto-apply-run-trigger': {'anyOf': [{'type': 'boolean'}, {'type': 'null'}], 'default': False, 'description': 'Whether to automatically apply changes initiated by run triggers', 'title': 'Auto-Apply-Run-Trigger'}, 'auto-destroy-activity-duration': {'anyOf': [{'type': 'string'}, {'type': 'null'}], 'default': None, 'description': 'Value and units for automatically scheduled destroy runs based on workspace activity', 'title': 'Auto-Destroy-Activity-Duration'}, 'auto-destroy-at': {'anyOf': [{'type': 'string'}, {'type': 'null'}], 'default': None, 'description': 'Timestamp when the next scheduled destroy run will occur', 'title': 'Auto-Destroy-At'}, 'description': {'anyOf': [{'type': 'string'}, {'type': 'null'}], 'default': None, 'description': 'Description of the workspace', 'title': 'Description'}, 'execution-mode': {'anyOf': [{'type': 'string'}, {'$ref': '#/$defs/ExecutionMode'}, {'type': 'null'}], 'default': 'remote', 'description': 'How operations are executed', 'title': 'Execution-Mode'}, 'file-triggers-enabled': {'anyOf': [{'type': 'boolean'}, {'type': 'null'}], 'default': True, 'description': 'Whether to filter runs based on file paths', 'title': 'File-Triggers-Enabled'}, 'global-remote-state': {'anyOf': [{'type': 'boolean'}, {'type': 'null'}], 'default': False, 'description': "Whether to allow all workspaces to access this workspace's state", 'title': 'Global-Remote-State'}, 'name': {'anyOf': [{'type': 'string'}, {'type': 'null'}], 'default': None, 'description': 'Name of the workspace', 'title': 'Name'}, 'queue-all-runs': {'anyOf': [{'type': 'boolean'}, {'type': 'null'}], 'default': False, 'description': 'Whether runs should be queued immediately', 'title': 'Queue-All-Runs'}, 'setting-overwrites': {'anyOf': [{'additionalProperties': {'type': 'boolean'}, 'type': 'object'}, {'type': 'null'}], 'default': None, 'description': 'Specifies attributes that have organization-level defaults', 'title': 'Setting-Overwrites'}, 'source-name': {'anyOf': [{'type': 'string'}, {'type': 'null'}], 'default': None, 'description': 'Indicates where the workspace settings originated', 'title': 'Source-Name'}, 'source-url': {'anyOf': [{'type': 'string'}, {'type': 'null'}], 'default': None, 'description': 'URL to origin source', 'title': 'Source-Url'}, 'speculative-enabled': {'anyOf': [{'type': 'boolean'}, {'type': 'null'}], 'default': True, 'description': 'Whether this workspace allows speculative plans', 'title': 'Speculative-Enabled'}, 'terraform-version': {'anyOf': [{'type': 'string'}, {'type': 'null'}], 'default': 'latest', 'description': 'Specifies the version of Terraform to use for this workspace', 'title': 'Terraform-Version'}, 'trigger-patterns': {'anyOf': [{'items': {'type': 'string'}, 'type': 'array'}, {'type': 'null'}], 'default': None, 'description': 'List of glob patterns that trigger runs', 'title': 'Trigger-Patterns'}, 'trigger-prefixes': {'anyOf': [{'items': {'type': 'string'}, 'type': 'array'}, {'type': 'null'}], 'default': None, 'description': 'List of paths that trigger runs', 'title': 'Trigger-Prefixes'}, 'vcs-repo': {'anyOf': [{'$ref': '#/$defs/VcsRepoConfig'}, {'type': 'null'}], 'default': None, 'description': "Settings for the workspace's VCS repository"}, 'working-directory': {'anyOf': [{'type': 'string'}, {'type': 'null'}], 'default': None, 'description': 'The directory to execute commands in', 'title': 'Working-Directory'}}, 'title': 'WorkspaceParams', 'type': 'object'}}, 'properties': {'organization': {'title': 'Organization', 'type': 'string'}, 'params': {'anyOf': [{'$ref': '#/$defs/WorkspaceParams'}, {'type': 'null'}], 'default': None}, 'workspace_name': {'title': 'Workspace Name', 'type': 'string'}}, 'required': ['organization', 'workspace_name'], 'title': 'update_workspaceArguments', 'type': 'object'}, description="""Update an existing workspace.\n\n    Modifies the settings of a Terraform Cloud workspace. This can be used to change\n    attributes like execution mode, VCS repository settings, description, or any other\n    workspace configuration options. Only specified attributes will be updated;\n    unspecified attributes remain unchanged.\n\n    API endpoint: PATCH /organizations/{organization}/workspaces/{workspace_name}\n\n    Args:\n        organization: The name of the organization that owns the workspace\n        workspace_name: The name of the workspace to update\n\n        params: Workspace parameters to update (optional):\n            - name: New name for the workspace (if renaming)\n            - description: Human-readable description of the workspace\n            - execution_mode: How Terraform runs are executed (remote, local, agent)\n            - terraform_version: Version of Terraform to use\n            - working_directory: Subdirectory to use when running Terraform\n            - vcs_repo: Version control repository configuration (oauth-token-id, identifier)\n            - auto_apply: Whether to automatically apply successful plans\n            - file_triggers_enabled: Whether file changes trigger runs\n            - trigger_prefixes: Directories that trigger runs when changed\n            - trigger_patterns: Glob patterns that trigger runs when files match\n            - allow_destroy_plan: Whether to allow destruction plans\n            - auto_apply_run_trigger: Whether to auto-apply changes from run triggers\n\n    Returns:\n        The updated workspace with all current settings and configuration\n\n    See:\n        docs/tools/workspace_tools.md for usage examples\n    """), # severity1/terraform-cloud-mcp/update_workspace
    Tool(name="""terraform-cloud-mcp_delete_workspace""", inputSchema={'properties': {'organization': {'title': 'Organization', 'type': 'string'}, 'workspace_name': {'title': 'Workspace Name', 'type': 'string'}}, 'required': ['organization', 'workspace_name'], 'title': 'delete_workspaceArguments', 'type': 'object'}, description="""Delete a workspace.\n\n    Permanently deletes a Terraform Cloud workspace and all its resources including\n    state versions, run history, and configuration versions. This action cannot be undone.\n\n    WARNING: This is a destructive operation. For workspaces that have active resources,\n    consider running a destroy plan first or use safe_delete_workspace instead.\n\n    API endpoint: DELETE /organizations/{organization}/workspaces/{workspace_name}\n\n    Args:\n        organization: The name of the organization that owns the workspace\n        workspace_name: The name of the workspace to delete\n\n    Returns:\n        Success message with no content (HTTP 204) if successful\n        Error response with explanation if the workspace cannot be deleted\n\n    See:\n        docs/tools/workspace_tools.md for usage examples\n    """), # severity1/terraform-cloud-mcp/delete_workspace
    Tool(name="""terraform-cloud-mcp_safe_delete_workspace""", inputSchema={'properties': {'organization': {'title': 'Organization', 'type': 'string'}, 'workspace_name': {'title': 'Workspace Name', 'type': 'string'}}, 'required': ['organization', 'workspace_name'], 'title': 'safe_delete_workspaceArguments', 'type': 'object'}, description="""Safely delete a workspace by first checking if it can be deleted.\n\n    Initiates a safe delete operation which checks if the workspace has resources\n    before deleting it. This is a safer alternative to delete_workspace as it prevents\n    accidental deletion of workspaces with active infrastructure.\n\n    The operation follows these steps:\n    1. Checks if the workspace has any resources\n    2. If no resources exist, deletes the workspace\n    3. If resources exist, returns an error indicating the workspace cannot be safely deleted\n\n    API endpoint: POST /organizations/{organization}/workspaces/{workspace_name}/actions/safe-delete\n\n    Args:\n        organization: The name of the organization that owns the workspace\n        workspace_name: The name of the workspace to delete\n\n    Returns:\n        Status of the safe delete operation including:\n        - Success response if deletion was completed\n        - Error with details if workspace has resources and cannot be safely deleted\n        - List of resources that would be affected by deletion (if applicable)\n\n    See:\n        docs/tools/workspace_tools.md for usage examples\n    """), # severity1/terraform-cloud-mcp/safe_delete_workspace
    Tool(name="""terraform-cloud-mcp_lock_workspace""", inputSchema={'properties': {'reason': {'default': '', 'title': 'Reason', 'type': 'string'}, 'workspace_id': {'title': 'Workspace Id', 'type': 'string'}}, 'required': ['workspace_id'], 'title': 'lock_workspaceArguments', 'type': 'object'}, description="""Lock a workspace.\n\n    Locks a workspace to prevent runs from being queued. This is useful when you want\n    to prevent changes to infrastructure while performing maintenance or making manual\n    adjustments. Locking a workspace does not affect currently running plans or applies.\n\n    API endpoint: POST /workspaces/{workspace_id}/actions/lock\n\n    Args:\n        workspace_id: The ID of the workspace to lock (format: \"ws-xxxxxxxx\")\n        reason: Optional reason for locking\n\n    Returns:\n        The workspace with updated lock status and related metadata\n\n    See:\n        docs/tools/workspace_tools.md for usage examples\n    """), # severity1/terraform-cloud-mcp/lock_workspace
    Tool(name="""terraform-cloud-mcp_unlock_workspace""", inputSchema={'properties': {'workspace_id': {'title': 'Workspace Id', 'type': 'string'}}, 'required': ['workspace_id'], 'title': 'unlock_workspaceArguments', 'type': 'object'}, description="""Unlock a workspace.\n\n    Removes the lock from a workspace, allowing runs to be queued. This enables\n    normal operation of the workspace after it was previously locked.\n\n    API endpoint: POST /workspaces/{workspace_id}/actions/unlock\n\n    Args:\n        workspace_id: The ID of the workspace to unlock (format: \"ws-xxxxxxxx\")\n\n    Returns:\n        The workspace with updated lock status and related metadata\n\n    See:\n        docs/tools/workspace_tools.md for usage examples\n    """), # severity1/terraform-cloud-mcp/unlock_workspace
    Tool(name="""terraform-cloud-mcp_create_run""", inputSchema={'$defs': {'RunParams': {'description': 'Parameters for run operations without routing fields.\n\nThis model provides all optional parameters that can be used when creating runs,\nreusing the field definitions from BaseRunRequest.\n\nReference: https://developer.hashicorp.com/terraform/cloud-docs/api-docs/run#create-a-run\n\nNote:\n    All fields are inherited from BaseRunRequest.\n\nSee:\n    docs/models/run_examples.md for usage examples', 'properties': {'allow-config-generation': {'anyOf': [{'type': 'boolean'}, {'type': 'null'}], 'default': False, 'description': 'Whether to allow generating config for imports', 'title': 'Allow-Config-Generation'}, 'allow-empty-apply': {'anyOf': [{'type': 'boolean'}, {'type': 'null'}], 'default': False, 'description': 'Whether to allow apply when there are no changes', 'title': 'Allow-Empty-Apply'}, 'auto-apply': {'anyOf': [{'type': 'boolean'}, {'type': 'null'}], 'default': None, 'description': 'Whether to auto-apply the run when planned (defaults to workspace setting)', 'title': 'Auto-Apply'}, 'debugging-mode': {'anyOf': [{'type': 'boolean'}, {'type': 'null'}], 'default': False, 'description': 'Enable debug logging for this run', 'title': 'Debugging-Mode'}, 'is-destroy': {'anyOf': [{'type': 'boolean'}, {'type': 'null'}], 'default': False, 'description': 'Whether this run should destroy all resources', 'title': 'Is-Destroy'}, 'message': {'anyOf': [{'type': 'string'}, {'type': 'null'}], 'default': None, 'description': 'Message to include with the run', 'title': 'Message'}, 'plan-only': {'anyOf': [{'type': 'boolean'}, {'type': 'null'}], 'default': False, 'description': 'Whether this is a speculative, plan-only run', 'title': 'Plan-Only'}, 'refresh': {'anyOf': [{'type': 'boolean'}, {'type': 'null'}], 'default': True, 'description': 'Whether to refresh state before plan', 'title': 'Refresh'}, 'refresh-only': {'anyOf': [{'type': 'boolean'}, {'type': 'null'}], 'default': False, 'description': 'Whether this is a refresh-only run', 'title': 'Refresh-Only'}, 'replace-addrs': {'anyOf': [{'items': {'type': 'string'}, 'type': 'array'}, {'type': 'null'}], 'default': None, 'description': 'Resource addresses to replace', 'title': 'Replace-Addrs'}, 'save-plan': {'anyOf': [{'type': 'boolean'}, {'type': 'null'}], 'default': False, 'description': 'Whether to save the plan without becoming the current run', 'title': 'Save-Plan'}, 'target-addrs': {'anyOf': [{'items': {'type': 'string'}, 'type': 'array'}, {'type': 'null'}], 'default': None, 'description': 'Resource addresses to target', 'title': 'Target-Addrs'}, 'terraform-version': {'anyOf': [{'type': 'string'}, {'type': 'null'}], 'default': None, 'description': 'Specific Terraform version (only valid for plan-only runs)', 'title': 'Terraform-Version'}, 'variables': {'anyOf': [{'items': {'$ref': '#/$defs/RunVariable'}, 'type': 'array'}, {'type': 'null'}], 'default': None, 'description': 'Run-specific variables', 'title': 'Variables'}}, 'title': 'RunParams', 'type': 'object'}, 'RunVariable': {'description': 'Model for run-specific variables.\n\nRun variables are used to provide input values for a specific run,\nwhich override any workspace variables for that run only.\n\nReference: https://developer.hashicorp.com/terraform/cloud-docs/api-docs/run#create-a-run\n\nSee:\n    docs/models/run_examples.md for usage examples', 'properties': {'key': {'description': 'Variable key', 'maxLength': 128, 'minLength': 1, 'title': 'Key', 'type': 'string'}, 'value': {'description': 'Variable value', 'maxLength': 256, 'title': 'Value', 'type': 'string'}}, 'required': ['key', 'value'], 'title': 'RunVariable', 'type': 'object'}}, 'properties': {'params': {'anyOf': [{'$ref': '#/$defs/RunParams'}, {'type': 'null'}], 'default': None}, 'workspace_id': {'title': 'Workspace Id', 'type': 'string'}}, 'required': ['workspace_id'], 'title': 'create_runArguments', 'type': 'object'}, description="""Create a run in a workspace\n\n    Creates a new Terraform run to trigger infrastructure changes through Terraform Cloud,\n    representing a single execution of plan and apply operations. The run queues in the\n    workspace and executes based on the workspace's execution mode and settings. Use this\n    to deploy new infrastructure, apply configuration changes, or destroy resources.\n\n    API endpoint: POST /runs\n\n    Args:\n        workspace_id: The workspace ID to execute the run in (format: \"ws-xxxxxxxx\")\n        params: Optional run configuration with:\n            - message: Description of the run's purpose\n            - is_destroy: Whether to destroy all resources managed by the workspace\n            - auto_apply: Whether to auto-apply after a successful plan\n            - refresh: Whether to refresh Terraform state before planning\n            - refresh_only: Only refresh the state without planning changes\n            - plan_only: Create a speculative plan without applying\n            - allow_empty_apply: Allow applying when there are no changes\n            - target_addrs: List of resource addresses to specifically target\n            - replace_addrs: List of resource addresses to force replacement\n            - variables: Run-specific variables that override workspace variables\n            - terraform_version: Specific Terraform version to use for this run\n            - save_plan: Save the plan for later execution\n            - debugging_mode: Enable extended debug logging\n\n    Returns:\n        The created run details with ID, status, configuration information,\n        workspace relationship, and links to associated resources\n\n    See:\n        docs/tools/run_tools.md for usage examples\n    """), # severity1/terraform-cloud-mcp/create_run
    Tool(name="""terraform-cloud-mcp_list_runs_in_workspace""", inputSchema={'properties': {'filter_agent_pool_names': {'default': '', 'title': 'Filter Agent Pool Names', 'type': 'string'}, 'filter_operation': {'default': '', 'title': 'Filter Operation', 'type': 'string'}, 'filter_source': {'default': '', 'title': 'Filter Source', 'type': 'string'}, 'filter_status': {'default': '', 'title': 'Filter Status', 'type': 'string'}, 'filter_status_group': {'default': '', 'title': 'Filter Status Group', 'type': 'string'}, 'filter_timeframe': {'default': '', 'title': 'Filter Timeframe', 'type': 'string'}, 'page_number': {'default': 1, 'title': 'Page Number', 'type': 'integer'}, 'page_size': {'default': 20, 'title': 'Page Size', 'type': 'integer'}, 'search_basic': {'default': '', 'title': 'Search Basic', 'type': 'string'}, 'search_commit': {'default': '', 'title': 'Search Commit', 'type': 'string'}, 'search_user': {'default': '', 'title': 'Search User', 'type': 'string'}, 'workspace_id': {'title': 'Workspace Id', 'type': 'string'}}, 'required': ['workspace_id'], 'title': 'list_runs_in_workspaceArguments', 'type': 'object'}, description="""List runs in a workspace with filtering and pagination\n\n    Retrieves run history for a specific workspace with options to filter by status,\n    operation type, source, and other criteria. Useful for auditing changes, troubleshooting,\n    or monitoring deployment history.\n\n    API endpoint: GET /workspaces/{workspace_id}/runs\n\n    Args:\n        workspace_id: The workspace ID to list runs for (format: \"ws-xxxxxxxx\")\n        page_number: Page number to fetch (default: 1)\n        page_size: Number of results per page (default: 20)\n        filter_operation: Filter by operation type\n        filter_status: Filter by status\n        filter_source: Filter by source\n        filter_status_group: Filter by status group\n        filter_timeframe: Filter by timeframe\n        filter_agent_pool_names: Filter by agent pool names\n        search_user: Search by VCS username\n        search_commit: Search by commit SHA\n        search_basic: Search across run ID, message, commit SHA, and username\n\n    Returns:\n        List of runs with metadata, status info, and pagination details\n\n    See:\n        docs/tools/run_tools.md for usage examples\n    """), # severity1/terraform-cloud-mcp/list_runs_in_workspace
    Tool(name="""terraform-cloud-mcp_list_runs_in_organization""", inputSchema={'properties': {'filter_agent_pool_names': {'default': '', 'title': 'Filter Agent Pool Names', 'type': 'string'}, 'filter_operation': {'default': '', 'title': 'Filter Operation', 'type': 'string'}, 'filter_source': {'default': '', 'title': 'Filter Source', 'type': 'string'}, 'filter_status': {'default': '', 'title': 'Filter Status', 'type': 'string'}, 'filter_status_group': {'default': '', 'title': 'Filter Status Group', 'type': 'string'}, 'filter_timeframe': {'default': '', 'title': 'Filter Timeframe', 'type': 'string'}, 'filter_workspace_names': {'default': '', 'title': 'Filter Workspace Names', 'type': 'string'}, 'organization': {'title': 'Organization', 'type': 'string'}, 'page_number': {'default': 1, 'title': 'Page Number', 'type': 'integer'}, 'page_size': {'default': 20, 'title': 'Page Size', 'type': 'integer'}, 'search_basic': {'default': '', 'title': 'Search Basic', 'type': 'string'}, 'search_commit': {'default': '', 'title': 'Search Commit', 'type': 'string'}, 'search_user': {'default': '', 'title': 'Search User', 'type': 'string'}}, 'required': ['organization'], 'title': 'list_runs_in_organizationArguments', 'type': 'object'}, description="""List runs across all workspaces in an organization\n\n    Retrieves run history across all workspaces in an organization with powerful filtering.\n    Useful for organization-wide auditing, monitoring deployments across teams, or finding\n    specific runs by commit or author.\n\n    API endpoint: GET /organizations/{organization}/runs\n\n    Args:\n        organization: The organization name\n        page_number: Page number to fetch (default: 1)\n        page_size: Number of results per page (default: 20)\n        filter_operation: Filter by operation type\n        filter_status: Filter by status\n        filter_source: Filter by source\n        filter_status_group: Filter by status group\n        filter_timeframe: Filter by timeframe\n        filter_agent_pool_names: Filter by agent pool names\n        filter_workspace_names: Filter by workspace names\n        search_user: Search by VCS username\n        search_commit: Search by commit SHA\n        search_basic: Basic search across run attributes\n\n    Returns:\n        List of runs across workspaces with metadata and pagination details\n\n    See:\n        docs/tools/run_tools.md for usage examples\n    """), # severity1/terraform-cloud-mcp/list_runs_in_organization
    Tool(name="""terraform-cloud-mcp_get_run_details""", inputSchema={'properties': {'run_id': {'title': 'Run Id', 'type': 'string'}}, 'required': ['run_id'], 'title': 'get_run_detailsArguments', 'type': 'object'}, description="""Get detailed information about a specific run\n\n    Retrieves comprehensive information about a run including its current status,\n    plan output, and relationship to other resources. Use to check run progress or results.\n\n    API endpoint: GET /runs/{run_id}\n\n    Args:\n        run_id: The ID of the run to retrieve details for (format: \"run-xxxxxxxx\")\n\n    Returns:\n        Complete run details including status, plan, and relationships\n\n    See:\n        docs/tools/run_tools.md for usage examples\n    """), # severity1/terraform-cloud-mcp/get_run_details
    Tool(name="""terraform-cloud-mcp_apply_run""", inputSchema={'properties': {'comment': {'default': '', 'title': 'Comment', 'type': 'string'}, 'run_id': {'title': 'Run Id', 'type': 'string'}}, 'required': ['run_id'], 'title': 'apply_runArguments', 'type': 'object'}, description="""Apply a run that is paused waiting for confirmation after a plan\n\n    Confirms and executes the apply phase for a run that has completed planning and is\n    waiting for approval. Use this when you've reviewed the plan output and want to\n    apply the proposed changes to your infrastructure.\n\n    API endpoint: POST /runs/{run_id}/actions/apply\n\n    Args:\n        run_id: The ID of the run to apply (format: \"run-xxxxxxxx\")\n        comment: An optional comment explaining the reason for applying the run\n\n    Returns:\n        Run details with updated status information and confirmation of the apply action\n        including timestamp information and any comment provided\n\n    See:\n        docs/tools/run_tools.md for usage examples\n    """), # severity1/terraform-cloud-mcp/apply_run
    Tool(name="""terraform-cloud-mcp_discard_run""", inputSchema={'properties': {'comment': {'default': '', 'title': 'Comment', 'type': 'string'}, 'run_id': {'title': 'Run Id', 'type': 'string'}}, 'required': ['run_id'], 'title': 'discard_runArguments', 'type': 'object'}, description="""Discard a run that is paused waiting for confirmation\n\n    Cancels a run without applying its changes, typically used when the plan\n    shows undesired changes or after reviewing and rejecting a plan. This action\n    removes the run from the queue and unlocks the workspace for new runs.\n\n    API endpoint: POST /runs/{run_id}/actions/discard\n\n    Args:\n        run_id: The ID of the run to discard (format: \"run-xxxxxxxx\")\n        comment: An optional explanation for why the run was discarded\n\n    Returns:\n        Run status update with discarded state information, timestamp of the\n        discard action, and user information\n\n    See:\n        docs/tools/run_tools.md for usage examples\n    """), # severity1/terraform-cloud-mcp/discard_run
    Tool(name="""terraform-cloud-mcp_cancel_run""", inputSchema={'properties': {'comment': {'default': '', 'title': 'Comment', 'type': 'string'}, 'run_id': {'title': 'Run Id', 'type': 'string'}}, 'required': ['run_id'], 'title': 'cancel_runArguments', 'type': 'object'}, description="""Cancel a run that is currently planning or applying\n\n    Gracefully stops an in-progress run during planning or applying phases. Use this\n    when you need to stop a run that's taking too long, consuming too many resources,\n    or needs to be stopped for any reason. The operation attempts to cleanly terminate\n    the run by sending an interrupt signal.\n\n    API endpoint: POST /runs/{run_id}/actions/cancel\n\n    Args:\n        run_id: The ID of the run to cancel (format: \"run-xxxxxxxx\")\n        comment: An optional explanation for why the run was canceled\n\n    Returns:\n        Run status update with canceled state, timestamp of cancellation,\n        and any provided comment in the response metadata\n\n    See:\n        docs/tools/run_tools.md for usage examples\n    """), # severity1/terraform-cloud-mcp/cancel_run
    Tool(name="""terraform-cloud-mcp_force_cancel_run""", inputSchema={'properties': {'comment': {'default': '', 'title': 'Comment', 'type': 'string'}, 'run_id': {'title': 'Run Id', 'type': 'string'}}, 'required': ['run_id'], 'title': 'force_cancel_runArguments', 'type': 'object'}, description="""Forcefully cancel a run immediately\n\n    Immediately terminates a run that hasn't responded to a normal cancel request.\n    Use this as a last resort when a run is stuck and not responding to regular\n    cancellation. This action bypasses the graceful shutdown process and forces\n    the workspace to be unlocked.\n\n    API endpoint: POST /runs/{run_id}/actions/force-cancel\n\n    Args:\n        run_id: The ID of the run to force cancel (format: \"run-xxxxxxxx\")\n        comment: An optional explanation for why the run was force canceled\n\n    Returns:\n        Run status update confirming forced cancellation with timestamp,\n        user information, and workspace unlock status\n\n    See:\n        docs/tools/run_tools.md for usage examples\n    """), # severity1/terraform-cloud-mcp/force_cancel_run
    Tool(name="""terraform-cloud-mcp_force_execute_run""", inputSchema={'properties': {'run_id': {'title': 'Run Id', 'type': 'string'}}, 'required': ['run_id'], 'title': 'force_execute_runArguments', 'type': 'object'}, description="""Forcefully execute a run by canceling all prior runs\n\n    Prioritizes a specific run by canceling other queued runs to unlock the workspace,\n    equivalent to clicking \"Run this plan now\" in the UI. Use this when a run is\n    stuck in the pending queue but needs immediate execution due to urgency or\n    priority over other queued runs.\n\n    API endpoint: POST /runs/{run_id}/actions/force-execute\n\n    Args:\n        run_id: The ID of the run to execute (format: \"run-xxxxxxxx\")\n\n    Returns:\n        Status update confirming the run has been promoted to active status,\n        with information about which runs were canceled to allow execution\n\n    See:\n        docs/tools/run_tools.md for usage examples\n    """), # severity1/terraform-cloud-mcp/force_execute_run
    Tool(name="""terraform-cloud-mcp_get_organization_details""", inputSchema={'properties': {'organization': {'title': 'Organization', 'type': 'string'}}, 'required': ['organization'], 'title': 'get_organization_detailsArguments', 'type': 'object'}, description="""Get details for a specific organization\n\n    Retrieves comprehensive information about an organization including settings,\n    email contact info, and configuration defaults.\n\n    API endpoint: GET /organizations/{organization}\n\n    Args:\n        organization: The organization name to retrieve details for (required)\n\n    Returns:\n        Organization details including name, email, settings and configuration\n\n    See:\n        docs/tools/organization_tools.md for usage examples\n    """), # severity1/terraform-cloud-mcp/get_organization_details
    Tool(name="""terraform-cloud-mcp_get_organization_entitlements""", inputSchema={'properties': {'organization': {'title': 'Organization', 'type': 'string'}}, 'required': ['organization'], 'title': 'get_organization_entitlementsArguments', 'type': 'object'}, description="""Show entitlement set for organization features\n\n    Retrieves information about available features and capabilities based on\n    the organization's subscription tier.\n\n    API endpoint: GET /organizations/{organization}/entitlement-set\n\n    Args:\n        organization: The organization name to retrieve entitlements for (required)\n\n    Returns:\n        Entitlement set details including feature limits and subscription information\n\n    See:\n        docs/tools/organization_tools.md for usage examples\n    """), # severity1/terraform-cloud-mcp/get_organization_entitlements
    Tool(name="""terraform-cloud-mcp_list_organizations""", inputSchema={'properties': {'page_number': {'default': 1, 'title': 'Page Number', 'type': 'integer'}, 'page_size': {'default': 20, 'title': 'Page Size', 'type': 'integer'}, 'query': {'default': '', 'title': 'Query', 'type': 'string'}, 'query_email': {'default': '', 'title': 'Query Email', 'type': 'string'}, 'query_name': {'default': '', 'title': 'Query Name', 'type': 'string'}}, 'title': 'list_organizationsArguments', 'type': 'object'}, description="""List organizations with filtering options\n\n    Retrieves a paginated list of organizations the current user has access to,\n    with options to search by name or email address.\n\n    API endpoint: GET /organizations\n\n    Args:\n        page_number: Page number to fetch (default: 1)\n        page_size: Number of results per page (default: 20)\n        query: Search query to filter by name and email\n        query_email: Search query to filter by email only\n        query_name: Search query to filter by name only\n\n    Returns:\n        List of organizations with metadata and pagination information\n\n    See:\n        docs/tools/organization_tools.md for usage examples\n    """), # severity1/terraform-cloud-mcp/list_organizations
    Tool(name="""terraform-cloud-mcp_create_organization""", inputSchema={'$defs': {'CollaboratorAuthPolicy': {'description': 'Authentication policy options for organization collaborators.\n\nDefines the authentication requirements for organization members:\n- PASSWORD: Password-only authentication is allowed\n- TWO_FACTOR_MANDATORY: Two-factor authentication is required for all users\n\nReference: https://developer.hashicorp.com/terraform/cloud-docs/users-teams-organizations/organizations#authentication\n\nSee:\n    docs/models/organization_examples.md for usage examples', 'enum': ['password', 'two_factor_mandatory'], 'title': 'CollaboratorAuthPolicy', 'type': 'string'}, 'ExecutionMode': {'description': "Execution mode options for workspaces and organizations.\n\nDefines how Terraform operations are executed:\n- REMOTE: Terraform runs on Terraform Cloud's infrastructure\n- LOCAL: Terraform runs on your local machine\n- AGENT: Terraform runs on your own infrastructure using an agent\n\nReference: https://developer.hashicorp.com/terraform/cloud-docs/workspaces/settings#execution-mode\n\nSee:\n    docs/models/workspace_examples.md for usage examples", 'enum': ['remote', 'local', 'agent'], 'title': 'ExecutionMode', 'type': 'string'}, 'OrganizationParams': {'description': 'Parameters for organization operations without routing fields.\n\nThis model provides all optional parameters that can be used when creating or updating\norganizations, reusing the field definitions from BaseOrganizationRequest.\n\nReference: https://developer.hashicorp.com/terraform/cloud-docs/api-docs/organizations\n\nNote:\n    All fields are inherited from BaseOrganizationRequest.\n\nSee:\n    docs/models/organization_examples.md for usage examples', 'properties': {'aggregated-commit-status-enabled': {'anyOf': [{'type': 'boolean'}, {'type': 'null'}], 'default': True, 'description': 'Whether to aggregate VCS status updates', 'title': 'Aggregated-Commit-Status-Enabled'}, 'allow-force-delete-workspaces': {'anyOf': [{'type': 'boolean'}, {'type': 'null'}], 'default': False, 'description': 'Whether workspace admins can delete workspaces with resources', 'title': 'Allow-Force-Delete-Workspaces'}, 'assessments-enforced': {'anyOf': [{'type': 'boolean'}, {'type': 'null'}], 'default': False, 'description': 'Whether to compel health assessments for all eligible workspaces', 'title': 'Assessments-Enforced'}, 'collaborator-auth-policy': {'anyOf': [{'type': 'string'}, {'$ref': '#/$defs/CollaboratorAuthPolicy'}, {'type': 'null'}], 'default': 'password', 'description': 'Authentication policy', 'title': 'Collaborator-Auth-Policy'}, 'cost-estimation-enabled': {'anyOf': [{'type': 'boolean'}, {'type': 'null'}], 'default': False, 'description': 'Whether cost estimation is enabled for all workspaces', 'title': 'Cost-Estimation-Enabled'}, 'default-agent-pool-id': {'anyOf': [{'type': 'string'}, {'type': 'null'}], 'default': None, 'description': "The ID of the agent pool (required when default_execution_mode is 'agent')", 'title': 'Default-Agent-Pool-Id'}, 'default-execution-mode': {'anyOf': [{'type': 'string'}, {'$ref': '#/$defs/ExecutionMode'}, {'type': 'null'}], 'default': 'remote', 'description': 'Default execution mode', 'title': 'Default-Execution-Mode'}, 'email': {'anyOf': [{'pattern': '^[a-zA-Z0-9._%+-]+@[a-zA-Z0-9.-]+\\.[a-zA-Z]{2,}$', 'type': 'string'}, {'type': 'null'}], 'default': None, 'description': 'Admin email address', 'title': 'Email'}, 'name': {'anyOf': [{'minLength': 3, 'pattern': '^[a-z0-9][-a-z0-9_]*[a-z0-9]$', 'type': 'string'}, {'type': 'null'}], 'default': None, 'description': 'Name of the organization', 'title': 'Name'}, 'owners-team-saml-role-id': {'anyOf': [{'type': 'string'}, {'type': 'null'}], 'default': None, 'description': "SAML only - the name of the 'owners' team", 'title': 'Owners-Team-Saml-Role-Id'}, 'send-passing-statuses-for-untriggered-speculative-plans': {'anyOf': [{'type': 'boolean'}, {'type': 'null'}], 'default': False, 'description': 'Whether to send VCS status updates for untriggered plans', 'title': 'Send-Passing-Statuses-For-Untriggered-Speculative-Plans'}, 'session-remember': {'anyOf': [{'maximum': 43200, 'minimum': 1, 'type': 'integer'}, {'type': 'null'}], 'default': 20160, 'description': 'Session expiration in minutes', 'title': 'Session-Remember'}, 'session-timeout': {'anyOf': [{'maximum': 43200, 'minimum': 1, 'type': 'integer'}, {'type': 'null'}], 'default': 20160, 'description': 'Session timeout after inactivity in minutes', 'title': 'Session-Timeout'}, 'speculative-plan-management-enabled': {'anyOf': [{'type': 'boolean'}, {'type': 'null'}], 'default': True, 'description': 'Whether to enable automatic cancellation of plan-only runs', 'title': 'Speculative-Plan-Management-Enabled'}}, 'title': 'OrganizationParams', 'type': 'object'}}, 'properties': {'email': {'title': 'Email', 'type': 'string'}, 'name': {'title': 'Name', 'type': 'string'}, 'params': {'anyOf': [{'$ref': '#/$defs/OrganizationParams'}, {'type': 'null'}], 'default': None}}, 'required': ['name', 'email'], 'title': 'create_organizationArguments', 'type': 'object'}, description="""Create a new organization in Terraform Cloud\n\n    Creates a new organization with the given name and email, allowing workspaces\n    and teams to be created within it. This is the first step in setting up a new\n    environment in Terraform Cloud.\n\n    API endpoint: POST /organizations\n\n    Args:\n        name: The name of the organization (required)\n        email: Admin email address (required)\n        params: Additional organization settings:\n            - collaborator_auth_policy: Authentication policy (password or two_factor_mandatory)\n            - session_timeout: Session timeout after inactivity in minutes\n            - session_remember: Session total expiration time in minutes\n            - cost_estimation_enabled: Whether to enable cost estimation for workspaces\n            - default_execution_mode: Default workspace execution mode (remote, local, agent)\n            - aggregated_commit_status_enabled: Whether to aggregate VCS status updates\n            - speculative_plan_management_enabled: Whether to auto-cancel unused speculative plans\n            - assessments_enforced: Whether to enforce health assessments for all workspaces\n            - allow_force_delete_workspaces: Whether to allow deleting workspaces with resources\n            - default_agent_pool_id: Default agent pool ID (required when using agent mode)\n\n    Returns:\n        The created organization details including ID and created timestamp\n\n    See:\n        docs/tools/organization_tools.md for usage examples\n    """), # severity1/terraform-cloud-mcp/create_organization
    Tool(name="""terraform-cloud-mcp_update_organization""", inputSchema={'$defs': {'CollaboratorAuthPolicy': {'description': 'Authentication policy options for organization collaborators.\n\nDefines the authentication requirements for organization members:\n- PASSWORD: Password-only authentication is allowed\n- TWO_FACTOR_MANDATORY: Two-factor authentication is required for all users\n\nReference: https://developer.hashicorp.com/terraform/cloud-docs/users-teams-organizations/organizations#authentication\n\nSee:\n    docs/models/organization_examples.md for usage examples', 'enum': ['password', 'two_factor_mandatory'], 'title': 'CollaboratorAuthPolicy', 'type': 'string'}, 'ExecutionMode': {'description': "Execution mode options for workspaces and organizations.\n\nDefines how Terraform operations are executed:\n- REMOTE: Terraform runs on Terraform Cloud's infrastructure\n- LOCAL: Terraform runs on your local machine\n- AGENT: Terraform runs on your own infrastructure using an agent\n\nReference: https://developer.hashicorp.com/terraform/cloud-docs/workspaces/settings#execution-mode\n\nSee:\n    docs/models/workspace_examples.md for usage examples", 'enum': ['remote', 'local', 'agent'], 'title': 'ExecutionMode', 'type': 'string'}, 'OrganizationParams': {'description': 'Parameters for organization operations without routing fields.\n\nThis model provides all optional parameters that can be used when creating or updating\norganizations, reusing the field definitions from BaseOrganizationRequest.\n\nReference: https://developer.hashicorp.com/terraform/cloud-docs/api-docs/organizations\n\nNote:\n    All fields are inherited from BaseOrganizationRequest.\n\nSee:\n    docs/models/organization_examples.md for usage examples', 'properties': {'aggregated-commit-status-enabled': {'anyOf': [{'type': 'boolean'}, {'type': 'null'}], 'default': True, 'description': 'Whether to aggregate VCS status updates', 'title': 'Aggregated-Commit-Status-Enabled'}, 'allow-force-delete-workspaces': {'anyOf': [{'type': 'boolean'}, {'type': 'null'}], 'default': False, 'description': 'Whether workspace admins can delete workspaces with resources', 'title': 'Allow-Force-Delete-Workspaces'}, 'assessments-enforced': {'anyOf': [{'type': 'boolean'}, {'type': 'null'}], 'default': False, 'description': 'Whether to compel health assessments for all eligible workspaces', 'title': 'Assessments-Enforced'}, 'collaborator-auth-policy': {'anyOf': [{'type': 'string'}, {'$ref': '#/$defs/CollaboratorAuthPolicy'}, {'type': 'null'}], 'default': 'password', 'description': 'Authentication policy', 'title': 'Collaborator-Auth-Policy'}, 'cost-estimation-enabled': {'anyOf': [{'type': 'boolean'}, {'type': 'null'}], 'default': False, 'description': 'Whether cost estimation is enabled for all workspaces', 'title': 'Cost-Estimation-Enabled'}, 'default-agent-pool-id': {'anyOf': [{'type': 'string'}, {'type': 'null'}], 'default': None, 'description': "The ID of the agent pool (required when default_execution_mode is 'agent')", 'title': 'Default-Agent-Pool-Id'}, 'default-execution-mode': {'anyOf': [{'type': 'string'}, {'$ref': '#/$defs/ExecutionMode'}, {'type': 'null'}], 'default': 'remote', 'description': 'Default execution mode', 'title': 'Default-Execution-Mode'}, 'email': {'anyOf': [{'pattern': '^[a-zA-Z0-9._%+-]+@[a-zA-Z0-9.-]+\\.[a-zA-Z]{2,}$', 'type': 'string'}, {'type': 'null'}], 'default': None, 'description': 'Admin email address', 'title': 'Email'}, 'name': {'anyOf': [{'minLength': 3, 'pattern': '^[a-z0-9][-a-z0-9_]*[a-z0-9]$', 'type': 'string'}, {'type': 'null'}], 'default': None, 'description': 'Name of the organization', 'title': 'Name'}, 'owners-team-saml-role-id': {'anyOf': [{'type': 'string'}, {'type': 'null'}], 'default': None, 'description': "SAML only - the name of the 'owners' team", 'title': 'Owners-Team-Saml-Role-Id'}, 'send-passing-statuses-for-untriggered-speculative-plans': {'anyOf': [{'type': 'boolean'}, {'type': 'null'}], 'default': False, 'description': 'Whether to send VCS status updates for untriggered plans', 'title': 'Send-Passing-Statuses-For-Untriggered-Speculative-Plans'}, 'session-remember': {'anyOf': [{'maximum': 43200, 'minimum': 1, 'type': 'integer'}, {'type': 'null'}], 'default': 20160, 'description': 'Session expiration in minutes', 'title': 'Session-Remember'}, 'session-timeout': {'anyOf': [{'maximum': 43200, 'minimum': 1, 'type': 'integer'}, {'type': 'null'}], 'default': 20160, 'description': 'Session timeout after inactivity in minutes', 'title': 'Session-Timeout'}, 'speculative-plan-management-enabled': {'anyOf': [{'type': 'boolean'}, {'type': 'null'}], 'default': True, 'description': 'Whether to enable automatic cancellation of plan-only runs', 'title': 'Speculative-Plan-Management-Enabled'}}, 'title': 'OrganizationParams', 'type': 'object'}}, 'properties': {'organization': {'title': 'Organization', 'type': 'string'}, 'params': {'anyOf': [{'$ref': '#/$defs/OrganizationParams'}, {'type': 'null'}], 'default': None}}, 'required': ['organization'], 'title': 'update_organizationArguments', 'type': 'object'}, description="""Update an existing organization in Terraform Cloud\n\n    Modifies organization settings such as email contact, authentication policy,\n    or other configuration options. Only specified attributes will be updated.\n\n    API endpoint: PATCH /organizations/{organization}\n\n    Args:\n        organization: The name of the organization to update (required)\n        params: Organization parameters to update:\n            - email: Admin email address for the organization\n            - collaborator_auth_policy: Authentication policy (password or two_factor_mandatory)\n            - session_timeout: Session timeout after inactivity in minutes\n            - session_remember: Session total expiration time in minutes\n            - cost_estimation_enabled: Whether to enable cost estimation for workspaces\n            - default_execution_mode: Default workspace execution mode (remote, local, agent)\n            - aggregated_commit_status_enabled: Whether to aggregate VCS status updates\n            - speculative_plan_management_enabled: Whether to auto-cancel unused speculative plans\n            - assessments_enforced: Whether to enforce health assessments for all workspaces\n            - allow_force_delete_workspaces: Whether to allow deleting workspaces with resources\n\n    Returns:\n        The updated organization with all current settings\n\n    See:\n        docs/tools/organization_tools.md for usage examples\n    """), # severity1/terraform-cloud-mcp/update_organization
    Tool(name="""terraform-cloud-mcp_delete_organization""", inputSchema={'properties': {'organization': {'title': 'Organization', 'type': 'string'}}, 'required': ['organization'], 'title': 'delete_organizationArguments', 'type': 'object'}, description="""Delete an organization from Terraform Cloud\n\n    Permanently removes an organization including all its workspaces, teams, and resources.\n    This action cannot be undone. Organization names are globally unique and cannot be\n    recreated with the same name later.\n\n    API endpoint: DELETE /organizations/{organization}\n\n    Args:\n        organization: The name of the organization to delete (required)\n\n    Returns:\n        Success confirmation (HTTP 204 No Content) or error details\n\n    See:\n        docs/tools/organization_tools.md for usage examples\n    """), # severity1/terraform-cloud-mcp/delete_organization
    Tool(name="""mem0 Memory System_add_memory""", inputSchema={'properties': {'agentId': {'description': 'Optional agent ID to associate with the memory (for cloud API).', 'type': 'string'}, 'content': {'description': 'The text content to store as memory.', 'type': 'string'}, 'metadata': {'description': 'Optional key-value metadata.', 'type': 'object'}, 'sessionId': {'description': 'Optional session ID to associate with the memory.', 'type': 'string'}, 'userId': {'description': 'User ID to associate with the memory.', 'type': 'string'}}, 'required': ['content', 'userId'], 'type': 'object'}, description="""Stores a piece of text as a memory in Mem0."""), # pinkpixel-dev/mem0 Memory System/add_memory
    Tool(name="""mem0 Memory System_search_memory""", inputSchema={'properties': {'agentId': {'description': 'Optional agent ID to filter search (for cloud API).', 'type': 'string'}, 'filters': {'description': 'Optional key-value filters for metadata.', 'type': 'object'}, 'query': {'description': 'The search query.', 'type': 'string'}, 'sessionId': {'description': 'Optional session ID to filter search.', 'type': 'string'}, 'threshold': {'description': 'Optional similarity threshold for results (for cloud API).', 'type': 'number'}, 'userId': {'description': 'User ID to filter search.', 'type': 'string'}}, 'required': ['query', 'userId'], 'type': 'object'}, description="""Searches stored memories in Mem0 based on a query."""), # pinkpixel-dev/mem0 Memory System/search_memory
    Tool(name="""mem0 Memory System_delete_memory""", inputSchema={'properties': {'agentId': {'description': 'Optional agent ID associated with the memory (for cloud API).', 'type': 'string'}, 'memoryId': {'description': 'The unique ID of the memory to delete.', 'type': 'string'}, 'sessionId': {'description': 'Optional session ID associated with the memory.', 'type': 'string'}, 'userId': {'description': 'User ID associated with the memory.', 'type': 'string'}}, 'required': ['memoryId', 'userId'], 'type': 'object'}, description="""Deletes a specific memory from Mem0 by ID."""), # pinkpixel-dev/mem0 Memory System/delete_memory
    Tool(name="""Unstructured API MCP Server_create_s3_source""", inputSchema={'properties': {'name': {'title': 'Name', 'type': 'string'}, 'recursive': {'default': False, 'title': 'Recursive', 'type': 'boolean'}, 'remote_url': {'title': 'Remote Url', 'type': 'string'}}, 'required': ['name', 'remote_url'], 'title': 'create_s3_sourceArguments', 'type': 'object'}, description="""Create an S3 source connector.\n\n    Args:\n        name: A unique name for this connector\n        remote_url: The S3 URI to the bucket or folder (e.g., s3://my-bucket/)\n        recursive: Whether to access subfolders within the bucket\n\n    Returns:\n        String containing the created source connector information\n    """), # Unstructured-IO/Unstructured API MCP Server/create_s3_source
    Tool(name="""Unstructured API MCP Server_update_s3_source""", inputSchema={'properties': {'recursive': {'anyOf': [{'type': 'boolean'}, {'type': 'null'}], 'default': None, 'title': 'Recursive'}, 'remote_url': {'anyOf': [{'type': 'string'}, {'type': 'null'}], 'default': None, 'title': 'Remote Url'}, 'source_id': {'title': 'Source Id', 'type': 'string'}}, 'required': ['source_id'], 'title': 'update_s3_sourceArguments', 'type': 'object'}, description="""Update an S3 source connector.\n\n    Args:\n        source_id: ID of the source connector to update\n        remote_url: The S3 URI to the bucket or folder\n        recursive: Whether to access subfolders within the bucket\n\n    Returns:\n        String containing the updated source connector information\n    """), # Unstructured-IO/Unstructured API MCP Server/update_s3_source
    Tool(name="""Unstructured API MCP Server_delete_s3_source""", inputSchema={'properties': {'source_id': {'title': 'Source Id', 'type': 'string'}}, 'required': ['source_id'], 'title': 'delete_s3_sourceArguments', 'type': 'object'}, description="""Delete an S3 source connector.\n\n    Args:\n        source_id: ID of the source connector to delete\n\n    Returns:\n        String containing the result of the deletion\n    """), # Unstructured-IO/Unstructured API MCP Server/delete_s3_source
    Tool(name="""Unstructured API MCP Server_create_azure_source""", inputSchema={'properties': {'name': {'title': 'Name', 'type': 'string'}, 'recursive': {'default': False, 'title': 'Recursive', 'type': 'boolean'}, 'remote_url': {'title': 'Remote Url', 'type': 'string'}}, 'required': ['name', 'remote_url'], 'title': 'create_azure_sourceArguments', 'type': 'object'}, description="""Create an Azure source connector.\n\n    Args:\n        name: A unique name for this connector\n        remote_url: The Azure Storage remote URL,\n        with the format az://<container-name>/<path/to/file/or/folder/in/container/as/needed>\n        recursive: Whether to access subfolders within the bucket\n\n    Returns:\n        String containing the created source connector information\n    """), # Unstructured-IO/Unstructured API MCP Server/create_azure_source
    Tool(name="""Unstructured API MCP Server_update_azure_source""", inputSchema={'properties': {'recursive': {'anyOf': [{'type': 'boolean'}, {'type': 'null'}], 'default': None, 'title': 'Recursive'}, 'remote_url': {'anyOf': [{'type': 'string'}, {'type': 'null'}], 'default': None, 'title': 'Remote Url'}, 'source_id': {'title': 'Source Id', 'type': 'string'}}, 'required': ['source_id'], 'title': 'update_azure_sourceArguments', 'type': 'object'}, description="""Update an azure source connector.\n\n    Args:\n        source_id: ID of the source connector to update\n        remote_url: The Azure Storage remote URL, with the format\n        az://<container-name>/<path/to/file/or/folder/in/container/as/needed>\n        recursive: Whether to access subfolders within the bucket\n\n    Returns:\n        String containing the updated source connector information\n    """), # Unstructured-IO/Unstructured API MCP Server/update_azure_source
    Tool(name="""Unstructured API MCP Server_delete_azure_source""", inputSchema={'properties': {'source_id': {'title': 'Source Id', 'type': 'string'}}, 'required': ['source_id'], 'title': 'delete_azure_sourceArguments', 'type': 'object'}, description="""Delete an azure source connector.\n\n    Args:\n        source_id: ID of the source connector to delete\n\n    Returns:\n        String containing the result of the deletion\n    """), # Unstructured-IO/Unstructured API MCP Server/delete_azure_source
    Tool(name="""Unstructured API MCP Server_create_gdrive_source""", inputSchema={'properties': {'drive_id': {'title': 'Drive Id', 'type': 'string'}, 'extensions': {'anyOf': [{'type': 'string'}, {'type': 'null'}], 'default': None, 'title': 'Extensions'}, 'name': {'title': 'Name', 'type': 'string'}, 'recursive': {'default': False, 'title': 'Recursive', 'type': 'boolean'}}, 'required': ['name', 'drive_id'], 'title': 'create_gdrive_sourceArguments', 'type': 'object'}, description="""Create an gdrive source connector.\n\n    Args:\n        name: A unique name for this connector\n        remote_url: The gdrive URI to the bucket or folder (e.g., gdrive://my-bucket/)\n        recursive: Whether to access subfolders within the bucket\n\n    Returns:\n        String containing the created source connector information\n    """), # Unstructured-IO/Unstructured API MCP Server/create_gdrive_source
    Tool(name="""Unstructured API MCP Server_update_gdrive_source""", inputSchema={'properties': {'drive_id': {'anyOf': [{'type': 'string'}, {'type': 'null'}], 'default': None, 'title': 'Drive Id'}, 'extensions': {'anyOf': [{'type': 'string'}, {'type': 'null'}], 'default': None, 'title': 'Extensions'}, 'recursive': {'anyOf': [{'type': 'boolean'}, {'type': 'null'}], 'default': None, 'title': 'Recursive'}, 'source_id': {'title': 'Source Id', 'type': 'string'}}, 'required': ['source_id'], 'title': 'update_gdrive_sourceArguments', 'type': 'object'}, description="""Update an gdrive source connector.\n\n    Args:\n        source_id: ID of the source connector to update\n        remote_url: The gdrive URI to the bucket or folder\n        recursive: Whether to access subfolders within the bucket\n\n    Returns:\n        String containing the updated source connector information\n    """), # Unstructured-IO/Unstructured API MCP Server/update_gdrive_source
    Tool(name="""Unstructured API MCP Server_delete_gdrive_source""", inputSchema={'properties': {'source_id': {'title': 'Source Id', 'type': 'string'}}, 'required': ['source_id'], 'title': 'delete_gdrive_sourceArguments', 'type': 'object'}, description="""Delete an gdrive source connector.\n\n    Args:\n        source_id: ID of the source connector to delete\n\n    Returns:\n        String containing the result of the deletion\n    """), # Unstructured-IO/Unstructured API MCP Server/delete_gdrive_source
    Tool(name="""Unstructured API MCP Server_create_s3_destination""", inputSchema={'properties': {'name': {'title': 'Name', 'type': 'string'}, 'remote_url': {'title': 'Remote Url', 'type': 'string'}}, 'required': ['name', 'remote_url'], 'title': 'create_s3_destinationArguments', 'type': 'object'}, description="""Create an S3 destination connector.\n\n    Args:\n        name: A unique name for this connector\n        remote_url: The S3 URI to the bucket or folder \n        key: The AWS access key ID\n        secret: The AWS secret access key\n        token: The AWS STS session token for temporary access (optional)\n        endpoint_url: Custom URL if connecting to a non-AWS S3 bucket\n\n    Returns:\n        String containing the created destination connector information\n    """), # Unstructured-IO/Unstructured API MCP Server/create_s3_destination
    Tool(name="""Unstructured API MCP Server_update_s3_destination""", inputSchema={'properties': {'destination_id': {'title': 'Destination Id', 'type': 'string'}, 'recursive': {'anyOf': [{'type': 'boolean'}, {'type': 'null'}], 'default': None, 'title': 'Recursive'}, 'remote_url': {'anyOf': [{'type': 'string'}, {'type': 'null'}], 'default': None, 'title': 'Remote Url'}}, 'required': ['destination_id'], 'title': 'update_s3_destinationArguments', 'type': 'object'}, description="""Update an S3 destination connector.\n\n    Args:\n        destination_id: ID of the destination connector to update\n        remote_url: The S3 URI to the bucket or folder\n\n    Returns:\n        String containing the updated destination connector information\n    """), # Unstructured-IO/Unstructured API MCP Server/update_s3_destination
    Tool(name="""Unstructured API MCP Server_delete_s3_destination""", inputSchema={'properties': {'destination_id': {'title': 'Destination Id', 'type': 'string'}}, 'required': ['destination_id'], 'title': 'delete_s3_destinationArguments', 'type': 'object'}, description="""Delete an S3 destination connector.\n\n    Args:\n        destination_id: ID of the destination connector to delete\n\n    Returns:\n        String containing the result of the deletion\n    """), # Unstructured-IO/Unstructured API MCP Server/delete_s3_destination
    Tool(name="""Unstructured API MCP Server_create_weaviate_destination""", inputSchema={'properties': {'cluster_url': {'title': 'Cluster Url', 'type': 'string'}, 'collection': {'title': 'Collection', 'type': 'string'}, 'name': {'title': 'Name', 'type': 'string'}}, 'required': ['name', 'cluster_url', 'collection'], 'title': 'create_weaviate_destinationArguments', 'type': 'object'}, description="""Create an weaviate vector database destination connector.\n\n    Args:\n        cluster_url: URL of the weaviate cluster\n        collection : Name of the collection to use in the weaviate cluster\n        Note: The collection is a table in the weaviate cluster.\n              In platform, there are dedicated code to generate collection for users\n              here, due to the simplicity of the server, we are not generating it for users.\n\n    Returns:\n        String containing the created destination connector information\n    """), # Unstructured-IO/Unstructured API MCP Server/create_weaviate_destination
    Tool(name="""Unstructured API MCP Server_update_weaviate_destination""", inputSchema={'properties': {'cluster_url': {'anyOf': [{'type': 'string'}, {'type': 'null'}], 'default': None, 'title': 'Cluster Url'}, 'collection': {'anyOf': [{'type': 'string'}, {'type': 'null'}], 'default': None, 'title': 'Collection'}, 'destination_id': {'title': 'Destination Id', 'type': 'string'}}, 'required': ['destination_id'], 'title': 'update_weaviate_destinationArguments', 'type': 'object'}, description="""Update an weaviate destination connector.\n\n    Args:\n        destination_id: ID of the destination connector to update\n        cluster_url (optional): URL of the weaviate cluster\n        collection (optional): Name of the collection(like a file) to use in the weaviate cluster\n\n    Returns:\n        String containing the updated destination connector information\n    """), # Unstructured-IO/Unstructured API MCP Server/update_weaviate_destination
    Tool(name="""Unstructured API MCP Server_delete_weaviate_destination""", inputSchema={'properties': {'destination_id': {'title': 'Destination Id', 'type': 'string'}}, 'required': ['destination_id'], 'title': 'delete_weaviate_destinationArguments', 'type': 'object'}, description="""Delete an weaviate destination connector.\n\n    Args:\n        destination_id: ID of the destination connector to delete\n\n    Returns:\n        String containing the result of the deletion\n    """), # Unstructured-IO/Unstructured API MCP Server/delete_weaviate_destination
    Tool(name="""Unstructured API MCP Server_create_astradb_destination""", inputSchema={'properties': {'batch_size': {'default': 20, 'title': 'Batch Size', 'type': 'integer'}, 'collection_name': {'title': 'Collection Name', 'type': 'string'}, 'keyspace': {'title': 'Keyspace', 'type': 'string'}, 'name': {'title': 'Name', 'type': 'string'}}, 'required': ['name', 'collection_name', 'keyspace'], 'title': 'create_astradb_destinationArguments', 'type': 'object'}, description="""Create an AstraDB destination connector.\n\n    Args:\n        name: A unique name for this connector\n        collection_name: The name of the collection to use \n        keyspace: The AstraDB keyspace \n        batch_size: The batch size for inserting documents, must be positive (default: 20)\n        \n        Note: A collection in AstraDB is a schemaless document store optimized for NoSQL workloads, \n              equivalent to a table in traditional databases.\n              A keyspace is the top-level namespace in AstraDB that groups multiple collections.\n              We require the users to create their own collection and keyspace before creating the connector.\n\n    Returns:\n        String containing the created destination connector information\n    """), # Unstructured-IO/Unstructured API MCP Server/create_astradb_destination
    Tool(name="""Unstructured API MCP Server_update_astradb_destination""", inputSchema={'properties': {'batch_size': {'anyOf': [{'type': 'integer'}, {'type': 'null'}], 'default': None, 'title': 'Batch Size'}, 'collection_name': {'anyOf': [{'type': 'string'}, {'type': 'null'}], 'default': None, 'title': 'Collection Name'}, 'destination_id': {'title': 'Destination Id', 'type': 'string'}, 'keyspace': {'anyOf': [{'type': 'string'}, {'type': 'null'}], 'default': None, 'title': 'Keyspace'}}, 'required': ['destination_id'], 'title': 'update_astradb_destinationArguments', 'type': 'object'}, description="""Update an AstraDB destination connector.\n\n    Args:\n        destination_id: ID of the destination connector to update\n        collection_name: The name of the collection to use (optional)\n        keyspace: The AstraDB keyspace (optional)\n        batch_size: The batch size for inserting documents (optional)\n        \n        Note: We require the users to create their own collection and keyspace before creating the connector.\n\n    Returns:\n        String containing the updated destination connector information\n    """), # Unstructured-IO/Unstructured API MCP Server/update_astradb_destination
    Tool(name="""Unstructured API MCP Server_delete_astradb_destination""", inputSchema={'properties': {'destination_id': {'title': 'Destination Id', 'type': 'string'}}, 'required': ['destination_id'], 'title': 'delete_astradb_destinationArguments', 'type': 'object'}, description="""Delete an AstraDB destination connector.\n\n    Args:\n        destination_id: ID of the destination connector to delete\n\n    Returns:\n        String containing the result of the deletion\n    """), # Unstructured-IO/Unstructured API MCP Server/delete_astradb_destination
    Tool(name="""Unstructured API MCP Server_create_neo4j_destination""", inputSchema={'properties': {'batch_size': {'anyOf': [{'type': 'integer'}, {'type': 'null'}], 'default': 100, 'title': 'Batch Size'}, 'database': {'title': 'Database', 'type': 'string'}, 'name': {'title': 'Name', 'type': 'string'}, 'uri': {'title': 'Uri', 'type': 'string'}, 'username': {'title': 'Username', 'type': 'string'}}, 'required': ['name', 'database', 'uri', 'username'], 'title': 'create_neo4j_destinationArguments', 'type': 'object'}, description="""Create an neo4j destination connector.\n\n    Args:\n        name: A unique name for this connector\n        database: The neo4j database, e.g. \"neo4j\"\n        uri: The neo4j URI, e.g. neo4j+s://<neo4j_instance_id>.databases.neo4j.io\n        username: The neo4j username\n\n\n    Returns:\n        String containing the created destination connector information\n    """), # Unstructured-IO/Unstructured API MCP Server/create_neo4j_destination
    Tool(name="""Unstructured API MCP Server_update_neo4j_destination""", inputSchema={'properties': {'batch_size': {'anyOf': [{'type': 'integer'}, {'type': 'null'}], 'default': None, 'title': 'Batch Size'}, 'database': {'anyOf': [{'type': 'string'}, {'type': 'null'}], 'default': None, 'title': 'Database'}, 'destination_id': {'title': 'Destination Id', 'type': 'string'}, 'uri': {'anyOf': [{'type': 'string'}, {'type': 'null'}], 'default': None, 'title': 'Uri'}, 'username': {'anyOf': [{'type': 'string'}, {'type': 'null'}], 'default': None, 'title': 'Username'}}, 'required': ['destination_id'], 'title': 'update_neo4j_destinationArguments', 'type': 'object'}, description="""Update an neo4j destination connector.\n\n    Args:\n        destination_id: ID of the destination connector to update\n        database: The neo4j database, e.g. \"neo4j\"\n        uri: The neo4j URI, e.g. neo4j+s://<neo4j_instance_id>.databases.neo4j.io\n        username: The neo4j username\n\n\n    Returns:\n        String containing the updated destination connector information\n    """), # Unstructured-IO/Unstructured API MCP Server/update_neo4j_destination
    Tool(name="""Unstructured API MCP Server_delete_neo4j_destination""", inputSchema={'properties': {'destination_id': {'title': 'Destination Id', 'type': 'string'}}, 'required': ['destination_id'], 'title': 'delete_neo4j_destinationArguments', 'type': 'object'}, description="""Delete an neo4j destination connector.\n\n    Args:\n        destination_id: ID of the destination connector to delete\n\n    Returns:\n        String containing the result of the deletion\n    """), # Unstructured-IO/Unstructured API MCP Server/delete_neo4j_destination
    Tool(name="""Unstructured API MCP Server_invoke_firecrawl_crawlhtml""", inputSchema={'properties': {'limit': {'default': 100, 'title': 'Limit', 'type': 'integer'}, 's3_uri': {'title': 'S3 Uri', 'type': 'string'}, 'url': {'title': 'Url', 'type': 'string'}}, 'required': ['url', 's3_uri'], 'title': 'invoke_firecrawl_crawlhtmlArguments', 'type': 'object'}, description="""Start an asynchronous web crawl job using Firecrawl to retrieve HTML content.\n\n    Args:\n        url: URL to crawl\n        s3_uri: S3 URI where results will be uploaded \n        limit: Maximum number of pages to crawl (default: 100)\n\n    Returns:\n        Dictionary with crawl job information including the job ID\n    """), # Unstructured-IO/Unstructured API MCP Server/invoke_firecrawl_crawlhtml
    Tool(name="""Unstructured API MCP Server_check_crawlhtml_status""", inputSchema={'properties': {'crawl_id': {'title': 'Crawl Id', 'type': 'string'}}, 'required': ['crawl_id'], 'title': 'check_crawlhtml_statusArguments', 'type': 'object'}, description="""Check the status of an existing Firecrawl HTML crawl job.\n\n    Args:\n        crawl_id: ID of the crawl job to check\n\n    Returns:\n        Dictionary containing the current status of the crawl job\n    """), # Unstructured-IO/Unstructured API MCP Server/check_crawlhtml_status
    Tool(name="""Unstructured API MCP Server_invoke_firecrawl_llmtxt""", inputSchema={'properties': {'max_urls': {'default': 10, 'title': 'Max Urls', 'type': 'integer'}, 's3_uri': {'title': 'S3 Uri', 'type': 'string'}, 'url': {'title': 'Url', 'type': 'string'}}, 'required': ['url', 's3_uri'], 'title': 'invoke_firecrawl_llmtxtArguments', 'type': 'object'}, description="""Start an asynchronous llmfull.txt generation job using Firecrawl.\n    This file is a standardized markdown file containing information to help LLMs use a website at inference time. \n    The llmstxt endpoint leverages Firecrawl to crawl your website and extracts data using gpt-4o-mini\n    Args:\n        url: URL to crawl\n        s3_uri: S3 URI where results will be uploaded\n        max_urls: Maximum number of pages to crawl (1-100, default: 10)\n\n    Returns:\n        Dictionary with job information including the job ID\n    """), # Unstructured-IO/Unstructured API MCP Server/invoke_firecrawl_llmtxt
    Tool(name="""Unstructured API MCP Server_check_llmtxt_status""", inputSchema={'properties': {'job_id': {'title': 'Job Id', 'type': 'string'}}, 'required': ['job_id'], 'title': 'check_llmtxt_statusArguments', 'type': 'object'}, description="""Check the status of an existing llmfull.txt generation job.\n\n    Args:\n        job_id: ID of the llmfull.txt generation job to check\n\n    Returns:\n        Dictionary containing the current status of the job and text content if completed\n    """), # Unstructured-IO/Unstructured API MCP Server/check_llmtxt_status
    Tool(name="""Unstructured API MCP Server_cancel_crawlhtml_job""", inputSchema={'properties': {'crawl_id': {'title': 'Crawl Id', 'type': 'string'}}, 'required': ['crawl_id'], 'title': 'cancel_crawlhtml_jobArguments', 'type': 'object'}, description="""Cancel an in-progress Firecrawl HTML crawl job.\n\n    Args:\n        crawl_id: ID of the crawl job to cancel\n\n    Returns:\n        Dictionary containing the result of the cancellation\n    """), # Unstructured-IO/Unstructured API MCP Server/cancel_crawlhtml_job
    Tool(name="""Unstructured API MCP Server_list_sources""", inputSchema={'properties': {'source_type': {'anyOf': [{'type': 'string'}, {'type': 'null'}], 'default': None, 'title': 'Source Type'}}, 'title': 'list_sourcesArguments', 'type': 'object'}, description="""\n    List available sources from the Unstructured API.\n\n    Args:\n        source_type: Optional source connector type to filter by\n\n    Returns:\n        String containing the list of sources\n    """), # Unstructured-IO/Unstructured API MCP Server/list_sources
    Tool(name="""Unstructured API MCP Server_get_source_info""", inputSchema={'properties': {'source_id': {'title': 'Source Id', 'type': 'string'}}, 'required': ['source_id'], 'title': 'get_source_infoArguments', 'type': 'object'}, description="""Get detailed information about a specific source connector.\n\n    Args:\n        source_id: ID of the source connector to get information for, should be valid UUID\n\n    Returns:\n        String containing the source connector information\n    """), # Unstructured-IO/Unstructured API MCP Server/get_source_info
    Tool(name="""Unstructured API MCP Server_list_destinations""", inputSchema={'properties': {'destination_type': {'anyOf': [{'type': 'string'}, {'type': 'null'}], 'default': None, 'title': 'Destination Type'}}, 'title': 'list_destinationsArguments', 'type': 'object'}, description="""List available destinations from the Unstructured API.\n\n    Args:\n        destination_type: Optional destination connector type to filter by\n\n    Returns:\n        String containing the list of destinations\n    """), # Unstructured-IO/Unstructured API MCP Server/list_destinations
    Tool(name="""Unstructured API MCP Server_get_destination_info""", inputSchema={'properties': {'destination_id': {'title': 'Destination Id', 'type': 'string'}}, 'required': ['destination_id'], 'title': 'get_destination_infoArguments', 'type': 'object'}, description="""Get detailed information about a specific destination connector.\n\n    Args:\n        destination_id: ID of the destination connector to get information for\n\n    Returns:\n        String containing the destination connector information\n    """), # Unstructured-IO/Unstructured API MCP Server/get_destination_info
    Tool(name="""Unstructured API MCP Server_list_workflows""", inputSchema={'properties': {'destination_id': {'anyOf': [{'type': 'string'}, {'type': 'null'}], 'default': None, 'title': 'Destination Id'}, 'source_id': {'anyOf': [{'type': 'string'}, {'type': 'null'}], 'default': None, 'title': 'Source Id'}, 'status': {'anyOf': [{'type': 'string'}, {'type': 'null'}], 'default': None, 'title': 'Status'}}, 'title': 'list_workflowsArguments', 'type': 'object'}, description="""\n    List workflows from the Unstructured API.\n\n    Args:\n        destination_id: Optional destination connector ID to filter by\n        source_id: Optional source connector ID to filter by\n        status: Optional workflow status to filter by\n\n    Returns:\n        String containing the list of workflows\n    """), # Unstructured-IO/Unstructured API MCP Server/list_workflows
    Tool(name="""Unstructured API MCP Server_get_workflow_info""", inputSchema={'properties': {'workflow_id': {'title': 'Workflow Id', 'type': 'string'}}, 'required': ['workflow_id'], 'title': 'get_workflow_infoArguments', 'type': 'object'}, description="""Get detailed information about a specific workflow.\n\n    Args:\n        workflow_id: ID of the workflow to get information for\n\n    Returns:\n        String containing the workflow information\n    """), # Unstructured-IO/Unstructured API MCP Server/get_workflow_info
    Tool(name="""Unstructured API MCP Server_create_workflow""", inputSchema={'$defs': {'CreateWorkflowTypedDict': {'properties': {'destination_id': {'$ref': '#/$defs/Nullable_str_'}, 'name': {'title': 'Name', 'type': 'string'}, 'schedule': {'$ref': '#/$defs/Nullable_Schedule_'}, 'source_id': {'$ref': '#/$defs/Nullable_str_'}, 'workflow_nodes': {'$ref': '#/$defs/Nullable_List_WorkflowNodeTypedDict__'}, 'workflow_type': {'$ref': '#/$defs/WorkflowType'}}, 'required': ['name', 'workflow_type'], 'title': 'CreateWorkflowTypedDict', 'type': 'object'}, 'Nullable_Dict_str__Any__': {'anyOf': [{'type': 'object'}, {'type': 'null'}]}, 'Nullable_List_WorkflowNodeTypedDict__': {'anyOf': [{'items': {'$ref': '#/$defs/WorkflowNodeTypedDict'}, 'type': 'array'}, {'type': 'null'}]}, 'Nullable_Schedule_': {'anyOf': [{'$ref': '#/$defs/Schedule'}, {'type': 'null'}]}, 'Nullable_str_': {'anyOf': [{'type': 'string'}, {'type': 'null'}]}, 'Schedule': {'enum': ['every 15 minutes', 'every hour', 'every 2 hours', 'every 4 hours', 'every 6 hours', 'every 8 hours', 'every 10 hours', 'every 12 hours', 'daily', 'weekly', 'monthly'], 'title': 'Schedule', 'type': 'string'}, 'WorkflowNodeType': {'enum': ['partition', 'prompter', 'chunk', 'embed'], 'title': 'WorkflowNodeType', 'type': 'string'}, 'WorkflowNodeTypedDict': {'properties': {'name': {'title': 'Name', 'type': 'string'}, 'settings': {'$ref': '#/$defs/Nullable_Dict_str__Any__'}, 'subtype': {'title': 'Subtype', 'type': 'string'}, 'type': {'$ref': '#/$defs/WorkflowNodeType'}}, 'required': ['name', 'subtype', 'type'], 'title': 'WorkflowNodeTypedDict', 'type': 'object'}, 'WorkflowType': {'enum': ['basic', 'advanced', 'platinum', 'custom'], 'title': 'WorkflowType', 'type': 'string'}}, 'properties': {'workflow_config': {'$ref': '#/$defs/CreateWorkflowTypedDict'}}, 'required': ['workflow_config'], 'title': 'create_workflowArguments', 'type': 'object'}, description="""Create a new workflow.\n\n    Args:\n        workflow_config: A Typed Dictionary containing required fields (destination_id - should be a\n        valid UUID, name, source_id - should be a valid UUID, workflow_type) and non-required fields\n        (schedule, and workflow_nodes). Note workflow_nodes is only enabled when workflow_type\n        is `custom` and is a list of WorkflowNodeTypedDict: partition, prompter,chunk, embed\n        Below is an example of a partition workflow node:\n            {\n                \"name\": \"vlm-partition\",\n                \"type\": \"partition\",\n                \"sub_type\": \"vlm\",\n                \"settings\": {\n                            \"provider\": \"your favorite provider\",\n                            \"model\": \"your favorite model\"\n                            }\n            }\n\n\n    Returns:\n        String containing the created workflow information\n    \n\nCustom workflow DAG nodes\n- If WorkflowType is set to custom, you must also specify the settings for the workflows\ndirected acyclic graph (DAG) nodes. These nodes settings are specified in the workflow_nodes array.\n- A Source node is automatically created when you specify the source_id value outside of the\nworkflow_nodes array.\n- A Destination node is automatically created when you specify the destination_id value outside\nof the workflow_nodes array.\n- You can specify Partitioner, Chunker, Prompter, and Embedder nodes.\n- The order of the nodes in the workflow_nodes array will be the same order that these nodes appear\nin the DAG, with the first node in the array added directly after the Source node.\nThe Destination node follows the last node in the array.\n- Be sure to specify nodes in the allowed order. The following DAG placements are all allowed:\n    - Source -> Partitioner -> Destination,\n    - Source -> Partitioner -> Chunker -> Destination,\n    - Source -> Partitioner -> Chunker -> Embedder -> Destination,\n    - Source -> Partitioner -> Prompter -> Chunker -> Destination,\n    - Source -> Partitioner -> Prompter -> Chunker -> Embedder -> Destination\n\nPartitioner node\nA Partitioner node has a type of partition and a subtype of auto, vlm, hi_res, or fast.\n\nExamples:\n- auto strategy:\n{\n    \"name\": \"Partitioner\",\n    \"type\": \"partition\",\n    \"subtype\": \"vlm\",\n    \"settings\": {\n        \"provider\": \"anthropic\", (required)\n        \"model\": \"claude-3-5-sonnet-20241022\", (required)\n        \"output_format\": \"text/html\",\n        \"user_prompt\": null,\n        \"format_html\": true,\n        \"unique_element_ids\": true,\n        \"is_dynamic\": true,\n        \"allow_fast\": true\n    }\n}\n\n- vlm strategy:\n    Allowed values are provider and model. Below are examples:\n        - \"provider\": \"anthropic\" \"model\": \"claude-3-5-sonnet-20241022\",\n        - \"provider\": \"openai\" \"model\": \"gpt-4o\"\n\n\n- hi_res strategy:\n{\n    \"name\": \"Partitioner\",\n    \"type\": \"partition\",\n    \"subtype\": \"unstructured_api\",\n    \"settings\": {\n        \"strategy\": \"hi_res\",\n        \"include_page_breaks\": <true|false>,\n        \"pdf_infer_table_structure\": <true|false>,\n        \"exclude_elements\": [\n            \"<element-name>\",\n            \"<element-name>\"\n        ],\n        \"xml_keep_tags\": <true|false>,\n        \"encoding\": \"<encoding>\",\n        \"ocr_languages\": [\n            \"<language>\",\n            \"<language>\"\n        ],\n        \"extract_image_block_types\": [\n            \"image\",\n            \"table\"\n        ],\n        \"infer_table_structure\": <true|false>\n    }\n}\n- fast strategy\n{\n    \"name\": \"Partitioner\",\n    \"type\": \"partition\",\n    \"subtype\": \"unstructured_api\",\n    \"settings\": {\n        \"strategy\": \"fast\",\n        \"include_page_breaks\": <true|false>,\n        \"pdf_infer_table_structure\": <true|false>,\n        \"exclude_elements\": [\n            \"<element-name>\",\n            \"<element-name>\"\n        ],\n        \"xml_keep_tags\": <true|false>,\n        \"encoding\": \"<encoding>\",\n        \"ocr_languages\": [\n            \"<language-code>\",\n            \"<language-code>\"\n        ],\n        \"extract_image_block_types\": [\n            \"image\",\n            \"table\"\n        ],\n        \"infer_table_structure\": <true|false>\n    }\n}\n\n\nChunker node\nA Chunker node has a type of chunk and subtype of chunk_by_character or chunk_by_title.\n\n- chunk_by_character\n{\n    \"name\": \"Chunker\",\n    \"type\": \"chunk\",\n    \"subtype\": \"chunk_by_character\",\n    \"settings\": {\n        \"include_orig_elements\": <true|false>,\n        \"new_after_n_chars\": <new-after-n-chars>, (required, if not provided\nset same as max_characters)\n        \"max_characters\": <max-characters>, (required)\n        \"overlap\": <overlap>, (required, if not provided set default to 0)\n        \"overlap_all\": <true|false>,\n        \"contextual_chunking_strategy\": \"v1\"\n    }\n}\n\n- chunk_by_title\n{\n    \"name\": \"Chunker\",\n    \"type\": \"chunk\",\n    \"subtype\": \"chunk_by_title\",\n    \"settings\": {\n        \"multipage_sections\": <true|false>,\n        \"combine_text_under_n_chars\": <combine-text-under-n-chars>,\n        \"include_orig_elements\": <true|false>,\n        \"new_after_n_chars\": <new-after-n-chars>,  (required, if not provided\nset same as max_characters)\n        \"max_characters\": <max-characters>, (required)\n        \"overlap\": <overlap>,  (required, if not provided set default to 0)\n        \"overlap_all\": <true|false>,\n        \"contextual_chunking_strategy\": \"v1\"\n    }\n}\n\n\nPrompter node\nAn Prompter node has a type of prompter and subtype of:\n- openai_image_description,\n- anthropic_image_description,\n- bedrock_image_description,\n- vertexai_image_description,\n- openai_table_description,\n- anthropic_table_description,\n- bedrock_table_description,\n- vertexai_table_description,\n- openai_table2html,\n- openai_ner\n\nExample:\n{\n    \"name\": \"Prompter\",\n    \"type\": \"prompter\",\n    \"subtype\": \"<subtype>\",\n    \"settings\": {}\n}\n\n\nEmbedder node\nAn Embedder node has a type of embed\n\nAllowed values for subtype and model_name include:\n\n- \"subtype\": \"azure_openai\"\n    - \"model_name\": \"text-embedding-3-small\"\n    - \"model_name\": \"text-embedding-3-large\"\n    - \"model_name\": \"text-embedding-ada-002\"\n- \"subtype\": \"bedrock\"\n    - \"model_name\": \"amazon.titan-embed-text-v2:0\"\n    - \"model_name\": \"amazon.titan-embed-text-v1\"\n    - \"model_name\": \"amazon.titan-embed-image-v1\"\n    - \"model_name\": \"cohere.embed-english-v3\"\n    - \"model_name\": \"cohere.embed-multilingual-v3\"\n- \"subtype\": \"togetherai\":\n    - \"model_name\": \"togethercomputer/m2-bert-80M-2k-retrieval\"\n    - \"model_name\": \"togethercomputer/m2-bert-80M-8k-retrieval\"\n    - \"model_name\": \"togethercomputer/m2-bert-80M-32k-retrieval\"\n\nExample:\n{\n    \"name\": \"Embedder\",\n    \"type\": \"embed\",\n    \"subtype\": \"<subtype>\",\n    \"settings\": {\n        \"model_name\": \"<model-name>\"\n    }\n}\n"""), # Unstructured-IO/Unstructured API MCP Server/create_workflow
    Tool(name="""Unstructured API MCP Server_run_workflow""", inputSchema={'properties': {'workflow_id': {'title': 'Workflow Id', 'type': 'string'}}, 'required': ['workflow_id'], 'title': 'run_workflowArguments', 'type': 'object'}, description="""Run a specific workflow.\n\n    Args:\n        workflow_id: ID of the workflow to run\n\n    Returns:\n        String containing the response from the workflow execution\n    """), # Unstructured-IO/Unstructured API MCP Server/run_workflow
    Tool(name="""Unstructured API MCP Server_update_workflow""", inputSchema={'$defs': {'CreateWorkflowTypedDict': {'properties': {'destination_id': {'$ref': '#/$defs/Nullable_str_'}, 'name': {'title': 'Name', 'type': 'string'}, 'schedule': {'$ref': '#/$defs/Nullable_Schedule_'}, 'source_id': {'$ref': '#/$defs/Nullable_str_'}, 'workflow_nodes': {'$ref': '#/$defs/Nullable_List_WorkflowNodeTypedDict__'}, 'workflow_type': {'$ref': '#/$defs/WorkflowType'}}, 'required': ['name', 'workflow_type'], 'title': 'CreateWorkflowTypedDict', 'type': 'object'}, 'Nullable_Dict_str__Any__': {'anyOf': [{'type': 'object'}, {'type': 'null'}]}, 'Nullable_List_WorkflowNodeTypedDict__': {'anyOf': [{'items': {'$ref': '#/$defs/WorkflowNodeTypedDict'}, 'type': 'array'}, {'type': 'null'}]}, 'Nullable_Schedule_': {'anyOf': [{'$ref': '#/$defs/Schedule'}, {'type': 'null'}]}, 'Nullable_str_': {'anyOf': [{'type': 'string'}, {'type': 'null'}]}, 'Schedule': {'enum': ['every 15 minutes', 'every hour', 'every 2 hours', 'every 4 hours', 'every 6 hours', 'every 8 hours', 'every 10 hours', 'every 12 hours', 'daily', 'weekly', 'monthly'], 'title': 'Schedule', 'type': 'string'}, 'WorkflowNodeType': {'enum': ['partition', 'prompter', 'chunk', 'embed'], 'title': 'WorkflowNodeType', 'type': 'string'}, 'WorkflowNodeTypedDict': {'properties': {'name': {'title': 'Name', 'type': 'string'}, 'settings': {'$ref': '#/$defs/Nullable_Dict_str__Any__'}, 'subtype': {'title': 'Subtype', 'type': 'string'}, 'type': {'$ref': '#/$defs/WorkflowNodeType'}}, 'required': ['name', 'subtype', 'type'], 'title': 'WorkflowNodeTypedDict', 'type': 'object'}, 'WorkflowType': {'enum': ['basic', 'advanced', 'platinum', 'custom'], 'title': 'WorkflowType', 'type': 'string'}}, 'properties': {'workflow_config': {'$ref': '#/$defs/CreateWorkflowTypedDict'}, 'workflow_id': {'title': 'Workflow Id', 'type': 'string'}}, 'required': ['workflow_id', 'workflow_config'], 'title': 'update_workflowArguments', 'type': 'object'}, description="""Update an existing workflow.\n\n    Args:\n        workflow_id: ID of the workflow to update\n        workflow_config: A Typed Dictionary containing required fields (destination_id,\n        name, source_id, workflow_type) and non-required fields (schedule, and workflow_nodes)\n\n    Returns:\n        String containing the updated workflow information\n    \n\nCustom workflow DAG nodes\n- If WorkflowType is set to custom, you must also specify the settings for the workflows\ndirected acyclic graph (DAG) nodes. These nodes settings are specified in the workflow_nodes array.\n- A Source node is automatically created when you specify the source_id value outside of the\nworkflow_nodes array.\n- A Destination node is automatically created when you specify the destination_id value outside\nof the workflow_nodes array.\n- You can specify Partitioner, Chunker, Prompter, and Embedder nodes.\n- The order of the nodes in the workflow_nodes array will be the same order that these nodes appear\nin the DAG, with the first node in the array added directly after the Source node.\nThe Destination node follows the last node in the array.\n- Be sure to specify nodes in the allowed order. The following DAG placements are all allowed:\n    - Source -> Partitioner -> Destination,\n    - Source -> Partitioner -> Chunker -> Destination,\n    - Source -> Partitioner -> Chunker -> Embedder -> Destination,\n    - Source -> Partitioner -> Prompter -> Chunker -> Destination,\n    - Source -> Partitioner -> Prompter -> Chunker -> Embedder -> Destination\n\nPartitioner node\nA Partitioner node has a type of partition and a subtype of auto, vlm, hi_res, or fast.\n\nExamples:\n- auto strategy:\n{\n    \"name\": \"Partitioner\",\n    \"type\": \"partition\",\n    \"subtype\": \"vlm\",\n    \"settings\": {\n        \"provider\": \"anthropic\", (required)\n        \"model\": \"claude-3-5-sonnet-20241022\", (required)\n        \"output_format\": \"text/html\",\n        \"user_prompt\": null,\n        \"format_html\": true,\n        \"unique_element_ids\": true,\n        \"is_dynamic\": true,\n        \"allow_fast\": true\n    }\n}\n\n- vlm strategy:\n    Allowed values are provider and model. Below are examples:\n        - \"provider\": \"anthropic\" \"model\": \"claude-3-5-sonnet-20241022\",\n        - \"provider\": \"openai\" \"model\": \"gpt-4o\"\n\n\n- hi_res strategy:\n{\n    \"name\": \"Partitioner\",\n    \"type\": \"partition\",\n    \"subtype\": \"unstructured_api\",\n    \"settings\": {\n        \"strategy\": \"hi_res\",\n        \"include_page_breaks\": <true|false>,\n        \"pdf_infer_table_structure\": <true|false>,\n        \"exclude_elements\": [\n            \"<element-name>\",\n            \"<element-name>\"\n        ],\n        \"xml_keep_tags\": <true|false>,\n        \"encoding\": \"<encoding>\",\n        \"ocr_languages\": [\n            \"<language>\",\n            \"<language>\"\n        ],\n        \"extract_image_block_types\": [\n            \"image\",\n            \"table\"\n        ],\n        \"infer_table_structure\": <true|false>\n    }\n}\n- fast strategy\n{\n    \"name\": \"Partitioner\",\n    \"type\": \"partition\",\n    \"subtype\": \"unstructured_api\",\n    \"settings\": {\n        \"strategy\": \"fast\",\n        \"include_page_breaks\": <true|false>,\n        \"pdf_infer_table_structure\": <true|false>,\n        \"exclude_elements\": [\n            \"<element-name>\",\n            \"<element-name>\"\n        ],\n        \"xml_keep_tags\": <true|false>,\n        \"encoding\": \"<encoding>\",\n        \"ocr_languages\": [\n            \"<language-code>\",\n            \"<language-code>\"\n        ],\n        \"extract_image_block_types\": [\n            \"image\",\n            \"table\"\n        ],\n        \"infer_table_structure\": <true|false>\n    }\n}\n\n\nChunker node\nA Chunker node has a type of chunk and subtype of chunk_by_character or chunk_by_title.\n\n- chunk_by_character\n{\n    \"name\": \"Chunker\",\n    \"type\": \"chunk\",\n    \"subtype\": \"chunk_by_character\",\n    \"settings\": {\n        \"include_orig_elements\": <true|false>,\n        \"new_after_n_chars\": <new-after-n-chars>, (required, if not provided\nset same as max_characters)\n        \"max_characters\": <max-characters>, (required)\n        \"overlap\": <overlap>, (required, if not provided set default to 0)\n        \"overlap_all\": <true|false>,\n        \"contextual_chunking_strategy\": \"v1\"\n    }\n}\n\n- chunk_by_title\n{\n    \"name\": \"Chunker\",\n    \"type\": \"chunk\",\n    \"subtype\": \"chunk_by_title\",\n    \"settings\": {\n        \"multipage_sections\": <true|false>,\n        \"combine_text_under_n_chars\": <combine-text-under-n-chars>,\n        \"include_orig_elements\": <true|false>,\n        \"new_after_n_chars\": <new-after-n-chars>,  (required, if not provided\nset same as max_characters)\n        \"max_characters\": <max-characters>, (required)\n        \"overlap\": <overlap>,  (required, if not provided set default to 0)\n        \"overlap_all\": <true|false>,\n        \"contextual_chunking_strategy\": \"v1\"\n    }\n}\n\n\nPrompter node\nAn Prompter node has a type of prompter and subtype of:\n- openai_image_description,\n- anthropic_image_description,\n- bedrock_image_description,\n- vertexai_image_description,\n- openai_table_description,\n- anthropic_table_description,\n- bedrock_table_description,\n- vertexai_table_description,\n- openai_table2html,\n- openai_ner\n\nExample:\n{\n    \"name\": \"Prompter\",\n    \"type\": \"prompter\",\n    \"subtype\": \"<subtype>\",\n    \"settings\": {}\n}\n\n\nEmbedder node\nAn Embedder node has a type of embed\n\nAllowed values for subtype and model_name include:\n\n- \"subtype\": \"azure_openai\"\n    - \"model_name\": \"text-embedding-3-small\"\n    - \"model_name\": \"text-embedding-3-large\"\n    - \"model_name\": \"text-embedding-ada-002\"\n- \"subtype\": \"bedrock\"\n    - \"model_name\": \"amazon.titan-embed-text-v2:0\"\n    - \"model_name\": \"amazon.titan-embed-text-v1\"\n    - \"model_name\": \"amazon.titan-embed-image-v1\"\n    - \"model_name\": \"cohere.embed-english-v3\"\n    - \"model_name\": \"cohere.embed-multilingual-v3\"\n- \"subtype\": \"togetherai\":\n    - \"model_name\": \"togethercomputer/m2-bert-80M-2k-retrieval\"\n    - \"model_name\": \"togethercomputer/m2-bert-80M-8k-retrieval\"\n    - \"model_name\": \"togethercomputer/m2-bert-80M-32k-retrieval\"\n\nExample:\n{\n    \"name\": \"Embedder\",\n    \"type\": \"embed\",\n    \"subtype\": \"<subtype>\",\n    \"settings\": {\n        \"model_name\": \"<model-name>\"\n    }\n}\n"""), # Unstructured-IO/Unstructured API MCP Server/update_workflow
    Tool(name="""Unstructured API MCP Server_delete_workflow""", inputSchema={'properties': {'workflow_id': {'title': 'Workflow Id', 'type': 'string'}}, 'required': ['workflow_id'], 'title': 'delete_workflowArguments', 'type': 'object'}, description="""Delete a specific workflow.\n\n    Args:\n        workflow_id: ID of the workflow to delete\n\n    Returns:\n        String containing the response from the workflow deletion\n    """), # Unstructured-IO/Unstructured API MCP Server/delete_workflow
    Tool(name="""Unstructured API MCP Server_list_jobs""", inputSchema={'properties': {'status': {'anyOf': [{'type': 'string'}, {'type': 'null'}], 'default': None, 'title': 'Status'}, 'workflow_id': {'anyOf': [{'type': 'string'}, {'type': 'null'}], 'default': None, 'title': 'Workflow Id'}}, 'title': 'list_jobsArguments', 'type': 'object'}, description="""\n    List jobs via the Unstructured API.\n\n    Args:\n        workflow_id: Optional workflow ID to filter by\n        status: Optional job status to filter by\n\n    Returns:\n        String containing the list of jobs\n    """), # Unstructured-IO/Unstructured API MCP Server/list_jobs
    Tool(name="""Unstructured API MCP Server_get_job_info""", inputSchema={'properties': {'job_id': {'title': 'Job Id', 'type': 'string'}}, 'required': ['job_id'], 'title': 'get_job_infoArguments', 'type': 'object'}, description="""Get detailed information about a specific job.\n\n    Args:\n        job_id: ID of the job to get information for\n\n    Returns:\n        String containing the job information\n    """), # Unstructured-IO/Unstructured API MCP Server/get_job_info
    Tool(name="""Unstructured API MCP Server_cancel_job""", inputSchema={'properties': {'job_id': {'title': 'Job Id', 'type': 'string'}}, 'required': ['job_id'], 'title': 'cancel_jobArguments', 'type': 'object'}, description="""Delete a specific job.\n\n    Args:\n        job_id: ID of the job to cancel\n\n    Returns:\n        String containing the response from the job cancellation\n    """), # Unstructured-IO/Unstructured API MCP Server/cancel_job
    Tool(name="""replicate-flux-mcp_generate_image""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'aspect_ratio': {'default': '1:1', 'description': 'Aspect ratio for the generated image', 'enum': ['1:1', '16:9', '21:9', '3:2', '2:3', '4:5', '5:4', '3:4', '4:3', '9:16', '9:21'], 'type': 'string'}, 'disable_safety_checker': {'default': False, 'description': 'Disable safety checker for generated images.', 'type': 'boolean'}, 'go_fast': {'default': True, 'description': 'Run faster predictions with model optimized for speed (currently fp8 quantized); disable to run in original bf16', 'type': 'boolean'}, 'megapixels': {'default': '1', 'description': 'Approximate number of megapixels for generated image', 'enum': ['1', '0.25'], 'type': 'string'}, 'num_inference_steps': {'default': 4, 'description': 'Number of denoising steps. 4 is recommended, and lower number of steps produce lower quality outputs, faster.', 'maximum': 4, 'minimum': 1, 'type': 'integer'}, 'num_outputs': {'default': 1, 'description': 'Number of outputs to generate', 'maximum': 4, 'minimum': 1, 'type': 'integer'}, 'output_format': {'default': 'webp', 'description': 'Format of the output images', 'enum': ['webp', 'jpg', 'png'], 'type': 'string'}, 'output_quality': {'default': 80, 'description': 'Quality when saving the output images, from 0 to 100. 100 is best quality, 0 is lowest quality. Not relevant for .png outputs', 'maximum': 100, 'minimum': 0, 'type': 'integer'}, 'prompt': {'description': 'Prompt for generated image', 'minLength': 1, 'type': 'string'}, 'seed': {'description': 'Random seed. Set for reproducible generation', 'type': 'integer'}, 'support_image_mcp_response_type': {'default': True, 'description': "Disable if the image type is not supported in the response, if it's Cursor app for example", 'type': 'boolean'}}, 'required': ['prompt'], 'type': 'object'}, description="""Generate an image from a text prompt using Flux Schnell model"""), # awkoy/replicate-flux-mcp/generate_image
    Tool(name="""replicate-flux-mcp_generate_multiple_images""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'aspect_ratio': {'default': '1:1', 'description': 'Aspect ratio for the generated image', 'enum': ['1:1', '16:9', '21:9', '3:2', '2:3', '4:5', '5:4', '3:4', '4:3', '9:16', '9:21'], 'type': 'string'}, 'disable_safety_checker': {'default': False, 'description': 'Disable safety checker for generated images.', 'type': 'boolean'}, 'go_fast': {'default': True, 'description': 'Run faster predictions with model optimized for speed (currently fp8 quantized); disable to run in original bf16', 'type': 'boolean'}, 'megapixels': {'default': '1', 'description': 'Approximate number of megapixels for generated image', 'enum': ['1', '0.25'], 'type': 'string'}, 'num_inference_steps': {'default': 4, 'description': 'Number of denoising steps. 4 is recommended, and lower number of steps produce lower quality outputs, faster.', 'maximum': 4, 'minimum': 1, 'type': 'integer'}, 'output_format': {'default': 'webp', 'description': 'Format of the output images', 'enum': ['webp', 'jpg', 'png'], 'type': 'string'}, 'output_quality': {'default': 80, 'description': 'Quality when saving the output images, from 0 to 100. 100 is best quality, 0 is lowest quality. Not relevant for .png outputs', 'maximum': 100, 'minimum': 0, 'type': 'integer'}, 'prompts': {'description': 'Array of text descriptions for the images to generate', 'items': {'minLength': 1, 'type': 'string'}, 'maxItems': 10, 'minItems': 1, 'type': 'array'}, 'seed': {'description': 'Random seed. Set for reproducible generation', 'type': 'integer'}, 'support_image_mcp_response_type': {'default': True, 'description': "Disable if the image type is not supported in the response, if it's Cursor app for example", 'type': 'boolean'}}, 'required': ['prompts'], 'type': 'object'}, description="""Generate multiple images from an array of prompts using Flux Schnell model"""), # awkoy/replicate-flux-mcp/generate_multiple_images
    Tool(name="""replicate-flux-mcp_generate_image_variants""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'aspect_ratio': {'default': '1:1', 'description': 'Aspect ratio for the generated image', 'enum': ['1:1', '16:9', '21:9', '3:2', '2:3', '4:5', '5:4', '3:4', '4:3', '9:16', '9:21'], 'type': 'string'}, 'disable_safety_checker': {'default': False, 'description': 'Disable safety checker for generated images.', 'type': 'boolean'}, 'go_fast': {'default': True, 'description': 'Run faster predictions with model optimized for speed (currently fp8 quantized); disable to run in original bf16', 'type': 'boolean'}, 'megapixels': {'default': '1', 'description': 'Approximate number of megapixels for generated image', 'enum': ['1', '0.25'], 'type': 'string'}, 'num_inference_steps': {'default': 4, 'description': 'Number of denoising steps. 4 is recommended, and lower number of steps produce lower quality outputs, faster.', 'maximum': 4, 'minimum': 1, 'type': 'integer'}, 'num_variants': {'default': 4, 'description': 'Number of image variants to generate (2-10)', 'maximum': 10, 'minimum': 2, 'type': 'integer'}, 'output_format': {'default': 'webp', 'description': 'Format of the output images', 'enum': ['webp', 'jpg', 'png'], 'type': 'string'}, 'output_quality': {'default': 80, 'description': 'Quality when saving the output images, from 0 to 100. 100 is best quality, 0 is lowest quality. Not relevant for .png outputs', 'maximum': 100, 'minimum': 0, 'type': 'integer'}, 'prompt': {'description': 'Text description for the image to generate variants of', 'minLength': 1, 'type': 'string'}, 'prompt_variations': {'description': "Optional list of prompt modifiers to apply to variants (e.g., ['in watercolor style', 'in oil painting style']). If provided, these will be used instead of random seeds.", 'items': {'type': 'string'}, 'type': 'array'}, 'seed': {'description': 'Base random seed. Each variant will use seed+variant_index for reproducibility', 'type': 'integer'}, 'support_image_mcp_response_type': {'default': True, 'description': 'Support image MCP response type on client side', 'type': 'boolean'}, 'variation_mode': {'default': 'append', 'description': "How to apply prompt variations: 'append' adds to the base prompt, 'replace' uses variations as standalone prompts", 'enum': ['append', 'replace'], 'type': 'string'}}, 'required': ['prompt'], 'type': 'object'}, description="""Generate multiple variants of the same image from a single prompt"""), # awkoy/replicate-flux-mcp/generate_image_variants
    Tool(name="""replicate-flux-mcp_generate_svg""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'prompt': {'description': 'Prompt for generated SVG', 'minLength': 1, 'type': 'string'}, 'size': {'default': '1024x1024', 'description': 'Size of the generated SVG', 'enum': ['1024x1024', '1365x1024', '1024x1365', '1536x1024', '1024x1536', '1820x1024', '1024x1820', '1024x2048', '2048x1024', '1434x1024', '1024x1434', '1024x1280', '1280x1024', '1024x1707', '1707x1024'], 'type': 'string'}, 'style': {'default': 'any', 'description': 'Style of the generated image.', 'enum': ['any', 'engraving', 'line_art', 'line_circuit', 'linocut'], 'type': 'string'}}, 'required': ['prompt'], 'type': 'object'}, description="""Generate an SVG from a text prompt using Recraft model"""), # awkoy/replicate-flux-mcp/generate_svg
    Tool(name="""replicate-flux-mcp_get_prediction""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'predictionId': {'description': 'ID of the prediction to retrieve', 'minLength': 1, 'type': 'string'}}, 'required': ['predictionId'], 'type': 'object'}, description="""Get details of a specific prediction by ID"""), # awkoy/replicate-flux-mcp/get_prediction
    Tool(name="""replicate-flux-mcp_create_prediction""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'aspect_ratio': {'default': '1:1', 'description': 'Aspect ratio for the generated image', 'enum': ['1:1', '16:9', '21:9', '3:2', '2:3', '4:5', '5:4', '3:4', '4:3', '9:16', '9:21'], 'type': 'string'}, 'disable_safety_checker': {'default': False, 'description': 'Disable safety checker for generated images.', 'type': 'boolean'}, 'go_fast': {'default': True, 'description': 'Run faster predictions with model optimized for speed (currently fp8 quantized); disable to run in original bf16', 'type': 'boolean'}, 'megapixels': {'default': '1', 'description': 'Approximate number of megapixels for generated image', 'enum': ['1', '0.25'], 'type': 'string'}, 'num_inference_steps': {'default': 4, 'description': 'Number of denoising steps. 4 is recommended, and lower number of steps produce lower quality outputs, faster.', 'maximum': 4, 'minimum': 1, 'type': 'integer'}, 'num_outputs': {'default': 1, 'description': 'Number of outputs to generate', 'maximum': 4, 'minimum': 1, 'type': 'integer'}, 'output_format': {'default': 'webp', 'description': 'Format of the output images', 'enum': ['webp', 'jpg', 'png'], 'type': 'string'}, 'output_quality': {'default': 80, 'description': 'Quality when saving the output images, from 0 to 100. 100 is best quality, 0 is lowest quality. Not relevant for .png outputs', 'maximum': 100, 'minimum': 0, 'type': 'integer'}, 'prompt': {'description': 'Prompt for generated image', 'minLength': 1, 'type': 'string'}, 'seed': {'description': 'Random seed. Set for reproducible generation', 'type': 'integer'}}, 'required': ['prompt'], 'type': 'object'}, description="""Generate an prediction from a text prompt using Flux Schnell model"""), # awkoy/replicate-flux-mcp/create_prediction
    Tool(name="""replicate-flux-mcp_prediction_list""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'limit': {'default': 50, 'description': 'Maximum number of predictions to return', 'maximum': 100, 'minimum': 1, 'type': 'integer'}}, 'type': 'object'}, description="""Get a list of recent predictions from Replicate"""), # awkoy/replicate-flux-mcp/prediction_list
    Tool(name="""Chain of Draft Thinking_chain-of-draft""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'critique_focus': {'description': "The specific aspect or dimension being critiqued in the current evaluation (e.g., 'logical_consistency', 'factual_accuracy', 'completeness', 'clarity', 'relevance'). Required when is_critique is true.", 'minLength': 1, 'type': 'string'}, 'draft_number': {'description': 'Current draft number in the iteration sequence (must be >= 1). Increments with each new critique or revision.', 'minimum': 1, 'type': 'number'}, 'is_critique': {'description': 'Boolean flag indicating whether the current step is a critique phase (true) evaluating previous reasoning, or a revision phase (false) implementing improvements.', 'type': 'boolean'}, 'is_final_draft': {'description': 'Boolean flag indicating whether this is the final draft in the reasoning process. Helps signal the completion of the iterative refinement.', 'type': 'boolean'}, 'new_reasoning_steps': {'description': 'New reasoning steps to add to the chain', 'items': {'minLength': 1, 'type': 'string'}, 'minItems': 1, 'type': 'array'}, 'next_step_needed': {'description': 'Boolean flag indicating whether another critique or revision cycle is needed in the reasoning chain. Set to false only when the final, satisfactory conclusion has been reached.', 'type': 'boolean'}, 'reasoning_chain': {'description': 'Array of strings representing the current chain of reasoning steps. Each step should be a clear, complete thought that contributes to the overall analysis or solution.', 'items': {'minLength': 1, 'type': 'string'}, 'minItems': 1, 'type': 'array'}, 'revision_instructions': {'description': 'Detailed, actionable guidance for how to revise the reasoning based on the preceding critique. Should directly address issues identified in the critique. Required when is_critique is false.', 'minLength': 1, 'type': 'string'}, 'step_to_review': {'description': 'Zero-based index of the specific reasoning step being targeted for critique or revision. When omitted, the critique or revision applies to the entire reasoning chain.', 'minimum': 0, 'type': 'number'}, 'total_drafts': {'description': 'Estimated total number of drafts needed to reach a complete solution (must be >= draft_number). Can be adjusted as the solution evolves.', 'minimum': 1, 'type': 'number'}}, 'required': ['reasoning_chain', 'next_step_needed', 'draft_number', 'total_drafts', 'new_reasoning_steps'], 'type': 'object'}, description="""\n    # Chain of Draft (CoD): Systematic Reasoning Tool\n\n    \n REQUIRED PARAMETERS - ALL MUST BE PROVIDED:\n1. reasoning_chain: string[] - At least one reasoning step\n2. next_step_needed: boolean - Whether another iteration is needed\n3. draft_number: number - Current draft number ( 1)\n4. total_drafts: number - Total planned drafts ( draft_number)\n\nOptional parameters only required based on context:\n- is_critique?: boolean - If true, critique_focus is required\n- critique_focus?: string - Required when is_critique=true\n- revision_instructions?: string - Recommended for revision steps\n- step_to_review?: number - Specific step index to review\n- is_final_draft?: boolean - Marks final iteration\n\n\n    ## Purpose:\n    Enhances problem-solving through structured, iterative critique and revision.\n\n    Chain of Draft is an advanced reasoning tool that enhances problem-solving through structured, iterative critique and revision. Unlike traditional reasoning approaches, CoD mimics the human drafting process to improve clarity, accuracy, and robustness of conclusions.\n\n    ## When to Use This Tool:\n    - **Complex Problem-Solving:** Tasks requiring detailed, multi-step analysis with high accuracy demands\n    - **Critical Reasoning:** Problems where logical flow and consistency are essential\n    - **Error-Prone Scenarios:** Questions where initial reasoning might contain mistakes or oversight\n    - **Multi-Perspective Analysis:** Cases benefiting from examining a problem from different angles\n    - **Self-Correction Needs:** When validation and refinement of initial thoughts are crucial\n    - **Detailed Solutions:** Tasks requiring comprehensive explanations with supporting evidence\n    - **Mathematical or Logical Puzzles:** Problems with potential for calculation errors or logical gaps\n    - **Nuanced Analysis:** Situations with subtle distinctions that might be missed in a single pass\n\n    ## Key Capabilities:\n    - **Iterative Improvement:** Systematically refines reasoning through multiple drafts\n    - **Self-Critique:** Critically examines previous reasoning to identify flaws and opportunities\n    - **Focused Revision:** Targets specific aspects of reasoning in each iteration\n    - **Perspective Flexibility:** Can adopt different analytical viewpoints during critique\n    - **Progressive Refinement:** Builds toward optimal solutions through controlled iterations\n    - **Context Preservation:** Maintains understanding across multiple drafts and revisions\n    - **Adaptable Depth:** Adjusts the number of iterations based on problem complexity\n    - **Targeted Improvements:** Addresses specific weaknesses in each revision cycle\n\n    ## Parameters Explained:\n    - **reasoning_chain:** Array of strings representing your current reasoning steps. Each element should contain a clear, complete thought that contributes to the overall analysis.\n    \n    - **next_step_needed:** Boolean flag indicating whether additional critique or revision is required. Set to true until the final, refined reasoning chain is complete.\n    \n    - **draft_number:** Integer tracking the current iteration (starting from 1). Increments with each critique or revision.\n    \n    - **total_drafts:** Estimated number of drafts needed for completion. This can be adjusted as the solution evolves.\n    \n    - **is_critique:** Boolean indicating the current mode:\n      * true = Evaluating previous reasoning\n      * false = Implementing revisions\n    \n    - **critique_focus:** (Required when is_critique=true) Specific aspect being evaluated, such as:\n      * \"logical_consistency\": Checking for contradictions or flaws in reasoning\n      * \"factual_accuracy\": Verifying correctness of facts and calculations\n      * \"completeness\": Ensuring all relevant aspects are considered\n      * \"clarity\": Evaluating how understandable the reasoning is\n      * \"relevance\": Assessing if reasoning directly addresses the problem\n    \n    - **revision_instructions:** (Required when is_critique=false) Detailed guidance for improving the reasoning based on the preceding critique.\n    \n    - **step_to_review:** (Optional) Zero-based index of the specific reasoning step being critiqued or revised. When omitted, applies to the entire chain.\n    \n    - **is_final_draft:** (Optional) Boolean indicating whether this is the final iteration of reasoning.\n\n    ## Best Practice Workflow:\n    1. **Start with Initial Draft:** Begin with your first-pass reasoning and set a reasonable total_drafts (typically 3-5).\n    \n    2. **Alternate Critique and Revision:** Use is_critique=true to evaluate reasoning, then is_critique=false to implement improvements.\n    \n    3. **Focus Each Critique:** Choose a specific critique_focus for each evaluation cycle rather than attempting to address everything at once.\n    \n    4. **Provide Detailed Revision Guidance:** Include specific, actionable revision_instructions based on each critique.\n    \n    5. **Target Specific Steps When Needed:** Use step_to_review to focus on particular reasoning steps that need improvement.\n    \n    6. **Adjust Total Drafts As Needed:** Modify total_drafts based on problem complexity and progress.\n    \n    7. **Mark Completion Appropriately:** Set next_step_needed=false only when the reasoning chain is complete and satisfactory.\n    \n    8. **Aim for Progressive Improvement:** Each iteration should measurably improve the reasoning quality.\n\n    ## Example Application:\n    - **Initial Draft:** First-pass reasoning about a complex problem\n    - **Critique #1:** Focus on logical consistency and identify contradictions\n    - **Revision #1:** Address logical flaws found in the critique\n    - **Critique #2:** Focus on completeness and identify missing considerations\n    - **Revision #2:** Incorporate overlooked aspects and strengthen reasoning\n    - **Final Critique:** Holistic review of clarity and relevance\n    - **Final Revision:** Refine presentation and ensure direct addressing of the problem\n\n    Chain of Draft is particularly effective when complex reasoning must be broken down into clear steps, analyzed from multiple perspectives, and refined through systematic critique. By mimicking the human drafting process, it produces more robust and accurate reasoning than single-pass approaches.\n"""), # bsmi021/Chain of Draft Thinking/chain-of-draft
    Tool(name="""AgentQL MCP Server_extract-web-data""", inputSchema={'properties': {'prompt': {'description': 'Natural Language description of the data to extract from the page', 'type': 'string'}, 'url': {'description': 'The URL of the public webpage to extract data from', 'type': 'string'}}, 'required': ['url', 'prompt'], 'type': 'object'}, description="""Extracts structured data as JSON from a web page given a URL using a Natural Language description of the data."""), # tinyfish-io/AgentQL MCP Server/extract-web-data
    Tool(name="""Opik MCP Server_create-project""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'description': {'description': 'Description of the project', 'type': 'string'}, 'name': {'description': 'Name of the project', 'type': 'string'}, 'workspaceName': {'description': 'Workspace name to use instead of the default', 'type': 'string'}}, 'required': ['name'], 'type': 'object'}, description="""Create a new project/workspace"""), # comet-ml/Opik MCP Server/create-project
    Tool(name="""Opik MCP Server_list-prompts""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'page': {'description': 'Page number for pagination', 'type': 'number'}, 'size': {'description': 'Number of items per page', 'type': 'number'}}, 'required': ['page', 'size'], 'type': 'object'}, description="""Get a list of Opik prompts"""), # comet-ml/Opik MCP Server/list-prompts
    Tool(name="""Opik MCP Server_create-prompt""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'name': {'description': 'Name of the prompt', 'type': 'string'}}, 'required': ['name'], 'type': 'object'}, description="""Create a new prompt"""), # comet-ml/Opik MCP Server/create-prompt
    Tool(name="""Opik MCP Server_create-prompt-version""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'commit_message': {'description': 'Commit message for the prompt version', 'type': 'string'}, 'name': {'description': 'Name of the original prompt', 'type': 'string'}, 'template': {'description': 'Template content for the prompt version', 'type': 'string'}}, 'required': ['name', 'template', 'commit_message'], 'type': 'object'}, description="""Create a new version of a prompt"""), # comet-ml/Opik MCP Server/create-prompt-version
    Tool(name="""Opik MCP Server_get-prompt-by-id""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'promptId': {'description': 'ID of the prompt to fetch', 'type': 'string'}}, 'required': ['promptId'], 'type': 'object'}, description="""Get a single prompt by ID"""), # comet-ml/Opik MCP Server/get-prompt-by-id
    Tool(name="""Opik MCP Server_update-prompt""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'name': {'description': 'New name for the prompt', 'type': 'string'}, 'promptId': {'description': 'ID of the prompt to update', 'type': 'string'}}, 'required': ['promptId', 'name'], 'type': 'object'}, description="""Update a prompt"""), # comet-ml/Opik MCP Server/update-prompt
    Tool(name="""Opik MCP Server_delete-prompt""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'promptId': {'description': 'ID of the prompt to delete', 'type': 'string'}}, 'required': ['promptId'], 'type': 'object'}, description="""Delete a prompt"""), # comet-ml/Opik MCP Server/delete-prompt
    Tool(name="""Opik MCP Server_list-projects""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'page': {'description': 'Page number for pagination', 'type': 'number'}, 'size': {'description': 'Number of items per page', 'type': 'number'}, 'sortBy': {'description': 'Sort projects by this field', 'type': 'string'}, 'sortOrder': {'description': 'Sort order (asc or desc)', 'type': 'string'}, 'workspaceName': {'description': 'Workspace name to use instead of the default', 'type': 'string'}}, 'required': ['page', 'size'], 'type': 'object'}, description="""Get a list of projects/workspaces"""), # comet-ml/Opik MCP Server/list-projects
    Tool(name="""Opik MCP Server_get-project-by-id""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'projectId': {'description': 'ID of the project to fetch', 'type': 'string'}, 'workspaceName': {'description': 'Workspace name to use instead of the default', 'type': 'string'}}, 'required': ['projectId'], 'type': 'object'}, description="""Get a single project by ID"""), # comet-ml/Opik MCP Server/get-project-by-id
    Tool(name="""Opik MCP Server_update-project""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'description': {'description': 'New project description', 'type': 'string'}, 'name': {'description': 'New project name', 'type': 'string'}, 'projectId': {'description': 'ID of the project to update', 'type': 'string'}, 'workspaceName': {'description': 'Workspace name to use instead of the default', 'type': 'string'}}, 'required': ['projectId'], 'type': 'object'}, description="""Update a project"""), # comet-ml/Opik MCP Server/update-project
    Tool(name="""Opik MCP Server_delete-project""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'projectId': {'description': 'ID of the project to delete', 'type': 'string'}, 'workspaceName': {'description': 'Workspace name to use instead of the default', 'type': 'string'}}, 'required': ['projectId'], 'type': 'object'}, description="""Delete a project"""), # comet-ml/Opik MCP Server/delete-project
    Tool(name="""Opik MCP Server_list-traces""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'page': {'description': 'Page number for pagination', 'type': 'number'}, 'projectId': {'description': 'Project ID to filter traces', 'type': 'string'}, 'projectName': {'description': 'Project name to filter traces', 'type': 'string'}, 'size': {'description': 'Number of items per page', 'type': 'number'}, 'workspaceName': {'description': 'Workspace name to use instead of the default', 'type': 'string'}}, 'required': ['page', 'size'], 'type': 'object'}, description="""Get a list of traces"""), # comet-ml/Opik MCP Server/list-traces
    Tool(name="""Opik MCP Server_get-trace-by-id""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'traceId': {'description': 'ID of the trace to fetch', 'type': 'string'}, 'workspaceName': {'description': 'Workspace name to use instead of the default', 'type': 'string'}}, 'required': ['traceId'], 'type': 'object'}, description="""Get a single trace by ID"""), # comet-ml/Opik MCP Server/get-trace-by-id
    Tool(name="""Opik MCP Server_get-trace-stats""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'endDate': {'description': 'End date in ISO format (YYYY-MM-DD)', 'type': 'string'}, 'projectId': {'description': 'Project ID to filter traces', 'type': 'string'}, 'projectName': {'description': 'Project name to filter traces', 'type': 'string'}, 'startDate': {'description': 'Start date in ISO format (YYYY-MM-DD)', 'type': 'string'}, 'workspaceName': {'description': 'Workspace name to use instead of the default', 'type': 'string'}}, 'type': 'object'}, description="""Get statistics for traces"""), # comet-ml/Opik MCP Server/get-trace-stats
    Tool(name="""Opik MCP Server_get-metrics""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'endDate': {'description': 'End date in ISO format (YYYY-MM-DD)', 'type': 'string'}, 'metricName': {'description': 'Optional metric name to filter', 'type': 'string'}, 'projectId': {'description': 'Optional project ID to filter metrics', 'type': 'string'}, 'projectName': {'description': 'Optional project name to filter metrics', 'type': 'string'}, 'startDate': {'description': 'Start date in ISO format (YYYY-MM-DD)', 'type': 'string'}}, 'type': 'object'}, description="""Get metrics data"""), # comet-ml/Opik MCP Server/get-metrics
    Tool(name="""Opik MCP Server_get-server-info""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'random_string': {'description': 'Dummy parameter for no-parameter tools', 'type': 'string'}}, 'type': 'object'}, description="""Get information about the Opik server configuration"""), # comet-ml/Opik MCP Server/get-server-info
    Tool(name="""Opik MCP Server_get-opik-help""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'subtopic': {'description': 'Optional subtopic for more specific help', 'type': 'string'}, 'topic': {'description': 'The topic to get help about (prompts, projects, traces, metrics, or general)', 'type': 'string'}}, 'required': ['topic'], 'type': 'object'}, description="""Get contextual help about Opik Comet's capabilities"""), # comet-ml/Opik MCP Server/get-opik-help
    Tool(name="""Opik MCP Server_get-opik-examples""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'task': {'description': "The task to get examples for (e.g., 'create prompt', 'analyze traces', 'monitor costs')", 'type': 'string'}}, 'required': ['task'], 'type': 'object'}, description="""Get examples of how to use Opik Comet's API for specific tasks"""), # comet-ml/Opik MCP Server/get-opik-examples
    Tool(name="""Opik MCP Server_get-opik-tracing-info""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'topic': {'description': "Optional specific tracing topic to get information about (e.g., 'spans', 'distributed', 'multimodal', 'annotations')", 'type': 'string'}}, 'type': 'object'}, description="""Get information about Opik's tracing capabilities and how to use them"""), # comet-ml/Opik MCP Server/get-opik-tracing-info
    Tool(name="""mcp-brave-search_brave_web_search""", inputSchema={'properties': {'count': {'default': 10, 'description': 'Number of results (1-20, default 10)', 'type': 'number'}, 'offset': {'default': 0, 'description': 'Pagination offset (max 9, default 0)', 'type': 'number'}, 'query': {'description': 'Search query (max 400 chars, 50 words)', 'type': 'string'}}, 'required': ['query'], 'type': 'object'}, description="""Performs a web search using the Brave Search API, ideal for general queries, news, articles, and online content. Use this for broad information gathering, recent events, or when you need diverse web sources. Supports pagination, content filtering, and freshness controls. Maximum 20 results per request, with offset for pagination. """), # w-jeon/mcp-brave-search/brave_web_search
    Tool(name="""mcp-brave-search_brave_local_search""", inputSchema={'properties': {'count': {'default': 5, 'description': 'Number of results (1-20, default 5)', 'type': 'number'}, 'query': {'description': "Local search query (e.g. 'pizza near Central Park')", 'type': 'string'}}, 'required': ['query'], 'type': 'object'}, description="""Searches for local businesses and places using Brave's Local Search API. Best for queries related to physical locations, businesses, restaurants, services, etc. Returns detailed information including:\n- Business names and addresses\n- Ratings and review counts\n- Phone numbers and opening hours\nUse this when the query implies 'near me' or mentions specific locations. Automatically falls back to web search if no local results are found."""), # w-jeon/mcp-brave-search/brave_local_search
    Tool(name="""cloudflare-browser-rendering-mcp_fetch_page""", inputSchema={'properties': {'maxContentLength': {'description': 'Maximum content length to return', 'type': 'number'}, 'url': {'description': 'URL to fetch', 'type': 'string'}}, 'required': ['url'], 'type': 'object'}, description="""Fetches and processes a web page for LLM context"""), # amotivv/cloudflare-browser-rendering-mcp/fetch_page
    Tool(name="""cloudflare-browser-rendering-mcp_search_documentation""", inputSchema={'properties': {'maxResults': {'description': 'Maximum number of results to return', 'type': 'number'}, 'query': {'description': 'Search query', 'type': 'string'}}, 'required': ['query'], 'type': 'object'}, description="""Searches Cloudflare documentation and returns relevant content"""), # amotivv/cloudflare-browser-rendering-mcp/search_documentation
    Tool(name="""cloudflare-browser-rendering-mcp_extract_structured_content""", inputSchema={'properties': {'selectors': {'additionalProperties': {'type': 'string'}, 'description': 'CSS selectors to extract content', 'type': 'object'}, 'url': {'description': 'URL to extract content from', 'type': 'string'}}, 'required': ['url', 'selectors'], 'type': 'object'}, description="""Extracts structured content from a web page using CSS selectors"""), # amotivv/cloudflare-browser-rendering-mcp/extract_structured_content
    Tool(name="""cloudflare-browser-rendering-mcp_summarize_content""", inputSchema={'properties': {'maxLength': {'description': 'Maximum length of the summary', 'type': 'number'}, 'url': {'description': 'URL to summarize', 'type': 'string'}}, 'required': ['url'], 'type': 'object'}, description="""Summarizes web content for more concise LLM context"""), # amotivv/cloudflare-browser-rendering-mcp/summarize_content
    Tool(name="""cloudflare-browser-rendering-mcp_take_screenshot""", inputSchema={'properties': {'fullPage': {'description': 'Whether to take a screenshot of the full page or just the viewport (default: false)', 'type': 'boolean'}, 'height': {'description': 'Height of the viewport in pixels (default: 800)', 'type': 'number'}, 'url': {'description': 'URL to take a screenshot of', 'type': 'string'}, 'width': {'description': 'Width of the viewport in pixels (default: 1280)', 'type': 'number'}}, 'required': ['url'], 'type': 'object'}, description="""Takes a screenshot of a web page and returns it as an image"""), # amotivv/cloudflare-browser-rendering-mcp/take_screenshot
    Tool(name="""EDUCHAIN Agent Kit_get_token_price""", inputSchema={'properties': {'tokenId': {'description': 'Token address', 'type': 'string'}}, 'required': ['tokenId'], 'type': 'object'}, description="""Get the current price of a token on SailFish DEX"""), # SailFish-Finance/EDUCHAIN Agent Kit/get_token_price
    Tool(name="""EDUCHAIN Agent Kit_get_token_info""", inputSchema={'properties': {'tokenId': {'description': 'Token address', 'type': 'string'}}, 'required': ['tokenId'], 'type': 'object'}, description="""Get detailed information about a token on SailFish DEX"""), # SailFish-Finance/EDUCHAIN Agent Kit/get_token_info
    Tool(name="""EDUCHAIN Agent Kit_get_pool_info""", inputSchema={'properties': {'poolId': {'description': 'Pool address', 'type': 'string'}}, 'required': ['poolId'], 'type': 'object'}, description="""Get detailed information about a liquidity pool on SailFish DEX"""), # SailFish-Finance/EDUCHAIN Agent Kit/get_pool_info
    Tool(name="""EDUCHAIN Agent Kit_get_top_tokens""", inputSchema={'properties': {'count': {'description': 'Number of tokens to return (default: 10)', 'type': 'number'}}, 'required': [], 'type': 'object'}, description="""Get a list of top tokens by TVL on SailFish DEX"""), # SailFish-Finance/EDUCHAIN Agent Kit/get_top_tokens
    Tool(name="""EDUCHAIN Agent Kit_get_top_pools""", inputSchema={'properties': {'count': {'description': 'Number of pools to return (default: 10)', 'type': 'number'}}, 'required': [], 'type': 'object'}, description="""Get a list of top liquidity pools by TVL on SailFish DEX"""), # SailFish-Finance/EDUCHAIN Agent Kit/get_top_pools
    Tool(name="""EDUCHAIN Agent Kit_get_total_tvl""", inputSchema={'properties': {}, 'required': [], 'type': 'object'}, description="""Get the total value locked (TVL) in SailFish DEX"""), # SailFish-Finance/EDUCHAIN Agent Kit/get_total_tvl
    Tool(name="""EDUCHAIN Agent Kit_get_24h_volume""", inputSchema={'properties': {}, 'required': [], 'type': 'object'}, description="""Get the 24-hour trading volume on SailFish DEX"""), # SailFish-Finance/EDUCHAIN Agent Kit/get_24h_volume
    Tool(name="""EDUCHAIN Agent Kit_get_token_historical_data""", inputSchema={'properties': {'days': {'description': 'Number of days of data to return (default: 7)', 'type': 'number'}, 'tokenId': {'description': 'Token address', 'type': 'string'}}, 'required': ['tokenId'], 'type': 'object'}, description="""Get historical data for a token on SailFish DEX"""), # SailFish-Finance/EDUCHAIN Agent Kit/get_token_historical_data
    Tool(name="""EDUCHAIN Agent Kit_get_pool_historical_data""", inputSchema={'properties': {'days': {'description': 'Number of days of data to return (default: 7)', 'type': 'number'}, 'poolId': {'description': 'Pool address', 'type': 'string'}}, 'required': ['poolId'], 'type': 'object'}, description="""Get historical data for a liquidity pool on SailFish DEX"""), # SailFish-Finance/EDUCHAIN Agent Kit/get_pool_historical_data
    Tool(name="""EDUCHAIN Agent Kit_get_edu_balance""", inputSchema={'properties': {'walletAddress': {'description': 'Wallet address to check', 'type': 'string'}}, 'required': ['walletAddress'], 'type': 'object'}, description="""Get the EDU balance of a wallet address"""), # SailFish-Finance/EDUCHAIN Agent Kit/get_edu_balance
    Tool(name="""EDUCHAIN Agent Kit_get_token_balance""", inputSchema={'properties': {'tokenAddress': {'description': 'Token contract address', 'type': 'string'}, 'walletAddress': {'description': 'Wallet address to check', 'type': 'string'}}, 'required': ['tokenAddress', 'walletAddress'], 'type': 'object'}, description="""Get the token balance of a wallet address with USD value using SailFish as price oracle"""), # SailFish-Finance/EDUCHAIN Agent Kit/get_token_balance
    Tool(name="""EDUCHAIN Agent Kit_get_multiple_token_balances""", inputSchema={'properties': {'tokenAddresses': {'description': 'List of token contract addresses', 'items': {'type': 'string'}, 'type': 'array'}, 'walletAddress': {'description': 'Wallet address to check', 'type': 'string'}}, 'required': ['tokenAddresses', 'walletAddress'], 'type': 'object'}, description="""Get multiple token balances for a wallet address with USD values using SailFish as price oracle"""), # SailFish-Finance/EDUCHAIN Agent Kit/get_multiple_token_balances
    Tool(name="""EDUCHAIN Agent Kit_get_nft_balance""", inputSchema={'properties': {'fetchTokenIds': {'description': 'Whether to fetch token IDs (default: true)', 'type': 'boolean'}, 'nftAddress': {'description': 'NFT contract address', 'type': 'string'}, 'walletAddress': {'description': 'Wallet address to check', 'type': 'string'}}, 'required': ['nftAddress', 'walletAddress'], 'type': 'object'}, description="""Get the NFT balance of a wallet address for a specific NFT collection"""), # SailFish-Finance/EDUCHAIN Agent Kit/get_nft_balance
    Tool(name="""EDUCHAIN Agent Kit_get_wallet_overview""", inputSchema={'properties': {'nftAddresses': {'description': 'List of NFT contract addresses to check', 'items': {'type': 'string'}, 'type': 'array'}, 'tokenAddresses': {'description': 'List of token contract addresses to check', 'items': {'type': 'string'}, 'type': 'array'}, 'walletAddress': {'description': 'Wallet address to check', 'type': 'string'}}, 'required': ['walletAddress'], 'type': 'object'}, description="""Get an overview of a wallet including EDU, tokens, and NFTs"""), # SailFish-Finance/EDUCHAIN Agent Kit/get_wallet_overview
    Tool(name="""EDUCHAIN Agent Kit_set_rpc_url""", inputSchema={'properties': {'url': {'description': 'RPC URL to use for blockchain interactions', 'type': 'string'}}, 'required': ['url'], 'type': 'object'}, description="""Set the RPC URL for blockchain interactions"""), # SailFish-Finance/EDUCHAIN Agent Kit/set_rpc_url
    Tool(name="""EDUCHAIN Agent Kit_get_rpc_url""", inputSchema={'properties': {}, 'required': [], 'type': 'object'}, description="""Get the current RPC URL used for blockchain interactions"""), # SailFish-Finance/EDUCHAIN Agent Kit/get_rpc_url
    Tool(name="""EDUCHAIN Agent Kit_send_edu""", inputSchema={'properties': {'amount': {'description': 'Amount of EDU to send', 'type': 'string'}, 'privateKey': {'description': 'Private key of the sender wallet', 'type': 'string'}, 'toAddress': {'description': 'Recipient wallet address', 'type': 'string'}}, 'required': ['privateKey', 'toAddress', 'amount'], 'type': 'object'}, description="""Send EDU native token to another wallet address"""), # SailFish-Finance/EDUCHAIN Agent Kit/send_edu
    Tool(name="""EDUCHAIN Agent Kit_get_wallet_address_from_private_key""", inputSchema={'properties': {'privateKey': {'description': 'Private key of the wallet', 'type': 'string'}}, 'required': ['privateKey'], 'type': 'object'}, description="""Get wallet address from private key with proper checksum formatting"""), # SailFish-Finance/EDUCHAIN Agent Kit/get_wallet_address_from_private_key
    Tool(name="""EDUCHAIN Agent Kit_send_erc20_token""", inputSchema={'properties': {'amount': {'description': 'Amount of tokens to send', 'type': 'string'}, 'confirm': {'description': 'Confirm the transaction after verifying wallet address (default: true)', 'type': 'boolean'}, 'privateKey': {'description': 'Private key of the sender wallet', 'type': 'string'}, 'toAddress': {'description': 'Recipient wallet address', 'type': 'string'}, 'tokenAddress': {'description': 'Token contract address', 'type': 'string'}}, 'required': ['privateKey', 'tokenAddress', 'toAddress', 'amount'], 'type': 'object'}, description="""Send ERC20 token to another wallet address"""), # SailFish-Finance/EDUCHAIN Agent Kit/send_erc20_token
    Tool(name="""EDUCHAIN Agent Kit_get_swap_quote""", inputSchema={'properties': {'amountIn': {'description': 'Amount of input token to swap', 'type': 'string'}, 'fee': {'description': 'Fee tier (100=0.01%, 500=0.05%, 3000=0.3%, 10000=1%)', 'type': 'number'}, 'tokenIn': {'description': 'Address of the input token', 'type': 'string'}, 'tokenOut': {'description': 'Address of the output token', 'type': 'string'}}, 'required': ['tokenIn', 'tokenOut', 'amountIn'], 'type': 'object'}, description="""Get a quote for swapping tokens on SailFish DEX"""), # SailFish-Finance/EDUCHAIN Agent Kit/get_swap_quote
    Tool(name="""EDUCHAIN Agent Kit_swap_tokens""", inputSchema={'properties': {'amountIn': {'description': 'Amount of input token to swap', 'type': 'string'}, 'fee': {'description': 'Fee tier (100=0.01%, 500=0.05%, 3000=0.3%, 10000=1%)', 'type': 'number'}, 'privateKey': {'description': 'Private key of the sender wallet', 'type': 'string'}, 'slippagePercentage': {'description': 'Slippage tolerance percentage (default: 0.5)', 'type': 'number'}, 'tokenIn': {'description': 'Address of the input token', 'type': 'string'}, 'tokenOut': {'description': 'Address of the output token', 'type': 'string'}}, 'required': ['privateKey', 'tokenIn', 'tokenOut', 'amountIn'], 'type': 'object'}, description="""Swap tokens on SailFish DEX (token to token)"""), # SailFish-Finance/EDUCHAIN Agent Kit/swap_tokens
    Tool(name="""EDUCHAIN Agent Kit_swap_edu_for_tokens""", inputSchema={'properties': {'amountIn': {'description': 'Amount of EDU to swap', 'type': 'string'}, 'fee': {'description': 'Fee tier (100=0.01%, 500=0.05%, 3000=0.3%, 10000=1%)', 'type': 'number'}, 'privateKey': {'description': 'Private key of the sender wallet', 'type': 'string'}, 'slippagePercentage': {'description': 'Slippage tolerance percentage (default: 0.5)', 'type': 'number'}, 'tokenOut': {'description': 'Address of the output token', 'type': 'string'}}, 'required': ['privateKey', 'tokenOut', 'amountIn'], 'type': 'object'}, description="""Swap EDU for tokens on SailFish DEX"""), # SailFish-Finance/EDUCHAIN Agent Kit/swap_edu_for_tokens
    Tool(name="""EDUCHAIN Agent Kit_swap_tokens_for_edu""", inputSchema={'properties': {'amountIn': {'description': 'Amount of tokens to swap', 'type': 'string'}, 'fee': {'description': 'Fee tier (100=0.01%, 500=0.05%, 3000=0.3%, 10000=1%)', 'type': 'number'}, 'privateKey': {'description': 'Private key of the sender wallet', 'type': 'string'}, 'slippagePercentage': {'description': 'Slippage tolerance percentage (default: 0.5)', 'type': 'number'}, 'tokenIn': {'description': 'Address of the input token', 'type': 'string'}}, 'required': ['privateKey', 'tokenIn', 'amountIn'], 'type': 'object'}, description="""Swap tokens for EDU on SailFish DEX"""), # SailFish-Finance/EDUCHAIN Agent Kit/swap_tokens_for_edu
    Tool(name="""EDUCHAIN Agent Kit_get_external_market_data""", inputSchema={'properties': {}, 'required': [], 'type': 'object'}, description="""Get external market data for EDU from centralized exchanges"""), # SailFish-Finance/EDUCHAIN Agent Kit/get_external_market_data
    Tool(name="""EDUCHAIN Agent Kit_check_arbitrage_opportunities""", inputSchema={'properties': {'threshold': {'description': 'Minimum price difference percentage to consider as an arbitrage opportunity (default: 1.0)', 'type': 'number'}}, 'required': [], 'type': 'object'}, description="""Check for arbitrage opportunities between centralized exchanges and SailFish DEX"""), # SailFish-Finance/EDUCHAIN Agent Kit/check_arbitrage_opportunities
    Tool(name="""EDUCHAIN Agent Kit_update_external_market_config""", inputSchema={'properties': {'apiKey': {'description': 'API key for external market data (if required)', 'type': 'string'}, 'apiUrl': {'description': 'API URL for external market data', 'type': 'string'}, 'symbols': {'description': 'Symbol mappings for the external API', 'properties': {'EDU': {'description': 'Symbol for EDU token on the external API', 'type': 'string'}, 'USD': {'description': 'Symbol for USD on the external API', 'type': 'string'}}, 'type': 'object'}}, 'required': [], 'type': 'object'}, description="""Update the configuration for external market data API"""), # SailFish-Finance/EDUCHAIN Agent Kit/update_external_market_config
    Tool(name="""EDUCHAIN Agent Kit_get_external_market_config""", inputSchema={'properties': {}, 'required': [], 'type': 'object'}, description="""Get the current configuration for external market data API"""), # SailFish-Finance/EDUCHAIN Agent Kit/get_external_market_config
    Tool(name="""EDUCHAIN Agent Kit_wrap_edu""", inputSchema={'properties': {'amount': {'description': 'Amount of EDU to wrap', 'type': 'string'}, 'privateKey': {'description': 'Private key of the wallet', 'type': 'string'}}, 'required': ['privateKey', 'amount'], 'type': 'object'}, description="""Wrap EDU to WEDU (Wrapped EDU)"""), # SailFish-Finance/EDUCHAIN Agent Kit/wrap_edu
    Tool(name="""EDUCHAIN Agent Kit_unwrap_wedu""", inputSchema={'properties': {'amount': {'description': 'Amount of WEDU to unwrap', 'type': 'string'}, 'privateKey': {'description': 'Private key of the wallet', 'type': 'string'}}, 'required': ['privateKey', 'amount'], 'type': 'object'}, description="""Unwrap WEDU (Wrapped EDU) to EDU"""), # SailFish-Finance/EDUCHAIN Agent Kit/unwrap_wedu
    Tool(name="""TranscriptionTools MCP Server_repair_text""", inputSchema={'properties': {'input_text': {'description': 'Text content or path to file containing transcribed text', 'type': 'string'}, 'is_file_path': {'default': False, 'description': 'Whether input_text is a file path', 'type': 'boolean'}}, 'required': ['input_text'], 'type': 'object'}, description="""Analyzes and repairs transcription errors with greater than 90% confidence"""), # MushroomFleet/TranscriptionTools MCP Server/repair_text
    Tool(name="""TranscriptionTools MCP Server_get_repair_log""", inputSchema={'properties': {'session_id': {'description': 'Session ID or timestamp from previous repair', 'type': 'string'}}, 'required': ['session_id'], 'type': 'object'}, description="""Retrieves detailed analysis log from previous repair operation"""), # MushroomFleet/TranscriptionTools MCP Server/get_repair_log
    Tool(name="""TranscriptionTools MCP Server_format_transcript""", inputSchema={'properties': {'input_text': {'description': 'Timestamped transcript text or path to file', 'type': 'string'}, 'is_file_path': {'default': False, 'description': 'Whether input_text is a file path', 'type': 'boolean'}, 'line_gap': {'default': 4, 'description': 'Seconds gap for line breaks', 'type': 'number'}, 'paragraph_gap': {'default': 8, 'description': 'Seconds gap for paragraph breaks', 'type': 'number'}}, 'required': ['input_text'], 'type': 'object'}, description="""Transforms timestamped transcripts into naturally formatted text"""), # MushroomFleet/TranscriptionTools MCP Server/format_transcript
    Tool(name="""TranscriptionTools MCP Server_summary_text""", inputSchema={'properties': {'constraint_type': {'description': 'Type of constraint to apply', 'enum': ['time', 'chars', 'words', None], 'type': 'string'}, 'constraint_value': {'description': 'Value for the specified constraint', 'type': 'number'}, 'input_text': {'description': 'Text to summarize or path to file', 'type': 'string'}, 'is_file_path': {'default': False, 'description': 'Whether input_text is a file path', 'type': 'boolean'}}, 'required': ['input_text'], 'type': 'object'}, description="""Generates intelligent summaries using ACE cognitive methodology"""), # MushroomFleet/TranscriptionTools MCP Server/summary_text
    Tool(name="""basic-memory_delete_note""", inputSchema={'properties': {'identifier': {'title': 'Identifier', 'type': 'string'}}, 'required': ['identifier'], 'title': 'delete_noteArguments', 'type': 'object'}, description="""Delete a note by title or permalink"""), # basicmachines-co/basic-memory/delete_note
    Tool(name="""basic-memory_read_content""", inputSchema={'properties': {'path': {'title': 'Path', 'type': 'string'}}, 'required': ['path'], 'title': 'read_contentArguments', 'type': 'object'}, description="""Read a file's raw content by path or permalink"""), # basicmachines-co/basic-memory/read_content
    Tool(name="""basic-memory_build_context""", inputSchema={'properties': {'depth': {'anyOf': [{'type': 'integer'}, {'type': 'null'}], 'default': 1, 'title': 'Depth'}, 'max_related': {'default': 10, 'title': 'Max Related', 'type': 'integer'}, 'page': {'default': 1, 'title': 'Page', 'type': 'integer'}, 'page_size': {'default': 10, 'title': 'Page Size', 'type': 'integer'}, 'timeframe': {'anyOf': [{'type': 'string'}, {'type': 'null'}], 'default': '7d', 'title': 'Timeframe'}, 'url': {'maxLength': 2028, 'minLength': 1, 'title': 'Url', 'type': 'string'}}, 'required': ['url'], 'title': 'build_contextArguments', 'type': 'object'}, description="""Build context from a memory:// URI to continue conversations naturally.\n    \n    Use this to follow up on previous discussions or explore related topics.\n    Timeframes support natural language like:\n    - \"2 days ago\"\n    - \"last week\" \n    - \"today\"\n    - \"3 months ago\"\n    Or standard formats like \"7d\", \"24h\"\n    """), # basicmachines-co/basic-memory/build_context
    Tool(name="""basic-memory_recent_activity""", inputSchema={'$defs': {'SearchItemType': {'description': 'Types of searchable items.', 'enum': ['entity', 'observation', 'relation'], 'title': 'SearchItemType', 'type': 'string'}}, 'properties': {'depth': {'anyOf': [{'type': 'integer'}, {'type': 'null'}], 'default': 1, 'title': 'Depth'}, 'max_related': {'default': 10, 'title': 'Max Related', 'type': 'integer'}, 'page': {'default': 1, 'title': 'Page', 'type': 'integer'}, 'page_size': {'default': 10, 'title': 'Page Size', 'type': 'integer'}, 'timeframe': {'anyOf': [{'type': 'string'}, {'type': 'null'}], 'default': '7d', 'title': 'Timeframe'}, 'type': {'anyOf': [{'items': {'$ref': '#/$defs/SearchItemType'}, 'type': 'array'}, {'type': 'null'}], 'default': None, 'title': 'Type'}}, 'title': 'recent_activityArguments', 'type': 'object'}, description="""Get recent activity from across the knowledge base.\n    \n    Timeframe supports natural language formats like:\n    - \"2 days ago\"  \n    - \"last week\"\n    - \"yesterday\" \n    - \"today\"\n    - \"3 weeks ago\"\n    Or standard formats like \"7d\"\n    """), # basicmachines-co/basic-memory/recent_activity
    Tool(name="""basic-memory_search""", inputSchema={'$defs': {'SearchItemType': {'description': 'Types of searchable items.', 'enum': ['entity', 'observation', 'relation'], 'title': 'SearchItemType', 'type': 'string'}, 'SearchQuery': {'description': 'Search query parameters.\n\nUse ONE of these primary search modes:\n- permalink: Exact permalink match\n- permalink_match: Path pattern with *\n- text: Full-text search of title/content (supports boolean operators: AND, OR, NOT)\n\nOptionally filter results by:\n- types: Limit to specific item types\n- entity_types: Limit to specific entity types\n- after_date: Only items after date\n\nBoolean search examples:\n- "python AND flask" - Find items with both terms\n- "python OR django" - Find items with either term\n- "python NOT django" - Find items with python but not django\n- "(python OR flask) AND web" - Use parentheses for grouping', 'properties': {'after_date': {'anyOf': [{'format': 'date-time', 'type': 'string'}, {'type': 'string'}, {'type': 'null'}], 'default': None, 'title': 'After Date'}, 'entity_types': {'anyOf': [{'items': {'type': 'string'}, 'type': 'array'}, {'type': 'null'}], 'default': None, 'title': 'Entity Types'}, 'permalink': {'anyOf': [{'type': 'string'}, {'type': 'null'}], 'default': None, 'title': 'Permalink'}, 'permalink_match': {'anyOf': [{'type': 'string'}, {'type': 'null'}], 'default': None, 'title': 'Permalink Match'}, 'text': {'anyOf': [{'type': 'string'}, {'type': 'null'}], 'default': None, 'title': 'Text'}, 'title': {'anyOf': [{'type': 'string'}, {'type': 'null'}], 'default': None, 'title': 'Title'}, 'types': {'anyOf': [{'items': {'$ref': '#/$defs/SearchItemType'}, 'type': 'array'}, {'type': 'null'}], 'default': None, 'title': 'Types'}}, 'title': 'SearchQuery', 'type': 'object'}}, 'properties': {'page': {'default': 1, 'title': 'Page', 'type': 'integer'}, 'page_size': {'default': 10, 'title': 'Page Size', 'type': 'integer'}, 'query': {'$ref': '#/$defs/SearchQuery'}}, 'required': ['query'], 'title': 'searchArguments', 'type': 'object'}, description="""Search across all content in basic-memory, including documents and entities"""), # basicmachines-co/basic-memory/search
    Tool(name="""basic-memory_read_note""", inputSchema={'properties': {'identifier': {'title': 'Identifier', 'type': 'string'}, 'page': {'default': 1, 'title': 'Page', 'type': 'integer'}, 'page_size': {'default': 10, 'title': 'Page Size', 'type': 'integer'}}, 'required': ['identifier'], 'title': 'read_noteArguments', 'type': 'object'}, description="""Read a markdown note by title or permalink."""), # basicmachines-co/basic-memory/read_note
    Tool(name="""basic-memory_write_note""", inputSchema={'properties': {'content': {'title': 'Content', 'type': 'string'}, 'folder': {'title': 'Folder', 'type': 'string'}, 'tags': {'anyOf': [{'items': {'type': 'string'}, 'type': 'array'}, {'type': 'null'}], 'default': None, 'title': 'Tags'}, 'title': {'title': 'Title', 'type': 'string'}}, 'required': ['title', 'content', 'folder'], 'title': 'write_noteArguments', 'type': 'object'}, description="""Create or update a markdown note. Returns a markdown formatted summary of the semantic content."""), # basicmachines-co/basic-memory/write_note
    Tool(name="""basic-memory_canvas""", inputSchema={'properties': {'edges': {'items': {'type': 'object'}, 'title': 'Edges', 'type': 'array'}, 'folder': {'title': 'Folder', 'type': 'string'}, 'nodes': {'items': {'type': 'object'}, 'title': 'Nodes', 'type': 'array'}, 'title': {'title': 'Title', 'type': 'string'}}, 'required': ['nodes', 'edges', 'title', 'folder'], 'title': 'canvasArguments', 'type': 'object'}, description="""Create an Obsidian canvas file to visualize concepts and connections."""), # basicmachines-co/basic-memory/canvas
    Tool(name="""basic-memory_project_info""", inputSchema={'properties': {}, 'title': 'project_infoArguments', 'type': 'object'}, description="""Get information and statistics about the current Basic Memory project."""), # basicmachines-co/basic-memory/project_info
    Tool(name="""Make MCP Server_run_scenario_8632""", inputSchema={'properties': {'text': {'type': 'string'}}, 'required': [], 'type': 'object'}, description="""Scenario D - Subscenario"""), # integromat/Make MCP Server/run_scenario_8632
    Tool(name="""Make MCP Server_run_scenario_11704""", inputSchema={'properties': {'array_of_arrays': {'description': 'description', 'items': {'items': {'type': 'string'}, 'type': 'array'}, 'type': 'array'}, 'array_of_collections': {'description': 'description', 'items': {'properties': {'text': {'type': 'string'}}, 'required': [], 'type': 'object'}, 'type': 'array'}, 'boolean': {'type': 'boolean'}, 'collection': {'description': 'description', 'properties': {'text': {'type': 'string'}}, 'required': [], 'type': 'object'}, 'date': {'description': 'description', 'type': 'string'}, 'json': {'description': 'description', 'type': 'string'}, 'number': {'default': 15, 'description': 'required + default', 'type': 'number'}, 'primitive_array': {'description': 'description', 'items': {'type': 'string'}, 'type': 'array'}, 'select': {'enum': ['option 1', 'option 2'], 'type': 'string'}, 'text': {'type': 'string'}}, 'required': ['number'], 'type': 'object'}, description="""Scenario Inputs All Types"""), # integromat/Make MCP Server/run_scenario_11704
    Tool(name="""Make MCP Server_run_scenario_11707""", inputSchema={'properties': {'array': {'items': {'properties': {'text': {'type': 'string'}}, 'required': [], 'type': 'object'}, 'type': 'array'}}, 'required': [], 'type': 'object'}, description="""Scenario Inputs: Array of Collections"""), # integromat/Make MCP Server/run_scenario_11707
    Tool(name="""Make MCP Server_run_scenario_11652""", inputSchema={'properties': {'name': {'description': 'Item name', 'type': 'string'}}, 'required': ['name'], 'type': 'object'}, description="""Tool: Add to Inventory (Add a new item to the inventory.)"""), # integromat/Make MCP Server/run_scenario_11652
    Tool(name="""Make MCP Server_run_scenario_11422""", inputSchema={'properties': {}, 'required': [], 'type': 'object'}, description="""Tool: List Inventory (Lists items in inventory.)"""), # integromat/Make MCP Server/run_scenario_11422
    Tool(name="""Make MCP Server_run_scenario_2361""", inputSchema={'properties': {'AirtableConnection': {}}, 'required': [], 'type': 'object'}, description="""Dynamic Connections Testing"""), # integromat/Make MCP Server/run_scenario_2361
    Tool(name="""Github Project Manager_add_issue_comment""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'body': {'description': 'Comment text', 'type': 'string'}, 'issue_number': {'description': 'Issue number', 'type': 'number'}, 'owner': {'description': 'Repository owner (username or organization)', 'type': 'string'}, 'repo': {'description': 'Repository name', 'type': 'string'}}, 'required': ['owner', 'repo', 'issue_number', 'body'], 'type': 'object'}, description="""Add a comment to an existing issue"""), # Monsoft-Solutions/Github Project Manager/add_issue_comment
    Tool(name="""Github Project Manager_update_project_item""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'column_id': {'description': 'Column ID to move the card to', 'type': 'number'}, 'item_id': {'description': 'Card ID to move', 'type': 'number'}, 'position': {'anyOf': [{'enum': ['top', 'bottom'], 'type': 'string'}, {'type': 'number'}], 'description': 'Position in the column (top, bottom, or specific position)'}, 'project_id': {'description': 'Project ID', 'type': 'number'}}, 'required': ['project_id', 'item_id', 'column_id'], 'type': 'object'}, description="""Move an item between columns in a GitHub project"""), # Monsoft-Solutions/Github Project Manager/update_project_item
    Tool(name="""Github Project Manager_create_issue""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'assignees': {'description': 'GitHub usernames to assign to this issue', 'items': {'type': 'string'}, 'type': 'array'}, 'body': {'description': 'Issue body/description', 'type': 'string'}, 'labels': {'description': 'Labels to add to this issue', 'items': {'type': 'string'}, 'type': 'array'}, 'milestone': {'description': 'Milestone number to associate with this issue', 'type': 'number'}, 'owner': {'description': 'Repository owner (username or organization)', 'type': 'string'}, 'repo': {'description': 'Repository name', 'type': 'string'}, 'title': {'description': 'Issue title', 'type': 'string'}}, 'required': ['owner', 'repo', 'title'], 'type': 'object'}, description="""Create a new issue in a GitHub repository"""), # Monsoft-Solutions/Github Project Manager/create_issue
    Tool(name="""Github Project Manager_update_issue""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'assignees': {'description': 'GitHub usernames to assign', 'items': {'type': 'string'}, 'type': 'array'}, 'body': {'description': 'New issue body', 'type': 'string'}, 'issue_number': {'description': 'Issue number', 'type': 'number'}, 'labels': {'description': 'Labels to set', 'items': {'type': 'string'}, 'type': 'array'}, 'milestone': {'description': 'Milestone to set', 'type': ['number', 'null']}, 'owner': {'description': 'Repository owner (username or organization)', 'type': 'string'}, 'repo': {'description': 'Repository name', 'type': 'string'}, 'state': {'description': 'New issue state', 'enum': ['open', 'closed'], 'type': 'string'}, 'title': {'description': 'New issue title', 'type': 'string'}}, 'required': ['owner', 'repo', 'issue_number'], 'type': 'object'}, description="""Update an existing issue in a GitHub repository"""), # Monsoft-Solutions/Github Project Manager/update_issue
    Tool(name="""Github Project Manager_list_issues""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'assignee': {'description': 'Filter by assignee', 'type': 'string'}, 'creator': {'description': 'Filter by creator', 'type': 'string'}, 'direction': {'description': 'Sort direction', 'enum': ['asc', 'desc'], 'type': 'string'}, 'labels': {'description': 'Filter by labels', 'items': {'type': 'string'}, 'type': 'array'}, 'mentioned': {'description': 'Filter by mentioned user', 'type': 'string'}, 'milestone': {'description': 'Filter by milestone number or title', 'type': 'string'}, 'owner': {'description': 'Repository owner (username or organization)', 'type': 'string'}, 'page': {'description': 'Page number', 'type': 'number'}, 'per_page': {'description': 'Results per page', 'type': 'number'}, 'repo': {'description': 'Repository name', 'type': 'string'}, 'since': {'description': 'Filter by updated date (ISO 8601 format)', 'type': 'string'}, 'sort': {'description': 'Sort field', 'enum': ['created', 'updated', 'comments'], 'type': 'string'}, 'state': {'description': 'Issue state', 'enum': ['open', 'closed', 'all'], 'type': 'string'}}, 'required': ['owner', 'repo'], 'type': 'object'}, description="""List issues in a GitHub repository with filtering options"""), # Monsoft-Solutions/Github Project Manager/list_issues
    Tool(name="""Github Project Manager_get_issue""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'issue_number': {'description': 'Issue number', 'type': 'number'}, 'owner': {'description': 'Repository owner (username or organization)', 'type': 'string'}, 'repo': {'description': 'Repository name', 'type': 'string'}}, 'required': ['owner', 'repo', 'issue_number'], 'type': 'object'}, description="""Get details of a specific issue in a GitHub repository."""), # Monsoft-Solutions/Github Project Manager/get_issue
    Tool(name="""Github Project Manager_create_project""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'body': {'description': 'Project description', 'type': 'string'}, 'name': {'description': 'Project name', 'type': 'string'}, 'owner': {'description': 'Organization name or username', 'type': 'string'}}, 'required': ['owner', 'name'], 'type': 'object'}, description="""Create a new GitHub project board"""), # Monsoft-Solutions/Github Project Manager/create_project
    Tool(name="""Github Project Manager_add_project_item""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'content_id': {'description': 'Issue or PR ID', 'type': 'number'}, 'content_type': {'description': 'Type of content to add', 'enum': ['Issue', 'PullRequest'], 'type': 'string'}, 'project_id': {'description': 'Project ID', 'type': 'number'}}, 'required': ['project_id', 'content_id', 'content_type'], 'type': 'object'}, description="""Add an issue or pull request to a GitHub project"""), # Monsoft-Solutions/Github Project Manager/add_project_item
    Tool(name="""Github Project Manager_list_project_items""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'column_id': {'description': 'Column ID to filter by', 'type': 'number'}, 'project_id': {'description': 'Project ID', 'type': 'number'}}, 'required': ['project_id'], 'type': 'object'}, description="""List items in a GitHub project"""), # Monsoft-Solutions/Github Project Manager/list_project_items
    Tool(name="""Github Project Manager_create_pull_request""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'base': {'description': 'The name of the branch you want the changes pulled into', 'type': 'string'}, 'body': {'description': 'Pull request body/description', 'type': 'string'}, 'draft': {'description': 'Whether to create the pull request as a draft', 'type': 'boolean'}, 'head': {'description': 'The name of the branch where your changes are implemented', 'type': 'string'}, 'maintainer_can_modify': {'description': 'Whether maintainers can modify the pull request', 'type': 'boolean'}, 'owner': {'description': 'Repository owner (username or organization)', 'type': 'string'}, 'repo': {'description': 'Repository name', 'type': 'string'}, 'title': {'description': 'Pull request title', 'type': 'string'}}, 'required': ['owner', 'repo', 'title', 'head', 'base'], 'type': 'object'}, description="""Create a new pull request in a GitHub repository"""), # Monsoft-Solutions/Github Project Manager/create_pull_request
    Tool(name="""Github Project Manager_update_pull_request""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'base': {'description': 'The name of the branch you want the changes pulled into', 'type': 'string'}, 'body': {'description': 'New pull request body', 'type': 'string'}, 'maintainer_can_modify': {'description': 'Whether maintainers can modify the pull request', 'type': 'boolean'}, 'owner': {'description': 'Repository owner (username or organization)', 'type': 'string'}, 'pull_number': {'description': 'Pull request number', 'type': 'number'}, 'repo': {'description': 'Repository name', 'type': 'string'}, 'state': {'description': 'New pull request state', 'enum': ['open', 'closed'], 'type': 'string'}, 'title': {'description': 'New pull request title', 'type': 'string'}}, 'required': ['owner', 'repo', 'pull_number'], 'type': 'object'}, description="""Update an existing pull request in a GitHub repository"""), # Monsoft-Solutions/Github Project Manager/update_pull_request
    Tool(name="""Github Project Manager_list_pull_requests""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'base': {'description': 'Filter by base branch', 'type': 'string'}, 'direction': {'description': 'Sort direction', 'enum': ['asc', 'desc'], 'type': 'string'}, 'head': {'description': 'Filter by head branch', 'type': 'string'}, 'owner': {'description': 'Repository owner (username or organization)', 'type': 'string'}, 'page': {'description': 'Page number', 'type': 'number'}, 'per_page': {'description': 'Results per page', 'type': 'number'}, 'repo': {'description': 'Repository name', 'type': 'string'}, 'sort': {'description': 'Sort field', 'enum': ['created', 'updated', 'popularity', 'long-running'], 'type': 'string'}, 'state': {'description': 'Pull request state', 'enum': ['open', 'closed', 'all'], 'type': 'string'}}, 'required': ['owner', 'repo'], 'type': 'object'}, description="""List pull requests in a GitHub repository with filtering options"""), # Monsoft-Solutions/Github Project Manager/list_pull_requests
    Tool(name="""Github Project Manager_get_pull_request""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'owner': {'description': 'Repository owner (username or organization)', 'type': 'string'}, 'pull_number': {'description': 'Pull request number', 'type': 'number'}, 'repo': {'description': 'Repository name', 'type': 'string'}}, 'required': ['owner', 'repo', 'pull_number'], 'type': 'object'}, description="""Get details of a specific pull request in a GitHub repository"""), # Monsoft-Solutions/Github Project Manager/get_pull_request
    Tool(name="""Github Project Manager_merge_pull_request""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'commit_message': {'description': 'Extra detail to append to automatic commit message', 'type': 'string'}, 'commit_title': {'description': 'Title for the automatic commit message', 'type': 'string'}, 'merge_method': {'description': 'Merge method to use', 'enum': ['merge', 'squash', 'rebase'], 'type': 'string'}, 'owner': {'description': 'Repository owner (username or organization)', 'type': 'string'}, 'pull_number': {'description': 'Pull request number', 'type': 'number'}, 'repo': {'description': 'Repository name', 'type': 'string'}}, 'required': ['owner', 'repo', 'pull_number'], 'type': 'object'}, description="""Merge a pull request"""), # Monsoft-Solutions/Github Project Manager/merge_pull_request
    Tool(name="""Github Project Manager_is_pull_request_merged""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'owner': {'description': 'Repository owner (username or organization)', 'type': 'string'}, 'pull_number': {'description': 'Pull request number', 'type': 'number'}, 'repo': {'description': 'Repository name', 'type': 'string'}}, 'required': ['owner', 'repo', 'pull_number'], 'type': 'object'}, description="""Check if a pull request has been merged"""), # Monsoft-Solutions/Github Project Manager/is_pull_request_merged
    Tool(name="""Github Project Manager_create_pull_request_review""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'body': {'description': 'The body text of the review', 'type': 'string'}, 'comments': {'description': 'Comments to post as part of the review', 'items': {'additionalProperties': False, 'properties': {'body': {'description': 'The text of the comment', 'type': 'string'}, 'path': {'description': 'The relative path to the file being commented on', 'type': 'string'}, 'position': {'description': 'The position in the diff where the comment should be placed', 'type': 'number'}}, 'required': ['path', 'position', 'body'], 'type': 'object'}, 'type': 'array'}, 'event': {'description': 'The review action to perform', 'enum': ['APPROVE', 'REQUEST_CHANGES', 'COMMENT'], 'type': 'string'}, 'owner': {'description': 'Repository owner (username or organization)', 'type': 'string'}, 'pull_number': {'description': 'Pull request number', 'type': 'number'}, 'repo': {'description': 'Repository name', 'type': 'string'}}, 'required': ['owner', 'repo', 'pull_number'], 'type': 'object'}, description="""Create a review for a pull request"""), # Monsoft-Solutions/Github Project Manager/create_pull_request_review
    Tool(name="""Github Project Manager_list_pull_request_reviews""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'owner': {'description': 'Repository owner (username or organization)', 'type': 'string'}, 'page': {'description': 'Page number', 'type': 'number'}, 'per_page': {'description': 'Results per page', 'type': 'number'}, 'pull_number': {'description': 'Pull request number', 'type': 'number'}, 'repo': {'description': 'Repository name', 'type': 'string'}}, 'required': ['owner', 'repo', 'pull_number'], 'type': 'object'}, description="""List reviews for a pull request"""), # Monsoft-Solutions/Github Project Manager/list_pull_request_reviews
    Tool(name="""Github Project Manager_create_pull_request_review_comment""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'body': {'description': 'The text of the review comment', 'type': 'string'}, 'commit_id': {'description': 'The SHA of the commit to comment on', 'type': 'string'}, 'in_reply_to': {'description': 'The comment ID to reply to', 'type': 'number'}, 'owner': {'description': 'Repository owner (username or organization)', 'type': 'string'}, 'path': {'description': 'The relative path to the file being commented on', 'type': 'string'}, 'position': {'description': 'The position in the diff where the comment should be placed', 'type': 'number'}, 'pull_number': {'description': 'Pull request number', 'type': 'number'}, 'repo': {'description': 'Repository name', 'type': 'string'}}, 'required': ['owner', 'repo', 'pull_number', 'body'], 'type': 'object'}, description="""Create a review comment for a pull request"""), # Monsoft-Solutions/Github Project Manager/create_pull_request_review_comment
    Tool(name="""Github Project Manager_list_pull_request_review_comments""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'direction': {'description': 'Sort direction', 'enum': ['asc', 'desc'], 'type': 'string'}, 'owner': {'description': 'Repository owner (username or organization)', 'type': 'string'}, 'page': {'description': 'Page number', 'type': 'number'}, 'per_page': {'description': 'Results per page', 'type': 'number'}, 'pull_number': {'description': 'Pull request number', 'type': 'number'}, 'repo': {'description': 'Repository name', 'type': 'string'}, 'since': {'description': 'Only comments updated at or after this time are returned', 'type': 'string'}, 'sort': {'description': 'Sort field', 'enum': ['created', 'updated'], 'type': 'string'}}, 'required': ['owner', 'repo', 'pull_number'], 'type': 'object'}, description="""List review comments for a pull request"""), # Monsoft-Solutions/Github Project Manager/list_pull_request_review_comments
    Tool(name="""Github Project Manager_request_reviewers""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'owner': {'description': 'Repository owner (username or organization)', 'type': 'string'}, 'pull_number': {'description': 'Pull request number', 'type': 'number'}, 'repo': {'description': 'Repository name', 'type': 'string'}, 'reviewers': {'description': 'Usernames of people to request a review from', 'items': {'type': 'string'}, 'type': 'array'}, 'team_reviewers': {'description': 'Names of teams to request a review from', 'items': {'type': 'string'}, 'type': 'array'}}, 'required': ['owner', 'repo', 'pull_number'], 'type': 'object'}, description="""Request reviewers for a pull request"""), # Monsoft-Solutions/Github Project Manager/request_reviewers
    Tool(name="""Github Project Manager_remove_requested_reviewers""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'owner': {'description': 'Repository owner (username or organization)', 'type': 'string'}, 'pull_number': {'description': 'Pull request number', 'type': 'number'}, 'repo': {'description': 'Repository name', 'type': 'string'}, 'reviewers': {'description': 'Usernames of people to remove from the review request', 'items': {'type': 'string'}, 'type': 'array'}, 'team_reviewers': {'description': 'Names of teams to remove from the review request', 'items': {'type': 'string'}, 'type': 'array'}}, 'required': ['owner', 'repo', 'pull_number', 'reviewers'], 'type': 'object'}, description="""Remove requested reviewers from a pull request"""), # Monsoft-Solutions/Github Project Manager/remove_requested_reviewers
    Tool(name="""Github Project Manager_update_pull_request_branch""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'expected_head_sha': {'description': 'The expected SHA of the pull request head', 'type': 'string'}, 'owner': {'description': 'Repository owner (username or organization)', 'type': 'string'}, 'pull_number': {'description': 'Pull request number', 'type': 'number'}, 'repo': {'description': 'Repository name', 'type': 'string'}}, 'required': ['owner', 'repo', 'pull_number'], 'type': 'object'}, description="""Update a pull request branch with the latest upstream changes"""), # Monsoft-Solutions/Github Project Manager/update_pull_request_branch
    Tool(name="""Glif_run_glif""", inputSchema={'properties': {'id': {'description': 'The ID of the glif to run', 'type': 'string'}, 'inputs': {'description': 'Array of input values for the glif', 'items': {'type': 'string'}, 'type': 'array'}}, 'required': ['id', 'inputs'], 'type': 'object'}, description="""Run a glif with the specified ID and inputs"""), # glifxyz/Glif/run_glif
    Tool(name="""Glif_list_featured_glifs""", inputSchema={'properties': {}, 'required': [], 'type': 'object'}, description="""Get a curated list of featured glifs"""), # glifxyz/Glif/list_featured_glifs
    Tool(name="""Glif_glif_info""", inputSchema={'properties': {'id': {'description': 'The ID of the glif to show details for', 'type': 'string'}}, 'required': ['id'], 'type': 'object'}, description="""Get detailed information about a glif including input fields"""), # glifxyz/Glif/glif_info
    Tool(name="""Glif_my_glifs""", inputSchema={'properties': {}, 'required': [], 'type': 'object'}, description="""Get a list of your glifs"""), # glifxyz/Glif/my_glifs
    Tool(name="""Glif_my_glif_user_info""", inputSchema={'properties': {}, 'required': [], 'type': 'object'}, description="""Get detailed information about your user account, recent glifs, and recent runs"""), # glifxyz/Glif/my_glif_user_info
    Tool(name="""XTQuantAI_get_trading_dates""", inputSchema={'properties': {'market': {'default': 'SH', 'description': ' SH ', 'type': 'string'}}, 'type': 'object'}, description=""""""), # dfkai/XTQuantAI/get_trading_dates
    Tool(name="""XTQuantAI_get_stock_list""", inputSchema={'properties': {'sector': {'default': 'A', 'description': ' A', 'type': 'string'}}, 'type': 'object'}, description=""""""), # dfkai/XTQuantAI/get_stock_list
    Tool(name="""XTQuantAI_get_instrument_detail""", inputSchema={'properties': {'code': {'description': ' 000001.SZ', 'type': 'string'}, 'iscomplete': {'default': False, 'description': 'False', 'type': 'boolean'}}, 'required': ['code'], 'type': 'object'}, description=""""""), # dfkai/XTQuantAI/get_instrument_detail
    Tool(name="""XTQuantAI_get_history_market_data""", inputSchema={'properties': {'codes': {'description': ' "000001.SZ,600519.SH"', 'type': 'string'}, 'end_date': {'default': '', 'description': ' "YYYYMMDD"', 'type': 'string'}, 'fields': {'default': '', 'description': '', 'type': 'string'}, 'period': {'default': '1d', 'description': ' "1d", "1m", "5m" ', 'type': 'string'}, 'start_date': {'default': '', 'description': ' "YYYYMMDD"', 'type': 'string'}}, 'required': ['codes'], 'type': 'object'}, description=""""""), # dfkai/XTQuantAI/get_history_market_data
    Tool(name="""XTQuantAI_get_latest_market_data""", inputSchema={'properties': {'codes': {'description': ' "000001.SZ,600519.SH"', 'type': 'string'}, 'period': {'default': '1d', 'description': ' "1d", "1m", "5m" ', 'type': 'string'}}, 'required': ['codes'], 'type': 'object'}, description=""""""), # dfkai/XTQuantAI/get_latest_market_data
    Tool(name="""XTQuantAI_get_full_market_data""", inputSchema={'properties': {'codes': {'description': ' "000001.SZ,600519.SH"', 'type': 'string'}, 'end_date': {'default': '', 'description': ' "YYYYMMDD"', 'type': 'string'}, 'fields': {'default': '', 'description': '', 'type': 'string'}, 'period': {'default': '1d', 'description': ' "1d", "1m", "5m" ', 'type': 'string'}, 'start_date': {'default': '', 'description': ' "YYYYMMDD"', 'type': 'string'}}, 'required': ['codes'], 'type': 'object'}, description="""+"""), # dfkai/XTQuantAI/get_full_market_data
    Tool(name="""XTQuantAI_create_chart_panel""", inputSchema={'properties': {'codes': {'description': ' 000001.SZ,600519.SH', 'type': 'string'}, 'indicators': {'default': 'ma', 'description': ' ma, macd, kdj ', 'type': 'string'}, 'params': {'default': '5,10,20', 'description': ' 5,10,20', 'type': 'string'}, 'period': {'default': '1d', 'description': ' 1d, 1m, 5m ', 'type': 'string'}}, 'required': ['codes'], 'type': 'object'}, description=""""""), # dfkai/XTQuantAI/create_chart_panel
    Tool(name="""XTQuantAI_create_custom_layout""", inputSchema={'properties': {'codes': {'description': ' 000001.SZ,600519.SH', 'type': 'string'}, 'indicator_name': {'default': 'ma', 'description': ' ma, macd, kdj ', 'type': 'string'}, 'param_names': {'default': 'n1,n2,n3', 'description': ' n1,n2,n3  short,long,mid', 'type': 'string'}, 'param_values': {'default': '5,10,20', 'description': ' 5,10,20', 'type': 'string'}, 'period': {'default': '1d', 'description': ' 1d, 1m, 5m ', 'type': 'string'}}, 'required': ['codes'], 'type': 'object'}, description=""""""), # dfkai/XTQuantAI/create_custom_layout
    Tool(name="""Vectorize_retrieve""", inputSchema={'properties': {'k': {'description': 'The number of documents to retrieve.', 'type': 'number'}, 'pipelineId': {'description': 'The pipeline ID to retrieve documents from.', 'type': 'string'}, 'question': {'description': 'The term to search for.', 'type': 'string'}}, 'required': ['pipelineId', 'question', 'k'], 'type': 'object'}, description="""Retrieve documents from a Vectorize pipeline."""), # vectorize-io/Vectorize/retrieve
    Tool(name="""Vectorize_extract""", inputSchema={'properties': {'base64Document': {'description': 'Document encoded in base64.', 'type': 'string'}, 'contentType': {'description': 'Document content type.', 'type': 'string'}}, 'required': ['base64Document', 'contentType'], 'type': 'object'}, description="""Perform text extraction and chunking on a document."""), # vectorize-io/Vectorize/extract
    Tool(name="""Vectorize_deep-research""", inputSchema={'properties': {'pipelineId': {'description': 'The pipeline ID to retrieve documents from.', 'type': 'string'}, 'query': {'description': 'The deep research query.', 'type': 'string'}, 'webSearch': {'description': 'Whether to perform a web search.', 'type': 'boolean'}}, 'required': ['pipelineId', 'query', 'webSearch'], 'type': 'object'}, description="""Generate a deep research on a Vectorize pipeline."""), # vectorize-io/Vectorize/deep-research
    Tool(name="""image-tools-mcp_get_image_size""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'options': {'additionalProperties': False, 'description': 'Options for retrieving image size', 'properties': {'imageUrl': {'description': 'Url of the image to retrieve', 'type': 'string'}}, 'required': ['imageUrl'], 'type': 'object'}}, 'required': ['options'], 'type': 'object'}, description="""Get the size of an image from URL"""), # kshern/image-tools-mcp/get_image_size
    Tool(name="""image-tools-mcp_get_local_image_size""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'options': {'additionalProperties': False, 'description': 'Options for retrieving local image size', 'properties': {'imagePath': {'description': 'Absolute path to the local image', 'type': 'string'}}, 'required': ['imagePath'], 'type': 'object'}}, 'required': ['options'], 'type': 'object'}, description="""Get the size of a local image"""), # kshern/image-tools-mcp/get_local_image_size
    Tool(name="""image-tools-mcp_compress_image_from_url""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'options': {'additionalProperties': False, 'description': 'Options for compressing image from URL', 'properties': {'imageUrl': {'description': 'URL of the image to compress (must be a direct link to an image file)', 'type': 'string'}, 'outputFormat': {'description': 'Output format (webp, jpeg/jpg, png)', 'enum': ['webp', 'jpeg', 'jpg', 'png'], 'type': 'string'}}, 'required': ['imageUrl'], 'type': 'object'}}, 'required': ['options'], 'type': 'object'}, description="""Compress a single image from URL using TinyPNG API (only supports image files, not folders)"""), # kshern/image-tools-mcp/compress_image_from_url
    Tool(name="""image-tools-mcp_compress_local_image""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'options': {'additionalProperties': False, 'description': 'Options for compressing local image', 'properties': {'imagePath': {'description': 'Absolute path to the local image file (must be a file, not a directory)', 'type': 'string'}, 'outputFormat': {'description': 'Output format (webp, jpeg/jpg, png)', 'enum': ['image/webp', 'image/jpeg', 'image/jpg', 'image/png'], 'type': 'string'}, 'outputPath': {'description': 'Absolute path for the compressed output image', 'type': 'string'}}, 'required': ['imagePath'], 'type': 'object'}}, 'required': ['options'], 'type': 'object'}, description="""Compress a single local image file using TinyPNG API (only supports image files, not folders)"""), # kshern/image-tools-mcp/compress_local_image
    Tool(name="""cryptopanic-mcp-server_get_crypto_news""", inputSchema={'properties': {'kind': {'default': 'news', 'title': 'Kind', 'type': 'string'}, 'num_pages': {'default': 1, 'title': 'Num Pages', 'type': 'integer'}}, 'title': 'get_crypto_newsArguments', 'type': 'object'}, description=""""""), # kukapay/cryptopanic-mcp-server/get_crypto_news
    Tool(name="""adx-mcp-server_execute_query""", inputSchema={'properties': {'query': {'title': 'Query', 'type': 'string'}}, 'required': ['query'], 'title': 'execute_queryArguments', 'type': 'object'}, description="""Executes a Kusto Query Language (KQL) query against the configured Azure Data Explorer database and returns the results as a list of dictionaries."""), # pab1it0/adx-mcp-server/execute_query
    Tool(name="""adx-mcp-server_list_tables""", inputSchema={'properties': {}, 'title': 'list_tablesArguments', 'type': 'object'}, description="""Retrieves a list of all tables available in the configured Azure Data Explorer database, including their names, folders, and database associations."""), # pab1it0/adx-mcp-server/list_tables
    Tool(name="""adx-mcp-server_get_table_schema""", inputSchema={'properties': {'table_name': {'title': 'Table Name', 'type': 'string'}}, 'required': ['table_name'], 'title': 'get_table_schemaArguments', 'type': 'object'}, description="""Retrieves the schema information for a specified table in the Azure Data Explorer database, including column names, data types, and other schema-related metadata."""), # pab1it0/adx-mcp-server/get_table_schema
    Tool(name="""adx-mcp-server_sample_table_data""", inputSchema={'properties': {'sample_size': {'default': 10, 'title': 'Sample Size', 'type': 'integer'}, 'table_name': {'title': 'Table Name', 'type': 'string'}}, 'required': ['table_name'], 'title': 'sample_table_dataArguments', 'type': 'object'}, description="""Retrieves a random sample of rows from the specified table in the Azure Data Explorer database. The sample_size parameter controls how many rows to return (default: 10)."""), # pab1it0/adx-mcp-server/sample_table_data
    Tool(name="""Memory Bank MCP_initialize_memory_bank""", inputSchema={'properties': {'path': {'description': 'Path where the Memory Bank will be initialized', 'type': 'string'}}, 'required': ['path'], 'type': 'object'}, description="""Initialize a Memory Bank in the specified directory"""), # movibe/Memory Bank MCP/initialize_memory_bank
    Tool(name="""Memory Bank MCP_set_memory_bank_path""", inputSchema={'properties': {'path': {'description': 'Custom path for the Memory Bank. If not provided, the current directory will be used.', 'type': 'string'}}, 'required': [], 'type': 'object'}, description="""Set a custom path for the Memory Bank"""), # movibe/Memory Bank MCP/set_memory_bank_path
    Tool(name="""Memory Bank MCP_debug_mcp_config""", inputSchema={'properties': {'verbose': {'default': False, 'description': 'Whether to include detailed information', 'type': 'boolean'}}, 'required': [], 'type': 'object'}, description="""Debug the current MCP configuration"""), # movibe/Memory Bank MCP/debug_mcp_config
    Tool(name="""Memory Bank MCP_read_memory_bank_file""", inputSchema={'properties': {'filename': {'description': 'Name of the file to read', 'type': 'string'}}, 'required': ['filename'], 'type': 'object'}, description="""Read a file from the Memory Bank"""), # movibe/Memory Bank MCP/read_memory_bank_file
    Tool(name="""Memory Bank MCP_write_memory_bank_file""", inputSchema={'properties': {'content': {'description': 'Content to write to the file', 'type': 'string'}, 'filename': {'description': 'Name of the file to write', 'type': 'string'}}, 'required': ['filename', 'content'], 'type': 'object'}, description="""Write to a Memory Bank file"""), # movibe/Memory Bank MCP/write_memory_bank_file
    Tool(name="""Memory Bank MCP_list_memory_bank_files""", inputSchema={'properties': {'random_string': {'description': 'Dummy parameter for no-parameter tools', 'type': 'string'}}, 'required': ['random_string'], 'type': 'object'}, description="""List Memory Bank files"""), # movibe/Memory Bank MCP/list_memory_bank_files
    Tool(name="""Memory Bank MCP_get_memory_bank_status""", inputSchema={'properties': {'random_string': {'description': 'Dummy parameter for no-parameter tools', 'type': 'string'}}, 'required': ['random_string'], 'type': 'object'}, description="""Check Memory Bank status"""), # movibe/Memory Bank MCP/get_memory_bank_status
    Tool(name="""Memory Bank MCP_migrate_file_naming""", inputSchema={'properties': {'random_string': {'description': 'Dummy parameter for no-parameter tools', 'type': 'string'}}, 'required': ['random_string'], 'type': 'object'}, description="""Migrate Memory Bank files from camelCase to kebab-case naming convention"""), # movibe/Memory Bank MCP/migrate_file_naming
    Tool(name="""Memory Bank MCP_track_progress""", inputSchema={'properties': {'action': {'description': "Action performed (e.g., 'Implemented feature', 'Fixed bug')", 'type': 'string'}, 'description': {'description': 'Detailed description of the progress', 'type': 'string'}, 'updateActiveContext': {'default': True, 'description': 'Whether to update the active context file', 'type': 'boolean'}}, 'required': ['action', 'description'], 'type': 'object'}, description="""Track progress and update Memory Bank files"""), # movibe/Memory Bank MCP/track_progress
    Tool(name="""Memory Bank MCP_update_active_context""", inputSchema={'properties': {'issues': {'description': 'List of known issues', 'items': {'type': 'string'}, 'type': 'array'}, 'nextSteps': {'description': 'List of next steps', 'items': {'type': 'string'}, 'type': 'array'}, 'tasks': {'description': 'List of ongoing tasks', 'items': {'type': 'string'}, 'type': 'array'}}, 'type': 'object'}, description="""Update the active context file"""), # movibe/Memory Bank MCP/update_active_context
    Tool(name="""Memory Bank MCP_log_decision""", inputSchema={'properties': {'alternatives': {'description': 'Alternatives considered', 'items': {'type': 'string'}, 'type': 'array'}, 'consequences': {'description': 'Consequences of the decision', 'items': {'type': 'string'}, 'type': 'array'}, 'context': {'description': 'Decision context', 'type': 'string'}, 'decision': {'description': 'The decision made', 'type': 'string'}, 'title': {'description': 'Decision title', 'type': 'string'}}, 'required': ['title', 'context', 'decision'], 'type': 'object'}, description="""Log a decision in the decision log"""), # movibe/Memory Bank MCP/log_decision
    Tool(name="""Memory Bank MCP_switch_mode""", inputSchema={'properties': {'mode': {'description': 'Name of the mode to switch to (architect, ask, code, debug, test)', 'type': 'string'}}, 'required': ['mode'], 'type': 'object'}, description="""Switches to a specific mode"""), # movibe/Memory Bank MCP/switch_mode
    Tool(name="""Memory Bank MCP_get_current_mode""", inputSchema={'properties': {}, 'type': 'object'}, description="""Gets information about the current mode"""), # movibe/Memory Bank MCP/get_current_mode
    Tool(name="""Memory Bank MCP_process_umb_command""", inputSchema={'properties': {'command': {'description': 'Complete UMB command', 'type': 'string'}}, 'required': ['command'], 'type': 'object'}, description="""Processes the Update Memory Bank (UMB) command"""), # movibe/Memory Bank MCP/process_umb_command
    Tool(name="""Memory Bank MCP_complete_umb""", inputSchema={'properties': {}, 'type': 'object'}, description="""Completes the Update Memory Bank (UMB) process"""), # movibe/Memory Bank MCP/complete_umb
    Tool(name="""Gitingest-MCP_git_summary""", inputSchema={'properties': {'branch': {'anyOf': [{'type': 'string'}, {'type': 'null'}], 'default': None, 'title': 'Branch'}, 'owner': {'title': 'Owner', 'type': 'string'}, 'repo': {'title': 'Repo', 'type': 'string'}}, 'required': ['owner', 'repo'], 'title': 'git_summaryArguments', 'type': 'object'}, description="""\n	Get a summary of a GitHub repository that includes \n		- Repo name, \n		- Files in repo\n		- Number of tokens in repo\n		- Summary from the README.md\n\n	Args:\n		owner: The GitHub organization or username\n		repo: The repository name\n		branch: Optional branch name (default: None)\n	"""), # puravparab/Gitingest-MCP/git_summary
    Tool(name="""Gitingest-MCP_git_tree""", inputSchema={'properties': {'branch': {'anyOf': [{'type': 'string'}, {'type': 'null'}], 'default': None, 'title': 'Branch'}, 'owner': {'title': 'Owner', 'type': 'string'}, 'repo': {'title': 'Repo', 'type': 'string'}}, 'required': ['owner', 'repo'], 'title': 'git_treeArguments', 'type': 'object'}, description="""\n	Get the tree structure of a GitHub repository\n\n	Args:\n		owner: The GitHub organization or username\n		repo: The repository name\n		branch: Optional branch name (default: None)\n	"""), # puravparab/Gitingest-MCP/git_tree
    Tool(name="""Gitingest-MCP_git_files""", inputSchema={'properties': {'branch': {'anyOf': [{'type': 'string'}, {'type': 'null'}], 'default': None, 'title': 'Branch'}, 'file_paths': {'items': {'type': 'string'}, 'title': 'File Paths', 'type': 'array'}, 'owner': {'title': 'Owner', 'type': 'string'}, 'repo': {'title': 'Repo', 'type': 'string'}}, 'required': ['owner', 'repo', 'file_paths'], 'title': 'git_filesArguments', 'type': 'object'}, description="""\n	Get the content of specific files from a GitHub repository\n\n	Args:\n		owner: The GitHub organization or username\n		repo: The repository name\n		file_paths: List of paths to files within the repository\n		branch: Optional branch name (default: None)\n	"""), # puravparab/Gitingest-MCP/git_files
    Tool(name="""DuckDuckGo MCP Server_duckduckgo_web_search""", inputSchema={'properties': {'count': {'default': 10, 'description': 'Number of results (1-20, default 10)', 'maximum': 20, 'minimum': 1, 'type': 'number'}, 'query': {'description': 'Search query (max 400 chars)', 'maxLength': 400, 'type': 'string'}, 'safeSearch': {'default': 'moderate', 'description': 'SafeSearch level (strict, moderate, off)', 'enum': ['strict', 'moderate', 'off'], 'type': 'string'}}, 'required': ['query'], 'type': 'object'}, description="""Performs a web search using the DuckDuckGo, ideal for general queries, news, articles, and online content. Use this for broad information gathering, recent events, or when you need diverse web sources. Supports content filtering and region-specific searches. Maximum 20 results per request."""), # zhsama/DuckDuckGo MCP Server/duckduckgo_web_search
    Tool(name="""Git Auto Commit MCP Server_git-changes-commit-message""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'autoCommitPath': {'description': 'Optional path to analyze specific directory/file', 'type': 'string'}}, 'required': ['autoCommitPath'], 'type': 'object'}, description="""Analyzes current git changes and provides a commit message"""), # jatinsandilya/Git Auto Commit MCP Server/git-changes-commit-message
    Tool(name="""MCP Create Server_create-server-from-template""", inputSchema={'properties': {'code': {'description': '', 'type': 'string'}, 'dependencies': {'description': ': { "axios": "^1.0.0" }', 'type': 'object'}, 'language': {'description': 'The programming language for the template', 'enum': ['typescript', 'python'], 'type': 'string'}}, 'required': ['language'], 'type': 'object'}, description="""Create a new MCP server from a template.\n  \n  \n  \n  \n  TypeScript:\n  ```typescript\n  import { Server } from \"@modelcontextprotocol/sdk/server/index.js\";\n  import { StdioServerTransport } from \"@modelcontextprotocol/sdk/server/stdio.js\";\n  import { \n    CallToolRequestSchema, \n    ListToolsRequestSchema \n  } from \"@modelcontextprotocol/sdk/types.js\";\n\n  const server = new Server({\n    name: \"dynamic-test-server\",\n    version: \"1.0.0\"\n  }, {\n    capabilities: {\n      tools: {}\n    }\n  });\n\n  // \n  server.setRequestHandler(ListToolsRequestSchema, async () => {\n    return {\n      tools: [{\n        name: \"echo\",\n        description: \"Echo back a message\",\n        inputSchema: {\n          type: \"object\",\n          properties: {\n            message: { type: \"string\" }\n          },\n          required: [\"message\"]\n        }\n      }]\n    };\n  });\n\n  server.setRequestHandler(CallToolRequestSchema, async (request) => {\n    if (request.params.name === \"echo\") {\n      // TypeScript\n      const message = request.params.arguments.message as string;\n      //  any : const message: any = request.params.arguments.message;\n      \n      return {\n        content: [\n          {\n            type: \"text\",\n            text: `Echo: ${message}`\n          }\n        ]\n      };\n    }\n    throw new Error(\"Tool not found\");\n  });\n\n  // Server startup\n  const transport = new StdioServerTransport();\n  server.connect(transport);\n  ```\n  \n  Python:\n  ```python\n  import asyncio\n  from mcp.server import Server\n  from mcp.server.stdio import stdio_server\n\n  app = Server(\"dynamic-test-server\")\n\n  @app.list_tools()\n  async def list_tools():\n      return [\n          {\n              \"name\": \"echo\",\n              \"description\": \"Echo back a message\",\n              \"inputSchema\": {\n                  \"type\": \"object\",\n                  \"properties\": {\n                      \"message\": {\"type\": \"string\"}\n                  },\n                  \"required\": [\"message\"]\n              }\n          }\n      ]\n\n  @app.call_tool()\n  async def call_tool(name, arguments):\n      if name == \"echo\":\n          return [{\"type\": \"text\", \"text\": f\"Echo: {arguments.get('message')}\"}]\n      raise ValueError(f\"Tool not found: {name}\")\n\n  async def main():\n      async with stdio_server() as streams:\n          await app.run(\n              streams[0],\n              streams[1],\n              app.create_initialization_options()\n          )\n\n  if __name__ == \"__main__\":\n      asyncio.run(main())\n  ```\n  \n  \n  - TypeScriptas string\n    const value: string = request.params.arguments.someValue\n  - interface  type \n  \n  """), # tesla0225/MCP Create Server/create-server-from-template
    Tool(name="""MCP Create Server_execute-tool""", inputSchema={'properties': {'args': {'description': 'The arguments to pass to the tool', 'type': 'object'}, 'serverId': {'description': 'The ID of the server', 'type': 'string'}, 'toolName': {'description': 'The name of the tool to execute', 'type': 'string'}}, 'required': ['serverId', 'toolName'], 'type': 'object'}, description="""Execute a tool on a server"""), # tesla0225/MCP Create Server/execute-tool
    Tool(name="""MCP Create Server_get-server-tools""", inputSchema={'properties': {'serverId': {'description': 'The ID of the server', 'type': 'string'}}, 'required': ['serverId'], 'type': 'object'}, description="""Get the tools available on a server"""), # tesla0225/MCP Create Server/get-server-tools
    Tool(name="""MCP Create Server_delete-server""", inputSchema={'properties': {'serverId': {'description': 'The ID of the server', 'type': 'string'}}, 'required': ['serverId'], 'type': 'object'}, description="""Delete a server"""), # tesla0225/MCP Create Server/delete-server
    Tool(name="""MCP Create Server_list-servers""", inputSchema={'properties': {}, 'type': 'object'}, description="""List all running servers"""), # tesla0225/MCP Create Server/list-servers
    Tool(name="""Redash MCP Server_list-queries""", inputSchema={'properties': {'page': {'description': 'Page number (starts at 1)', 'type': 'number'}, 'pageSize': {'description': 'Number of results per page', 'type': 'number'}}, 'type': 'object'}, description="""List all available queries in Redash"""), # suthio/Redash MCP Server/list-queries
    Tool(name="""Redash MCP Server_get-query""", inputSchema={'properties': {'queryId': {'description': 'ID of the query to get', 'type': 'number'}}, 'required': ['queryId'], 'type': 'object'}, description="""Get details of a specific query"""), # suthio/Redash MCP Server/get-query
    Tool(name="""Redash MCP Server_create-query""", inputSchema={'properties': {'data_source_id': {'description': 'ID of the data source to use', 'type': 'number'}, 'description': {'description': 'Description of the query', 'type': 'string'}, 'name': {'description': 'Name of the query', 'type': 'string'}, 'options': {'description': 'Query options', 'type': 'object'}, 'query': {'description': 'SQL query text', 'type': 'string'}, 'schedule': {'description': 'Query schedule', 'type': 'object'}, 'tags': {'description': 'Tags for the query', 'items': {'type': 'string'}, 'type': 'array'}}, 'required': ['name', 'data_source_id', 'query'], 'type': 'object'}, description="""Create a new query in Redash"""), # suthio/Redash MCP Server/create-query
    Tool(name="""Redash MCP Server_update-query""", inputSchema={'properties': {'data_source_id': {'description': 'ID of the data source to use', 'type': 'number'}, 'description': {'description': 'Description of the query', 'type': 'string'}, 'is_archived': {'description': 'Whether the query is archived', 'type': 'boolean'}, 'is_draft': {'description': 'Whether the query is a draft', 'type': 'boolean'}, 'name': {'description': 'New name of the query', 'type': 'string'}, 'options': {'description': 'Query options', 'type': 'object'}, 'query': {'description': 'SQL query text', 'type': 'string'}, 'queryId': {'description': 'ID of the query to update', 'type': 'number'}, 'schedule': {'description': 'Query schedule', 'type': 'object'}, 'tags': {'description': 'Tags for the query', 'items': {'type': 'string'}, 'type': 'array'}}, 'required': ['queryId'], 'type': 'object'}, description="""Update an existing query in Redash"""), # suthio/Redash MCP Server/update-query
    Tool(name="""Redash MCP Server_archive-query""", inputSchema={'properties': {'queryId': {'description': 'ID of the query to archive', 'type': 'number'}}, 'required': ['queryId'], 'type': 'object'}, description="""Archive (soft-delete) a query in Redash"""), # suthio/Redash MCP Server/archive-query
    Tool(name="""Redash MCP Server_list-data-sources""", inputSchema={'properties': {}, 'type': 'object'}, description="""List all available data sources in Redash"""), # suthio/Redash MCP Server/list-data-sources
    Tool(name="""Redash MCP Server_execute-query""", inputSchema={'properties': {'parameters': {'additionalProperties': True, 'description': 'Parameters to pass to the query (if any)', 'type': 'object'}, 'queryId': {'description': 'ID of the query to execute', 'type': 'number'}}, 'required': ['queryId'], 'type': 'object'}, description="""Execute a Redash query and return results"""), # suthio/Redash MCP Server/execute-query
    Tool(name="""Redash MCP Server_list-dashboards""", inputSchema={'properties': {'page': {'description': 'Page number (starts at 1)', 'type': 'number'}, 'pageSize': {'description': 'Number of results per page', 'type': 'number'}}, 'type': 'object'}, description="""List all available dashboards in Redash"""), # suthio/Redash MCP Server/list-dashboards
    Tool(name="""Redash MCP Server_get-dashboard""", inputSchema={'properties': {'dashboardId': {'description': 'ID of the dashboard to get', 'type': 'number'}}, 'required': ['dashboardId'], 'type': 'object'}, description="""Get details of a specific dashboard"""), # suthio/Redash MCP Server/get-dashboard
    Tool(name="""Redash MCP Server_get-visualization""", inputSchema={'properties': {'visualizationId': {'description': 'ID of the visualization to get', 'type': 'number'}}, 'required': ['visualizationId'], 'type': 'object'}, description="""Get details of a specific visualization"""), # suthio/Redash MCP Server/get-visualization
    Tool(name="""Meme MCP Server_generateMeme""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'templateNumericId': {'type': 'string'}, 'text0': {'type': 'string'}, 'text1': {'type': 'string'}}, 'required': ['templateNumericId', 'text0'], 'type': 'object'}, description="""Generate a meme image from Imgflip using the numeric template id and text"""), # haltakov/Meme MCP Server/generateMeme
    Tool(name="""mcp-omnisearch_tavily_search""", inputSchema={'properties': {'exclude_domains': {'description': 'List of domains to exclude from search results', 'items': {'type': 'string'}, 'type': 'array'}, 'include_domains': {'description': 'List of domains to include in search results', 'items': {'type': 'string'}, 'type': 'array'}, 'limit': {'description': 'Maximum number of results to return', 'maximum': 50, 'minimum': 1, 'type': 'number'}, 'query': {'description': 'Search query', 'type': 'string'}}, 'required': ['query'], 'type': 'object'}, description="""Search the web using Tavily Search API. Best for factual queries requiring reliable sources and citations. Provides high-quality results for technical, scientific, and academic topics. Use when you need verified information with strong citation support."""), # spences10/mcp-omnisearch/tavily_search
    Tool(name="""mcp-omnisearch_brave_search""", inputSchema={'properties': {'exclude_domains': {'description': 'List of domains to exclude from search results', 'items': {'type': 'string'}, 'type': 'array'}, 'include_domains': {'description': 'List of domains to include in search results', 'items': {'type': 'string'}, 'type': 'array'}, 'limit': {'description': 'Maximum number of results to return', 'maximum': 50, 'minimum': 1, 'type': 'number'}, 'query': {'description': 'Search query', 'type': 'string'}}, 'required': ['query'], 'type': 'object'}, description="""Privacy-focused search engine with good coverage of technical topics. Features independent index and strong privacy protections. Best for technical documentation, developer resources, and privacy-sensitive queries."""), # spences10/mcp-omnisearch/brave_search
    Tool(name="""mcp-omnisearch_kagi_search""", inputSchema={'properties': {'exclude_domains': {'description': 'List of domains to exclude from search results', 'items': {'type': 'string'}, 'type': 'array'}, 'include_domains': {'description': 'List of domains to include in search results', 'items': {'type': 'string'}, 'type': 'array'}, 'limit': {'description': 'Maximum number of results to return', 'maximum': 50, 'minimum': 1, 'type': 'number'}, 'query': {'description': 'Search query', 'type': 'string'}}, 'required': ['query'], 'type': 'object'}, description="""High-quality search results with minimal advertising influence, focused on authoritative sources. Features strong privacy protection and access to specialized knowledge indexes. Best for research, technical documentation, and finding high-quality content without SEO manipulation."""), # spences10/mcp-omnisearch/kagi_search
    Tool(name="""mcp-omnisearch_perplexity_search""", inputSchema={'properties': {'exclude_domains': {'description': 'List of domains to exclude from search results', 'items': {'type': 'string'}, 'type': 'array'}, 'include_domains': {'description': 'List of domains to include in search results', 'items': {'type': 'string'}, 'type': 'array'}, 'limit': {'description': 'Maximum number of results to return', 'maximum': 50, 'minimum': 1, 'type': 'number'}, 'query': {'description': 'Search query', 'type': 'string'}}, 'required': ['query'], 'type': 'object'}, description="""AI-powered response generation combining real-time web search with advanced language models. Best for complex queries requiring reasoning and synthesis across multiple sources. Features contextual memory for follow-up questions."""), # spences10/mcp-omnisearch/perplexity_search
    Tool(name="""mcp-omnisearch_kagi_fastgpt_search""", inputSchema={'properties': {'exclude_domains': {'description': 'List of domains to exclude from search results', 'items': {'type': 'string'}, 'type': 'array'}, 'include_domains': {'description': 'List of domains to include in search results', 'items': {'type': 'string'}, 'type': 'array'}, 'limit': {'description': 'Maximum number of results to return', 'maximum': 50, 'minimum': 1, 'type': 'number'}, 'query': {'description': 'Search query', 'type': 'string'}}, 'required': ['query'], 'type': 'object'}, description="""Quick AI-generated answers with citations, optimized for rapid response (900ms typical start time). Runs full search underneath for enriched answers."""), # spences10/mcp-omnisearch/kagi_fastgpt_search
    Tool(name="""mcp-omnisearch_jina_reader_process""", inputSchema={'properties': {'extract_depth': {'default': 'basic', 'description': 'The depth of the extraction process. "advanced" retrieves more data but costs more credits.', 'enum': ['basic', 'advanced'], 'type': 'string'}, 'url': {'oneOf': [{'description': 'Single URL to process', 'type': 'string'}, {'description': 'Multiple URLs to process', 'items': {'type': 'string'}, 'type': 'array'}]}}, 'required': ['url'], 'type': 'object'}, description="""Convert any URL to clean, LLM-friendly text using Jina Reader API"""), # spences10/mcp-omnisearch/jina_reader_process
    Tool(name="""mcp-omnisearch_kagi_summarizer_process""", inputSchema={'properties': {'extract_depth': {'default': 'basic', 'description': 'The depth of the extraction process. "advanced" retrieves more data but costs more credits.', 'enum': ['basic', 'advanced'], 'type': 'string'}, 'url': {'oneOf': [{'description': 'Single URL to process', 'type': 'string'}, {'description': 'Multiple URLs to process', 'items': {'type': 'string'}, 'type': 'array'}]}}, 'required': ['url'], 'type': 'object'}, description="""Instantly summarizes content of any type and length from URLs. Supports pages, videos, and podcasts with transcripts. Best for quick comprehension of long-form content and multimedia resources."""), # spences10/mcp-omnisearch/kagi_summarizer_process
    Tool(name="""mcp-omnisearch_tavily_extract_process""", inputSchema={'properties': {'extract_depth': {'default': 'basic', 'description': 'The depth of the extraction process. "advanced" retrieves more data but costs more credits.', 'enum': ['basic', 'advanced'], 'type': 'string'}, 'url': {'oneOf': [{'description': 'Single URL to process', 'type': 'string'}, {'description': 'Multiple URLs to process', 'items': {'type': 'string'}, 'type': 'array'}]}}, 'required': ['url'], 'type': 'object'}, description="""Extract web page content from single or multiple URLs using Tavily Extract. Efficiently converts web content into clean, processable text with configurable extraction depth and optional image extraction. Returns both combined and individual URL content. Best for content analysis, data collection, and research."""), # spences10/mcp-omnisearch/tavily_extract_process
    Tool(name="""mcp-omnisearch_firecrawl_scrape_process""", inputSchema={'properties': {'extract_depth': {'default': 'basic', 'description': 'The depth of the extraction process. "advanced" retrieves more data but costs more credits.', 'enum': ['basic', 'advanced'], 'type': 'string'}, 'url': {'oneOf': [{'description': 'Single URL to process', 'type': 'string'}, {'description': 'Multiple URLs to process', 'items': {'type': 'string'}, 'type': 'array'}]}}, 'required': ['url'], 'type': 'object'}, description="""Extract clean, LLM-ready data from single URLs with enhanced formatting options using Firecrawl. Efficiently converts web content into markdown, plain text, or structured data with configurable extraction options. Best for content analysis, data collection, and AI training data preparation."""), # spences10/mcp-omnisearch/firecrawl_scrape_process
    Tool(name="""mcp-omnisearch_firecrawl_crawl_process""", inputSchema={'properties': {'extract_depth': {'default': 'basic', 'description': 'The depth of the extraction process. "advanced" retrieves more data but costs more credits.', 'enum': ['basic', 'advanced'], 'type': 'string'}, 'url': {'oneOf': [{'description': 'Single URL to process', 'type': 'string'}, {'description': 'Multiple URLs to process', 'items': {'type': 'string'}, 'type': 'array'}]}}, 'required': ['url'], 'type': 'object'}, description="""Deep crawling of all accessible subpages on a website with configurable depth limits using Firecrawl. Efficiently discovers and extracts content from multiple pages within a domain. Best for comprehensive site analysis, content indexing, and data collection from entire websites."""), # spences10/mcp-omnisearch/firecrawl_crawl_process
    Tool(name="""mcp-omnisearch_firecrawl_map_process""", inputSchema={'properties': {'extract_depth': {'default': 'basic', 'description': 'The depth of the extraction process. "advanced" retrieves more data but costs more credits.', 'enum': ['basic', 'advanced'], 'type': 'string'}, 'url': {'oneOf': [{'description': 'Single URL to process', 'type': 'string'}, {'description': 'Multiple URLs to process', 'items': {'type': 'string'}, 'type': 'array'}]}}, 'required': ['url'], 'type': 'object'}, description="""Fast URL collection from websites for comprehensive site mapping using Firecrawl. Efficiently discovers all accessible URLs within a domain without extracting content. Best for site auditing, URL discovery, and preparing for targeted content extraction."""), # spences10/mcp-omnisearch/firecrawl_map_process
    Tool(name="""mcp-omnisearch_firecrawl_extract_process""", inputSchema={'properties': {'extract_depth': {'default': 'basic', 'description': 'The depth of the extraction process. "advanced" retrieves more data but costs more credits.', 'enum': ['basic', 'advanced'], 'type': 'string'}, 'url': {'oneOf': [{'description': 'Single URL to process', 'type': 'string'}, {'description': 'Multiple URLs to process', 'items': {'type': 'string'}, 'type': 'array'}]}}, 'required': ['url'], 'type': 'object'}, description="""Structured data extraction with AI using natural language prompts via Firecrawl. Extracts specific information from web pages based on custom extraction instructions. Best for targeted data collection, information extraction, and converting unstructured web content into structured data."""), # spences10/mcp-omnisearch/firecrawl_extract_process
    Tool(name="""mcp-omnisearch_firecrawl_actions_process""", inputSchema={'properties': {'extract_depth': {'default': 'basic', 'description': 'The depth of the extraction process. "advanced" retrieves more data but costs more credits.', 'enum': ['basic', 'advanced'], 'type': 'string'}, 'url': {'oneOf': [{'description': 'Single URL to process', 'type': 'string'}, {'description': 'Multiple URLs to process', 'items': {'type': 'string'}, 'type': 'array'}]}}, 'required': ['url'], 'type': 'object'}, description="""Support for page interactions (clicking, scrolling, etc.) before extraction for dynamic content using Firecrawl. Enables extraction from JavaScript-heavy sites, single-page applications, and content behind user interactions. Best for accessing content that requires navigation, form filling, or other interactions."""), # spences10/mcp-omnisearch/firecrawl_actions_process
    Tool(name="""mcp-omnisearch_jina_grounding_enhance""", inputSchema={'properties': {'content': {'description': 'Content to enhance', 'type': 'string'}}, 'required': ['content'], 'type': 'object'}, description="""Real-time fact verification against web knowledge. Reduces hallucinations and improves content integrity through statement verification."""), # spences10/mcp-omnisearch/jina_grounding_enhance
    Tool(name="""mcp-omnisearch_kagi_enrichment_enhance""", inputSchema={'properties': {'content': {'description': 'Content to enhance', 'type': 'string'}}, 'required': ['content'], 'type': 'object'}, description="""Provides supplementary content from specialized indexes (Teclis for web, TinyGem for news). Ideal for discovering non-mainstream results and enriching content with specialized knowledge."""), # spences10/mcp-omnisearch/kagi_enrichment_enhance
    Tool(name="""MCP Server Template_sample-tool""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'input': {'description': 'Input parameter for the sample tool', 'type': 'string'}}, 'required': ['input'], 'type': 'object'}, description="""A sample tool for demonstration purposes"""), # jatinsandilya/MCP Server Template/sample-tool
    Tool(name="""Databutton MCP Server_submit_app_requirements""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'name': {'description': 'The name of the app', 'type': 'string'}, 'pitch': {'description': 'The pitch for the app', 'type': 'string'}, 'spec': {'additionalProperties': False, 'properties': {'description': {'description': "The app's specifications given in no more than 4-5 paragraphs", 'type': 'string'}, 'design': {'description': "The app's design", 'type': 'string'}, 'targetAudience': {'description': "The app's target audience", 'type': 'string'}, 'typography': {'description': "The app's typography", 'type': 'string'}}, 'required': ['description', 'targetAudience', 'design', 'typography'], 'type': 'object'}}, 'required': ['name', 'pitch', 'spec'], 'type': 'object'}, description="""Submit app requirements"""), # databutton/Databutton MCP Server/submit_app_requirements
    Tool(name="""Unofficial dubco-mcp-server_create_link""", inputSchema={'properties': {'domain': {'description': 'Optional domain slug to use. If not provided, the primary domain will be used.', 'type': 'string'}, 'externalId': {'description': 'Optional external ID for the link', 'type': 'string'}, 'key': {'description': 'Optional custom slug for the short link. If not provided, a random slug will be generated.', 'type': 'string'}, 'url': {'description': 'The destination URL to shorten', 'type': 'string'}}, 'required': ['url'], 'type': 'object'}, description="""Create a new short link on dub.co, asking the user which domain to use"""), # Gitmaxd/Unofficial dubco-mcp-server/create_link
    Tool(name="""Unofficial dubco-mcp-server_update_link""", inputSchema={'properties': {'domain': {'description': 'The new domain for the short link', 'type': 'string'}, 'key': {'description': 'The new slug for the short link', 'type': 'string'}, 'linkId': {'description': 'The ID of the link to update', 'type': 'string'}, 'url': {'description': 'The new destination URL', 'type': 'string'}}, 'required': ['linkId'], 'type': 'object'}, description="""Update an existing short link on dub.co"""), # Gitmaxd/Unofficial dubco-mcp-server/update_link
    Tool(name="""Unofficial dubco-mcp-server_delete_link""", inputSchema={'properties': {'linkId': {'description': 'The ID of the link to delete', 'type': 'string'}}, 'required': ['linkId'], 'type': 'object'}, description="""Delete a short link on dub.co"""), # Gitmaxd/Unofficial dubco-mcp-server/delete_link
    Tool(name="""Deskaid_deskaid""", inputSchema={'properties': {'command': {'title': 'Command', 'type': 'string'}, 'content': {'anyOf': [{'type': 'string'}, {'type': 'null'}], 'default': None, 'title': 'Content'}, 'file_path': {'anyOf': [{'type': 'string'}, {'type': 'null'}], 'default': None, 'title': 'File Path'}, 'limit': {'anyOf': [{'type': 'string'}, {'type': 'null'}], 'default': None, 'title': 'Limit'}, 'new_string': {'anyOf': [{'type': 'string'}, {'type': 'null'}], 'default': None, 'title': 'New String'}, 'offset': {'anyOf': [{'type': 'string'}, {'type': 'null'}], 'default': None, 'title': 'Offset'}, 'old_string': {'anyOf': [{'type': 'string'}, {'type': 'null'}], 'default': None, 'title': 'Old String'}}, 'required': ['command'], 'title': 'deskaidArguments', 'type': 'object'}, description="""\n    This is a multipurpose tool that supports the following subcommands:\n\n    ## ReadFile file_path offset? limit?\n\n    Reads a file from the local filesystem. The file_path parameter must be an absolute path, not a relative path. By default, it reads up to ${MAX_LINES_TO_READ} lines starting from the beginning of the file. You can optionally specify a line offset and limit (especially handy for long files), but it's recommended to read the whole file by not providing these parameters. Any lines longer than ${MAX_LINE_LENGTH} characters will be truncated. For image files, the tool will display the image for you.\n\n    ## WriteFile file_path content\n\n    Write a file to the local filesystem. Overwrites the existing file if there is one.\n\n    Before using this tool:\n\n    1. Use the ReadFile tool to understand the file's contents and context\n\n    2. Directory Verification (only applicable when creating new files):\n       - Use the LS tool to verify the parent directory exists and is the correct location\n\n    ## EditFile file_path old_string new_string\n\n    This is a tool for editing files. For larger edits, use the Write tool to overwrite files.\n\n    Before using this tool:\n\n    1. Use the View tool to understand the file's contents and context\n\n    2. Verify the directory path is correct (only applicable when creating new files):\n       - Use the LS tool to verify the parent directory exists and is the correct location\n\n    To make a file edit, provide the following:\n    1. file_path: The absolute path to the file to modify (must be absolute, not relative)\n    2. old_string: The text to replace (must be unique within the file, and must match the file contents exactly, including all whitespace and indentation)\n    3. new_string: The edited text to replace the old_string\n\n    The tool will replace ONE occurrence of old_string with new_string in the specified file.\n\n    CRITICAL REQUIREMENTS FOR USING THIS TOOL:\n\n    1. UNIQUENESS: The old_string MUST uniquely identify the specific instance you want to change. This means:\n       - Include AT LEAST 3-5 lines of context BEFORE the change point\n       - Include AT LEAST 3-5 lines of context AFTER the change point\n       - Include all whitespace, indentation, and surrounding code exactly as it appears in the file\n\n    2. SINGLE INSTANCE: This tool can only change ONE instance at a time. If you need to change multiple instances:\n       - Make separate calls to this tool for each instance\n       - Each call must uniquely identify its specific instance using extensive context\n\n    3. VERIFICATION: Before using this tool:\n       - Check how many instances of the target text exist in the file\n       - If multiple instances exist, gather enough context to uniquely identify each one\n       - Plan separate tool calls for each instance\n\n    WARNING: If you do not follow these requirements:\n       - The tool will fail if old_string matches multiple locations\n       - The tool will fail if old_string doesn't match exactly (including whitespace)\n       - You may change the wrong instance if you don't include enough context\n\n    When making edits:\n       - Ensure the edit results in idiomatic, correct code\n       - Do not leave the code in a broken state\n       - Always use absolute file paths (starting with /)\n\n    If you want to create a new file, use:\n       - A new file path, including dir name if needed\n       - An empty old_string\n       - The new file's contents as new_string\n\n    Remember: when making multiple file edits in a row to the same file, you should prefer to send all edits in a single message with multiple calls to this tool, rather than multiple messages with a single call each.\n\n    ## LS directory_path\n\n    Lists files and directories in a given path. The path parameter must be an absolute path, not a relative path. You should generally prefer the Glob and Grep tools, if you know which directories to search.\n\n    Args:\n        ctx: The MCP context\n        command: The subcommand to execute (ReadFile, WriteFile, EditFile, LS)\n        file_path: The path to the file or directory to operate on\n        content: Content for WriteFile command\n        old_string: String to replace for EditFile command\n        new_string: Replacement string for EditFile command\n        offset: Line offset for ReadFile command\n        limit: Line limit for ReadFile command\n    """), # ezyang/Deskaid/deskaid
    Tool(name="""Claude Code MCP_bash""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'command': {'description': 'The shell command to execute', 'type': 'string'}, 'timeout': {'description': 'Optional timeout in milliseconds (max 600000)', 'type': 'number'}}, 'required': ['command'], 'type': 'object'}, description="""Execute a shell command"""), # auchenberg/Claude Code MCP/bash
    Tool(name="""Claude Code MCP_readFile""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'file_path': {'description': 'The absolute path to the file to read', 'type': 'string'}, 'limit': {'description': 'The number of lines to read', 'type': 'number'}, 'offset': {'description': 'The line number to start reading from', 'type': 'number'}}, 'required': ['file_path'], 'type': 'object'}, description="""Read a file from the local filesystem"""), # auchenberg/Claude Code MCP/readFile
    Tool(name="""Claude Code MCP_listFiles""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'path': {'description': 'The absolute path to the directory to list', 'type': 'string'}}, 'required': ['path'], 'type': 'object'}, description="""Lists files and directories in a given path"""), # auchenberg/Claude Code MCP/listFiles
    Tool(name="""Claude Code MCP_searchGlob""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'path': {'description': 'The directory to search in. Defaults to the current working directory.', 'type': 'string'}, 'pattern': {'description': 'The glob pattern to match files against', 'type': 'string'}}, 'required': ['pattern'], 'type': 'object'}, description="""Search for files matching a pattern"""), # auchenberg/Claude Code MCP/searchGlob
    Tool(name="""Claude Code MCP_grep""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'include': {'description': 'File pattern to include in the search (e.g. "*.js", "*.{ts,tsx}")', 'type': 'string'}, 'path': {'description': 'The directory to search in. Defaults to the current working directory.', 'type': 'string'}, 'pattern': {'description': 'The regular expression pattern to search for in file contents', 'type': 'string'}}, 'required': ['pattern'], 'type': 'object'}, description="""Search for text in files"""), # auchenberg/Claude Code MCP/grep
    Tool(name="""Claude Code MCP_think""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'thought': {'description': 'Your thoughts', 'type': 'string'}}, 'required': ['thought'], 'type': 'object'}, description="""A tool for thinking through complex problems"""), # auchenberg/Claude Code MCP/think
    Tool(name="""Claude Code MCP_codeReview""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'code': {'description': 'The code to review', 'type': 'string'}}, 'required': ['code'], 'type': 'object'}, description="""Review code for bugs, security issues, and best practices"""), # auchenberg/Claude Code MCP/codeReview
    Tool(name="""Claude Code MCP_editFile""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'content': {'description': 'The new content for the file', 'type': 'string'}, 'file_path': {'description': 'The absolute path to the file to edit', 'type': 'string'}}, 'required': ['file_path', 'content'], 'type': 'object'}, description="""Create or edit a file"""), # auchenberg/Claude Code MCP/editFile
    Tool(name="""Cryo MCP Server_list_datasets""", inputSchema={'properties': {}, 'title': 'list_datasetsArguments', 'type': 'object'}, description="""Return a list of all available cryo datasets"""), # z80dev/Cryo MCP Server/list_datasets
    Tool(name="""Cryo MCP Server_query_dataset""", inputSchema={'properties': {'blocks': {'anyOf': [{'type': 'string'}, {'type': 'null'}], 'default': None, 'title': 'Blocks'}, 'blocks_from_latest': {'anyOf': [{'type': 'integer'}, {'type': 'null'}], 'default': None, 'title': 'Blocks From Latest'}, 'contract': {'anyOf': [{'type': 'string'}, {'type': 'null'}], 'default': None, 'title': 'Contract'}, 'dataset': {'title': 'Dataset', 'type': 'string'}, 'end_block': {'anyOf': [{'type': 'integer'}, {'type': 'null'}], 'default': None, 'title': 'End Block'}, 'exclude_columns': {'anyOf': [{'items': {'type': 'string'}, 'type': 'array'}, {'type': 'null'}], 'default': None, 'title': 'Exclude Columns'}, 'include_columns': {'anyOf': [{'items': {'type': 'string'}, 'type': 'array'}, {'type': 'null'}], 'default': None, 'title': 'Include Columns'}, 'output_format': {'default': 'json', 'title': 'Output Format', 'type': 'string'}, 'start_block': {'anyOf': [{'type': 'integer'}, {'type': 'null'}], 'default': None, 'title': 'Start Block'}, 'use_latest': {'default': False, 'title': 'Use Latest', 'type': 'boolean'}}, 'required': ['dataset'], 'title': 'query_datasetArguments', 'type': 'object'}, description="""\n    Query a cryo dataset and return the results\n\n    Args:\n        dataset: The name of the dataset to query (e.g., 'logs', 'transactions')\n        blocks: Block range specification as a string (e.g., '1000:1010')\n        start_block: Start block number as integer (alternative to blocks)\n        end_block: End block number as integer (alternative to blocks)\n        use_latest: If True, query the latest block\n        blocks_from_latest: Number of blocks before the latest to include (e.g., 10 = latest-10 to latest)\n        contract: Contract address to filter by\n        output_format: Output format (json, csv, parquet)\n        include_columns: Columns to include alongside the defaults\n        exclude_columns: Columns to exclude from the defaults\n\n    Returns:\n        The dataset results\n    """), # z80dev/Cryo MCP Server/query_dataset
    Tool(name="""Cryo MCP Server_lookup_dataset""", inputSchema={'properties': {'name': {'title': 'Name', 'type': 'string'}, 'sample_blocks_from_latest': {'anyOf': [{'type': 'integer'}, {'type': 'null'}], 'default': None, 'title': 'Sample Blocks From Latest'}, 'sample_end_block': {'anyOf': [{'type': 'integer'}, {'type': 'null'}], 'default': None, 'title': 'Sample End Block'}, 'sample_start_block': {'anyOf': [{'type': 'integer'}, {'type': 'null'}], 'default': None, 'title': 'Sample Start Block'}, 'use_latest_sample': {'default': False, 'title': 'Use Latest Sample', 'type': 'boolean'}}, 'required': ['name'], 'title': 'lookup_datasetArguments', 'type': 'object'}, description="""\n    Look up a specific dataset and return detailed information about it\n    \n    Args:\n        name: The name of the dataset to look up\n        sample_start_block: Optional start block for sample data (integer)\n        sample_end_block: Optional end block for sample data (integer)\n        use_latest_sample: If True, use the latest block for sample data\n        sample_blocks_from_latest: Number of blocks before the latest to include in sample\n        \n    Returns:\n        Detailed information about the dataset including schema and available fields\n    """), # z80dev/Cryo MCP Server/lookup_dataset
    Tool(name="""Cryo MCP Server_get_transaction_by_hash""", inputSchema={'properties': {'tx_hash': {'title': 'Tx Hash', 'type': 'string'}}, 'required': ['tx_hash'], 'title': 'get_transaction_by_hashArguments', 'type': 'object'}, description="""\n    Get detailed information about a transaction by its hash\n    \n    Args:\n        tx_hash: The transaction hash to look up\n        \n    Returns:\n        Detailed information about the transaction\n    """), # z80dev/Cryo MCP Server/get_transaction_by_hash
    Tool(name="""Cryo MCP Server_get_latest_ethereum_block""", inputSchema={'properties': {}, 'title': 'get_latest_ethereum_blockArguments', 'type': 'object'}, description="""\n    Get information about the latest Ethereum block\n    \n    Returns:\n        Information about the latest block including block number\n    """), # z80dev/Cryo MCP Server/get_latest_ethereum_block
    Tool(name="""Targetprocess MCP Server_search_entities""", inputSchema={'properties': {'include': {'description': 'Related data to include in results (e.g., ["Project", "Team", "AssignedUser"])', 'items': {'type': 'string'}, 'type': 'array'}, 'orderBy': {'description': 'Sort order for results (e.g., ["CreateDate desc", "Name asc"])', 'items': {'type': 'string'}, 'type': 'array'}, 'take': {'description': 'Number of items to return (default: 100)', 'maximum': 1000, 'minimum': 1, 'type': 'number'}, 'type': {'description': 'Type of entity to search', 'enum': ['UserStory', 'Bug', 'Task', 'Feature', 'Epic', 'PortfolioEpic', 'Solution', 'Request', 'Impediment', 'TestCase', 'TestPlan', 'Project', 'Team', 'Iteration', 'TeamIteration', 'Release', 'Program'], 'type': 'string'}, 'where': {'description': 'Filter expression using Target Process query language. Common preset filters available:\n- Status filters: searchPresets.open, .inProgress, .done\n- Assignment filters: searchPresets.myTasks, .unassigned\n- Time-based filters: searchPresets.createdToday, .modifiedToday, .createdThisWeek\n- Priority filters: searchPresets.highPriority\n- Combined filters: searchPresets.myOpenTasks, .highPriorityUnassigned\n\nExample: searchPresets.open or "EntityState.Name eq \'Open\'"', 'type': 'string'}}, 'required': ['type'], 'type': 'object'}, description="""Search Target Process entities with powerful filtering capabilities and preset filters for common scenarios"""), # aaronsb/Targetprocess MCP Server/search_entities
    Tool(name="""Targetprocess MCP Server_get_entity""", inputSchema={'properties': {'allow_informative_errors': {'default': False, 'description': 'When true, returns useful metadata even when operation fails', 'type': 'boolean'}, 'id': {'description': 'ID of the entity', 'type': 'number'}, 'include': {'description': 'Related data to include', 'items': {'type': 'string'}, 'type': 'array'}, 'type': {'description': 'Type of entity to retrieve', 'enum': ['UserStory', 'Bug', 'Task', 'Feature', 'Epic', 'PortfolioEpic', 'Solution', 'Request', 'Impediment', 'TestCase', 'TestPlan', 'Project', 'Team', 'Iteration', 'TeamIteration', 'Release', 'Program'], 'type': 'string'}}, 'required': ['type', 'id'], 'type': 'object'}, description="""Get details of a specific Target Process entity"""), # aaronsb/Targetprocess MCP Server/get_entity
    Tool(name="""Targetprocess MCP Server_create_entity""", inputSchema={'properties': {'assignedUser': {'properties': {'id': {'description': 'User ID to assign', 'type': 'number'}}, 'type': 'object'}, 'description': {'description': 'Description of the entity', 'type': 'string'}, 'name': {'description': 'Name/title of the entity', 'type': 'string'}, 'project': {'properties': {'id': {'description': 'Project ID', 'type': 'number'}}, 'required': ['id'], 'type': 'object'}, 'team': {'properties': {'id': {'description': 'Team ID', 'type': 'number'}}, 'type': 'object'}, 'type': {'description': 'Type of entity to create', 'enum': ['UserStory', 'Bug', 'Task', 'Feature', 'Epic', 'PortfolioEpic', 'Solution', 'Request', 'Impediment', 'TestCase', 'TestPlan', 'Project', 'Team', 'Iteration', 'TeamIteration', 'Release', 'Program'], 'type': 'string'}}, 'required': ['type', 'name', 'project'], 'type': 'object'}, description="""Create a new Target Process entity"""), # aaronsb/Targetprocess MCP Server/create_entity
    Tool(name="""Targetprocess MCP Server_update_entity""", inputSchema={'properties': {'fields': {'properties': {'assignedUser': {'properties': {'id': {'description': 'User ID to assign', 'type': 'number'}}, 'required': ['id'], 'type': 'object'}, 'description': {'description': 'New description for the entity', 'type': 'string'}, 'name': {'description': 'New name for the entity', 'type': 'string'}, 'status': {'properties': {'id': {'description': 'Status ID to set', 'type': 'number'}}, 'required': ['id'], 'type': 'object'}}, 'type': 'object'}, 'id': {'description': 'ID of the entity to update', 'type': 'number'}, 'type': {'description': 'Type of entity to update', 'enum': ['UserStory', 'Bug', 'Task', 'Feature', 'Epic', 'PortfolioEpic', 'Solution', 'Request', 'Impediment', 'TestCase', 'TestPlan', 'Project', 'Team', 'Iteration', 'TeamIteration', 'Release', 'Program'], 'type': 'string'}}, 'required': ['type', 'id', 'fields'], 'type': 'object'}, description="""Update an existing Target Process entity"""), # aaronsb/Targetprocess MCP Server/update_entity
    Tool(name="""Targetprocess MCP Server_inspect_object""", inputSchema={'properties': {'action': {'description': 'Action to perform', 'enum': ['list_types', 'get_properties', 'get_property_details', 'discover_api_structure'], 'type': 'string'}, 'entityType': {'description': 'Type of entity to inspect (required for get_properties and get_property_details)', 'type': 'string'}, 'propertyName': {'description': 'Name of property to get details for (required for get_property_details)', 'type': 'string'}}, 'required': ['action'], 'type': 'object'}, description="""Inspect Target Process objects and properties through the API. This tool also provides API discovery capabilities through error messages when used with unsupported entity types."""), # aaronsb/Targetprocess MCP Server/inspect_object
    Tool(name="""OKX MCP Server_get_price""", inputSchema={'properties': {'instrument': {'description': 'Instrument ID (e.g. BTC-USDT)', 'type': 'string'}}, 'required': ['instrument'], 'type': 'object'}, description="""Get latest price for an OKX instrument"""), # esshka/OKX MCP Server/get_price
    Tool(name="""OKX MCP Server_get_candlesticks""", inputSchema={'properties': {'bar': {'default': '1m', 'description': 'Time interval (e.g. 1m, 5m, 1H, 1D)', 'type': 'string'}, 'instrument': {'description': 'Instrument ID (e.g. BTC-USDT)', 'type': 'string'}, 'limit': {'default': 100, 'description': 'Number of candlesticks (max 100)', 'type': 'number'}}, 'required': ['instrument'], 'type': 'object'}, description="""Get candlestick data for an OKX instrument"""), # esshka/OKX MCP Server/get_candlesticks
    Tool(name="""MCP Memory LibSQL_create_relations""", inputSchema={'properties': {'relations': {'items': {'properties': {'source': {'type': 'string'}, 'target': {'type': 'string'}, 'type': {'type': 'string'}}, 'required': ['source', 'target', 'type'], 'type': 'object'}, 'type': 'array'}}, 'required': ['relations'], 'type': 'object'}, description="""Create relations between entities"""), # joleyline/MCP Memory LibSQL/create_relations
    Tool(name="""MCP Memory LibSQL_delete_entity""", inputSchema={'properties': {'name': {'description': 'Name of the entity to delete', 'type': 'string'}}, 'required': ['name'], 'type': 'object'}, description="""Delete an entity and all its associated data (observations and relations)"""), # joleyline/MCP Memory LibSQL/delete_entity
    Tool(name="""MCP Memory LibSQL_delete_relation""", inputSchema={'properties': {'source': {'description': 'Source entity name', 'type': 'string'}, 'target': {'description': 'Target entity name', 'type': 'string'}, 'type': {'description': 'Type of relation', 'type': 'string'}}, 'required': ['source', 'target', 'type'], 'type': 'object'}, description="""Delete a specific relation between entities"""), # joleyline/MCP Memory LibSQL/delete_relation
    Tool(name="""MCP Memory LibSQL_create_entities""", inputSchema={'properties': {'entities': {'items': {'properties': {'embedding': {'description': 'Optional vector embedding for similarity search', 'items': {'type': 'number'}, 'type': 'array'}, 'entityType': {'type': 'string'}, 'name': {'type': 'string'}, 'observations': {'items': {'type': 'string'}, 'type': 'array'}, 'relations': {'description': 'Optional relations to create with this entity', 'items': {'properties': {'relationType': {'type': 'string'}, 'target': {'type': 'string'}}, 'required': ['target', 'relationType'], 'type': 'object'}, 'type': 'array'}}, 'required': ['name', 'entityType', 'observations'], 'type': 'object'}, 'type': 'array'}}, 'required': ['entities'], 'type': 'object'}, description="""Create new entities with observations and optional embeddings"""), # joleyline/MCP Memory LibSQL/create_entities
    Tool(name="""MCP Memory LibSQL_search_nodes""", inputSchema={'properties': {'includeEmbeddings': {'description': 'Whether to include embeddings in the returned entities (default: false)', 'type': 'boolean'}, 'query': {'oneOf': [{'description': 'Text search query', 'type': 'string'}, {'description': 'Vector for similarity search', 'items': {'type': 'number'}, 'type': 'array'}]}}, 'required': ['query'], 'type': 'object'}, description="""Search for entities and their relations using text or vector similarity"""), # joleyline/MCP Memory LibSQL/search_nodes
    Tool(name="""MCP Memory LibSQL_read_graph""", inputSchema={'properties': {'includeEmbeddings': {'description': 'Whether to include embeddings in the returned entities (default: false)', 'type': 'boolean'}}, 'required': [], 'type': 'object'}, description="""Get recent entities and their relations"""), # joleyline/MCP Memory LibSQL/read_graph
    Tool(name="""Higress AI-Search MCP Server_ai_search""", inputSchema={'properties': {'query': {'title': 'Query', 'type': 'string'}}, 'required': ['query'], 'title': 'ai_searchArguments', 'type': 'object'}, description="""\n    Enhance AI model responses with real-time search results from search engines.\n    \n    This tool sends a query to Higress, which integrates with various search engines to provide up-to-date information:\n    \n     **Internet Search**: Google, Bing, Quark - for general web information\n     **Academic Search**: Arxiv - for scientific papers and research\n     **Internal Knowledge Search**: Company policies, Product documentation, Technical specifications\n    \n    Args:\n        query: The user's question or search query\n        \n    Returns:\n        The enhanced AI response with search results incorporated\n    """), # cr7258/Higress AI-Search MCP Server/ai_search
    Tool(name="""Keycloak MCP Server_create-user""", inputSchema={'properties': {'email': {'format': 'email', 'type': 'string'}, 'firstName': {'type': 'string'}, 'lastName': {'type': 'string'}, 'realm': {'type': 'string'}, 'username': {'type': 'string'}}, 'required': ['realm', 'username', 'email', 'firstName', 'lastName'], 'type': 'object'}, description="""Create a new user in a specific realm"""), # ChristophEnglisch/Keycloak MCP Server/create-user
    Tool(name="""Keycloak MCP Server_delete-user""", inputSchema={'properties': {'realm': {'type': 'string'}, 'userId': {'type': 'string'}}, 'required': ['realm', 'userId'], 'type': 'object'}, description="""Delete a user from a specific realm"""), # ChristophEnglisch/Keycloak MCP Server/delete-user
    Tool(name="""Keycloak MCP Server_list-realms""", inputSchema={'properties': {}, 'required': [], 'type': 'object'}, description="""List all available realms"""), # ChristophEnglisch/Keycloak MCP Server/list-realms
    Tool(name="""Keycloak MCP Server_list-users""", inputSchema={'properties': {'realm': {'type': 'string'}}, 'required': ['realm'], 'type': 'object'}, description="""List users in a specific realm"""), # ChristophEnglisch/Keycloak MCP Server/list-users
    Tool(name="""Git File Forensics MCP_track_file_versions""", inputSchema={'properties': {'file': {'description': 'File to analyze', 'type': 'string'}, 'outputPath': {'description': 'Path to write analysis output', 'type': 'string'}, 'repoPath': {'description': 'Path to git repository', 'type': 'string'}}, 'required': ['repoPath', 'file', 'outputPath'], 'type': 'object'}, description="""Track complete version history of a specific file, including renames and moves"""), # davidorex/Git File Forensics MCP/track_file_versions
    Tool(name="""Git File Forensics MCP_analyze_file_diff""", inputSchema={'properties': {'file': {'description': 'File to analyze', 'type': 'string'}, 'outputPath': {'description': 'Path to write analysis output', 'type': 'string'}, 'repoPath': {'description': 'Path to git repository', 'type': 'string'}, 'versions': {'properties': {'from': {'type': 'string'}, 'to': {'type': 'string'}}, 'required': ['from', 'to'], 'type': 'object'}}, 'required': ['repoPath', 'file', 'versions', 'outputPath'], 'type': 'object'}, description="""Analyze specific changes between any two versions of a file"""), # davidorex/Git File Forensics MCP/analyze_file_diff
    Tool(name="""Git File Forensics MCP_analyze_file_context""", inputSchema={'properties': {'commit': {'description': 'Commit hash to analyze', 'type': 'string'}, 'file': {'description': 'File to analyze', 'type': 'string'}, 'outputPath': {'description': 'Path to write analysis output', 'type': 'string'}, 'repoPath': {'description': 'Path to git repository', 'type': 'string'}}, 'required': ['repoPath', 'file', 'commit', 'outputPath'], 'type': 'object'}, description="""Analyze broader context of file changes in a specific commit"""), # davidorex/Git File Forensics MCP/analyze_file_context
    Tool(name="""Git File Forensics MCP_analyze_file_semantics""", inputSchema={'properties': {'file': {'description': 'File to analyze', 'type': 'string'}, 'outputPath': {'description': 'Path to write analysis output', 'type': 'string'}, 'repoPath': {'description': 'Path to git repository', 'type': 'string'}}, 'required': ['repoPath', 'file', 'outputPath'], 'type': 'object'}, description="""Analyze semantic changes and patterns in file history"""), # davidorex/Git File Forensics MCP/analyze_file_semantics
    Tool(name="""File Operations MCP Server_copy_file""", inputSchema={'properties': {'destination': {'description': 'Destination file path', 'type': 'string'}, 'overwrite': {'default': False, 'description': 'Whether to overwrite existing file', 'type': 'boolean'}, 'source': {'description': 'Source file path', 'type': 'string'}}, 'required': ['source', 'destination'], 'type': 'object'}, description="""Copy a file to a new location"""), # bsmi021/File Operations MCP Server/copy_file
    Tool(name="""File Operations MCP Server_read_file""", inputSchema={'properties': {'encoding': {'default': 'utf8', 'description': 'File encoding (default: utf8)', 'type': 'string'}, 'path': {'description': 'Path to the file to read', 'type': 'string'}}, 'required': ['path'], 'type': 'object'}, description="""Read the contents of a file"""), # bsmi021/File Operations MCP Server/read_file
    Tool(name="""File Operations MCP Server_write_file""", inputSchema={'properties': {'content': {'description': 'Content to write to the file', 'type': 'string'}, 'encoding': {'default': 'utf8', 'description': 'File encoding (default: utf8)', 'type': 'string'}, 'path': {'description': 'Path to write the file to', 'type': 'string'}}, 'required': ['path', 'content'], 'type': 'object'}, description="""Write content to a file"""), # bsmi021/File Operations MCP Server/write_file
    Tool(name="""File Operations MCP Server_make_directory""", inputSchema={'properties': {'path': {'description': 'Path to create the directory at', 'type': 'string'}, 'recursive': {'default': True, 'description': "Create parent directories if they don't exist", 'type': 'boolean'}}, 'required': ['path'], 'type': 'object'}, description="""Create a new directory"""), # bsmi021/File Operations MCP Server/make_directory
    Tool(name="""File Operations MCP Server_remove_directory""", inputSchema={'properties': {'path': {'description': 'Path to the directory to remove', 'type': 'string'}, 'recursive': {'default': False, 'description': 'Remove directory contents recursively', 'type': 'boolean'}}, 'required': ['path'], 'type': 'object'}, description="""Remove a directory"""), # bsmi021/File Operations MCP Server/remove_directory
    Tool(name="""File Operations MCP Server_list_directory""", inputSchema={'properties': {'path': {'description': 'Path of directory to list', 'type': 'string'}, 'recursive': {'default': False, 'description': 'Whether to list contents recursively', 'type': 'boolean'}}, 'required': ['path'], 'type': 'object'}, description="""List contents of a directory with detailed metadata"""), # bsmi021/File Operations MCP Server/list_directory
    Tool(name="""File Operations MCP Server_copy_directory""", inputSchema={'properties': {'destination': {'description': 'Destination directory path', 'type': 'string'}, 'overwrite': {'default': False, 'description': 'Whether to overwrite existing files/directories', 'type': 'boolean'}, 'source': {'description': 'Source directory path', 'type': 'string'}}, 'required': ['source', 'destination'], 'type': 'object'}, description="""Copy a directory and its contents to a new location"""), # bsmi021/File Operations MCP Server/copy_directory
    Tool(name="""File Operations MCP Server_watch_directory""", inputSchema={'properties': {'path': {'description': 'Path to the directory to watch', 'type': 'string'}, 'recursive': {'default': False, 'description': 'Watch subdirectories recursively', 'type': 'boolean'}}, 'required': ['path'], 'type': 'object'}, description="""Watch a directory for changes"""), # bsmi021/File Operations MCP Server/watch_directory
    Tool(name="""File Operations MCP Server_unwatch_directory""", inputSchema={'properties': {'path': {'description': 'Path to the directory to stop watching', 'type': 'string'}}, 'required': ['path'], 'type': 'object'}, description="""Stop watching a directory"""), # bsmi021/File Operations MCP Server/unwatch_directory
    Tool(name="""File Operations MCP Server_is_watching""", inputSchema={'properties': {'path': {'description': 'Path to check', 'type': 'string'}}, 'required': ['path'], 'type': 'object'}, description="""Check if a path is currently being watched"""), # bsmi021/File Operations MCP Server/is_watching
    Tool(name="""File Operations MCP Server_get_changes""", inputSchema={'properties': {'limit': {'description': 'Maximum number of changes to return', 'type': 'number'}, 'type': {'description': 'Filter changes by type', 'type': 'string'}}, 'type': 'object'}, description="""Get list of tracked changes"""), # bsmi021/File Operations MCP Server/get_changes
    Tool(name="""File Operations MCP Server_clear_changes""", inputSchema={'properties': {}, 'type': 'object'}, description="""Clear all tracked changes"""), # bsmi021/File Operations MCP Server/clear_changes
    Tool(name="""DocuMind MCP Server_evaluate_readme""", inputSchema={'properties': {'projectPath': {'description': '', 'type': 'string'}}, 'required': ['projectPath'], 'type': 'object'}, description="""README"""), # Sunwood-ai-labs/DocuMind MCP Server/evaluate_readme
    Tool(name="""MCP Substack Server_download_substack""", inputSchema={'properties': {'url': {'description': 'URL of the Substack post', 'type': 'string'}}, 'required': ['url'], 'type': 'object'}, description="""Download and parse content from a Substack post"""), # michalnaka/MCP Substack Server/download_substack
    Tool(name="""GCP MCP_run-gcp-code""", inputSchema={'properties': {'code': {'description': 'Your job is to answer questions about GCP environment by writing Javascript/TypeScript code using Google Cloud Client Libraries. The code must adhere to a few rules:\n- Must use promises and async/await\n- Think step-by-step before writing the code, approach it logically\n- Must be written in TypeScript using official Google Cloud client libraries\n- Avoid hardcoded values like project IDs\n- Code written should be as parallel as possible enabling the fastest and most optimal execution\n- Code should handle errors gracefully, especially when doing multiple API calls\n- Each error should be handled and logged with a reason, script should continue to run despite errors\n- Data returned from GCP APIs must be returned as JSON containing only the minimal amount of data needed to answer the question\n- All extra data must be filtered out\n- Code MUST "return" a value: string, number, boolean or JSON object\n- If code does not return anything, it will be considered as FAILED\n- Whenever tool/function call fails, retry it 3 times before giving up\n- When listing resources, ensure pagination is handled correctly\n- Do not include any comments in the code\n- Try to write code that returns as few data as possible to answer without any additional processing required\nBe concise, professional and to the point. Do not give generic advice, always reply with detailed & contextual data sourced from the current GCP environment.', 'type': 'string'}, 'projectId': {'description': 'GCP project ID to use', 'type': 'string'}, 'reasoning': {'description': 'The reasoning behind the code', 'type': 'string'}, 'region': {'description': 'Region to use (if not provided, us-central1 is used)', 'type': 'string'}}, 'required': ['reasoning', 'code'], 'type': 'object'}, description="""Run GCP code"""), # eniayomi/GCP MCP/run-gcp-code
    Tool(name="""GCP MCP_list-projects""", inputSchema={'properties': {}, 'required': [], 'type': 'object'}, description="""List all GCP projects accessible with current credentials"""), # eniayomi/GCP MCP/list-projects
    Tool(name="""GCP MCP_select-project""", inputSchema={'properties': {'projectId': {'description': 'ID of the GCP project to select', 'type': 'string'}, 'region': {'description': 'Region to use (if not provided, us-central1 is used)', 'type': 'string'}}, 'required': ['projectId'], 'type': 'object'}, description="""Selects GCP project to use for subsequent interactions"""), # eniayomi/GCP MCP/select-project
    Tool(name="""GCP MCP_get-billing-info""", inputSchema={'properties': {'projectId': {'description': 'Project ID to get billing info for (defaults to selected project)', 'type': 'string'}}, 'required': [], 'type': 'object'}, description="""Get billing information for the current project"""), # eniayomi/GCP MCP/get-billing-info
    Tool(name="""GCP MCP_get-cost-forecast""", inputSchema={'properties': {'months': {'description': 'Number of months to forecast (default: 3)', 'type': 'number'}, 'projectId': {'description': 'Project ID to get forecast for (defaults to selected project)', 'type': 'string'}}, 'required': [], 'type': 'object'}, description="""Get cost forecast for the current project"""), # eniayomi/GCP MCP/get-cost-forecast
    Tool(name="""GCP MCP_get-billing-budget""", inputSchema={'properties': {'projectId': {'description': 'Project ID to get budgets for (defaults to selected project)', 'type': 'string'}}, 'required': [], 'type': 'object'}, description="""Get billing budgets for the current project"""), # eniayomi/GCP MCP/get-billing-budget
    Tool(name="""GCP MCP_list-gke-clusters""", inputSchema={'properties': {'location': {'description': 'Location (region or zone) to list clusters from (defaults to all locations)', 'type': 'string'}}, 'required': [], 'type': 'object'}, description="""List all GKE clusters in the current project"""), # eniayomi/GCP MCP/list-gke-clusters
    Tool(name="""GCP MCP_list-sql-instances""", inputSchema={'properties': {}, 'required': [], 'type': 'object'}, description="""List all Cloud SQL instances in the current project"""), # eniayomi/GCP MCP/list-sql-instances
    Tool(name="""GCP MCP_get-logs""", inputSchema={'properties': {'filter': {'description': 'Filter for the log entries (see Cloud Logging query syntax)', 'type': 'string'}, 'pageSize': {'description': 'Maximum number of entries to return (default: 10)', 'type': 'number'}}, 'required': [], 'type': 'object'}, description="""Get Cloud Logging entries for the current project"""), # eniayomi/GCP MCP/get-logs
    Tool(name="""Vercel MCP_getDeployments""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'app': {'description': 'Application name', 'type': 'string'}, 'from': {'description': 'Timestamp to list deployments from', 'type': 'number'}, 'limit': {'description': 'Limit on number of deployments to return', 'type': 'number'}, 'projectId': {'description': 'Project ID', 'type': 'string'}, 'since': {'description': 'Timestamp to get deployments from', 'type': 'number'}, 'slug': {'description': 'Slug', 'type': 'string'}, 'state': {'description': 'Deployment state', 'type': 'string'}, 'target': {'description': 'Deployment target', 'type': 'string'}, 'teamId': {'description': 'Team ID', 'type': 'string'}, 'to': {'description': 'Timestamp to list deployments until', 'type': 'number'}, 'until': {'description': 'Timestamp to get deployments until', 'type': 'number'}, 'users': {'description': 'Filter by users', 'type': 'string'}}, 'type': 'object'}, description="""Lists deployments"""), # zueai/Vercel MCP/getDeployments
    Tool(name="""Vercel MCP_deleteDeployment""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'deploymentId': {'description': 'The ID of the deployment to delete', 'type': 'string'}, 'slug': {'description': 'Slug', 'type': 'string'}, 'teamId': {'description': 'Team ID', 'type': 'string'}, 'url': {'description': 'The URL of the deployment', 'type': 'string'}}, 'required': ['deploymentId'], 'type': 'object'}, description="""Deletes a deployment"""), # zueai/Vercel MCP/deleteDeployment
    Tool(name="""Vercel MCP_getDeploymentEvents""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'builds': {'description': 'Builds parameter', 'type': 'number'}, 'delimiter': {'description': 'Delimiter for events', 'type': 'number'}, 'deploymentId': {'description': 'The ID or URL of the deployment', 'type': 'string'}, 'direction': {'description': 'Direction of events retrieval', 'enum': ['forward', 'backward'], 'type': 'string'}, 'follow': {'description': 'Follow parameter for events', 'type': 'number'}, 'limit': {'description': 'Limit on number of events to return', 'type': 'number'}, 'name': {'description': 'Filter events by name', 'type': 'string'}, 'since': {'description': 'Timestamp to get events from', 'type': 'number'}, 'slug': {'description': 'Slug', 'type': 'string'}, 'statusCode': {'description': 'Filter events by status code', 'type': 'string'}, 'teamId': {'description': 'Team ID', 'type': 'string'}, 'until': {'description': 'Timestamp to get events until', 'type': 'number'}}, 'required': ['deploymentId'], 'type': 'object'}, description="""Gets deployment events by deployment ID and build ID"""), # zueai/Vercel MCP/getDeploymentEvents
    Tool(name="""Vercel MCP_getDeployment""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'deploymentId': {'description': 'The ID or URL of the deployment', 'type': 'string'}, 'slug': {'description': 'Slug', 'type': 'string'}, 'teamId': {'description': 'Team ID', 'type': 'string'}, 'withGitRepoInfo': {'description': 'Include git repository info', 'type': 'string'}}, 'required': ['deploymentId'], 'type': 'object'}, description="""Gets a deployment by ID or URL"""), # zueai/Vercel MCP/getDeployment
    Tool(name="""Vercel MCP_cancelDeployment""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'deploymentId': {'description': 'The ID of the deployment to cancel', 'type': 'string'}, 'slug': {'description': 'Slug', 'type': 'string'}, 'teamId': {'description': 'Team ID', 'type': 'string'}}, 'required': ['deploymentId'], 'type': 'object'}, description="""Cancels a deployment"""), # zueai/Vercel MCP/cancelDeployment
    Tool(name="""Vercel MCP_listDeploymentFiles""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'deploymentId': {'description': 'The ID of the deployment', 'type': 'string'}, 'slug': {'description': 'Slug', 'type': 'string'}, 'teamId': {'description': 'Team ID', 'type': 'string'}}, 'required': ['deploymentId'], 'type': 'object'}, description="""Lists deployment files"""), # zueai/Vercel MCP/listDeploymentFiles
    Tool(name="""Vercel MCP_getDeploymentFileContents""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'deploymentId': {'description': 'The ID of the deployment', 'type': 'string'}, 'fileId': {'description': 'The ID of the file', 'type': 'string'}, 'slug': {'description': 'Slug', 'type': 'string'}, 'teamId': {'description': 'Team ID', 'type': 'string'}}, 'required': ['deploymentId', 'fileId'], 'type': 'object'}, description="""Gets deployment file contents"""), # zueai/Vercel MCP/getDeploymentFileContents
    Tool(name="""Claude Desktop Commander MCP_execute_command""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'command': {'type': 'string'}, 'timeout_ms': {'type': 'number'}}, 'required': ['command'], 'type': 'object'}, description="""Execute a terminal command with timeout. Command will continue running in background if it doesn't complete within timeout."""), # wonderwhy-er/Claude Desktop Commander MCP/execute_command
    Tool(name="""Claude Desktop Commander MCP_read_output""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'pid': {'type': 'number'}}, 'required': ['pid'], 'type': 'object'}, description="""Read new output from a running terminal session."""), # wonderwhy-er/Claude Desktop Commander MCP/read_output
    Tool(name="""Claude Desktop Commander MCP_force_terminate""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'pid': {'type': 'number'}}, 'required': ['pid'], 'type': 'object'}, description="""Force terminate a running terminal session."""), # wonderwhy-er/Claude Desktop Commander MCP/force_terminate
    Tool(name="""Claude Desktop Commander MCP_list_sessions""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {}, 'type': 'object'}, description="""List all active terminal sessions."""), # wonderwhy-er/Claude Desktop Commander MCP/list_sessions
    Tool(name="""Claude Desktop Commander MCP_list_processes""", inputSchema={'properties': {}, 'required': [], 'type': 'object'}, description="""List all running processes. Returns process information including PID, command name, CPU usage, and memory usage."""), # wonderwhy-er/Claude Desktop Commander MCP/list_processes
    Tool(name="""Claude Desktop Commander MCP_kill_process""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'pid': {'type': 'number'}}, 'required': ['pid'], 'type': 'object'}, description="""Terminate a running process by PID. Use with caution as this will forcefully terminate the specified process."""), # wonderwhy-er/Claude Desktop Commander MCP/kill_process
    Tool(name="""Claude Desktop Commander MCP_block_command""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'command': {'type': 'string'}}, 'required': ['command'], 'type': 'object'}, description="""Add a command to the blacklist. Once blocked, the command cannot be executed until unblocked."""), # wonderwhy-er/Claude Desktop Commander MCP/block_command
    Tool(name="""Claude Desktop Commander MCP_unblock_command""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'command': {'type': 'string'}}, 'required': ['command'], 'type': 'object'}, description="""Remove a command from the blacklist. Once unblocked, the command can be executed normally."""), # wonderwhy-er/Claude Desktop Commander MCP/unblock_command
    Tool(name="""Claude Desktop Commander MCP_list_blocked_commands""", inputSchema={'properties': {}, 'required': [], 'type': 'object'}, description="""List all currently blocked commands."""), # wonderwhy-er/Claude Desktop Commander MCP/list_blocked_commands
    Tool(name="""Claude Desktop Commander MCP_read_file""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'path': {'type': 'string'}}, 'required': ['path'], 'type': 'object'}, description="""Read the complete contents of a file from the file system. Handles various text encodings and provides detailed error messages if the file cannot be read. Only works within allowed directories."""), # wonderwhy-er/Claude Desktop Commander MCP/read_file
    Tool(name="""Claude Desktop Commander MCP_read_multiple_files""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'paths': {'items': {'type': 'string'}, 'type': 'array'}}, 'required': ['paths'], 'type': 'object'}, description="""Read the contents of multiple files simultaneously. Each file's content is returned with its path as a reference. Failed reads for individual files won't stop the entire operation. Only works within allowed directories."""), # wonderwhy-er/Claude Desktop Commander MCP/read_multiple_files
    Tool(name="""Claude Desktop Commander MCP_write_file""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'content': {'type': 'string'}, 'path': {'type': 'string'}}, 'required': ['path', 'content'], 'type': 'object'}, description="""Completely replace file contents. Best for large changes (>20% of file) or when edit_block fails. Use with caution as it will overwrite existing files. Only works within allowed directories."""), # wonderwhy-er/Claude Desktop Commander MCP/write_file
    Tool(name="""Claude Desktop Commander MCP_create_directory""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'path': {'type': 'string'}}, 'required': ['path'], 'type': 'object'}, description="""Create a new directory or ensure a directory exists. Can create multiple nested directories in one operation. Only works within allowed directories."""), # wonderwhy-er/Claude Desktop Commander MCP/create_directory
    Tool(name="""Claude Desktop Commander MCP_list_directory""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'path': {'type': 'string'}}, 'required': ['path'], 'type': 'object'}, description="""Get a detailed listing of all files and directories in a specified path. Results distinguish between files and directories with [FILE] and [DIR] prefixes. Only works within allowed directories."""), # wonderwhy-er/Claude Desktop Commander MCP/list_directory
    Tool(name="""Claude Desktop Commander MCP_move_file""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'destination': {'type': 'string'}, 'source': {'type': 'string'}}, 'required': ['source', 'destination'], 'type': 'object'}, description="""Move or rename files and directories. Can move files between directories and rename them in a single operation. Both source and destination must be within allowed directories."""), # wonderwhy-er/Claude Desktop Commander MCP/move_file
    Tool(name="""Claude Desktop Commander MCP_search_files""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'path': {'type': 'string'}, 'pattern': {'type': 'string'}}, 'required': ['path', 'pattern'], 'type': 'object'}, description="""Recursively search for files and directories matching a pattern. Searches through all subdirectories from the starting path. Only searches within allowed directories."""), # wonderwhy-er/Claude Desktop Commander MCP/search_files
    Tool(name="""Claude Desktop Commander MCP_get_file_info""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'path': {'type': 'string'}}, 'required': ['path'], 'type': 'object'}, description="""Retrieve detailed metadata about a file or directory including size, creation time, last modified time, permissions, and type. Only works within allowed directories."""), # wonderwhy-er/Claude Desktop Commander MCP/get_file_info
    Tool(name="""Claude Desktop Commander MCP_list_allowed_directories""", inputSchema={'properties': {}, 'required': [], 'type': 'object'}, description="""Returns the list of directories that this server is allowed to access."""), # wonderwhy-er/Claude Desktop Commander MCP/list_allowed_directories
    Tool(name="""Claude Desktop Commander MCP_edit_block""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'blockContent': {'type': 'string'}}, 'required': ['blockContent'], 'type': 'object'}, description="""Apply surgical text replacements to files. Best for small changes (<20% of file size). Multiple blocks can be used for separate changes. Will verify changes after application. Format: filepath, then <<<<<<< SEARCH, content to find, =======, new content, >>>>>>> REPLACE."""), # wonderwhy-er/Claude Desktop Commander MCP/edit_block
    Tool(name="""Stealth Browser MCP Server_screenshot""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'fullPage': {'default': True, 'description': 'Whether to take a screenshot of the full page', 'type': 'boolean'}, 'headless': {'default': True, 'description': 'Whether to run browser in headless mode (default) or visible mode', 'type': 'boolean'}, 'selector': {'description': 'CSS selector to screenshot a specific element', 'type': 'string'}, 'url': {'description': 'URL to navigate to', 'type': 'string'}}, 'required': ['url'], 'type': 'object'}, description="""Navigate to a URL and take a screenshot of the webpage"""), # newbeb/Stealth Browser MCP Server/screenshot
    Tool(name="""BioMCP_analyze-active-site""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'pdbId': {'description': 'The PDB ID of the protein structure to analyze (e.g., 6LU7)', 'type': 'string'}}, 'required': ['pdbId'], 'type': 'object'}, description="""Analyze the active site of a protein structure"""), # acashmoney/BioMCP/analyze-active-site
    Tool(name="""BioMCP_search-disease-proteins""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'disease': {'description': "Disease name (e.g., 'covid', 'alzheimer's')", 'type': 'string'}}, 'required': ['disease'], 'type': 'object'}, description="""Search for proteins related to a disease"""), # acashmoney/BioMCP/search-disease-proteins
    Tool(name="""PDF Extraction MCP Server_extract-pdf-contents""", inputSchema={'properties': {'pages': {'type': 'string'}, 'pdf_path': {'type': 'string'}}, 'required': ['pdf_path'], 'type': 'object'}, description="""Extract contents from a local PDF file, given page numbers separated in comma. Negative page index number supported."""), # xraywu/PDF Extraction MCP Server/extract-pdf-contents
    Tool(name="""Inkdrop MCP Server_read-note""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'noteId': {'description': 'ID of the note to retrieve. It can be found as `_id` in the note docs', 'type': 'string'}}, 'required': ['noteId'], 'type': 'object'}, description="""Retrieve the complete contents of the note by its ID from the database."""), # inkdropapp/Inkdrop MCP Server/read-note
    Tool(name="""Inkdrop MCP Server_search-notes""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'keyword': {'description': 'Keyword to search for.', 'type': 'string'}}, 'required': ['keyword'], 'type': 'object'}, description="""List all notes that contain a given keyword.\nThe result does not include entire note bodies as they are truncated in 200 characters.\nYou have to retrieve the full note content by calling `read-note`.\nHere are tips to specify keywords effectively:\n\n## Use special qualifiers to narrow down results\n\nYou can use special qualifiers to get more accurate results. See the qualifiers and their usage examples:\n\n- **book**  \n  `book:Blog`: Searches for notes in the 'Blog' notebook.\n- **tag**  \n  `tag:JavaScript`: Searches for all notes having the 'JavaScript' tag. Read more about [tags](https://docs.inkdrop.app/manual/write-notes#tag-notes).\n- **status**  \n  `status:onHold`: Searches for all notes with the 'On hold' status. Read more about [statuses](/reference/note-statuses).\n- **title**  \n  `title:\"JavaScript setTimeout\"`: Searches for the note with the specified title.\n- **body**  \n  `body:KEYWORD`: Searches for a specific word in all notes. Equivalent to a [global search](#search-for-notes-across-all-notebooks).\n\n### Combine qualifiers\n\nYou can combine the filter qualifiers to refine data even more.\n\n**Find notes that contain the word 'Hello' and have the 'Issue' tag.**\n\n```text\nHello tag:Issue\n```\n\n**Find notes that contain the word 'Typescript,' have the 'Contribution' tag, and the 'Completed' status**\n\n```text\nTypescript tag:Contribution status:Completed\n```\n\n## Search for text with spaces\n\nTo find the text that includes spaces, put the text into the double quotation marks (\"):\n\n```text\n\"database associations\"\n```\n\n## Exclude text from search\n\nTo exclude text from the search results or ignore a specific qualifier, put the minus sign (-) before it. You can also combine the exclusions. See the examples:\n\n- `-book:Backend \"closure functions\"`: Ignores the 'Backend' notebook while searching for the 'closure functions' phrase.\n- `-tag:JavaScript`: Ignores all notes having the 'JavaScript' tag.\n- `-book:Typescript tag:work \"Data types\"`: Ignores the 'Typescript' notebook and the 'work' tag while searching for the 'Data types' phrase.\n- `-status:dropped title:\"Sprint 10.0\" debounce`: Ignores notes with the 'Dropped' status while searching for the 'debounce' word in the note with the 'Sprint 10.0' title.\n- `-\"Phrase to ignore\" \"in the rest of a sentence\"`: Ignores the 'Phrase to ignore' part while searching for 'in the rest of a sentence'.\n\nNote that you can't specify excluding modifiers only without including conditions.\n\n**WARNING**: Make sure to enter a text to search for after the exclusion modifier.\n\n-  Will work  \n  `-book:Backend \"closure functions\"`\n\n-  Won't work  \n   `-book:Backend`. There's no query. Inkdrop doesn't understand what to search for.\n    """), # inkdropapp/Inkdrop MCP Server/search-notes
    Tool(name="""Inkdrop MCP Server_create-note""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'body': {'description': 'The content of the note represented with Markdown', 'maxLength': 1048576, 'type': 'string'}, 'bookId': {'description': 'The notebook ID', 'maxLength': 128, 'minLength': 5, 'pattern': '^(book:|trash$)', 'type': 'string'}, 'status': {'description': 'The status of the note', 'enum': ['none', 'active', 'onHold', 'completed', 'dropped'], 'type': 'string'}, 'title': {'description': 'The note title', 'maxLength': 128, 'type': 'string'}}, 'required': ['bookId', 'title', 'body'], 'type': 'object'}, description="""Create a new note in the database"""), # inkdropapp/Inkdrop MCP Server/create-note
    Tool(name="""Inkdrop MCP Server_update-note""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'_id': {'description': 'The unique document ID which should start with `note:` and the remains are randomly generated string', 'maxLength': 128, 'minLength': 6, 'pattern': '^note:', 'type': 'string'}, '_rev': {'description': 'This is a CouchDB specific field. The current MVCC-token/revision of this document (mandatory and immutable).', 'type': 'string'}, 'body': {'description': 'The content of the note represented with Markdown', 'maxLength': 1048576, 'type': 'string'}, 'bookId': {'description': 'The notebook ID', 'maxLength': 128, 'minLength': 5, 'pattern': '^(book:|trash$)', 'type': 'string'}, 'status': {'description': 'The status of the note', 'enum': ['none', 'active', 'onHold', 'completed', 'dropped'], 'type': 'string'}, 'title': {'description': 'The note title', 'maxLength': 128, 'type': 'string'}}, 'required': ['_id', '_rev', 'bookId', 'title', 'body'], 'type': 'object'}, description="""Update the existing note in the database"""), # inkdropapp/Inkdrop MCP Server/update-note
    Tool(name="""Inkdrop MCP Server_list-notebooks""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {}, 'type': 'object'}, description="""Retrieve a list of all notebooks"""), # inkdropapp/Inkdrop MCP Server/list-notebooks
    Tool(name="""Image Generator MCP Server_generate-image""", inputSchema={'properties': {'guidance_scale': {'default': 7.5, 'type': 'number'}, 'height': {'default': 768, 'type': 'integer'}, 'negative_prompt': {'type': 'string'}, 'num_inference_steps': {'default': 50, 'type': 'integer'}, 'prompt': {'type': 'string'}, 'width': {'default': 768, 'type': 'integer'}}, 'required': ['prompt'], 'type': 'object'}, description="""Generate an image using Replicate's Stable Diffusion model"""), # rmcendarfer2017/Image Generator MCP Server/generate-image
    Tool(name="""Image Generator MCP Server_save-image""", inputSchema={'properties': {'custom_filename': {'description': 'Custom filename for the saved image (without extension). If not provided, a UUID will be used.', 'type': 'string'}, 'image_url': {'type': 'string'}, 'prompt': {'type': 'string'}, 'target_directory': {'description': "Directory path where the image should be saved. If not provided, defaults to the MCP server's images directory.", 'type': 'string'}}, 'required': ['image_url', 'prompt'], 'type': 'object'}, description="""Save a generated image"""), # rmcendarfer2017/Image Generator MCP Server/save-image
    Tool(name="""Image Generator MCP Server_list-saved-images""", inputSchema={'properties': {}, 'type': 'object'}, description="""List all saved images"""), # rmcendarfer2017/Image Generator MCP Server/list-saved-images
    Tool(name="""Notion MCP Server_create-page""", inputSchema={'properties': {'children': {'description': 'Optional content blocks', 'type': 'array'}, 'parent_id': {'description': 'ID of the parent database', 'type': 'string'}, 'properties': {'description': 'Page properties', 'type': 'object'}}, 'required': ['parent_id', 'properties'], 'type': 'object'}, description="""Create a new page in a database"""), # Sjotie/Notion MCP Server/create-page
    Tool(name="""Notion MCP Server_update-page""", inputSchema={'properties': {'archived': {'description': 'Whether to archive the page', 'type': 'boolean'}, 'page_id': {'description': 'ID of the page to update', 'type': 'string'}, 'properties': {'description': 'Updated page properties', 'type': 'object'}}, 'required': ['page_id', 'properties'], 'type': 'object'}, description="""Update an existing page"""), # Sjotie/Notion MCP Server/update-page
    Tool(name="""Notion MCP Server_create-database""", inputSchema={'properties': {'cover': {'description': 'Optional cover for the database', 'type': 'object'}, 'icon': {'description': 'Optional icon for the database', 'type': 'object'}, 'parent_id': {'description': 'ID of the parent page', 'type': 'string'}, 'properties': {'description': 'Database properties schema', 'type': 'object'}, 'title': {'description': 'Database title as rich text array', 'type': 'array'}}, 'required': ['parent_id', 'title', 'properties'], 'type': 'object'}, description="""Create a new database"""), # Sjotie/Notion MCP Server/create-database
    Tool(name="""Notion MCP Server_update-database""", inputSchema={'properties': {'database_id': {'description': 'ID of the database to update', 'type': 'string'}, 'description': {'description': 'Optional new description as rich text array', 'type': 'array'}, 'properties': {'description': 'Optional updated properties schema', 'type': 'object'}, 'title': {'description': 'Optional new title as rich text array', 'type': 'array'}}, 'required': ['database_id'], 'type': 'object'}, description="""Update an existing database"""), # Sjotie/Notion MCP Server/update-database
    Tool(name="""Notion MCP Server_get-page""", inputSchema={'properties': {'page_id': {'description': 'ID of the page to retrieve', 'type': 'string'}}, 'required': ['page_id'], 'type': 'object'}, description="""Retrieve a page by its ID"""), # Sjotie/Notion MCP Server/get-page
    Tool(name="""Notion MCP Server_get-block-children""", inputSchema={'properties': {'block_id': {'description': 'ID of the block (page or block)', 'type': 'string'}, 'page_size': {'default': 100, 'description': 'Number of results per page', 'type': 'number'}, 'start_cursor': {'description': 'Cursor for pagination', 'type': 'string'}}, 'required': ['block_id'], 'type': 'object'}, description="""Retrieve the children blocks of a block"""), # Sjotie/Notion MCP Server/get-block-children
    Tool(name="""Notion MCP Server_append-block-children""", inputSchema={'properties': {'after': {'description': 'Optional ID of an existing block to append after', 'type': 'string'}, 'block_id': {'description': 'ID of the parent block (page or block)', 'type': 'string'}, 'children': {'description': 'List of block objects to append', 'type': 'array'}}, 'required': ['block_id', 'children'], 'type': 'object'}, description="""Append blocks to a parent block"""), # Sjotie/Notion MCP Server/append-block-children
    Tool(name="""Notion MCP Server_update-block""", inputSchema={'properties': {'archived': {'description': 'Whether to archive (true) or restore (false) the block', 'type': 'boolean'}, 'block_id': {'description': 'ID of the block to update', 'type': 'string'}, 'block_type': {'description': 'The type of block (paragraph, heading_1, to_do, etc.)', 'type': 'string'}, 'content': {'description': 'The content for the block based on its type', 'type': 'object'}}, 'required': ['block_id', 'block_type', 'content'], 'type': 'object'}, description="""Update a block's content or archive status"""), # Sjotie/Notion MCP Server/update-block
    Tool(name="""Notion MCP Server_get-block""", inputSchema={'properties': {'block_id': {'description': 'ID of the block to retrieve', 'type': 'string'}}, 'required': ['block_id'], 'type': 'object'}, description="""Retrieve a block by its ID"""), # Sjotie/Notion MCP Server/get-block
    Tool(name="""Notion MCP Server_search""", inputSchema={'properties': {'filter': {'description': 'Optional filter criteria', 'type': 'object'}, 'page_size': {'default': 100, 'description': 'Number of results per page', 'type': 'number'}, 'query': {'default': '', 'description': 'Search query string', 'type': 'string'}, 'sort': {'description': 'Optional sort criteria', 'type': 'object'}, 'start_cursor': {'description': 'Cursor for pagination', 'type': 'string'}}, 'type': 'object'}, description="""Search Notion for pages or databases"""), # Sjotie/Notion MCP Server/search
    Tool(name="""Notion MCP Server_list-databases""", inputSchema={'properties': {}, 'type': 'object'}, description="""List all databases the integration has access to"""), # Sjotie/Notion MCP Server/list-databases
    Tool(name="""Notion MCP Server_query-database""", inputSchema={'properties': {'database_id': {'description': 'ID of the database to query', 'type': 'string'}, 'filter': {'description': 'Optional filter criteria', 'type': 'object'}, 'page_size': {'default': 100, 'description': 'Number of results per page', 'type': 'number'}, 'sorts': {'description': 'Optional sort criteria', 'type': 'array'}, 'start_cursor': {'description': 'Optional cursor for pagination', 'type': 'string'}}, 'required': ['database_id'], 'type': 'object'}, description="""Query a database"""), # Sjotie/Notion MCP Server/query-database
    Tool(name="""Youtube MCP Server_DownloadClosedCaptions""", inputSchema={'description': 'Download closed captions from YouTube video.', 'properties': {'video_url': {'title': 'Video Url', 'type': 'string'}}, 'required': ['video_url'], 'title': 'DownloadClosedCaptions', 'type': 'object'}, description="""Download closed captions from YouTube video."""), # sparfenyuk/Youtube MCP Server/DownloadClosedCaptions
    Tool(name="""Manifold Markets MCP Server_place_bet""", inputSchema={'properties': {'amount': {'description': 'Amount to bet in mana', 'type': 'number'}, 'limitProb': {'description': 'Optional limit order probability (0.01-0.99)', 'type': 'number'}, 'marketId': {'description': 'Market ID', 'type': 'string'}, 'outcome': {'enum': ['YES', 'NO'], 'type': 'string'}}, 'required': ['marketId', 'amount', 'outcome'], 'type': 'object'}, description="""Place a bet on a market"""), # bmorphism/Manifold Markets MCP Server/place_bet
    Tool(name="""Manifold Markets MCP Server_cancel_bet""", inputSchema={'properties': {'betId': {'description': 'Bet ID to cancel', 'type': 'string'}}, 'required': ['betId'], 'type': 'object'}, description="""Cancel a limit order bet"""), # bmorphism/Manifold Markets MCP Server/cancel_bet
    Tool(name="""Manifold Markets MCP Server_sell_shares""", inputSchema={'properties': {'marketId': {'description': 'Market ID', 'type': 'string'}, 'outcome': {'description': 'Which type of shares to sell (defaults to what you have)', 'enum': ['YES', 'NO'], 'type': 'string'}, 'shares': {'description': 'How many shares to sell (defaults to all)', 'type': 'number'}}, 'required': ['marketId'], 'type': 'object'}, description="""Sell shares in a market"""), # bmorphism/Manifold Markets MCP Server/sell_shares
    Tool(name="""Manifold Markets MCP Server_add_liquidity""", inputSchema={'properties': {'amount': {'description': 'Amount of mana to add', 'type': 'number'}, 'marketId': {'description': 'Market ID', 'type': 'string'}}, 'required': ['marketId', 'amount'], 'type': 'object'}, description="""Add mana to market liquidity pool"""), # bmorphism/Manifold Markets MCP Server/add_liquidity
    Tool(name="""Manifold Markets MCP Server_get_positions""", inputSchema={'properties': {'userId': {'description': 'User ID', 'type': 'string'}}, 'required': ['userId'], 'type': 'object'}, description="""Get user positions across markets"""), # bmorphism/Manifold Markets MCP Server/get_positions
    Tool(name="""Manifold Markets MCP Server_unresolve_market""", inputSchema={'properties': {'answerId': {'description': 'Optional. Answer ID for multiple choice markets', 'type': 'string'}, 'contractId': {'description': 'Market ID', 'type': 'string'}}, 'required': ['contractId'], 'type': 'object'}, description="""Unresolve a previously resolved market"""), # bmorphism/Manifold Markets MCP Server/unresolve_market
    Tool(name="""Manifold Markets MCP Server_close_market""", inputSchema={'properties': {'closeTime': {'description': 'Optional. Unix timestamp in milliseconds when market will close', 'type': 'number'}, 'contractId': {'description': 'Market ID', 'type': 'string'}}, 'required': ['contractId'], 'type': 'object'}, description="""Close a market for trading"""), # bmorphism/Manifold Markets MCP Server/close_market
    Tool(name="""Manifold Markets MCP Server_add_answer""", inputSchema={'properties': {'contractId': {'description': 'Market ID', 'type': 'string'}, 'text': {'description': 'Answer text', 'type': 'string'}}, 'required': ['contractId', 'text'], 'type': 'object'}, description="""Add a new answer to a multiple choice market"""), # bmorphism/Manifold Markets MCP Server/add_answer
    Tool(name="""Manifold Markets MCP Server_follow_market""", inputSchema={'properties': {'contractId': {'description': 'Market ID', 'type': 'string'}, 'follow': {'description': 'True to follow, false to unfollow', 'type': 'boolean'}}, 'required': ['contractId', 'follow'], 'type': 'object'}, description="""Follow or unfollow a market"""), # bmorphism/Manifold Markets MCP Server/follow_market
    Tool(name="""Manifold Markets MCP Server_add_bounty""", inputSchema={'properties': {'amount': {'description': 'Amount of mana to add as bounty', 'type': 'number'}, 'contractId': {'description': 'Market ID', 'type': 'string'}}, 'required': ['contractId', 'amount'], 'type': 'object'}, description="""Add bounty to a market"""), # bmorphism/Manifold Markets MCP Server/add_bounty
    Tool(name="""Manifold Markets MCP Server_award_bounty""", inputSchema={'properties': {'amount': {'description': 'Amount of bounty to award', 'type': 'number'}, 'commentId': {'description': 'Comment ID to award bounty to', 'type': 'string'}, 'contractId': {'description': 'Market ID', 'type': 'string'}}, 'required': ['contractId', 'commentId', 'amount'], 'type': 'object'}, description="""Award bounty to a comment"""), # bmorphism/Manifold Markets MCP Server/award_bounty
    Tool(name="""Manifold Markets MCP Server_remove_liquidity""", inputSchema={'properties': {'amount': {'description': 'Amount of liquidity to remove', 'type': 'number'}, 'contractId': {'description': 'Market ID', 'type': 'string'}}, 'required': ['contractId', 'amount'], 'type': 'object'}, description="""Remove liquidity from market pool"""), # bmorphism/Manifold Markets MCP Server/remove_liquidity
    Tool(name="""Manifold Markets MCP Server_react""", inputSchema={'properties': {'contentId': {'description': 'ID of market or comment', 'type': 'string'}, 'contentType': {'description': 'Type of content to react to', 'enum': ['comment', 'contract'], 'type': 'string'}, 'reactionType': {'description': 'Type of reaction', 'enum': ['like', 'dislike'], 'type': 'string'}, 'remove': {'description': 'Optional. True to remove reaction', 'type': 'boolean'}}, 'required': ['contentId', 'contentType'], 'type': 'object'}, description="""React to a market or comment"""), # bmorphism/Manifold Markets MCP Server/react
    Tool(name="""Manifold Markets MCP Server_send_mana""", inputSchema={'properties': {'amount': {'description': 'Amount of mana to send (min 10)', 'type': 'number'}, 'message': {'description': 'Optional message to include', 'type': 'string'}, 'toIds': {'description': 'Array of user IDs to send mana to', 'items': {'type': 'string'}, 'type': 'array'}}, 'required': ['toIds', 'amount'], 'type': 'object'}, description="""Send mana to other users"""), # bmorphism/Manifold Markets MCP Server/send_mana
    Tool(name="""Manifold Markets MCP Server_create_market""", inputSchema={'properties': {'addAnswersMode': {'description': 'Optional for MULTIPLE_CHOICE markets. Controls who can add answers', 'enum': ['DISABLED', 'ONLY_CREATOR', 'ANYONE'], 'type': 'string'}, 'answers': {'description': 'Required for MULTIPLE_CHOICE/POLL markets. Array of possible answers', 'items': {'type': 'string'}, 'type': 'array'}, 'closeTime': {'description': 'Optional. ISO timestamp when market will close. Defaults to 7 days.', 'type': 'string'}, 'description': {'description': 'Optional description for the market', 'type': 'string'}, 'initialProb': {'description': 'Required for BINARY markets. Initial probability (1-99)', 'type': 'number'}, 'initialValue': {'description': 'Required for PSEUDO_NUMERIC markets. Initial value between min and max', 'type': 'number'}, 'isLogScale': {'description': 'Optional for PSEUDO_NUMERIC markets. If true, increases exponentially', 'type': 'boolean'}, 'max': {'description': 'Required for PSEUDO_NUMERIC markets. Maximum resolvable value', 'type': 'number'}, 'min': {'description': 'Required for PSEUDO_NUMERIC markets. Minimum resolvable value', 'type': 'number'}, 'outcomeType': {'description': 'Type of market to create', 'enum': ['BINARY', 'MULTIPLE_CHOICE', 'PSEUDO_NUMERIC', 'POLL', 'BOUNTIED_QUESTION'], 'type': 'string'}, 'question': {'description': 'The headline question for the market', 'type': 'string'}, 'shouldAnswersSumToOne': {'description': 'Optional for MULTIPLE_CHOICE markets. Makes probabilities sum to 100%', 'type': 'boolean'}, 'totalBounty': {'description': 'Required for BOUNTIED_QUESTION markets. Amount of mana for bounty', 'type': 'number'}, 'visibility': {'description': 'Optional. Market visibility. Defaults to public.', 'enum': ['public', 'unlisted'], 'type': 'string'}}, 'required': ['outcomeType', 'question'], 'type': 'object'}, description="""Create a new prediction market"""), # bmorphism/Manifold Markets MCP Server/create_market
    Tool(name="""Manifold Markets MCP Server_search_markets""", inputSchema={'properties': {'filter': {'enum': ['all', 'open', 'closed', 'resolved'], 'type': 'string'}, 'limit': {'description': 'Max number of results (1-100)', 'type': 'number'}, 'sort': {'enum': ['newest', 'score', 'liquidity'], 'type': 'string'}, 'term': {'description': 'Search query', 'type': 'string'}}, 'type': 'object'}, description="""Search for prediction markets with optional filters"""), # bmorphism/Manifold Markets MCP Server/search_markets
    Tool(name="""Manifold Markets MCP Server_get_market""", inputSchema={'properties': {'marketId': {'description': 'Market ID', 'type': 'string'}}, 'required': ['marketId'], 'type': 'object'}, description="""Get detailed information about a specific market"""), # bmorphism/Manifold Markets MCP Server/get_market
    Tool(name="""Manifold Markets MCP Server_get_user""", inputSchema={'properties': {'username': {'description': 'Username', 'type': 'string'}}, 'required': ['username'], 'type': 'object'}, description="""Get user information by username"""), # bmorphism/Manifold Markets MCP Server/get_user
    Tool(name="""Nuanced MCP Server_initialize_graph""", inputSchema={'properties': {'repo_path': {'title': 'Repo Path', 'type': 'string'}}, 'required': ['repo_path'], 'title': 'initialize_graphArguments', 'type': 'object'}, description="""Initialize a code graph for the given repository path.\n\nArgs:\n    repo_path: Path to the repository to analyze\n\nReturns:\n    Success message with information about the initialized graph\n"""), # MattMorgis/Nuanced MCP Server/initialize_graph
    Tool(name="""Nuanced MCP Server_switch_repository""", inputSchema={'properties': {'repo_path': {'title': 'Repo Path', 'type': 'string'}}, 'required': ['repo_path'], 'title': 'switch_repositoryArguments', 'type': 'object'}, description="""Switch to a different initialized repository.\n\nArgs:\n    repo_path: Path to the repository to switch to\n\nReturns:\n    Success message or error\n"""), # MattMorgis/Nuanced MCP Server/switch_repository
    Tool(name="""Nuanced MCP Server_list_repositories""", inputSchema={'properties': {}, 'title': 'list_repositoriesArguments', 'type': 'object'}, description="""List all initialized repositories.\n\nReturns:\n    List of initialized repositories\n"""), # MattMorgis/Nuanced MCP Server/list_repositories
    Tool(name="""Nuanced MCP Server_get_function_call_graph""", inputSchema={'properties': {'file_path': {'title': 'File Path', 'type': 'string'}, 'function_name': {'title': 'Function Name', 'type': 'string'}, 'repo_path': {'default': None, 'title': 'Repo Path', 'type': 'string'}}, 'required': ['file_path', 'function_name'], 'title': 'get_function_call_graphArguments', 'type': 'object'}, description="""Get the call graph for a specific function.\n\nArgs:\n    file_path: Path to the file containing the function\n    function_name: Name of the function to analyze\n    repo_path: Optional repository path (uses active repository if not specified)\n\nReturns:\n    Information about the function's call graph\n"""), # MattMorgis/Nuanced MCP Server/get_function_call_graph
    Tool(name="""Nuanced MCP Server_analyze_dependencies""", inputSchema={'properties': {'file_path': {'default': None, 'title': 'File Path', 'type': 'string'}, 'module_name': {'default': None, 'title': 'Module Name', 'type': 'string'}}, 'title': 'analyze_dependenciesArguments', 'type': 'object'}, description="""Find all module or file dependencies in the codebase.\n\nIdentifies all function dependencies for a file or module\nin the active repository. This identifies all modules that\ndepend on the specified module or file.\n\nArgs:\n    file_path: Path to a specific file to analyze dependencies for\n    module_name: Name of a module to analyze dependencies for\n                (e.g., 'auth' will match 'app.auth', 'auth.users', etc.)\n\nReturns:\n    A list of all functions and files that depend on the specified module\n"""), # MattMorgis/Nuanced MCP Server/analyze_dependencies
    Tool(name="""Nuanced MCP Server_analyze_change_impact""", inputSchema={'properties': {'file_path': {'title': 'File Path', 'type': 'string'}, 'function_name': {'title': 'Function Name', 'type': 'string'}}, 'required': ['file_path', 'function_name'], 'title': 'analyze_change_impactArguments', 'type': 'object'}, description="""Analyze the impact of changing a specific function.\n\nThis tool performs a comprehensive impact analysis to help understand\nwhat would be affected if you modify the specified function.\n\nArgs:\n    file_path: Path to the file containing the function\n    function_name: Name of the function to analyze\n\nReturns:\n    A detailed analysis of the potential impact of changing the function\n"""), # MattMorgis/Nuanced MCP Server/analyze_change_impact
    Tool(name="""Stability AI MCP Server_stability-ai-generate-image""", inputSchema={'properties': {'aspectRatio': {'default': '1:1', 'description': 'Controls the aspect ratio of the generated image.', 'enum': ['16:9', '1:1', '21:9', '2:3', '3:2', '4:5', '5:4', '9:16', '9:21'], 'type': 'string'}, 'negativePrompt': {'description': 'A blurb of text describing what you do not wish to see in the output image. This is an advanced feature.', 'maxLength': 10000, 'type': 'string'}, 'outputImageFileName': {'description': 'The desired name of the output image file, no file extension. Make it descriptive but short. Lowercase, dash-separated, no special characters.', 'type': 'string'}, 'prompt': {'description': "What you wish to see in the output image. A strong, descriptive prompt that clearly defines elements, colors, and subjects will lead to better results.\n\nTo control the weight of a given word use the format (word:weight), where word is the word you'd like to control the weight of and weight is a value between 0 and 1. For example: The sky was a crisp (blue:0.3) and (green:0.8) would convey a sky that was blue and green, but more green than blue.", 'maxLength': 10000, 'minLength': 1, 'type': 'string'}, 'stylePreset': {'description': 'Guides the image model towards a particular style.', 'enum': ['3d-model', 'analog-film', 'anime', 'cinematic', 'comic-book', 'digital-art', 'enhance', 'fantasy-art', 'isometric', 'line-art', 'low-poly', 'modeling-compound', 'neon-punk', 'origami', 'photographic', 'pixel-art', 'tile-texture'], 'type': 'string'}}, 'required': ['prompt', 'outputImageFileName'], 'type': 'object'}, description="""Generate an image of anything based on a provided prompt."""), # tadasant/Stability AI MCP Server/stability-ai-generate-image
    Tool(name="""Stability AI MCP Server_stability-ai-generate-image-sd35""", inputSchema={'properties': {'aspectRatio': {'default': '1:1', 'description': 'Controls the aspect ratio of the generated image.', 'enum': ['16:9', '1:1', '21:9', '2:3', '3:2', '4:5', '5:4', '9:16', '9:21'], 'type': 'string'}, 'cfgScale': {'description': 'How strictly the diffusion process adheres to the prompt text. Values range from 1-10, with higher values keeping your image closer to your prompt.', 'maximum': 10, 'minimum': 1, 'type': 'number'}, 'model': {'default': 'sd3.5-large', 'description': 'The model to use for generation: SD3.5 Large (8B params, high quality), Medium (2.5B params, balanced), or Turbo (faster) variants. SD3.5 costs range from 3.5-6.5 credits per generation.', 'enum': ['sd3.5-large', 'sd3.5-large-turbo', 'sd3.5-medium', 'sd3-large', 'sd3-large-turbo', 'sd3-medium'], 'type': 'string'}, 'negativePrompt': {'description': 'Keywords of what you do not wish to see in the output image. This helps avoid unwanted elements. Maximum 10000 characters.', 'maxLength': 10000, 'type': 'string'}, 'outputFormat': {'default': 'png', 'description': 'The format of the output image.', 'enum': ['jpeg', 'png'], 'type': 'string'}, 'outputImageFileName': {'description': 'The desired name of the output image file, no file extension.', 'type': 'string'}, 'prompt': {'description': 'What you wish to see in the output image. A strong, descriptive prompt that clearly defines elements, colors, and subjects will lead to better results.', 'maxLength': 10000, 'minLength': 1, 'type': 'string'}, 'seed': {'description': "A specific value that guides the 'randomness' of the generation. (Omit or use 0 for random seed)", 'maximum': 4294967294, 'minimum': 0, 'type': 'number'}, 'stylePreset': {'description': 'Guides the image model towards a particular style.', 'enum': ['3d-model', 'analog-film', 'anime', 'cinematic', 'comic-book', 'digital-art', 'enhance', 'fantasy-art', 'isometric', 'line-art', 'low-poly', 'modeling-compound', 'neon-punk', 'origami', 'photographic', 'pixel-art', 'tile-texture'], 'type': 'string'}}, 'required': ['prompt', 'outputImageFileName'], 'type': 'object'}, description="""Generate an image using Stable Diffusion 3.5 models with advanced configuration options."""), # tadasant/Stability AI MCP Server/stability-ai-generate-image-sd35
    Tool(name="""Stability AI MCP Server_stability-ai-remove-background""", inputSchema={'properties': {'imageFileUri': {'description': 'The URI to the image file. It should start with file://', 'type': 'string'}, 'outputImageFileName': {'description': 'The desired name of the output image file, no file extension. Make it descriptive but short. Lowercase, dash-separated, no special characters.', 'type': 'string'}}, 'required': ['imageFileUri'], 'type': 'object'}, description="""Remove the background from an image."""), # tadasant/Stability AI MCP Server/stability-ai-remove-background
    Tool(name="""Stability AI MCP Server_stability-ai-outpaint""", inputSchema={'properties': {'creativity': {'description': 'The creativity of the outpaint operation', 'type': 'number'}, 'down': {'description': 'The number of pixels to extend the image downwards', 'type': 'number'}, 'imageFileUri': {'description': 'The URI to the image file. It should start with file://', 'type': 'string'}, 'left': {'description': 'The number of pixels to extend the image to the left', 'type': 'number'}, 'outputImageFileName': {'description': 'The desired name of the output image file, no file extension. Make it descriptive but short. Lowercase, dash-separated, no special characters.', 'type': 'string'}, 'prompt': {'description': 'The prompt to use for the outpaint operation', 'type': 'string'}, 'right': {'description': 'The number of pixels to extend the image to the right', 'type': 'number'}, 'up': {'description': 'The number of pixels to extend the image upwards', 'type': 'number'}}, 'required': ['imageFileUri', 'outputImageFileName'], 'type': 'object'}, description="""Extends an image in any direction while maintaining visual consistency."""), # tadasant/Stability AI MCP Server/stability-ai-outpaint
    Tool(name="""Stability AI MCP Server_stability-ai-search-and-replace""", inputSchema={'properties': {'imageFileUri': {'description': 'The URI to the image file. It should start with file://', 'type': 'string'}, 'outputImageFileName': {'description': 'The desired name of the output image file, no file extension. Make it descriptive but short. Lowercase, dash-separated, no special characters.', 'type': 'string'}, 'prompt': {'description': 'What you wish to see in place of the searched content', 'type': 'string'}, 'searchPrompt': {'description': 'Short description of what to replace in the image', 'type': 'string'}}, 'required': ['imageFileUri', 'searchPrompt', 'prompt', 'outputImageFileName'], 'type': 'object'}, description="""Replace objects or elements in an image by describing what to replace and what to replace it with."""), # tadasant/Stability AI MCP Server/stability-ai-search-and-replace
    Tool(name="""Stability AI MCP Server_stability-ai-upscale-fast""", inputSchema={'properties': {'imageFileUri': {'description': 'The URI to the image file. It should start with file://', 'type': 'string'}, 'outputImageFileName': {'description': 'The desired name of the output image file, no file extension. Make it descriptive but short. Lowercase, dash-separated, no special characters.', 'type': 'string'}}, 'required': ['imageFileUri', 'outputImageFileName'], 'type': 'object'}, description="""Cheap and fast tool to enhance image resolution by 4x."""), # tadasant/Stability AI MCP Server/stability-ai-upscale-fast
    Tool(name="""Stability AI MCP Server_stability-ai-upscale-creative""", inputSchema={'properties': {'creativity': {'description': 'Optional value (0-0.35) indicating how creative the model should be. Higher values add more details during upscaling.', 'type': 'number'}, 'imageFileUri': {'description': 'The URI to the image file. It should start with file://', 'type': 'string'}, 'negativePrompt': {'description': 'Optional text describing what you do not wish to see in the output image.', 'type': 'string'}, 'outputImageFileName': {'description': 'The desired name of the output image file, no file extension. Make it descriptive but short. Lowercase, dash-separated, no special characters.', 'type': 'string'}, 'prompt': {'description': 'What you wish to see in the output image. A strong, descriptive prompt that clearly defines elements, colors, and subjects.', 'type': 'string'}}, 'required': ['imageFileUri', 'prompt', 'outputImageFileName'], 'type': 'object'}, description="""Enhance image resolution up to 4K using AI with creative interpretation. This tool works best on highly degraded images and performs heavy reimagining. In general, don't use this (expensive) tool unless specifically asked to do so, usually after trying stability-ai-upscale-fast first."""), # tadasant/Stability AI MCP Server/stability-ai-upscale-creative
    Tool(name="""Stability AI MCP Server_stability-ai-control-sketch""", inputSchema={'properties': {'controlStrength': {'description': 'How much influence, or control, the image has on the generation. Represented as a float between 0 and 1, where 0 is the least influence and 1 is the maximum.', 'maximum': 1, 'minimum': 0, 'type': 'number'}, 'imageFileUri': {'description': 'The URI to the image file. It should start with file://', 'type': 'string'}, 'negativePrompt': {'description': 'What you do not wish to see in the output image.', 'type': 'string'}, 'outputImageFileName': {'description': 'The desired name of the output image file, no file extension. Make it descriptive but short. Lowercase, dash-separated, no special characters.', 'type': 'string'}, 'prompt': {'description': "What you wish to see in the output image. A strong, descriptive prompt that clearly defines elements, colors, and subjects will lead to better results.\n\nTo control the weight of a given word use the format (word:weight), where word is the word you'd like to control the weight of and weight is a value between 0 and 1. For example: The sky was a crisp (blue:0.3) and (green:0.8) would convey a sky that was blue and green, but more green than blue.", 'type': 'string'}}, 'required': ['imageFileUri', 'prompt', 'outputImageFileName'], 'type': 'object'}, description="""Translate hand-drawn sketches to production-grade images."""), # tadasant/Stability AI MCP Server/stability-ai-control-sketch
    Tool(name="""Stability AI MCP Server_stability-ai-0-list-resources""", inputSchema={'properties': {}, 'required': [], 'type': 'object'}, description="""Use this to check for files before deciding you don't have access to a file or image or resource. It pulls in a list of all of user's available Resources (i.e. image files and their URI's) so we can reference pre-existing images to manipulate or upload to Stability AI."""), # tadasant/Stability AI MCP Server/stability-ai-0-list-resources
    Tool(name="""Stability AI MCP Server_stability-ai-search-and-recolor""", inputSchema={'properties': {'imageFileUri': {'description': 'The URI to the image file. It should start with file://', 'type': 'string'}, 'outputImageFileName': {'description': 'The desired name of the output image file, no file extension. Make it descriptive but short. Lowercase, dash-separated, no special characters.', 'type': 'string'}, 'prompt': {'description': 'What colors you wish to see in the output image', 'type': 'string'}, 'selectPrompt': {'description': 'Short description of what to search for and recolor in the image', 'type': 'string'}}, 'required': ['imageFileUri', 'prompt', 'selectPrompt', 'outputImageFileName'], 'type': 'object'}, description="""Search and recolor object(s) in an image"""), # tadasant/Stability AI MCP Server/stability-ai-search-and-recolor
    Tool(name="""Stability AI MCP Server_stability-ai-replace-background-and-relight""", inputSchema={'properties': {'backgroundPrompt': {'description': 'Description of the desired background', 'type': 'string'}, 'backgroundReferenceUri': {'description': 'Optional URI to a reference image for background style', 'type': 'string'}, 'foregroundPrompt': {'description': 'Optional description of the subject to prevent background bleeding', 'type': 'string'}, 'imageFileUri': {'description': 'The URI to the subject image file. It should start with file://', 'type': 'string'}, 'keepOriginalBackground': {'description': 'Whether to keep the original background', 'type': 'boolean'}, 'lightReferenceUri': {'description': 'Optional URI to a reference image for lighting', 'type': 'string'}, 'lightSourceDirection': {'description': 'Direction of the light source', 'enum': ['above', 'below', 'left', 'right'], 'type': 'string'}, 'lightSourceStrength': {'description': 'Strength of the light source (0-1)', 'type': 'number'}, 'negativePrompt': {'description': "Optional description of what you don't want to see", 'type': 'string'}, 'originalBackgroundDepth': {'description': 'Control background depth matching (0-1)', 'type': 'number'}, 'outputImageFileName': {'description': 'The desired name of the output image file, no file extension. Make it descriptive but short. Lowercase, dash-separated, no special characters.', 'type': 'string'}, 'preserveOriginalSubject': {'description': 'How much to preserve the original subject (0-1)', 'type': 'number'}}, 'required': ['imageFileUri', 'outputImageFileName'], 'type': 'object'}, description="""Replace background and adjust lighting of an image"""), # tadasant/Stability AI MCP Server/stability-ai-replace-background-and-relight
    Tool(name="""Stability AI MCP Server_stability-ai-control-style""", inputSchema={'properties': {'aspectRatio': {'description': 'Optional aspect ratio for the generated image', 'enum': ['16:9', '1:1', '21:9', '2:3', '3:2', '4:5', '5:4', '9:16', '9:21'], 'type': 'string'}, 'fidelity': {'description': "How closely the output image's style should match the input (0-1)", 'type': 'number'}, 'imageFileUri': {'description': 'The URI to the style reference image file. It should start with file://', 'type': 'string'}, 'negativePrompt': {'description': "Optional description of what you don't want to see", 'type': 'string'}, 'outputImageFileName': {'description': 'The desired name of the output image file, no file extension. Make it descriptive but short. Lowercase, dash-separated, no special characters.', 'type': 'string'}, 'prompt': {'description': 'What you wish to see in the output image', 'type': 'string'}}, 'required': ['imageFileUri', 'prompt', 'outputImageFileName'], 'type': 'object'}, description="""Generate a new image in the style of a reference image"""), # tadasant/Stability AI MCP Server/stability-ai-control-style
    Tool(name="""Stability AI MCP Server_stability-ai-control-structure""", inputSchema={'properties': {'controlStrength': {'description': 'How much influence the reference image has on the generation (0-1)', 'type': 'number'}, 'imageFileUri': {'description': 'The URI to the structure reference image file. It should start with file://', 'type': 'string'}, 'negativePrompt': {'description': "Optional description of what you don't want to see", 'type': 'string'}, 'outputImageFileName': {'description': 'The desired name of the output image file, no file extension. Make it descriptive but short. Lowercase, dash-separated, no special characters.', 'type': 'string'}, 'prompt': {'description': 'What you wish to see in the output image', 'type': 'string'}}, 'required': ['imageFileUri', 'prompt', 'outputImageFileName'], 'type': 'object'}, description="""Generate a new image while maintaining the structure of a reference image"""), # tadasant/Stability AI MCP Server/stability-ai-control-structure
    Tool(name="""ArXiv MCP Server_search_papers""", inputSchema={'properties': {'categories': {'items': {'type': 'string'}, 'type': 'array'}, 'date_from': {'type': 'string'}, 'date_to': {'type': 'string'}, 'max_results': {'type': 'integer'}, 'query': {'type': 'string'}}, 'required': ['query'], 'type': 'object'}, description="""Search for papers on arXiv with advanced filtering"""), # huanongfish/ArXiv MCP Server/search_papers
    Tool(name="""ArXiv MCP Server_download_paper""", inputSchema={'properties': {'check_status': {'default': False, 'description': 'If true, only check conversion status without downloading', 'type': 'boolean'}, 'paper_id': {'description': 'The arXiv ID of the paper to download', 'type': 'string'}}, 'required': ['paper_id'], 'type': 'object'}, description="""Download a paper and create a resource for it"""), # huanongfish/ArXiv MCP Server/download_paper
    Tool(name="""ArXiv MCP Server_list_papers""", inputSchema={'properties': {}, 'required': [], 'type': 'object'}, description="""List all existing papers available as resources"""), # huanongfish/ArXiv MCP Server/list_papers
    Tool(name="""ArXiv MCP Server_read_paper""", inputSchema={'properties': {'paper_id': {'description': 'The arXiv ID of the paper to read', 'type': 'string'}}, 'required': ['paper_id'], 'type': 'object'}, description="""Read the full content of a stored paper in markdown format"""), # huanongfish/ArXiv MCP Server/read_paper
    Tool(name="""Shell MCP Server_run_command""", inputSchema={'properties': {'command': {'type': 'string'}}, 'type': 'object'}, description="""Run a shell command"""), # hdresearch/Shell MCP Server/run_command
    Tool(name="""Productboard MCP Server_get_products""", inputSchema={'properties': {'page': {'default': 1, 'type': 'number'}}, 'type': 'object'}, description="""Returns detail of all products. This API is paginated and the page limit is always 100"""), # kenjihikmatullah/Productboard MCP Server/get_products
    Tool(name="""Productboard MCP Server_get_product_detail""", inputSchema={'properties': {'productId': {'description': 'ID of the product to retrieve', 'type': 'string'}}, 'required': ['productId'], 'type': 'object'}, description="""Returns detailed information about a specific product"""), # kenjihikmatullah/Productboard MCP Server/get_product_detail
    Tool(name="""Productboard MCP Server_get_features""", inputSchema={'properties': {'page': {'default': 1, 'type': 'number'}}, 'type': 'object'}, description="""Returns a list of all features. This API is paginated and the page limit is always 100"""), # kenjihikmatullah/Productboard MCP Server/get_features
    Tool(name="""Productboard MCP Server_get_feature_detail""", inputSchema={'properties': {'featureId': {'description': 'ID of the feature to retrieve', 'type': 'string'}}, 'required': ['featureId'], 'type': 'object'}, description="""Returns detailed information about a specific feature"""), # kenjihikmatullah/Productboard MCP Server/get_feature_detail
    Tool(name="""Productboard MCP Server_get_components""", inputSchema={'properties': {'page': {'default': 1, 'type': 'number'}}, 'type': 'object'}, description="""Returns a list of all components. This API is paginated and the page limit is always 100"""), # kenjihikmatullah/Productboard MCP Server/get_components
    Tool(name="""Productboard MCP Server_get_component_detail""", inputSchema={'properties': {'componentId': {'description': 'ID of the component to retrieve', 'type': 'string'}}, 'required': ['componentId'], 'type': 'object'}, description="""Returns detailed information about a specific component"""), # kenjihikmatullah/Productboard MCP Server/get_component_detail
    Tool(name="""Productboard MCP Server_get_feature_statuses""", inputSchema={'properties': {'page': {'default': 1, 'type': 'number'}}, 'type': 'object'}, description="""Returns a list of all feature statuses. This API is paginated and the page limit is always 100"""), # kenjihikmatullah/Productboard MCP Server/get_feature_statuses
    Tool(name="""Productboard MCP Server_get_notes""", inputSchema={'properties': {'allTags': {'description': 'Return only notes that have been assigned all of the tags in the array. Cannot be combined with anyTag', 'type': 'string'}, 'anyTag': {'description': 'Return only notes that have been assigned any of the tags in the array. Cannot be combined with allTags', 'type': 'string'}, 'companyId': {'description': 'Return only notes for specific company ID', 'type': 'string'}, 'createdFrom': {'description': 'Return only notes created since given date. Cannot be combined with last', 'format': 'date', 'type': 'string'}, 'createdTo': {'description': 'Return only notes created before or equal to the given date. Cannot be combined with last', 'format': 'date', 'type': 'string'}, 'featureId': {'description': 'Return only notes for specific feature ID or its descendants', 'type': 'string'}, 'last': {'description': 'Return only notes created since given span of months (m), days (s), or hours (h). E.g. 6m | 10d | 24h | 1h. Cannot be combined with createdFrom, createdTo, dateFrom, or dateTo', 'type': 'string'}, 'ownerEmail': {'description': 'Return only notes owned by a specific owner email', 'type': 'string'}, 'pageCursor': {'description': 'Page cursor to get next page of results', 'type': 'string'}, 'pageLimit': {'description': 'Page limit', 'type': 'number'}, 'source': {'description': 'Return only notes from a specific source origin. This is the unique string identifying the external system from which the data came', 'type': 'string'}, 'term': {'description': 'Return only notes by fulltext search', 'type': 'string'}, 'updatedFrom': {'description': 'Return only notes updated since given date', 'format': 'date', 'type': 'string'}, 'updatedTo': {'description': 'Return only notes updated before or equal to the given date', 'format': 'date', 'type': 'string'}}, 'type': 'object'}, description="""Returns a list of all notes"""), # kenjihikmatullah/Productboard MCP Server/get_notes
    Tool(name="""Productboard MCP Server_get_note_detail""", inputSchema={'properties': {'noteId': {'description': 'ID of the note to retrieve', 'type': 'string'}}, 'required': ['noteId'], 'type': 'object'}, description="""Returns detailed information about a specific note"""), # kenjihikmatullah/Productboard MCP Server/get_note_detail
    Tool(name="""Productboard MCP Server_get_companies""", inputSchema={'properties': {'page': {'default': 1, 'type': 'number'}}, 'type': 'object'}, description="""Returns a list of all companies. This API is paginated and the page limit is always 100"""), # kenjihikmatullah/Productboard MCP Server/get_companies
    Tool(name="""Productboard MCP Server_get_company_detail""", inputSchema={'properties': {'companyId': {'description': 'ID of the company to retrieve', 'type': 'string'}}, 'required': ['companyId'], 'type': 'object'}, description="""Returns detailed information about a specific company"""), # kenjihikmatullah/Productboard MCP Server/get_company_detail
    Tool(name="""Coin MCP Server_listing-coins""", inputSchema={'properties': {'aux': {'description': 'Optionally specify a comma-separated list of supplemental data fields to return.', 'type': 'string'}, 'circulating_supply_max': {'description': 'Optionally specify a threshold of maximum circulating supply to filter results by.', 'minimum': 0, 'type': 'number'}, 'circulating_supply_min': {'description': 'Optionally specify a threshold of minimum circulating supply to filter results by.', 'minimum': 0, 'type': 'number'}, 'convert': {'description': 'Optionally calculate market quotes in up to 120 currencies at once by passing a comma-separated list of cryptocurrency or fiat currency symbols.', 'type': 'string'}, 'convert_id': {'description': 'Optionally calculate market quotes by CoinMarketCap ID instead of symbol.', 'type': 'string'}, 'cryptocurrency_type': {'description': 'The type of cryptocurrency to include.', 'enum': ['all', 'coins', 'tokens'], 'type': 'string'}, 'limit': {'description': 'Optionally specify the number of results to return.', 'maximum': 5000, 'minimum': 1, 'type': 'integer'}, 'market_cap_max': {'description': 'Optionally specify a threshold of maximum market cap to filter results by.', 'minimum': 0, 'type': 'number'}, 'market_cap_min': {'description': 'Optionally specify a threshold of minimum market cap to filter results by.', 'minimum': 0, 'type': 'number'}, 'percent_change_24h_max': {'description': 'Optionally specify a threshold of maximum 24 hour percent change to filter results by.', 'minimum': -100, 'type': 'number'}, 'percent_change_24h_min': {'description': 'Optionally specify a threshold of minimum 24 hour percent change to filter results by.', 'minimum': -100, 'type': 'number'}, 'price_max': {'description': 'Optionally specify a threshold of maximum USD price to filter results by.', 'minimum': 0, 'type': 'number'}, 'price_min': {'description': 'Optionally specify a threshold of minimum USD price to filter results by.', 'minimum': 0, 'type': 'number'}, 'sort': {'description': 'What field to sort the list of cryptocurrencies by.', 'enum': ['market_cap', 'name', 'symbol', 'date_added', 'market_cap_strict', 'price', 'circulating_supply', 'total_supply', 'max_supply', 'num_market_pairs', 'volume_24h', 'percent_change_1h', 'percent_change_24h', 'percent_change_7d', 'market_cap_by_total_supply_strict', 'volume_7d', 'volume_30d'], 'type': 'string'}, 'sort_dir': {'description': 'The direction in which to order cryptocurrencies against the specified sort.', 'enum': ['asc', 'desc'], 'type': 'string'}, 'start': {'description': 'Optionally offset the start (1-based index) of the paginated list of items to return.', 'minimum': 1, 'type': 'integer'}, 'tag': {'description': 'The tag of cryptocurrency to include.', 'enum': ['all', 'defi', 'filesharing'], 'type': 'string'}, 'volume_24h_max': {'description': 'Optionally specify a threshold of maximum 24 hour USD volume to filter results by.', 'minimum': 0, 'type': 'number'}, 'volume_24h_min': {'description': 'Optionally specify a threshold of minimum 24 hour USD volume to filter results by.', 'minimum': 0, 'type': 'number'}}, 'required': [], 'type': 'object'}, description="""Returns a paginated list of all active cryptocurrencies with latest market data"""), # longmans/Coin MCP Server/listing-coins
    Tool(name="""Coin MCP Server_get-coin-info""", inputSchema={'properties': {'address': {'description': 'Alternatively pass in a contract address. Example: "0xc40af1e4fecfa05ce6bab79dcd8b373d2e436c4e"', 'type': 'string'}, 'aux': {'description': 'Optionally specify a comma-separated list of supplemental data fields to return. Pass urls,logo,description,tags,platform,date_added,notice,status to include all auxiliary fields.', 'type': 'string'}, 'id': {'description': 'One or more comma-separated CoinMarketCap cryptocurrency IDs. Example: "1,2"', 'type': 'string'}, 'skip_invalid': {'default': False, 'description': 'Pass true to relax request validation rules. When requesting records on multiple cryptocurrencies an error is returned if any invalid cryptocurrencies are requested or a cryptocurrency does not have matching records in the requested timeframe. If set to true, invalid lookups will be skipped allowing valid cryptocurrencies to still be returned.', 'type': 'boolean'}, 'slug': {'description': 'Alternatively pass a comma-separated list of cryptocurrency slugs. Example: "bitcoin,ethereum"', 'type': 'string'}, 'symbol': {'description': 'Alternatively pass one or more comma-separated cryptocurrency symbols. Example: "BTC,ETH"', 'type': 'string'}}, 'required': [], 'type': 'object'}, description="""Get coins' information includes details like logo, description, official website URL, social links, and links to a cryptocurrency's technical documentation."""), # longmans/Coin MCP Server/get-coin-info
    Tool(name="""Coin MCP Server_get-coin-quotes""", inputSchema={'properties': {'aux': {'description': '"num_market_pairs,cmc_rank,date_added,tags,platform,max_supply,circulating_supply,total_supply,is_active,is_fiat"Optionally specify a comma-separated list of supplemental data fields to return.', 'type': 'string'}, 'convert': {'description': 'Optionally calculate market quotes in up to 120 currencies at once by passing a comma-separated list of cryptocurrency or fiat currency symbols.', 'type': 'string'}, 'convert_id': {'description': 'Optionally calculate market quotes by CoinMarketCap ID instead of symbol. This option is identical to\xa0convert\xa0outside of ID format.', 'type': 'string'}, 'id': {'description': 'One or more comma-separated cryptocurrency CoinMarketCap IDs. Example: 1,2', 'type': 'string'}, 'skip_invalid': {'default': False, 'description': 'Pass true to relax request validation rules.', 'type': 'boolean'}, 'slug': {'description': 'Alternatively pass a comma-separated list of cryptocurrency slugs. Example: "bitcoin,ethereum"', 'type': 'string'}, 'symbol': {'description': 'Alternatively pass one or more comma-separated cryptocurrency symbols. Example: "BTC,ETH"', 'type': 'string'}}, 'required': [], 'type': 'object'}, description="""the latest market quote for 1 or more cryptocurrencies. Use the \"convert\" option to return market values in multiple fiat and cryptocurrency conversions in the same call."""), # longmans/Coin MCP Server/get-coin-quotes
    Tool(name="""Sleep MCP Server_sleep""", inputSchema={'properties': {'milliseconds': {'description': 'Duration to wait in milliseconds', 'minimum': 0, 'type': 'number'}}, 'required': ['milliseconds'], 'type': 'object'}, description="""Wait for a specified duration"""), # Garoth/Sleep MCP Server/sleep
    Tool(name="""PostHog MCP Server_list_posthog_projects""", inputSchema={'properties': {}, 'title': 'list_posthog_projectsArguments', 'type': 'object'}, description="""List all available PostHog projects."""), # PostHog/PostHog MCP Server/list_posthog_projects
    Tool(name="""PostHog MCP Server_create_posthog_annotation""", inputSchema={'properties': {'content': {'title': 'Content', 'type': 'string'}, 'date_marker': {'anyOf': [{'type': 'string'}, {'type': 'null'}], 'default': None, 'title': 'Date Marker'}, 'project_id': {'title': 'Project Id', 'type': 'integer'}}, 'required': ['project_id', 'content'], 'title': 'create_posthog_annotationArguments', 'type': 'object'}, description="""Create a PostHog annotation.\n\nArgs:\n    project_id: The ID of the project as an integer (e.g. 99423)\n    content: The content/text of the annotation\n    date_marker: Optional ISO-8601 timestamp for the annotation (e.g. 2024-03-20T14:15:22Z)\n"""), # PostHog/PostHog MCP Server/create_posthog_annotation
    Tool(name="""Kintone MCP Server_create_app""", inputSchema={'properties': {'name': {'description': '', 'type': 'string'}, 'space': {'description': 'ID', 'type': 'number'}, 'thread': {'description': 'ID', 'type': 'number'}}, 'required': ['name'], 'type': 'object'}, description="""kintone"""), # r3-yamauchi/Kintone MCP Server/create_app
    Tool(name="""Kintone MCP Server_add_thread_comment""", inputSchema={'properties': {'mentions': {'items': {'properties': {'code': {'type': 'string'}, 'type': {'enum': ['USER', 'GROUP', 'ORGANIZATION'], 'type': 'string'}}, 'required': ['code', 'type'], 'type': 'object'}, 'type': 'array'}, 'space_id': {'description': 'ID', 'type': 'string'}, 'text': {'description': '', 'type': 'string'}, 'thread_id': {'description': 'ID', 'type': 'string'}}, 'required': ['space_id', 'thread_id', 'text'], 'type': 'object'}, description=""""""), # r3-yamauchi/Kintone MCP Server/add_thread_comment
    Tool(name="""Kintone MCP Server_update_space_members""", inputSchema={'properties': {'members': {'items': {'properties': {'entity': {'properties': {'code': {'type': 'string'}, 'type': {'enum': ['USER', 'GROUP', 'ORGANIZATION'], 'type': 'string'}}, 'required': ['type', 'code'], 'type': 'object'}, 'includeSubs': {'type': 'boolean'}, 'isAdmin': {'type': 'boolean'}}, 'required': ['entity'], 'type': 'object'}, 'type': 'array'}, 'space_id': {'description': 'ID', 'type': 'string'}}, 'required': ['space_id', 'members'], 'type': 'object'}, description=""""""), # r3-yamauchi/Kintone MCP Server/update_space_members
    Tool(name="""Kintone MCP Server_add_thread""", inputSchema={'properties': {'name': {'description': '', 'type': 'string'}, 'space_id': {'description': 'ID', 'type': 'string'}}, 'required': ['space_id', 'name'], 'type': 'object'}, description=""""""), # r3-yamauchi/Kintone MCP Server/add_thread
    Tool(name="""Kintone MCP Server_update_thread""", inputSchema={'properties': {'body': {'description': 'HTML', 'type': 'string'}, 'name': {'description': '', 'type': 'string'}, 'thread_id': {'description': 'ID', 'type': 'string'}}, 'required': ['thread_id'], 'type': 'object'}, description=""""""), # r3-yamauchi/Kintone MCP Server/update_thread
    Tool(name="""Kintone MCP Server_add_guests""", inputSchema={'properties': {'guests': {'items': {'properties': {'code': {'type': 'string'}, 'locale': {'enum': ['auto', 'en', 'zh', 'ja'], 'type': 'string'}, 'name': {'type': 'string'}, 'password': {'type': 'string'}, 'timezone': {'type': 'string'}}, 'required': ['name', 'code', 'password', 'timezone'], 'type': 'object'}, 'type': 'array'}}, 'required': ['guests'], 'type': 'object'}, description=""""""), # r3-yamauchi/Kintone MCP Server/add_guests
    Tool(name="""Kintone MCP Server_update_space_guests""", inputSchema={'properties': {'guests': {'items': {'description': '', 'type': 'string'}, 'type': 'array'}, 'space_id': {'description': 'ID', 'type': 'string'}}, 'required': ['space_id', 'guests'], 'type': 'object'}, description=""""""), # r3-yamauchi/Kintone MCP Server/update_space_guests
    Tool(name="""Kintone MCP Server_add_fields""", inputSchema={'properties': {'app_id': {'description': 'ID', 'type': 'number'}, 'properties': {'description': '', 'type': 'object'}}, 'required': ['app_id', 'properties'], 'type': 'object'}, description="""kintone"""), # r3-yamauchi/Kintone MCP Server/add_fields
    Tool(name="""Kintone MCP Server_deploy_app""", inputSchema={'properties': {'apps': {'description': 'ID', 'items': {'type': 'number'}, 'type': 'array'}}, 'required': ['apps'], 'type': 'object'}, description="""kintone"""), # r3-yamauchi/Kintone MCP Server/deploy_app
    Tool(name="""Kintone MCP Server_get_deploy_status""", inputSchema={'properties': {'apps': {'description': 'ID', 'items': {'type': 'number'}, 'type': 'array'}}, 'required': ['apps'], 'type': 'object'}, description="""kintone"""), # r3-yamauchi/Kintone MCP Server/get_deploy_status
    Tool(name="""Kintone MCP Server_update_app_settings""", inputSchema={'properties': {'app_id': {'description': 'ID', 'type': 'number'}, 'description': {'description': '10,000HTML', 'type': 'string'}, 'enableBulkDeletion': {'description': '', 'type': 'boolean'}, 'enableComments': {'description': '', 'type': 'boolean'}, 'enableDuplicateRecord': {'description': '', 'type': 'boolean'}, 'enableInlineRecordEditing': {'description': '', 'type': 'boolean'}, 'enableThumbnails': {'description': '', 'type': 'boolean'}, 'firstMonthOfFiscalYear': {'description': '1-12', 'type': 'string'}, 'icon': {'properties': {'file': {'properties': {'fileKey': {'description': '', 'type': 'string'}}, 'type': 'object'}, 'key': {'description': 'PRESTET', 'type': 'string'}, 'type': {'description': '', 'enum': ['PRESET', 'FILE'], 'type': 'string'}}, 'type': 'object'}, 'name': {'description': '164', 'type': 'string'}, 'numberPrecision': {'properties': {'decimalPlaces': {'description': '0-10', 'type': 'string'}, 'digits': {'description': '1-30', 'type': 'string'}, 'roundingMode': {'description': '', 'enum': ['HALF_EVEN', 'UP', 'DOWN'], 'type': 'string'}}, 'type': 'object'}, 'theme': {'description': '', 'enum': ['WHITE', 'RED', 'GREEN', 'BLUE', 'YELLOW', 'BLACK'], 'type': 'string'}, 'titleField': {'properties': {'code': {'description': 'MANUAL', 'type': 'string'}, 'selectionMode': {'description': '', 'enum': ['AUTO', 'MANUAL'], 'type': 'string'}}, 'type': 'object'}}, 'required': ['app_id'], 'type': 'object'}, description="""kintone"""), # r3-yamauchi/Kintone MCP Server/update_app_settings
    Tool(name="""Kintone MCP Server_get_form_layout""", inputSchema={'properties': {'app_id': {'description': 'kintoneID', 'type': 'number'}}, 'required': ['app_id'], 'type': 'object'}, description="""kintone"""), # r3-yamauchi/Kintone MCP Server/get_form_layout
    Tool(name="""Kintone MCP Server_update_form_layout""", inputSchema={'properties': {'app_id': {'description': 'kintoneID', 'type': 'number'}, 'layout': {'description': '', 'items': {'properties': {'code': {'description': 'SUBTABLE', 'type': 'string'}, 'fields': {'description': 'ROW', 'items': {'properties': {'code': {'description': 'FIELD', 'type': 'string'}, 'elementId': {'description': 'ID', 'type': 'string'}, 'size': {'description': '', 'properties': {'height': {'description': '"200px"', 'type': 'string'}, 'innerHeight': {'description': '"200px"', 'type': 'string'}, 'width': {'description': '"100%"', 'type': 'string'}}, 'type': 'object'}, 'type': {'description': '', 'enum': ['LABEL', 'SPACER', 'HR', 'REFERENCE_TABLE', 'FIELD'], 'type': 'string'}, 'value': {'description': 'LABEL', 'type': 'string'}}, 'type': 'object'}, 'type': 'array'}, 'layout': {'description': 'GROUP', 'type': 'array'}, 'type': {'description': '', 'enum': ['ROW', 'SUBTABLE', 'GROUP'], 'type': 'string'}}, 'type': 'object'}, 'type': 'array'}, 'revision': {'description': '-1', 'type': 'number'}}, 'required': ['app_id', 'layout'], 'type': 'object'}, description="""kintone"""), # r3-yamauchi/Kintone MCP Server/update_form_layout
    Tool(name="""Kintone MCP Server_get_record""", inputSchema={'properties': {'app_id': {'description': 'kintoneID', 'type': 'number'}, 'record_id': {'description': 'ID', 'type': 'number'}}, 'required': ['app_id', 'record_id'], 'type': 'object'}, description="""kintone1"""), # r3-yamauchi/Kintone MCP Server/get_record
    Tool(name="""Kintone MCP Server_search_records""", inputSchema={'properties': {'app_id': {'description': 'kintoneID', 'type': 'number'}, 'fields': {'description': '', 'items': {'type': 'string'}, 'type': 'array'}, 'query': {'description': '', 'type': 'string'}}, 'required': ['app_id'], 'type': 'object'}, description="""kintone"""), # r3-yamauchi/Kintone MCP Server/search_records
    Tool(name="""Kintone MCP Server_create_record""", inputSchema={'properties': {'app_id': {'description': 'kintoneID', 'type': 'number'}, 'fields': {'description': '', 'type': 'object'}}, 'required': ['app_id', 'fields'], 'type': 'object'}, description="""kintone"""), # r3-yamauchi/Kintone MCP Server/create_record
    Tool(name="""Kintone MCP Server_update_record""", inputSchema={'properties': {'app_id': {'description': 'kintoneID', 'type': 'number'}, 'fields': {'description': '', 'type': 'object'}, 'record_id': {'description': 'ID', 'type': 'number'}}, 'required': ['app_id', 'record_id', 'fields'], 'type': 'object'}, description="""kintone"""), # r3-yamauchi/Kintone MCP Server/update_record
    Tool(name="""Kintone MCP Server_get_apps_info""", inputSchema={'properties': {'app_name': {'description': '', 'type': 'string'}}, 'required': ['app_name'], 'type': 'object'}, description="""kintone"""), # r3-yamauchi/Kintone MCP Server/get_apps_info
    Tool(name="""Kintone MCP Server_download_file""", inputSchema={'properties': {'file_key': {'description': '', 'type': 'string'}}, 'required': ['file_key'], 'type': 'object'}, description="""kintone"""), # r3-yamauchi/Kintone MCP Server/download_file
    Tool(name="""Kintone MCP Server_upload_file""", inputSchema={'properties': {'file_data': {'description': 'Base64', 'type': 'string'}, 'file_name': {'description': '', 'type': 'string'}}, 'required': ['file_name', 'file_data'], 'type': 'object'}, description="""kintone"""), # r3-yamauchi/Kintone MCP Server/upload_file
    Tool(name="""Kintone MCP Server_add_record_comment""", inputSchema={'properties': {'app_id': {'description': 'kintoneID', 'type': 'number'}, 'mentions': {'description': '', 'items': {'properties': {'code': {'description': '', 'type': 'string'}, 'type': {'description': '', 'enum': ['USER', 'GROUP', 'ORGANIZATION'], 'type': 'string'}}, 'required': ['code', 'type'], 'type': 'object'}, 'type': 'array'}, 'record_id': {'description': 'ID', 'type': 'number'}, 'text': {'description': '', 'type': 'string'}}, 'required': ['app_id', 'record_id', 'text'], 'type': 'object'}, description="""kintone"""), # r3-yamauchi/Kintone MCP Server/add_record_comment
    Tool(name="""Kintone MCP Server_get_space""", inputSchema={'properties': {'space_id': {'description': 'ID', 'type': 'string'}}, 'required': ['space_id'], 'type': 'object'}, description=""""""), # r3-yamauchi/Kintone MCP Server/get_space
    Tool(name="""Kintone MCP Server_update_space""", inputSchema={'properties': {'fixedMember': {'description': '', 'type': 'boolean'}, 'isPrivate': {'description': '', 'type': 'boolean'}, 'name': {'description': '', 'type': 'string'}, 'space_id': {'description': 'ID', 'type': 'string'}, 'useMultiThread': {'description': '', 'type': 'boolean'}}, 'required': ['space_id'], 'type': 'object'}, description=""""""), # r3-yamauchi/Kintone MCP Server/update_space
    Tool(name="""Kintone MCP Server_update_space_body""", inputSchema={'properties': {'body': {'description': 'HTML', 'type': 'string'}, 'space_id': {'description': 'ID', 'type': 'string'}}, 'required': ['space_id', 'body'], 'type': 'object'}, description=""""""), # r3-yamauchi/Kintone MCP Server/update_space_body
    Tool(name="""Kintone MCP Server_get_space_members""", inputSchema={'properties': {'space_id': {'description': 'ID', 'type': 'string'}}, 'required': ['space_id'], 'type': 'object'}, description=""""""), # r3-yamauchi/Kintone MCP Server/get_space_members
    Tool(name="""MCP Notion Server_query_database""", inputSchema={'properties': {'database_id': {'description': 'ID of the database to query', 'type': 'string'}, 'filter': {'description': 'Filter conditions', 'type': 'object'}, 'page_size': {'description': 'Number of results per page', 'type': 'number'}, 'sorts': {'description': 'Sorting parameters', 'type': 'array'}, 'start_cursor': {'description': 'Pagination cursor', 'type': 'string'}}, 'required': ['database_id'], 'type': 'object'}, description="""Query a database with filters and sorting"""), # gabornyergesX/MCP Notion Server/query_database
    Tool(name="""MCP Notion Server_search""", inputSchema={'properties': {'filter': {'description': 'Filter by object type (page or database)', 'type': 'object'}, 'page_size': {'description': 'Number of results per page', 'type': 'number'}, 'query': {'description': 'Search query', 'type': 'string'}, 'sort': {'description': 'Sort by last edited or created time', 'type': 'object'}, 'start_cursor': {'description': 'Pagination cursor', 'type': 'string'}}, 'required': ['query'], 'type': 'object'}, description="""Search pages and databases"""), # gabornyergesX/MCP Notion Server/search
    Tool(name="""MCP Notion Server_list_databases""", inputSchema={'properties': {}, 'required': [], 'type': 'object'}, description="""List all accessible databases"""), # gabornyergesX/MCP Notion Server/list_databases
    Tool(name="""MCP Notion Server_create_database""", inputSchema={'properties': {'parent_id': {'description': 'ID of the parent page', 'type': 'string'}, 'properties': {'description': 'Database properties schema', 'type': 'object'}, 'title': {'description': 'Title of the database', 'type': 'string'}}, 'required': ['parent_id', 'title', 'properties'], 'type': 'object'}, description="""Create a new database"""), # gabornyergesX/MCP Notion Server/create_database
    Tool(name="""MCP Notion Server_create_page""", inputSchema={'properties': {'content': {'description': 'Content in markdown format', 'type': 'string'}, 'parent_id': {'description': 'ID of the parent page or database', 'type': 'string'}, 'parent_type': {'description': 'Type of parent (database or page)', 'enum': ['database', 'page'], 'type': 'string'}, 'properties': {'description': 'Page properties (required for database pages)', 'type': 'object'}, 'title': {'description': 'Title of the page', 'type': 'string'}}, 'required': ['parent_type', 'parent_id'], 'type': 'object'}, description="""Create a new page"""), # gabornyergesX/MCP Notion Server/create_page
    Tool(name="""MCP Notion Server_update_page""", inputSchema={'properties': {'page_id': {'description': 'ID of the page to update', 'type': 'string'}, 'properties': {'description': 'Updated page properties', 'type': 'object'}}, 'required': ['page_id', 'properties'], 'type': 'object'}, description="""Update an existing page"""), # gabornyergesX/MCP Notion Server/update_page
    Tool(name="""MCP Notion Server_append_blocks""", inputSchema={'properties': {'blocks': {'description': 'Array of block objects to append', 'type': 'array'}, 'page_id': {'description': 'ID of the page', 'type': 'string'}}, 'required': ['page_id', 'blocks'], 'type': 'object'}, description="""Append blocks to a page"""), # gabornyergesX/MCP Notion Server/append_blocks
    Tool(name="""MCP Notion Server_delete_blocks""", inputSchema={'properties': {'block_id': {'description': 'ID of the block to delete', 'type': 'string'}}, 'required': ['block_id'], 'type': 'object'}, description="""Delete blocks from a page"""), # gabornyergesX/MCP Notion Server/delete_blocks
    Tool(name="""MCP Notion Server_get_page""", inputSchema={'properties': {'page_id': {'description': 'ID of the page to retrieve', 'type': 'string'}}, 'required': ['page_id'], 'type': 'object'}, description="""Retrieve a page by ID"""), # gabornyergesX/MCP Notion Server/get_page
    Tool(name="""MCP Notion Server_get_database""", inputSchema={'properties': {'database_id': {'description': 'ID of the database to retrieve', 'type': 'string'}}, 'required': ['database_id'], 'type': 'object'}, description="""Retrieve a database by ID"""), # gabornyergesX/MCP Notion Server/get_database
    Tool(name="""Solana MCP Server_getSlot""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {}, 'type': 'object'}, description="""Get the current slot"""), # akc2267/Solana MCP Server/getSlot
    Tool(name="""Solana MCP Server_getBalance""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'address': {'description': 'Solana account address', 'type': 'string'}}, 'required': ['address'], 'type': 'object'}, description="""Get balance for a Solana address"""), # akc2267/Solana MCP Server/getBalance
    Tool(name="""Solana MCP Server_getKeypairInfo""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'secretKey': {'description': 'Base58 encoded secret key or array of bytes', 'type': 'string'}}, 'required': ['secretKey'], 'type': 'object'}, description="""Get information about a keypair from its secret key"""), # akc2267/Solana MCP Server/getKeypairInfo
    Tool(name="""Solana MCP Server_getAccountInfo""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'address': {'description': 'Solana account address', 'type': 'string'}, 'encoding': {'description': 'Data encoding format', 'enum': ['base58', 'base64', 'jsonParsed'], 'type': 'string'}}, 'required': ['address'], 'type': 'object'}, description="""Get detailed account information for a Solana address"""), # akc2267/Solana MCP Server/getAccountInfo
    Tool(name="""Solana MCP Server_transfer""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'amount': {'description': 'Amount of SOL to send', 'exclusiveMinimum': 0, 'type': 'number'}, 'secretKey': {'description': "Your keypair's secret key (as comma-separated numbers or JSON array)", 'type': 'string'}, 'toAddress': {'description': 'Destination wallet address', 'type': 'string'}}, 'required': ['secretKey', 'toAddress', 'amount'], 'type': 'object'}, description="""Transfer SOL from your keypair to another address"""), # akc2267/Solana MCP Server/transfer
    Tool(name="""Deriv API MCP Server_get_active_symbols""", inputSchema={'properties': {}, 'title': 'get_active_symbolsArguments', 'type': 'object'}, description=""""""), # raju-deriv/Deriv API MCP Server/get_active_symbols
    Tool(name="""Deriv API MCP Server_get_account_balance""", inputSchema={'properties': {}, 'title': 'get_account_balanceArguments', 'type': 'object'}, description=""""""), # raju-deriv/Deriv API MCP Server/get_account_balance
    Tool(name="""Appwrite MCP Server_databases_create_document""", inputSchema={'properties': {'collection_id': {'description': "Parameter 'collection_id'", 'type': 'string'}, 'data': {'description': "Parameter 'data'", 'type': 'string'}, 'database_id': {'description': "Parameter 'database_id'", 'type': 'string'}, 'document_id': {'description': "Parameter 'document_id'", 'type': 'string'}, 'permissions': {'description': "Parameter 'permissions'", 'type': 'string'}}, 'required': ['database_id', 'collection_id', 'document_id', 'data'], 'type': 'object'}, description="""Create document"""), # appwrite/Appwrite MCP Server/databases_create_document
    Tool(name="""Appwrite MCP Server_databases_create_email_attribute""", inputSchema={'properties': {'array': {'description': "Parameter 'array'", 'type': 'string'}, 'collection_id': {'description': "Parameter 'collection_id'", 'type': 'string'}, 'database_id': {'description': "Parameter 'database_id'", 'type': 'string'}, 'default': {'description': "Parameter 'default'", 'type': 'string'}, 'key': {'description': "Parameter 'key'", 'type': 'string'}, 'required': {'description': "Parameter 'required'", 'type': 'string'}}, 'required': ['database_id', 'collection_id', 'key', 'required'], 'type': 'object'}, description="""Create email attribute"""), # appwrite/Appwrite MCP Server/databases_create_email_attribute
    Tool(name="""Appwrite MCP Server_databases_create_enum_attribute""", inputSchema={'properties': {'array': {'description': "Parameter 'array'", 'type': 'string'}, 'collection_id': {'description': "Parameter 'collection_id'", 'type': 'string'}, 'database_id': {'description': "Parameter 'database_id'", 'type': 'string'}, 'default': {'description': "Parameter 'default'", 'type': 'string'}, 'elements': {'description': "Parameter 'elements'", 'type': 'string'}, 'key': {'description': "Parameter 'key'", 'type': 'string'}, 'required': {'description': "Parameter 'required'", 'type': 'string'}}, 'required': ['database_id', 'collection_id', 'key', 'elements', 'required'], 'type': 'object'}, description="""Create enum attribute"""), # appwrite/Appwrite MCP Server/databases_create_enum_attribute
    Tool(name="""Appwrite MCP Server_databases_create_float_attribute""", inputSchema={'properties': {'array': {'description': "Parameter 'array'", 'type': 'string'}, 'collection_id': {'description': "Parameter 'collection_id'", 'type': 'string'}, 'database_id': {'description': "Parameter 'database_id'", 'type': 'string'}, 'default': {'description': "Parameter 'default'", 'type': 'string'}, 'key': {'description': "Parameter 'key'", 'type': 'string'}, 'max': {'description': "Parameter 'max'", 'type': 'string'}, 'min': {'description': "Parameter 'min'", 'type': 'string'}, 'required': {'description': "Parameter 'required'", 'type': 'string'}}, 'required': ['database_id', 'collection_id', 'key', 'required'], 'type': 'object'}, description="""Create float attribute"""), # appwrite/Appwrite MCP Server/databases_create_float_attribute
    Tool(name="""Appwrite MCP Server_databases_create_index""", inputSchema={'properties': {'attributes': {'description': "Parameter 'attributes'", 'type': 'string'}, 'collection_id': {'description': "Parameter 'collection_id'", 'type': 'string'}, 'database_id': {'description': "Parameter 'database_id'", 'type': 'string'}, 'key': {'description': "Parameter 'key'", 'type': 'string'}, 'orders': {'description': "Parameter 'orders'", 'type': 'string'}, 'type': {'description': "Parameter 'type'", 'type': 'string'}}, 'required': ['database_id', 'collection_id', 'key', 'type', 'attributes'], 'type': 'object'}, description="""Create index"""), # appwrite/Appwrite MCP Server/databases_create_index
    Tool(name="""Appwrite MCP Server_databases_create_integer_attribute""", inputSchema={'properties': {'array': {'description': "Parameter 'array'", 'type': 'string'}, 'collection_id': {'description': "Parameter 'collection_id'", 'type': 'string'}, 'database_id': {'description': "Parameter 'database_id'", 'type': 'string'}, 'default': {'description': "Parameter 'default'", 'type': 'string'}, 'key': {'description': "Parameter 'key'", 'type': 'string'}, 'max': {'description': "Parameter 'max'", 'type': 'string'}, 'min': {'description': "Parameter 'min'", 'type': 'string'}, 'required': {'description': "Parameter 'required'", 'type': 'string'}}, 'required': ['database_id', 'collection_id', 'key', 'required'], 'type': 'object'}, description="""Create integer attribute"""), # appwrite/Appwrite MCP Server/databases_create_integer_attribute
    Tool(name="""Appwrite MCP Server_users_create""", inputSchema={'properties': {'email': {'description': "Parameter 'email'", 'type': 'string'}, 'name': {'description': "Parameter 'name'", 'type': 'string'}, 'password': {'description': "Parameter 'password'", 'type': 'string'}, 'phone': {'description': "Parameter 'phone'", 'type': 'string'}, 'user_id': {'description': "Parameter 'user_id'", 'type': 'string'}}, 'required': ['user_id'], 'type': 'object'}, description="""Create user"""), # appwrite/Appwrite MCP Server/users_create
    Tool(name="""Appwrite MCP Server_users_create_argon2_user""", inputSchema={'properties': {'email': {'description': "Parameter 'email'", 'type': 'string'}, 'name': {'description': "Parameter 'name'", 'type': 'string'}, 'password': {'description': "Parameter 'password'", 'type': 'string'}, 'user_id': {'description': "Parameter 'user_id'", 'type': 'string'}}, 'required': ['user_id', 'email', 'password'], 'type': 'object'}, description="""Create user with Argon2 password"""), # appwrite/Appwrite MCP Server/users_create_argon2_user
    Tool(name="""Appwrite MCP Server_users_create_bcrypt_user""", inputSchema={'properties': {'email': {'description': "Parameter 'email'", 'type': 'string'}, 'name': {'description': "Parameter 'name'", 'type': 'string'}, 'password': {'description': "Parameter 'password'", 'type': 'string'}, 'user_id': {'description': "Parameter 'user_id'", 'type': 'string'}}, 'required': ['user_id', 'email', 'password'], 'type': 'object'}, description="""Create user with bcrypt password"""), # appwrite/Appwrite MCP Server/users_create_bcrypt_user
    Tool(name="""Appwrite MCP Server_users_create_jwt""", inputSchema={'properties': {'duration': {'description': "Parameter 'duration'", 'type': 'string'}, 'session_id': {'description': "Parameter 'session_id'", 'type': 'string'}, 'user_id': {'description': "Parameter 'user_id'", 'type': 'string'}}, 'required': ['user_id'], 'type': 'object'}, description="""Create user JWT"""), # appwrite/Appwrite MCP Server/users_create_jwt
    Tool(name="""Appwrite MCP Server_users_create_md5_user""", inputSchema={'properties': {'email': {'description': "Parameter 'email'", 'type': 'string'}, 'name': {'description': "Parameter 'name'", 'type': 'string'}, 'password': {'description': "Parameter 'password'", 'type': 'string'}, 'user_id': {'description': "Parameter 'user_id'", 'type': 'string'}}, 'required': ['user_id', 'email', 'password'], 'type': 'object'}, description="""Create user with MD5 password"""), # appwrite/Appwrite MCP Server/users_create_md5_user
    Tool(name="""Appwrite MCP Server_users_create_mfa_recovery_codes""", inputSchema={'properties': {'user_id': {'description': "Parameter 'user_id'", 'type': 'string'}}, 'required': ['user_id'], 'type': 'object'}, description="""Create MFA recovery codes"""), # appwrite/Appwrite MCP Server/users_create_mfa_recovery_codes
    Tool(name="""Appwrite MCP Server_users_create_ph_pass_user""", inputSchema={'properties': {'email': {'description': "Parameter 'email'", 'type': 'string'}, 'name': {'description': "Parameter 'name'", 'type': 'string'}, 'password': {'description': "Parameter 'password'", 'type': 'string'}, 'user_id': {'description': "Parameter 'user_id'", 'type': 'string'}}, 'required': ['user_id', 'email', 'password'], 'type': 'object'}, description="""Create user with PHPass password"""), # appwrite/Appwrite MCP Server/users_create_ph_pass_user
    Tool(name="""Appwrite MCP Server_databases_create_ip_attribute""", inputSchema={'properties': {'array': {'description': "Parameter 'array'", 'type': 'string'}, 'collection_id': {'description': "Parameter 'collection_id'", 'type': 'string'}, 'database_id': {'description': "Parameter 'database_id'", 'type': 'string'}, 'default': {'description': "Parameter 'default'", 'type': 'string'}, 'key': {'description': "Parameter 'key'", 'type': 'string'}, 'required': {'description': "Parameter 'required'", 'type': 'string'}}, 'required': ['database_id', 'collection_id', 'key', 'required'], 'type': 'object'}, description="""Create IP address attribute"""), # appwrite/Appwrite MCP Server/databases_create_ip_attribute
    Tool(name="""Appwrite MCP Server_users_create_scrypt_modified_user""", inputSchema={'properties': {'email': {'description': "Parameter 'email'", 'type': 'string'}, 'name': {'description': "Parameter 'name'", 'type': 'string'}, 'password': {'description': "Parameter 'password'", 'type': 'string'}, 'password_salt': {'description': "Parameter 'password_salt'", 'type': 'string'}, 'password_salt_separator': {'description': "Parameter 'password_salt_separator'", 'type': 'string'}, 'password_signer_key': {'description': "Parameter 'password_signer_key'", 'type': 'string'}, 'user_id': {'description': "Parameter 'user_id'", 'type': 'string'}}, 'required': ['user_id', 'email', 'password', 'password_salt', 'password_salt_separator', 'password_signer_key'], 'type': 'object'}, description="""Create user with Scrypt modified password"""), # appwrite/Appwrite MCP Server/users_create_scrypt_modified_user
    Tool(name="""Appwrite MCP Server_databases_create_relationship_attribute""", inputSchema={'properties': {'collection_id': {'description': "Parameter 'collection_id'", 'type': 'string'}, 'database_id': {'description': "Parameter 'database_id'", 'type': 'string'}, 'key': {'description': "Parameter 'key'", 'type': 'string'}, 'on_delete': {'description': "Parameter 'on_delete'", 'type': 'string'}, 'related_collection_id': {'description': "Parameter 'related_collection_id'", 'type': 'string'}, 'two_way': {'description': "Parameter 'two_way'", 'type': 'string'}, 'two_way_key': {'description': "Parameter 'two_way_key'", 'type': 'string'}, 'type': {'description': "Parameter 'type'", 'type': 'string'}}, 'required': ['database_id', 'collection_id', 'related_collection_id', 'type'], 'type': 'object'}, description="""Create relationship attribute"""), # appwrite/Appwrite MCP Server/databases_create_relationship_attribute
    Tool(name="""Appwrite MCP Server_databases_update_datetime_attribute""", inputSchema={'properties': {'collection_id': {'description': "Parameter 'collection_id'", 'type': 'string'}, 'database_id': {'description': "Parameter 'database_id'", 'type': 'string'}, 'default': {'description': "Parameter 'default'", 'type': 'string'}, 'key': {'description': "Parameter 'key'", 'type': 'string'}, 'new_key': {'description': "Parameter 'new_key'", 'type': 'string'}, 'required': {'description': "Parameter 'required'", 'type': 'string'}}, 'required': ['database_id', 'collection_id', 'key', 'required', 'default'], 'type': 'object'}, description="""Update dateTime attribute"""), # appwrite/Appwrite MCP Server/databases_update_datetime_attribute
    Tool(name="""Appwrite MCP Server_databases_update_document""", inputSchema={'properties': {'collection_id': {'description': "Parameter 'collection_id'", 'type': 'string'}, 'data': {'description': "Parameter 'data'", 'type': 'string'}, 'database_id': {'description': "Parameter 'database_id'", 'type': 'string'}, 'document_id': {'description': "Parameter 'document_id'", 'type': 'string'}, 'permissions': {'description': "Parameter 'permissions'", 'type': 'string'}}, 'required': ['database_id', 'collection_id', 'document_id'], 'type': 'object'}, description="""Update document"""), # appwrite/Appwrite MCP Server/databases_update_document
    Tool(name="""Appwrite MCP Server_databases_update_email_attribute""", inputSchema={'properties': {'collection_id': {'description': "Parameter 'collection_id'", 'type': 'string'}, 'database_id': {'description': "Parameter 'database_id'", 'type': 'string'}, 'default': {'description': "Parameter 'default'", 'type': 'string'}, 'key': {'description': "Parameter 'key'", 'type': 'string'}, 'new_key': {'description': "Parameter 'new_key'", 'type': 'string'}, 'required': {'description': "Parameter 'required'", 'type': 'string'}}, 'required': ['database_id', 'collection_id', 'key', 'required', 'default'], 'type': 'object'}, description="""Update email attribute"""), # appwrite/Appwrite MCP Server/databases_update_email_attribute
    Tool(name="""Appwrite MCP Server_users_create_scrypt_user""", inputSchema={'properties': {'email': {'description': "Parameter 'email'", 'type': 'string'}, 'name': {'description': "Parameter 'name'", 'type': 'string'}, 'password': {'description': "Parameter 'password'", 'type': 'string'}, 'password_cpu': {'description': "Parameter 'password_cpu'", 'type': 'string'}, 'password_length': {'description': "Parameter 'password_length'", 'type': 'string'}, 'password_memory': {'description': "Parameter 'password_memory'", 'type': 'string'}, 'password_parallel': {'description': "Parameter 'password_parallel'", 'type': 'string'}, 'password_salt': {'description': "Parameter 'password_salt'", 'type': 'string'}, 'user_id': {'description': "Parameter 'user_id'", 'type': 'string'}}, 'required': ['user_id', 'email', 'password', 'password_salt', 'password_cpu', 'password_memory', 'password_parallel', 'password_length'], 'type': 'object'}, description="""Create user with Scrypt password"""), # appwrite/Appwrite MCP Server/users_create_scrypt_user
    Tool(name="""Appwrite MCP Server_users_create_session""", inputSchema={'properties': {'user_id': {'description': "Parameter 'user_id'", 'type': 'string'}}, 'required': ['user_id'], 'type': 'object'}, description="""Create session"""), # appwrite/Appwrite MCP Server/users_create_session
    Tool(name="""Appwrite MCP Server_users_create_sha_user""", inputSchema={'properties': {'email': {'description': "Parameter 'email'", 'type': 'string'}, 'name': {'description': "Parameter 'name'", 'type': 'string'}, 'password': {'description': "Parameter 'password'", 'type': 'string'}, 'password_version': {'description': "Parameter 'password_version'", 'type': 'string'}, 'user_id': {'description': "Parameter 'user_id'", 'type': 'string'}}, 'required': ['user_id', 'email', 'password'], 'type': 'object'}, description="""Create user with SHA password"""), # appwrite/Appwrite MCP Server/users_create_sha_user
    Tool(name="""Appwrite MCP Server_users_create_target""", inputSchema={'properties': {'identifier': {'description': "Parameter 'identifier'", 'type': 'string'}, 'name': {'description': "Parameter 'name'", 'type': 'string'}, 'provider_id': {'description': "Parameter 'provider_id'", 'type': 'string'}, 'provider_type': {'description': "Parameter 'provider_type'", 'type': 'string'}, 'target_id': {'description': "Parameter 'target_id'", 'type': 'string'}, 'user_id': {'description': "Parameter 'user_id'", 'type': 'string'}}, 'required': ['user_id', 'target_id', 'provider_type', 'identifier'], 'type': 'object'}, description="""Create user target"""), # appwrite/Appwrite MCP Server/users_create_target
    Tool(name="""Appwrite MCP Server_users_delete""", inputSchema={'properties': {'user_id': {'description': "Parameter 'user_id'", 'type': 'string'}}, 'required': ['user_id'], 'type': 'object'}, description="""Delete user"""), # appwrite/Appwrite MCP Server/users_delete
    Tool(name="""Appwrite MCP Server_users_create_token""", inputSchema={'properties': {'expire': {'description': "Parameter 'expire'", 'type': 'string'}, 'length': {'description': "Parameter 'length'", 'type': 'string'}, 'user_id': {'description': "Parameter 'user_id'", 'type': 'string'}}, 'required': ['user_id'], 'type': 'object'}, description="""Create token"""), # appwrite/Appwrite MCP Server/users_create_token
    Tool(name="""Appwrite MCP Server_users_delete_identity""", inputSchema={'properties': {'identity_id': {'description': "Parameter 'identity_id'", 'type': 'string'}}, 'required': ['identity_id'], 'type': 'object'}, description="""Delete identity"""), # appwrite/Appwrite MCP Server/users_delete_identity
    Tool(name="""Appwrite MCP Server_users_delete_mfa_authenticator""", inputSchema={'properties': {'type': {'description': "Parameter 'type'", 'type': 'string'}, 'user_id': {'description': "Parameter 'user_id'", 'type': 'string'}}, 'required': ['user_id', 'type'], 'type': 'object'}, description="""Delete authenticator"""), # appwrite/Appwrite MCP Server/users_delete_mfa_authenticator
    Tool(name="""Appwrite MCP Server_users_delete_session""", inputSchema={'properties': {'session_id': {'description': "Parameter 'session_id'", 'type': 'string'}, 'user_id': {'description': "Parameter 'user_id'", 'type': 'string'}}, 'required': ['user_id', 'session_id'], 'type': 'object'}, description="""Delete user session"""), # appwrite/Appwrite MCP Server/users_delete_session
    Tool(name="""Appwrite MCP Server_users_delete_sessions""", inputSchema={'properties': {'user_id': {'description': "Parameter 'user_id'", 'type': 'string'}}, 'required': ['user_id'], 'type': 'object'}, description="""Delete user sessions"""), # appwrite/Appwrite MCP Server/users_delete_sessions
    Tool(name="""Appwrite MCP Server_users_delete_target""", inputSchema={'properties': {'target_id': {'description': "Parameter 'target_id'", 'type': 'string'}, 'user_id': {'description': "Parameter 'user_id'", 'type': 'string'}}, 'required': ['user_id', 'target_id'], 'type': 'object'}, description="""Delete user target"""), # appwrite/Appwrite MCP Server/users_delete_target
    Tool(name="""Appwrite MCP Server_users_get""", inputSchema={'properties': {'user_id': {'description': "Parameter 'user_id'", 'type': 'string'}}, 'required': ['user_id'], 'type': 'object'}, description="""Get user"""), # appwrite/Appwrite MCP Server/users_get
    Tool(name="""Appwrite MCP Server_users_get_mfa_recovery_codes""", inputSchema={'properties': {'user_id': {'description': "Parameter 'user_id'", 'type': 'string'}}, 'required': ['user_id'], 'type': 'object'}, description="""Get MFA recovery codes"""), # appwrite/Appwrite MCP Server/users_get_mfa_recovery_codes
    Tool(name="""Appwrite MCP Server_users_get_prefs""", inputSchema={'properties': {'user_id': {'description': "Parameter 'user_id'", 'type': 'string'}}, 'required': ['user_id'], 'type': 'object'}, description="""Get user preferences"""), # appwrite/Appwrite MCP Server/users_get_prefs
    Tool(name="""Appwrite MCP Server_users_get_target""", inputSchema={'properties': {'target_id': {'description': "Parameter 'target_id'", 'type': 'string'}, 'user_id': {'description': "Parameter 'user_id'", 'type': 'string'}}, 'required': ['user_id', 'target_id'], 'type': 'object'}, description="""Get user target"""), # appwrite/Appwrite MCP Server/users_get_target
    Tool(name="""Appwrite MCP Server_users_list""", inputSchema={'properties': {'queries': {'description': "Parameter 'queries'", 'type': 'string'}, 'search': {'description': "Parameter 'search'", 'type': 'string'}}, 'required': [], 'type': 'object'}, description="""List users"""), # appwrite/Appwrite MCP Server/users_list
    Tool(name="""Appwrite MCP Server_users_update_status""", inputSchema={'properties': {'status': {'description': "Parameter 'status'", 'type': 'string'}, 'user_id': {'description': "Parameter 'user_id'", 'type': 'string'}}, 'required': ['user_id', 'status'], 'type': 'object'}, description="""Update user status"""), # appwrite/Appwrite MCP Server/users_update_status
    Tool(name="""Appwrite MCP Server_users_list_identities""", inputSchema={'properties': {'queries': {'description': "Parameter 'queries'", 'type': 'string'}, 'search': {'description': "Parameter 'search'", 'type': 'string'}}, 'required': [], 'type': 'object'}, description="""List identities"""), # appwrite/Appwrite MCP Server/users_list_identities
    Tool(name="""Appwrite MCP Server_users_list_logs""", inputSchema={'properties': {'queries': {'description': "Parameter 'queries'", 'type': 'string'}, 'user_id': {'description': "Parameter 'user_id'", 'type': 'string'}}, 'required': ['user_id'], 'type': 'object'}, description="""List user logs"""), # appwrite/Appwrite MCP Server/users_list_logs
    Tool(name="""Appwrite MCP Server_users_list_memberships""", inputSchema={'properties': {'user_id': {'description': "Parameter 'user_id'", 'type': 'string'}}, 'required': ['user_id'], 'type': 'object'}, description="""List user memberships"""), # appwrite/Appwrite MCP Server/users_list_memberships
    Tool(name="""Appwrite MCP Server_users_list_mfa_factors""", inputSchema={'properties': {'user_id': {'description': "Parameter 'user_id'", 'type': 'string'}}, 'required': ['user_id'], 'type': 'object'}, description="""List factors"""), # appwrite/Appwrite MCP Server/users_list_mfa_factors
    Tool(name="""Appwrite MCP Server_users_list_sessions""", inputSchema={'properties': {'user_id': {'description': "Parameter 'user_id'", 'type': 'string'}}, 'required': ['user_id'], 'type': 'object'}, description="""List user sessions"""), # appwrite/Appwrite MCP Server/users_list_sessions
    Tool(name="""Appwrite MCP Server_users_list_targets""", inputSchema={'properties': {'queries': {'description': "Parameter 'queries'", 'type': 'string'}, 'user_id': {'description': "Parameter 'user_id'", 'type': 'string'}}, 'required': ['user_id'], 'type': 'object'}, description="""List user targets"""), # appwrite/Appwrite MCP Server/users_list_targets
    Tool(name="""Appwrite MCP Server_users_update_email""", inputSchema={'properties': {'email': {'description': "Parameter 'email'", 'type': 'string'}, 'user_id': {'description': "Parameter 'user_id'", 'type': 'string'}}, 'required': ['user_id', 'email'], 'type': 'object'}, description="""Update email"""), # appwrite/Appwrite MCP Server/users_update_email
    Tool(name="""Appwrite MCP Server_users_update_email_verification""", inputSchema={'properties': {'email_verification': {'description': "Parameter 'email_verification'", 'type': 'string'}, 'user_id': {'description': "Parameter 'user_id'", 'type': 'string'}}, 'required': ['user_id', 'email_verification'], 'type': 'object'}, description="""Update email verification"""), # appwrite/Appwrite MCP Server/users_update_email_verification
    Tool(name="""Appwrite MCP Server_users_update_labels""", inputSchema={'properties': {'labels': {'description': "Parameter 'labels'", 'type': 'string'}, 'user_id': {'description': "Parameter 'user_id'", 'type': 'string'}}, 'required': ['user_id', 'labels'], 'type': 'object'}, description="""Update user labels"""), # appwrite/Appwrite MCP Server/users_update_labels
    Tool(name="""Appwrite MCP Server_users_update_mfa""", inputSchema={'properties': {'mfa': {'description': "Parameter 'mfa'", 'type': 'string'}, 'user_id': {'description': "Parameter 'user_id'", 'type': 'string'}}, 'required': ['user_id', 'mfa'], 'type': 'object'}, description="""Update MFA"""), # appwrite/Appwrite MCP Server/users_update_mfa
    Tool(name="""Appwrite MCP Server_users_update_mfa_recovery_codes""", inputSchema={'properties': {'user_id': {'description': "Parameter 'user_id'", 'type': 'string'}}, 'required': ['user_id'], 'type': 'object'}, description="""Regenerate MFA recovery codes"""), # appwrite/Appwrite MCP Server/users_update_mfa_recovery_codes
    Tool(name="""Appwrite MCP Server_users_update_name""", inputSchema={'properties': {'name': {'description': "Parameter 'name'", 'type': 'string'}, 'user_id': {'description': "Parameter 'user_id'", 'type': 'string'}}, 'required': ['user_id', 'name'], 'type': 'object'}, description="""Update name"""), # appwrite/Appwrite MCP Server/users_update_name
    Tool(name="""Appwrite MCP Server_users_update_password""", inputSchema={'properties': {'password': {'description': "Parameter 'password'", 'type': 'string'}, 'user_id': {'description': "Parameter 'user_id'", 'type': 'string'}}, 'required': ['user_id', 'password'], 'type': 'object'}, description="""Update password"""), # appwrite/Appwrite MCP Server/users_update_password
    Tool(name="""Appwrite MCP Server_users_update_phone""", inputSchema={'properties': {'number': {'description': "Parameter 'number'", 'type': 'string'}, 'user_id': {'description': "Parameter 'user_id'", 'type': 'string'}}, 'required': ['user_id', 'number'], 'type': 'object'}, description="""Update phone"""), # appwrite/Appwrite MCP Server/users_update_phone
    Tool(name="""Appwrite MCP Server_users_update_phone_verification""", inputSchema={'properties': {'phone_verification': {'description': "Parameter 'phone_verification'", 'type': 'string'}, 'user_id': {'description': "Parameter 'user_id'", 'type': 'string'}}, 'required': ['user_id', 'phone_verification'], 'type': 'object'}, description="""Update phone verification"""), # appwrite/Appwrite MCP Server/users_update_phone_verification
    Tool(name="""Appwrite MCP Server_users_update_prefs""", inputSchema={'properties': {'prefs': {'description': "Parameter 'prefs'", 'type': 'string'}, 'user_id': {'description': "Parameter 'user_id'", 'type': 'string'}}, 'required': ['user_id', 'prefs'], 'type': 'object'}, description="""Update user preferences"""), # appwrite/Appwrite MCP Server/users_update_prefs
    Tool(name="""Appwrite MCP Server_users_update_target""", inputSchema={'properties': {'identifier': {'description': "Parameter 'identifier'", 'type': 'string'}, 'name': {'description': "Parameter 'name'", 'type': 'string'}, 'provider_id': {'description': "Parameter 'provider_id'", 'type': 'string'}, 'target_id': {'description': "Parameter 'target_id'", 'type': 'string'}, 'user_id': {'description': "Parameter 'user_id'", 'type': 'string'}}, 'required': ['user_id', 'target_id'], 'type': 'object'}, description="""Update user target"""), # appwrite/Appwrite MCP Server/users_update_target
    Tool(name="""Appwrite MCP Server_databases_create""", inputSchema={'properties': {'database_id': {'description': "Parameter 'database_id'", 'type': 'string'}, 'enabled': {'description': "Parameter 'enabled'", 'type': 'string'}, 'name': {'description': "Parameter 'name'", 'type': 'string'}}, 'required': ['database_id', 'name'], 'type': 'object'}, description="""Create database"""), # appwrite/Appwrite MCP Server/databases_create
    Tool(name="""Appwrite MCP Server_databases_create_boolean_attribute""", inputSchema={'properties': {'array': {'description': "Parameter 'array'", 'type': 'string'}, 'collection_id': {'description': "Parameter 'collection_id'", 'type': 'string'}, 'database_id': {'description': "Parameter 'database_id'", 'type': 'string'}, 'default': {'description': "Parameter 'default'", 'type': 'string'}, 'key': {'description': "Parameter 'key'", 'type': 'string'}, 'required': {'description': "Parameter 'required'", 'type': 'string'}}, 'required': ['database_id', 'collection_id', 'key', 'required'], 'type': 'object'}, description="""Create boolean attribute"""), # appwrite/Appwrite MCP Server/databases_create_boolean_attribute
    Tool(name="""Appwrite MCP Server_databases_create_collection""", inputSchema={'properties': {'collection_id': {'description': "Parameter 'collection_id'", 'type': 'string'}, 'database_id': {'description': "Parameter 'database_id'", 'type': 'string'}, 'document_security': {'description': "Parameter 'document_security'", 'type': 'string'}, 'enabled': {'description': "Parameter 'enabled'", 'type': 'string'}, 'name': {'description': "Parameter 'name'", 'type': 'string'}, 'permissions': {'description': "Parameter 'permissions'", 'type': 'string'}}, 'required': ['database_id', 'collection_id', 'name'], 'type': 'object'}, description="""Create collection"""), # appwrite/Appwrite MCP Server/databases_create_collection
    Tool(name="""Appwrite MCP Server_databases_create_datetime_attribute""", inputSchema={'properties': {'array': {'description': "Parameter 'array'", 'type': 'string'}, 'collection_id': {'description': "Parameter 'collection_id'", 'type': 'string'}, 'database_id': {'description': "Parameter 'database_id'", 'type': 'string'}, 'default': {'description': "Parameter 'default'", 'type': 'string'}, 'key': {'description': "Parameter 'key'", 'type': 'string'}, 'required': {'description': "Parameter 'required'", 'type': 'string'}}, 'required': ['database_id', 'collection_id', 'key', 'required'], 'type': 'object'}, description="""Create datetime attribute"""), # appwrite/Appwrite MCP Server/databases_create_datetime_attribute
    Tool(name="""Appwrite MCP Server_databases_get_document""", inputSchema={'properties': {'collection_id': {'description': "Parameter 'collection_id'", 'type': 'string'}, 'database_id': {'description': "Parameter 'database_id'", 'type': 'string'}, 'document_id': {'description': "Parameter 'document_id'", 'type': 'string'}, 'queries': {'description': "Parameter 'queries'", 'type': 'string'}}, 'required': ['database_id', 'collection_id', 'document_id'], 'type': 'object'}, description="""Get document"""), # appwrite/Appwrite MCP Server/databases_get_document
    Tool(name="""Appwrite MCP Server_databases_update_collection""", inputSchema={'properties': {'collection_id': {'description': "Parameter 'collection_id'", 'type': 'string'}, 'database_id': {'description': "Parameter 'database_id'", 'type': 'string'}, 'document_security': {'description': "Parameter 'document_security'", 'type': 'string'}, 'enabled': {'description': "Parameter 'enabled'", 'type': 'string'}, 'name': {'description': "Parameter 'name'", 'type': 'string'}, 'permissions': {'description': "Parameter 'permissions'", 'type': 'string'}}, 'required': ['database_id', 'collection_id', 'name'], 'type': 'object'}, description="""Update collection"""), # appwrite/Appwrite MCP Server/databases_update_collection
    Tool(name="""Appwrite MCP Server_databases_get_index""", inputSchema={'properties': {'collection_id': {'description': "Parameter 'collection_id'", 'type': 'string'}, 'database_id': {'description': "Parameter 'database_id'", 'type': 'string'}, 'key': {'description': "Parameter 'key'", 'type': 'string'}}, 'required': ['database_id', 'collection_id', 'key'], 'type': 'object'}, description="""Get index"""), # appwrite/Appwrite MCP Server/databases_get_index
    Tool(name="""Appwrite MCP Server_databases_update_enum_attribute""", inputSchema={'properties': {'collection_id': {'description': "Parameter 'collection_id'", 'type': 'string'}, 'database_id': {'description': "Parameter 'database_id'", 'type': 'string'}, 'default': {'description': "Parameter 'default'", 'type': 'string'}, 'elements': {'description': "Parameter 'elements'", 'type': 'string'}, 'key': {'description': "Parameter 'key'", 'type': 'string'}, 'new_key': {'description': "Parameter 'new_key'", 'type': 'string'}, 'required': {'description': "Parameter 'required'", 'type': 'string'}}, 'required': ['database_id', 'collection_id', 'key', 'elements', 'required', 'default'], 'type': 'object'}, description="""Update enum attribute"""), # appwrite/Appwrite MCP Server/databases_update_enum_attribute
    Tool(name="""Appwrite MCP Server_databases_list""", inputSchema={'properties': {'queries': {'description': "Parameter 'queries'", 'type': 'string'}, 'search': {'description': "Parameter 'search'", 'type': 'string'}}, 'required': [], 'type': 'object'}, description="""List databases"""), # appwrite/Appwrite MCP Server/databases_list
    Tool(name="""Appwrite MCP Server_databases_list_attributes""", inputSchema={'properties': {'collection_id': {'description': "Parameter 'collection_id'", 'type': 'string'}, 'database_id': {'description': "Parameter 'database_id'", 'type': 'string'}, 'queries': {'description': "Parameter 'queries'", 'type': 'string'}}, 'required': ['database_id', 'collection_id'], 'type': 'object'}, description="""List attributes"""), # appwrite/Appwrite MCP Server/databases_list_attributes
    Tool(name="""Appwrite MCP Server_databases_list_collections""", inputSchema={'properties': {'database_id': {'description': "Parameter 'database_id'", 'type': 'string'}, 'queries': {'description': "Parameter 'queries'", 'type': 'string'}, 'search': {'description': "Parameter 'search'", 'type': 'string'}}, 'required': ['database_id'], 'type': 'object'}, description="""List collections"""), # appwrite/Appwrite MCP Server/databases_list_collections
    Tool(name="""Appwrite MCP Server_databases_list_documents""", inputSchema={'properties': {'collection_id': {'description': "Parameter 'collection_id'", 'type': 'string'}, 'database_id': {'description': "Parameter 'database_id'", 'type': 'string'}, 'queries': {'description': "Parameter 'queries'", 'type': 'string'}}, 'required': ['database_id', 'collection_id'], 'type': 'object'}, description="""List documents"""), # appwrite/Appwrite MCP Server/databases_list_documents
    Tool(name="""Appwrite MCP Server_databases_list_indexes""", inputSchema={'properties': {'collection_id': {'description': "Parameter 'collection_id'", 'type': 'string'}, 'database_id': {'description': "Parameter 'database_id'", 'type': 'string'}, 'queries': {'description': "Parameter 'queries'", 'type': 'string'}}, 'required': ['database_id', 'collection_id'], 'type': 'object'}, description="""List indexes"""), # appwrite/Appwrite MCP Server/databases_list_indexes
    Tool(name="""Appwrite MCP Server_databases_update""", inputSchema={'properties': {'database_id': {'description': "Parameter 'database_id'", 'type': 'string'}, 'enabled': {'description': "Parameter 'enabled'", 'type': 'string'}, 'name': {'description': "Parameter 'name'", 'type': 'string'}}, 'required': ['database_id', 'name'], 'type': 'object'}, description="""Update database"""), # appwrite/Appwrite MCP Server/databases_update
    Tool(name="""Appwrite MCP Server_databases_update_boolean_attribute""", inputSchema={'properties': {'collection_id': {'description': "Parameter 'collection_id'", 'type': 'string'}, 'database_id': {'description': "Parameter 'database_id'", 'type': 'string'}, 'default': {'description': "Parameter 'default'", 'type': 'string'}, 'key': {'description': "Parameter 'key'", 'type': 'string'}, 'new_key': {'description': "Parameter 'new_key'", 'type': 'string'}, 'required': {'description': "Parameter 'required'", 'type': 'string'}}, 'required': ['database_id', 'collection_id', 'key', 'required', 'default'], 'type': 'object'}, description="""Update boolean attribute"""), # appwrite/Appwrite MCP Server/databases_update_boolean_attribute
    Tool(name="""Appwrite MCP Server_databases_create_string_attribute""", inputSchema={'properties': {'array': {'description': "Parameter 'array'", 'type': 'string'}, 'collection_id': {'description': "Parameter 'collection_id'", 'type': 'string'}, 'database_id': {'description': "Parameter 'database_id'", 'type': 'string'}, 'default': {'description': "Parameter 'default'", 'type': 'string'}, 'encrypt': {'description': "Parameter 'encrypt'", 'type': 'string'}, 'key': {'description': "Parameter 'key'", 'type': 'string'}, 'required': {'description': "Parameter 'required'", 'type': 'string'}, 'size': {'description': "Parameter 'size'", 'type': 'string'}}, 'required': ['database_id', 'collection_id', 'key', 'size', 'required'], 'type': 'object'}, description="""Create string attribute"""), # appwrite/Appwrite MCP Server/databases_create_string_attribute
    Tool(name="""Appwrite MCP Server_databases_create_url_attribute""", inputSchema={'properties': {'array': {'description': "Parameter 'array'", 'type': 'string'}, 'collection_id': {'description': "Parameter 'collection_id'", 'type': 'string'}, 'database_id': {'description': "Parameter 'database_id'", 'type': 'string'}, 'default': {'description': "Parameter 'default'", 'type': 'string'}, 'key': {'description': "Parameter 'key'", 'type': 'string'}, 'required': {'description': "Parameter 'required'", 'type': 'string'}}, 'required': ['database_id', 'collection_id', 'key', 'required'], 'type': 'object'}, description="""Create URL attribute"""), # appwrite/Appwrite MCP Server/databases_create_url_attribute
    Tool(name="""Appwrite MCP Server_databases_delete""", inputSchema={'properties': {'database_id': {'description': "Parameter 'database_id'", 'type': 'string'}}, 'required': ['database_id'], 'type': 'object'}, description="""Delete database"""), # appwrite/Appwrite MCP Server/databases_delete
    Tool(name="""Appwrite MCP Server_databases_delete_attribute""", inputSchema={'properties': {'collection_id': {'description': "Parameter 'collection_id'", 'type': 'string'}, 'database_id': {'description': "Parameter 'database_id'", 'type': 'string'}, 'key': {'description': "Parameter 'key'", 'type': 'string'}}, 'required': ['database_id', 'collection_id', 'key'], 'type': 'object'}, description="""Delete attribute"""), # appwrite/Appwrite MCP Server/databases_delete_attribute
    Tool(name="""Appwrite MCP Server_databases_delete_collection""", inputSchema={'properties': {'collection_id': {'description': "Parameter 'collection_id'", 'type': 'string'}, 'database_id': {'description': "Parameter 'database_id'", 'type': 'string'}}, 'required': ['database_id', 'collection_id'], 'type': 'object'}, description="""Delete collection"""), # appwrite/Appwrite MCP Server/databases_delete_collection
    Tool(name="""Appwrite MCP Server_databases_delete_document""", inputSchema={'properties': {'collection_id': {'description': "Parameter 'collection_id'", 'type': 'string'}, 'database_id': {'description': "Parameter 'database_id'", 'type': 'string'}, 'document_id': {'description': "Parameter 'document_id'", 'type': 'string'}}, 'required': ['database_id', 'collection_id', 'document_id'], 'type': 'object'}, description="""Delete document"""), # appwrite/Appwrite MCP Server/databases_delete_document
    Tool(name="""Appwrite MCP Server_databases_delete_index""", inputSchema={'properties': {'collection_id': {'description': "Parameter 'collection_id'", 'type': 'string'}, 'database_id': {'description': "Parameter 'database_id'", 'type': 'string'}, 'key': {'description': "Parameter 'key'", 'type': 'string'}}, 'required': ['database_id', 'collection_id', 'key'], 'type': 'object'}, description="""Delete index"""), # appwrite/Appwrite MCP Server/databases_delete_index
    Tool(name="""Appwrite MCP Server_databases_get""", inputSchema={'properties': {'database_id': {'description': "Parameter 'database_id'", 'type': 'string'}}, 'required': ['database_id'], 'type': 'object'}, description="""Get database"""), # appwrite/Appwrite MCP Server/databases_get
    Tool(name="""Appwrite MCP Server_databases_get_attribute""", inputSchema={'properties': {'collection_id': {'description': "Parameter 'collection_id'", 'type': 'string'}, 'database_id': {'description': "Parameter 'database_id'", 'type': 'string'}, 'key': {'description': "Parameter 'key'", 'type': 'string'}}, 'required': ['database_id', 'collection_id', 'key'], 'type': 'object'}, description="""Get attribute"""), # appwrite/Appwrite MCP Server/databases_get_attribute
    Tool(name="""Appwrite MCP Server_databases_get_collection""", inputSchema={'properties': {'collection_id': {'description': "Parameter 'collection_id'", 'type': 'string'}, 'database_id': {'description': "Parameter 'database_id'", 'type': 'string'}}, 'required': ['database_id', 'collection_id'], 'type': 'object'}, description="""Get collection"""), # appwrite/Appwrite MCP Server/databases_get_collection
    Tool(name="""Appwrite MCP Server_databases_update_float_attribute""", inputSchema={'properties': {'collection_id': {'description': "Parameter 'collection_id'", 'type': 'string'}, 'database_id': {'description': "Parameter 'database_id'", 'type': 'string'}, 'default': {'description': "Parameter 'default'", 'type': 'string'}, 'key': {'description': "Parameter 'key'", 'type': 'string'}, 'max': {'description': "Parameter 'max'", 'type': 'string'}, 'min': {'description': "Parameter 'min'", 'type': 'string'}, 'new_key': {'description': "Parameter 'new_key'", 'type': 'string'}, 'required': {'description': "Parameter 'required'", 'type': 'string'}}, 'required': ['database_id', 'collection_id', 'key', 'required', 'min', 'max', 'default'], 'type': 'object'}, description="""Update float attribute"""), # appwrite/Appwrite MCP Server/databases_update_float_attribute
    Tool(name="""Appwrite MCP Server_databases_update_integer_attribute""", inputSchema={'properties': {'collection_id': {'description': "Parameter 'collection_id'", 'type': 'string'}, 'database_id': {'description': "Parameter 'database_id'", 'type': 'string'}, 'default': {'description': "Parameter 'default'", 'type': 'string'}, 'key': {'description': "Parameter 'key'", 'type': 'string'}, 'max': {'description': "Parameter 'max'", 'type': 'string'}, 'min': {'description': "Parameter 'min'", 'type': 'string'}, 'new_key': {'description': "Parameter 'new_key'", 'type': 'string'}, 'required': {'description': "Parameter 'required'", 'type': 'string'}}, 'required': ['database_id', 'collection_id', 'key', 'required', 'min', 'max', 'default'], 'type': 'object'}, description="""Update integer attribute"""), # appwrite/Appwrite MCP Server/databases_update_integer_attribute
    Tool(name="""Appwrite MCP Server_databases_update_ip_attribute""", inputSchema={'properties': {'collection_id': {'description': "Parameter 'collection_id'", 'type': 'string'}, 'database_id': {'description': "Parameter 'database_id'", 'type': 'string'}, 'default': {'description': "Parameter 'default'", 'type': 'string'}, 'key': {'description': "Parameter 'key'", 'type': 'string'}, 'new_key': {'description': "Parameter 'new_key'", 'type': 'string'}, 'required': {'description': "Parameter 'required'", 'type': 'string'}}, 'required': ['database_id', 'collection_id', 'key', 'required', 'default'], 'type': 'object'}, description="""Update IP address attribute"""), # appwrite/Appwrite MCP Server/databases_update_ip_attribute
    Tool(name="""Appwrite MCP Server_databases_update_relationship_attribute""", inputSchema={'properties': {'collection_id': {'description': "Parameter 'collection_id'", 'type': 'string'}, 'database_id': {'description': "Parameter 'database_id'", 'type': 'string'}, 'key': {'description': "Parameter 'key'", 'type': 'string'}, 'new_key': {'description': "Parameter 'new_key'", 'type': 'string'}, 'on_delete': {'description': "Parameter 'on_delete'", 'type': 'string'}}, 'required': ['database_id', 'collection_id', 'key'], 'type': 'object'}, description="""Update relationship attribute"""), # appwrite/Appwrite MCP Server/databases_update_relationship_attribute
    Tool(name="""Appwrite MCP Server_databases_update_string_attribute""", inputSchema={'properties': {'collection_id': {'description': "Parameter 'collection_id'", 'type': 'string'}, 'database_id': {'description': "Parameter 'database_id'", 'type': 'string'}, 'default': {'description': "Parameter 'default'", 'type': 'string'}, 'key': {'description': "Parameter 'key'", 'type': 'string'}, 'new_key': {'description': "Parameter 'new_key'", 'type': 'string'}, 'required': {'description': "Parameter 'required'", 'type': 'string'}, 'size': {'description': "Parameter 'size'", 'type': 'string'}}, 'required': ['database_id', 'collection_id', 'key', 'required', 'default'], 'type': 'object'}, description="""Update string attribute"""), # appwrite/Appwrite MCP Server/databases_update_string_attribute
    Tool(name="""Appwrite MCP Server_databases_update_url_attribute""", inputSchema={'properties': {'collection_id': {'description': "Parameter 'collection_id'", 'type': 'string'}, 'database_id': {'description': "Parameter 'database_id'", 'type': 'string'}, 'default': {'description': "Parameter 'default'", 'type': 'string'}, 'key': {'description': "Parameter 'key'", 'type': 'string'}, 'new_key': {'description': "Parameter 'new_key'", 'type': 'string'}, 'required': {'description': "Parameter 'required'", 'type': 'string'}}, 'required': ['database_id', 'collection_id', 'key', 'required', 'default'], 'type': 'object'}, description="""Update URL attribute"""), # appwrite/Appwrite MCP Server/databases_update_url_attribute
    Tool(name="""Retrieval-Augmented Thinking MCP Server_rat""", inputSchema={'properties': {'branchFromThought': {'description': 'Branching point thought number', 'minimum': 1, 'type': 'integer'}, 'branchId': {'description': 'Branch identifier', 'type': 'string'}, 'isRevision': {'description': 'Whether this revises previous thinking', 'type': 'boolean'}, 'needsMoreThoughts': {'description': 'If more thoughts are needed', 'type': 'boolean'}, 'nextThoughtNeeded': {'description': 'Whether another thought step is needed', 'type': 'boolean'}, 'revisesThought': {'description': 'Which thought is being reconsidered', 'minimum': 1, 'type': 'integer'}, 'thought': {'description': 'Your current thinking step', 'type': 'string'}, 'thoughtNumber': {'description': 'Current thought number', 'minimum': 1, 'type': 'integer'}, 'totalThoughts': {'description': 'Estimated total thoughts needed', 'minimum': 1, 'type': 'integer'}}, 'required': ['thought', 'nextThoughtNeeded', 'thoughtNumber', 'totalThoughts'], 'type': 'object'}, description="""A context-aware reasoning system that orchestrates structured thought processes through dynamic trajectories.\n\nCore Capabilities:\n- Maintains adaptive thought chains with branching and revision capabilities\n- Implements iterative hypothesis generation and validation cycles\n- Preserves context coherence across non-linear reasoning paths\n- Supports dynamic scope adjustment and trajectory refinement\n\nReasoning Patterns:\n- Sequential analysis with backtracking capability\n- Parallel exploration through managed branch contexts\n- Recursive refinement via structured revision cycles\n- Hypothesis validation through multi-step verification\n\nParameters:\nthought: Structured reasoning step that supports:\n Primary analysis chains\n Hypothesis formulation/validation\n Branch exploration paths\n Revision proposals\n Context preservation markers\n Verification checkpoints\n\nnext_thought_needed: Signal for continuation of reasoning chain\nthought_number: Position in current reasoning trajectory\ntotal_thoughts: Dynamic scope indicator (adjustable)\nis_revision: Marks recursive refinement steps\nrevises_thought: References target of refinement\nbranch_from_thought: Indicates parallel exploration paths\nbranch_id: Context identifier for parallel chains\nneeds_more_thoughts: Signals scope expansion requirement\n\nExecution Protocol:\n1. Initialize with scope estimation\n2. Generate structured reasoning steps\n3. Validate hypotheses through verification cycles\n4. Maintain context coherence across branches\n5. Implement revisions through recursive refinement\n6. Signal completion on validation success\n\nThe system maintains solution integrity through continuous validation cycles while supporting dynamic scope adjustment and non-linear exploration paths."""), # stat-guy/Retrieval-Augmented Thinking MCP Server/rat
    Tool(name="""World Bank MCP Server_get_indicator_for_country""", inputSchema={'properties': {'country_id': {'description': 'The ID of the country for which the indicator is to be queried', 'type': 'string'}, 'indicator_id': {'description': 'The ID of the indicator to be queried', 'type': 'string'}}, 'required': ['country_id', 'indicator_id'], 'type': 'object'}, description="""Get values for an indicator for a specific country from the World Bank API"""), # anshumax/World Bank MCP Server/get_indicator_for_country
    Tool(name="""JavaScript Sandbox MCP Server_execute_js""", inputSchema={'properties': {'code': {'description': 'JavaScript code to execute', 'type': 'string'}, 'memory': {'description': 'Memory limit in bytes', 'maximum': 104857600, 'minimum': 1048576, 'type': 'number'}, 'timeout': {'description': 'Maximum execution time in milliseconds', 'maximum': 30000, 'minimum': 100, 'type': 'number'}}, 'required': ['code'], 'type': 'object'}, description="""Execute JavaScript code in an isolated environment"""), # garc33/JavaScript Sandbox MCP Server/execute_js
    Tool(name="""Image Generation MCP Server_generate_image""", inputSchema={'properties': {'height': {'description': 'Optional height for the image', 'type': 'number'}, 'prompt': {'description': 'The text prompt for image generation', 'type': 'string'}, 'width': {'description': 'Optional width for the image', 'type': 'number'}}, 'required': ['prompt'], 'type': 'object'}, description="""Generate an image based on the text prompt"""), # sarthakkimtani/Image Generation MCP Server/generate_image
    Tool(name="""ScreenshotOne MCP Server_render-website-screenshot""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'url': {'description': 'URL of the website to screenshot', 'format': 'uri', 'type': 'string'}}, 'required': ['url'], 'type': 'object'}, description="""Render a screenshot of a website and returns it as an image."""), # screenshotone/ScreenshotOne MCP Server/render-website-screenshot
    Tool(name="""Astra DB MCP Server_GetCollections""", inputSchema={'properties': {}, 'required': [], 'type': 'object'}, description="""Get all collections in the Astra DB database"""), # datastax/Astra DB MCP Server/GetCollections
    Tool(name="""Astra DB MCP Server_CreateCollection""", inputSchema={'properties': {'collectionName': {'description': 'Name of the collection to create', 'type': 'string'}, 'dimension': {'default': 1536, 'description': 'The dimensions of the vector collection, if vector is true', 'type': 'number'}, 'vector': {'default': True, 'description': 'Whether to create a vector collection', 'type': 'boolean'}}, 'required': ['collectionName'], 'type': 'object'}, description="""Create a new collection in the database"""), # datastax/Astra DB MCP Server/CreateCollection
    Tool(name="""Astra DB MCP Server_UpdateCollection""", inputSchema={'properties': {'collectionName': {'description': 'Name of the collection to update', 'type': 'string'}, 'newName': {'description': 'New name for the collection', 'type': 'string'}}, 'required': ['collectionName', 'newName'], 'type': 'object'}, description="""Update an existing collection in the database"""), # datastax/Astra DB MCP Server/UpdateCollection
    Tool(name="""Astra DB MCP Server_DeleteCollection""", inputSchema={'properties': {'collectionName': {'description': 'Name of the collection to delete', 'type': 'string'}}, 'required': ['collectionName'], 'type': 'object'}, description="""Delete a collection from the database"""), # datastax/Astra DB MCP Server/DeleteCollection
    Tool(name="""Astra DB MCP Server_ListRecords""", inputSchema={'properties': {'collectionName': {'description': 'Name of the collection to list records from', 'type': 'string'}, 'limit': {'default': 10, 'description': 'Maximum number of records to return', 'type': 'number'}}, 'required': ['collectionName'], 'type': 'object'}, description="""List records from a collection in the database"""), # datastax/Astra DB MCP Server/ListRecords
    Tool(name="""Astra DB MCP Server_GetRecord""", inputSchema={'properties': {'collectionName': {'description': 'Name of the collection to get the record from', 'type': 'string'}, 'recordId': {'description': 'ID of the record to retrieve', 'type': 'string'}}, 'required': ['collectionName', 'recordId'], 'type': 'object'}, description="""Get a specific record from a collection by ID"""), # datastax/Astra DB MCP Server/GetRecord
    Tool(name="""Astra DB MCP Server_CreateRecord""", inputSchema={'properties': {'collectionName': {'description': 'Name of the collection to create the record in', 'type': 'string'}, 'record': {'description': 'The record data to insert', 'type': 'object'}}, 'required': ['collectionName', 'record'], 'type': 'object'}, description="""Create a new record in a collection"""), # datastax/Astra DB MCP Server/CreateRecord
    Tool(name="""Astra DB MCP Server_UpdateRecord""", inputSchema={'properties': {'collectionName': {'description': 'Name of the collection containing the record', 'type': 'string'}, 'record': {'description': 'The updated record data', 'type': 'object'}, 'recordId': {'description': 'ID of the record to update', 'type': 'string'}}, 'required': ['collectionName', 'recordId', 'record'], 'type': 'object'}, description="""Update an existing record in a collection"""), # datastax/Astra DB MCP Server/UpdateRecord
    Tool(name="""Astra DB MCP Server_DeleteRecord""", inputSchema={'properties': {'collectionName': {'description': 'Name of the collection containing the record', 'type': 'string'}, 'recordId': {'description': 'ID of the record to delete', 'type': 'string'}}, 'required': ['collectionName', 'recordId'], 'type': 'object'}, description="""Delete a record from a collection"""), # datastax/Astra DB MCP Server/DeleteRecord
    Tool(name="""Astra DB MCP Server_FindRecord""", inputSchema={'properties': {'collectionName': {'description': 'Name of the collection to search in', 'type': 'string'}, 'field': {'description': "Field name to search by (e.g., 'title', '_id', or any property)", 'type': 'string'}, 'limit': {'default': 10, 'description': 'Maximum number of records to return', 'type': 'number'}, 'value': {'description': 'Value to search for in the specified field', 'type': ['string', 'number', 'boolean']}}, 'required': ['collectionName', 'field', 'value'], 'type': 'object'}, description="""Find records in a collection by field value"""), # datastax/Astra DB MCP Server/FindRecord
    Tool(name="""Perplexity MCP Server_perplexity_ask""", inputSchema={'properties': {'model': {'description': 'The model to use for completion', 'enum': ['llama-3.1-sonar-small-128k-online', 'llama-3.1-sonar-large-128k-online', 'llama-3.1-sonar-huge-128k-online'], 'type': 'string'}, 'query': {'description': 'The question or prompt to send', 'type': 'string'}}, 'required': ['query'], 'type': 'object'}, description="""Send a simple query to Perplexity AI"""), # laodev1/Perplexity MCP Server/perplexity_ask
    Tool(name="""Perplexity MCP Server_perplexity_chat""", inputSchema={'properties': {'messages': {'description': 'Array of messages in the conversation', 'items': {'properties': {'content': {'type': 'string'}, 'role': {'enum': ['system', 'user', 'assistant'], 'type': 'string'}}, 'required': ['role', 'content'], 'type': 'object'}, 'type': 'array'}, 'model': {'description': 'The model to use for completion', 'enum': ['mixtral-8x7b-instruct', 'codellama-34b-instruct', 'sonar-small-chat', 'sonar-small-online'], 'type': 'string'}, 'temperature': {'description': 'Sampling temperature (0-2)', 'maximum': 2, 'minimum': 0, 'type': 'number'}}, 'required': ['messages'], 'type': 'object'}, description="""Generate a chat completion using Perplexity AI"""), # laodev1/Perplexity MCP Server/perplexity_chat
    Tool(name="""Bloomy MCP_get_query_details""", inputSchema={'properties': {'query_names': {'title': 'Query Names', 'type': 'string'}}, 'required': ['query_names'], 'title': 'get_query_detailsArguments', 'type': 'object'}, description="""Get detailed information about specific GraphQL queries.\n\n    Retrieves argument requirements, return type information, descriptions, and\n    example usage for the specified queries.\n\n    Args:\n        query_names: Comma-separated list of query names to get details for\n\n    Returns:\n        A YAML-formatted string containing detailed information about the requested queries\n    """), # franccesco/Bloomy MCP/get_query_details
    Tool(name="""Bloomy MCP_get_mutation_details""", inputSchema={'properties': {'mutation_names': {'title': 'Mutation Names', 'type': 'string'}}, 'required': ['mutation_names'], 'title': 'get_mutation_detailsArguments', 'type': 'object'}, description="""Get detailed information about specific GraphQL mutations.\n\n    Retrieves argument requirements, return type information, descriptions, and\n    example usage for the specified mutations.\n\n    Args:\n        mutation_names: Comma-separated list of mutation names to get details for\n\n    Returns:\n        A YAML-formatted string containing detailed information about the requested mutations\n    """), # franccesco/Bloomy MCP/get_mutation_details
    Tool(name="""Bloomy MCP_execute_query""", inputSchema={'properties': {'query': {'title': 'Query', 'type': 'string'}, 'variables': {'anyOf': [{'type': 'object'}, {'type': 'null'}], 'default': None, 'title': 'Variables'}}, 'required': ['query'], 'title': 'execute_queryArguments', 'type': 'object'}, description="""Execute a GraphQL query or mutation with variables.\n\n    Parses and executes the provided GraphQL operation string with optional variables.\n\n    Args:\n        query: Raw GraphQL query or mutation string\n        variables: Optional dictionary of variables to use in the operation\n\n    Returns:\n        Dictionary containing the operation results or an error message string\n\n    Raises:\n        Exception: Handled internally, returns error message as string\n    """), # franccesco/Bloomy MCP/execute_query
    Tool(name="""Bloomy MCP_get_authenticated_user_id""", inputSchema={'properties': {}, 'title': 'get_authenticated_user_idArguments', 'type': 'object'}, description="""Get the ID of the currently authenticated user.\n\n    Uses a special mutation to retrieve the ID of the user associated with\n    the current API token.\n\n    Returns:\n        User ID string if successful, None if user not found, or error message string\n\n    Raises:\n        Exception: Handled internally, returns error message as string\n    """), # franccesco/Bloomy MCP/get_authenticated_user_id
    Tool(name="""Tembo MCP Server_get_all_apps""", inputSchema={'properties': {}, 'type': 'object'}, description="""Get attributes for all apps"""), # tembo-io/Tembo MCP Server/get_all_apps
    Tool(name="""Tembo MCP Server_get_app""", inputSchema={'properties': {'type': {'description': 'The app type to get details for', 'type': 'string'}}, 'required': ['type'], 'type': 'object'}, description="""Get the attributes of a single App"""), # tembo-io/Tembo MCP Server/get_app
    Tool(name="""Tembo MCP Server_ask_tembo""", inputSchema={'properties': {'query': {'description': 'The ask query. For example, "how to create a Tembo instance"', 'type': 'string'}}, 'required': ['query'], 'type': 'object'}, description="""Ask a question to Tembo Docs"""), # tembo-io/Tembo MCP Server/ask_tembo
    Tool(name="""Tembo MCP Server_get_instance_schema""", inputSchema={'properties': {}, 'type': 'object'}, description="""Get the json-schema for an instance"""), # tembo-io/Tembo MCP Server/get_instance_schema
    Tool(name="""Tembo MCP Server_get_all_instances""", inputSchema={'properties': {'org_id': {'description': 'Organization id for the request', 'type': 'string'}}, 'required': ['org_id'], 'type': 'object'}, description="""Get all Tembo instances in an organization"""), # tembo-io/Tembo MCP Server/get_all_instances
    Tool(name="""Tembo MCP Server_create_instance""", inputSchema={'properties': {'cpu': {'enum': ['0.25', '0.5', '1', '2', '4', '6', '8', '12', '16', '32'], 'type': 'string'}, 'environment': {'enum': ['dev', 'test', 'prod'], 'type': 'string'}, 'instance_name': {'type': 'string'}, 'memory': {'enum': ['512Mi', '1Gi', '2Gi', '4Gi', '8Gi', '12Gi', '16Gi', '24Gi', '32Gi', '64Gi'], 'type': 'string'}, 'org_id': {'description': 'Organization ID that owns the Tembo instance', 'type': 'string'}, 'replicas': {'type': 'integer'}, 'spot': {'type': 'boolean'}, 'stack_type': {'enum': ['Analytics', 'Geospatial', 'MachineLearning', 'MessageQueue', 'MongoAlternative', 'OLTP', 'ParadeDB', 'Standard', 'Timeseries', 'VectorDB'], 'type': 'string'}, 'storage': {'enum': ['10Gi', '50Gi', '100Gi', '200Gi', '300Gi', '400Gi', '500Gi', '1Ti', '1.5Ti', '2Ti'], 'type': 'string'}}, 'required': ['org_id', 'instance_name', 'stack_type', 'cpu', 'memory', 'storage', 'environment'], 'type': 'object'}, description="""Create a new Tembo instance"""), # tembo-io/Tembo MCP Server/create_instance
    Tool(name="""Tembo MCP Server_get_instance""", inputSchema={'properties': {'instance_id': {'type': 'string'}, 'org_id': {'description': 'Organization ID that owns the instance', 'type': 'string'}}, 'required': ['org_id', 'instance_id'], 'type': 'object'}, description="""Get an existing Tembo instance"""), # tembo-io/Tembo MCP Server/get_instance
    Tool(name="""Tembo MCP Server_delete_instance""", inputSchema={'properties': {'instance_id': {'description': 'Delete this instance id', 'type': 'string'}, 'org_id': {'description': 'Organization id of the instance to delete', 'type': 'string'}}, 'required': ['org_id', 'instance_id'], 'type': 'object'}, description="""Delete an existing Tembo instance"""), # tembo-io/Tembo MCP Server/delete_instance
    Tool(name="""Tembo MCP Server_patch_instance""", inputSchema={'properties': {'cpu': {'enum': ['0.25', '0.5', '1', '2', '4', '6', '8', '12', '16', '32'], 'type': 'string'}, 'environment': {'enum': ['dev', 'test', 'prod'], 'type': 'string'}, 'instance_id': {'type': 'string'}, 'instance_name': {'type': 'string'}, 'memory': {'enum': ['512Mi', '1Gi', '2Gi', '4Gi', '8Gi', '12Gi', '16Gi', '24Gi', '32Gi', '64Gi'], 'type': 'string'}, 'org_id': {'description': 'Organization ID that owns the instance', 'type': 'string'}, 'replicas': {'type': 'integer'}, 'spot': {'type': 'boolean'}, 'storage': {'enum': ['10Gi', '50Gi', '100Gi', '200Gi', '300Gi', '400Gi', '500Gi', '1Ti', '1.5Ti', '2Ti'], 'type': 'string'}}, 'required': ['org_id', 'instance_id'], 'type': 'object'}, description="""Update attributes on an existing Tembo instance"""), # tembo-io/Tembo MCP Server/patch_instance
    Tool(name="""Tembo MCP Server_restore_instance""", inputSchema={'properties': {'instance_name': {'type': 'string'}, 'org_id': {'description': 'Organization ID that owns the Tembo instance', 'type': 'string'}, 'restore': {'properties': {'instance_id': {'type': 'string'}, 'recovery_target_time': {'format': 'date-time', 'type': 'string'}}, 'required': ['instance_id'], 'type': 'object'}}, 'required': ['org_id', 'instance_name', 'restore'], 'type': 'object'}, description="""Restore a Tembo instance"""), # tembo-io/Tembo MCP Server/restore_instance
    Tool(name="""blastengine-mailer_send_email""", inputSchema={'properties': {'from': {'description': 'Sender email address', 'type': 'string'}, 'subject': {'description': 'Email subject', 'type': 'string'}, 'text': {'description': 'Email body', 'type': 'string'}, 'to': {'description': 'Recipient email address', 'type': 'string'}}, 'required': ['to', 'from', 'subject', 'text'], 'type': 'object'}, description="""Send an email using Blastengine API"""), # r3-yamauchi/blastengine-mailer/send_email
    Tool(name="""Fireflies MCP Server_fireflies_generate_summary""", inputSchema={'properties': {'format': {'description': 'Format of the summary (bullet_points or paragraph)', 'enum': ['bullet_points', 'paragraph'], 'type': 'string'}, 'transcript_id': {'description': 'ID of the transcript to summarize', 'type': 'string'}}, 'required': ['transcript_id'], 'type': 'object'}, description="""Generate a summary of a meeting transcript"""), # Props-Labs/Fireflies MCP Server/fireflies_generate_summary
    Tool(name="""Fireflies MCP Server_fireflies_get_transcripts""", inputSchema={'properties': {'from_date': {'description': 'Start date in ISO format (YYYY-MM-DD). If not specified, no lower date bound is applied. Using a narrower date range can help prevent timeouts.', 'type': 'string'}, 'limit': {'description': 'Maximum number of transcripts to return (default: 20). Consider using a smaller limit if experiencing timeouts.', 'type': 'number'}, 'to_date': {'description': 'End date in ISO format (YYYY-MM-DD). If not specified, no upper date bound is applied. Using a narrower date range can help prevent timeouts.', 'type': 'string'}}, 'type': 'object'}, description="""Retrieve a list of meeting transcripts with optional filtering. By default, returns up to 20 most recent transcripts with no date filtering. Note that this operation may take longer for large datasets and might timeout. If a timeout occurs, a minimal set of transcript data will be returned."""), # Props-Labs/Fireflies MCP Server/fireflies_get_transcripts
    Tool(name="""Fireflies MCP Server_fireflies_get_transcript_details""", inputSchema={'properties': {'transcript_id': {'description': 'ID of the transcript to retrieve', 'type': 'string'}}, 'required': ['transcript_id'], 'type': 'object'}, description="""Retrieve detailed information about a specific transcript. Returns a human-readable formatted transcript with speaker names and text, along with metadata and summary information."""), # Props-Labs/Fireflies MCP Server/fireflies_get_transcript_details
    Tool(name="""Fireflies MCP Server_fireflies_search_transcripts""", inputSchema={'properties': {'from_date': {'description': 'Start date in ISO format (YYYY-MM-DD) to filter transcripts by date. If not specified, no lower date bound is applied.', 'type': 'string'}, 'limit': {'description': 'Maximum number of transcripts to return (default: 20)', 'type': 'number'}, 'query': {'description': 'Search query to find relevant transcripts', 'type': 'string'}, 'to_date': {'description': 'End date in ISO format (YYYY-MM-DD) to filter transcripts by date. If not specified, no upper date bound is applied.', 'type': 'string'}}, 'required': ['query'], 'type': 'object'}, description="""Search for transcripts containing specific keywords, with optional date filtering. Returns a human-readable list of matching transcripts with metadata and summary information."""), # Props-Labs/Fireflies MCP Server/fireflies_search_transcripts
    Tool(name="""Elasticsearch 7.x MCP Server_es-ping""", inputSchema={'properties': {'req': {'title': 'Req', 'type': 'object'}}, 'required': ['req'], 'title': '_handle_pingArguments', 'type': 'object'}, description="""Ping Elasticsearch server"""), # imlewc/Elasticsearch 7.x MCP Server/es-ping
    Tool(name="""Elasticsearch 7.x MCP Server_es-info""", inputSchema={'properties': {'req': {'title': 'Req', 'type': 'object'}}, 'required': ['req'], 'title': '_handle_infoArguments', 'type': 'object'}, description="""Get Elasticsearch info"""), # imlewc/Elasticsearch 7.x MCP Server/es-info
    Tool(name="""Elasticsearch 7.x MCP Server_es-search""", inputSchema={'properties': {'req': {'title': 'Req', 'type': 'object'}}, 'required': ['req'], 'title': '_handle_searchArguments', 'type': 'object'}, description="""Search documents in Elasticsearch index"""), # imlewc/Elasticsearch 7.x MCP Server/es-search
    Tool(name="""DeepSeek MCP Server_reason""", inputSchema={'properties': {'query': {'title': 'Query', 'type': 'object'}}, 'required': ['query'], 'title': 'reasonArguments', 'type': 'object'}, description="""\n    Process a query using DeepSeek's R1 reasoning engine and prepare it for integration with DeepSeek V3 or claude.\n\n    DeepSeek R1 leverages advanced reasoning capabilities that naturally evolved from large-scale \n    reinforcement learning, enabling sophisticated reasoning behaviors. The output is enclosed \n    within `<ant_thinking>` tags to align with V3 or Claude's thought processing framework.\n\n    Args:\n        query (dict): Contains the following keys:\n            - context (str): Optional background information for the query.\n            - question (str): The specific question to be analyzed.\n\n    Returns:\n        str: The reasoning output from DeepSeek, formatted with `<ant_thinking>` tags for seamless use with V3 or Claude.\n    """), # moyu6027/DeepSeek MCP Server/reason
    Tool(name="""MCP Server Discord Webhook_send_message""", inputSchema={'properties': {'avatar_url': {'description': 'URL', 'type': 'string'}, 'content': {'description': '', 'type': 'string'}, 'username': {'description': '', 'type': 'string'}}, 'required': ['content'], 'type': 'object'}, description="""Discord"""), # genm/MCP Server Discord Webhook/send_message
    Tool(name="""Grants Search MCP Server_search-grants""", inputSchema={'properties': {'grantsPerPage': {'description': 'Number of grants per page (default: 3)', 'type': 'number'}, 'page': {'description': 'Page number for pagination (default: 1)', 'type': 'number'}, 'query': {'description': "Search query for grants (e.g., 'Artificial intelligence', 'Climate change')", 'type': 'string'}}, 'required': ['query'], 'type': 'object'}, description="""Search for government grants based on keywords"""), # Tar-ive/Grants Search MCP Server/search-grants
    Tool(name="""Tox Testing MCP Server_run_tox_tests""", inputSchema={'properties': {'directory': {'description': 'Directory containing tests to run (required for directory mode)', 'type': 'string'}, 'group': {'description': 'Test group to run in all mode (defaults to clients)', 'enum': ['clients', 'api', 'auth', 'uploads', 'routes'], 'type': 'string'}, 'mode': {'description': 'Test execution mode', 'enum': ['all', 'file', 'case', 'directory'], 'type': 'string'}, 'testCase': {'description': 'Specific test case to run (required for case mode)', 'type': 'string'}, 'testFile': {'description': 'Specific test file to run (required for file and case modes)', 'type': 'string'}}, 'required': ['mode'], 'type': 'object'}, description="""Run tox tests with different modes and options"""), # that1guy15/Tox Testing MCP Server/run_tox_tests
    Tool(name="""Needle MCP Server_needle_list_collections""", inputSchema={'properties': {}, 'required': [], 'type': 'object'}, description="""Retrieve a complete list of all Needle document collections accessible to your account. \n            Returns detailed information including collection IDs, names, and creation dates. Use this tool when you need to:\n            - Get an overview of available document collections\n            - Find collection IDs for subsequent operations\n            - Verify collection existence before performing operations\n            The response includes metadata that's required for other Needle operations."""), # needle-ai/Needle MCP Server/needle_list_collections
    Tool(name="""Needle MCP Server_needle_create_collection""", inputSchema={'properties': {'name': {'description': 'A clear, descriptive name for the collection that reflects its purpose and contents', 'type': 'string'}}, 'required': ['name'], 'type': 'object'}, description="""Create a new document collection in Needle for organizing and searching documents. \n            A collection acts as a container for related documents and enables semantic search across its contents.\n            Use this tool when you need to:\n            - Start a new document organization\n            - Group related documents together\n            - Set up a searchable document repository\n            Returns a collection ID that's required for subsequent operations. Choose a descriptive name that \n            reflects the collection's purpose for better organization."""), # needle-ai/Needle MCP Server/needle_create_collection
    Tool(name="""Needle MCP Server_needle_get_collection_details""", inputSchema={'properties': {'collection_id': {'description': 'The unique collection identifier returned from needle_create_collection or needle_list_collections', 'type': 'string'}}, 'required': ['collection_id'], 'type': 'object'}, description="""Fetch comprehensive metadata about a specific Needle collection. \n            Provides detailed information about the collection's configuration, creation date, and current status.\n            Use this tool when you need to:\n            - Verify a collection's existence and configuration\n            - Check collection metadata before operations\n            - Get creation date and other attributes\n            Requires a valid collection ID and returns detailed collection metadata. Will error if collection doesn't exist."""), # needle-ai/Needle MCP Server/needle_get_collection_details
    Tool(name="""Needle MCP Server_needle_get_collection_stats""", inputSchema={'properties': {'collection_id': {'description': 'The unique collection identifier to get statistics for', 'type': 'string'}}, 'required': ['collection_id'], 'type': 'object'}, description="""Retrieve detailed statistical information about a Needle collection's contents and status.\n            Provides metrics including:\n            - Total number of documents\n            - Processing status of documents\n            - Storage usage and limits\n            - Index status and health\n            Use this tool to:\n            - Monitor collection size and growth\n            - Verify processing completion\n            - Check collection health before operations\n            Essential for ensuring collection readiness before performing searches."""), # needle-ai/Needle MCP Server/needle_get_collection_stats
    Tool(name="""Needle MCP Server_needle_list_files""", inputSchema={'properties': {'collection_id': {'description': 'The unique collection identifier to list files from', 'type': 'string'}}, 'required': ['collection_id'], 'type': 'object'}, description="""List all documents stored within a specific Needle collection with their current status.\n            Returns detailed information about each file including:\n            - File ID and name\n            - Processing status (pending, processing, complete, error)\n            - Upload date and metadata\n            Use this tool when you need to:\n            - Inventory available documents\n            - Check processing status of uploads\n            - Get file IDs for reference\n            - Verify document availability before searching\n            Essential for monitoring document processing completion before performing searches."""), # needle-ai/Needle MCP Server/needle_list_files
    Tool(name="""Needle MCP Server_needle_add_file""", inputSchema={'properties': {'collection_id': {'description': 'The unique collection identifier where the file will be added', 'type': 'string'}, 'name': {'description': 'A descriptive filename that will help identify this document in results', 'type': 'string'}, 'url': {'description': 'Public URL where the document can be downloaded from', 'type': 'string'}}, 'required': ['collection_id', 'name', 'url'], 'type': 'object'}, description="""Add a new document to a Needle collection by providing a URL for download.\n            Supports multiple file formats including:\n            - PDF documents\n            - Microsoft Word files (DOC, DOCX)\n            - Plain text files (TXT)\n            - Web pages (HTML)\n            \n            The document will be:\n            1. Downloaded from the provided URL\n            2. Processed for text extraction\n            3. Indexed for semantic search\n            \n            Use this tool when you need to:\n            - Add new documents to a collection\n            - Make documents searchable\n            - Expand your knowledge base\n            \n            Important: Documents require processing time before they're searchable.\n            Check processing status using needle_list_files before searching new content."""), # needle-ai/Needle MCP Server/needle_add_file
    Tool(name="""Needle MCP Server_needle_search""", inputSchema={'properties': {'collection_id': {'description': 'The unique collection identifier to search within', 'type': 'string'}, 'query': {'description': "Natural language query describing the information you're looking for", 'type': 'string'}}, 'required': ['collection_id', 'query'], 'type': 'object'}, description="""Perform intelligent semantic search across documents in a Needle collection.\n            This tool uses advanced embedding technology to find relevant content based on meaning,\n            not just keywords. The search:\n            - Understands natural language queries\n            - Finds conceptually related content\n            - Returns relevant text passages with source information\n            - Ranks results by semantic relevance\n            \n            Use this tool when you need to:\n            - Find specific information within documents\n            - Answer questions from document content\n            - Research topics across multiple documents\n            - Locate relevant passages and their sources\n            \n            More effective than traditional keyword search for:\n            - Natural language questions\n            - Conceptual queries\n            - Finding related content\n            \n            Returns matching text passages with their source file IDs."""), # needle-ai/Needle MCP Server/needle_search
    Tool(name="""Iris MCP Server_generate_release_note""", inputSchema={'properties': {'breaking': {'description': '', 'items': {'type': 'string'}, 'type': 'array'}, 'bugfixes': {'description': '', 'items': {'type': 'string'}, 'type': 'array'}, 'endTag': {'description': '', 'type': 'string'}, 'features': {'description': '', 'items': {'type': 'string'}, 'type': 'array'}, 'improvements': {'description': '', 'items': {'type': 'string'}, 'type': 'array'}, 'startTag': {'description': '', 'type': 'string'}, 'title': {'description': '', 'type': 'string'}}, 'required': ['startTag', 'endTag'], 'type': 'object'}, description=""""""), # Sunwood-ai-labs/Iris MCP Server/generate_release_note
    Tool(name="""BluestoneApps MCP Remote Server_get_project_structure""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {}, 'type': 'object'}, description="""Get project structure standards for React Native development"""), # lallen30/BluestoneApps MCP Remote Server/get_project_structure
    Tool(name="""BluestoneApps MCP Remote Server_get_api_communication""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {}, 'type': 'object'}, description="""Get API communication standards for React Native development"""), # lallen30/BluestoneApps MCP Remote Server/get_api_communication
    Tool(name="""BluestoneApps MCP Remote Server_get_component_design""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {}, 'type': 'object'}, description="""Get component design standards for React Native development"""), # lallen30/BluestoneApps MCP Remote Server/get_component_design
    Tool(name="""BluestoneApps MCP Remote Server_get_state_management""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {}, 'type': 'object'}, description="""Get state management standards for React Native development"""), # lallen30/BluestoneApps MCP Remote Server/get_state_management
    Tool(name="""BluestoneApps MCP Remote Server_get_component_example""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'component_name': {'description': 'Component Name', 'type': 'string'}}, 'required': ['component_name'], 'type': 'object'}, description="""Get a React Native component example"""), # lallen30/BluestoneApps MCP Remote Server/get_component_example
    Tool(name="""BluestoneApps MCP Remote Server_get_hook_example""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'hook_name': {'description': 'Hook Name', 'type': 'string'}}, 'required': ['hook_name'], 'type': 'object'}, description="""Get a React Native hook example"""), # lallen30/BluestoneApps MCP Remote Server/get_hook_example
    Tool(name="""BluestoneApps MCP Remote Server_get_service_example""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'service_name': {'description': 'Service Name', 'type': 'string'}}, 'required': ['service_name'], 'type': 'object'}, description="""Get a React Native service example"""), # lallen30/BluestoneApps MCP Remote Server/get_service_example
    Tool(name="""BluestoneApps MCP Remote Server_get_screen_example""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'screen_name': {'description': 'Screen Name', 'type': 'string'}}, 'required': ['screen_name'], 'type': 'object'}, description="""Get a React Native screen example"""), # lallen30/BluestoneApps MCP Remote Server/get_screen_example
    Tool(name="""BluestoneApps MCP Remote Server_get_theme_example""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'theme_name': {'description': 'Theme Name', 'type': 'string'}}, 'required': ['theme_name'], 'type': 'object'}, description="""Get code for a React Native theme"""), # lallen30/BluestoneApps MCP Remote Server/get_theme_example
    Tool(name="""BluestoneApps MCP Remote Server_list_available_examples""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {}, 'type': 'object'}, description="""List all available code examples by category"""), # lallen30/BluestoneApps MCP Remote Server/list_available_examples
    Tool(name="""GitHub Projects MCP Server_create-issue""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'assignees': {'description': 'Usernames to assign', 'items': {'type': 'string'}, 'type': 'array'}, 'body': {'description': 'Issue body/description', 'type': 'string'}, 'labels': {'description': 'Labels to apply', 'items': {'type': 'string'}, 'type': 'array'}, 'milestone': {'description': 'Milestone ID', 'type': 'number'}, 'owner': {'description': 'Repository owner (username)', 'type': 'string'}, 'repo': {'description': 'Repository name', 'type': 'string'}, 'title': {'description': 'Issue title', 'type': 'string'}}, 'required': ['owner', 'repo', 'title'], 'type': 'object'}, description="""Create a new GitHub issue"""), # taylor-lindores-reeves/GitHub Projects MCP Server/create-issue
    Tool(name="""GitHub Projects MCP Server_update-issue""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'assignees': {'description': 'Usernames to assign (replaces existing)', 'items': {'type': 'string'}, 'type': 'array'}, 'body': {'description': 'New body', 'type': 'string'}, 'issueNumber': {'description': 'Issue number', 'type': 'number'}, 'labels': {'description': 'Labels to apply (replaces existing)', 'items': {'type': 'string'}, 'type': 'array'}, 'milestone': {'description': 'Milestone ID (null to clear)', 'type': ['number', 'null']}, 'owner': {'description': 'Repository owner (username)', 'type': 'string'}, 'repo': {'description': 'Repository name', 'type': 'string'}, 'state': {'description': 'State (open or closed)', 'enum': ['open', 'closed'], 'type': 'string'}, 'title': {'description': 'New title', 'type': 'string'}}, 'required': ['owner', 'repo', 'issueNumber'], 'type': 'object'}, description="""Update an existing GitHub issue"""), # taylor-lindores-reeves/GitHub Projects MCP Server/update-issue
    Tool(name="""GitHub Projects MCP Server_get-repository""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'owner': {'description': 'Repository owner (username)', 'type': 'string'}, 'repo': {'description': 'Repository name', 'type': 'string'}}, 'required': ['owner', 'repo'], 'type': 'object'}, description="""Get a GitHub repository by owner and name"""), # taylor-lindores-reeves/GitHub Projects MCP Server/get-repository
    Tool(name="""GitHub Projects MCP Server_list-repositories""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'direction': {'default': 'asc', 'description': 'Sort direction', 'enum': ['asc', 'desc'], 'type': 'string'}, 'owner': {'description': 'Username', 'type': 'string'}, 'page': {'default': 1, 'description': 'Page number', 'type': 'number'}, 'per_page': {'default': 30, 'description': 'Items per page (max 100)', 'type': 'number'}, 'sort': {'default': 'full_name', 'description': 'Sort field', 'enum': ['created', 'updated', 'pushed', 'full_name'], 'type': 'string'}, 'type': {'default': 'all', 'description': 'Type of repositories to list', 'enum': ['all', 'owner', 'public', 'private', 'member'], 'type': 'string'}}, 'required': ['owner'], 'type': 'object'}, description="""List repositories for a user"""), # taylor-lindores-reeves/GitHub Projects MCP Server/list-repositories
    Tool(name="""GitHub Projects MCP Server_get-project""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'projectId': {'description': 'GitHub Project ID', 'type': 'string'}}, 'required': ['projectId'], 'type': 'object'}, description="""Get a GitHub Project by ID"""), # taylor-lindores-reeves/GitHub Projects MCP Server/get-project
    Tool(name="""GitHub Projects MCP Server_list-projects""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'after': {'description': 'Cursor for pagination', 'type': 'string'}, 'first': {'description': 'Number of projects to return (max 100)', 'type': 'number'}, 'owner': {'description': 'GitHub username', 'type': 'string'}}, 'required': ['owner'], 'type': 'object'}, description="""List GitHub Projects for a user"""), # taylor-lindores-reeves/GitHub Projects MCP Server/list-projects
    Tool(name="""GitHub Projects MCP Server_get-project-columns""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'projectId': {'description': 'GitHub Project ID', 'type': 'string'}}, 'required': ['projectId'], 'type': 'object'}, description="""Get status columns for a GitHub Project"""), # taylor-lindores-reeves/GitHub Projects MCP Server/get-project-columns
    Tool(name="""GitHub Projects MCP Server_get-project-fields""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'projectId': {'description': 'GitHub Project ID', 'type': 'string'}}, 'required': ['projectId'], 'type': 'object'}, description="""Get fields for a GitHub Project"""), # taylor-lindores-reeves/GitHub Projects MCP Server/get-project-fields
    Tool(name="""GitHub Projects MCP Server_get-project-items""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'after': {'description': 'Cursor for pagination', 'type': 'string'}, 'filter': {'description': 'Filter for items (e.g., status field value)', 'type': 'string'}, 'first': {'description': 'Number of items to return (max 100)', 'type': 'number'}, 'projectId': {'description': 'GitHub Project ID', 'type': 'string'}}, 'required': ['projectId'], 'type': 'object'}, description="""Get items (issues) from a GitHub Project"""), # taylor-lindores-reeves/GitHub Projects MCP Server/get-project-items
    Tool(name="""GitHub Projects MCP Server_create-project-item""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'contentId': {'description': 'ID of the content to add (issue or PR ID)', 'type': 'string'}, 'fieldValues': {'description': 'Field values to set for the item', 'items': {'additionalProperties': False, 'properties': {'fieldId': {'description': 'ID of the field', 'type': 'string'}, 'value': {'anyOf': [{'type': 'string'}, {'type': 'number'}, {'type': 'boolean'}, {'additionalProperties': False, 'properties': {'singleSelectOptionId': {'description': 'ID of the single select option', 'type': 'string'}}, 'required': ['singleSelectOptionId'], 'type': 'object'}, {'additionalProperties': False, 'properties': {'iterationId': {'description': 'ID of the iteration', 'type': 'string'}}, 'required': ['iterationId'], 'type': 'object'}, {'additionalProperties': False, 'properties': {'date': {'description': 'ISO date string', 'type': 'string'}}, 'required': ['date'], 'type': 'object'}], 'description': 'Value to set for the field'}}, 'required': ['fieldId', 'value'], 'type': 'object'}, 'type': 'array'}, 'projectId': {'description': 'GitHub Project ID', 'type': 'string'}}, 'required': ['projectId', 'contentId'], 'type': 'object'}, description="""Add an issue or PR to a GitHub Project"""), # taylor-lindores-reeves/GitHub Projects MCP Server/create-project-item
    Tool(name="""GitHub Projects MCP Server_update-project-item-field""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'fieldId': {'description': 'ID of the field to update', 'type': 'string'}, 'itemId': {'description': 'ID of the project item', 'type': 'string'}, 'projectId': {'description': 'GitHub Project ID', 'type': 'string'}, 'value': {'anyOf': [{'type': 'string'}, {'type': 'number'}, {'type': 'boolean'}, {'additionalProperties': False, 'properties': {'singleSelectOptionId': {'description': 'ID of the single select option', 'type': 'string'}}, 'required': ['singleSelectOptionId'], 'type': 'object'}, {'additionalProperties': False, 'properties': {'iterationId': {'description': 'ID of the iteration', 'type': 'string'}}, 'required': ['iterationId'], 'type': 'object'}, {'additionalProperties': False, 'properties': {'date': {'description': 'ISO date string', 'type': 'string'}}, 'required': ['date'], 'type': 'object'}], 'description': 'New value for the field'}}, 'required': ['projectId', 'itemId', 'fieldId', 'value'], 'type': 'object'}, description="""Update a field value for a project item"""), # taylor-lindores-reeves/GitHub Projects MCP Server/update-project-item-field
    Tool(name="""GitHub Projects MCP Server_create-project""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'description': {'description': 'Project description', 'type': 'string'}, 'ownerId': {'description': 'Owner ID (user or organization)', 'type': 'string'}, 'repositoryId': {'description': 'Repository ID to link the project to', 'type': 'string'}, 'title': {'description': 'Project title', 'type': 'string'}}, 'required': ['ownerId', 'title'], 'type': 'object'}, description="""Create a new GitHub Project"""), # taylor-lindores-reeves/GitHub Projects MCP Server/create-project
    Tool(name="""GitHub Projects MCP Server_update-project""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'closed': {'description': 'Project closed status', 'type': 'boolean'}, 'description': {'description': 'New project description', 'type': 'string'}, 'projectId': {'description': 'GitHub Project ID', 'type': 'string'}, 'public': {'description': 'Project visibility', 'type': 'boolean'}, 'shortDescription': {'description': 'New short description', 'type': 'string'}, 'title': {'description': 'New project title', 'type': 'string'}}, 'required': ['projectId'], 'type': 'object'}, description="""Update an existing GitHub Project"""), # taylor-lindores-reeves/GitHub Projects MCP Server/update-project
    Tool(name="""GitHub Projects MCP Server_delete-project""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'projectId': {'description': 'GitHub Project ID to delete', 'type': 'string'}}, 'required': ['projectId'], 'type': 'object'}, description="""Delete a GitHub Project"""), # taylor-lindores-reeves/GitHub Projects MCP Server/delete-project
    Tool(name="""GitHub Projects MCP Server_copy-project""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'includeFields': {'default': True, 'description': 'Whether to include fields in the copied project', 'type': 'boolean'}, 'includeItems': {'default': False, 'description': 'Whether to include items in the copied project', 'type': 'boolean'}, 'ownerId': {'description': 'New owner ID', 'type': 'string'}, 'projectId': {'description': 'Source GitHub Project ID to copy', 'type': 'string'}, 'title': {'description': 'Title for the new project', 'type': 'string'}}, 'required': ['projectId', 'ownerId'], 'type': 'object'}, description="""Copy a GitHub Project"""), # taylor-lindores-reeves/GitHub Projects MCP Server/copy-project
    Tool(name="""GitHub Projects MCP Server_add-draft-issue""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'assigneeIds': {'description': 'IDs of users to assign', 'items': {'type': 'string'}, 'type': 'array'}, 'body': {'description': 'Draft issue body', 'type': 'string'}, 'projectId': {'description': 'GitHub Project ID', 'type': 'string'}, 'title': {'description': 'Draft issue title', 'type': 'string'}}, 'required': ['projectId', 'title'], 'type': 'object'}, description="""Add a draft issue to a GitHub Project"""), # taylor-lindores-reeves/GitHub Projects MCP Server/add-draft-issue
    Tool(name="""GitHub Projects MCP Server_convert-draft-issue""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'body': {'description': 'Body for the new issue', 'type': 'string'}, 'draftIssueId': {'description': 'Draft issue ID to convert', 'type': 'string'}, 'projectId': {'description': 'GitHub Project ID', 'type': 'string'}, 'repositoryId': {'description': 'Repository ID where to create the issue', 'type': 'string'}, 'title': {'description': 'Title for the new issue', 'type': 'string'}}, 'required': ['projectId', 'draftIssueId', 'repositoryId'], 'type': 'object'}, description="""Convert a draft issue to a regular issue"""), # taylor-lindores-reeves/GitHub Projects MCP Server/convert-draft-issue
    Tool(name="""GitHub Projects MCP Server_add-item-to-project""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'contentId': {'description': 'ID of the content to add (issue or PR ID)', 'type': 'string'}, 'projectId': {'description': 'GitHub Project ID', 'type': 'string'}}, 'required': ['projectId', 'contentId'], 'type': 'object'}, description="""Add an existing issue or PR to a GitHub Project"""), # taylor-lindores-reeves/GitHub Projects MCP Server/add-item-to-project
    Tool(name="""GitHub Projects MCP Server_update-item-position""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'afterId': {'description': 'ID of the item to position after', 'type': 'string'}, 'itemId': {'description': 'ID of the project item to reposition', 'type': 'string'}, 'projectId': {'description': 'GitHub Project ID', 'type': 'string'}}, 'required': ['projectId', 'itemId'], 'type': 'object'}, description="""Update the position of an item in a GitHub Project"""), # taylor-lindores-reeves/GitHub Projects MCP Server/update-item-position
    Tool(name="""GitHub Projects MCP Server_delete-project-item""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'itemId': {'description': 'ID of the project item to delete', 'type': 'string'}, 'projectId': {'description': 'GitHub Project ID', 'type': 'string'}}, 'required': ['projectId', 'itemId'], 'type': 'object'}, description="""Remove an item from a GitHub Project"""), # taylor-lindores-reeves/GitHub Projects MCP Server/delete-project-item
    Tool(name="""GitHub Projects MCP Server_create-project-field""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'dataType': {'description': 'Field data type', 'enum': ['TEXT', 'NUMBER', 'DATE', 'SINGLE_SELECT', 'ITERATION'], 'type': 'string'}, 'name': {'description': 'Field name', 'type': 'string'}, 'projectId': {'description': 'GitHub Project ID', 'type': 'string'}, 'singleSelectOptions': {'description': 'Options for single select field', 'items': {'additionalProperties': False, 'properties': {'color': {'description': 'Option color (e.g., BLUE, GREEN, RED)', 'type': 'string'}, 'description': {'description': 'Option description', 'type': 'string'}, 'name': {'description': 'Option name', 'type': 'string'}}, 'required': ['name'], 'type': 'object'}, 'type': 'array'}}, 'required': ['projectId', 'dataType', 'name'], 'type': 'object'}, description="""Create a new field in a GitHub Project"""), # taylor-lindores-reeves/GitHub Projects MCP Server/create-project-field
    Tool(name="""GitHub Projects MCP Server_update-project-field""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'dataType': {'description': 'New field data type', 'enum': ['TEXT', 'NUMBER', 'DATE', 'SINGLE_SELECT', 'ITERATION'], 'type': 'string'}, 'fieldId': {'description': 'ID of the field to update', 'type': 'string'}, 'name': {'description': 'New field name', 'type': 'string'}, 'projectId': {'description': 'GitHub Project ID', 'type': 'string'}, 'singleSelectOptions': {'description': 'Updated options for single select field', 'items': {'additionalProperties': False, 'properties': {'color': {'description': 'New option color', 'type': 'string'}, 'description': {'description': 'New option description', 'type': 'string'}, 'name': {'description': 'New option name', 'type': 'string'}, 'optionId': {'description': 'Option ID to update', 'type': 'string'}}, 'type': 'object'}, 'type': 'array'}}, 'required': ['projectId', 'fieldId'], 'type': 'object'}, description="""Update a field in a GitHub Project"""), # taylor-lindores-reeves/GitHub Projects MCP Server/update-project-field
    Tool(name="""GitHub Projects MCP Server_delete-project-field""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'fieldId': {'description': 'ID of the field to delete', 'type': 'string'}, 'projectId': {'description': 'GitHub Project ID', 'type': 'string'}}, 'required': ['projectId', 'fieldId'], 'type': 'object'}, description="""Delete a field from a GitHub Project"""), # taylor-lindores-reeves/GitHub Projects MCP Server/delete-project-field
    Tool(name="""GitHub Projects MCP Server_update-project-status""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'projectId': {'description': 'GitHub Project ID', 'type': 'string'}, 'text': {'description': 'Status update text', 'type': 'string'}, 'updateId': {'description': 'ID of the status update to modify', 'type': 'string'}}, 'required': ['projectId', 'text'], 'type': 'object'}, description="""Update the status of a GitHub Project"""), # taylor-lindores-reeves/GitHub Projects MCP Server/update-project-status
    Tool(name="""GitHub Projects MCP Server_archive-project-item""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'itemId': {'description': 'ID of the project item to archive', 'type': 'string'}, 'projectId': {'description': 'GitHub Project ID', 'type': 'string'}}, 'required': ['projectId', 'itemId'], 'type': 'object'}, description="""Archive an item in a GitHub Project"""), # taylor-lindores-reeves/GitHub Projects MCP Server/archive-project-item
    Tool(name="""GitHub Projects MCP Server_unarchive-project-item""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'itemId': {'description': 'ID of the project item to unarchive', 'type': 'string'}, 'projectId': {'description': 'GitHub Project ID', 'type': 'string'}}, 'required': ['projectId', 'itemId'], 'type': 'object'}, description="""Unarchive an item in a GitHub Project"""), # taylor-lindores-reeves/GitHub Projects MCP Server/unarchive-project-item
    Tool(name="""GitHub Projects MCP Server_clear-item-field-value""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'fieldId': {'description': 'ID of the field to clear', 'type': 'string'}, 'itemId': {'description': 'ID of the project item', 'type': 'string'}, 'projectId': {'description': 'GitHub Project ID', 'type': 'string'}}, 'required': ['projectId', 'itemId', 'fieldId'], 'type': 'object'}, description="""Clear a field value for an item in a GitHub Project"""), # taylor-lindores-reeves/GitHub Projects MCP Server/clear-item-field-value
    Tool(name="""GitHub Projects MCP Server_mark-project-as-template""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'projectId': {'description': 'GitHub Project ID to mark as template', 'type': 'string'}}, 'required': ['projectId'], 'type': 'object'}, description="""Mark a GitHub Project as a template"""), # taylor-lindores-reeves/GitHub Projects MCP Server/mark-project-as-template
    Tool(name="""GitHub Projects MCP Server_unmark-project-as-template""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'projectId': {'description': 'GitHub Project ID to unmark as template', 'type': 'string'}}, 'required': ['projectId'], 'type': 'object'}, description="""Unmark a GitHub Project as a template"""), # taylor-lindores-reeves/GitHub Projects MCP Server/unmark-project-as-template
    Tool(name="""GitHub Projects MCP Server_get-issue""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'issueNumber': {'description': 'Issue number', 'type': 'number'}, 'owner': {'description': 'Repository owner (username)', 'type': 'string'}, 'repo': {'description': 'Repository name', 'type': 'string'}}, 'required': ['owner', 'repo', 'issueNumber'], 'type': 'object'}, description="""Get a GitHub issue by number"""), # taylor-lindores-reeves/GitHub Projects MCP Server/get-issue
    Tool(name="""GitHub Projects MCP Server_list-issues""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'assignee': {'description': 'Filter by assignee username', 'type': 'string'}, 'direction': {'default': 'desc', 'description': 'Sort direction', 'enum': ['asc', 'desc'], 'type': 'string'}, 'labels': {'description': 'Filter by labels', 'items': {'type': 'string'}, 'type': 'array'}, 'milestone': {'description': "Filter by milestone number or '*'", 'type': 'string'}, 'owner': {'description': 'Repository owner (username)', 'type': 'string'}, 'page': {'default': 1, 'description': 'Page number', 'type': 'number'}, 'per_page': {'default': 30, 'description': 'Items per page (max 100)', 'type': 'number'}, 'repo': {'description': 'Repository name', 'type': 'string'}, 'sort': {'default': 'created', 'description': 'Sort field', 'enum': ['created', 'updated', 'comments'], 'type': 'string'}, 'state': {'default': 'open', 'description': 'Issue state (open, closed, all)', 'enum': ['open', 'closed', 'all'], 'type': 'string'}}, 'required': ['owner', 'repo'], 'type': 'object'}, description="""List issues for a repository"""), # taylor-lindores-reeves/GitHub Projects MCP Server/list-issues
    Tool(name="""SourceSage MCP_generate_structure""", inputSchema={'properties': {'ignorePath': {'description': '.SourceSageignore', 'type': 'string'}, 'path': {'description': '', 'type': 'string'}}, 'required': ['path'], 'type': 'object'}, description=""""""), # Sunwood-ai-labs/SourceSage MCP/generate_structure
    Tool(name="""Spotify MCP_get_my_playlists""", inputSchema={'properties': {}, 'title': 'get_my_playlistsArguments', 'type': 'object'}, description="""\n    FastMCP tool to get user playlists using SpotifyClient.\n    """), # ashwanth1109/Spotify MCP/get_my_playlists
    Tool(name="""Spotify MCP_start_playback""", inputSchema={'properties': {}, 'title': 'start_playbackArguments', 'type': 'object'}, description="""\n    FastMCP tool to resume playback on the currently active Spotify device.\n    """), # ashwanth1109/Spotify MCP/start_playback
    Tool(name="""Spotify MCP_pause_playback""", inputSchema={'properties': {}, 'title': 'pause_playbackArguments', 'type': 'object'}, description="""\n    FastMCP tool to pause playback on spotify.\n    """), # ashwanth1109/Spotify MCP/pause_playback
    Tool(name="""Spotify MCP_search_spotify""", inputSchema={'properties': {'limit': {'default': 20, 'title': 'Limit', 'type': 'integer'}, 'query': {'title': 'Query', 'type': 'string'}, 'type': {'default': 'track', 'title': 'Type', 'type': 'string'}}, 'required': ['query'], 'title': 'search_spotifyArguments', 'type': 'object'}, description="""\n    Search Spotify for tracks, artists, albums, or playlists.\n    Args:\n        query: Search term\n        type: One of 'track', 'artist', 'album', 'playlist'\n        limit: Max number of results\n    """), # ashwanth1109/Spotify MCP/search_spotify
    Tool(name="""Spotify MCP_next_track""", inputSchema={'properties': {}, 'title': 'next_trackArguments', 'type': 'object'}, description="""Skip to next track in queue"""), # ashwanth1109/Spotify MCP/next_track
    Tool(name="""Spotify MCP_previous_track""", inputSchema={'properties': {}, 'title': 'previous_trackArguments', 'type': 'object'}, description="""Go back to previous track"""), # ashwanth1109/Spotify MCP/previous_track
    Tool(name="""Spotify MCP_seek_position""", inputSchema={'properties': {'position_ms': {'title': 'Position Ms', 'type': 'integer'}}, 'required': ['position_ms'], 'title': 'seek_positionArguments', 'type': 'object'}, description="""\n    Seek to position in current track\n    Args:\n        position_ms: Position in milliseconds\n    """), # ashwanth1109/Spotify MCP/seek_position
    Tool(name="""Spotify MCP_get_playback_state""", inputSchema={'properties': {}, 'title': 'get_playback_stateArguments', 'type': 'object'}, description="""Get current playback information"""), # ashwanth1109/Spotify MCP/get_playback_state
    Tool(name="""Spotify MCP_get_recommendations""", inputSchema={'properties': {'limit': {'default': 20, 'title': 'Limit', 'type': 'integer'}, 'seed_artists': {'default': None, 'title': 'Seed Artists', 'type': 'string'}, 'seed_genres': {'default': None, 'title': 'Seed Genres', 'type': 'string'}, 'seed_tracks': {'default': None, 'title': 'Seed Tracks', 'type': 'string'}}, 'title': 'get_recommendationsArguments', 'type': 'object'}, description="""\n    Get Spotify recommendations based on seeds\n    Args:\n        seed_artists: Comma-separated artist IDs\n        seed_tracks: Comma-separated track IDs\n        seed_genres: Comma-separated genres\n        limit: Number of recommendations\n    """), # ashwanth1109/Spotify MCP/get_recommendations
    Tool(name="""Spotify MCP_get_item_info""", inputSchema={'properties': {'item_id': {'title': 'Item Id', 'type': 'string'}, 'type': {'default': 'track', 'title': 'Type', 'type': 'string'}}, 'required': ['item_id'], 'title': 'get_item_infoArguments', 'type': 'object'}, description="""\n    Get detailed information about a Spotify item\n    Args:\n        item_id: Spotify ID\n        type: One of 'track', 'album', 'artist', 'playlist'\n    """), # ashwanth1109/Spotify MCP/get_item_info
    Tool(name="""Spotify MCP_start_playback_track""", inputSchema={'properties': {'device_id': {'default': None, 'title': 'Device Id', 'type': 'string'}, 'track_uri': {'title': 'Track Uri', 'type': 'string'}}, 'required': ['track_uri'], 'title': 'start_playback_trackArguments', 'type': 'object'}, description="""\n    Start playback of a specific track on Spotify\n    Args:\n        track_uri: Spotify URI of the track (e.g. 'spotify:track:1234...')\n        device_id: Optional device to play on\n    """), # ashwanth1109/Spotify MCP/start_playback_track
    Tool(name="""Spotify MCP_get_top_artists""", inputSchema={'properties': {'limit': {'default': 20, 'title': 'Limit', 'type': 'integer'}, 'time_range': {'default': 'medium_term', 'title': 'Time Range', 'type': 'string'}}, 'title': 'get_top_artistsArguments', 'type': 'object'}, description="""\n    Get user's top artists from Spotify\n    Args:\n        limit: Number of artists (max 50)\n        time_range: One of 'short_term' (4 weeks), 'medium_term' (6 months), 'long_term' (all time)\n    """), # ashwanth1109/Spotify MCP/get_top_artists
    Tool(name="""Spotify MCP_get_queue""", inputSchema={'properties': {}, 'title': 'get_queueArguments', 'type': 'object'}, description="""Get the current queue of tracks"""), # ashwanth1109/Spotify MCP/get_queue
    Tool(name="""Spotify MCP_add_to_queue""", inputSchema={'properties': {'track_id': {'title': 'Track Id', 'type': 'string'}}, 'required': ['track_id'], 'title': 'add_to_queueArguments', 'type': 'object'}, description="""\n    Add a track to the queue\n    Args:\n        track_id: Spotify track ID to add\n    """), # ashwanth1109/Spotify MCP/add_to_queue
    Tool(name="""Spotify MCP_skip_tracks""", inputSchema={'properties': {'num_skips': {'default': 1, 'title': 'Num Skips', 'type': 'integer'}}, 'title': 'skip_tracksArguments', 'type': 'object'}, description="""\n    Skip multiple tracks at once\n    Args:\n        num_skips: Number of tracks to skip (default: 1)\n    """), # ashwanth1109/Spotify MCP/skip_tracks
    Tool(name="""Spotify MCP_set_repeat_mode""", inputSchema={'properties': {'state': {'title': 'State', 'type': 'string'}}, 'required': ['state'], 'title': 'set_repeat_modeArguments', 'type': 'object'}, description="""\n    Set repeat mode for playback\n    Args:\n        state: One of 'track', 'context', or 'off'\n    """), # ashwanth1109/Spotify MCP/set_repeat_mode
    Tool(name="""Spotify MCP_get_current_track""", inputSchema={'properties': {}, 'title': 'get_current_trackArguments', 'type': 'object'}, description="""Get information about the currently playing track"""), # ashwanth1109/Spotify MCP/get_current_track
    Tool(name="""Spotify MCP_start_playlist_playback""", inputSchema={'properties': {'device_id': {'default': None, 'title': 'Device Id', 'type': 'string'}, 'playlist_id': {'title': 'Playlist Id', 'type': 'string'}}, 'required': ['playlist_id'], 'title': 'start_playlist_playbackArguments', 'type': 'object'}, description="""\n    Start playback of a specific playlist\n    Args:\n        playlist_id: Spotify playlist ID\n        device_id: Optional device to play on\n    """), # ashwanth1109/Spotify MCP/start_playlist_playback
    Tool(name="""Spotify MCP_get_artist_top_tracks""", inputSchema={'properties': {'artist_id': {'title': 'Artist Id', 'type': 'string'}}, 'required': ['artist_id'], 'title': 'get_artist_top_tracksArguments', 'type': 'object'}, description="""\n    Get top tracks for an artist\n    Args:\n        artist_id: Spotify artist ID\n    """), # ashwanth1109/Spotify MCP/get_artist_top_tracks
    Tool(name="""Spotify MCP_add_to_playlist""", inputSchema={'properties': {'playlist_id': {'title': 'Playlist Id', 'type': 'string'}, 'track_ids': {'items': {'type': 'string'}, 'title': 'Track Ids', 'type': 'array'}}, 'required': ['playlist_id', 'track_ids'], 'title': 'add_to_playlistArguments', 'type': 'object'}, description="""\n    Add tracks to a playlist\n    Args:\n        playlist_id: Spotify playlist ID\n        track_ids: List of track IDs to add\n    """), # ashwanth1109/Spotify MCP/add_to_playlist
    Tool(name="""Spotify MCP_reorder_queue""", inputSchema={'properties': {'insert_before': {'title': 'Insert Before', 'type': 'integer'}, 'range_start': {'title': 'Range Start', 'type': 'integer'}}, 'required': ['range_start', 'insert_before'], 'title': 'reorder_queueArguments', 'type': 'object'}, description="""\n    Reorder tracks in queue by moving a track to a different position\n    Args:\n        range_start: Position of track to move\n        insert_before: Position to insert the track\n    """), # ashwanth1109/Spotify MCP/reorder_queue
    Tool(name="""Perplexity MCP Server_search""", inputSchema={'properties': {'query': {'description': 'The search query', 'type': 'string'}}, 'required': ['query'], 'type': 'object'}, description="""Search the web using Perplexity AI"""), # RossH121/Perplexity MCP Server/search
    Tool(name="""Perplexity MCP Server_domain_filter""", inputSchema={'properties': {'action': {'description': 'Whether to allow or block this domain', 'enum': ['allow', 'block'], 'type': 'string'}, 'domain': {'description': 'Domain name without http:// or https:// (example: wikipedia.org)', 'type': 'string'}}, 'required': ['domain', 'action'], 'type': 'object'}, description="""Add a domain to allow or block in search results (max 3 domains per type)"""), # RossH121/Perplexity MCP Server/domain_filter
    Tool(name="""Perplexity MCP Server_recency_filter""", inputSchema={'properties': {'filter': {'description': 'Time window for search results (none to disable filtering)', 'enum': ['hour', 'day', 'week', 'month', 'none'], 'type': 'string'}}, 'required': ['filter'], 'type': 'object'}, description="""Set the time recency for search results"""), # RossH121/Perplexity MCP Server/recency_filter
    Tool(name="""Perplexity MCP Server_clear_filters""", inputSchema={'properties': {}, 'type': 'object'}, description="""Clear all domain filters"""), # RossH121/Perplexity MCP Server/clear_filters
    Tool(name="""Perplexity MCP Server_list_filters""", inputSchema={'properties': {}, 'type': 'object'}, description="""List all current domain filters"""), # RossH121/Perplexity MCP Server/list_filters
    Tool(name="""Perplexity MCP Server_model_info""", inputSchema={'properties': {'model': {'description': 'Optional: Set a specific model instead of using automatic selection', 'enum': ['sonar-deep-research', 'sonar-reasoning-pro', 'sonar-reasoning', 'sonar-pro', 'sonar'], 'type': 'string'}}, 'type': 'object'}, description="""Get information about available models and optionally set a specific model"""), # RossH121/Perplexity MCP Server/model_info
    Tool(name="""Scrapbox MCP Server_get_page_content""", inputSchema={'properties': {'url': {'description': 'Scrapbox page URL (e.g., https://scrapbox.io/project-name/page-title)', 'type': 'string'}}, 'required': ['url'], 'type': 'object'}, description="""Fetch content from a Scrapbox page by URL"""), # YuheiNakasaka/Scrapbox MCP Server/get_page_content
    Tool(name="""MCP Jupiter_jupiter_get_quote""", inputSchema={'properties': {'amount': {'type': 'string'}, 'asLegacyTransaction': {'type': 'boolean'}, 'excludeDexes': {'items': {'type': 'string'}, 'type': 'array'}, 'inputMint': {'type': 'string'}, 'maxAccounts': {'type': 'number'}, 'onlyDirectRoutes': {'type': 'boolean'}, 'outputMint': {'type': 'string'}, 'platformFeeBps': {'type': 'number'}, 'slippageBps': {'type': 'number'}, 'swapMode': {'type': 'string'}}, 'required': ['inputMint', 'outputMint', 'amount'], 'type': 'object'}, description="""Get a quote for swapping tokens on Jupiter"""), # dcSpark/MCP Jupiter/jupiter_get_quote
    Tool(name="""MCP Jupiter_jupiter_build_swap_transaction""", inputSchema={'properties': {'asLegacyTransaction': {'type': 'boolean'}, 'computeUnitPriceMicroLamports': {'type': 'number'}, 'prioritizationFeeLamports': {'type': 'number'}, 'quoteResponse': {'type': 'string'}, 'userPublicKey': {'type': 'string'}}, 'required': ['quoteResponse', 'userPublicKey'], 'type': 'object'}, description="""Build a swap transaction on Jupiter"""), # dcSpark/MCP Jupiter/jupiter_build_swap_transaction
    Tool(name="""MCP Jupiter_jupiter_send_swap_transaction""", inputSchema={'properties': {'maxRetries': {'type': 'number'}, 'serializedTransaction': {'type': 'string'}, 'skipPreflight': {'type': 'boolean'}, 'swapTransaction': {'type': 'string'}}, 'type': 'object'}, description="""Send a swap transaction on Jupiter"""), # dcSpark/MCP Jupiter/jupiter_send_swap_transaction
    Tool(name="""AWS MCP Server_s3_bucket_create""", inputSchema={'properties': {'bucket_name': {'description': 'Name of the S3 bucket to create', 'type': 'string'}}, 'required': ['bucket_name'], 'type': 'object'}, description="""Create a new S3 bucket"""), # rishikavikondala/AWS MCP Server/s3_bucket_create
    Tool(name="""AWS MCP Server_s3_bucket_list""", inputSchema={'properties': {}, 'type': 'object'}, description="""List all S3 buckets"""), # rishikavikondala/AWS MCP Server/s3_bucket_list
    Tool(name="""AWS MCP Server_s3_bucket_delete""", inputSchema={'properties': {'bucket_name': {'description': 'Name of the S3 bucket to delete', 'type': 'string'}}, 'required': ['bucket_name'], 'type': 'object'}, description="""Delete an S3 bucket"""), # rishikavikondala/AWS MCP Server/s3_bucket_delete
    Tool(name="""AWS MCP Server_s3_object_upload""", inputSchema={'properties': {'bucket_name': {'description': 'Name of the S3 bucket', 'type': 'string'}, 'file_content': {'description': 'Base64 encoded file content for upload', 'type': 'string'}, 'object_key': {'description': 'Key/path of the object in the bucket', 'type': 'string'}}, 'required': ['bucket_name', 'object_key', 'file_content'], 'type': 'object'}, description="""Upload an object to S3"""), # rishikavikondala/AWS MCP Server/s3_object_upload
    Tool(name="""AWS MCP Server_s3_object_delete""", inputSchema={'properties': {'bucket_name': {'description': 'Name of the S3 bucket', 'type': 'string'}, 'object_key': {'description': 'Key/path of the object to delete', 'type': 'string'}}, 'required': ['bucket_name', 'object_key'], 'type': 'object'}, description="""Delete an object from S3"""), # rishikavikondala/AWS MCP Server/s3_object_delete
    Tool(name="""AWS MCP Server_s3_object_list""", inputSchema={'properties': {'bucket_name': {'description': 'Name of the S3 bucket', 'type': 'string'}}, 'required': ['bucket_name'], 'type': 'object'}, description="""List objects in an S3 bucket"""), # rishikavikondala/AWS MCP Server/s3_object_list
    Tool(name="""AWS MCP Server_s3_object_read""", inputSchema={'properties': {'bucket_name': {'description': 'Name of the S3 bucket', 'type': 'string'}, 'object_key': {'description': 'Key/path of the object to read', 'type': 'string'}}, 'required': ['bucket_name', 'object_key'], 'type': 'object'}, description="""Read an object's content from S3"""), # rishikavikondala/AWS MCP Server/s3_object_read
    Tool(name="""AWS MCP Server_dynamodb_item_get""", inputSchema={'properties': {'key': {'description': 'Key to identify the item', 'type': 'object'}, 'table_name': {'description': 'Name of the DynamoDB table', 'type': 'string'}}, 'required': ['table_name', 'key'], 'type': 'object'}, description="""Get an item from a DynamoDB table"""), # rishikavikondala/AWS MCP Server/dynamodb_item_get
    Tool(name="""AWS MCP Server_dynamodb_table_create""", inputSchema={'properties': {'attribute_definitions': {'description': 'Attribute definitions for table creation', 'type': 'array'}, 'key_schema': {'description': 'Key schema for table creation', 'type': 'array'}, 'table_name': {'description': 'Name of the DynamoDB table', 'type': 'string'}}, 'required': ['table_name', 'key_schema', 'attribute_definitions'], 'type': 'object'}, description="""Create a new DynamoDB table"""), # rishikavikondala/AWS MCP Server/dynamodb_table_create
    Tool(name="""AWS MCP Server_dynamodb_table_describe""", inputSchema={'properties': {'table_name': {'description': 'Name of the DynamoDB table', 'type': 'string'}}, 'required': ['table_name'], 'type': 'object'}, description="""Get details about a DynamoDB table"""), # rishikavikondala/AWS MCP Server/dynamodb_table_describe
    Tool(name="""AWS MCP Server_dynamodb_table_list""", inputSchema={'properties': {}, 'type': 'object'}, description="""List all DynamoDB tables"""), # rishikavikondala/AWS MCP Server/dynamodb_table_list
    Tool(name="""AWS MCP Server_dynamodb_table_delete""", inputSchema={'properties': {'table_name': {'description': 'Name of the DynamoDB table', 'type': 'string'}}, 'required': ['table_name'], 'type': 'object'}, description="""Delete a DynamoDB table"""), # rishikavikondala/AWS MCP Server/dynamodb_table_delete
    Tool(name="""AWS MCP Server_dynamodb_table_update""", inputSchema={'properties': {'attribute_definitions': {'description': 'Updated attribute definitions', 'type': 'array'}, 'table_name': {'description': 'Name of the DynamoDB table', 'type': 'string'}}, 'required': ['table_name', 'attribute_definitions'], 'type': 'object'}, description="""Update a DynamoDB table"""), # rishikavikondala/AWS MCP Server/dynamodb_table_update
    Tool(name="""AWS MCP Server_dynamodb_item_put""", inputSchema={'properties': {'item': {'description': 'Item data to put', 'type': 'object'}, 'table_name': {'description': 'Name of the DynamoDB table', 'type': 'string'}}, 'required': ['table_name', 'item'], 'type': 'object'}, description="""Put an item into a DynamoDB table"""), # rishikavikondala/AWS MCP Server/dynamodb_item_put
    Tool(name="""AWS MCP Server_dynamodb_item_update""", inputSchema={'properties': {'item': {'description': 'Updated item data', 'type': 'object'}, 'key': {'description': 'Key to identify the item', 'type': 'object'}, 'table_name': {'description': 'Name of the DynamoDB table', 'type': 'string'}}, 'required': ['table_name', 'key', 'item'], 'type': 'object'}, description="""Update an item in a DynamoDB table"""), # rishikavikondala/AWS MCP Server/dynamodb_item_update
    Tool(name="""AWS MCP Server_dynamodb_item_delete""", inputSchema={'properties': {'key': {'description': 'Key to identify the item', 'type': 'object'}, 'table_name': {'description': 'Name of the DynamoDB table', 'type': 'string'}}, 'required': ['table_name', 'key'], 'type': 'object'}, description="""Delete an item from a DynamoDB table"""), # rishikavikondala/AWS MCP Server/dynamodb_item_delete
    Tool(name="""AWS MCP Server_dynamodb_item_query""", inputSchema={'properties': {'expression_values': {'description': 'Expression attribute values', 'type': 'object'}, 'key_condition': {'description': 'Key condition expression', 'type': 'string'}, 'table_name': {'description': 'Name of the DynamoDB table', 'type': 'string'}}, 'required': ['table_name', 'key_condition', 'expression_values'], 'type': 'object'}, description="""Query items in a DynamoDB table"""), # rishikavikondala/AWS MCP Server/dynamodb_item_query
    Tool(name="""AWS MCP Server_dynamodb_item_scan""", inputSchema={'properties': {'expression_attributes': {'properties': {'names': {'description': 'Expression attribute names', 'type': 'object'}, 'values': {'description': 'Expression attribute values', 'type': 'object'}}, 'type': 'object'}, 'filter_expression': {'description': 'Filter expression', 'type': 'string'}, 'table_name': {'description': 'Name of the DynamoDB table', 'type': 'string'}}, 'required': ['table_name'], 'type': 'object'}, description="""Scan items in a DynamoDB table"""), # rishikavikondala/AWS MCP Server/dynamodb_item_scan
    Tool(name="""AWS MCP Server_dynamodb_batch_get""", inputSchema={'properties': {'request_items': {'additionalProperties': {'properties': {'ConsistentRead': {'type': 'boolean'}, 'Keys': {'items': {'type': 'object'}, 'type': 'array'}, 'ProjectionExpression': {'type': 'string'}}, 'required': ['Keys'], 'type': 'object'}, 'description': 'Map of table names to keys to retrieve', 'type': 'object'}}, 'required': ['request_items'], 'type': 'object'}, description="""Batch get multiple items from DynamoDB tables"""), # rishikavikondala/AWS MCP Server/dynamodb_batch_get
    Tool(name="""AWS MCP Server_dynamodb_item_batch_write""", inputSchema={'properties': {'items': {'description': 'Array of items to process', 'type': 'array'}, 'key_attributes': {'description': 'For delete operations, specify which attributes form the key', 'items': {'type': 'string'}, 'type': 'array'}, 'operation': {'description': 'Type of batch operation (put or delete)', 'enum': ['put', 'delete'], 'type': 'string'}, 'table_name': {'description': 'Name of the DynamoDB table', 'type': 'string'}}, 'required': ['table_name', 'operation', 'items'], 'type': 'object'}, description="""Batch write operations (put/delete) for DynamoDB items"""), # rishikavikondala/AWS MCP Server/dynamodb_item_batch_write
    Tool(name="""AWS MCP Server_dynamodb_describe_ttl""", inputSchema={'properties': {'table_name': {'description': 'Name of the DynamoDB table', 'type': 'string'}}, 'required': ['table_name'], 'type': 'object'}, description="""Get the TTL settings for a table"""), # rishikavikondala/AWS MCP Server/dynamodb_describe_ttl
    Tool(name="""AWS MCP Server_dynamodb_update_ttl""", inputSchema={'properties': {'table_name': {'description': 'Name of the DynamoDB table', 'type': 'string'}, 'ttl_attribute': {'description': 'The attribute name to use for TTL', 'type': 'string'}, 'ttl_enabled': {'description': 'Whether TTL should be enabled', 'type': 'boolean'}}, 'required': ['table_name', 'ttl_enabled', 'ttl_attribute'], 'type': 'object'}, description="""Update the TTL settings for a table"""), # rishikavikondala/AWS MCP Server/dynamodb_update_ttl
    Tool(name="""AWS MCP Server_dynamodb_batch_execute""", inputSchema={'properties': {'parameters': {'description': 'List of parameter lists for each statement', 'items': {'type': 'array'}, 'type': 'array'}, 'statements': {'description': 'List of PartiQL statements to execute', 'items': {'type': 'string'}, 'type': 'array'}}, 'required': ['statements', 'parameters'], 'type': 'object'}, description="""Execute multiple PartiQL statements in a batch"""), # rishikavikondala/AWS MCP Server/dynamodb_batch_execute
    Tool(name="""Elasticsearch Knowledge Graph for MCP_create_entities""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'entities': {'description': 'List of entities to create', 'items': {'properties': {'entityType': {'description': 'Entity type', 'type': 'string'}, 'name': {'description': 'Entity name', 'type': 'string'}, 'observations': {'description': 'Observations about this entity', 'items': {'type': 'string'}, 'type': 'array'}, 'relevanceScore': {'description': 'Relevance score (higher = more important)', 'type': 'number'}}, 'required': ['name', 'entityType'], 'type': 'object'}, 'type': 'array'}, 'memory_zone': {'description': 'Optional memory zone to create entities in. If not specified, uses the default zone.', 'type': 'string'}}, 'required': ['entities'], 'type': 'object'}, description="""Create entities in knowledge graph (memory)"""), # j3k0/Elasticsearch Knowledge Graph for MCP/create_entities
    Tool(name="""Elasticsearch Knowledge Graph for MCP_update_entities""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'entities': {'description': 'List of entities to update', 'items': {'properties': {'entityType': {'type': 'string'}, 'isImportant': {'type': 'boolean'}, 'name': {'type': 'string'}, 'observations': {'items': {'type': 'string'}, 'type': 'array'}}, 'required': ['name'], 'type': 'object'}, 'type': 'array'}, 'memory_zone': {'description': 'Optional memory zone specifier. If provided, entities will be updated in this zone.', 'type': 'string'}}, 'required': ['entities'], 'type': 'object'}, description="""Update entities in knowledge graph (memory)"""), # j3k0/Elasticsearch Knowledge Graph for MCP/update_entities
    Tool(name="""Elasticsearch Knowledge Graph for MCP_delete_entities""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'cascade_relations': {'default': True, 'description': 'Whether to delete relations involving these entities (default: true)', 'type': 'boolean'}, 'memory_zone': {'description': 'Optional memory zone specifier. If provided, entities will be deleted from this zone.', 'type': 'string'}, 'names': {'description': 'Names of entities to delete', 'items': {'type': 'string'}, 'type': 'array'}}, 'required': ['names'], 'type': 'object'}, description="""Delete entities from knowledge graph (memory)"""), # j3k0/Elasticsearch Knowledge Graph for MCP/delete_entities
    Tool(name="""Elasticsearch Knowledge Graph for MCP_create_relations""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'auto_create_missing_entities': {'default': True, 'description': 'Whether to automatically create missing entities in the relations (default: true)', 'type': 'boolean'}, 'memory_zone': {'description': "Optional default memory zone specifier. Used if a relation doesn't specify fromZone or toZone.", 'type': 'string'}, 'relations': {'description': 'List of relations to create', 'items': {'properties': {'from': {'description': 'Source entity name', 'type': 'string'}, 'fromZone': {'description': 'Optional zone for source entity, defaults to memory_zone or default zone. Must be one of the existing zones.', 'type': 'string'}, 'to': {'description': 'Target entity name', 'type': 'string'}, 'toZone': {'description': 'Optional zone for target entity, defaults to memory_zone or default zone. Must be one of the existing zones.', 'type': 'string'}, 'type': {'description': 'Relationship type', 'type': 'string'}}, 'required': ['from', 'to', 'type'], 'type': 'object'}, 'type': 'array'}}, 'required': ['relations'], 'type': 'object'}, description="""Create relationships between entities in knowledge graph (memory)"""), # j3k0/Elasticsearch Knowledge Graph for MCP/create_relations
    Tool(name="""Elasticsearch Knowledge Graph for MCP_delete_relations""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'memory_zone': {'description': 'Optional memory zone specifier. If provided, relations will be deleted from this zone.', 'type': 'string'}, 'relations': {'description': 'List of relations to delete', 'items': {'properties': {'from': {'description': 'Source entity name', 'type': 'string'}, 'to': {'description': 'Target entity name', 'type': 'string'}, 'type': {'description': 'Relationship type', 'type': 'string'}}, 'required': ['from', 'to', 'type'], 'type': 'object'}, 'type': 'array'}}, 'required': ['relations'], 'type': 'object'}, description="""Delete relationships from knowledge graph (memory)"""), # j3k0/Elasticsearch Knowledge Graph for MCP/delete_relations
    Tool(name="""Elasticsearch Knowledge Graph for MCP_search_nodes""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'entityTypes': {'description': 'Filter to specific entity types (OR condition if multiple).', 'items': {'type': 'string'}, 'type': 'array'}, 'includeObservations': {'default': False, 'description': 'Include full entity observations (default: false).', 'type': 'boolean'}, 'informationNeeds': {'description': 'Important. Describe what information you are looking for. What questions are you trying to answer? Helps get more useful results.', 'type': 'string'}, 'limit': {'description': 'Max results (default: 20, or 5 with observations).', 'type': 'integer'}, 'memory_zone': {'description': 'Limit search to specific zone. Omit for default zone.', 'type': 'string'}, 'query': {'description': "ElasticSearch query string. Use '*' for all entities.", 'type': 'string'}, 'sortBy': {'description': 'Sort by match quality, access time, or importance.', 'enum': ['relevance', 'recency', 'importance'], 'type': 'string'}}, 'required': ['query', 'informationNeeds'], 'type': 'object'}, description="""Search entities using ElasticSearch query syntax. Supports boolean operators (AND, OR, NOT), fuzzy matching (~), phrases (\"term\"), proximity (\"terms\"~N), wildcards (*, ?), and boosting (^N). Examples: 'meeting AND notes', 'Jon~', '\"project plan\"~2'. All searches respect zone isolation."""), # j3k0/Elasticsearch Knowledge Graph for MCP/search_nodes
    Tool(name="""Elasticsearch Knowledge Graph for MCP_open_nodes""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'memory_zone': {'description': 'Optional memory zone to retrieve entities from. If not specified, uses the default zone.', 'type': 'string'}, 'names': {'description': 'Names of entities to retrieve', 'items': {'type': 'string'}, 'type': 'array'}}, 'required': ['names'], 'type': 'object'}, description="""Get details about specific entities in knowledge graph (memory) and their relations"""), # j3k0/Elasticsearch Knowledge Graph for MCP/open_nodes
    Tool(name="""Elasticsearch Knowledge Graph for MCP_add_observations""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'memory_zone': {'description': 'Optional memory zone where the entity is stored. If not specified, uses the default zone.', 'type': 'string'}, 'name': {'description': 'Name of entity to add observations to', 'type': 'string'}, 'observations': {'description': 'Observations to add to the entity', 'items': {'type': 'string'}, 'type': 'array'}}, 'required': ['name', 'observations'], 'type': 'object'}, description="""Add observations to an existing entity in knowledge graph (memory)"""), # j3k0/Elasticsearch Knowledge Graph for MCP/add_observations
    Tool(name="""Elasticsearch Knowledge Graph for MCP_mark_important""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'auto_create': {'default': False, 'description': "Whether to automatically create the entity if it doesn't exist (default: false)", 'type': 'boolean'}, 'important': {'description': 'Set as important (true - multiply relevance by 10) or not (false - divide relevance by 10)', 'type': 'boolean'}, 'memory_zone': {'description': 'Optional memory zone specifier. If provided, entity will be marked in this zone.', 'type': 'string'}, 'name': {'description': 'Entity name', 'type': 'string'}}, 'required': ['name', 'important'], 'type': 'object'}, description="""Mark entity as important in knowledge graph (memory) by boosting its relevance score"""), # j3k0/Elasticsearch Knowledge Graph for MCP/mark_important
    Tool(name="""Elasticsearch Knowledge Graph for MCP_get_recent""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'includeObservations': {'default': False, 'description': 'Whether to include full entity observations in results (default: false)', 'type': 'boolean'}, 'limit': {'description': 'Max results (default: 20 if includeObservations is false, 5 if true)', 'type': 'integer'}, 'memory_zone': {'description': 'Optional memory zone to get recent entities from. If not specified, uses the default zone.', 'type': 'string'}}, 'type': 'object'}, description="""Get recently accessed entities from knowledge graph (memory) and their relations"""), # j3k0/Elasticsearch Knowledge Graph for MCP/get_recent
    Tool(name="""Elasticsearch Knowledge Graph for MCP_list_zones""", inputSchema={'properties': {}, 'type': 'object'}, description="""List all available memory zones with metadata."""), # j3k0/Elasticsearch Knowledge Graph for MCP/list_zones
    Tool(name="""Elasticsearch Knowledge Graph for MCP_create_zone""", inputSchema={'properties': {'description': {'description': 'Optional zone description', 'type': 'string'}, 'name': {'description': "Zone name (cannot be 'default')", 'type': 'string'}}, 'required': ['name'], 'type': 'object'}, description="""Create a new memory zone with optional description."""), # j3k0/Elasticsearch Knowledge Graph for MCP/create_zone
    Tool(name="""Elasticsearch Knowledge Graph for MCP_delete_zone""", inputSchema={'properties': {'confirm': {'default': False, 'description': 'Confirmation flag, must be true', 'type': 'boolean'}, 'name': {'description': "Zone name to delete (cannot be 'default')", 'type': 'string'}}, 'required': ['name', 'confirm'], 'type': 'object'}, description="""Delete a memory zone and all its entities/relations."""), # j3k0/Elasticsearch Knowledge Graph for MCP/delete_zone
    Tool(name="""Elasticsearch Knowledge Graph for MCP_copy_entities""", inputSchema={'properties': {'copy_relations': {'default': True, 'description': 'Copy related relationships (default: true)', 'type': 'boolean'}, 'names': {'description': 'Entity names to copy', 'items': {'type': 'string'}, 'type': 'array'}, 'overwrite': {'default': False, 'description': 'Overwrite if entity exists (default: false)', 'type': 'boolean'}, 'source_zone': {'description': 'Source zone', 'type': 'string'}, 'target_zone': {'description': 'Target zone', 'type': 'string'}}, 'required': ['names', 'source_zone', 'target_zone'], 'type': 'object'}, description="""Copy entities between zones with optional relation handling."""), # j3k0/Elasticsearch Knowledge Graph for MCP/copy_entities
    Tool(name="""Elasticsearch Knowledge Graph for MCP_move_entities""", inputSchema={'properties': {'move_relations': {'default': True, 'description': 'Move related relationships (default: true)', 'type': 'boolean'}, 'names': {'description': 'Entity names to move', 'items': {'type': 'string'}, 'type': 'array'}, 'overwrite': {'default': False, 'description': 'Overwrite if entity exists (default: false)', 'type': 'boolean'}, 'source_zone': {'description': 'Source zone', 'type': 'string'}, 'target_zone': {'description': 'Target zone', 'type': 'string'}}, 'required': ['names', 'source_zone', 'target_zone'], 'type': 'object'}, description="""Move entities between zones (copy + delete from source)."""), # j3k0/Elasticsearch Knowledge Graph for MCP/move_entities
    Tool(name="""Elasticsearch Knowledge Graph for MCP_merge_zones""", inputSchema={'properties': {'delete_source_zones': {'default': False, 'description': 'Delete source zones after merging', 'type': 'boolean'}, 'overwrite_conflicts': {'default': 'skip', 'description': 'How to handle name conflicts', 'enum': ['skip', 'overwrite', 'rename'], 'type': 'string'}, 'source_zones': {'description': 'Source zones to merge from', 'items': {'type': 'string'}, 'type': 'array'}, 'target_zone': {'description': 'Target zone to merge into', 'type': 'string'}}, 'required': ['source_zones', 'target_zone'], 'type': 'object'}, description="""Merge multiple zones with conflict resolution options."""), # j3k0/Elasticsearch Knowledge Graph for MCP/merge_zones
    Tool(name="""Elasticsearch Knowledge Graph for MCP_zone_stats""", inputSchema={'properties': {'zone': {'description': 'Zone name (omit for default zone)', 'type': 'string'}}, 'type': 'object'}, description="""Get statistics for entities and relationships in a zone."""), # j3k0/Elasticsearch Knowledge Graph for MCP/zone_stats
    Tool(name="""Sentry MCP Server_list_projects""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'format': {'default': 'markdown', 'description': 'Output format (default: markdown)', 'enum': ['plain', 'markdown'], 'type': 'string'}, 'organization_slug': {'description': 'The slug of the organization to list projects from', 'type': 'string'}, 'view': {'default': 'detailed', 'description': 'View type (default: detailed)', 'enum': ['summary', 'detailed'], 'type': 'string'}}, 'required': ['organization_slug'], 'type': 'object'}, description="""List accessible Sentry projects. View project slugs, IDs, status, settings, features, and organization details."""), # codyde/Sentry MCP Server/list_projects
    Tool(name="""Sentry MCP Server_resolve_short_id""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'format': {'default': 'markdown', 'description': 'Output format (default: markdown)', 'enum': ['plain', 'markdown'], 'type': 'string'}, 'organization_slug': {'description': 'The slug of the organization the issue belongs to', 'type': 'string'}, 'short_id': {'description': 'The short ID of the issue to resolve (e.g., PROJECT-123)', 'type': 'string'}}, 'required': ['organization_slug', 'short_id'], 'type': 'object'}, description="""Retrieve details about an issue using its short ID. Maps short IDs to issue details, project context, and status."""), # codyde/Sentry MCP Server/resolve_short_id
    Tool(name="""Sentry MCP Server_get_sentry_event""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'event_id': {'description': 'The specific event ID to retrieve', 'type': 'string'}, 'format': {'default': 'markdown', 'description': 'Output format (default: markdown)', 'enum': ['plain', 'markdown'], 'type': 'string'}, 'issue_id_or_url': {'description': 'Either a full Sentry issue URL or just the numeric issue ID', 'type': 'string'}, 'organization_slug': {'description': 'The slug of the organization the issue belongs to', 'type': 'string'}, 'view': {'default': 'detailed', 'description': 'View type (default: detailed)', 'enum': ['summary', 'detailed'], 'type': 'string'}}, 'required': ['issue_id_or_url', 'event_id', 'organization_slug'], 'type': 'object'}, description="""Retrieve a specific Sentry event from an issue. Requires issue ID/URL and event ID."""), # codyde/Sentry MCP Server/get_sentry_event
    Tool(name="""Sentry MCP Server_list_error_events_in_project""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'format': {'default': 'markdown', 'description': 'Output format (default: markdown)', 'enum': ['plain', 'markdown'], 'type': 'string'}, 'organization_slug': {'description': 'The slug of the organization the project belongs to', 'type': 'string'}, 'project_slug': {'description': 'The slug of the project to list events from', 'type': 'string'}, 'view': {'default': 'detailed', 'description': 'View type (default: detailed)', 'enum': ['summary', 'detailed'], 'type': 'string'}}, 'required': ['organization_slug', 'project_slug'], 'type': 'object'}, description="""List error events from a specific Sentry project. View recent errors, frequency patterns, and occurrence timestamps."""), # codyde/Sentry MCP Server/list_error_events_in_project
    Tool(name="""Sentry MCP Server_create_project""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'format': {'default': 'markdown', 'description': 'Output format (default: markdown)', 'enum': ['plain', 'markdown'], 'type': 'string'}, 'name': {'description': 'The name of the project to create', 'type': 'string'}, 'organization_slug': {'description': 'The slug of the organization to create the project in', 'type': 'string'}, 'platform': {'description': 'The platform for the project (e.g., python, javascript, etc.)', 'type': 'string'}, 'team_slug': {'description': 'The slug of the team to associate the project with', 'type': 'string'}, 'view': {'default': 'detailed', 'description': 'View type (default: detailed)', 'enum': ['summary', 'detailed'], 'type': 'string'}}, 'required': ['organization_slug', 'team_slug', 'name'], 'type': 'object'}, description="""Create a new project in Sentry. Track deployments, releases, and health metrics."""), # codyde/Sentry MCP Server/create_project
    Tool(name="""Sentry MCP Server_list_project_issues""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'format': {'default': 'markdown', 'description': 'Output format (default: markdown)', 'enum': ['plain', 'markdown'], 'type': 'string'}, 'organization_slug': {'description': 'The slug of the organization the project belongs to', 'type': 'string'}, 'project_slug': {'description': 'The slug of the project to list issues from', 'type': 'string'}, 'view': {'default': 'detailed', 'description': 'View type (default: detailed)', 'enum': ['summary', 'detailed'], 'type': 'string'}}, 'required': ['organization_slug', 'project_slug'], 'type': 'object'}, description="""List issues from a Sentry project. Monitor issue status, severity, frequency, and timing."""), # codyde/Sentry MCP Server/list_project_issues
    Tool(name="""Sentry MCP Server_list_issue_events""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'format': {'default': 'markdown', 'description': 'Output format (default: markdown)', 'enum': ['plain', 'markdown'], 'type': 'string'}, 'issue_id': {'description': 'The ID of the issue to list events for', 'type': 'string'}, 'organization_slug': {'description': 'The slug of the organization the issue belongs to', 'type': 'string'}, 'view': {'default': 'detailed', 'description': 'View type (default: detailed)', 'enum': ['summary', 'detailed'], 'type': 'string'}}, 'required': ['organization_slug', 'issue_id'], 'type': 'object'}, description="""List events for a specific Sentry issue. Analyze event details, metadata, and patterns."""), # codyde/Sentry MCP Server/list_issue_events
    Tool(name="""Sentry MCP Server_get_sentry_issue""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'format': {'default': 'markdown', 'description': 'Output format (default: markdown)', 'enum': ['plain', 'markdown'], 'type': 'string'}, 'issue_id_or_url': {'description': 'Either a full Sentry issue URL or just the numeric issue ID', 'type': 'string'}, 'organization_slug': {'description': 'The slug of the organization the issue belongs to', 'type': 'string'}, 'view': {'default': 'detailed', 'description': 'View type (default: detailed)', 'enum': ['summary', 'detailed'], 'type': 'string'}}, 'required': ['issue_id_or_url', 'organization_slug'], 'type': 'object'}, description="""Retrieve and analyze a Sentry issue. Accepts issue URL or ID."""), # codyde/Sentry MCP Server/get_sentry_issue
    Tool(name="""Sentry MCP Server_list_organization_replays""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'cursor': {'description': 'Optional cursor for pagination', 'type': 'string'}, 'end': {'description': "Optional end of time range (UTC ISO8601 or epoch seconds). Use with 'start' instead of 'stats_period'", 'type': 'string'}, 'environment': {'description': 'Optional environment to filter replays by', 'type': 'string'}, 'format': {'default': 'markdown', 'description': 'Output format (default: markdown)', 'enum': ['plain', 'markdown'], 'type': 'string'}, 'organization_slug': {'description': 'The slug of the organization to list replays from', 'type': 'string'}, 'per_page': {'description': 'Optional limit on number of results to return', 'type': 'number'}, 'project_ids': {'description': 'Optional array of project IDs to filter replays by', 'items': {'type': 'string'}, 'type': 'array'}, 'query': {'description': 'Optional structured query string to filter results', 'type': 'string'}, 'sort': {'description': 'Optional field to sort results by', 'type': 'string'}, 'start': {'description': "Optional start of time range (UTC ISO8601 or epoch seconds). Use with 'end' instead of 'stats_period'", 'type': 'string'}, 'stats_period': {'description': "Optional time range in format <number><unit> (e.g., '1d' for one day). Units: m (minutes), h (hours), d (days), w (weeks)", 'type': 'string'}, 'view': {'default': 'detailed', 'description': 'View type (default: detailed)', 'enum': ['summary', 'detailed'], 'type': 'string'}}, 'required': ['organization_slug'], 'type': 'object'}, description="""List replays from a Sentry organization. Monitor user sessions, interactions, errors, and experience issues."""), # codyde/Sentry MCP Server/list_organization_replays
    Tool(name="""Sentry MCP Server_setup_sentry""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'environment': {'description': 'Optional environment name (e.g., production, staging, development)', 'type': 'string'}, 'format': {'default': 'markdown', 'description': 'Output format (default: markdown)', 'enum': ['plain', 'markdown'], 'type': 'string'}, 'organization_slug': {'description': 'The slug of the organization to create the project in', 'type': 'string'}, 'project_name': {'description': 'The name of the project to create', 'type': 'string'}, 'team_slug': {'description': 'The slug of the team to associate the project with', 'type': 'string'}}, 'required': ['organization_slug', 'team_slug', 'project_name'], 'type': 'object'}, description="""Set up Sentry for a project returning a dsn and instructions for setup."""), # codyde/Sentry MCP Server/setup_sentry
    Tool(name="""Emergency Medicare Planner MCP Server_get_emergency_contacts""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'location': {'description': 'Location to get emergency contacts for', 'type': 'string'}, 'serviceType': {'description': 'Types of emergency services needed', 'items': {'type': 'string'}, 'type': 'array'}}, 'required': ['location'], 'type': 'object'}, description="""Retrieves emergency contact information for a specific location"""), # manolaz/Emergency Medicare Planner MCP Server/get_emergency_contacts
    Tool(name="""Emergency Medicare Planner MCP Server_find_nearby_medical_facilities""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'careQuality': {'description': 'Expected quality of medical care', 'enum': ['high', 'medium', 'any'], 'type': 'string'}, 'facilities': {'description': 'Types of medical facilities to search for', 'items': {'enum': ['hospital', 'clinic', 'emergency', 'pharmacy', 'specialist'], 'type': 'string'}, 'type': 'array'}, 'infrastructure': {'description': 'Quality of infrastructure and cleanliness', 'enum': ['excellent', 'good', 'any'], 'type': 'string'}, 'priceRange': {'description': 'Price range preference', 'enum': ['low', 'moderate', 'high', 'any'], 'type': 'string'}, 'radius': {'default': 10000, 'description': 'Search radius in meters (default: 10000m = 10km)', 'type': 'number'}, 'treatmentNeeds': {'description': 'Specific medical treatments or services needed', 'items': {'type': 'string'}, 'type': 'array'}, 'userLocation': {'description': "User's current location (address or coordinates)", 'type': 'string'}}, 'required': ['userLocation'], 'type': 'object'}, description="""Finds hospitals and clinics nearby user location that match specific requirements"""), # manolaz/Emergency Medicare Planner MCP Server/find_nearby_medical_facilities
    Tool(name="""Emergency Medicare Planner MCP Server_check_medicare_coverage""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'insuranceType': {'description': 'Type of Medicare insurance (e.g., Part A, Part B)', 'type': 'string'}, 'state': {'description': 'US State code (e.g., CA, NY)', 'type': 'string'}, 'treatmentCode': {'description': 'Medicare treatment or procedure code', 'type': 'string'}}, 'required': ['treatmentCode', 'state'], 'type': 'object'}, description="""Checks what treatments and procedures are covered by Medicare"""), # manolaz/Emergency Medicare Planner MCP Server/check_medicare_coverage
    Tool(name="""Emergency Medicare Planner MCP Server_schedule_emergency_transport""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'destination': {'description': 'Destination hospital or clinic', 'type': 'string'}, 'medicalCondition': {'description': 'Brief description of medical condition', 'type': 'string'}, 'patientLocation': {'description': "Patient's current location", 'type': 'string'}, 'urgency': {'description': 'Level of urgency', 'enum': ['critical', 'urgent', 'standard'], 'type': 'string'}}, 'required': ['patientLocation', 'medicalCondition', 'urgency'], 'type': 'object'}, description="""Arranges emergency medical transportation"""), # manolaz/Emergency Medicare Planner MCP Server/schedule_emergency_transport
    Tool(name="""Emergency Medicare Planner MCP Server_sequentialthinking""", inputSchema={'properties': {'branchFromThought': {'description': 'Branching point thought number for alternative diagnosis', 'minimum': 1, 'type': 'integer'}, 'branchId': {'description': 'Branch identifier for the diagnostic path', 'type': 'string'}, 'isRevision': {'description': 'Whether this revises previous medical thinking', 'type': 'boolean'}, 'needsMoreThoughts': {'description': 'If more clinical evaluation is needed', 'type': 'boolean'}, 'nextThoughtNeeded': {'description': 'Whether another medical assessment step is needed', 'type': 'boolean'}, 'revisesThought': {'description': 'Which medical assessment is being reconsidered', 'minimum': 1, 'type': 'integer'}, 'thought': {'description': 'Your current clinical thinking step', 'type': 'string'}, 'thoughtNumber': {'description': 'Current thought number', 'minimum': 1, 'type': 'integer'}, 'totalThoughts': {'description': 'Estimated total thoughts needed for complete evaluation', 'minimum': 1, 'type': 'integer'}}, 'required': ['thought', 'nextThoughtNeeded', 'thoughtNumber', 'totalThoughts'], 'type': 'object'}, description="""A detailed tool for dynamic and reflective medical problem-solving through thoughts.\nThis tool helps analyze medical problems through a flexible thinking process that can adapt and evolve.\nEach thought can build on, question, or revise previous insights as understanding of the medical situation deepens.\n\nWhen to use this tool:\n- Breaking down complex medical problems into steps\n- Planning and designing treatment approaches with room for revision\n- Clinical analysis that might need course correction\n- Medical problems where the full scope might not be clear initially\n- Healthcare decisions that require a multi-step solution\n- Medical evaluations that need to maintain context over multiple steps\n- Situations where irrelevant medical information needs to be filtered out\n\nKey features:\n- You can adjust total_thoughts up or down as the diagnosis progresses\n- You can question or revise previous medical assessments\n- You can add more diagnostic thoughts as new information emerges\n- You can express clinical uncertainty and explore alternative approaches\n- Not every medical assessment needs to build linearly - you can branch or backtrack\n- Generates a clinical hypothesis\n- Verifies the hypothesis based on the Chain of Thought steps\n- Repeats the process until a satisfactory diagnosis or treatment plan is reached\n- Provides a correct medical assessment or recommendation"""), # manolaz/Emergency Medicare Planner MCP Server/sequentialthinking
    Tool(name="""IP Geolocation MCP Server_get_ip_details""", inputSchema={'properties': {'ip': {'anyOf': [{'type': 'string'}, {'type': 'null'}], 'title': 'Ip'}}, 'required': ['ip'], 'title': 'get_ip_detailsArguments', 'type': 'object'}, description="""Get information about an IP address.\n\nUse this tool to:\n- Determine the user's geographic location to coarse granularity\n- Get information about the user's internet service provider\n- Get information about a specific IP address\n\nArgs:\n    ip (str | None): The IP address to look up. If None, returns information\n        about the requesting client's IP address.\n    ctx (Context): The MCP request context.\n\nReturns:\n    IPDetails: Object containing information about the IP address,\n        including geographic location, network operator, and more.\n\nNote:\n    This tool requires an IPInfo API Token specified via the IPINFO_API_TOKEN\n    environment variable for full functionality.\n"""), # briandconnelly/IP Geolocation MCP Server/get_ip_details
    Tool(name="""Whois MCP_whois_domain""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'domain': {'minLength': 1, 'type': 'string'}}, 'required': ['domain'], 'type': 'object'}, description="""Looksup whois information about the domain"""), # bharathvaj-ganesan/Whois MCP/whois_domain
    Tool(name="""Whois MCP_whois_tld""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'tld': {'minLength': 1, 'type': 'string'}}, 'required': ['tld'], 'type': 'object'}, description="""Looksup whois information about the Top Level Domain (TLD)"""), # bharathvaj-ganesan/Whois MCP/whois_tld
    Tool(name="""Whois MCP_whois_ip""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'ip': {'anyOf': [{'format': 'ipv4'}, {'format': 'ipv6'}], 'type': 'string'}}, 'required': ['ip'], 'type': 'object'}, description="""Looksup whois information about the IP"""), # bharathvaj-ganesan/Whois MCP/whois_ip
    Tool(name="""Whois MCP_whois_as""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'asn': {'pattern': '^AS\\d+$', 'type': 'string'}}, 'required': ['asn'], 'type': 'object'}, description="""Looksup whois information about the Autonomous System Number (ASN)"""), # bharathvaj-ganesan/Whois MCP/whois_as
    Tool(name="""GitHub MCP Server_create_repo""", inputSchema={'properties': {'command': {'description': 'Natural language command like "Create a repository for my machine learning project with tags python tensorflow" or "Update repository-name description to New description with tags updated ml"', 'type': 'string'}}, 'required': ['command'], 'type': 'object'}, description="""Create or update GitHub repositories using natural language commands"""), # PoliTwit1984/GitHub MCP Server/create_repo
    Tool(name="""MCP Server Linear_linear-search-issues""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'assigneeId': {'description': "Filter by assignee's user ID", 'type': 'string'}, 'estimate': {'description': 'Filter by estimate points', 'type': 'number'}, 'includeArchived': {'description': 'Include archived issues in results (default: false)', 'type': 'boolean'}, 'labels': {'description': 'Filter by label names', 'items': {'type': 'string'}, 'type': 'array'}, 'limit': {'default': 10, 'description': 'Max results to return (default: 10)', 'type': 'number'}, 'priority': {'description': 'Filter by priority (1=urgent, 2=high, 3=normal, 4=low)', 'type': 'number'}, 'project': {'description': 'Filter by project name', 'type': 'string'}, 'query': {'description': 'Search term', 'type': 'string'}, 'status': {'description': "Filter by status name (e.g., 'In Progress', 'Done')", 'type': 'string'}, 'teamId': {'description': 'Filter by team ID', 'type': 'string'}}, 'required': ['query'], 'type': 'object'}, description="""Search for issues in Linear"""), # floodfx/MCP Server Linear/linear-search-issues
    Tool(name="""Claude-GAS-Bridge_execute-gas""", inputSchema={'properties': {'apiKey': {'type': 'string'}, 'script': {'type': 'string'}, 'title': {'type': 'string'}}, 'required': ['script', 'apiKey'], 'type': 'object'}, description="""Execute custom GAS script"""), # KaishuShito/Claude-GAS-Bridge/execute-gas
    Tool(name="""Microsoft SQL Server MCP Server_execute_sql""", inputSchema={'properties': {'query': {'description': 'The SQL query to execute', 'type': 'string'}}, 'required': ['query'], 'type': 'object'}, description="""Execute an SQL query on the SQL Server"""), # RichardHan/Microsoft SQL Server MCP Server/execute_sql
    Tool(name="""Python Docs Server_get_python_docs""", inputSchema={'properties': {'query': {'description': 'The search query for Python documentation', 'type': 'string'}}, 'required': ['query'], 'type': 'object'}, description="""Get Python documentation for a given query"""), # AnuragRai017/Python Docs Server/get_python_docs
    Tool(name="""MCP-AnkiConnect_list_decks_and_notes""", inputSchema={'properties': {}, 'title': 'list_decks_and_notesArguments', 'type': 'object'}, description="""Get all decks and note types with their fields"""), # samefarrar/MCP-AnkiConnect/list_decks_and_notes
    Tool(name="""MCP-AnkiConnect_num_cards_due_today""", inputSchema={'properties': {'deck': {'anyOf': [{'type': 'string'}, {'type': 'null'}], 'default': None, 'title': 'Deck'}}, 'title': 'num_cards_due_todayArguments', 'type': 'object'}, description="""Get the number of cards due today with an optional deck filter"""), # samefarrar/MCP-AnkiConnect/num_cards_due_today
    Tool(name="""MCP-AnkiConnect_get_examples""", inputSchema={'properties': {'deck': {'anyOf': [{'type': 'string'}, {'type': 'null'}], 'default': None, 'title': 'Deck'}, 'limit': {'default': 5, 'minimum': 1, 'title': 'Limit', 'type': 'integer'}, 'sample': {'default': 'random', 'pattern': '^(random|recent|most_reviewed|best_performance|mature|young)$', 'title': 'Sample', 'type': 'string'}}, 'title': 'get_examplesArguments', 'type': 'object'}, description="""Get example notes from Anki to guide your flashcard making. Limit the number of examples returned and provide a sampling technique:\n\n            - random: Randomly sample notes\n            - recent: Notes added in the last week\n            - most_reviewed: Notes with more than 10 reviews\n            - best_performance: Notes with less than 3 lapses\n            - mature: Notes with interval greater than 21 days\n            - young: Notes with interval less than 7 days\n            """), # samefarrar/MCP-AnkiConnect/get_examples
    Tool(name="""MCP-AnkiConnect_fetch_due_cards_for_review""", inputSchema={'properties': {'deck': {'anyOf': [{'type': 'string'}, {'type': 'null'}], 'default': None, 'title': 'Deck'}, 'limit': {'default': 5, 'title': 'Limit', 'type': 'integer'}, 'today_only': {'default': True, 'title': 'Today Only', 'type': 'boolean'}}, 'title': 'fetch_due_cards_for_reviewArguments', 'type': 'object'}, description="""Fetch cards that are due for learning and format them for review. Takes optional arguments:\n      - deck: str - Filter by specific deck.\n      - limit: int - Maximum number of cards to fetch (default 5). More than 5 is overwhelming for users.\n      - today_only: bool - If true, only fetch cards due today, else fetch cards up to 5 days ahead."""), # samefarrar/MCP-AnkiConnect/fetch_due_cards_for_review
    Tool(name="""MCP-AnkiConnect_submit_reviews""", inputSchema={'properties': {'reviews': {'items': {'additionalProperties': {'anyOf': [{'type': 'integer'}, {'enum': ['wrong', 'hard', 'good', 'easy'], 'type': 'string'}]}, 'propertyNames': {'enum': ['card_id', 'rating']}, 'type': 'object'}, 'title': 'Reviews', 'type': 'array'}}, 'required': ['reviews'], 'title': 'submit_reviewsArguments', 'type': 'object'}, description="""Submit multiple card reviews to Anki.\n\n    Args:\n        reviews: List of dictionaries containing:\n            - card_id (int): The ID of the card being reviewed\n            - rating (str): The rating to give the card, one of:\n                \"wrong\" - Card was incorrect (Again)\n                \"hard\" - Card was difficult (Hard)\n                \"good\" - Card was good (Good)\n                \"easy\" - Card was very easy (Easy)\n    """), # samefarrar/MCP-AnkiConnect/submit_reviews
    Tool(name="""MCP-AnkiConnect_add_note""", inputSchema={'properties': {'deckName': {'title': 'Deckname', 'type': 'string'}, 'fields': {'additionalProperties': {'type': 'string'}, 'title': 'Fields', 'type': 'object'}, 'modelName': {'title': 'Modelname', 'type': 'string'}, 'tags': {'items': {'type': 'string'}, 'title': 'Tags', 'type': 'array'}}, 'required': ['deckName', 'modelName', 'fields'], 'title': 'add_noteArguments', 'type': 'object'}, description="""Add a flashcard to Anki. Ensure you have looked at examples before you do this, and that you have got approval from the user to add the flashcard.\n    Args:\n        deckName: str - The name of the deck to add the flashcard to.\n        modelName: str - The name of the note type to use.\n        fields: dict - The fields of the flashcard to add.\n        tags: List[str] - The tags to add to the flashcard."""), # samefarrar/MCP-AnkiConnect/add_note
    Tool(name="""SolarWinds Logs MCP Server_search_logs""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'direction': {'default': 'backward', 'description': 'Sort order: backward (oldest to newest), forward (newest to oldest), or tail (oldest to newest)', 'enum': ['backward', 'forward', 'tail'], 'type': 'string'}, 'endTime': {'description': 'UTC end time (ISO 8601 format)', 'type': 'string'}, 'entityId': {'description': 'Filter logs by a specific entity ID', 'type': 'string'}, 'filter': {'description': 'A search query string. Use AND/OR operators to combine terms (e.g., "error AND timeout"). The search is performed across all fields including message, hostname, program, and nested JSON fields like Context.CorrelationId. Field-specific queries like "field:value" are not supported.', 'type': 'string'}, 'group': {'description': 'Filter logs by a specific group name', 'type': 'string'}, 'pageSize': {'default': 50, 'description': 'Maximum messages to return per page', 'type': 'number'}, 'skipToken': {'description': 'Token to skip to the next page of results', 'type': 'string'}, 'startTime': {'description': 'UTC start time (ISO 8601 format)', 'type': 'string'}}, 'type': 'object'}, description="""Search SolarWinds Observability logs with optional filtering"""), # jakenuts/SolarWinds Logs MCP Server/search_logs
    Tool(name="""SolarWinds Logs MCP Server_visualize_logs""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'endTime': {'description': 'UTC end time (ISO 8601 format), defaults to current time', 'type': 'string'}, 'entityId': {'description': 'Filter logs by a specific entity ID', 'type': 'string'}, 'filter': {'description': 'A search query string', 'type': 'string'}, 'format': {'default': 'text', 'description': 'Output format: text for ASCII chart, json for Claude visualization', 'enum': ['text', 'json'], 'type': 'string'}, 'group': {'description': 'Filter logs by a specific group name', 'type': 'string'}, 'interval': {'default': 'hour', 'description': 'Time interval for histogram buckets', 'enum': ['minute', 'hour', 'day'], 'type': 'string'}, 'pageSize': {'default': 1000, 'description': 'Maximum messages to analyze', 'type': 'number'}, 'startTime': {'description': 'UTC start time (ISO 8601 format), defaults to 24 hours ago', 'type': 'string'}, 'use_utc': {'default': False, 'description': 'Use UTC time instead of local time', 'type': 'boolean'}}, 'type': 'object'}, description="""Generate a histogram visualization of log events"""), # jakenuts/SolarWinds Logs MCP Server/visualize_logs
    Tool(name="""DeltaTask MCP Server_get_task_by_id""", inputSchema={'properties': {'task_id': {'title': 'Task Id', 'type': 'string'}}, 'required': ['task_id'], 'title': 'get_task_by_idArguments', 'type': 'object'}, description="""Get details for a specific task by ID."""), # brysontang/DeltaTask MCP Server/get_task_by_id
    Tool(name="""DeltaTask MCP Server_search_tasks""", inputSchema={'properties': {'query': {'title': 'Query', 'type': 'string'}}, 'required': ['query'], 'title': 'search_tasksArguments', 'type': 'object'}, description="""Search tasks by title, description, or tags."""), # brysontang/DeltaTask MCP Server/search_tasks
    Tool(name="""DeltaTask MCP Server_create_task""", inputSchema={'properties': {'description': {'default': '', 'title': 'Description', 'type': 'string'}, 'effort': {'default': 1, 'title': 'Effort', 'type': 'integer'}, 'tags': {'default': [], 'items': {'type': 'string'}, 'title': 'Tags', 'type': 'array'}, 'title': {'title': 'Title', 'type': 'string'}, 'urgency': {'default': 1, 'title': 'Urgency', 'type': 'integer'}}, 'required': ['title'], 'title': 'create_taskArguments', 'type': 'object'}, description="""Create a new task."""), # brysontang/DeltaTask MCP Server/create_task
    Tool(name="""DeltaTask MCP Server_update_task""", inputSchema={'properties': {'task_id': {'title': 'Task Id', 'type': 'string'}, 'updates': {'title': 'Updates', 'type': 'object'}}, 'required': ['task_id', 'updates'], 'title': 'update_taskArguments', 'type': 'object'}, description="""Update an existing task."""), # brysontang/DeltaTask MCP Server/update_task
    Tool(name="""DeltaTask MCP Server_delete_task""", inputSchema={'properties': {'task_id': {'title': 'Task Id', 'type': 'string'}}, 'required': ['task_id'], 'title': 'delete_taskArguments', 'type': 'object'}, description="""Delete a task."""), # brysontang/DeltaTask MCP Server/delete_task
    Tool(name="""DeltaTask MCP Server_sync_tasks""", inputSchema={'properties': {}, 'title': 'sync_tasksArguments', 'type': 'object'}, description="""Sync tasks from Obsidian markdown into SQLite."""), # brysontang/DeltaTask MCP Server/sync_tasks
    Tool(name="""DeltaTask MCP Server_list_tasks""", inputSchema={'properties': {'tags': {'default': None, 'items': {'type': 'string'}, 'title': 'Tags', 'type': 'array'}}, 'title': 'list_tasksArguments', 'type': 'object'}, description="""List all tasks with optional tags, if you user asks for a tag, please provide it in the request."""), # brysontang/DeltaTask MCP Server/list_tasks
    Tool(name="""DeltaTask MCP Server_get_statistics""", inputSchema={'properties': {}, 'title': 'get_statisticsArguments', 'type': 'object'}, description="""Get task statistics including completion rates and urgency distribution."""), # brysontang/DeltaTask MCP Server/get_statistics
    Tool(name="""DeltaTask MCP Server_create_subtasks""", inputSchema={'properties': {'subtasks': {'items': {'type': 'object'}, 'title': 'Subtasks', 'type': 'array'}, 'task_id': {'title': 'Task Id', 'type': 'string'}}, 'required': ['task_id', 'subtasks'], 'title': 'create_subtasksArguments', 'type': 'object'}, description="""Create multiple subtasks for a parent task with categories."""), # brysontang/DeltaTask MCP Server/create_subtasks
    Tool(name="""DeltaTask MCP Server_get_all_tags""", inputSchema={'properties': {}, 'title': 'get_all_tagsArguments', 'type': 'object'}, description="""Get all unique tag names used in tasks."""), # brysontang/DeltaTask MCP Server/get_all_tags
    Tool(name="""DeltaTask MCP Server_get_subtasks""", inputSchema={'properties': {'parent_id': {'title': 'Parent Id', 'type': 'string'}}, 'required': ['parent_id'], 'title': 'get_subtasksArguments', 'type': 'object'}, description="""Get subtasks for a given parent task ID."""), # brysontang/DeltaTask MCP Server/get_subtasks
    Tool(name="""DeltaTask MCP Server_finish_task""", inputSchema={'properties': {'task_id': {'title': 'Task Id', 'type': 'string'}}, 'required': ['task_id'], 'title': 'finish_taskArguments', 'type': 'object'}, description="""Mark a task as completed."""), # brysontang/DeltaTask MCP Server/finish_task
    Tool(name="""Excel Reader Server_read_excel""", inputSchema={'properties': {'file_path': {'description': 'Path to the Excel file', 'type': 'string'}}, 'required': ['file_path'], 'type': 'object'}, description="""Read content from Excel (xlsx) files"""), # softgridinc-pte-ltd/Excel Reader Server/read_excel
    Tool(name="""Excel Reader Server_read_excel_by_sheet_name""", inputSchema={'properties': {'file_path': {'description': 'Path to the Excel file', 'type': 'string'}, 'sheet_name': {'description': 'Name of the sheet to read (optional, defaults to first sheet)', 'type': 'string'}}, 'required': ['file_path'], 'type': 'object'}, description="""Read content from a specific sheet by name in Excel (xlsx) files. Reads first sheet if sheet_name not provided."""), # softgridinc-pte-ltd/Excel Reader Server/read_excel_by_sheet_name
    Tool(name="""Excel Reader Server_read_excel_by_sheet_index""", inputSchema={'properties': {'file_path': {'description': 'Path to the Excel file', 'type': 'string'}, 'sheet_index': {'description': 'Index of the sheet to read (optional, defaults to 0)', 'minimum': 0, 'type': 'integer'}}, 'required': ['file_path'], 'type': 'object'}, description="""Read content from a specific sheet by index in Excel (xlsx) files. Reads first sheet (index 0) if sheet_index not provided."""), # softgridinc-pte-ltd/Excel Reader Server/read_excel_by_sheet_index
    Tool(name="""Dub.co MCP Server_create_link""", inputSchema={'properties': {'domain': {'description': 'Optional domain slug to use. If not provided, the primary domain will be used.', 'type': 'string'}, 'externalId': {'description': 'Optional external ID for the link', 'type': 'string'}, 'key': {'description': 'Optional custom slug for the short link. If not provided, a random slug will be generated.', 'type': 'string'}, 'url': {'description': 'The destination URL to shorten', 'type': 'string'}}, 'required': ['url'], 'type': 'object'}, description="""Create a new short link on dub.co, asking the user which domain to use"""), # Gitmaxd/Dub.co MCP Server/create_link
    Tool(name="""Dub.co MCP Server_update_link""", inputSchema={'properties': {'domain': {'description': 'The new domain for the short link', 'type': 'string'}, 'key': {'description': 'The new slug for the short link', 'type': 'string'}, 'linkId': {'description': 'The ID of the link to update', 'type': 'string'}, 'url': {'description': 'The new destination URL', 'type': 'string'}}, 'required': ['linkId'], 'type': 'object'}, description="""Update an existing short link on dub.co"""), # Gitmaxd/Dub.co MCP Server/update_link
    Tool(name="""Dub.co MCP Server_upsert_link""", inputSchema={'properties': {'domain': {'description': 'Optional domain slug to use. If not provided, the primary domain will be used.', 'type': 'string'}, 'externalId': {'description': 'Optional external ID for the link', 'type': 'string'}, 'key': {'description': 'Optional custom slug for the short link. If not provided, a random slug will be generated.', 'type': 'string'}, 'url': {'description': 'The destination URL to shorten', 'type': 'string'}}, 'required': ['url'], 'type': 'object'}, description="""Create or update a short link on dub.co, asking the user which domain to use if creating"""), # Gitmaxd/Dub.co MCP Server/upsert_link
    Tool(name="""Dub.co MCP Server_delete_link""", inputSchema={'properties': {'linkId': {'description': 'The ID of the link to delete', 'type': 'string'}}, 'required': ['linkId'], 'type': 'object'}, description="""Delete a short link on dub.co"""), # Gitmaxd/Dub.co MCP Server/delete_link
    Tool(name="""Command Executor MCP Server_execute_command""", inputSchema={'properties': {'command': {'description': '', 'type': 'string'}}, 'required': ['command'], 'type': 'object'}, description=""""""), # Sunwood-ai-labs/Command Executor MCP Server/execute_command
    Tool(name="""Confluence Communication Server_execute_cql_search""", inputSchema={'properties': {'cql': {'description': 'CQL query string', 'type': 'string'}, 'limit': {'default': 10, 'description': 'Number of results to return', 'type': 'integer'}}, 'required': ['cql'], 'type': 'object'}, description="""Execute a CQL query on Confluence to search pages"""), # KS-GEN-AI/Confluence Communication Server/execute_cql_search
    Tool(name="""Confluence Communication Server_get_page_content""", inputSchema={'properties': {'pageId': {'description': 'Confluence Page ID', 'type': 'string'}}, 'required': ['pageId'], 'type': 'object'}, description="""Get the content of a Confluence page"""), # KS-GEN-AI/Confluence Communication Server/get_page_content
    Tool(name="""Image Generator MCP Server_generate_image""", inputSchema={'properties': {'imageName': {'description': 'The filename for the image excluding any extensions.', 'type': 'string'}, 'prompt': {'description': 'A prompt detailing what image to generate.', 'type': 'string'}}, 'required': ['prompt', 'imageName'], 'type': 'object'}, description="""Generate an image from a prompt."""), # sammyl720/Image Generator MCP Server/generate_image
    Tool(name="""Todoist MCP_get-tasks""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'projectId': {'type': 'string'}}, 'type': 'object'}, description="""Get all tasks from Todoist"""), # miottid/Todoist MCP/get-tasks
    Tool(name="""Todoist MCP_update-task""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'assigneeId': {'description': 'The ID of a project collaborator to assign the task to', 'type': 'string'}, 'content': {'type': 'string'}, 'deadlineDate': {'description': 'Specific date in YYYY-MM-DD format relative to users timezone.', 'type': 'string'}, 'deadlineLang': {'description': '2-letter code specifying language of deadline.', 'type': 'string'}, 'description': {'type': 'string'}, 'labels': {'items': {'type': 'string'}, 'type': 'array'}, 'priority': {'description': 'Task priority from 1 (normal) to 4 (urgent)', 'maximum': 4, 'minimum': 1, 'type': 'number'}, 'taskId': {'type': 'string'}}, 'required': ['taskId'], 'type': 'object'}, description="""Update a task in Todoist"""), # miottid/Todoist MCP/update-task
    Tool(name="""Todoist MCP_close-task""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'taskId': {'type': 'string'}}, 'required': ['taskId'], 'type': 'object'}, description="""Close (complete) a task in Todoist"""), # miottid/Todoist MCP/close-task
    Tool(name="""Todoist MCP_move-task-to-project""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'projectId': {'type': 'string'}, 'taskId': {'type': 'string'}}, 'required': ['taskId', 'projectId'], 'type': 'object'}, description="""Move a task to a different project in Todoist"""), # miottid/Todoist MCP/move-task-to-project
    Tool(name="""Todoist MCP_move-task-to-section""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'sectionId': {'type': 'string'}, 'taskId': {'type': 'string'}}, 'required': ['taskId', 'sectionId'], 'type': 'object'}, description="""Move a task to a different section in Todoist"""), # miottid/Todoist MCP/move-task-to-section
    Tool(name="""Todoist MCP_delete-task""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'taskId': {'type': 'string'}}, 'required': ['taskId'], 'type': 'object'}, description="""Delete a task from a project in Todoist"""), # miottid/Todoist MCP/delete-task
    Tool(name="""Todoist MCP_reopen-task""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'taskId': {'type': 'string'}}, 'required': ['taskId'], 'type': 'object'}, description="""Reopens a previously closed (completed) task in Todoist"""), # miottid/Todoist MCP/reopen-task
    Tool(name="""Todoist MCP_add-section""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'name': {'type': 'string'}, 'order': {'type': 'number'}, 'projectId': {'type': 'string'}}, 'required': ['projectId', 'name'], 'type': 'object'}, description="""Add a section to a project in Todoist"""), # miottid/Todoist MCP/add-section
    Tool(name="""Todoist MCP_get-section""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'sectionId': {'type': 'string'}}, 'required': ['sectionId'], 'type': 'object'}, description="""Get section details in Todoist"""), # miottid/Todoist MCP/get-section
    Tool(name="""Todoist MCP_get-sections""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'projectId': {'type': 'string'}}, 'required': ['projectId'], 'type': 'object'}, description="""Get all sections from a project in Todoist"""), # miottid/Todoist MCP/get-sections
    Tool(name="""Todoist MCP_update-section""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'name': {'type': 'string'}, 'sectionId': {'type': 'string'}}, 'required': ['sectionId', 'name'], 'type': 'object'}, description="""Update a section in Todoist"""), # miottid/Todoist MCP/update-section
    Tool(name="""Todoist MCP_delete-section""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'sectionId': {'type': 'string'}}, 'required': ['sectionId'], 'type': 'object'}, description="""Delete a section from a project in Todoist"""), # miottid/Todoist MCP/delete-section
    Tool(name="""Todoist MCP_add-comment-to-project""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'content': {'type': 'string'}, 'projectId': {'type': 'string'}}, 'required': ['projectId', 'content'], 'type': 'object'}, description="""Add a comment to a project in Todoist"""), # miottid/Todoist MCP/add-comment-to-project
    Tool(name="""Todoist MCP_add-comment-to-task""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'content': {'type': 'string'}, 'taskId': {'type': 'string'}}, 'required': ['taskId', 'content'], 'type': 'object'}, description="""Add a comment to a task in Todoist"""), # miottid/Todoist MCP/add-comment-to-task
    Tool(name="""Todoist MCP_get-comment""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'commentId': {'type': 'string'}}, 'required': ['commentId'], 'type': 'object'}, description="""Get a comment from a task or project in Todoist"""), # miottid/Todoist MCP/get-comment
    Tool(name="""Todoist MCP_update-comment""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'commentId': {'type': 'string'}, 'content': {'type': 'string'}}, 'required': ['commentId', 'content'], 'type': 'object'}, description="""Update a comment in Todoist"""), # miottid/Todoist MCP/update-comment
    Tool(name="""Todoist MCP_delete-comment""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'commentId': {'type': 'string'}}, 'required': ['commentId'], 'type': 'object'}, description="""Delete a comment from a task in Todoist"""), # miottid/Todoist MCP/delete-comment
    Tool(name="""Todoist MCP_get-task-comments""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'taskId': {'type': 'string'}}, 'required': ['taskId'], 'type': 'object'}, description="""Get comments from a task in Todoist"""), # miottid/Todoist MCP/get-task-comments
    Tool(name="""Todoist MCP_get-project-comments""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'projectId': {'type': 'string'}}, 'required': ['projectId'], 'type': 'object'}, description="""Get comments from a project in Todoist"""), # miottid/Todoist MCP/get-project-comments
    Tool(name="""Todoist MCP_add-label""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'color': {'enum': ['berry_red', 'light_blue', 'red', 'blue', 'orange', 'grape', 'yellow', 'violet', 'olive_green', 'lavender', 'lime_green', 'magenta', 'green', 'salmon', 'mint_green', 'charcoal', 'teal', 'grey', 'sky_blue'], 'type': 'string'}, 'isFavorite': {'type': 'boolean'}, 'name': {'type': 'string'}, 'order': {'type': 'number'}}, 'required': ['name'], 'type': 'object'}, description="""Add a label to a task in Todoist"""), # miottid/Todoist MCP/add-label
    Tool(name="""Todoist MCP_delete-label""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'labelId': {'type': 'string'}}, 'required': ['labelId'], 'type': 'object'}, description="""Delete a label from Todoist"""), # miottid/Todoist MCP/delete-label
    Tool(name="""Todoist MCP_update-label""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'color': {'enum': ['berry_red', 'light_blue', 'red', 'blue', 'orange', 'grape', 'yellow', 'violet', 'olive_green', 'lavender', 'lime_green', 'magenta', 'green', 'salmon', 'mint_green', 'charcoal', 'teal', 'grey', 'sky_blue'], 'type': 'string'}, 'isFavorite': {'type': 'boolean'}, 'labelId': {'type': 'string'}, 'name': {'type': 'string'}, 'order': {'type': 'number'}}, 'required': ['labelId', 'name'], 'type': 'object'}, description="""Update a label in Todoist"""), # miottid/Todoist MCP/update-label
    Tool(name="""Todoist MCP_get-label""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'labelId': {'type': 'string'}}, 'required': ['labelId'], 'type': 'object'}, description="""Get a label from Todoist"""), # miottid/Todoist MCP/get-label
    Tool(name="""Todoist MCP_get-labels""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {}, 'type': 'object'}, description="""Get all labels in Todoist"""), # miottid/Todoist MCP/get-labels
    Tool(name="""Todoist MCP_get-shared-labels""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'omitPersonal': {'type': 'boolean'}}, 'type': 'object'}, description="""Retrieves a list of shared labels in Todoist"""), # miottid/Todoist MCP/get-shared-labels
    Tool(name="""Todoist MCP_remove-shared-label""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'name': {'type': 'string'}}, 'required': ['name'], 'type': 'object'}, description="""Remove shared label in Todoist"""), # miottid/Todoist MCP/remove-shared-label
    Tool(name="""Todoist MCP_rename-shared-label""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'name': {'type': 'string'}, 'newName': {'type': 'string'}}, 'required': ['name', 'newName'], 'type': 'object'}, description="""Rename a shared label in Todoist"""), # miottid/Todoist MCP/rename-shared-label
    Tool(name="""Todoist MCP_add-project""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'color': {'enum': ['berry_red', 'light_blue', 'red', 'blue', 'orange', 'grape', 'yellow', 'violet', 'olive_green', 'lavender', 'lime_green', 'magenta', 'green', 'salmon', 'mint_green', 'charcoal', 'teal', 'grey', 'sky_blue'], 'type': 'string'}, 'isFavorite': {'type': 'boolean'}, 'name': {'type': 'string'}, 'parentId': {'description': 'The ID of a parent project', 'type': 'string'}, 'viewStyle': {'enum': ['list', 'board', 'calendar'], 'type': 'string'}}, 'required': ['name'], 'type': 'object'}, description="""Add a project to Todoist"""), # miottid/Todoist MCP/add-project
    Tool(name="""Todoist MCP_get-projects""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {}, 'type': 'object'}, description="""Get all projects from Todoist"""), # miottid/Todoist MCP/get-projects
    Tool(name="""Todoist MCP_get-project""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'projectId': {'type': 'string'}}, 'required': ['projectId'], 'type': 'object'}, description="""Get a project from Todoist"""), # miottid/Todoist MCP/get-project
    Tool(name="""Todoist MCP_update-project""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'color': {'enum': ['berry_red', 'light_blue', 'red', 'blue', 'orange', 'grape', 'yellow', 'violet', 'olive_green', 'lavender', 'lime_green', 'magenta', 'green', 'salmon', 'mint_green', 'charcoal', 'teal', 'grey', 'sky_blue'], 'type': 'string'}, 'isFavorite': {'type': 'boolean'}, 'name': {'type': 'string'}, 'projectId': {'type': 'string'}, 'viewStyle': {'enum': ['list', 'board', 'calendar'], 'type': 'string'}}, 'required': ['projectId'], 'type': 'object'}, description="""Update a project in Todoist"""), # miottid/Todoist MCP/update-project
    Tool(name="""Todoist MCP_delete-project""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'projectId': {'type': 'string'}}, 'required': ['projectId'], 'type': 'object'}, description="""Delete a project in Todoist"""), # miottid/Todoist MCP/delete-project
    Tool(name="""Todoist MCP_move-task-to-parent""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'parentId': {'type': 'string'}, 'taskId': {'type': 'string'}}, 'required': ['taskId', 'parentId'], 'type': 'object'}, description="""Move a task to a parent in Todoist"""), # miottid/Todoist MCP/move-task-to-parent
    Tool(name="""Todoist MCP_get-project-collaborators""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'projectId': {'type': 'string'}}, 'required': ['projectId'], 'type': 'object'}, description="""Get all collaborators from a project in Todoist"""), # miottid/Todoist MCP/get-project-collaborators
    Tool(name="""Todoist MCP_add-task""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'assigneeId': {'description': 'The ID of a project collaborator to assign the task to', 'type': 'string'}, 'content': {'type': 'string'}, 'deadlineDate': {'description': 'Specific date in YYYY-MM-DD format relative to users timezone.', 'type': 'string'}, 'deadlineLang': {'description': '2-letter code specifying language of deadline.', 'type': 'string'}, 'description': {'type': 'string'}, 'labels': {'items': {'type': 'string'}, 'type': 'array'}, 'parentId': {'description': 'The ID of a parent task', 'type': 'string'}, 'priority': {'description': 'Task priority from 1 (normal) to 4 (urgent)', 'maximum': 4, 'minimum': 1, 'type': 'number'}, 'projectId': {'description': 'The ID of a project to add the task to', 'type': 'string'}}, 'required': ['content'], 'type': 'object'}, description="""Add a task to Todoist"""), # miottid/Todoist MCP/add-task
    Tool(name="""Todoist MCP_get-task""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'taskId': {'type': 'string'}}, 'required': ['taskId'], 'type': 'object'}, description="""Retrieves a task by its ID in Todoist"""), # miottid/Todoist MCP/get-task
    Tool(name="""Hyperliquid MCP Server_get_all_mids""", inputSchema={'properties': {}, 'required': [], 'type': 'object'}, description="""Get mid prices for all coins on Hyperliquid"""), # mektigboy/Hyperliquid MCP Server/get_all_mids
    Tool(name="""Hyperliquid MCP Server_get_candle_snapshot""", inputSchema={'properties': {'coin': {'description': 'The symbol of the token to get candlestick data for', 'type': 'string'}, 'endTime': {'description': 'End time in milliseconds since epoch (optional)', 'type': 'number'}, 'interval': {'description': "Time interval (e.g., '15m', '1h')", 'type': 'string'}, 'startTime': {'description': 'Start time in milliseconds since epoch', 'type': 'number'}}, 'required': ['coin', 'interval', 'startTime'], 'type': 'object'}, description="""Get candlestick data for a token on Hyperliquid"""), # mektigboy/Hyperliquid MCP Server/get_candle_snapshot
    Tool(name="""Hyperliquid MCP Server_get_l2_book""", inputSchema={'properties': {'required': ['symbol'], 'symbol': {'description': 'The symbol of the token to get the price of', 'type': 'string'}}, 'type': 'object'}, description="""Get the L2 book of a token on Hyperliquid"""), # mektigboy/Hyperliquid MCP Server/get_l2_book
    Tool(name="""MCP Client Configuration Server_get_configuration_path""", inputSchema={'properties': {'client': {'description': 'Client name (cline, roo_code, windsurf, claude)', 'type': 'string'}}, 'required': ['client'], 'type': 'object'}, description="""Get the path to the configuration file for a specific client"""), # landicefu/MCP Client Configuration Server/get_configuration_path
    Tool(name="""MCP Client Configuration Server_get_configuration""", inputSchema={'properties': {'client': {'description': 'Client name (cline, roo_code, windsurf, claude)', 'type': 'string'}}, 'required': ['client'], 'type': 'object'}, description="""Get the entire configuration for a specific client"""), # landicefu/MCP Client Configuration Server/get_configuration
    Tool(name="""MCP Client Configuration Server_list_servers""", inputSchema={'properties': {'client': {'description': 'Client name (cline, roo_code, windsurf, claude)', 'type': 'string'}}, 'required': ['client'], 'type': 'object'}, description="""List all server names configured in a specific client"""), # landicefu/MCP Client Configuration Server/list_servers
    Tool(name="""MCP Client Configuration Server_get_server_configuration""", inputSchema={'properties': {'client': {'description': 'Client name (cline, roo_code, windsurf, claude)', 'type': 'string'}, 'server_name': {'description': 'Name of the server to retrieve', 'type': 'string'}}, 'required': ['client', 'server_name'], 'type': 'object'}, description="""Get the configuration for a specific server from a client configuration"""), # landicefu/MCP Client Configuration Server/get_server_configuration
    Tool(name="""MCP Client Configuration Server_add_server_configuration""", inputSchema={'properties': {'allow_override': {'default': False, 'description': 'Whether to allow overriding an existing server configuration with the same name (default: false)', 'type': 'boolean'}, 'client': {'description': 'Client name (cline, roo_code, windsurf, claude)', 'type': 'string'}, 'json_config': {'description': 'Server configuration in JSON format', 'type': 'object'}, 'server_name': {'description': 'Name of the server to add or update', 'type': 'string'}}, 'required': ['client', 'server_name', 'json_config'], 'type': 'object'}, description="""Add or update a server configuration in a client configuration"""), # landicefu/MCP Client Configuration Server/add_server_configuration
    Tool(name="""MCP Client Configuration Server_remove_server_configuration""", inputSchema={'properties': {'client': {'description': 'Client name (cline, roo_code, windsurf, claude)', 'type': 'string'}, 'server_name': {'description': 'Name of the server to remove', 'type': 'string'}}, 'required': ['client', 'server_name'], 'type': 'object'}, description="""Remove a server configuration from a client configuration"""), # landicefu/MCP Client Configuration Server/remove_server_configuration
    Tool(name="""Perplexity Tool for Claude Desktop_ask_perplexity""", inputSchema={'properties': {'max_tokens': {'default': 1000, 'description': 'Maximum tokens in response', 'type': 'integer'}, 'question': {'description': 'The question to ask', 'type': 'string'}, 'search_domain_filter': {'default': [], 'description': 'Limit search to specific domains', 'items': {'type': 'string'}, 'type': 'array'}, 'search_recency_filter': {'default': 'month', 'description': 'Filter results by recency', 'enum': ['day', 'week', 'month', 'year'], 'type': 'string'}, 'temperature': {'default': 0.2, 'description': 'Response randomness (0-2)', 'type': 'number'}}, 'required': ['question'], 'type': 'object'}, description="""Ask a question to Perplexity AI"""), # letsbuildagent/Perplexity Tool for Claude Desktop/ask_perplexity
    Tool(name="""Memory Cache MCP Server_store_data""", inputSchema={'properties': {'key': {'description': 'Unique identifier for the cached data', 'type': 'string'}, 'ttl': {'description': 'Time-to-live in seconds (optional)', 'type': 'number'}, 'value': {'description': 'Data to cache', 'type': 'any'}}, 'required': ['key', 'value'], 'type': 'object'}, description="""Store data in the cache with optional TTL"""), # ibproduct/Memory Cache MCP Server/store_data
    Tool(name="""Memory Cache MCP Server_retrieve_data""", inputSchema={'properties': {'key': {'description': 'Key of the cached data to retrieve', 'type': 'string'}}, 'required': ['key'], 'type': 'object'}, description="""Retrieve data from the cache"""), # ibproduct/Memory Cache MCP Server/retrieve_data
    Tool(name="""Memory Cache MCP Server_clear_cache""", inputSchema={'properties': {'key': {'description': 'Specific key to clear (optional - clears all if not provided)', 'type': 'string'}}, 'type': 'object'}, description="""Clear specific or all cache entries"""), # ibproduct/Memory Cache MCP Server/clear_cache
    Tool(name="""Memory Cache MCP Server_get_cache_stats""", inputSchema={'properties': {}, 'type': 'object'}, description="""Get cache statistics"""), # ibproduct/Memory Cache MCP Server/get_cache_stats
    Tool(name="""OpenAPI Client Generator MCP_generate_client""", inputSchema={'additionalProperties': False, 'properties': {'httpClient': {'description': 'HTTP client to use (fetch or axios)', 'enum': ['fetch', 'axios'], 'type': 'string'}, 'input': {'description': 'URL or file path to OpenAPI specification', 'type': 'string'}, 'output': {'description': 'Output directory for generated client', 'type': 'string'}}, 'required': ['input', 'output', 'httpClient'], 'type': 'object'}, description="""Generate TypeScript API client from OpenAPI specification"""), # orhanveli/OpenAPI Client Generator MCP/generate_client
    Tool(name="""Hacker News MCP Server_search""", inputSchema={'properties': {'hitsPerPage': {'default': 20, 'description': 'The number of results per page', 'type': 'number'}, 'page': {'default': 0, 'description': 'The page number', 'type': 'number'}, 'query': {'description': 'The search query', 'type': 'string'}, 'type': {'default': 'all', 'description': 'The type of content to search for', 'enum': ['all', 'story', 'comment'], 'type': 'string'}}, 'required': ['query'], 'type': 'object'}, description="""Search for stories and comments on Hacker News"""), # devabdultech/Hacker News MCP Server/search
    Tool(name="""Hacker News MCP Server_getComments""", inputSchema={'properties': {'limit': {'default': 30, 'description': 'The maximum number of comments to fetch', 'type': 'number'}, 'storyId': {'description': 'The ID of the story', 'type': 'number'}}, 'required': ['storyId'], 'type': 'object'}, description="""Get comments for a story"""), # devabdultech/Hacker News MCP Server/getComments
    Tool(name="""Hacker News MCP Server_getStory""", inputSchema={'properties': {'id': {'description': 'The ID of the story', 'type': 'number'}}, 'required': ['id'], 'type': 'object'}, description="""Get a single story by ID"""), # devabdultech/Hacker News MCP Server/getStory
    Tool(name="""Hacker News MCP Server_getStoryWithComments""", inputSchema={'properties': {'id': {'description': 'The ID of the story', 'type': 'number'}}, 'required': ['id'], 'type': 'object'}, description="""Get a story with its comments"""), # devabdultech/Hacker News MCP Server/getStoryWithComments
    Tool(name="""Hacker News MCP Server_getStories""", inputSchema={'properties': {'limit': {'default': 30, 'description': 'The maximum number of stories to fetch', 'type': 'number'}, 'type': {'description': 'The type of stories to fetch', 'enum': ['top', 'new', 'best', 'ask', 'show', 'job'], 'type': 'string'}}, 'required': ['type'], 'type': 'object'}, description="""Get multiple stories by type (top, new, best, ask, show, job)"""), # devabdultech/Hacker News MCP Server/getStories
    Tool(name="""Hacker News MCP Server_getComment""", inputSchema={'properties': {'id': {'description': 'The ID of the comment', 'type': 'number'}}, 'required': ['id'], 'type': 'object'}, description="""Get a single comment by ID"""), # devabdultech/Hacker News MCP Server/getComment
    Tool(name="""Hacker News MCP Server_getCommentTree""", inputSchema={'properties': {'storyId': {'description': 'The ID of the story', 'type': 'number'}}, 'required': ['storyId'], 'type': 'object'}, description="""Get a comment tree for a story"""), # devabdultech/Hacker News MCP Server/getCommentTree
    Tool(name="""Hacker News MCP Server_getUser""", inputSchema={'properties': {'id': {'description': 'The ID of the user', 'type': 'string'}}, 'required': ['id'], 'type': 'object'}, description="""Get a user profile by ID"""), # devabdultech/Hacker News MCP Server/getUser
    Tool(name="""Hacker News MCP Server_getUserSubmissions""", inputSchema={'properties': {'id': {'description': 'The ID of the user', 'type': 'string'}}, 'required': ['id'], 'type': 'object'}, description="""Get a user's submissions"""), # devabdultech/Hacker News MCP Server/getUserSubmissions
    Tool(name="""Ethereum RPC MCP Server_eth_getCode""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'address': {'description': 'The Ethereum address to get code from', 'pattern': '^0x[a-fA-F0-9]{40}$', 'type': 'string'}, 'blockParameter': {'default': 'latest', 'description': 'Block parameter (default: "latest")', 'type': 'string'}}, 'required': ['address'], 'type': 'object'}, description="""Retrieves the code at a given Ethereum address"""), # 0xKoda/Ethereum RPC MCP Server/eth_getCode
    Tool(name="""Ethereum RPC MCP Server_eth_gasPrice""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {}, 'type': 'object'}, description="""Retrieves the current gas price in wei"""), # 0xKoda/Ethereum RPC MCP Server/eth_gasPrice
    Tool(name="""Ethereum RPC MCP Server_eth_getBalance""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'address': {'description': 'The Ethereum address to check balance', 'pattern': '^0x[a-fA-F0-9]{40}$', 'type': 'string'}, 'blockParameter': {'default': 'latest', 'description': 'Block parameter (default: "latest")', 'type': 'string'}}, 'required': ['address'], 'type': 'object'}, description="""Retrieves the balance of a given Ethereum address"""), # 0xKoda/Ethereum RPC MCP Server/eth_getBalance
    Tool(name="""Ethereum RPC MCP Server_eth_call""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'blockParameter': {'default': 'latest', 'description': 'Block parameter (default: "latest")', 'type': 'string'}, 'transaction': {'additionalProperties': False, 'description': 'The transaction call object', 'properties': {'data': {'description': 'The compiled code of a contract OR the hash of the invoked method signature and encoded parameters', 'pattern': '^0x[a-fA-F0-9]*$', 'type': 'string'}, 'from': {'description': 'The address the transaction is sent from', 'pattern': '^0x[a-fA-F0-9]{40}$', 'type': 'string'}, 'gas': {'description': 'Integer of the gas provided for the transaction execution in hex', 'pattern': '^0x[a-fA-F0-9]+$', 'type': 'string'}, 'gasPrice': {'description': 'Integer of the gas price used for each paid gas in hex', 'pattern': '^0x[a-fA-F0-9]+$', 'type': 'string'}, 'to': {'description': 'The address the transaction is directed to', 'pattern': '^0x[a-fA-F0-9]{40}$', 'type': 'string'}, 'value': {'description': 'Integer of the value sent with this transaction in hex', 'pattern': '^0x[a-fA-F0-9]+$', 'type': 'string'}}, 'required': ['to', 'data'], 'type': 'object'}}, 'required': ['transaction'], 'type': 'object'}, description="""Executes a call to a contract function without creating a transaction"""), # 0xKoda/Ethereum RPC MCP Server/eth_call
    Tool(name="""Ethereum RPC MCP Server_eth_getLogs""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'filter': {'additionalProperties': False, 'description': 'The filter options', 'properties': {'address': {'anyOf': [{'pattern': '^0x[a-fA-F0-9]{40}$', 'type': 'string'}, {'items': {'pattern': '^0x[a-fA-F0-9]{40}$', 'type': 'string'}, 'type': 'array'}], 'description': 'Contract address or a list of addresses from which logs should originate'}, 'fromBlock': {'description': 'Block number in hex or "latest", "earliest" or "pending"', 'type': 'string'}, 'toBlock': {'description': 'Block number in hex or "latest", "earliest" or "pending"', 'type': 'string'}, 'topics': {'description': 'Array of 32 Bytes DATA topics', 'items': {'anyOf': [{'pattern': '^0x[a-fA-F0-9]{64}$', 'type': 'string'}, {'items': {'pattern': '^0x[a-fA-F0-9]{64}$', 'type': 'string'}, 'type': 'array'}, {'type': 'null'}]}, 'type': 'array'}}, 'type': 'object'}}, 'required': ['filter'], 'type': 'object'}, description="""Retrieves logs matching the given filter criteria"""), # 0xKoda/Ethereum RPC MCP Server/eth_getLogs
    Tool(name="""Ethereum RPC MCP Server_eth_sendTransaction""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'transaction': {'additionalProperties': False, 'description': 'The transaction object', 'properties': {'data': {'description': 'The compiled code of a contract OR the hash of the invoked method signature and encoded parameters', 'pattern': '^0x[a-fA-F0-9]*$', 'type': 'string'}, 'from': {'description': 'The address the transaction is sent from', 'pattern': '^0x[a-fA-F0-9]{40}$', 'type': 'string'}, 'gas': {'description': 'Integer of the gas provided for the transaction execution in hex', 'pattern': '^0x[a-fA-F0-9]+$', 'type': 'string'}, 'gasPrice': {'description': 'Integer of the gas price used for each paid gas in hex', 'pattern': '^0x[a-fA-F0-9]+$', 'type': 'string'}, 'nonce': {'description': 'Integer of a nonce used to prevent transaction replay', 'pattern': '^0x[a-fA-F0-9]+$', 'type': 'string'}, 'to': {'description': 'The address the transaction is directed to', 'pattern': '^0x[a-fA-F0-9]{40}$', 'type': 'string'}, 'value': {'description': 'Integer of the value sent with this transaction in hex', 'pattern': '^0x[a-fA-F0-9]+$', 'type': 'string'}}, 'required': ['from'], 'type': 'object'}}, 'required': ['transaction'], 'type': 'object'}, description="""Sends a transaction to the Ethereum network"""), # 0xKoda/Ethereum RPC MCP Server/eth_sendTransaction
    Tool(name="""MCP Paradex Server_paradex-account-summary""", inputSchema={'properties': {}, 'title': 'get_account_summaryArguments', 'type': 'object'}, description="""\n    Get account summary.\n    \n    Returns:\n        Dict[str, Any]: Account summary.\n    """), # sv/MCP Paradex Server/paradex-account-summary
    Tool(name="""MCP Paradex Server_paradex-account-positions""", inputSchema={'properties': {}, 'title': 'get_account_positionsArguments', 'type': 'object'}, description="""\n    Get account positions.\n    \n    Returns:\n        Dict[str, Any]: Account positions.\n    """), # sv/MCP Paradex Server/paradex-account-positions
    Tool(name="""MCP Paradex Server_paradex-system-config""", inputSchema={'properties': {}, 'title': 'get_system_configArguments', 'type': 'object'}, description="""\n    Get global Paradex system configuration.\n    \n    Retrieves the current system-wide configuration parameters from Paradex,\n    including trading limits, fee schedules, and other global settings.\n    This information is useful for understanding the current operating\n    parameters of the exchange.\n    \n    Returns:\n        Dict[str, Any]: Global Paradex system configuration with the following structure:\n            - exchange (str): Exchange name (\"Paradex\")\n            - timestamp (str): ISO-formatted timestamp of the request\n            - environment (str): Current environment (mainnet/testnet)\n            - status (str): Current system status (\"operational\", \"maintenance\", etc.)\n            - features (List[str]): Available trading features\n            - trading_hours (str): Trading availability\n            - website (str): Exchange website URL\n            - documentation (str): Documentation URL\n            - [Additional system parameters from Paradex API]\n            \n            If an error occurs, returns error information.\n    """), # sv/MCP Paradex Server/paradex-system-config
    Tool(name="""MCP Paradex Server_paradex-system-time""", inputSchema={'properties': {}, 'title': 'get_system_timeArguments', 'type': 'object'}, description="""\n    Get the current Paradex server time.\n    \n    Retrieves the current server time from Paradex. This is important for\n    time-sensitive operations like trading, as local time might differ\n    from the exchange's server time. Using the exchange time ensures\n    accurate timestamp coordination for orders and other time-dependent\n    operations.\n    \n    Returns:\n        Dict[str, Any]: Current server time information with the following structure:\n            - server_time (int): Current server time in milliseconds since epoch\n            - iso_time (str): ISO-formatted timestamp\n            \n            If an error occurs, returns:\n            - success (bool): False\n            - timestamp (str): ISO-formatted timestamp of the request\n            - environment (str): Current Paradex environment\n            - error (str): Error message\n    """), # sv/MCP Paradex Server/paradex-system-time
    Tool(name="""MCP Paradex Server_paradex-system-state""", inputSchema={'properties': {}, 'title': 'get_system_stateArguments', 'type': 'object'}, description="""\n    Get the current Paradex system operational state.\n    \n    Retrieves the current operational state of the Paradex exchange,\n    including information about system health, maintenance status,\n    and any active alerts or notices. This is useful for checking\n    if the exchange is fully operational before executing trades.\n    \n    Returns:\n        Dict[str, Any]: Current system state information with the following structure:\n            - status (str): Overall system status (\"operational\", \"degraded\", \"maintenance\", etc.)\n            - components (Dict): Status of individual system components\n            - maintenance (Dict, optional): Information about ongoing or scheduled maintenance\n            - notices (List, optional): System-wide notices or alerts\n            \n            If an error occurs, returns:\n            - success (bool): False\n            - timestamp (str): ISO-formatted timestamp of the request\n            - environment (str): Current Paradex environment\n            - error (str): Error message\n    """), # sv/MCP Paradex Server/paradex-system-state
    Tool(name="""MCP Paradex Server_paradex-vault-list""", inputSchema={'properties': {}, 'title': 'get_vault_listArguments', 'type': 'object'}, description="""\n    Get a list of available vaults from Paradex.\n    \n    Retrieves all available vaults on Paradex, including their addresses and names.\n    This tool requires no parameters and returns a comprehensive list of\n    all vaults that can be accessed on Paradex.\n    \n    Returns:\n        Dict[str, Any]: List of available vaults with the following structure:\n            - success (bool): Whether the request was successful\n            - timestamp (str): ISO-formatted timestamp of the request\n            - environment (str): Current Paradex environment (mainnet/testnet)\n            - vaults (List[Dict]): List of vault objects with address and name\n            - count (int): Total number of vaults\n            \n            If an error occurs, returns:\n            - success (bool): False\n            - timestamp (str): ISO-formatted timestamp of the request\n            - environment (str): Current Paradex environment\n            - error (str): Error message\n            - vaults (List): Empty list\n            - count (int): 0\n    """), # sv/MCP Paradex Server/paradex-vault-list
    Tool(name="""MCP Paradex Server_paradex-vault-details""", inputSchema={'properties': {'vault_address': {'description': 'The address of the vault to get details for.', 'title': 'Vault Address', 'type': 'string'}}, 'required': ['vault_address'], 'title': 'get_vault_detailsArguments', 'type': 'object'}, description="""\n    Get detailed information about a specific vault.\n    \n    Retrieves comprehensive details about a specific vault identified by its address,\n    including configuration, permissions, and other vault-specific parameters.\n    \n    Returns:\n        Dict[str, Any]: Detailed vault information with the following structure:\n            - success (bool): Whether the request was successful\n            - timestamp (str): ISO-formatted timestamp of the request\n            - environment (str): Current Paradex environment (mainnet/testnet)\n            - vaults (List[Dict]): List containing the vault details\n            - count (int): Number of vaults returned (should be 1)\n            \n            If an error occurs, returns:\n            - success (bool): False\n            - timestamp (str): ISO-formatted timestamp of the request\n            - environment (str): Current Paradex environment\n            - error (str): Error message\n            - vaults (List): Empty list\n            - count (int): 0\n    """), # sv/MCP Paradex Server/paradex-vault-details
    Tool(name="""MCP Paradex Server_paradex-vaults-config""", inputSchema={'properties': {}, 'title': 'get_vaults_configArguments', 'type': 'object'}, description="""\n    Get global configuration for vaults from Paradex.\n    \n    Retrieves system-wide configuration parameters for vaults on Paradex,\n    including fee structures, limits, and other global settings that apply\n    to all vaults on the platform.\n    \n    Returns:\n        Dict[str, Any]: Global vault configuration with the following structure:\n            - success (bool): Whether the request was successful\n            - timestamp (str): ISO-formatted timestamp of the request\n            - environment (str): Current Paradex environment (mainnet/testnet)\n            - config (Dict): Global vault configuration parameters\n            \n            If an error occurs, returns:\n            - success (bool): False\n            - timestamp (str): ISO-formatted timestamp of the request\n            - environment (str): Current Paradex environment\n            - error (str): Error message\n            - config (None): Null value for config\n    """), # sv/MCP Paradex Server/paradex-vaults-config
    Tool(name="""MCP Paradex Server_paradex-market-names""", inputSchema={'properties': {}, 'title': 'get_market_namesArguments', 'type': 'object'}, description="""\n    Get a list of available markets from Paradex.\n    \n    Retrieves all available trading markets/pairs from the Paradex exchange.\n    This tool requires no parameters and returns a comprehensive list of\n    all markets that can be traded on Paradex.\n    \n    Returns:\n        Dict[str, Any]: List of available markets with the following structure:\n            - success (bool): Whether the request was successful\n            - timestamp (str): ISO-formatted timestamp of the request\n            - environment (str): Current Paradex environment (mainnet/testnet)\n            - markets (List[str]): List of market symbols\n            - count (int): Total number of markets\n    """), # sv/MCP Paradex Server/paradex-market-names
    Tool(name="""MCP Paradex Server_paradex-market-details""", inputSchema={'properties': {'market_id': {'description': 'Market symbol to get details for.', 'title': 'Market Id', 'type': 'string'}}, 'required': ['market_id'], 'title': 'get_market_detailsArguments', 'type': 'object'}, description="""\n    Get detailed information about a specific market.\n    \n    Retrieves comprehensive details about a specific market, including\n    base and quote assets, tick size, minimum order size, and other\n    trading parameters.\n    \n\n    Returns:\n        Dict[str, Any]: Detailed market information with the following structure:\n            - success (bool): Whether the request was successful\n            - timestamp (str): ISO-formatted timestamp of the request\n            - environment (str): Current Paradex environment (mainnet/testnet)\n            - details (Dict): Detailed market information including trading parameters\n            - error (str, optional): Error message if request failed\n    """), # sv/MCP Paradex Server/paradex-market-details
    Tool(name="""MCP Paradex Server_paradex-vault-balance""", inputSchema={'properties': {'vault_address': {'description': 'The address of the vault to get balance for.', 'title': 'Vault Address', 'type': 'string'}}, 'required': ['vault_address'], 'title': 'get_vault_balanceArguments', 'type': 'object'}, description="""\n    Get the current balance of a specific vault.\n\n    Retrieves the current balance information for a specific vault,\n    including available funds, locked funds, and total balance.\n    This is essential for understanding the financial state of a vault\n    before executing trades or withdrawals.\n\n        \n    Returns:\n        Dict[str, Any]: Balance information for the vault, including:\n            - available (float): Available balance that can be used for trading\n            - locked (float): Balance locked in open orders or positions\n            - total (float): Total balance (available + locked)\n            - currency (str): Currency of the balance (e.g., \"USDC\")\n            \n            If an error occurs, returns:\n            - success (bool): False\n            - timestamp (str): ISO-formatted timestamp of the request\n            - environment (str): Current Paradex environment\n            - error (str): Error message\n            - balance (None): Null value for balance\n    """), # sv/MCP Paradex Server/paradex-vault-balance
    Tool(name="""MCP Paradex Server_paradex-vault-summary""", inputSchema={'properties': {'vault_address': {'description': 'The address of the vault to get summary for.', 'title': 'Vault Address', 'type': 'string'}}, 'required': ['vault_address'], 'title': 'get_vault_summaryArguments', 'type': 'object'}, description="""\n    Get a comprehensive summary of a specific vault.\n    \n    Retrieves a summary of all important information about a vault,\n    including balance, positions, recent activity, and performance metrics.\n    This provides a high-level overview of the vault's current state.\n    \n\n    Returns:\n        Dict[str, Any]: Summary information for the vault, including:\n            - balance (Dict): Current balance information\n            - positions (List): Current open positions\n            - performance (Dict): Performance metrics\n            - recent_activity (List): Recent transactions or trades\n            \n            If an error occurs, returns:\n            - success (bool): False\n            - timestamp (str): ISO-formatted timestamp of the request\n            - environment (str): Current Paradex environment\n            - error (str): Error message\n            - summary (None): Null value for summary\n    """), # sv/MCP Paradex Server/paradex-vault-summary
    Tool(name="""MCP Paradex Server_paradex-vault-transfers""", inputSchema={'properties': {'vault_address': {'description': 'The address of the vault to get transfers for.', 'title': 'Vault Address', 'type': 'string'}}, 'required': ['vault_address'], 'title': 'get_vault_transfersArguments', 'type': 'object'}, description="""\n    Get a list of deposit and withdrawal transfers for a specific vault.\n\n    Retrieves the history of all transfers (deposits and withdrawals) for a vault,\n    including timestamps, amounts, transaction hashes, and status information.\n    This is useful for auditing vault activity and tracking fund movements.\n\n\n    Returns:\n        Dict[str, Any]: List of transfers for the vault, each containing:\n            - id (str): Transfer ID\n            - type (str): \"DEPOSIT\" or \"WITHDRAWAL\"\n            - amount (float): Transfer amount\n            - currency (str): Currency of the transfer\n            - timestamp (str): When the transfer occurred\n            - status (str): Status of the transfer (e.g., \"COMPLETED\", \"PENDING\")\n            - transaction_hash (str): Blockchain transaction hash\n            \n            If an error occurs, returns:\n            - success (bool): False\n            - timestamp (str): ISO-formatted timestamp of the request\n            - environment (str): Current Paradex environment\n            - error (str): Error message\n            - transfers (None): Null value for transfers\n    """), # sv/MCP Paradex Server/paradex-vault-transfers
    Tool(name="""MCP Paradex Server_paradex-vault-positions""", inputSchema={'properties': {'vault_address': {'description': 'The address of the vault to get positions for.', 'title': 'Vault Address', 'type': 'string'}}, 'required': ['vault_address'], 'title': 'get_vault_positionsArguments', 'type': 'object'}, description="""\n    Get a list of current trading positions for a specific vault.\n    \n    Retrieves all open trading positions for a vault, including market,\n    size, entry price, liquidation price, unrealized PnL, and other\n    position-specific information.\n    \n\n    Returns:\n        Dict[str, Any]: List of positions for the vault, each containing:\n            - market_id (str): Market identifier (e.g., \"ETH-PERP\")\n            - side (str): Position side (\"LONG\" or \"SHORT\")\n            - size (float): Position size\n            - entry_price (float): Average entry price\n            - mark_price (float): Current mark price\n            - liquidation_price (float): Price at which position would be liquidated\n            - unrealized_pnl (float): Unrealized profit/loss\n            - leverage (float): Current leverage\n            \n            If an error occurs, returns:\n            - success (bool): False\n            - timestamp (str): ISO-formatted timestamp of the request\n            - environment (str): Current Paradex environment\n            - error (str): Error message\n            - positions (None): Null value for positions\n    """), # sv/MCP Paradex Server/paradex-vault-positions
    Tool(name="""MCP Paradex Server_paradex-vault-account-summary""", inputSchema={'properties': {'vault_address': {'description': 'The address of the vault to get account summary for.', 'title': 'Vault Address', 'type': 'string'}}, 'required': ['vault_address'], 'title': 'get_vault_account_summaryArguments', 'type': 'object'}, description="""\n    Get a summary of trading account information for a specific vault.\n    \n    Retrieves a comprehensive summary of the trading account associated with\n    a vault, including margin information, account health, risk metrics,\n    and trading statistics.\n    \n\n    Returns:\n        Dict[str, Any]: Account summary information, including:\n            - margin_ratio (float): Current margin ratio\n            - account_health (float): Account health percentage\n            - total_equity (float): Total account equity\n            - available_margin (float): Available margin for new positions\n            - used_margin (float): Margin currently in use\n            - unrealized_pnl (float): Total unrealized profit/loss\n            - realized_pnl_24h (float): Realized profit/loss in the last 24 hours\n            - open_orders_count (int): Number of open orders\n            - positions_count (int): Number of open positions\n            \n            If an error occurs, returns:\n            - success (bool): False\n            - timestamp (str): ISO-formatted timestamp of the request\n            - environment (str): Current Paradex environment\n            - error (str): Error message\n            - account_summary (None): Null value for account summary\n    """), # sv/MCP Paradex Server/paradex-vault-account-summary
    Tool(name="""MCP Paradex Server_paradex-market-summary""", inputSchema={'properties': {'market_id': {'description': 'Market symbol to get summary for.', 'title': 'Market Id', 'type': 'string'}}, 'required': ['market_id'], 'title': 'get_market_summaryArguments', 'type': 'object'}, description="""\n    Get a summary of market statistics and current state.\n    \n    Retrieves current market summary information including price, volume,\n    24h change, and other key market metrics.\n    \n    Returns:\n        Dict[str, Any]: Market summary information including:\n            - Current price\n            - 24h high/low\n            - 24h volume\n            - Price change percentage\n            - Other market statistics\n            \n            If an error occurs, returns:\n            - success (bool): False\n            - timestamp (str): ISO-formatted timestamp of the request\n            - environment (str): Current Paradex environment\n            - error (str): Error message\n            - summary (None): Null value for summary\n    """), # sv/MCP Paradex Server/paradex-market-summary
    Tool(name="""MCP Paradex Server_paradex-funding-data""", inputSchema={'properties': {'end_unix_ms': {'description': 'End time in unix milliseconds.', 'title': 'End Unix Ms', 'type': 'integer'}, 'market_id': {'description': 'Market symbol to get funding data for.', 'title': 'Market Id', 'type': 'string'}, 'start_unix_ms': {'description': 'Start time in unix milliseconds.', 'title': 'Start Unix Ms', 'type': 'integer'}}, 'required': ['market_id', 'start_unix_ms', 'end_unix_ms'], 'title': 'get_funding_dataArguments', 'type': 'object'}, description="""\n    Get historical funding rate data for a perpetual market.\n    \n    Retrieves funding rate history for a specified time period, which is\n    essential for understanding the cost of holding perpetual positions.\n    \n\n    Returns:\n        Dict[str, Any]: Historical funding rate data with timestamps.\n            If an error occurs, returns:\n            - success (bool): False\n            - timestamp (str): ISO-formatted timestamp of the request\n            - environment (str): Current Paradex environment\n            - error (str): Error message\n            - funding_data (None): Null value for funding data\n    """), # sv/MCP Paradex Server/paradex-funding-data
    Tool(name="""MCP Paradex Server_paradex-bbo""", inputSchema={'properties': {'market_id': {'description': 'Market symbol to get BBO for.', 'title': 'Market Id', 'type': 'string'}}, 'required': ['market_id'], 'title': 'get_bboArguments', 'type': 'object'}, description="""\n    Get the Best Bid and Offer (BBO) for a market.\n    \n    Retrieves the current best bid and best offer (ask) prices and sizes\n    for a specified market. This represents the tightest spread currently\n    available.\n \n    Returns:\n        Dict[str, Any]: Best bid and offer information including:\n            - bid price and size\n            - ask price and size\n            - timestamp\n            \n            If an error occurs, returns:\n            - success (bool): False\n            - timestamp (str): ISO-formatted timestamp of the request\n            - environment (str): Current Paradex environment\n            - error (str): Error message\n    """), # sv/MCP Paradex Server/paradex-bbo
    Tool(name="""MCP Paradex Server_paradex-orderbook""", inputSchema={'properties': {'depth': {'default': 10, 'description': 'The depth of the orderbook to retrieve.', 'title': 'Depth', 'type': 'integer'}, 'market_id': {'description': 'Market symbol to get orderbook for.', 'title': 'Market Id', 'type': 'string'}}, 'required': ['market_id'], 'title': 'get_orderbookArguments', 'type': 'object'}, description="""\n    Get the current orderbook for a market.\n    \n    Retrieves the current state of the orderbook for a specified market,\n    showing bid and ask orders up to the requested depth.\n    \n\n    Returns:\n        Dict[str, Any]: Orderbook data including:\n            - bids: List of [price, size] pairs\n            - asks: List of [price, size] pairs\n            - timestamp\n            \n            If an error occurs, returns:\n            - success (bool): False\n            - timestamp (str): ISO-formatted timestamp of the request\n            - environment (str): Current Paradex environment\n            - error (str): Error message\n            - orderbook (None): Null value for orderbook\n    """), # sv/MCP Paradex Server/paradex-orderbook
    Tool(name="""MCP Paradex Server_paradex-klines""", inputSchema={'$defs': {'KlineResolution': {'description': 'Valid kline/candlestick resolutions.', 'enum': ['1', '3', '5', '15', '30', '60', '240', '1D'], 'title': 'KlineResolution', 'type': 'string'}}, 'properties': {'end_unix_ms': {'anyOf': [{'type': 'integer'}, {'type': 'null'}], 'default': None, 'description': 'End time in unix milliseconds.', 'title': 'End Unix Ms'}, 'market_id': {'description': 'Market symbol to get klines for.', 'title': 'Market Id', 'type': 'string'}, 'resolution': {'$ref': '#/$defs/KlineResolution', 'default': '1', 'description': 'The time resolution of the klines.'}, 'start_unix_ms': {'anyOf': [{'type': 'integer'}, {'type': 'null'}], 'default': None, 'description': 'Start time in unix milliseconds.', 'title': 'Start Unix Ms'}}, 'required': ['market_id'], 'title': 'get_klinesArguments', 'type': 'object'}, description="""\n    Get candlestick (kline) data for a market.\n    \n    Retrieves historical price candlestick data for a specified market and time period.\n    Each candlestick contains open, high, low, close prices and volume information.\n    \n    Returns:\n        Dict[str, Any]: Candlestick data with the following structure for each candle:\n            - timestamp\n            - open price\n            - high price\n            - low price\n            - close price\n            - volume\n            \n            If an error occurs, returns:\n            - success (bool): False\n            - timestamp (str): ISO-formatted timestamp of the request\n            - environment (str): Current Paradex environment\n            - error (str): Error message\n    """), # sv/MCP Paradex Server/paradex-klines
    Tool(name="""MCP Paradex Server_paradex-trades""", inputSchema={'properties': {'end_unix_ms': {'anyOf': [{'type': 'integer'}, {'type': 'null'}], 'default': None, 'description': 'End time in unix milliseconds.', 'title': 'End Unix Ms'}, 'market_id': {'description': 'Market symbol to get trades for.', 'title': 'Market Id', 'type': 'string'}, 'start_unix_ms': {'anyOf': [{'type': 'integer'}, {'type': 'null'}], 'default': None, 'description': 'Start time in unix milliseconds.', 'title': 'Start Unix Ms'}}, 'required': ['market_id'], 'title': 'get_tradesArguments', 'type': 'object'}, description="""\n    Get recent trades for a market.\n    \n    Retrieves historical trade data for a specified market and time period.\n    Each trade includes price, size, side (buy/sell), and timestamp information.\n    \n    Returns:\n        Dict[str, Any]: List of trades with the following structure for each trade:\n            - id: Trade ID\n            - price: Execution price\n            - size: Trade size\n            - side: \"buy\" or \"sell\"\n            - timestamp: Time of execution\n            \n            If an error occurs, returns:\n            - success (bool): False\n            - timestamp (str): ISO-formatted timestamp of the request\n            - environment (str): Current Paradex environment\n            - error (str): Error message\n    """), # sv/MCP Paradex Server/paradex-trades
    Tool(name="""MCP Paradex Server_paradex-account-fills""", inputSchema={'properties': {'end_unix_ms': {'default': None, 'description': 'End time in unix milliseconds.', 'title': 'End Unix Ms', 'type': 'integer'}, 'market_id': {'default': None, 'description': 'Filter by market ID.', 'title': 'Market Id', 'type': 'string'}, 'start_unix_ms': {'default': None, 'description': 'Start time in unix milliseconds.', 'title': 'Start Unix Ms', 'type': 'integer'}}, 'title': 'get_account_fillsArguments', 'type': 'object'}, description="""\n    Get account fills.\n    \n    Returns:\n        Dict: Account fills.\n    """), # sv/MCP Paradex Server/paradex-account-fills
    Tool(name="""MCP Paradex Server_paradex-account-funding-payments""", inputSchema={'properties': {'end_unix_ms': {'default': None, 'description': 'End time in unix milliseconds.', 'title': 'End Unix Ms', 'type': 'integer'}, 'market_id': {'default': None, 'description': 'Filter by market ID.', 'title': 'Market Id', 'type': 'string'}, 'start_unix_ms': {'default': None, 'description': 'Start time in unix milliseconds.', 'title': 'Start Unix Ms', 'type': 'integer'}}, 'title': 'get_account_funding_paymentsArguments', 'type': 'object'}, description="""\n    Get account funding payments.\n        \n    Returns:\n        Dict[str, Any]: Account funding payments.\n    """), # sv/MCP Paradex Server/paradex-account-funding-payments
    Tool(name="""MCP Paradex Server_paradex-account-open-orders""", inputSchema={'properties': {'market_id': {'default': None, 'description': 'Filter by market.', 'title': 'Market Id', 'type': 'string'}}, 'title': 'get_account_open_ordersArguments', 'type': 'object'}, description="""\n    Get account open orders.        \n    Returns:\n        Dict[str, Any]: Account orders.\n    """), # sv/MCP Paradex Server/paradex-account-open-orders
    Tool(name="""MCP Paradex Server_paradex-create-order""", inputSchema={'properties': {'client_id': {'default': None, 'description': 'Client-specified order ID.', 'title': 'Client Id', 'type': 'string'}, 'instruction': {'default': 'GTC', 'description': 'Instruction for order execution.', 'enum': ['GTC', 'IOC', 'POST_ONLY'], 'title': 'Instruction', 'type': 'string'}, 'market_id': {'description': 'Market identifier.', 'title': 'Market Id', 'type': 'string'}, 'order_side': {'description': 'Order side.', 'enum': ['BUY', 'SELL'], 'title': 'Order Side', 'type': 'string'}, 'order_type': {'description': 'Order type.', 'enum': ['MARKET', 'LIMIT', 'STOP_LIMIT', 'STOP_MARKET', 'TAKE_PROFIT_LIMIT', 'TAKE_PROFIT_MARKET', 'STOP_LOSS_MARKET', 'STOP_LOSS_LIMIT'], 'title': 'Order Type', 'type': 'string'}, 'price': {'default': None, 'description': 'Order price (required for LIMIT orders).', 'title': 'Price', 'type': 'number'}, 'reduce_only': {'default': False, 'description': 'Reduce-only flag.', 'title': 'Reduce Only', 'type': 'boolean'}, 'size': {'description': 'Order size.', 'title': 'Size', 'type': 'number'}, 'trigger_price': {'default': None, 'description': 'Trigger price (required for STOP_LIMIT orders).', 'title': 'Trigger Price', 'type': 'number'}}, 'required': ['market_id', 'order_side', 'order_type', 'size'], 'title': 'create_orderArguments', 'type': 'object'}, description="""\n    Create a new order.\n\n    Returns:\n        Dict[str, Any]: Created order details.\n    """), # sv/MCP Paradex Server/paradex-create-order
    Tool(name="""MCP Paradex Server_paradex-cancel-order""", inputSchema={'properties': {'order_id': {'description': 'Order identifier.', 'title': 'Order Id', 'type': 'string'}}, 'required': ['order_id'], 'title': 'cancel_orderArguments', 'type': 'object'}, description="""\n    Cancel an order.\n        \n    Returns:\n        Dict[str, Any]: Cancelled order details.\n    """), # sv/MCP Paradex Server/paradex-cancel-order
    Tool(name="""MCP Paradex Server_paradex-cancel-all-orders""", inputSchema={'properties': {'market_id': {'default': None, 'description': 'Market identifier to cancel orders for.', 'title': 'Market Id', 'type': 'string'}}, 'title': 'cancel_all_ordersArguments', 'type': 'object'}, description="""\n    Cancel all orders.\n    """), # sv/MCP Paradex Server/paradex-cancel-all-orders
    Tool(name="""MCP Paradex Server_paradex-get-order-status""", inputSchema={'properties': {'order_id': {'description': 'Order identifier.', 'title': 'Order Id', 'type': 'string'}}, 'required': ['order_id'], 'title': 'get_order_statusArguments', 'type': 'object'}, description="""\n    Get order status.\n\n    Returns:\n        Dict[str, Any]: Order details.\n    """), # sv/MCP Paradex Server/paradex-get-order-status
    Tool(name="""Letta MCP Server_create_agent""", inputSchema={'properties': {'description': {'description': "Description of the agent's purpose/role", 'type': 'string'}, 'embedding': {'default': 'openai/text-embedding-ada-002', 'description': 'The embedding model to use', 'type': 'string'}, 'model': {'default': 'openai/gpt-4', 'description': 'The model to use for the agent', 'type': 'string'}, 'name': {'description': 'Name of the new agent', 'type': 'string'}}, 'required': ['name', 'description'], 'type': 'object'}, description="""Create a new Letta agent with specified configuration"""), # oculairmedia/Letta MCP Server/create_agent
    Tool(name="""Letta MCP Server_list_agents""", inputSchema={'properties': {'filter': {'description': 'Optional filter to search for specific agents', 'type': 'string'}}, 'required': [], 'type': 'object'}, description="""List all available agents in the Letta system"""), # oculairmedia/Letta MCP Server/list_agents
    Tool(name="""Letta MCP Server_prompt_agent""", inputSchema={'properties': {'agent_id': {'description': 'ID of the agent to prompt', 'type': 'string'}, 'message': {'description': 'Message to send to the agent', 'type': 'string'}}, 'required': ['agent_id', 'message'], 'type': 'object'}, description="""Send a message to an agent and get a response"""), # oculairmedia/Letta MCP Server/prompt_agent
    Tool(name="""Letta MCP Server_list_agent_tools""", inputSchema={'properties': {'agent_id': {'description': 'ID of the agent to list tools for', 'type': 'string'}}, 'required': ['agent_id'], 'type': 'object'}, description="""List all tools available for a specific agent"""), # oculairmedia/Letta MCP Server/list_agent_tools
    Tool(name="""Letta MCP Server_list_tools""", inputSchema={'properties': {'filter': {'description': 'Optional filter to search for specific tools by name or description', 'type': 'string'}, 'page': {'description': 'Page number for pagination (starts at 1)', 'type': 'number'}, 'pageSize': {'description': 'Number of tools per page (1-100, default: 10)', 'type': 'number'}}, 'required': [], 'type': 'object'}, description="""List all available tools on the Letta server"""), # oculairmedia/Letta MCP Server/list_tools
    Tool(name="""Letta MCP Server_attach_tool""", inputSchema={'properties': {'agent_id': {'description': 'The ID of the agent to attach the tool to', 'type': 'string'}, 'tool_id': {'description': 'The ID of the tool to attach', 'type': 'string'}}, 'required': ['tool_id', 'agent_id'], 'type': 'object'}, description="""Attach a tool to an agent"""), # oculairmedia/Letta MCP Server/attach_tool
    Tool(name="""Letta MCP Server_list_memory_blocks""", inputSchema={'properties': {'agent_id': {'description': 'Optional agent ID to list blocks for a specific agent', 'type': 'string'}, 'filter': {'description': 'Optional filter to search for specific blocks by name or content', 'type': 'string'}, 'page': {'description': 'Page number for pagination (starts at 1)', 'type': 'number'}, 'pageSize': {'description': 'Number of blocks per page (1-100, default: 10)', 'type': 'number'}}, 'required': [], 'type': 'object'}, description="""List all memory blocks available in the Letta system"""), # oculairmedia/Letta MCP Server/list_memory_blocks
    Tool(name="""Letta MCP Server_attach_memory_block""", inputSchema={'properties': {'agent_id': {'description': 'The ID of the agent to attach the memory block to', 'type': 'string'}, 'block_id': {'description': 'The ID of the memory block to attach', 'type': 'string'}, 'label': {'description': 'Optional label for the memory block (e.g., "persona", "human", "system")', 'type': 'string'}}, 'required': ['block_id', 'agent_id'], 'type': 'object'}, description="""Attach a memory block to an agent"""), # oculairmedia/Letta MCP Server/attach_memory_block
    Tool(name="""Letta MCP Server_create_memory_block""", inputSchema={'properties': {'agent_id': {'description': 'Optional agent ID to create the block for a specific agent', 'type': 'string'}, 'label': {'description': 'Label for the memory block (e.g., "persona", "human", "system")', 'type': 'string'}, 'metadata': {'description': 'Optional metadata for the memory block', 'type': 'object'}, 'name': {'description': 'Name of the memory block', 'type': 'string'}, 'value': {'description': 'Content of the memory block', 'type': 'string'}}, 'required': ['name', 'label', 'value'], 'type': 'object'}, description="""Create a new memory block in the Letta system"""), # oculairmedia/Letta MCP Server/create_memory_block
    Tool(name="""Airtable MCP Server_list_tables""", inputSchema={'properties': {'base_id': {'description': 'ID of the base', 'type': 'string'}}, 'required': ['base_id'], 'type': 'object'}, description="""List all tables in a base"""), # felores/Airtable MCP Server/list_tables
    Tool(name="""Airtable MCP Server_list_bases""", inputSchema={'properties': {}, 'required': [], 'type': 'object'}, description="""List all accessible Airtable bases"""), # felores/Airtable MCP Server/list_bases
    Tool(name="""Airtable MCP Server_create_table""", inputSchema={'properties': {'base_id': {'description': 'ID of the base', 'type': 'string'}, 'description': {'description': 'Description of the table', 'type': 'string'}, 'fields': {'description': 'Initial fields for the table', 'items': {'properties': {'description': {'description': 'Description of the field', 'type': 'string'}, 'name': {'description': 'Name of the field', 'type': 'string'}, 'options': {'description': 'Field-specific options', 'type': 'object'}, 'type': {'description': 'Type of the field (e.g., singleLineText, multilineText, number, etc.)', 'type': 'string'}}, 'required': ['name', 'type'], 'type': 'object'}, 'type': 'array'}, 'table_name': {'description': 'Name of the new table', 'type': 'string'}}, 'required': ['base_id', 'table_name'], 'type': 'object'}, description="""Create a new table in a base"""), # felores/Airtable MCP Server/create_table
    Tool(name="""Airtable MCP Server_update_table""", inputSchema={'properties': {'base_id': {'description': 'ID of the base', 'type': 'string'}, 'description': {'description': 'New description for the table', 'type': 'string'}, 'name': {'description': 'New name for the table', 'type': 'string'}, 'table_id': {'description': 'ID of the table to update', 'type': 'string'}}, 'required': ['base_id', 'table_id'], 'type': 'object'}, description="""Update a table's schema"""), # felores/Airtable MCP Server/update_table
    Tool(name="""Airtable MCP Server_create_field""", inputSchema={'properties': {'base_id': {'description': 'ID of the base', 'type': 'string'}, 'field': {'properties': {'description': {'description': 'Description of the field', 'type': 'string'}, 'name': {'description': 'Name of the field', 'type': 'string'}, 'options': {'description': 'Field-specific options', 'type': 'object'}, 'type': {'description': 'Type of the field', 'type': 'string'}}, 'required': ['name', 'type'], 'type': 'object'}, 'table_id': {'description': 'ID of the table', 'type': 'string'}}, 'required': ['base_id', 'table_id', 'field'], 'type': 'object'}, description="""Create a new field in a table"""), # felores/Airtable MCP Server/create_field
    Tool(name="""Airtable MCP Server_update_field""", inputSchema={'properties': {'base_id': {'description': 'ID of the base', 'type': 'string'}, 'field_id': {'description': 'ID of the field to update', 'type': 'string'}, 'table_id': {'description': 'ID of the table', 'type': 'string'}, 'updates': {'properties': {'description': {'description': 'New description for the field', 'type': 'string'}, 'name': {'description': 'New name for the field', 'type': 'string'}, 'options': {'description': 'New field-specific options', 'type': 'object'}}, 'type': 'object'}}, 'required': ['base_id', 'table_id', 'field_id', 'updates'], 'type': 'object'}, description="""Update a field in a table"""), # felores/Airtable MCP Server/update_field
    Tool(name="""Airtable MCP Server_list_records""", inputSchema={'properties': {'base_id': {'description': 'ID of the base', 'type': 'string'}, 'max_records': {'description': 'Maximum number of records to return', 'type': 'number'}, 'table_name': {'description': 'Name of the table', 'type': 'string'}}, 'required': ['base_id', 'table_name'], 'type': 'object'}, description="""List records in a table"""), # felores/Airtable MCP Server/list_records
    Tool(name="""Airtable MCP Server_create_record""", inputSchema={'properties': {'base_id': {'description': 'ID of the base', 'type': 'string'}, 'fields': {'description': 'Record fields as key-value pairs', 'type': 'object'}, 'table_name': {'description': 'Name of the table', 'type': 'string'}}, 'required': ['base_id', 'table_name', 'fields'], 'type': 'object'}, description="""Create a new record in a table"""), # felores/Airtable MCP Server/create_record
    Tool(name="""Airtable MCP Server_update_record""", inputSchema={'properties': {'base_id': {'description': 'ID of the base', 'type': 'string'}, 'fields': {'description': 'Record fields to update as key-value pairs', 'type': 'object'}, 'record_id': {'description': 'ID of the record to update', 'type': 'string'}, 'table_name': {'description': 'Name of the table', 'type': 'string'}}, 'required': ['base_id', 'table_name', 'record_id', 'fields'], 'type': 'object'}, description="""Update an existing record in a table"""), # felores/Airtable MCP Server/update_record
    Tool(name="""Airtable MCP Server_delete_record""", inputSchema={'properties': {'base_id': {'description': 'ID of the base', 'type': 'string'}, 'record_id': {'description': 'ID of the record to delete', 'type': 'string'}, 'table_name': {'description': 'Name of the table', 'type': 'string'}}, 'required': ['base_id', 'table_name', 'record_id'], 'type': 'object'}, description="""Delete a record from a table"""), # felores/Airtable MCP Server/delete_record
    Tool(name="""Airtable MCP Server_search_records""", inputSchema={'properties': {'base_id': {'description': 'ID of the base', 'type': 'string'}, 'field_name': {'description': 'Name of the field to search in', 'type': 'string'}, 'table_name': {'description': 'Name of the table', 'type': 'string'}, 'value': {'description': 'Value to search for', 'type': 'string'}}, 'required': ['base_id', 'table_name', 'field_name', 'value'], 'type': 'object'}, description="""Search for records in a table"""), # felores/Airtable MCP Server/search_records
    Tool(name="""Airtable MCP Server_get_record""", inputSchema={'properties': {'base_id': {'description': 'ID of the base', 'type': 'string'}, 'record_id': {'description': 'ID of the record to retrieve', 'type': 'string'}, 'table_name': {'description': 'Name of the table', 'type': 'string'}}, 'required': ['base_id', 'table_name', 'record_id'], 'type': 'object'}, description="""Get a single record by its ID"""), # felores/Airtable MCP Server/get_record
    Tool(name="""Specif-ai MCP Server_set-project-path""", inputSchema={'properties': {'path': {'description': 'The absolute path to the project directory containing specification files', 'type': 'string'}}, 'required': ['path'], 'type': 'object'}, description="""Set the project path and reload the solution, use this tool only when we not automatically able to infer the project path or asked by the user or us., we will try to auto infer it from the environment first."""), # vj-presidio/Specif-ai MCP Server/set-project-path
    Tool(name="""Specif-ai MCP Server_get-brds""", inputSchema={'properties': {'cwd': {'description': 'Absolute path where the tool is called from to auto-infer the project path. This path will be current working directory (cwd) from where the tool is called.', 'type': 'string'}}, 'required': ['cwd'], 'type': 'object'}, description="""Get Business Requirement Documents for this project"""), # vj-presidio/Specif-ai MCP Server/get-brds
    Tool(name="""Specif-ai MCP Server_get-prds""", inputSchema={'properties': {'cwd': {'description': 'Absolute path where the tool is called from to auto-infer the project path. This path will be current working directory (cwd) from where the tool is called.', 'type': 'string'}}, 'required': ['cwd'], 'type': 'object'}, description="""Get Product Requirement Documents for this project"""), # vj-presidio/Specif-ai MCP Server/get-prds
    Tool(name="""Specif-ai MCP Server_get-nfrs""", inputSchema={'properties': {'cwd': {'description': 'Absolute path where the tool is called from to auto-infer the project path. This path will be current working directory (cwd) from where the tool is called.', 'type': 'string'}}, 'required': ['cwd'], 'type': 'object'}, description="""Get Non-Functional Requirement Documents for this project"""), # vj-presidio/Specif-ai MCP Server/get-nfrs
    Tool(name="""Specif-ai MCP Server_get-uirs""", inputSchema={'properties': {'cwd': {'description': 'Absolute path where the tool is called from to auto-infer the project path. This path will be current working directory (cwd) from where the tool is called.', 'type': 'string'}}, 'required': ['cwd'], 'type': 'object'}, description="""Get User Interface Requirement Documents for this project"""), # vj-presidio/Specif-ai MCP Server/get-uirs
    Tool(name="""Specif-ai MCP Server_get-bps""", inputSchema={'properties': {'cwd': {'description': 'Absolute path where the tool is called from to auto-infer the project path. This path will be current working directory (cwd) from where the tool is called.', 'type': 'string'}}, 'required': ['cwd'], 'type': 'object'}, description="""Get Business Process Documents for this project"""), # vj-presidio/Specif-ai MCP Server/get-bps
    Tool(name="""Specif-ai MCP Server_get-user-stories""", inputSchema={'properties': {'cwd': {'description': 'Absolute path where the tool is called from to auto-infer the project path. This path will be current working directory (cwd) from where the tool is called.', 'type': 'string'}, 'prdId': {'description': 'The ID of the PRD to get user stories for', 'type': 'string'}}, 'required': ['prdId', 'cwd'], 'type': 'object'}, description="""Get User Stories for a particular PRD"""), # vj-presidio/Specif-ai MCP Server/get-user-stories
    Tool(name="""Specif-ai MCP Server_get-tasks""", inputSchema={'properties': {'cwd': {'description': 'Absolute path where the tool is called from to auto-infer the project path. This path will be current working directory (cwd) from where the tool is called.', 'type': 'string'}, 'prdId': {'description': 'The ID of the PRD to get user stories for', 'type': 'string'}, 'userStoryId': {'description': 'The ID of the User Story to get tasks for', 'type': 'string'}}, 'required': ['prdId', 'userStoryId', 'cwd'], 'type': 'object'}, description="""Get Tasks for a particular User Story"""), # vj-presidio/Specif-ai MCP Server/get-tasks
    Tool(name="""Specif-ai MCP Server_get-task""", inputSchema={'properties': {'cwd': {'description': 'Absolute path where the tool is called from to auto-infer the project path. This path will be current working directory (cwd) from where the tool is called.', 'type': 'string'}, 'prdId': {'description': 'The ID of the PRD to get user stories for', 'type': 'string'}, 'taskId': {'description': 'The ID of the Task to get', 'type': 'string'}, 'userStoryId': {'description': 'The ID of the User Story to get tasks for', 'type': 'string'}}, 'required': ['prdId', 'userStoryId', 'taskId', 'cwd'], 'type': 'object'}, description="""Get a Task for a particular User Story in a particular PRD"""), # vj-presidio/Specif-ai MCP Server/get-task
    Tool(name="""MCPunk_get_a_joke""", inputSchema={'properties': {'animal': {'maxLength': 20, 'title': 'Animal', 'type': 'string'}}, 'required': ['animal'], 'title': 'get_a_jokeArguments', 'type': 'object'}, description="""Get a really funny joke! For testing :)"""), # jurasofish/MCPunk/get_a_joke
    Tool(name="""MCPunk_configure_project""", inputSchema={'properties': {'project_name': {'description': 'Name of the project, for you to pick buddy, something short and sweet and memorable and unique', 'title': 'Project Name', 'type': 'string'}, 'root_path': {'description': 'Root path of the project', 'format': 'path', 'title': 'Root Path', 'type': 'string'}}, 'required': ['root_path', 'project_name'], 'title': 'configure_projectArguments', 'type': 'object'}, description="""Configure a new project containing files.\n\n    Each file in the project is split into 'chunks' - logical sections like functions,\n    classes, markdown sections, and import blocks.\n\n    After configuring, a common workflow is:\n    1. list_all_files_in_project to get an overview of the project (with\n       an initial limit on the depth of the search)\n    2. Find files by function/class definition:\n       find_files_by_chunk_content(... [\"def my_funk\"])\n    3. Find files by function/class usage:\n       find_files_by_chunk_content(... [\"my_funk\"])\n    4. Determine which chunks in the found files are relevant:\n        find_matching_chunks_in_file(...)\n    5. Get details about the chunks:\n       chunk_details(...)\n\n    Use ~ (tilde) literally if the user specifies it in paths.\n    """), # jurasofish/MCPunk/configure_project
    Tool(name="""MCPunk_list_all_files_in_project""", inputSchema={'properties': {'limit_depth_from_root': {'anyOf': [{'type': 'integer'}, {'type': 'null'}], 'default': None, 'description': 'Limit the depth of the search to this many directories from the root. Typically,start with 1 to get an overview of the project.If None, search all directories from the root.', 'title': 'Limit Depth From Root'}, 'path_filter': {'anyOf': [{'type': 'string'}, {'items': {'type': 'string'}, 'type': 'array'}, {'type': 'null'}], 'default': None, 'description': 'Match if any of these strings appear. Match all if None/null.', 'title': 'Path Filter'}, 'project_name': {'title': 'Project Name', 'type': 'string'}}, 'required': ['project_name'], 'title': 'list_all_files_in_projectArguments', 'type': 'object'}, description="""List all files in a project, returning a file tree.\n\n    This is useful for getting an overview of the project, or specific\n    subdirectories of the project.\n\n    A project may have many files, so you are suggested\n    to start with a depth limit to get an overview, and then continue increasing\n    the depth limit with a filter to look at specific subdirectories.\n    """), # jurasofish/MCPunk/list_all_files_in_project
    Tool(name="""MCPunk_find_files_by_chunk_content""", inputSchema={'properties': {'chunk_contents_filter': {'anyOf': [{'type': 'string'}, {'items': {'type': 'string'}, 'type': 'array'}, {'type': 'null'}], 'description': 'Match if any of these strings appear. Match all if None/null.', 'title': 'Chunk Contents Filter'}, 'project_name': {'title': 'Project Name', 'type': 'string'}}, 'required': ['project_name', 'chunk_contents_filter'], 'title': 'find_files_by_chunk_contentArguments', 'type': 'object'}, description="""Step 1: Find files containing chunks with matching text.\n\n    Returns file tree only showing which files contain matches.\n    You must use find_matching_chunks_in_file on each relevant file\n    to see the actual matches.\n\n    Example workflow:\n    1. Find files:\n       files = find_files_by_chunk_content(project, [\"MyClass\"])\n    2. For each file, find actual matches:\n       matches = find_matching_chunks_in_file(file, [\"MyClass\"])\n    3. Get content:\n       content = chunk_details(file, match_id)\n    """), # jurasofish/MCPunk/find_files_by_chunk_content
    Tool(name="""MCPunk_find_matching_chunks_in_file""", inputSchema={'properties': {'filter_': {'anyOf': [{'type': 'string'}, {'items': {'type': 'string'}, 'type': 'array'}, {'type': 'null'}], 'description': 'Match if any of these strings appear. Match all if None/null.', 'title': 'Filter'}, 'project_name': {'title': 'Project Name', 'type': 'string'}, 'rel_path': {'description': 'Relative to project root', 'format': 'path', 'title': 'Rel Path', 'type': 'string'}}, 'required': ['project_name', 'rel_path', 'filter_'], 'title': 'find_matching_chunks_in_fileArguments', 'type': 'object'}, description="""Step 2: Find the actual matching chunks in a specific file.\n\n    Required after find_files_by_chunk_content or list_all_files_in_project to see\n    matches, as those tools only show files, not their contents.\n\n    This can be used for things like:\n      - Finding all chunks in a file that make reference to a specific function\n        (e.g. find_matching_chunks_in_file(..., [\"my_funk\"])\n      - Finding a chunk where a specific function is defined\n        (e.g. find_matching_chunks_in_file(..., [\"def my_funk\"])\n\n    Some chunks are split into multiple parts, because they are too large. This\n    will look like 'chunkx_part1', 'chunkx_part2', ...\n    """), # jurasofish/MCPunk/find_matching_chunks_in_file
    Tool(name="""MCPunk_chunk_details""", inputSchema={'properties': {'chunk_id': {'title': 'Chunk Id', 'type': 'string'}}, 'required': ['chunk_id'], 'title': 'chunk_detailsArguments', 'type': 'object'}, description="""Get full content of a specific chunk.\n\n    Returns chunk content as string.\n\n    Common patterns:\n    1. Final step after find_matching_chunks_in_file finds relevant chunks\n    2. Examining implementations after finding definitions/uses\n    """), # jurasofish/MCPunk/chunk_details
    Tool(name="""MCPunk_list_most_recently_checked_out_branches""", inputSchema={'properties': {'n': {'default': 20, 'maximum': 50, 'minimum': 20, 'title': 'N', 'type': 'integer'}, 'project_name': {'title': 'Project Name', 'type': 'string'}}, 'required': ['project_name'], 'title': 'list_most_recently_checked_out_branchesArguments', 'type': 'object'}, description="""List the n most recently checked out branches in the project"""), # jurasofish/MCPunk/list_most_recently_checked_out_branches
    Tool(name="""MCPunk_diff_with_ref""", inputSchema={'properties': {'project_name': {'title': 'Project Name', 'type': 'string'}, 'ref': {'maxLength': 100, 'title': 'Ref', 'type': 'string'}}, 'required': ['project_name', 'ref'], 'title': 'diff_with_refArguments', 'type': 'object'}, description="""Return a summary of the diff between HEAD and the given ref.\n\n    You probably want the ref  to be the 'base' branch like develop or main, off which\n    PRs are made - and you can likely determine this by viewing the most recently\n    checked out branches.\n    """), # jurasofish/MCPunk/diff_with_ref
    Tool(name="""Data.gov MCP Server_package_search""", inputSchema={'properties': {'q': {'description': 'Search query', 'type': 'string'}, 'rows': {'description': 'Number of results per page', 'type': 'number'}, 'sort': {'description': 'Sort order (e.g., "score desc, name asc")', 'type': 'string'}, 'start': {'description': 'Starting offset for results', 'type': 'number'}}, 'type': 'object'}, description="""Search for packages (datasets) on Data.gov"""), # melaodoidao/Data.gov MCP Server/package_search
    Tool(name="""Data.gov MCP Server_package_show""", inputSchema={'properties': {'id': {'description': 'Package ID or name', 'type': 'string'}}, 'required': ['id'], 'type': 'object'}, description="""Get details for a specific package (dataset)"""), # melaodoidao/Data.gov MCP Server/package_show
    Tool(name="""Data.gov MCP Server_group_list""", inputSchema={'properties': {'all_fields': {'description': 'Return all fields', 'type': 'boolean'}, 'limit': {'description': 'Maximum number of results', 'type': 'number'}, 'offset': {'description': 'Offset for results', 'type': 'number'}, 'order_by': {'description': 'Field to order by', 'type': 'string'}}, 'type': 'object'}, description="""List groups on Data.gov"""), # melaodoidao/Data.gov MCP Server/group_list
    Tool(name="""Data.gov MCP Server_tag_list""", inputSchema={'properties': {'all_fields': {'description': 'Return all fields', 'type': 'boolean'}, 'query': {'description': 'Search query for tags', 'type': 'string'}}, 'type': 'object'}, description="""List tags on Data.gov"""), # melaodoidao/Data.gov MCP Server/tag_list
    Tool(name="""MCP Calc Tools_derivative""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': True, 'properties': {'expression': {'description': 'Mathematical expression (e.g., "x^2", "e^x", "sin(x)")', 'type': 'string'}, 'variable': {'description': 'Variable to differentiate with respect to (default: x)', 'type': 'string'}}, 'required': ['expression'], 'type': 'object'}, description="""Calculate the derivative of a mathematical expression"""), # nbiish/MCP Calc Tools/derivative
    Tool(name="""MCP Calc Tools_integral""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': True, 'properties': {'expression': {'description': 'Mathematical expression (e.g., "x^2", "e^x", "sin(x)")', 'type': 'string'}, 'variable': {'description': 'Variable to integrate with respect to (default: x)', 'type': 'string'}}, 'required': ['expression'], 'type': 'object'}, description="""Calculate the indefinite integral of a mathematical expression"""), # nbiish/MCP Calc Tools/integral
    Tool(name="""MCP Calc Tools_riemann_sum""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': True, 'properties': {'a': {'description': 'Lower limit of integration', 'type': 'number'}, 'b': {'description': 'Upper limit of integration', 'type': 'number'}, 'expression': {'description': 'Function to integrate', 'type': 'string'}, 'method': {'default': 'midpoint', 'description': 'Method: left, right, midpoint, or trapezoid', 'enum': ['left', 'right', 'midpoint', 'trapezoid'], 'type': 'string'}, 'n': {'description': 'Number of subintervals', 'type': 'number'}, 'variable': {'description': 'Variable of integration', 'type': 'string'}}, 'required': ['expression', 'variable', 'a', 'b', 'n'], 'type': 'object'}, description="""Calculate the Riemann sum of a function using different methods"""), # nbiish/MCP Calc Tools/riemann_sum
    Tool(name="""MCP Calc Tools_area""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': True, 'properties': {'end': {'type': 'number'}, 'expression': {'type': 'string'}, 'n': {'description': 'Number of subintervals (default: 1000)', 'type': 'number'}, 'start': {'type': 'number'}}, 'required': ['expression', 'start', 'end'], 'type': 'object'}, description="""Calculate the area under a curve between two points"""), # nbiish/MCP Calc Tools/area
    Tool(name="""MCP Calc Tools_volume""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': True, 'properties': {'end': {'type': 'number'}, 'expression': {'type': 'string'}, 'start': {'type': 'number'}}, 'required': ['expression', 'start', 'end'], 'type': 'object'}, description="""Calculate the volume of revolution around x-axis"""), # nbiish/MCP Calc Tools/volume
    Tool(name="""MCP Calc Tools_logarithm""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': True, 'properties': {'base': {'type': 'number'}, 'value': {'type': 'number'}}, 'required': ['value'], 'type': 'object'}, description="""Calculate logarithm with any base"""), # nbiish/MCP Calc Tools/logarithm
    Tool(name="""MCP Calc Tools_exponential""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': True, 'properties': {'power': {'type': 'number'}}, 'required': ['power'], 'type': 'object'}, description="""Calculate exponential function (e^x)"""), # nbiish/MCP Calc Tools/exponential
    Tool(name="""MCP Calc Tools_compound_interest""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': True, 'properties': {'compounds': {'type': 'number'}, 'principal': {'type': 'number'}, 'rate': {'type': 'number'}, 'time': {'type': 'number'}}, 'required': ['principal', 'rate', 'time'], 'type': 'object'}, description="""Calculate compound interest"""), # nbiish/MCP Calc Tools/compound_interest
    Tool(name="""MCP Calc Tools_present_value""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': True, 'properties': {'futureValue': {'type': 'number'}, 'rate': {'type': 'number'}, 'time': {'type': 'number'}}, 'required': ['futureValue', 'rate', 'time'], 'type': 'object'}, description="""Calculate present value of future cash flows"""), # nbiish/MCP Calc Tools/present_value
    Tool(name="""MCP Calc Tools_npv""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': True, 'properties': {'cashFlows': {'items': {'type': 'number'}, 'type': 'array'}, 'rate': {'type': 'number'}}, 'required': ['cashFlows', 'rate'], 'type': 'object'}, description="""Calculate Net Present Value of cash flows"""), # nbiish/MCP Calc Tools/npv
    Tool(name="""MCP Calc Tools_darboux_sum""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': True, 'properties': {'a': {'description': 'Lower limit of integration', 'type': 'number'}, 'b': {'description': 'Upper limit of integration', 'type': 'number'}, 'expression': {'description': 'Function to integrate', 'type': 'string'}, 'n': {'description': 'Number of subintervals', 'type': 'number'}, 'type': {'default': 'upper', 'description': 'Type: upper or lower Darboux sum', 'enum': ['upper', 'lower'], 'type': 'string'}, 'variable': {'description': 'Variable of integration', 'type': 'string'}}, 'required': ['expression', 'variable', 'a', 'b', 'n'], 'type': 'object'}, description="""Calculate the Darboux sum of a function"""), # nbiish/MCP Calc Tools/darboux_sum
    Tool(name="""MCP Calc Tools_limit""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': True, 'properties': {'approach': {'description': 'Value the variable approaches', 'type': 'number'}, 'expression': {'description': 'Function to evaluate limit', 'type': 'string'}, 'variable': {'description': 'Variable approaching the limit', 'type': 'string'}}, 'required': ['expression', 'variable', 'approach'], 'type': 'object'}, description="""Calculate the limit of a function as it approaches a value"""), # nbiish/MCP Calc Tools/limit
    Tool(name="""MCP Calc Tools_solve""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': True, 'properties': {'expression': {'description': 'Equation to solve (e.g., "x^2 = 4")', 'type': 'string'}, 'variable': {'description': 'Variable to solve for', 'type': 'string'}}, 'required': ['expression', 'variable'], 'type': 'object'}, description="""Solve an equation for a variable"""), # nbiish/MCP Calc Tools/solve
    Tool(name="""MCP Calc Tools_laplace_transform""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': True, 'properties': {'expression': {'description': 'Function of time', 'type': 'string'}, 'laplaceVar': {'description': 'Laplace variable', 'type': 'string'}, 'timeVar': {'description': 'Time variable', 'type': 'string'}}, 'required': ['expression', 'timeVar', 'laplaceVar'], 'type': 'object'}, description="""Calculate the Laplace transform of a function"""), # nbiish/MCP Calc Tools/laplace_transform
    Tool(name="""MCP Calc Tools_fourier_transform""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': True, 'properties': {'expression': {'description': 'Function of time', 'type': 'string'}, 'freqVar': {'description': 'Frequency variable', 'type': 'string'}, 'timeVar': {'description': 'Time variable', 'type': 'string'}}, 'required': ['expression', 'timeVar', 'freqVar'], 'type': 'object'}, description="""Calculate the Fourier transform of a function"""), # nbiish/MCP Calc Tools/fourier_transform
    Tool(name="""MCP Calc Tools_z_transform""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': True, 'properties': {'expression': {'description': 'Function of discrete time', 'type': 'string'}, 'limit': {'description': 'Upper limit for summation (default: 100)', 'type': 'number'}, 'timeVar': {'description': 'Discrete time variable', 'type': 'string'}, 'zVar': {'description': 'Z-transform variable', 'type': 'string'}}, 'required': ['expression', 'timeVar', 'zVar'], 'type': 'object'}, description="""Calculate the Z-transform of a function"""), # nbiish/MCP Calc Tools/z_transform
    Tool(name="""MCP Calc Tools_black_scholes""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': True, 'properties': {'K': {'description': 'Strike price of the option', 'type': 'number'}, 'S': {'description': 'Current price of the asset', 'type': 'number'}, 'T': {'description': 'Time to expiration in years', 'type': 'number'}, 'optionType': {'default': 'call', 'description': 'Option type: "call" or "put"', 'enum': ['call', 'put'], 'type': 'string'}, 'r': {'description': 'Risk-free interest rate', 'type': 'number'}, 'sigma': {'description': 'Volatility of the asset', 'type': 'number'}}, 'required': ['S', 'K', 'T', 'r', 'sigma'], 'type': 'object'}, description="""Calculate Black-Scholes option price"""), # nbiish/MCP Calc Tools/black_scholes
    Tool(name="""MCP Calc Tools_option_greeks""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': True, 'properties': {'K': {'description': 'Strike price of the option', 'type': 'number'}, 'S': {'description': 'Current price of the asset', 'type': 'number'}, 'T': {'description': 'Time to expiration in years', 'type': 'number'}, 'optionType': {'default': 'call', 'description': 'Option type: "call" or "put"', 'enum': ['call', 'put'], 'type': 'string'}, 'r': {'description': 'Risk-free interest rate', 'type': 'number'}, 'sigma': {'description': 'Volatility of the asset', 'type': 'number'}}, 'required': ['S', 'K', 'T', 'r', 'sigma'], 'type': 'object'}, description="""Calculate the Greeks for a Black-Scholes option"""), # nbiish/MCP Calc Tools/option_greeks
    Tool(name="""Lichess MCP_unblock_user""", inputSchema={'properties': {'username': {'description': 'Username of the player to unblock', 'type': 'string'}}, 'required': ['username'], 'type': 'object'}, description="""Unblock a user"""), # karayaman/Lichess MCP/unblock_user
    Tool(name="""Lichess MCP_get_user_profile""", inputSchema={'properties': {'trophies': {'default': False, 'description': 'Include user trophies', 'type': 'boolean'}, 'username': {'description': 'Username of the player', 'type': 'string'}}, 'required': ['username'], 'type': 'object'}, description="""Get a user's Lichess profile information"""), # karayaman/Lichess MCP/get_user_profile
    Tool(name="""Lichess MCP_get_my_email""", inputSchema={'properties': {}, 'type': 'object'}, description="""Get your email address"""), # karayaman/Lichess MCP/get_my_email
    Tool(name="""Lichess MCP_get_kid_mode""", inputSchema={'properties': {}, 'type': 'object'}, description="""Get kid mode status"""), # karayaman/Lichess MCP/get_kid_mode
    Tool(name="""Lichess MCP_set_kid_mode""", inputSchema={'properties': {'value': {'description': 'Enable or disable kid mode', 'type': 'boolean'}}, 'required': ['value'], 'type': 'object'}, description="""Set kid mode status"""), # karayaman/Lichess MCP/set_kid_mode
    Tool(name="""Lichess MCP_create_challenge""", inputSchema={'properties': {'color': {'default': 'random', 'enum': ['white', 'black', 'random'], 'type': 'string'}, 'timeControl': {'default': '10+0', 'description': "Time control (e.g. '10+0' for 10 minutes)", 'type': 'string'}, 'username': {'description': 'Username of the player to challenge', 'type': 'string'}}, 'required': ['username'], 'type': 'object'}, description="""Create a new challenge"""), # karayaman/Lichess MCP/create_challenge
    Tool(name="""Lichess MCP_set_token""", inputSchema={'properties': {'token': {'description': 'Your Lichess API token', 'type': 'string'}}, 'required': ['token'], 'type': 'object'}, description="""Set your Lichess API token"""), # karayaman/Lichess MCP/set_token
    Tool(name="""Lichess MCP_get_my_profile""", inputSchema={'properties': {}, 'type': 'object'}, description="""Get your Lichess profile information"""), # karayaman/Lichess MCP/get_my_profile
    Tool(name="""Lichess MCP_make_move""", inputSchema={'properties': {'gameId': {'description': 'ID of the game', 'type': 'string'}, 'move': {'description': "Move in UCI format (e.g. 'e2e4')", 'type': 'string'}, 'offeringDraw': {'default': False, 'description': 'Whether to offer/accept a draw', 'type': 'boolean'}}, 'required': ['gameId', 'move'], 'type': 'object'}, description="""Make a move in an ongoing game"""), # karayaman/Lichess MCP/make_move
    Tool(name="""Lichess MCP_get_preferences""", inputSchema={'properties': {}, 'type': 'object'}, description="""Get your preferences"""), # karayaman/Lichess MCP/get_preferences
    Tool(name="""Lichess MCP_get_timeline""", inputSchema={'properties': {'nb': {'default': 15, 'description': 'Max number of events to fetch (1-30)', 'maximum': 30, 'minimum': 1, 'type': 'number'}, 'since': {'description': 'Show events since this timestamp', 'type': 'number'}}, 'type': 'object'}, description="""Get your timeline"""), # karayaman/Lichess MCP/get_timeline
    Tool(name="""Lichess MCP_test_tokens""", inputSchema={'properties': {'tokens': {'description': 'OAuth tokens separated by commas. Up to 1000.', 'type': 'string'}}, 'required': ['tokens'], 'type': 'object'}, description="""Test multiple OAuth tokens"""), # karayaman/Lichess MCP/test_tokens
    Tool(name="""Lichess MCP_revoke_token""", inputSchema={'properties': {}, 'type': 'object'}, description="""Revoke the current access token"""), # karayaman/Lichess MCP/revoke_token
    Tool(name="""Lichess MCP_upgrade_to_bot""", inputSchema={'properties': {}, 'type': 'object'}, description="""Upgrade to Bot account. WARNING: This is irreversible and the account must not have played any games."""), # karayaman/Lichess MCP/upgrade_to_bot
    Tool(name="""Lichess MCP_add_user_note""", inputSchema={'properties': {'text': {'description': 'The contents of the note', 'type': 'string'}, 'username': {'description': 'Username of the player', 'type': 'string'}}, 'required': ['username', 'text'], 'type': 'object'}, description="""Add a private note about a user"""), # karayaman/Lichess MCP/add_user_note
    Tool(name="""Lichess MCP_send_message""", inputSchema={'properties': {'text': {'description': 'Message text', 'type': 'string'}, 'username': {'description': 'Username of the recipient', 'type': 'string'}}, 'required': ['username', 'text'], 'type': 'object'}, description="""Send a private message to another player"""), # karayaman/Lichess MCP/send_message
    Tool(name="""Lichess MCP_get_following""", inputSchema={'properties': {}, 'type': 'object'}, description="""Get users followed by the logged in user"""), # karayaman/Lichess MCP/get_following
    Tool(name="""Lichess MCP_follow_user""", inputSchema={'properties': {'username': {'description': 'Username of the player to follow', 'type': 'string'}}, 'required': ['username'], 'type': 'object'}, description="""Follow a player"""), # karayaman/Lichess MCP/follow_user
    Tool(name="""Lichess MCP_unfollow_user""", inputSchema={'properties': {'username': {'description': 'Username of the player to unfollow', 'type': 'string'}}, 'required': ['username'], 'type': 'object'}, description="""Unfollow a player"""), # karayaman/Lichess MCP/unfollow_user
    Tool(name="""Lichess MCP_block_user""", inputSchema={'properties': {'username': {'description': 'Username of the player to block', 'type': 'string'}}, 'required': ['username'], 'type': 'object'}, description="""Block a player"""), # karayaman/Lichess MCP/block_user
    Tool(name="""Lichess MCP_get_users_status""", inputSchema={'properties': {'ids': {'description': 'User IDs separated by commas. Up to 100 IDs.', 'type': 'string'}, 'withGameIds': {'description': 'Include IDs of ongoing games', 'type': 'boolean'}, 'withGameMetas': {'description': 'Include metadata of ongoing games', 'type': 'boolean'}, 'withSignal': {'description': 'Include network signal strength (1-4)', 'type': 'boolean'}}, 'required': ['ids'], 'type': 'object'}, description="""Get real-time users status"""), # karayaman/Lichess MCP/get_users_status
    Tool(name="""Lichess MCP_get_all_top_10""", inputSchema={'properties': {}, 'type': 'object'}, description="""Get the top 10 players for each speed and variant"""), # karayaman/Lichess MCP/get_all_top_10
    Tool(name="""Lichess MCP_get_leaderboard""", inputSchema={'properties': {'nb': {'default': 100, 'description': 'How many users to fetch (1-200)', 'maximum': 200, 'minimum': 1, 'type': 'number'}, 'perfType': {'description': 'The speed or variant', 'enum': ['ultraBullet', 'bullet', 'blitz', 'rapid', 'classical', 'chess960', 'crazyhouse', 'antichess', 'atomic', 'horde', 'kingOfTheHill', 'racingKings', 'threeCheck'], 'type': 'string'}}, 'required': ['perfType'], 'type': 'object'}, description="""Get the leaderboard for a single speed or variant"""), # karayaman/Lichess MCP/get_leaderboard
    Tool(name="""Lichess MCP_get_user_public_data""", inputSchema={'properties': {'username': {'description': 'Username of the player', 'type': 'string'}, 'withTrophies': {'default': False, 'description': 'Include user trophies', 'type': 'boolean'}}, 'required': ['username'], 'type': 'object'}, description="""Get public data of a user"""), # karayaman/Lichess MCP/get_user_public_data
    Tool(name="""Lichess MCP_get_rating_history""", inputSchema={'properties': {'username': {'description': 'Username of the player', 'type': 'string'}}, 'required': ['username'], 'type': 'object'}, description="""Get rating history of a user for all perf types"""), # karayaman/Lichess MCP/get_rating_history
    Tool(name="""Lichess MCP_get_user_performance""", inputSchema={'properties': {'perf': {'description': 'The speed or variant', 'enum': ['ultraBullet', 'bullet', 'blitz', 'rapid', 'classical', 'correspondence', 'chess960', 'crazyhouse', 'antichess', 'atomic', 'horde', 'kingOfTheHill', 'racingKings', 'threeCheck'], 'type': 'string'}, 'username': {'description': 'Username of the player', 'type': 'string'}}, 'required': ['username', 'perf'], 'type': 'object'}, description="""Get performance statistics of a user"""), # karayaman/Lichess MCP/get_user_performance
    Tool(name="""Lichess MCP_get_user_activity""", inputSchema={'properties': {'username': {'description': 'Username of the player', 'type': 'string'}}, 'required': ['username'], 'type': 'object'}, description="""Get activity feed of a user"""), # karayaman/Lichess MCP/get_user_activity
    Tool(name="""Lichess MCP_get_users_by_id""", inputSchema={'properties': {'ids': {'description': 'User IDs separated by commas. Up to 300 IDs.', 'type': 'string'}}, 'required': ['ids'], 'type': 'object'}, description="""Get multiple users by their IDs"""), # karayaman/Lichess MCP/get_users_by_id
    Tool(name="""Lichess MCP_export_game""", inputSchema={'properties': {'accuracy': {'default': False, 'description': 'Include accuracy percentages', 'type': 'boolean'}, 'clocks': {'default': True, 'description': 'Include clock comments in the PGN moves', 'type': 'boolean'}, 'evals': {'default': True, 'description': 'Include analysis evaluation comments', 'type': 'boolean'}, 'gameId': {'description': 'The game ID', 'type': 'string'}, 'literate': {'default': False, 'description': 'Include textual annotations', 'type': 'boolean'}, 'moves': {'default': True, 'description': 'Include the PGN moves', 'type': 'boolean'}, 'opening': {'default': True, 'description': 'Include opening name', 'type': 'boolean'}, 'pgnInJson': {'default': False, 'description': 'Include the full PGN within the JSON response', 'type': 'boolean'}, 'tags': {'default': True, 'description': 'Include the PGN tags', 'type': 'boolean'}}, 'required': ['gameId'], 'type': 'object'}, description="""Export one game in PGN or JSON format"""), # karayaman/Lichess MCP/export_game
    Tool(name="""Lichess MCP_export_ongoing_game""", inputSchema={'properties': {'clocks': {'default': True, 'description': 'Include clock comments in the PGN moves', 'type': 'boolean'}, 'evals': {'default': True, 'description': 'Include analysis evaluation comments', 'type': 'boolean'}, 'moves': {'default': True, 'description': 'Include the PGN moves', 'type': 'boolean'}, 'opening': {'default': True, 'description': 'Include opening name', 'type': 'boolean'}, 'pgnInJson': {'default': False, 'description': 'Include the full PGN within the JSON response', 'type': 'boolean'}, 'tags': {'default': True, 'description': 'Include the PGN tags', 'type': 'boolean'}, 'username': {'description': 'The username', 'type': 'string'}}, 'required': ['username'], 'type': 'object'}, description="""Export ongoing game of a user"""), # karayaman/Lichess MCP/export_ongoing_game
    Tool(name="""Lichess MCP_export_user_games""", inputSchema={'properties': {'accuracy': {'default': False, 'description': 'Include accuracy', 'type': 'boolean'}, 'analysed': {'description': 'Only games with or without computer analysis', 'type': 'boolean'}, 'clocks': {'default': False, 'description': 'Include clock comments', 'type': 'boolean'}, 'color': {'description': 'Only games played as this color', 'enum': ['white', 'black'], 'type': 'string'}, 'evals': {'default': False, 'description': 'Include analysis', 'type': 'boolean'}, 'finished': {'default': True, 'description': 'Include finished games', 'type': 'boolean'}, 'lastFen': {'default': False, 'description': 'Include last position FEN', 'type': 'boolean'}, 'literate': {'default': False, 'description': 'Include textual annotations', 'type': 'boolean'}, 'max': {'description': 'Maximum number of games to download', 'type': 'number'}, 'moves': {'default': True, 'description': 'Include moves', 'type': 'boolean'}, 'ongoing': {'default': False, 'description': 'Include ongoing games', 'type': 'boolean'}, 'opening': {'default': False, 'description': 'Include opening', 'type': 'boolean'}, 'perfType': {'description': 'Only games in these speeds or variants', 'enum': ['ultraBullet', 'bullet', 'blitz', 'rapid', 'classical', 'correspondence', 'chess960', 'crazyhouse', 'antichess', 'atomic', 'horde', 'kingOfTheHill', 'racingKings', 'threeCheck'], 'type': 'string'}, 'rated': {'description': 'Only rated (true) or casual (false) games', 'type': 'boolean'}, 'since': {'description': 'Download games played since timestamp', 'type': 'number'}, 'sort': {'default': 'dateDesc', 'description': 'Sort order of games', 'enum': ['dateAsc', 'dateDesc'], 'type': 'string'}, 'tags': {'default': True, 'description': 'Include tags', 'type': 'boolean'}, 'until': {'description': 'Download games played until timestamp', 'type': 'number'}, 'username': {'description': 'The username', 'type': 'string'}, 'vs': {'description': 'Only games against this opponent', 'type': 'string'}}, 'required': ['username'], 'type': 'object'}, description="""Export all games of a user"""), # karayaman/Lichess MCP/export_user_games
    Tool(name="""Lichess MCP_export_games_by_ids""", inputSchema={'properties': {'clocks': {'default': False, 'description': 'Include clock comments', 'type': 'boolean'}, 'evals': {'default': False, 'description': 'Include analysis', 'type': 'boolean'}, 'ids': {'description': 'Game IDs separated by commas. Up to 300 IDs.', 'type': 'string'}, 'moves': {'default': True, 'description': 'Include the PGN moves', 'type': 'boolean'}, 'opening': {'default': False, 'description': 'Include opening name', 'type': 'boolean'}, 'pgnInJson': {'default': False, 'description': 'Include the full PGN within the JSON response', 'type': 'boolean'}, 'tags': {'default': True, 'description': 'Include the PGN tags', 'type': 'boolean'}}, 'required': ['ids'], 'type': 'object'}, description="""Export multiple games by IDs"""), # karayaman/Lichess MCP/export_games_by_ids
    Tool(name="""Lichess MCP_get_tv_channels""", inputSchema={'properties': {}, 'type': 'object'}, description="""Get all TV channels and their current games"""), # karayaman/Lichess MCP/get_tv_channels
    Tool(name="""Lichess MCP_get_tv_game""", inputSchema={'properties': {'channel': {'description': "Channel name like 'bot', 'blitz', etc.", 'enum': ['bot', 'blitz', 'racingKings', 'ultraBullet', 'bullet', 'classical', 'threeCheck', 'antichess', 'computer', 'horde', 'rapid', 'atomic', 'crazyhouse', 'chess960', 'kingOfTheHill', 'best'], 'type': 'string'}}, 'type': 'object'}, description="""Get current TV game in PGN format"""), # karayaman/Lichess MCP/get_tv_game
    Tool(name="""Lichess MCP_get_puzzle_activity""", inputSchema={'properties': {'max': {'description': 'How many entries to download. Leave empty to get all activity.', 'maximum': 200, 'minimum': 1, 'type': 'number'}}, 'type': 'object'}, description="""Get your puzzle activity"""), # karayaman/Lichess MCP/get_puzzle_activity
    Tool(name="""Lichess MCP_get_puzzle_dashboard""", inputSchema={'properties': {'days': {'default': 30, 'description': 'How many days of history to return (max 30)', 'maximum': 30, 'minimum': 1, 'type': 'number'}}, 'type': 'object'}, description="""Get your puzzle dashboard"""), # karayaman/Lichess MCP/get_puzzle_dashboard
    Tool(name="""Lichess MCP_get_puzzle_race""", inputSchema={'properties': {'raceId': {'description': 'ID of the puzzle race', 'type': 'string'}}, 'required': ['raceId'], 'type': 'object'}, description="""Get info about a puzzle race"""), # karayaman/Lichess MCP/get_puzzle_race
    Tool(name="""Lichess MCP_create_puzzle_race""", inputSchema={'properties': {}, 'type': 'object'}, description="""Create a puzzle race"""), # karayaman/Lichess MCP/create_puzzle_race
    Tool(name="""Lichess MCP_get_puzzle_storm_dashboard""", inputSchema={'properties': {'days': {'default': 30, 'description': 'How many days of history to return (max 30)', 'maximum': 30, 'minimum': 1, 'type': 'number'}}, 'type': 'object'}, description="""Get your puzzle storm dashboard"""), # karayaman/Lichess MCP/get_puzzle_storm_dashboard
    Tool(name="""Lichess MCP_get_team_info""", inputSchema={'properties': {'teamId': {'description': 'The team ID', 'type': 'string'}}, 'required': ['teamId'], 'type': 'object'}, description="""Get team information by ID"""), # karayaman/Lichess MCP/get_team_info
    Tool(name="""Lichess MCP_get_team_members""", inputSchema={'properties': {'max': {'default': 100, 'description': 'Maximum number of members to fetch', 'type': 'number'}, 'teamId': {'description': 'The team ID', 'type': 'string'}}, 'required': ['teamId'], 'type': 'object'}, description="""Get members of a team"""), # karayaman/Lichess MCP/get_team_members
    Tool(name="""Lichess MCP_get_team_join_requests""", inputSchema={'properties': {'teamId': {'description': 'The team ID', 'type': 'string'}}, 'required': ['teamId'], 'type': 'object'}, description="""Get join requests for a team"""), # karayaman/Lichess MCP/get_team_join_requests
    Tool(name="""Lichess MCP_join_team""", inputSchema={'properties': {'message': {'description': 'Optional message for team leaders', 'type': 'string'}, 'teamId': {'description': 'The team ID', 'type': 'string'}}, 'required': ['teamId'], 'type': 'object'}, description="""Join a team"""), # karayaman/Lichess MCP/join_team
    Tool(name="""Lichess MCP_leave_team""", inputSchema={'properties': {'teamId': {'description': 'The team ID', 'type': 'string'}}, 'required': ['teamId'], 'type': 'object'}, description="""Leave a team"""), # karayaman/Lichess MCP/leave_team
    Tool(name="""Lichess MCP_kick_user_from_team""", inputSchema={'properties': {'teamId': {'description': 'The team ID', 'type': 'string'}, 'userId': {'description': 'The user ID', 'type': 'string'}}, 'required': ['teamId', 'userId'], 'type': 'object'}, description="""Kick a user from your team"""), # karayaman/Lichess MCP/kick_user_from_team
    Tool(name="""Lichess MCP_accept_join_request""", inputSchema={'properties': {'teamId': {'description': 'The team ID', 'type': 'string'}, 'userId': {'description': 'The user ID', 'type': 'string'}}, 'required': ['teamId', 'userId'], 'type': 'object'}, description="""Accept a join request for your team"""), # karayaman/Lichess MCP/accept_join_request
    Tool(name="""Lichess MCP_decline_join_request""", inputSchema={'properties': {'teamId': {'description': 'The team ID', 'type': 'string'}, 'userId': {'description': 'The user ID', 'type': 'string'}}, 'required': ['teamId', 'userId'], 'type': 'object'}, description="""Decline a join request for your team"""), # karayaman/Lichess MCP/decline_join_request
    Tool(name="""Lichess MCP_search_teams""", inputSchema={'properties': {'page': {'default': 1, 'description': 'Page number (starting at 1)', 'type': 'number'}, 'text': {'description': 'Search text', 'type': 'string'}}, 'required': ['text'], 'type': 'object'}, description="""Search for teams"""), # karayaman/Lichess MCP/search_teams
    Tool(name="""Lichess MCP_make_board_move""", inputSchema={'properties': {'gameId': {'description': 'The game ID', 'type': 'string'}, 'move': {'description': 'Move in UCI format (e.g. e2e4)', 'type': 'string'}, 'offeringDraw': {'default': False, 'description': 'Whether to offer/accept a draw', 'type': 'boolean'}}, 'required': ['gameId', 'move'], 'type': 'object'}, description="""Make a move in a board game"""), # karayaman/Lichess MCP/make_board_move
    Tool(name="""Lichess MCP_abort_board_game""", inputSchema={'properties': {'gameId': {'description': 'The game ID', 'type': 'string'}}, 'required': ['gameId'], 'type': 'object'}, description="""Abort a board game"""), # karayaman/Lichess MCP/abort_board_game
    Tool(name="""Lichess MCP_resign_board_game""", inputSchema={'properties': {'gameId': {'description': 'The game ID', 'type': 'string'}}, 'required': ['gameId'], 'type': 'object'}, description="""Resign a board game"""), # karayaman/Lichess MCP/resign_board_game
    Tool(name="""Lichess MCP_write_in_chat""", inputSchema={'properties': {'gameId': {'description': 'The game ID', 'type': 'string'}, 'room': {'description': 'The chat room', 'enum': ['player', 'spectator'], 'type': 'string'}, 'text': {'description': 'The message to send', 'type': 'string'}}, 'required': ['gameId', 'room', 'text'], 'type': 'object'}, description="""Write in the chat of a board game"""), # karayaman/Lichess MCP/write_in_chat
    Tool(name="""Lichess MCP_handle_draw_board_game""", inputSchema={'properties': {'accept': {'default': True, 'description': 'Whether to accept or decline the draw offer', 'type': 'boolean'}, 'gameId': {'description': 'The game ID', 'type': 'string'}}, 'required': ['gameId'], 'type': 'object'}, description="""Handle draw offers for a board game"""), # karayaman/Lichess MCP/handle_draw_board_game
    Tool(name="""Lichess MCP_claim_victory""", inputSchema={'properties': {'gameId': {'description': 'The game ID', 'type': 'string'}}, 'required': ['gameId'], 'type': 'object'}, description="""Claim victory if opponent abandoned the game"""), # karayaman/Lichess MCP/claim_victory
    Tool(name="""Lichess MCP_list_challenges""", inputSchema={'properties': {}, 'type': 'object'}, description="""List incoming and outgoing challenges"""), # karayaman/Lichess MCP/list_challenges
    Tool(name="""GitLab Kanban MCP Server_list_tasks""", inputSchema={'properties': {'projectId': {'description': 'GitLabID', 'type': 'string'}}, 'required': ['projectId'], 'type': 'object'}, description=""""""), # Sunwood-ai-labs/GitLab Kanban MCP Server/list_tasks
    Tool(name="""GitLab Kanban MCP Server_create_task""", inputSchema={'properties': {'description': {'description': '', 'type': 'string'}, 'labels': {'description': '', 'items': {'type': 'string'}, 'type': 'array'}, 'projectId': {'description': 'GitLabID', 'type': 'string'}, 'title': {'description': '', 'type': 'string'}}, 'required': ['projectId', 'title'], 'type': 'object'}, description=""""""), # Sunwood-ai-labs/GitLab Kanban MCP Server/create_task
    Tool(name="""GitLab Kanban MCP Server_update_task""", inputSchema={'properties': {'description': {'description': '', 'type': 'string'}, 'issueId': {'description': 'IssueID', 'type': 'string'}, 'projectId': {'description': 'GitLabID', 'type': 'string'}, 'state': {'description': '', 'enum': ['opened', 'closed'], 'type': 'string'}, 'title': {'description': '', 'type': 'string'}}, 'required': ['projectId', 'issueId'], 'type': 'object'}, description=""""""), # Sunwood-ai-labs/GitLab Kanban MCP Server/update_task
    Tool(name="""GitLab Kanban MCP Server_delete_task""", inputSchema={'properties': {'issueId': {'description': 'IssueID', 'type': 'string'}, 'projectId': {'description': 'GitLabID', 'type': 'string'}}, 'required': ['projectId', 'issueId'], 'type': 'object'}, description=""""""), # Sunwood-ai-labs/GitLab Kanban MCP Server/delete_task
    Tool(name="""GitLab Kanban MCP Server_add_comment""", inputSchema={'properties': {'body': {'description': 'Markdown', 'type': 'string'}, 'issueId': {'description': 'IssueID', 'type': 'string'}, 'projectId': {'description': 'GitLabID', 'type': 'string'}}, 'required': ['projectId', 'issueId', 'body'], 'type': 'object'}, description=""""""), # Sunwood-ai-labs/GitLab Kanban MCP Server/add_comment
    Tool(name="""iMessage MCP Server_send_imessage""", inputSchema={'properties': {'message': {'description': 'Message content to send', 'type': 'string'}, 'recipient': {'description': 'Phone number or email of the recipient', 'type': 'string'}}, 'required': ['recipient', 'message'], 'type': 'object'}, description="""Send an iMessage using Messages app"""), # marissamarym/iMessage MCP Server/send_imessage
    Tool(name="""iMessage MCP Server_search_contacts""", inputSchema={'properties': {'query': {'description': 'Search query', 'type': 'string'}}, 'required': ['query'], 'type': 'object'}, description="""Search contacts by name, phone, or email"""), # marissamarym/iMessage MCP Server/search_contacts
    Tool(name="""CouchDB MCP Server_createDatabase""", inputSchema={'properties': {'dbName': {'description': 'Database name', 'type': 'string'}}, 'required': ['dbName'], 'type': 'object'}, description="""Create a new CouchDB database"""), # robertoamoreno/CouchDB MCP Server/createDatabase
    Tool(name="""CouchDB MCP Server_listDatabases""", inputSchema={'properties': {}, 'type': 'object'}, description="""List all CouchDB databases"""), # robertoamoreno/CouchDB MCP Server/listDatabases
    Tool(name="""CouchDB MCP Server_deleteDatabase""", inputSchema={'properties': {'dbName': {'description': 'Database name to delete', 'type': 'string'}}, 'required': ['dbName'], 'type': 'object'}, description="""Delete a CouchDB database"""), # robertoamoreno/CouchDB MCP Server/deleteDatabase
    Tool(name="""CouchDB MCP Server_createDocument""", inputSchema={'properties': {'data': {'description': 'Document data', 'type': 'object'}, 'dbName': {'description': 'Database name', 'type': 'string'}, 'docId': {'description': 'Document ID', 'type': 'string'}}, 'required': ['dbName', 'docId', 'data'], 'type': 'object'}, description="""Create a new document or update an existing document in a database"""), # robertoamoreno/CouchDB MCP Server/createDocument
    Tool(name="""CouchDB MCP Server_getDocument""", inputSchema={'properties': {'dbName': {'description': 'Database name', 'type': 'string'}, 'docId': {'description': 'Document ID', 'type': 'string'}}, 'required': ['dbName', 'docId'], 'type': 'object'}, description="""Get a document from a database"""), # robertoamoreno/CouchDB MCP Server/getDocument
    Tool(name="""CouchDB MCP Server_createMangoIndex""", inputSchema={'properties': {'dbName': {'description': 'Database name', 'type': 'string'}, 'fields': {'description': 'Fields to index', 'items': {'type': 'string'}, 'type': 'array'}, 'indexName': {'description': 'Name of the index', 'type': 'string'}}, 'required': ['dbName', 'indexName', 'fields'], 'type': 'object'}, description="""Create a new Mango index (CouchDB 3.x+)"""), # robertoamoreno/CouchDB MCP Server/createMangoIndex
    Tool(name="""CouchDB MCP Server_deleteMangoIndex""", inputSchema={'properties': {'dbName': {'description': 'Database name', 'type': 'string'}, 'designDoc': {'description': 'Design document name', 'type': 'string'}, 'indexName': {'description': 'Name of the index', 'type': 'string'}}, 'required': ['dbName', 'designDoc', 'indexName'], 'type': 'object'}, description="""Delete a Mango index (CouchDB 3.x+)"""), # robertoamoreno/CouchDB MCP Server/deleteMangoIndex
    Tool(name="""CouchDB MCP Server_listMangoIndexes""", inputSchema={'properties': {'dbName': {'description': 'Database name', 'type': 'string'}}, 'required': ['dbName'], 'type': 'object'}, description="""List all Mango indexes in a database (CouchDB 3.x+)"""), # robertoamoreno/CouchDB MCP Server/listMangoIndexes
    Tool(name="""CouchDB MCP Server_findDocuments""", inputSchema={'properties': {'dbName': {'description': 'Database name', 'type': 'string'}, 'query': {'description': 'Mango query object', 'type': 'object'}}, 'required': ['dbName', 'query'], 'type': 'object'}, description="""Query documents using Mango query (CouchDB 3.x+)"""), # robertoamoreno/CouchDB MCP Server/findDocuments
    Tool(name="""Memory Box MCP Server_save_memory""", inputSchema={'properties': {'bucket_id': {'description': 'The bucket to save the memory to (default: "General")', 'type': 'string'}, 'format': {'description': 'Whether to format the memory according to the system prompt (default: true)', 'type': 'boolean'}, 'text': {'description': 'The memory content to save', 'type': 'string'}, 'type': {'description': 'The type of memory (TECHNICAL, DECISION, SOLUTION, CONCEPT, REFERENCE, APPLICATION, FACT) for formatting (default: "TECHNICAL")', 'type': 'string'}}, 'required': ['text'], 'type': 'object'}, description="""Save a memory to Memory Box with proper formatting"""), # amotivv/Memory Box MCP Server/save_memory
    Tool(name="""Memory Box MCP Server_search_memories""", inputSchema={'properties': {'debug': {'description': 'Include debug information in results (default: false)', 'type': 'boolean'}, 'query': {'description': 'The search query', 'type': 'string'}}, 'required': ['query'], 'type': 'object'}, description="""Search for memories using semantic search"""), # amotivv/Memory Box MCP Server/search_memories
    Tool(name="""Memory Box MCP Server_get_all_memories""", inputSchema={'properties': {}, 'type': 'object'}, description="""Retrieve all memories"""), # amotivv/Memory Box MCP Server/get_all_memories
    Tool(name="""Memory Box MCP Server_get_bucket_memories""", inputSchema={'properties': {'bucket_id': {'description': 'The bucket to retrieve memories from', 'type': 'string'}}, 'required': ['bucket_id'], 'type': 'object'}, description="""Get memories from a specific bucket"""), # amotivv/Memory Box MCP Server/get_bucket_memories
    Tool(name="""Memory Box MCP Server_format_memory""", inputSchema={'properties': {'text': {'description': 'The text to format', 'type': 'string'}, 'type': {'description': 'The type of memory (TECHNICAL, DECISION, SOLUTION, CONCEPT, REFERENCE, APPLICATION, FACT) (default: "TECHNICAL")', 'type': 'string'}}, 'required': ['text'], 'type': 'object'}, description="""Format a text according to the memory system prompt without saving"""), # amotivv/Memory Box MCP Server/format_memory
    Tool(name="""Memory Box MCP Server_get_usage_stats""", inputSchema={'properties': {}, 'type': 'object'}, description="""Retrieve user usage statistics and plan information"""), # amotivv/Memory Box MCP Server/get_usage_stats
    Tool(name="""JSON MCP Server_query""", inputSchema={'properties': {'jsonPath': {'description': 'JSONPath expression (e.g. $.store.book[*].author)', 'type': 'string'}, 'url': {'description': 'URL of the JSON data source', 'type': 'string'}}, 'required': ['url', 'jsonPath'], 'type': 'object'}, description="""Query JSON data using JSONPath syntax"""), # GongRzhe/JSON MCP Server/query
    Tool(name="""JSON MCP Server_filter""", inputSchema={'properties': {'condition': {'description': 'Filter condition (e.g. @.price < 10)', 'type': 'string'}, 'jsonPath': {'description': 'Base JSONPath expression', 'type': 'string'}, 'url': {'description': 'URL of the JSON data source', 'type': 'string'}}, 'required': ['url', 'jsonPath', 'condition'], 'type': 'object'}, description="""Filter JSON data using conditions"""), # GongRzhe/JSON MCP Server/filter
    Tool(name="""Draw Things MCP_generateImage""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'guidance_scale': {'type': 'number'}, 'height': {'type': 'number'}, 'negative_prompt': {'type': 'string'}, 'prompt': {'type': 'string'}, 'random_string': {'type': 'string'}, 'seed': {'type': 'number'}, 'steps': {'type': 'number'}, 'width': {'type': 'number'}}, 'type': 'object'}, description="""Generate an image based on a prompt"""), # jaokuohsuan/Draw Things MCP/generateImage
    Tool(name="""Jenkins Server MCP_get_build_status""", inputSchema={'properties': {'buildNumber': {'description': 'Build number (use "lastBuild" for most recent)', 'type': 'string'}, 'jobPath': {'description': 'Path to the Jenkins job (e.g., "view/xxx_debug")', 'type': 'string'}}, 'required': ['jobPath'], 'type': 'object'}, description="""Get the status of a Jenkins build"""), # hekmon8/Jenkins Server MCP/get_build_status
    Tool(name="""Jenkins Server MCP_trigger_build""", inputSchema={'properties': {'jobPath': {'description': 'Path to the Jenkins job', 'type': 'string'}, 'parameters': {'additionalProperties': True, 'description': 'Build parameters (optional)', 'type': 'object'}}, 'required': ['jobPath', 'parameters'], 'type': 'object'}, description="""Trigger a new Jenkins build"""), # hekmon8/Jenkins Server MCP/trigger_build
    Tool(name="""Jenkins Server MCP_get_build_log""", inputSchema={'properties': {'buildNumber': {'description': 'Build number (use "lastBuild" for most recent)', 'type': 'string'}, 'jobPath': {'description': 'Path to the Jenkins job', 'type': 'string'}}, 'required': ['jobPath', 'buildNumber'], 'type': 'object'}, description="""Get the console output of a Jenkins build"""), # hekmon8/Jenkins Server MCP/get_build_log
    Tool(name="""MCP Server for Apache OpenDAL_list""", inputSchema={'properties': {'uri': {'title': 'Uri', 'type': 'string'}}, 'required': ['uri'], 'title': 'listArguments', 'type': 'object'}, description="""\n    List files in OpenDAL service\n\n    Args:\n        uri: resource URI, e.g. mys3://path/to/dir\n\n    Returns:\n        String containing directory content\n    """), # Xuanwo/MCP Server for Apache OpenDAL/list
    Tool(name="""MCP Server for Apache OpenDAL_read""", inputSchema={'properties': {'uri': {'title': 'Uri', 'type': 'string'}}, 'required': ['uri'], 'title': 'readArguments', 'type': 'object'}, description="""\n    Read file content from OpenDAL service\n\n    Args:\n        uri: resource URI, e.g. mys3://path/to/file\n\n    Returns:\n        File content or error information\n    """), # Xuanwo/MCP Server for Apache OpenDAL/read
    Tool(name="""MCP Server for Apache OpenDAL_get_info""", inputSchema={'properties': {'uri': {'title': 'Uri', 'type': 'string'}}, 'required': ['uri'], 'title': 'get_infoArguments', 'type': 'object'}, description="""\n    Get metadata of file in OpenDAL service\n\n    Args:\n        uri: resource URI, e.g. mys3://path/to/file\n\n    Returns:\n        File metadata information\n    """), # Xuanwo/MCP Server for Apache OpenDAL/get_info
    Tool(name="""Salesforce MCP Server_salesforce_search_objects""", inputSchema={'properties': {'searchPattern': {'description': "Search pattern to find objects (e.g., 'Account Coverage' will find objects like 'AccountCoverage__c')", 'type': 'string'}}, 'required': ['searchPattern'], 'type': 'object'}, description="""Search for Salesforce standard and custom objects by name pattern. Examples: 'Account' will find Account, AccountHistory; 'Order' will find WorkOrder, ServiceOrder__c etc."""), # SurajAdsul/Salesforce MCP Server/salesforce_search_objects
    Tool(name="""Salesforce MCP Server_salesforce_describe_object""", inputSchema={'properties': {'objectName': {'description': "API name of the object (e.g., 'Account', 'Contact', 'Custom_Object__c')", 'type': 'string'}}, 'required': ['objectName'], 'type': 'object'}, description="""Get detailed schema metadata including all fields, relationships, and field properties of any Salesforce object. Examples: 'Account' shows all Account fields including custom fields; 'Case' shows all Case fields including relationships to Account, Contact etc."""), # SurajAdsul/Salesforce MCP Server/salesforce_describe_object
    Tool(name="""Salesforce MCP Server_salesforce_query_records""", inputSchema={'properties': {'fields': {'description': 'List of fields to retrieve, including relationship fields', 'items': {'type': 'string'}, 'type': 'array'}, 'limit': {'description': 'Maximum number of records to return', 'optional': True, 'type': 'number'}, 'objectName': {'description': 'API name of the object to query', 'type': 'string'}, 'orderBy': {'description': 'ORDER BY clause, can include fields from related objects', 'optional': True, 'type': 'string'}, 'whereClause': {'description': 'WHERE clause, can include conditions on related objects', 'optional': True, 'type': 'string'}}, 'required': ['objectName', 'fields'], 'type': 'object'}, description="""Query records from any Salesforce object using SOQL, including relationship queries.\n\nExamples:\n1. Parent-to-child query (e.g., Account with Contacts):\n   - objectName: \"Account\"\n   - fields: [\"Name\", \"(SELECT Id, FirstName, LastName FROM Contacts)\"]\n\n2. Child-to-parent query (e.g., Contact with Account details):\n   - objectName: \"Contact\"\n   - fields: [\"FirstName\", \"LastName\", \"Account.Name\", \"Account.Industry\"]\n\n3. Multiple level query (e.g., Contact -> Account -> Owner):\n   - objectName: \"Contact\"\n   - fields: [\"Name\", \"Account.Name\", \"Account.Owner.Name\"]\n\n4. Related object filtering:\n   - objectName: \"Contact\"\n   - fields: [\"Name\", \"Account.Name\"]\n   - whereClause: \"Account.Industry = 'Technology'\"\n\nNote: When using relationship fields:\n- Use dot notation for parent relationships (e.g., \"Account.Name\")\n- Use subqueries in parentheses for child relationships (e.g., \"(SELECT Id FROM Contacts)\")\n- Custom relationship fields end in \"__r\" (e.g., \"CustomObject__r.Name\")"""), # SurajAdsul/Salesforce MCP Server/salesforce_query_records
    Tool(name="""Salesforce MCP Server_salesforce_dml_records""", inputSchema={'properties': {'externalIdField': {'description': 'External ID field name for upsert operations', 'optional': True, 'type': 'string'}, 'objectName': {'description': 'API name of the object', 'type': 'string'}, 'operation': {'description': 'Type of DML operation to perform', 'enum': ['insert', 'update', 'delete', 'upsert'], 'type': 'string'}, 'records': {'description': 'Array of records to process', 'items': {'type': 'object'}, 'type': 'array'}}, 'required': ['operation', 'objectName', 'records'], 'type': 'object'}, description="""Perform data manipulation operations on Salesforce records:\n  - insert: Create new records\n  - update: Modify existing records (requires Id)\n  - delete: Remove records (requires Id)\n  - upsert: Insert or update based on external ID field\n  Examples: Insert new Accounts, Update Case status, Delete old records, Upsert based on custom external ID"""), # SurajAdsul/Salesforce MCP Server/salesforce_dml_records
    Tool(name="""Salesforce MCP Server_salesforce_manage_object""", inputSchema={'properties': {'description': {'description': 'Description of the object', 'optional': True, 'type': 'string'}, 'label': {'description': 'Label for the object', 'type': 'string'}, 'nameFieldFormat': {'description': "Display format for AutoNumber field (e.g., 'A-{0000}')", 'optional': True, 'type': 'string'}, 'nameFieldLabel': {'description': 'Label for the name field', 'optional': True, 'type': 'string'}, 'nameFieldType': {'description': 'Type of the name field', 'enum': ['Text', 'AutoNumber'], 'optional': True, 'type': 'string'}, 'objectName': {'description': 'API name for the object (without __c suffix)', 'type': 'string'}, 'operation': {'description': 'Whether to create new object or update existing', 'enum': ['create', 'update'], 'type': 'string'}, 'pluralLabel': {'description': 'Plural label for the object', 'type': 'string'}, 'sharingModel': {'description': 'Sharing model for the object', 'enum': ['ReadWrite', 'Read', 'Private', 'ControlledByParent'], 'optional': True, 'type': 'string'}}, 'required': ['operation', 'objectName'], 'type': 'object'}, description="""Create new custom objects or modify existing ones in Salesforce:\n  - Create: New custom objects with fields, relationships, and settings\n  - Update: Modify existing object settings, labels, sharing model\n  Examples: Create Customer_Feedback__c object, Update object sharing settings\n  Note: Changes affect metadata and require proper permissions"""), # SurajAdsul/Salesforce MCP Server/salesforce_manage_object
    Tool(name="""Salesforce MCP Server_salesforce_manage_field""", inputSchema={'properties': {'deleteConstraint': {'description': 'Delete constraint for Lookup fields', 'enum': ['Cascade', 'Restrict', 'SetNull'], 'optional': True, 'type': 'string'}, 'description': {'description': 'Description of the field', 'optional': True, 'type': 'string'}, 'externalId': {'description': 'Whether the field is an external ID', 'optional': True, 'type': 'boolean'}, 'fieldName': {'description': 'API name for the field (without __c suffix)', 'type': 'string'}, 'label': {'description': 'Label for the field', 'optional': True, 'type': 'string'}, 'length': {'description': 'Length for text fields', 'optional': True, 'type': 'number'}, 'objectName': {'description': 'API name of the object to add/modify the field', 'type': 'string'}, 'operation': {'description': 'Whether to create new field or update existing', 'enum': ['create', 'update'], 'type': 'string'}, 'picklistValues': {'description': 'Values for Picklist/MultiselectPicklist fields', 'items': {'properties': {'isDefault': {'optional': True, 'type': 'boolean'}, 'label': {'type': 'string'}}, 'type': 'object'}, 'optional': True, 'type': 'array'}, 'precision': {'description': 'Precision for numeric fields', 'optional': True, 'type': 'number'}, 'referenceTo': {'description': 'API name of the object to reference (for Lookup/MasterDetail)', 'optional': True, 'type': 'string'}, 'relationshipLabel': {'description': 'Label for the relationship (for Lookup/MasterDetail)', 'optional': True, 'type': 'string'}, 'relationshipName': {'description': 'API name for the relationship (for Lookup/MasterDetail)', 'optional': True, 'type': 'string'}, 'required': {'description': 'Whether the field is required', 'optional': True, 'type': 'boolean'}, 'scale': {'description': 'Scale for numeric fields', 'optional': True, 'type': 'number'}, 'type': {'description': 'Field type (required for create)', 'enum': ['Checkbox', 'Currency', 'Date', 'DateTime', 'Email', 'Number', 'Percent', 'Phone', 'Picklist', 'MultiselectPicklist', 'Text', 'TextArea', 'LongTextArea', 'Html', 'Url', 'Lookup', 'MasterDetail'], 'optional': True, 'type': 'string'}, 'unique': {'description': 'Whether the field value must be unique', 'optional': True, 'type': 'boolean'}}, 'required': ['operation', 'objectName', 'fieldName'], 'type': 'object'}, description="""Create new custom fields or modify existing fields on any Salesforce object:\n  - Field Types: Text, Number, Date, Lookup, Master-Detail, Picklist etc.\n  - Properties: Required, Unique, External ID, Length, Scale etc.\n  - Relationships: Create lookups and master-detail relationships\n  Examples: Add Rating__c picklist to Account, Create Account lookup on Custom Object\n  Note: Changes affect metadata and require proper permissions"""), # SurajAdsul/Salesforce MCP Server/salesforce_manage_field
    Tool(name="""Salesforce MCP Server_salesforce_search_all""", inputSchema={'properties': {'objects': {'description': 'List of objects to search and their return fields', 'items': {'properties': {'fields': {'description': 'Fields to return for this object', 'items': {'type': 'string'}, 'type': 'array'}, 'limit': {'description': 'Maximum number of records to return for this object', 'optional': True, 'type': 'number'}, 'name': {'description': 'API name of the object', 'type': 'string'}, 'orderBy': {'description': 'ORDER BY clause for this object', 'optional': True, 'type': 'string'}, 'where': {'description': 'WHERE clause for this object', 'optional': True, 'type': 'string'}}, 'required': ['name', 'fields'], 'type': 'object'}, 'type': 'array'}, 'searchIn': {'description': 'Which fields to search in', 'enum': ['ALL FIELDS', 'NAME FIELDS', 'EMAIL FIELDS', 'PHONE FIELDS', 'SIDEBAR FIELDS'], 'optional': True, 'type': 'string'}, 'searchTerm': {'description': 'Text to search for (supports wildcards * and ?)', 'type': 'string'}, 'updateable': {'description': 'Return only updateable records', 'optional': True, 'type': 'boolean'}, 'viewable': {'description': 'Return only viewable records', 'optional': True, 'type': 'boolean'}, 'withClauses': {'description': 'Additional WITH clauses for the search', 'items': {'properties': {'fields': {'description': 'Fields for SNIPPET clause', 'items': {'type': 'string'}, 'optional': True, 'type': 'array'}, 'type': {'enum': ['DATA CATEGORY', 'DIVISION', 'METADATA', 'NETWORK', 'PRICEBOOKID', 'SNIPPET', 'SECURITY_ENFORCED'], 'type': 'string'}, 'value': {'description': 'Value for the WITH clause', 'optional': True, 'type': 'string'}}, 'required': ['type'], 'type': 'object'}, 'optional': True, 'type': 'array'}}, 'required': ['searchTerm', 'objects'], 'type': 'object'}, description="""Search across multiple Salesforce objects using SOSL (Salesforce Object Search Language).\n  \nExamples:\n1. Basic search across all objects:\n   {\n     \"searchTerm\": \"John\",\n     \"objects\": [\n       { \"name\": \"Account\", \"fields\": [\"Name\"], \"limit\": 10 },\n       { \"name\": \"Contact\", \"fields\": [\"FirstName\", \"LastName\", \"Email\"] }\n     ]\n   }\n\n2. Advanced search with filters:\n   {\n     \"searchTerm\": \"Cloud*\",\n     \"searchIn\": \"NAME FIELDS\",\n     \"objects\": [\n       { \n         \"name\": \"Account\", \n         \"fields\": [\"Name\", \"Industry\"], \n         \"orderBy\": \"Name DESC\",\n         \"where\": \"Industry = 'Technology'\"\n       }\n     ],\n     \"withClauses\": [\n       { \"type\": \"NETWORK\", \"value\": \"ALL NETWORKS\" },\n       { \"type\": \"SNIPPET\", \"fields\": [\"Description\"] }\n     ]\n   }\n\nNotes:\n- Use * and ? for wildcards in search terms\n- Each object can have its own WHERE, ORDER BY, and LIMIT clauses\n- Support for WITH clauses: DATA CATEGORY, DIVISION, METADATA, NETWORK, PRICEBOOKID, SNIPPET, SECURITY_ENFORCED\n- \"updateable\" and \"viewable\" options control record access filtering"""), # SurajAdsul/Salesforce MCP Server/salesforce_search_all
    Tool(name="""Math-MCP_add""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'firstNumber': {'description': 'The first addend', 'type': 'number'}, 'secondNumber': {'description': 'The second addend', 'type': 'number'}}, 'required': ['firstNumber', 'secondNumber'], 'type': 'object'}, description="""Adds two numbers together"""), # EthanHenrickson/Math-MCP/add
    Tool(name="""Math-MCP_subtract""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'minuend': {'description': 'The number to subtract from (minuend)', 'type': 'number'}, 'subtrahend': {'description': 'The number being subtracted (subtrahend)', 'type': 'number'}}, 'required': ['minuend', 'subtrahend'], 'type': 'object'}, description="""Subtracts the second number from the first number"""), # EthanHenrickson/Math-MCP/subtract
    Tool(name="""Math-MCP_multiply""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'firstFactor': {'description': 'The first factor', 'type': 'number'}, 'secondFactor': {'description': 'The second factor', 'type': 'number'}}, 'required': ['firstFactor', 'secondFactor'], 'type': 'object'}, description="""Multiplies two numbers together"""), # EthanHenrickson/Math-MCP/multiply
    Tool(name="""Math-MCP_division""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'denominator': {'description': 'The number to divide by (denominator)', 'type': 'number'}, 'numerator': {'description': 'The number being divided (numerator)', 'type': 'number'}}, 'required': ['numerator', 'denominator'], 'type': 'object'}, description="""Divides the first number by the second number"""), # EthanHenrickson/Math-MCP/division
    Tool(name="""Math-MCP_sum""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'numbers': {'description': 'Array of numbers to sum', 'items': {'type': 'number'}, 'type': 'array'}}, 'required': ['numbers'], 'type': 'object'}, description="""Adds any number of numbers together"""), # EthanHenrickson/Math-MCP/sum
    Tool(name="""Math-MCP_mean""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'numbers': {'description': 'Array of numbers to find the mean of', 'items': {'type': 'number'}, 'type': 'array'}}, 'required': ['numbers'], 'type': 'object'}, description="""Calculates the arithmetic mean of a list of numbers"""), # EthanHenrickson/Math-MCP/mean
    Tool(name="""Math-MCP_median""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'numbers': {'description': 'Array of numbers to find the median of', 'items': {'type': 'number'}, 'type': 'array'}}, 'required': ['numbers'], 'type': 'object'}, description="""Calculates the median of a list of numbers"""), # EthanHenrickson/Math-MCP/median
    Tool(name="""Math-MCP_mode""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'numbers': {'description': 'Array of numbers to find the mode of', 'items': {'type': 'number'}, 'type': 'array'}}, 'required': ['numbers'], 'type': 'object'}, description="""Finds the most common number in a list of numbers"""), # EthanHenrickson/Math-MCP/mode
    Tool(name="""Math-MCP_min""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'numbers': {'description': 'Array of numbers to find the minimum of', 'items': {'type': 'number'}, 'type': 'array'}}, 'required': ['numbers'], 'type': 'object'}, description="""Finds the minimum value from a list of numbers"""), # EthanHenrickson/Math-MCP/min
    Tool(name="""Math-MCP_max""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'numbers': {'description': 'Array of numbers to find the maximum of', 'items': {'type': 'number'}, 'type': 'array'}}, 'required': ['numbers'], 'type': 'object'}, description="""Finds the maximum value from a list of numbers"""), # EthanHenrickson/Math-MCP/max
    Tool(name="""Math-MCP_floor""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'value': {'description': 'The number to round down', 'type': 'number'}}, 'required': ['value'], 'type': 'object'}, description="""Rounds a number down to the nearest integer"""), # EthanHenrickson/Math-MCP/floor
    Tool(name="""Math-MCP_ceiling""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'value': {'description': 'The number to round up', 'type': 'number'}}, 'required': ['value'], 'type': 'object'}, description="""Rounds a number up to the nearest integer"""), # EthanHenrickson/Math-MCP/ceiling
    Tool(name="""Math-MCP_round""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'value': {'description': 'The number to round', 'type': 'number'}}, 'required': ['value'], 'type': 'object'}, description="""Rounds a number to the nearest integer"""), # EthanHenrickson/Math-MCP/round
    Tool(name="""MCP Image Recognition Server_describe_image""", inputSchema={'properties': {'image': {'title': 'Image', 'type': 'string'}, 'prompt': {'default': 'Please describe this image in detail.', 'title': 'Prompt', 'type': 'string'}}, 'required': ['image'], 'title': 'describe_imageArguments', 'type': 'object'}, description="""Describe an image from base64-encoded data. Use for images directly uploaded to chat.\n    \n    Best for: Images uploaded to the current conversation where no public URL exists.\n    Not for: Local files on your computer or images with public URLs.\n\n    Args:\n        image: Base64-encoded image data\n        prompt: Optional prompt to guide the description\n\n    Returns:\n        str: Detailed description of the image\n    """), # mario-andreschak/MCP Image Recognition Server/describe_image
    Tool(name="""MCP Image Recognition Server_describe_image_from_file""", inputSchema={'properties': {'filepath': {'title': 'Filepath', 'type': 'string'}, 'prompt': {'default': 'Please describe this image in detail.', 'title': 'Prompt', 'type': 'string'}}, 'required': ['filepath'], 'title': 'describe_image_from_fileArguments', 'type': 'object'}, description="""Describe an image from a local file path. Requires proper file system access.\n    \n    Best for: Local files when the server has filesystem access to the path.\n    Limitations: When using Docker, requires volume mapping (-v flag) to access host files.\n    Not recommended for: Images uploaded to chat or images with public URLs.\n\n    Args:\n        filepath: Absolute path to the image file\n        prompt: Optional prompt to guide the description\n\n    Returns:\n        str: Detailed description of the image\n    """), # mario-andreschak/MCP Image Recognition Server/describe_image_from_file
    Tool(name="""MCP Image Recognition Server_describe_image_from_url""", inputSchema={'properties': {'prompt': {'default': 'Please describe this image in detail.', 'title': 'Prompt', 'type': 'string'}, 'url': {'title': 'Url', 'type': 'string'}}, 'required': ['url'], 'title': 'describe_image_from_urlArguments', 'type': 'object'}, description="""Describe an image from a public URL. Most reliable method for web images.\n    \n    Best for: Images with public URLs accessible from the internet.\n    Advantages: Works regardless of server deployment method (local/Docker).\n    Not for: Local files or images already uploaded to the current conversation.\n\n    Args:\n        url: Direct URL to the image (must be publicly accessible)\n        prompt: Optional prompt to guide the description\n\n    Returns:\n        str: Detailed description of the image\n    """), # mario-andreschak/MCP Image Recognition Server/describe_image_from_url
    Tool(name="""Twitter MCP Server_post_tweet""", inputSchema={'properties': {'text': {'description': 'The content of your tweet', 'maxLength': 280, 'type': 'string'}}, 'required': ['text'], 'type': 'object'}, description="""Post a new tweet to Twitter"""), # EnesCinr/Twitter MCP Server/post_tweet
    Tool(name="""Twitter MCP Server_search_tweets""", inputSchema={'properties': {'count': {'description': 'Number of tweets to return (10-100)', 'maximum': 100, 'minimum': 10, 'type': 'number'}, 'query': {'description': 'Search query', 'type': 'string'}}, 'required': ['query', 'count'], 'type': 'object'}, description="""Search for tweets on Twitter"""), # EnesCinr/Twitter MCP Server/search_tweets
    Tool(name="""Shannon Thinking MCP Server_shannonthinking""", inputSchema={'properties': {'assumptions': {'description': 'Explicit list of assumptions', 'items': {'type': 'string'}, 'type': 'array'}, 'dependencies': {'description': 'Thought numbers this builds upon', 'items': {'minimum': 1, 'type': 'integer'}, 'type': 'array'}, 'experimentalElements': {'description': 'Elements for experimental validation', 'properties': {'confidence': {'description': 'Confidence in the experimental results (0-1)', 'maximum': 1, 'minimum': 0, 'type': 'number'}, 'limitations': {'description': 'Limitations of the experimental validation', 'items': {'type': 'string'}, 'type': 'array'}, 'results': {'description': 'Results of the experiment', 'type': 'string'}, 'testDescription': {'description': 'Description of the experimental test', 'type': 'string'}}, 'required': ['testDescription', 'results', 'confidence', 'limitations'], 'type': 'object'}, 'implementationNotes': {'description': 'Notes for practical implementation steps', 'properties': {'practicalConstraints': {'description': 'List of practical limitations and constraints', 'items': {'type': 'string'}, 'type': 'array'}, 'proposedSolution': {'description': 'Detailed implementation proposal', 'type': 'string'}}, 'required': ['practicalConstraints', 'proposedSolution'], 'type': 'object'}, 'isRevision': {'description': 'Whether this thought revises an earlier one', 'type': 'boolean'}, 'nextThoughtNeeded': {'description': 'Whether another thought step is needed', 'type': 'boolean'}, 'proofElements': {'description': 'Elements required for formal proof steps', 'properties': {'hypothesis': {'description': 'The hypothesis being tested', 'type': 'string'}, 'validation': {'description': 'How the hypothesis was validated', 'type': 'string'}}, 'required': ['hypothesis', 'validation'], 'type': 'object'}, 'recheckStep': {'description': 'For marking steps that need re-examination', 'properties': {'newInformation': {'description': 'New information prompting the recheck', 'type': 'string'}, 'reason': {'description': 'Why the step needs to be rechecked', 'type': 'string'}, 'stepToRecheck': {'description': 'Which type of step needs re-examination', 'enum': ['problem_definition', 'constraints', 'model', 'proof', 'implementation'], 'type': 'string'}}, 'required': ['stepToRecheck', 'reason'], 'type': 'object'}, 'revisesThought': {'description': 'The thought number being revised', 'minimum': 1, 'type': 'integer'}, 'thought': {'description': 'Your current thinking step', 'type': 'string'}, 'thoughtNumber': {'description': 'Current thought number', 'minimum': 1, 'type': 'integer'}, 'thoughtType': {'description': 'Type of thinking step', 'enum': ['problem_definition', 'constraints', 'model', 'proof', 'implementation'], 'type': 'string'}, 'totalThoughts': {'description': 'Estimated total thoughts needed', 'minimum': 1, 'type': 'integer'}, 'uncertainty': {'description': 'Confidence level (0-1)', 'maximum': 1, 'minimum': 0, 'type': 'number'}}, 'required': ['thought', 'thoughtType', 'thoughtNumber', 'totalThoughts', 'uncertainty', 'dependencies', 'assumptions', 'nextThoughtNeeded'], 'type': 'object'}, description="""A problem-solving tool inspired by Claude Shannon's systematic and iterative approach to complex problems.\n\nThis tool helps break down problems using Shannon's methodology of problem definition, mathematical modeling, validation, and practical implementation.\n\nWhen to use this tool:\n- Complex system analysis\n- Information processing problems\n- Engineering design challenges\n- Problems requiring theoretical frameworks\n- Optimization problems\n- Systems requiring practical implementation\n- Problems that need iterative refinement\n- Cases where experimental validation complements theory\n\nKey features:\n- Systematic progression through problem definition  constraints  modeling  validation  implementation\n- Support for revising earlier steps as understanding evolves\n- Ability to mark steps for re-examination with new information\n- Experimental validation alongside formal proofs\n- Explicit tracking of assumptions and dependencies\n- Confidence levels for each step\n- Rich feedback and validation results\n\nParameters explained:\n- thoughtType: Type of thinking step (PROBLEM_DEFINITION, CONSTRAINTS, MODEL, PROOF, IMPLEMENTATION)\n- uncertainty: Confidence level in the current thought (0-1)\n- dependencies: Which previous thoughts this builds upon\n- assumptions: Explicit listing of assumptions made\n- isRevision: Whether this revises an earlier thought\n- revisesThought: Which thought is being revised\n- recheckStep: For marking steps that need re-examination\n- proofElements: For formal validation steps\n- experimentalElements: For empirical validation\n- implementationNotes: For practical application steps\n\nThe tool supports an iterative approach:\n1. Define the problem's fundamental elements (revisable as understanding grows)\n2. Identify system constraints and limitations (can be rechecked with new information)\n3. Develop mathematical/theoretical models\n4. Validate through proofs and/or experimental testing\n5. Design and test practical implementations\n\nEach thought can build on, revise, or re-examine previous steps, creating a flexible yet rigorous problem-solving framework."""), # olaservo/Shannon Thinking MCP Server/shannonthinking
    Tool(name="""Python REPL MCP Server_execute_python""", inputSchema={'properties': {'code': {'description': 'Python code to execute', 'type': 'string'}, 'reset': {'default': False, 'description': 'Reset the Python session (clear all variables)', 'type': 'boolean'}}, 'required': ['code'], 'type': 'object'}, description="""Execute Python code and return the output. Variables persist between executions."""), # hdresearch/Python REPL MCP Server/execute_python
    Tool(name="""Python REPL MCP Server_list_variables""", inputSchema={'properties': {}, 'type': 'object'}, description="""List all variables in the current session"""), # hdresearch/Python REPL MCP Server/list_variables
    Tool(name="""Python REPL MCP Server_install_package""", inputSchema={'properties': {'package': {'description': "Package name to install (e.g., 'pandas')", 'type': 'string'}}, 'required': ['package'], 'type': 'object'}, description="""Install a Python package using uv"""), # hdresearch/Python REPL MCP Server/install_package
    Tool(name="""Smartsheet MCP Server_smartsheet_add_column""", inputSchema={'properties': {'formula': {'description': 'Formula for calculated columns', 'type': 'string'}, 'index': {'description': 'Optional position index', 'type': 'number'}, 'options': {'description': 'Options for PICKLIST type', 'items': {'type': 'string'}, 'type': 'array'}, 'sheet_id': {'description': 'Smartsheet sheet ID', 'type': 'string'}, 'title': {'description': 'Column title', 'type': 'string'}, 'type': {'description': 'Column type', 'enum': ['TEXT_NUMBER', 'DATE', 'CHECKBOX', 'PICKLIST', 'CONTACT_LIST'], 'type': 'string'}, 'validation': {'description': 'Enable validation', 'type': 'boolean'}}, 'required': ['sheet_id', 'title', 'type'], 'type': 'object'}, description="""Add a new column to a Smartsheet"""), # terilios/Smartsheet MCP Server/smartsheet_add_column
    Tool(name="""Smartsheet MCP Server_smartsheet_delete_column""", inputSchema={'properties': {'column_id': {'description': 'Column ID to delete', 'type': 'string'}, 'sheet_id': {'description': 'Smartsheet sheet ID', 'type': 'string'}, 'validate_dependencies': {'default': True, 'description': 'Check for formula/dependency impacts', 'type': 'boolean'}}, 'required': ['sheet_id', 'column_id'], 'type': 'object'}, description="""Delete a column from a Smartsheet"""), # terilios/Smartsheet MCP Server/smartsheet_delete_column
    Tool(name="""Smartsheet MCP Server_smartsheet_rename_column""", inputSchema={'properties': {'column_id': {'description': 'Column ID to rename', 'type': 'string'}, 'new_title': {'description': 'New column title', 'type': 'string'}, 'sheet_id': {'description': 'Smartsheet sheet ID', 'type': 'string'}, 'update_references': {'default': True, 'description': 'Update formulas referencing this column', 'type': 'boolean'}}, 'required': ['sheet_id', 'column_id', 'new_title'], 'type': 'object'}, description="""Rename a column in a Smartsheet"""), # terilios/Smartsheet MCP Server/smartsheet_rename_column
    Tool(name="""Smartsheet MCP Server_get_column_map""", inputSchema={'properties': {'sheet_id': {'description': 'Smartsheet sheet ID', 'type': 'string'}}, 'required': ['sheet_id'], 'type': 'object'}, description="""Get column mapping and sample data from a Smartsheet"""), # terilios/Smartsheet MCP Server/get_column_map
    Tool(name="""Smartsheet MCP Server_smartsheet_write""", inputSchema={'properties': {'column_map': {'additionalProperties': {'type': 'string'}, 'description': 'Object mapping data fields to Smartsheet column IDs', 'type': 'object'}, 'row_data': {'description': 'Array of objects containing the data to write', 'items': {'type': 'object'}, 'type': 'array'}, 'sheet_id': {'description': 'Smartsheet sheet ID', 'type': 'string'}}, 'required': ['sheet_id', 'row_data', 'column_map'], 'type': 'object'}, description="""Write data to a Smartsheet"""), # terilios/Smartsheet MCP Server/smartsheet_write
    Tool(name="""Smartsheet MCP Server_smartsheet_update""", inputSchema={'properties': {'column_map': {'additionalProperties': {'type': 'string'}, 'description': 'Object mapping data fields to Smartsheet column IDs', 'type': 'object'}, 'sheet_id': {'description': 'Smartsheet sheet ID', 'type': 'string'}, 'updates': {'description': 'Array of updates containing row_id and data', 'items': {'properties': {'data': {'description': 'Data to update in the row', 'type': 'object'}, 'row_id': {'description': 'Row ID to update', 'type': 'string'}}, 'required': ['row_id', 'data'], 'type': 'object'}, 'type': 'array'}}, 'required': ['sheet_id', 'updates', 'column_map'], 'type': 'object'}, description="""Update existing rows in a Smartsheet"""), # terilios/Smartsheet MCP Server/smartsheet_update
    Tool(name="""Smartsheet MCP Server_smartsheet_delete""", inputSchema={'properties': {'row_ids': {'description': 'Array of row IDs to delete', 'items': {'type': 'string'}, 'type': 'array'}, 'sheet_id': {'description': 'Smartsheet sheet ID', 'type': 'string'}}, 'required': ['sheet_id', 'row_ids'], 'type': 'object'}, description="""Delete rows from a Smartsheet"""), # terilios/Smartsheet MCP Server/smartsheet_delete
    Tool(name="""Smartsheet MCP Server_smartsheet_search""", inputSchema={'properties': {'options': {'description': 'Search options', 'properties': {'case_sensitive': {'description': 'Case sensitive search (default: false)', 'type': 'boolean'}, 'columns': {'description': 'Specific columns to search (default: all)', 'items': {'type': 'string'}, 'type': 'array'}, 'include_system': {'description': 'Include system-managed columns (default: false)', 'type': 'boolean'}, 'regex': {'description': 'Use regex pattern matching (default: false)', 'type': 'boolean'}, 'whole_word': {'description': 'Match whole words only (default: false)', 'type': 'boolean'}}, 'type': 'object'}, 'pattern': {'description': 'Search pattern (text or regex)', 'type': 'string'}, 'sheet_id': {'description': 'Smartsheet sheet ID', 'type': 'string'}}, 'required': ['sheet_id', 'pattern'], 'type': 'object'}, description="""Search for content in a Smartsheet"""), # terilios/Smartsheet MCP Server/smartsheet_search
    Tool(name="""Smartsheet MCP Server_start_batch_analysis""", inputSchema={'properties': {'customGoal': {'description': 'Custom analysis goal for custom analysis type', 'type': 'string'}, 'rowIds': {'description': 'Rows to process', 'items': {'type': 'string'}, 'type': 'array'}, 'sheet_id': {'description': 'Smartsheet sheet ID', 'type': 'string'}, 'sourceColumns': {'description': 'Columns to analyze', 'items': {'type': 'string'}, 'type': 'array'}, 'targetColumn': {'description': 'Column to store results', 'type': 'string'}, 'type': {'description': 'Analysis type', 'enum': ['summarize', 'sentiment', 'interpret', 'custom'], 'type': 'string'}}, 'required': ['sheet_id', 'type', 'sourceColumns', 'targetColumn', 'rowIds'], 'type': 'object'}, description="""Start a batch analysis job using Azure OpenAI"""), # terilios/Smartsheet MCP Server/start_batch_analysis
    Tool(name="""Smartsheet MCP Server_cancel_batch_analysis""", inputSchema={'properties': {'jobId': {'description': 'Job to cancel', 'type': 'string'}, 'sheet_id': {'description': 'Smartsheet sheet ID', 'type': 'string'}}, 'required': ['sheet_id', 'jobId'], 'type': 'object'}, description="""Cancel a running batch analysis job"""), # terilios/Smartsheet MCP Server/cancel_batch_analysis
    Tool(name="""Smartsheet MCP Server_get_job_status""", inputSchema={'properties': {'jobId': {'description': 'Job to check status for', 'type': 'string'}, 'sheet_id': {'description': 'Smartsheet sheet ID', 'type': 'string'}}, 'required': ['sheet_id', 'jobId'], 'type': 'object'}, description="""Get the status of a batch analysis job"""), # terilios/Smartsheet MCP Server/get_job_status
    Tool(name="""Smartsheet MCP Server_smartsheet_bulk_update""", inputSchema={'properties': {'options': {'description': 'Update options', 'properties': {'batchSize': {'default': 500, 'description': 'Number of rows per batch', 'type': 'number'}, 'lenientMode': {'default': False, 'description': 'Allow partial success', 'type': 'boolean'}}, 'type': 'object'}, 'rules': {'description': 'List of update rules', 'items': {'properties': {'conditions': {'description': 'Conditions to evaluate (AND logic)', 'items': {'properties': {'columnId': {'description': 'Column ID to check', 'type': 'string'}, 'operator': {'description': 'Comparison operator', 'enum': ['equals', 'contains', 'greaterThan', 'lessThan', 'isEmpty', 'isNotEmpty'], 'type': 'string'}, 'value': {'description': 'Value to compare against (not needed for isEmpty/isNotEmpty)', 'type': ['string', 'number', 'boolean', 'null']}}, 'required': ['columnId', 'operator'], 'type': 'object'}, 'type': 'array'}, 'updates': {'description': 'Updates to apply when conditions are met', 'items': {'properties': {'columnId': {'description': 'Column ID to update', 'type': 'string'}, 'value': {'description': 'New value to set', 'type': ['string', 'number', 'boolean', 'null']}}, 'required': ['columnId', 'value'], 'type': 'object'}, 'type': 'array'}}, 'required': ['conditions', 'updates'], 'type': 'object'}, 'type': 'array'}, 'sheet_id': {'description': 'Smartsheet sheet ID', 'type': 'string'}}, 'required': ['sheet_id', 'rules'], 'type': 'object'}, description="""Perform conditional bulk updates on a Smartsheet"""), # terilios/Smartsheet MCP Server/smartsheet_bulk_update
    Tool(name="""Git MCP Server_init""", inputSchema={'properties': {'path': {'description': 'Path to initialize the repository in. MUST be an absolute path (e.g., /Users/username/projects/my-repo)', 'type': 'string'}}, 'required': [], 'type': 'object'}, description="""Initialize a new Git repository"""), # cyanheads/Git MCP Server/init
    Tool(name="""Git MCP Server_clone""", inputSchema={'properties': {'path': {'description': 'Path to clone into. MUST be an absolute path (e.g., /Users/username/projects/my-repo)', 'type': 'string'}, 'url': {'description': 'URL of the repository to clone', 'type': 'string'}}, 'required': ['url'], 'type': 'object'}, description="""Clone a repository"""), # cyanheads/Git MCP Server/clone
    Tool(name="""Git MCP Server_status""", inputSchema={'properties': {'path': {'description': 'Path to repository. MUST be an absolute path (e.g., /Users/username/projects/my-repo)', 'type': 'string'}}, 'required': [], 'type': 'object'}, description="""Get repository status"""), # cyanheads/Git MCP Server/status
    Tool(name="""Git MCP Server_add""", inputSchema={'properties': {'files': {'description': 'Files to stage', 'items': {'description': 'MUST be an absolute path (e.g., /Users/username/projects/my-repo/src/file.js)', 'type': 'string'}, 'type': 'array'}, 'path': {'description': 'Path to repository. MUST be an absolute path (e.g., /Users/username/projects/my-repo)', 'type': 'string'}}, 'required': ['files'], 'type': 'object'}, description="""Stage files"""), # cyanheads/Git MCP Server/add
    Tool(name="""Git MCP Server_commit""", inputSchema={'properties': {'message': {'description': 'Commit message', 'type': 'string'}, 'path': {'description': 'Path to repository. MUST be an absolute path (e.g., /Users/username/projects/my-repo)', 'type': 'string'}}, 'required': ['message'], 'type': 'object'}, description="""Create a commit"""), # cyanheads/Git MCP Server/commit
    Tool(name="""Git MCP Server_push""", inputSchema={'properties': {'branch': {'description': 'Branch name', 'type': 'string'}, 'force': {'default': False, 'description': 'Force push changes', 'type': 'boolean'}, 'noVerify': {'default': False, 'description': 'Skip pre-push hooks', 'type': 'boolean'}, 'path': {'description': 'Path to repository. MUST be an absolute path (e.g., /Users/username/projects/my-repo)', 'type': 'string'}, 'remote': {'default': 'origin', 'description': 'Remote name', 'type': 'string'}, 'tags': {'default': False, 'description': 'Push all tags', 'type': 'boolean'}}, 'required': ['branch'], 'type': 'object'}, description="""Push commits to remote"""), # cyanheads/Git MCP Server/push
    Tool(name="""Git MCP Server_pull""", inputSchema={'properties': {'branch': {'description': 'Branch name', 'type': 'string'}, 'path': {'description': 'Path to repository. MUST be an absolute path (e.g., /Users/username/projects/my-repo)', 'type': 'string'}, 'remote': {'default': 'origin', 'description': 'Remote name', 'type': 'string'}}, 'required': ['branch'], 'type': 'object'}, description="""Pull changes from remote"""), # cyanheads/Git MCP Server/pull
    Tool(name="""Git MCP Server_branch_list""", inputSchema={'properties': {'path': {'description': 'Path to repository. MUST be an absolute path (e.g., /Users/username/projects/my-repo)', 'type': 'string'}}, 'required': [], 'type': 'object'}, description="""List all branches"""), # cyanheads/Git MCP Server/branch_list
    Tool(name="""Git MCP Server_branch_create""", inputSchema={'properties': {'force': {'default': False, 'description': 'Force create branch even if it exists', 'type': 'boolean'}, 'name': {'description': 'Branch name', 'type': 'string'}, 'path': {'description': 'Path to repository. MUST be an absolute path (e.g., /Users/username/projects/my-repo)', 'type': 'string'}, 'setUpstream': {'default': False, 'description': 'Set upstream for push/pull', 'type': 'boolean'}, 'track': {'default': True, 'description': 'Set up tracking mode', 'type': 'boolean'}}, 'required': ['name'], 'type': 'object'}, description="""Create a new branch"""), # cyanheads/Git MCP Server/branch_create
    Tool(name="""Git MCP Server_branch_delete""", inputSchema={'properties': {'name': {'description': 'Branch name', 'type': 'string'}, 'path': {'description': 'Path to repository. MUST be an absolute path (e.g., /Users/username/projects/my-repo)', 'type': 'string'}}, 'required': ['name'], 'type': 'object'}, description="""Delete a branch"""), # cyanheads/Git MCP Server/branch_delete
    Tool(name="""Git MCP Server_checkout""", inputSchema={'properties': {'path': {'description': 'Path to repository. MUST be an absolute path (e.g., /Users/username/projects/my-repo)', 'type': 'string'}, 'target': {'description': 'Branch name, commit hash, or file path', 'type': 'string'}}, 'required': ['target'], 'type': 'object'}, description="""Switch branches or restore working tree files"""), # cyanheads/Git MCP Server/checkout
    Tool(name="""Git MCP Server_tag_list""", inputSchema={'properties': {'path': {'description': 'Path to repository. MUST be an absolute path (e.g., /Users/username/projects/my-repo)', 'type': 'string'}}, 'required': [], 'type': 'object'}, description="""List tags"""), # cyanheads/Git MCP Server/tag_list
    Tool(name="""Git MCP Server_tag_create""", inputSchema={'properties': {'annotated': {'default': True, 'description': 'Create an annotated tag', 'type': 'boolean'}, 'force': {'default': False, 'description': 'Force create tag even if it exists', 'type': 'boolean'}, 'message': {'description': 'Tag message', 'type': 'string'}, 'name': {'description': 'Tag name', 'type': 'string'}, 'path': {'description': 'Path to repository. MUST be an absolute path (e.g., /Users/username/projects/my-repo)', 'type': 'string'}, 'sign': {'default': False, 'description': 'Create a signed tag', 'type': 'boolean'}}, 'required': ['name'], 'type': 'object'}, description="""Create a tag"""), # cyanheads/Git MCP Server/tag_create
    Tool(name="""Git MCP Server_tag_delete""", inputSchema={'properties': {'name': {'description': 'Tag name', 'type': 'string'}, 'path': {'description': 'Path to repository. MUST be an absolute path (e.g., /Users/username/projects/my-repo)', 'type': 'string'}}, 'required': ['name'], 'type': 'object'}, description="""Delete a tag"""), # cyanheads/Git MCP Server/tag_delete
    Tool(name="""Git MCP Server_remote_list""", inputSchema={'properties': {'path': {'description': 'Path to repository. MUST be an absolute path (e.g., /Users/username/projects/my-repo)', 'type': 'string'}}, 'required': [], 'type': 'object'}, description="""List remotes"""), # cyanheads/Git MCP Server/remote_list
    Tool(name="""Git MCP Server_remote_add""", inputSchema={'properties': {'name': {'description': 'Remote name', 'type': 'string'}, 'path': {'description': 'Path to repository. MUST be an absolute path (e.g., /Users/username/projects/my-repo)', 'type': 'string'}, 'url': {'description': 'Remote URL', 'type': 'string'}}, 'required': ['name', 'url'], 'type': 'object'}, description="""Add a remote"""), # cyanheads/Git MCP Server/remote_add
    Tool(name="""Git MCP Server_remote_remove""", inputSchema={'properties': {'name': {'description': 'Remote name', 'type': 'string'}, 'path': {'description': 'Path to repository. MUST be an absolute path (e.g., /Users/username/projects/my-repo)', 'type': 'string'}}, 'required': ['name'], 'type': 'object'}, description="""Remove a remote"""), # cyanheads/Git MCP Server/remote_remove
    Tool(name="""Git MCP Server_stash_list""", inputSchema={'properties': {'path': {'description': 'Path to repository. MUST be an absolute path (e.g., /Users/username/projects/my-repo)', 'type': 'string'}}, 'required': [], 'type': 'object'}, description="""List stashes"""), # cyanheads/Git MCP Server/stash_list
    Tool(name="""Git MCP Server_stash_save""", inputSchema={'properties': {'all': {'default': False, 'description': 'Include ignored files', 'type': 'boolean'}, 'includeUntracked': {'default': False, 'description': 'Include untracked files', 'type': 'boolean'}, 'keepIndex': {'default': False, 'description': 'Keep staged changes', 'type': 'boolean'}, 'message': {'description': 'Stash message', 'type': 'string'}, 'path': {'description': 'Path to repository. MUST be an absolute path (e.g., /Users/username/projects/my-repo)', 'type': 'string'}}, 'required': [], 'type': 'object'}, description="""Save changes to stash"""), # cyanheads/Git MCP Server/stash_save
    Tool(name="""Git MCP Server_stash_pop""", inputSchema={'properties': {'index': {'default': 0, 'description': 'Stash index', 'type': 'number'}, 'path': {'description': 'Path to repository. MUST be an absolute path (e.g., /Users/username/projects/my-repo)', 'type': 'string'}}, 'required': [], 'type': 'object'}, description="""Apply and remove a stash"""), # cyanheads/Git MCP Server/stash_pop
    Tool(name="""Git MCP Server_bulk_action""", inputSchema={'properties': {'actions': {'description': 'Array of Git operations to execute in sequence', 'items': {'oneOf': [{'properties': {'files': {'description': 'Files to stage. If not provided, stages all changes.', 'items': {'description': 'MUST be an absolute path (e.g., /Users/username/projects/my-repo/src/file.js)', 'type': 'string'}, 'type': 'array'}, 'type': {'const': 'stage'}}, 'required': ['type'], 'type': 'object'}, {'properties': {'message': {'description': 'Commit message', 'type': 'string'}, 'type': {'const': 'commit'}}, 'required': ['type', 'message'], 'type': 'object'}, {'properties': {'branch': {'description': 'Branch name', 'type': 'string'}, 'remote': {'default': 'origin', 'description': 'Remote name', 'type': 'string'}, 'type': {'const': 'push'}}, 'required': ['type', 'branch'], 'type': 'object'}], 'type': 'object'}, 'minItems': 1, 'type': 'array'}, 'path': {'description': 'Path to repository. MUST be an absolute path (e.g., /Users/username/projects/my-repo)', 'type': 'string'}}, 'required': ['actions'], 'type': 'object'}, description="""Execute multiple Git operations in sequence. This is the preferred way to execute multiple operations."""), # cyanheads/Git MCP Server/bulk_action
    Tool(name="""GitHub Support Assistant_find-similar-issues""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'issueDescription': {'description': 'Description of the issue to find similar ones for', 'type': 'string'}, 'maxResults': {'default': 5, 'description': 'Maximum number of similar issues to return', 'maximum': 20, 'minimum': 1, 'type': 'integer'}, 'owner': {'description': 'GitHub repository owner/organization', 'type': 'string'}, 'repo': {'description': 'GitHub repository name', 'type': 'string'}}, 'required': ['owner', 'repo', 'issueDescription'], 'type': 'object'}, description="""Find GitHub issues similar to a new issue description"""), # Jake-Mok-Nelson/GitHub Support Assistant/find-similar-issues
    Tool(name="""Supabase MCP Server_query_table""", inputSchema={'properties': {'schema': {'description': 'Database schema (optional, defaults to public)', 'type': 'string'}, 'select': {'description': 'Comma-separated list of columns to select (optional, defaults to *)', 'type': 'string'}, 'table': {'description': 'Name of the table to query', 'type': 'string'}, 'where': {'description': 'Array of where conditions (optional)', 'items': {'properties': {'column': {'description': 'Column name', 'type': 'string'}, 'operator': {'description': 'Comparison operator', 'enum': ['eq', 'neq', 'gt', 'gte', 'lt', 'lte', 'like', 'ilike', 'is'], 'type': 'string'}, 'value': {'description': 'Value to compare against', 'type': 'any'}}, 'required': ['column', 'operator', 'value'], 'type': 'object'}, 'type': 'array'}}, 'required': ['table'], 'type': 'object'}, description="""Query a specific table with schema selection and where clause support"""), # NightTrek/Supabase MCP Server/query_table
    Tool(name="""Supabase MCP Server_generate_types""", inputSchema={'properties': {'schema': {'description': 'Database schema (optional, defaults to public)', 'type': 'string'}}, 'type': 'object'}, description="""Generate TypeScript types for your Supabase database schema"""), # NightTrek/Supabase MCP Server/generate_types
    Tool(name="""Kagi MCP Server_search""", inputSchema={'properties': {'queries': {'description': 'One or more concise, keyword-focused search queries. Include essential context within each query for standalone use.', 'items': {'type': 'string'}, 'title': 'Queries', 'type': 'array'}}, 'required': ['queries'], 'title': 'searchArguments', 'type': 'object'}, description="""Perform web search based on one or more queries. Results are from all queries given. They are numbered continuously, so that a user may be able to refer to a result by a specific number."""), # kagisearch/Kagi MCP Server/search
    Tool(name="""Cargo Doc MCP Server_get_crate_doc""", inputSchema={'properties': {'crate_name': {'description': 'Name of the crate to get documentation for', 'type': 'string'}, 'project_path': {'description': 'Path to the Rust project (must be absolute path)', 'type': 'string'}}, 'required': ['project_path', 'crate_name'], 'type': 'object'}, description="""Get crate's main documentation page. Useful for unresolved imports (e.g. use get_crate_doc when seeing 'unresolved import tokio::sync') or understanding crate features."""), # spacemeowx2/Cargo Doc MCP Server/get_crate_doc
    Tool(name="""Cargo Doc MCP Server_list_symbols""", inputSchema={'properties': {'crate_name': {'description': 'Name of the crate to list symbols for', 'type': 'string'}, 'project_path': {'description': 'Path to the Rust project (must be absolute path)', 'type': 'string'}}, 'required': ['project_path', 'crate_name'], 'type': 'object'}, description="""List all symbols in a crate. Use when implementing traits or exploring available types. Shows structs, enums, traits with their paths."""), # spacemeowx2/Cargo Doc MCP Server/list_symbols
    Tool(name="""Cargo Doc MCP Server_search_doc""", inputSchema={'properties': {'crate_name': {'description': 'Name of the crate to search in', 'type': 'string'}, 'project_path': {'description': 'Path to the Rust project (must be absolute path)', 'type': 'string'}, 'query': {'description': 'Search query (keyword or symbol)', 'type': 'string'}}, 'required': ['project_path', 'crate_name', 'query'], 'type': 'object'}, description="""Search crate docs for specific features, error messages, or usage examples. Helps debug compilation issues or learn new APIs."""), # spacemeowx2/Cargo Doc MCP Server/search_doc
    Tool(name="""DexScreener MCP Server_get_latest_token_profiles""", inputSchema={'properties': {}, 'required': [], 'type': 'object'}, description="""Get the latest token profiles"""), # openSVM/DexScreener MCP Server/get_latest_token_profiles
    Tool(name="""DexScreener MCP Server_get_latest_boosted_tokens""", inputSchema={'properties': {}, 'required': [], 'type': 'object'}, description="""Get the latest boosted tokens"""), # openSVM/DexScreener MCP Server/get_latest_boosted_tokens
    Tool(name="""DexScreener MCP Server_get_top_boosted_tokens""", inputSchema={'properties': {}, 'required': [], 'type': 'object'}, description="""Get tokens with most active boosts"""), # openSVM/DexScreener MCP Server/get_top_boosted_tokens
    Tool(name="""DexScreener MCP Server_get_token_orders""", inputSchema={'properties': {'chainId': {'description': 'Chain ID (e.g., "solana")', 'type': 'string'}, 'tokenAddress': {'description': 'Token address', 'type': 'string'}}, 'required': ['chainId', 'tokenAddress'], 'type': 'object'}, description="""Check orders paid for a specific token"""), # openSVM/DexScreener MCP Server/get_token_orders
    Tool(name="""DexScreener MCP Server_get_pairs_by_chain_and_address""", inputSchema={'properties': {'chainId': {'description': 'Chain ID (e.g., "solana")', 'type': 'string'}, 'pairId': {'description': 'Pair address', 'type': 'string'}}, 'required': ['chainId', 'pairId'], 'type': 'object'}, description="""Get one or multiple pairs by chain and pair address"""), # openSVM/DexScreener MCP Server/get_pairs_by_chain_and_address
    Tool(name="""DexScreener MCP Server_get_pairs_by_token_addresses""", inputSchema={'properties': {'tokenAddresses': {'description': 'Comma-separated token addresses', 'type': 'string'}}, 'required': ['tokenAddresses'], 'type': 'object'}, description="""Get one or multiple pairs by token address (max 30)"""), # openSVM/DexScreener MCP Server/get_pairs_by_token_addresses
    Tool(name="""DexScreener MCP Server_search_pairs""", inputSchema={'properties': {'query': {'description': 'Search query', 'type': 'string'}}, 'required': ['query'], 'type': 'object'}, description="""Search for pairs matching query"""), # openSVM/DexScreener MCP Server/search_pairs
    Tool(name="""Git MCP_get_last_git_tag""", inputSchema={'properties': {'repo_name': {'title': 'Repo Name', 'type': 'string'}}, 'required': ['repo_name'], 'title': 'get_last_git_tagArguments', 'type': 'object'}, description="""Find the last git tag in the repository\n\n    Args:\n        repo_name: Name of the git repository\n\n    Returns:\n        Dictionary containing tag version and date\n    """), # kjozsa/Git MCP/get_last_git_tag
    Tool(name="""Git MCP_list_commits_since_last_tag""", inputSchema={'properties': {'max_count': {'anyOf': [{'type': 'integer'}, {'type': 'null'}], 'default': None, 'title': 'Max Count'}, 'repo_name': {'title': 'Repo Name', 'type': 'string'}}, 'required': ['repo_name'], 'title': 'list_commits_since_last_tagArguments', 'type': 'object'}, description="""List commit messages since main HEAD and the last git tag\n\n    Args:\n        repo_name: Name of the git repository\n        max_count: Maximum number of commits to return\n\n    Returns:\n        List of dictionaries containing commit hash, author, date, and message\n    """), # kjozsa/Git MCP/list_commits_since_last_tag
    Tool(name="""Git MCP_list_repositories""", inputSchema={'properties': {}, 'title': 'list_repositoriesArguments', 'type': 'object'}, description="""List all git repositories in the configured path\n\n    Returns:\n        List of repository names\n    """), # kjozsa/Git MCP/list_repositories
    Tool(name="""Git MCP_create_git_tag""", inputSchema={'properties': {'message': {'anyOf': [{'type': 'string'}, {'type': 'null'}], 'default': None, 'title': 'Message'}, 'repo_name': {'title': 'Repo Name', 'type': 'string'}, 'tag_name': {'title': 'Tag Name', 'type': 'string'}}, 'required': ['repo_name', 'tag_name'], 'title': 'create_git_tagArguments', 'type': 'object'}, description="""Create a new git tag in the repository\n\n    Args:\n        repo_name: Name of the git repository\n        tag_name: Name of the tag to create\n        message: Optional message for annotated tag\n\n    Returns:\n        Dictionary containing status and tag information\n    """), # kjozsa/Git MCP/create_git_tag
    Tool(name="""Git MCP_push_git_tag""", inputSchema={'properties': {'repo_name': {'title': 'Repo Name', 'type': 'string'}, 'tag_name': {'title': 'Tag Name', 'type': 'string'}}, 'required': ['repo_name', 'tag_name'], 'title': 'push_git_tagArguments', 'type': 'object'}, description="""Push a git tag to the default remote\n\n    Args:\n        repo_name: Name of the git repository\n        tag_name: Name of the tag to push\n\n    Returns:\n        Dictionary containing status and information about the operation\n    """), # kjozsa/Git MCP/push_git_tag
    Tool(name="""Git MCP_refresh_repository""", inputSchema={'properties': {'repo_name': {'title': 'Repo Name', 'type': 'string'}}, 'required': ['repo_name'], 'title': 'refresh_repositoryArguments', 'type': 'object'}, description="""Refresh repository by checking out main branch and pulling all remotes\n\n    Args:\n        repo_name: Name of the git repository\n\n    Returns:\n        Dictionary containing status and information about the operation\n    """), # kjozsa/Git MCP/refresh_repository
    Tool(name="""Nefino MCP Server_StartNewsRetrieval""", inputSchema={'$defs': {'NewsTopic': {'enum': ['batteryStorage', 'gridExpansion', 'solar', 'hydrogen', 'wind'], 'title': 'NewsTopic', 'type': 'string'}, 'PlaceTypeNews': {'enum': ['PR', 'CTY', 'AU', 'LAU'], 'title': 'PlaceTypeNews', 'type': 'string'}, 'RangeOrRecency': {'enum': ['RANGE', 'RECENCY'], 'title': 'RangeOrRecency', 'type': 'string'}}, 'properties': {'date_range_begin': {'anyOf': [{'type': 'string'}, {'type': 'null'}], 'default': None, 'description': 'Start date in YYYY-MM-DD format (when range_or_recency=RANGE)', 'title': 'Date Range Begin'}, 'date_range_end': {'anyOf': [{'type': 'string'}, {'type': 'null'}], 'default': None, 'description': 'End date in YYYY-MM-DD format (when range_or_recency=RANGE)', 'title': 'Date Range End'}, 'last_n_days': {'anyOf': [{'type': 'integer'}, {'type': 'null'}], 'default': None, 'description': 'Number of days to search for (when range_or_recency=RECENCY)', 'title': 'Last N Days'}, 'news_topics': {'anyOf': [{'items': {'$ref': '#/$defs/NewsTopic'}, 'type': 'array'}, {'type': 'null'}], 'default': None, 'description': 'List of topics to filter by', 'title': 'News Topics'}, 'place_id': {'description': 'The id of the place', 'title': 'Place Id', 'type': 'string'}, 'place_type': {'$ref': '#/$defs/PlaceTypeNews', 'description': 'The type of the place (PR, CTY, AU, LAU)'}, 'range_or_recency': {'anyOf': [{'$ref': '#/$defs/RangeOrRecency'}, {'type': 'null'}], 'default': None, 'description': 'Type of search (RANGE or RECENCY)'}}, 'required': ['place_id', 'place_type'], 'title': 'start_news_retrievalArguments', 'type': 'object'}, description="""Start an asynchronous news retrieval task for a place"""), # nefino/Nefino MCP Server/StartNewsRetrieval
    Tool(name="""Nefino MCP Server_GetNewsResults""", inputSchema={'properties': {'task_id': {'description': 'The task ID returned by StartNewsRetrieval', 'title': 'Task Id', 'type': 'string'}}, 'required': ['task_id'], 'title': 'get_news_resultsArguments', 'type': 'object'}, description="""Get the results of a previously started news retrieval task"""), # nefino/Nefino MCP Server/GetNewsResults
    Tool(name="""Google Search Console MCP Server_list_sites""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {}, 'type': 'object'}, description="""List all sites in Google Search Console"""), # ahonn/Google Search Console MCP Server/list_sites
    Tool(name="""Google Search Console MCP Server_search_analytics""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'aggregationType': {'description': 'Type of aggregation, such as auto, byNewsShowcasePanel, byProperty, byPage', 'enum': ['auto', 'byNewsShowcasePanel', 'byProperty', 'byPage'], 'type': 'string'}, 'dimensions': {'description': 'Comma-separated list of dimensions to break down results by, such as query, page, country, device, searchAppearance', 'type': 'string'}, 'endDate': {'description': 'End date in YYYY-MM-DD format', 'type': 'string'}, 'rowLimit': {'default': 1000, 'description': 'Maximum number of rows to return', 'type': 'number'}, 'siteUrl': {'description': 'The site URL as defined in Search Console. Example: sc-domain:example.com (for domain resources) or http://www.example.com/ (for site prefix resources)', 'type': 'string'}, 'startDate': {'description': 'Start date in YYYY-MM-DD format', 'type': 'string'}, 'type': {'description': 'Type of search to filter by, such as web, image, video, news', 'enum': ['web', 'image', 'video', 'news'], 'type': 'string'}}, 'required': ['siteUrl', 'startDate', 'endDate'], 'type': 'object'}, description="""Get search performance data from Google Search Console"""), # ahonn/Google Search Console MCP Server/search_analytics
    Tool(name="""Google Search Console MCP Server_index_inspect""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'inspectionUrl': {'description': 'The fully-qualified URL to inspect. Must be under the property specified in "siteUrl"', 'type': 'string'}, 'languageCode': {'default': 'en-US', 'description': 'An IETF BCP-47 language code representing the language of the requested translated issue messages, such as "en-US" or "de-CH". Default is "en-US"', 'type': 'string'}, 'siteUrl': {'description': 'The site URL as defined in Search Console. Example: sc-domain:example.com (for domain resources) or http://www.example.com/ (for site prefix resources)', 'type': 'string'}}, 'required': ['siteUrl', 'inspectionUrl'], 'type': 'object'}, description="""Inspect a URL to see if it is indexed or can be indexed"""), # ahonn/Google Search Console MCP Server/index_inspect
    Tool(name="""Google Search Console MCP Server_list_sitemaps""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'siteUrl': {'description': "The site's URL, including protocol. For example: http://www.example.com/", 'type': 'string'}, 'sitemapIndex': {'description': "A URL of a site's sitemap index. For example: http://www.example.com/sitemapindex.xml", 'type': 'string'}}, 'type': 'object'}, description="""List sitemaps for a site in Google Search Console"""), # ahonn/Google Search Console MCP Server/list_sitemaps
    Tool(name="""Google Search Console MCP Server_get_sitemap""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'feedpath': {'description': 'The URL of the actual sitemap. For example: http://www.example.com/sitemap.xml', 'type': 'string'}, 'siteUrl': {'description': "The site's URL, including protocol. For example: http://www.example.com/", 'type': 'string'}}, 'type': 'object'}, description="""Get a sitemap for a site in Google Search Console"""), # ahonn/Google Search Console MCP Server/get_sitemap
    Tool(name="""Google Search Console MCP Server_submit_sitemap""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'feedpath': {'description': 'The URL of the sitemap to add. For example: http://www.example.com/sitemap.xml', 'type': 'string'}, 'siteUrl': {'description': "The site's URL, including protocol. For example: http://www.example.com/", 'type': 'string'}}, 'required': ['feedpath', 'siteUrl'], 'type': 'object'}, description="""Submit a sitemap for a site in Google Search Console"""), # ahonn/Google Search Console MCP Server/submit_sitemap
    Tool(name="""Jira MCP Server_execute_jql""", inputSchema={'properties': {'jql': {'description': 'JQL query string', 'type': 'string'}, 'number_of_results': {'default': 1, 'description': 'Number of results to return', 'type': 'integer'}}, 'required': ['jql'], 'type': 'object'}, description="""Execute a JQL query on Jira on the api /rest/api/3/search"""), # KS-GEN-AI/Jira MCP Server/execute_jql
    Tool(name="""Jira MCP Server_get_only_ticket_name_and_description""", inputSchema={'properties': {'jql': {'description': 'JQL query string', 'type': 'string'}, 'number_of_results': {'default': 1, 'description': 'Number of results to return', 'type': 'integer'}}, 'required': ['jql'], 'type': 'object'}, description="""Get the name and description of the requested tickets on the api /rest/api/3/search"""), # KS-GEN-AI/Jira MCP Server/get_only_ticket_name_and_description
    Tool(name="""Jira MCP Server_create_ticket""", inputSchema={'properties': {'description': {'description': 'The description of the ticket', 'type': 'string'}, 'issuetype': {'properties': {'name': {'description': 'The name of the issue type', 'type': 'string'}}, 'required': ['name'], 'type': 'object'}, 'parent': {'description': 'The key of the parent ticket (the epic)', 'type': 'string'}, 'project': {'properties': {'key': {'description': 'The project key', 'type': 'string'}}, 'required': ['key'], 'type': 'object'}, 'summary': {'description': 'The summary of the ticket', 'type': 'string'}}, 'required': ['project', 'summary', 'description', 'issuetype'], 'type': 'object'}, description="""Create a ticket on Jira on the api /rest/api/3/issue"""), # KS-GEN-AI/Jira MCP Server/create_ticket
    Tool(name="""Jira MCP Server_list_projects""", inputSchema={'properties': {'number_of_results': {'default': 1, 'description': 'Number of results to return', 'type': 'integer'}}, 'type': 'object'}, description="""List all the projects on Jira on the api /rest/api/3/project"""), # KS-GEN-AI/Jira MCP Server/list_projects
    Tool(name="""Jira MCP Server_delete_ticket""", inputSchema={'properties': {'issueIdOrKey': {'description': 'The issue id or key', 'type': 'string'}}, 'required': ['issueIdOrKey'], 'type': 'object'}, description="""Delete a ticket on Jira on the api /rest/api/3/issue/{issueIdOrKey}"""), # KS-GEN-AI/Jira MCP Server/delete_ticket
    Tool(name="""Jira MCP Server_edit_ticket""", inputSchema={'properties': {'description': {'description': 'The description of the ticket', 'type': 'string'}, 'issueIdOrKey': {'description': 'The issue id or key', 'type': 'string'}, 'labels': {'description': 'The labels of the ticket', 'items': {'type': 'string'}, 'type': 'array'}, 'parent': {'description': 'The key of the parent ticket (the epic)', 'type': 'string'}, 'summary': {'description': 'The summary of the ticket', 'type': 'string'}}, 'required': ['issueIdOrKey'], 'type': 'object'}, description="""Edit a ticket on Jira on the api /rest/api/3/issue/{issueIdOrKey}"""), # KS-GEN-AI/Jira MCP Server/edit_ticket
    Tool(name="""Jira MCP Server_get_all_statuses""", inputSchema={'properties': {'number_of_results': {'default': 1, 'description': 'Number of results to return', 'type': 'integer'}}, 'type': 'object'}, description="""Get all the status on Jira on the api /rest/api/3/status"""), # KS-GEN-AI/Jira MCP Server/get_all_statuses
    Tool(name="""Jira MCP Server_assign_ticket""", inputSchema={'properties': {'accountId': {'description': 'The account id of the assignee', 'type': 'string'}, 'issueIdOrKey': {'description': 'The issue id or key', 'type': 'string'}}, 'required': ['accountId', 'issueIdOrKey'], 'type': 'object'}, description="""Assign a ticket on Jira on the api /rest/api/3/issue/{issueIdOrKey}/assignee"""), # KS-GEN-AI/Jira MCP Server/assign_ticket
    Tool(name="""Jira MCP Server_query_assignable""", inputSchema={'properties': {'project_key': {'description': 'The id of the project to search', 'type': 'string'}}, 'required': ['project_key'], 'type': 'object'}, description="""Query assignables to a ticket on Jira on the api /rest/api/3/user/assignable/search?project={project-name}"""), # KS-GEN-AI/Jira MCP Server/query_assignable
    Tool(name="""Jira MCP Server_add_attachment_from_public_url""", inputSchema={'properties': {'imageUrl': {'description': 'The URL of the image to attach', 'type': 'string'}, 'issueIdOrKey': {'description': 'The issue id or key', 'type': 'string'}}, 'required': ['issueIdOrKey', 'imageUrl'], 'type': 'object'}, description="""Add an attachment from a public url to a ticket on Jira on the api /rest/api/3/issue/{issueIdOrKey}/attachments"""), # KS-GEN-AI/Jira MCP Server/add_attachment_from_public_url
    Tool(name="""Jira MCP Server_add_attachment_from_confluence""", inputSchema={'properties': {'attachmentName': {'description': 'The name of the attachment', 'type': 'string'}, 'issueIdOrKey': {'description': 'The issue id or key', 'type': 'string'}, 'pageId': {'description': 'The page id', 'type': 'string'}}, 'required': ['issueIdOrKey', 'pageId', 'attachmentName'], 'type': 'object'}, description="""Add an attachment to a ticket on Jira from a Confluence page by its name on the api /rest/api/3/issue/{issueIdOrKey}/attachments"""), # KS-GEN-AI/Jira MCP Server/add_attachment_from_confluence
    Tool(name="""UniProt MCP Server_get_protein_info""", inputSchema={'properties': {'accession': {'description': 'UniProt Accession No. (e.g., P12345)', 'type': 'string'}}, 'required': ['accession'], 'type': 'object'}, description="""Get protein function and sequence information from UniProt using an accession No."""), # TakumiY235/UniProt MCP Server/get_protein_info
    Tool(name="""UniProt MCP Server_get_batch_protein_info""", inputSchema={'properties': {'accessions': {'description': 'List of UniProt accession No.', 'items': {'type': 'string'}, 'type': 'array'}}, 'required': ['accessions'], 'type': 'object'}, description="""Get protein information for multiple accession No."""), # TakumiY235/UniProt MCP Server/get_batch_protein_info
    Tool(name="""MCP2Serial_set_pwm""", inputSchema={'properties': {'frequency': {'type': 'string'}}, 'required': ['frequency'], 'type': 'object'}, description="""Execute set_pwm command"""), # mcp2everything/MCP2Serial/set_pwm
    Tool(name="""MCP2Serial_get_pico_info""", inputSchema={'properties': {}, 'required': [], 'type': 'object'}, description="""Execute get_pico_info command"""), # mcp2everything/MCP2Serial/get_pico_info
    Tool(name="""MCP2Serial_led_control""", inputSchema={'properties': {'state': {'type': 'string'}}, 'required': ['state'], 'type': 'object'}, description="""Execute led_control command"""), # mcp2everything/MCP2Serial/led_control
    Tool(name="""Supavec MCP Server_fetch-embeddings""", inputSchema={'properties': {'file_id': {'description': 'ID of the file to get embeddings for', 'type': 'string'}, 'query': {'description': 'Query to search for in the file', 'type': 'string'}}, 'required': ['file_id', 'query'], 'type': 'object'}, description="""Fetch embeddings for a file by ID and query"""), # supavec/Supavec MCP Server/fetch-embeddings
    Tool(name="""Claude MCP Trello_trello_get_cards_by_list""", inputSchema={'properties': {'listId': {'description': 'Trello list ID', 'type': 'string'}}, 'required': ['listId'], 'type': 'object'}, description="""Retrieves a list of cards contained in the specified list ID."""), # hrs-asano/Claude MCP Trello/trello_get_cards_by_list
    Tool(name="""Claude MCP Trello_trello_get_lists""", inputSchema={'properties': {}, 'type': 'object'}, description="""Retrieves all lists in the board."""), # hrs-asano/Claude MCP Trello/trello_get_lists
    Tool(name="""Claude MCP Trello_trello_get_recent_activity""", inputSchema={'properties': {'limit': {'description': 'Number of activities to retrieve (default: 10)', 'type': 'number'}}, 'type': 'object'}, description="""Retrieves the most recent board activity. The 'limit' argument can specify how many to retrieve."""), # hrs-asano/Claude MCP Trello/trello_get_recent_activity
    Tool(name="""Claude MCP Trello_trello_add_card""", inputSchema={'properties': {'description': {'description': 'Details of the card (optional)', 'type': 'string'}, 'dueDate': {'description': 'Due date (can be specified in ISO8601 format, etc. Optional)', 'type': 'string'}, 'labels': {'description': 'Array of label IDs (optional)', 'items': {'type': 'string'}, 'type': 'array'}, 'listId': {'description': 'The ID of the list to add to', 'type': 'string'}, 'name': {'description': 'The title of the card', 'type': 'string'}}, 'required': ['listId', 'name'], 'type': 'object'}, description="""Adds a card to the specified list."""), # hrs-asano/Claude MCP Trello/trello_add_card
    Tool(name="""Claude MCP Trello_trello_update_card""", inputSchema={'properties': {'cardId': {'description': 'The ID of the card to be updated', 'type': 'string'}, 'description': {'description': 'Details of the card (optional)', 'type': 'string'}, 'dueDate': {'description': 'Due date (can be specified in ISO8601 format, etc. Optional)', 'type': 'string'}, 'labels': {'description': 'An array of label IDs (optional)', 'items': {'type': 'string'}, 'type': 'array'}, 'name': {'description': 'The title of the card (optional)', 'type': 'string'}}, 'required': ['cardId'], 'type': 'object'}, description="""Updates the content of a card."""), # hrs-asano/Claude MCP Trello/trello_update_card
    Tool(name="""Claude MCP Trello_trello_archive_card""", inputSchema={'properties': {'cardId': {'description': 'The ID of the card to archive', 'type': 'string'}}, 'required': ['cardId'], 'type': 'object'}, description="""Archives (closes) the specified card."""), # hrs-asano/Claude MCP Trello/trello_archive_card
    Tool(name="""Claude MCP Trello_trello_add_list""", inputSchema={'properties': {'name': {'description': 'Name of the list', 'type': 'string'}}, 'required': ['name'], 'type': 'object'}, description="""Adds a new list to the board."""), # hrs-asano/Claude MCP Trello/trello_add_list
    Tool(name="""Claude MCP Trello_trello_archive_list""", inputSchema={'properties': {'listId': {'description': 'The ID of the list to archive', 'type': 'string'}}, 'required': ['listId'], 'type': 'object'}, description="""Archives (closes) the specified list."""), # hrs-asano/Claude MCP Trello/trello_archive_list
    Tool(name="""Claude MCP Trello_trello_get_my_cards""", inputSchema={'properties': {}, 'type': 'object'}, description="""Retrieves all cards related to your account."""), # hrs-asano/Claude MCP Trello/trello_get_my_cards
    Tool(name="""Claude MCP Trello_trello_search_all_boards""", inputSchema={'properties': {'limit': {'description': 'Maximum number of results to retrieve (default: 10)', 'type': 'number'}, 'query': {'description': 'Search keyword', 'type': 'string'}}, 'required': ['query'], 'type': 'object'}, description="""Performs a cross-board search across all boards in the workspace (organization) (depending on plan/permissions)."""), # hrs-asano/Claude MCP Trello/trello_search_all_boards
    Tool(name="""Knowledge Base MCP Server_list_knowledge_bases""", inputSchema={'properties': {}, 'required': [], 'type': 'object'}, description="""Lists the available knowledge bases."""), # jeanibarz/Knowledge Base MCP Server/list_knowledge_bases
    Tool(name="""Knowledge Base MCP Server_retrieve_knowledge""", inputSchema={'properties': {'knowledge_base_name': {'description': "Optional. Name of the knowledge base to query (e.g., 'company', 'it_support', 'onboarding'). If omitted, the search is performed across all available knowledge bases.", 'type': 'string'}, 'query': {'description': 'The query text to use for semantic search.', 'type': 'string'}, 'threshold': {'description': 'Optional. The maximum similarity score to return.', 'type': 'number'}}, 'required': ['query'], 'type': 'object'}, description="""Retrieves similar chunks from the knowledge base based on a query. Optionally, if a knowledge base is specified, only that one is searched; otherwise, all available knowledge bases are considered. By default, at most 10 documents are returned with a score below a threshold of 2. A different threshold can optionally be provided."""), # jeanibarz/Knowledge Base MCP Server/retrieve_knowledge
    Tool(name="""Unipile MCP Server_unipile_get_accounts""", inputSchema={'properties': {}, 'type': 'object'}, description="""Get all connected messaging accounts from supported platforms: Mobile, Mail, WhatsApp, LinkedIn, Slack, Twitter, Telegram, Instagram, Messenger. Returns account details including connection parameters, ID, name, creation date, signatures, groups, and sources."""), # baryhuang/Unipile MCP Server/unipile_get_accounts
    Tool(name="""Unipile MCP Server_unipile_get_recent_messages""", inputSchema={'properties': {'account_id': {'description': "The one source ID of of the account to get messages from. It is the id of the source objects in the account's sources array.", 'type': 'string'}, 'batch_size': {'description': 'Number of messages to fetch per chat (default: 20)', 'type': 'integer'}}, 'required': ['account_id'], 'type': 'object'}, description="""Get recent messages from all chats associated with a specific account. Supports messages from: Mobile, Mail, WhatsApp, LinkedIn, Slack, Twitter, Telegram, Instagram, Messenger. Returns message details including text content, sender info, timestamps, attachments, reactions, quoted messages, and metadata."""), # baryhuang/Unipile MCP Server/unipile_get_recent_messages
    Tool(name="""Unipile MCP Server_unipile_get_emails""", inputSchema={'properties': {'account_id': {'description': 'The ID of the account to get emails from', 'type': 'string'}, 'limit': {'description': 'Maximum number of emails to return (default: 10)', 'type': 'integer'}}, 'required': ['account_id'], 'type': 'object'}, description="""Get recent emails from a specific account. Returns email details including subject, body, sender, recipients, attachments, and metadata."""), # baryhuang/Unipile MCP Server/unipile_get_emails
    Tool(name="""Barnsworthburning MCP_search""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'query': {'description': 'The search query to look for on barnsworthburning.net', 'minLength': 2, 'type': 'string'}}, 'required': ['query'], 'type': 'object'}, description="""Search barnsworthburning.net for the given query"""), # Aias/Barnsworthburning MCP/search
    Tool(name="""s3-tools_list-s3-buckets""", inputSchema={'properties': {'region': {'description': 'AWS region (optional, defaults to configured region)', 'type': 'string'}}, 'type': 'object'}, description="""List all S3 buckets in your AWS account"""), # sofianhamiti/s3-tools/list-s3-buckets
    Tool(name="""Figma MCP Server_add_figma_file""", inputSchema={'properties': {'url': {'description': 'The URL of the Figma file to add', 'type': 'string'}}, 'required': ['url'], 'type': 'object'}, description="""Add a Figma file to your context"""), # MatthewDailey/Figma MCP Server/add_figma_file
    Tool(name="""Figma MCP Server_view_node""", inputSchema={'properties': {'file_key': {'description': 'The key of the Figma file', 'type': 'string'}, 'node_id': {'description': 'The ID of the node to view. Node ids have the format `<number>:<number>`', 'type': 'string'}}, 'required': ['file_key', 'node_id'], 'type': 'object'}, description="""Get a thumbnail for a specific node in a Figma file"""), # MatthewDailey/Figma MCP Server/view_node
    Tool(name="""Figma MCP Server_read_comments""", inputSchema={'properties': {'file_key': {'description': 'The key of the Figma file', 'type': 'string'}}, 'required': ['file_key'], 'type': 'object'}, description="""Get all comments on a Figma file"""), # MatthewDailey/Figma MCP Server/read_comments
    Tool(name="""Figma MCP Server_post_comment""", inputSchema={'properties': {'file_key': {'description': 'The key of the Figma file', 'type': 'string'}, 'message': {'description': 'The comment message', 'type': 'string'}, 'node_id': {'description': 'The ID of the node to comment on. Node ids have the format `<number>:<number>`', 'type': 'string'}, 'x': {'description': 'The x coordinate of the comment pin', 'type': 'number'}, 'y': {'description': 'The y coordinate of the comment pin', 'type': 'number'}}, 'required': ['file_key', 'message', 'x', 'y'], 'type': 'object'}, description="""Post a comment on a node in a Figma file"""), # MatthewDailey/Figma MCP Server/post_comment
    Tool(name="""Figma MCP Server_reply_to_comment""", inputSchema={'properties': {'comment_id': {'description': 'The ID of the comment to reply to. Comment ids have the format `<number>`', 'type': 'string'}, 'file_key': {'description': 'The key of the Figma file', 'type': 'string'}, 'message': {'description': 'The reply message', 'type': 'string'}}, 'required': ['file_key', 'comment_id', 'message'], 'type': 'object'}, description="""Reply to an existing comment in a Figma file"""), # MatthewDailey/Figma MCP Server/reply_to_comment
    Tool(name="""Face Generator MCP Server_generate_face""", inputSchema={'properties': {'borderRadius': {'default': 32, 'description': 'Border radius for rounded shape (default: 32)', 'maximum': 512, 'minimum': 0, 'type': 'number'}, 'count': {'default': 1, 'description': 'Number of images to generate (default: 1)', 'maximum': 10, 'minimum': 1, 'type': 'number'}, 'fileName': {'default': '1741519488156.png', 'description': 'Optional file name (defaults to timestamp)', 'type': 'string'}, 'height': {'default': 256, 'description': 'Height of the image in pixels (default: 256)', 'maximum': 1024, 'minimum': 64, 'type': 'number'}, 'outputDir': {'description': 'Directory to save the image', 'type': 'string'}, 'shape': {'default': 'square', 'description': 'Image shape (square|circle|rounded, default: square)', 'enum': ['square', 'circle', 'rounded'], 'type': 'string'}, 'width': {'default': 256, 'description': 'Width of the image in pixels (default: 256)', 'maximum': 1024, 'minimum': 64, 'type': 'number'}}, 'required': ['outputDir'], 'type': 'object'}, description="""Generate and save a human face image"""), # dasheck0/Face Generator MCP Server/generate_face
    Tool(name="""Strava MCP Server_get_activities""", inputSchema={'properties': {'limit': {'default': 10, 'title': 'Limit', 'type': 'integer'}}, 'title': 'get_activitiesArguments', 'type': 'object'}, description="""\n    Get the authenticated athlete's recent activities.\n\n    Args:\n        limit: Maximum number of activities to return (default: 10)\n\n    Returns:\n        Dictionary containing activities data\n    """), # tomekkorbak/Strava MCP Server/get_activities
    Tool(name="""Strava MCP Server_get_activities_by_date_range""", inputSchema={'properties': {'end_date': {'title': 'End Date', 'type': 'string'}, 'limit': {'default': 30, 'title': 'Limit', 'type': 'integer'}, 'start_date': {'title': 'Start Date', 'type': 'string'}}, 'required': ['start_date', 'end_date'], 'title': 'get_activities_by_date_rangeArguments', 'type': 'object'}, description="""\n    Get activities within a specific date range.\n\n    Args:\n        start_date: Start date in ISO format (YYYY-MM-DD)\n        end_date: End date in ISO format (YYYY-MM-DD)\n        limit: Maximum number of activities to return (default: 30)\n\n    Returns:\n        Dictionary containing activities data\n    """), # tomekkorbak/Strava MCP Server/get_activities_by_date_range
    Tool(name="""Strava MCP Server_get_activity_by_id""", inputSchema={'properties': {'activity_id': {'title': 'Activity Id', 'type': 'integer'}}, 'required': ['activity_id'], 'title': 'get_activity_by_idArguments', 'type': 'object'}, description="""\n    Get detailed information about a specific activity.\n\n    Args:\n        activity_id: ID of the activity to retrieve\n\n    Returns:\n        Dictionary containing activity details\n    """), # tomekkorbak/Strava MCP Server/get_activity_by_id
    Tool(name="""Strava MCP Server_get_recent_activities""", inputSchema={'properties': {'days': {'default': 7, 'title': 'Days', 'type': 'integer'}, 'limit': {'default': 10, 'title': 'Limit', 'type': 'integer'}}, 'title': 'get_recent_activitiesArguments', 'type': 'object'}, description="""\n    Get activities from the past X days.\n\n    Args:\n        days: Number of days to look back (default: 7)\n        limit: Maximum number of activities to return (default: 10)\n\n    Returns:\n        Dictionary containing activities data\n    """), # tomekkorbak/Strava MCP Server/get_recent_activities
    Tool(name="""MCP Terminal Server_run_command""", inputSchema={'properties': {'allowedCommands': {'description': 'Optional list of allowed command executables', 'items': {'type': 'string'}, 'type': 'array'}, 'command': {'description': 'The command to execute', 'type': 'string'}, 'maxOutputSize': {'description': 'Maximum output size in bytes (default: 1MB)', 'type': 'number'}, 'timeoutMs': {'description': 'Maximum execution time in milliseconds (default: 30 seconds)', 'type': 'number'}}, 'required': ['command'], 'type': 'object'}, description="""Run a terminal command with security controls."""), # RinardNick/MCP Terminal Server/run_command
    Tool(name="""MCP Server Memos_list_memo_tags""", inputSchema={'$defs': {'Visibility': {'enum': ['PUBLIC', 'PROTECTED', 'PRIVATE'], 'title': 'Visibility', 'type': 'string'}}, 'description': 'Request to list memo tags', 'properties': {'parent': {'default': 'memos/-', 'description': 'The parent, who owns the tags.\nFormat: memos/{id}. Use "memos/-" to list all tags.\n', 'title': 'Parent', 'type': 'string'}, 'visibility': {'$ref': '#/$defs/Visibility', 'default': 'PRIVATE', 'description': 'The visibility of the tags.'}}, 'title': 'ListMemoTagsRequest', 'type': 'object'}, description="""List all existing memo tags"""), # RyoJerryYu/MCP Server Memos/list_memo_tags
    Tool(name="""MCP Server Memos_search_memo""", inputSchema={'description': 'Request to search memo', 'properties': {'key_word': {'description': 'The key words to search for in the memo content.', 'title': 'Key Word', 'type': 'string'}}, 'required': ['key_word'], 'title': 'SearchMemoRequest', 'type': 'object'}, description="""Search for memos"""), # RyoJerryYu/MCP Server Memos/search_memo
    Tool(name="""MCP Server Memos_create_memo""", inputSchema={'$defs': {'Visibility': {'enum': ['PUBLIC', 'PROTECTED', 'PRIVATE'], 'title': 'Visibility', 'type': 'string'}}, 'description': 'Request to create memo', 'properties': {'content': {'description': 'The content of the memo.', 'title': 'Content', 'type': 'string'}, 'visibility': {'$ref': '#/$defs/Visibility', 'default': 'PRIVATE', 'description': 'The visibility of the memo.'}}, 'required': ['content'], 'title': 'CreateMemoRequest', 'type': 'object'}, description="""Create a new memo"""), # RyoJerryYu/MCP Server Memos/create_memo
    Tool(name="""MCP Server Memos_get_memo""", inputSchema={'description': 'Request to get memo', 'properties': {'name': {'description': 'The name of the memo.\nFormat: memos/{id}\n', 'title': 'Name', 'type': 'string'}}, 'required': ['name'], 'title': 'GetMemoRequest', 'type': 'object'}, description="""Get a memo"""), # RyoJerryYu/MCP Server Memos/get_memo
    Tool(name="""Shopify Python MCP Server_create_product""", inputSchema={'properties': {'body_html': {'description': 'HTML', 'type': 'string'}, 'images': {'description': '', 'items': {'properties': {'alt': {'description': '', 'type': 'string'}, 'src': {'description': 'URL', 'type': 'string'}}, 'required': ['src'], 'type': 'object'}, 'type': 'array'}, 'options': {'description': '', 'items': {'properties': {'name': {'description': '', 'type': 'string'}, 'position': {'description': '', 'position': 'number'}, 'values': {'description': '', 'items': {'type': 'string'}, 'type': 'array'}}, 'required': ['name', 'position', 'values'], 'type': 'object'}, 'type': 'array'}, 'product_type': {'description': '', 'type': 'string'}, 'status': {'default': 'active', 'description': '', 'enum': ['active', 'draft', 'archived'], 'type': 'string'}, 'tags': {'description': '', 'type': 'string'}, 'title': {'description': '', 'type': 'string'}, 'variants': {'description': '', 'items': {'properties': {'inventory_quantity': {'description': '', 'type': 'number'}, 'option1': {'description': '1', 'type': 'string'}, 'option2': {'description': '2', 'type': 'string'}, 'option3': {'description': '3', 'type': 'string'}, 'price': {'description': '', 'type': 'string'}, 'sku': {'description': 'SKU', 'type': 'string'}}, 'required': ['price'], 'type': 'object'}, 'type': 'array'}, 'vendor': {'description': '', 'type': 'string'}}, 'required': ['title'], 'type': 'object'}, description=""""""), # kishimoto-banana/Shopify Python MCP Server/create_product
    Tool(name="""Shopify Python MCP Server_update_product""", inputSchema={'properties': {'body_html': {'description': 'HTML', 'type': 'string'}, 'images': {'description': '', 'items': {'properties': {'alt': {'description': '', 'type': 'string'}, 'id': {'description': 'ID', 'type': 'number'}, 'src': {'description': 'URL', 'type': 'string'}}, 'required': ['src'], 'type': 'object'}, 'type': 'array'}, 'options': {'description': '', 'items': {'properties': {'id': {'description': 'ID', 'type': 'number'}, 'name': {'description': '', 'type': 'string'}, 'position': {'description': '', 'position': 'number'}, 'values': {'description': '', 'items': {'type': 'string'}, 'type': 'array'}}, 'required': ['name', 'values'], 'type': 'object'}, 'type': 'array'}, 'product_id': {'description': 'ID', 'type': 'number'}, 'product_type': {'description': '', 'type': 'string'}, 'status': {'description': '', 'enum': ['active', 'draft', 'archived'], 'type': 'string'}, 'tags': {'description': '', 'type': 'string'}, 'title': {'description': '', 'type': 'string'}, 'variants': {'description': '', 'items': {'properties': {'id': {'description': 'ID', 'type': 'number'}, 'inventory_quantity': {'description': '', 'type': 'number'}, 'option1': {'description': '1', 'type': 'string'}, 'option2': {'description': '2', 'type': 'string'}, 'option3': {'description': '3', 'type': 'string'}, 'price': {'description': '', 'type': 'string'}, 'sku': {'description': 'SKU', 'type': 'string'}}, 'type': 'object'}, 'type': 'array'}, 'vendor': {'description': '', 'type': 'string'}}, 'required': ['product_id'], 'type': 'object'}, description=""""""), # kishimoto-banana/Shopify Python MCP Server/update_product
    Tool(name="""Shopify Python MCP Server_delete_product""", inputSchema={'properties': {'product_id': {'description': 'ID', 'type': 'number'}}, 'required': ['product_id'], 'type': 'object'}, description=""""""), # kishimoto-banana/Shopify Python MCP Server/delete_product
    Tool(name="""Shopify Python MCP Server_list_products""", inputSchema={'properties': {'limit': {'default': 50, 'description': '250', 'maximum': 250, 'minimum': 1, 'type': 'number'}}, 'type': 'object'}, description=""""""), # kishimoto-banana/Shopify Python MCP Server/list_products
    Tool(name="""Shopify Python MCP Server_get_product""", inputSchema={'properties': {'product_id': {'description': 'ID', 'type': 'number'}}, 'required': ['product_id'], 'type': 'object'}, description=""""""), # kishimoto-banana/Shopify Python MCP Server/get_product
    Tool(name="""Instagram MCP Server_get_instagram_posts""", inputSchema={'properties': {'limit': {'description': 'Number of posts to fetch (1-3) or "all" for continuous batches', 'type': ['number', 'string']}, 'startFrom': {'description': 'Index to start fetching from (for pagination)', 'type': 'number'}, 'username': {'description': 'Instagram username to fetch posts from', 'type': 'string'}}, 'required': ['username'], 'type': 'object'}, description="""Get recent posts from an Instagram profile using existing Chrome login"""), # duhlink/Instagram MCP Server/get_instagram_posts
    Tool(name="""Framer Plugin MCP Server_create_plugin""", inputSchema={'properties': {'description': {'description': 'Plugin description', 'type': 'string'}, 'name': {'description': 'Plugin name', 'type': 'string'}, 'outputPath': {'description': 'Output directory path', 'type': 'string'}, 'web3Features': {'description': 'Web3 features to include', 'items': {'enum': ['wallet-connect', 'contract-interaction', 'nft-display'], 'type': 'string'}, 'type': 'array'}}, 'required': ['name', 'description', 'outputPath'], 'type': 'object'}, description="""Create a new Framer plugin project with web3 capabilities"""), # Sheshiyer/Framer Plugin MCP Server/create_plugin
    Tool(name="""Framer Plugin MCP Server_build_plugin""", inputSchema={'properties': {'pluginPath': {'description': 'Path to plugin directory', 'type': 'string'}}, 'required': ['pluginPath'], 'type': 'object'}, description="""Build a Framer plugin project"""), # Sheshiyer/Framer Plugin MCP Server/build_plugin
    Tool(name="""MCP Human Loop Server_evaluate_need_for_human""", inputSchema={'properties': {'modelCapabilities': {'description': 'List of model capabilities', 'items': {'type': 'string'}, 'type': 'array'}, 'taskDescription': {'description': 'Description of the task to be evaluated', 'type': 'string'}}, 'required': ['taskDescription'], 'type': 'object'}, description="""Evaluate if a task requires human intervention"""), # boorich/MCP Human Loop Server/evaluate_need_for_human
    Tool(name="""Together AI Image Server_generate_image""", inputSchema={'properties': {'n': {'description': 'Number of images to generate (default: 1, max: 4)', 'maximum': 4, 'minimum': 1, 'type': 'number'}, 'prompt': {'description': 'Text prompt for image generation', 'type': 'string'}, 'steps': {'description': 'Number of diffusion steps (default: 4)', 'maximum': 4, 'minimum': 1, 'type': 'number'}}, 'required': ['prompt'], 'type': 'object'}, description="""Generate image from text prompt using Together AI API"""), # zym9863/Together AI Image Server/generate_image
    Tool(name="""Linear MCP Server_linear_search_issues""", inputSchema={'properties': {'assignee_id': {'anyOf': [{'type': 'string'}, {'type': 'null'}], 'default': None, 'title': 'Assignee Id'}, 'estimate': {'anyOf': [{'type': 'integer'}, {'type': 'null'}], 'default': None, 'title': 'Estimate'}, 'include_archived': {'anyOf': [{'type': 'boolean'}, {'type': 'null'}], 'default': False, 'title': 'Include Archived'}, 'labels': {'anyOf': [{'items': {'type': 'string'}, 'type': 'array'}, {'type': 'null'}], 'default': None, 'title': 'Labels'}, 'limit': {'default': 10, 'title': 'Limit', 'type': 'integer'}, 'priority': {'anyOf': [{'type': 'integer'}, {'type': 'null'}], 'default': None, 'title': 'Priority'}, 'query': {'anyOf': [{'type': 'string'}, {'type': 'null'}], 'default': None, 'title': 'Query'}, 'status': {'anyOf': [{'type': 'string'}, {'type': 'null'}], 'default': None, 'title': 'Status'}, 'team_id': {'anyOf': [{'type': 'string'}, {'type': 'null'}], 'default': None, 'title': 'Team Id'}}, 'title': 'linear_search_issuesArguments', 'type': 'object'}, description="""Search issues with flexible filtering.\n\n    Args:\n        query: Text to search in title/description\n        team_id: Filter by team\n        status: Filter by status\n        assignee_id: Filter by assignee\n        labels: Filter by labels\n        priority: Filter by priority\n        estimate: Filter by estimate points\n        include_archived: Include archived issues\n        limit: Max results (default: 10)\n    """), # vinayak-mehta/Linear MCP Server/linear_search_issues
    Tool(name="""Linear MCP Server_linear_get_user_issues""", inputSchema={'properties': {'include_archived': {'default': False, 'title': 'Include Archived', 'type': 'boolean'}, 'limit': {'default': 50, 'title': 'Limit', 'type': 'integer'}, 'user_id': {'anyOf': [{'type': 'string'}, {'type': 'null'}], 'default': None, 'title': 'User Id'}}, 'title': 'linear_get_user_issuesArguments', 'type': 'object'}, description="""Get issues assigned to a user.\n\n    Args:\n        user_id: User ID (omit for authenticated user)\n        include_archived: Include archived issues\n        limit: Max results (default: 50)\n    """), # vinayak-mehta/Linear MCP Server/linear_get_user_issues
    Tool(name="""Linear MCP Server_linear_add_comment""", inputSchema={'properties': {'body': {'title': 'Body', 'type': 'string'}, 'create_as_user': {'anyOf': [{'type': 'string'}, {'type': 'null'}], 'default': None, 'title': 'Create As User'}, 'display_icon_url': {'anyOf': [{'type': 'string'}, {'type': 'null'}], 'default': None, 'title': 'Display Icon Url'}, 'issue_id': {'title': 'Issue Id', 'type': 'string'}}, 'required': ['issue_id', 'body'], 'title': 'linear_add_commentArguments', 'type': 'object'}, description="""Add a comment to an issue.\n\n    Args:\n        issue_id: Issue ID to comment on\n        body: Comment text (markdown supported)\n        create_as_user: Custom username\n        display_icon_url: Custom avatar URL\n    """), # vinayak-mehta/Linear MCP Server/linear_add_comment
    Tool(name="""Linear MCP Server_linear_create_issue""", inputSchema={'properties': {'description': {'anyOf': [{'type': 'string'}, {'type': 'null'}], 'default': None, 'title': 'Description'}, 'priority': {'anyOf': [{'type': 'integer'}, {'type': 'null'}], 'default': None, 'title': 'Priority'}, 'status': {'anyOf': [{'type': 'string'}, {'type': 'null'}], 'default': None, 'title': 'Status'}, 'team_id': {'title': 'Team Id', 'type': 'string'}, 'title': {'title': 'Title', 'type': 'string'}}, 'required': ['title', 'team_id'], 'title': 'linear_create_issueArguments', 'type': 'object'}, description="""Create a new Linear issue.\n\n    Args:\n        title: Issue title\n        team_id: Team ID to create issue in\n        description: Issue description (markdown supported)\n        priority: Priority level (1=urgent, 4=low)\n        status: Initial status name\n    """), # vinayak-mehta/Linear MCP Server/linear_create_issue
    Tool(name="""Linear MCP Server_linear_update_issue""", inputSchema={'properties': {'description': {'anyOf': [{'type': 'string'}, {'type': 'null'}], 'default': None, 'title': 'Description'}, 'id': {'title': 'Id', 'type': 'string'}, 'priority': {'anyOf': [{'type': 'integer'}, {'type': 'null'}], 'default': None, 'title': 'Priority'}, 'status': {'anyOf': [{'type': 'string'}, {'type': 'null'}], 'default': None, 'title': 'Status'}, 'title': {'anyOf': [{'type': 'string'}, {'type': 'null'}], 'default': None, 'title': 'Title'}}, 'required': ['id'], 'title': 'linear_update_issueArguments', 'type': 'object'}, description="""Update an existing Linear issue.\n\n    Args:\n        id: Issue ID to update\n        title: New title\n        description: New description\n        priority: New priority (1=urgent, 4=low)\n        status: New status name\n    """), # vinayak-mehta/Linear MCP Server/linear_update_issue
    Tool(name="""ClaudeKeep_store_message""", inputSchema={'properties': {'fromUser': {'type': 'boolean'}, 'message': {'type': 'string'}}, 'type': 'object'}, description="""Store a chat message"""), # sdairs/ClaudeKeep/store_message
    Tool(name="""ClaudeKeep_save_chat""", inputSchema={'properties': {'public': {'type': 'boolean'}}, 'type': 'object'}, description="""Save the current chat"""), # sdairs/ClaudeKeep/save_chat
    Tool(name="""Chrome Debug MCP Server_hover""", inputSchema={'properties': {'selector': {'description': 'CSS selector for element to hover', 'type': 'string'}}, 'required': ['selector'], 'type': 'object'}, description="""Hover over an element"""), # robertheadley/Chrome Debug MCP Server/hover
    Tool(name="""Chrome Debug MCP Server_click""", inputSchema={'properties': {'button': {'description': 'Mouse button to use', 'enum': ['left', 'right', 'middle'], 'type': 'string'}, 'delay': {'description': 'Optional delay before clicking (in milliseconds)', 'type': 'number'}, 'selector': {'description': 'CSS selector for element to click', 'type': 'string'}}, 'required': ['selector'], 'type': 'object'}, description="""Click an element on the page"""), # robertheadley/Chrome Debug MCP Server/click
    Tool(name="""Chrome Debug MCP Server_type""", inputSchema={'properties': {'delay': {'description': 'Optional delay between keystrokes (in milliseconds)', 'type': 'number'}, 'selector': {'description': 'CSS selector for input field', 'type': 'string'}, 'text': {'description': 'Text to type', 'type': 'string'}}, 'required': ['selector', 'text'], 'type': 'object'}, description="""Type text into an input field"""), # robertheadley/Chrome Debug MCP Server/type
    Tool(name="""Chrome Debug MCP Server_select""", inputSchema={'properties': {'selector': {'description': 'CSS selector for select element', 'type': 'string'}, 'value': {'description': 'Option value or label to select', 'type': 'string'}}, 'required': ['selector', 'value'], 'type': 'object'}, description="""Select an option in a dropdown"""), # robertheadley/Chrome Debug MCP Server/select
    Tool(name="""Chrome Debug MCP Server_launch_chrome""", inputSchema={'properties': {'disableAutomationControlled': {'description': 'Disable Chrome\'s "Automation Controlled" mode (optional, default: false)', 'type': 'boolean'}, 'disableExtensionsExcept': {'description': 'Path to extension that should remain enabled while others are disabled (optional)', 'type': 'string'}, 'executablePath': {'description': 'Path to Chrome executable (optional, uses bundled Chrome if not provided)', 'type': 'string'}, 'loadExtension': {'description': 'Path to unpacked extension directory to load (optional)', 'type': 'string'}, 'url': {'description': 'URL to navigate to (optional)', 'type': 'string'}, 'userDataDir': {'description': 'Path to a specific user data directory (optional, uses default Chrome profile if not provided)', 'type': 'string'}, 'userscriptPath': {'description': 'Path to userscript file to inject (optional)', 'type': 'string'}}, 'type': 'object'}, description="""Launch Chrome in debug mode"""), # robertheadley/Chrome Debug MCP Server/launch_chrome
    Tool(name="""Chrome Debug MCP Server_get_console_logs""", inputSchema={'properties': {'clear': {'description': 'Whether to clear logs after retrieving', 'type': 'boolean'}}, 'type': 'object'}, description="""Get console logs from Chrome"""), # robertheadley/Chrome Debug MCP Server/get_console_logs
    Tool(name="""Chrome Debug MCP Server_evaluate""", inputSchema={'properties': {'expression': {'description': 'JavaScript code to evaluate', 'type': 'string'}}, 'required': ['expression'], 'type': 'object'}, description="""Evaluate JavaScript in Chrome"""), # robertheadley/Chrome Debug MCP Server/evaluate
    Tool(name="""Chrome Debug MCP Server_wait_for_selector""", inputSchema={'properties': {'selector': {'description': 'CSS selector to wait for', 'type': 'string'}, 'timeout': {'description': 'Optional timeout in milliseconds', 'type': 'number'}, 'visible': {'description': 'Whether element should be visible', 'type': 'boolean'}}, 'required': ['selector'], 'type': 'object'}, description="""Wait for an element to appear on the page"""), # robertheadley/Chrome Debug MCP Server/wait_for_selector
    Tool(name="""Chrome Debug MCP Server_screenshot""", inputSchema={'properties': {'fullPage': {'description': 'Whether to capture the full scrollable page', 'type': 'boolean'}, 'path': {'description': 'Output path for screenshot', 'type': 'string'}, 'quality': {'description': 'Image quality (0-100) for JPEG', 'type': 'number'}, 'selector': {'description': 'Optional CSS selector to screenshot specific element', 'type': 'string'}}, 'required': ['path'], 'type': 'object'}, description="""Take a screenshot of the page or element"""), # robertheadley/Chrome Debug MCP Server/screenshot
    Tool(name="""Chrome Debug MCP Server_navigate""", inputSchema={'properties': {'timeout': {'description': 'Navigation timeout in milliseconds', 'type': 'number'}, 'url': {'description': 'URL to navigate to', 'type': 'string'}, 'waitUntil': {'description': 'When to consider navigation completed', 'enum': ['load', 'domcontentloaded', 'networkidle0', 'networkidle2'], 'type': 'string'}}, 'required': ['url'], 'type': 'object'}, description="""Navigate to a URL"""), # robertheadley/Chrome Debug MCP Server/navigate
    Tool(name="""Chrome Debug MCP Server_get_text""", inputSchema={'properties': {'selector': {'description': 'CSS selector for element', 'type': 'string'}}, 'required': ['selector'], 'type': 'object'}, description="""Get text content of an element"""), # robertheadley/Chrome Debug MCP Server/get_text
    Tool(name="""Chrome Debug MCP Server_get_attribute""", inputSchema={'properties': {'attribute': {'description': 'Attribute name to get', 'type': 'string'}, 'selector': {'description': 'CSS selector for element', 'type': 'string'}}, 'required': ['selector', 'attribute'], 'type': 'object'}, description="""Get attribute value of an element"""), # robertheadley/Chrome Debug MCP Server/get_attribute
    Tool(name="""Chrome Debug MCP Server_set_viewport""", inputSchema={'properties': {'deviceScaleFactor': {'description': 'Device scale factor', 'type': 'number'}, 'height': {'description': 'Viewport height in pixels', 'type': 'number'}, 'isMobile': {'description': 'Whether to emulate mobile device', 'type': 'boolean'}, 'width': {'description': 'Viewport width in pixels', 'type': 'number'}}, 'required': ['width', 'height'], 'type': 'object'}, description="""Set the viewport size and properties"""), # robertheadley/Chrome Debug MCP Server/set_viewport
    Tool(name="""MCP-DBLP_get_author_publications""", inputSchema={'properties': {'author_name': {'type': 'string'}, 'include_bibtex': {'type': 'boolean'}, 'max_results': {'type': 'number'}, 'similarity_threshold': {'type': 'number'}}, 'required': ['author_name', 'similarity_threshold'], 'type': 'object'}, description="""Retrieve publication details for a specific author with fuzzy matching.\nArguments:\n  - author_name (string, required): Full or partial author name (case-insensitive).\n  - similarity_threshold (number, required): A float between 0 and 1 where 1.0 means an exact match.\n  - max_results (number, optional): Maximum number of publications to return. Default is 20.\n  - include_bibtex (boolean, optional): Whether to include BibTeX entries in the results. Default is false.\nReturns a dictionary with keys: name, publication_count, publications, and stats (which includes top venues, years, and types)."""), # szeider/MCP-DBLP/get_author_publications
    Tool(name="""MCP-DBLP_get_venue_info""", inputSchema={'properties': {'venue_name': {'type': 'string'}}, 'required': ['venue_name'], 'type': 'object'}, description="""Retrieve detailed information about a publication venue.\nArguments:\n  - venue_name (string, required): Venue name or abbreviation (e.g., 'ICLR' or full name).\nReturns a dictionary with fields: abbreviation, name, publisher, type, and category.\nNote: Some fields may be empty if DBLP does not provide the information."""), # szeider/MCP-DBLP/get_venue_info
    Tool(name="""MCP-DBLP_search""", inputSchema={'properties': {'include_bibtex': {'type': 'boolean'}, 'max_results': {'type': 'number'}, 'query': {'type': 'string'}, 'venue_filter': {'type': 'string'}, 'year_from': {'type': 'number'}, 'year_to': {'type': 'number'}}, 'required': ['query'], 'type': 'object'}, description="""Search DBLP for publications using a boolean query string.\nArguments:\n  - query (string, required): A query string that may include boolean operators 'and' and 'or' (case-insensitive).\n    For example, 'Swin and Transformer'. Parentheses are not supported.\n  - max_results (number, optional): Maximum number of publications to return. Default is 10.\n  - year_from (number, optional): Lower bound for publication year.\n  - year_to (number, optional): Upper bound for publication year.\n  - venue_filter (string, optional): Case-insensitive substring filter for publication venues (e.g., 'iclr').\n  - include_bibtex (boolean, optional): Whether to include BibTeX entries in the results. Default is false.\nReturns a list of publication objects including title, authors, venue, year, type, doi, ee, and url."""), # szeider/MCP-DBLP/search
    Tool(name="""MCP-DBLP_calculate_statistics""", inputSchema={'properties': {'results': {'type': 'array'}}, 'required': ['results'], 'type': 'object'}, description="""Calculate statistics from a list of publication results.\nArguments:\n  - results (array, required): An array of publication objects, each with at least 'title', 'authors', 'venue', and 'year'.\nReturns a dictionary with:\n  - total_publications: Total count.\n  - time_range: Dictionary with 'min' and 'max' publication years.\n  - top_authors: List of tuples (author, count) sorted by count.\n  - top_venues: List of tuples (venue, count) sorted by count (empty venue is treated as '(empty)')."""), # szeider/MCP-DBLP/calculate_statistics
    Tool(name="""MCP-DBLP_export_bibtex""", inputSchema={'properties': {'links': {'type': 'string'}}, 'required': ['links'], 'type': 'object'}, description="""Export BibTeX entries from a collection of HTML hyperlinks.\nArguments:\n  - links (string, required): HTML string containing one or more <a href=biburl>key</a> links.\n    The href attribute should contain a URL to a BibTeX file, and the link text is used as the citation key.\n    Example input with three links:\n    \"<a href=https://dblp.org/rec/journals/example1.bib>Smith2023</a>\n     <a href=https://dblp.org/rec/conf/example2.bib>Jones2022</a>\n     <a href=https://dblp.org/rec/journals/example3.bib>Brown2021</a>\"\nProcess:\n  - For each link, the tool fetches the BibTeX content from the URL\n  - The citation key in each BibTeX entry is replaced with the key from the link text\n  - All entries are combined and saved to a .bib file with a timestamp filename\nReturns:\n  - A message with the full path to the saved .bib file"""), # szeider/MCP-DBLP/export_bibtex
    Tool(name="""MCP-DBLP_fuzzy_title_search""", inputSchema={'properties': {'include_bibtex': {'type': 'boolean'}, 'max_results': {'type': 'number'}, 'similarity_threshold': {'type': 'number'}, 'title': {'type': 'string'}, 'venue_filter': {'type': 'string'}, 'year_from': {'type': 'number'}, 'year_to': {'type': 'number'}}, 'required': ['title', 'similarity_threshold'], 'type': 'object'}, description="""Search DBLP for publications with fuzzy title matching.\nArguments:\n  - title (string, required): Full or partial title of the publication (case-insensitive).\n  - similarity_threshold (number, required): A float between 0 and 1 where 1.0 means an exact match.\n  - max_results (number, optional): Maximum number of publications to return. Default is 10.\n  - year_from (number, optional): Lower bound for publication year.\n  - year_to (number, optional): Upper bound for publication year.\n  - venue_filter (string, optional): Case-insensitive substring filter for publication venues.\n  - include_bibtex (boolean, optional): Whether to include BibTeX entries in the results. Default is false.\nReturns a list of publication objects sorted by title similarity score."""), # szeider/MCP-DBLP/fuzzy_title_search
    Tool(name="""mcp-cli-exec MCP Server_cli-exec-raw""", inputSchema={'properties': {'command': {'description': 'The CLI command to execute', 'type': 'string'}, 'timeout': {'description': 'Optional timeout in milliseconds (default: 5 minutes)', 'minimum': 0, 'type': 'number'}}, 'required': ['command'], 'type': 'object'}, description="""Execute a raw CLI command and return structured output"""), # jakenuts/mcp-cli-exec MCP Server/cli-exec-raw
    Tool(name="""mcp-cli-exec MCP Server_cli-exec""", inputSchema={'properties': {'commands': {'description': 'Commands to execute', 'oneOf': [{'description': 'Single command or && separated commands', 'type': 'string'}, {'description': 'Array of commands to execute sequentially', 'items': {'type': 'string'}, 'type': 'array'}]}, 'timeout': {'description': 'Optional timeout in milliseconds per command (default: 5 minutes)', 'minimum': 0, 'type': 'number'}, 'workingDirectory': {'description': 'Working directory to execute commands in', 'type': 'string'}}, 'required': ['workingDirectory', 'commands'], 'type': 'object'}, description="""Execute one or more CLI commands in a specific working directory"""), # jakenuts/mcp-cli-exec MCP Server/cli-exec
    Tool(name="""Valyu MCP Server_knowledge""", inputSchema={'properties': {'data_sources': {'items': {'type': 'string'}, 'type': 'array'}, 'max_num_results': {'default': 10, 'type': 'integer'}, 'max_price': {'type': 'number'}, 'query': {'type': 'string'}, 'query_rewrite': {'default': True, 'type': 'boolean'}, 'search_type': {'enum': ['proprietary', 'web', 'all'], 'type': 'string'}, 'similarity_threshold': {'default': 0.4, 'type': 'number'}}, 'required': ['query', 'search_type', 'max_price'], 'type': 'object'}, description="""Search proprietary and/or web sources for information based on the supplied query."""), # valyu-network/Valyu MCP Server/knowledge
    Tool(name="""Valyu MCP Server_feedback""", inputSchema={'properties': {'feedback': {'type': 'string'}, 'sentiment': {'enum': ['very good', 'good', 'bad', 'very bad'], 'type': 'string'}, 'tx_id': {'type': 'string'}}, 'required': ['tx_id', 'feedback', 'sentiment'], 'type': 'object'}, description="""Submit user feedback and sentiment for a transaction."""), # valyu-network/Valyu MCP Server/feedback
    Tool(name="""JSON Resume MCP Server_github_analyze_codebase""", inputSchema={'properties': {'directory': {'description': 'The directory to analyze. If not provided, uses current working directory.', 'type': 'string'}}, 'required': [], 'type': 'object'}, description="""This is a tool from the github MCP server.\nAnalyzes the current codebase and returns information about technologies, languages, and recent commits"""), # jsonresume/JSON Resume MCP Server/github_analyze_codebase
    Tool(name="""JSON Resume MCP Server_github_check_resume""", inputSchema={'properties': {}, 'required': [], 'type': 'object'}, description="""This is a tool from the github MCP server.\nChecks if a GitHub user has a JSON Resume and returns its information"""), # jsonresume/JSON Resume MCP Server/github_check_resume
    Tool(name="""JSON Resume MCP Server_github_enhance_resume_with_project""", inputSchema={'properties': {'directory': {'description': 'The directory of the project to analyze. If not provided, uses current working directory.', 'type': 'string'}}, 'required': [], 'type': 'object'}, description="""This is a tool from the github MCP server.\nEnhances a GitHub user's JSON Resume with information about their current project"""), # jsonresume/JSON Resume MCP Server/github_enhance_resume_with_project
    Tool(name="""Image Generation MCP Server_generate_image""", inputSchema={'properties': {'height': {'description': 'Image height (default: 768)', 'maximum': 2048, 'minimum': 128, 'type': 'number'}, 'image_path': {'description': 'Optional path to save the generated image as PNG', 'type': 'string'}, 'model': {'description': 'Model to use for generation (default: black-forest-labs/FLUX.1-schnell-Free)', 'type': 'string'}, 'n': {'description': 'Number of images to generate (default: 1)', 'maximum': 4, 'minimum': 1, 'type': 'number'}, 'prompt': {'description': 'Text prompt for image generation', 'type': 'string'}, 'response_format': {'description': 'Response format (default: b64_json)', 'enum': ['b64_json', 'url'], 'type': 'string'}, 'steps': {'description': 'Number of inference steps (default: 1)', 'maximum': 100, 'minimum': 1, 'type': 'number'}, 'width': {'description': 'Image width (default: 1024)', 'maximum': 2048, 'minimum': 128, 'type': 'number'}}, 'required': ['prompt'], 'type': 'object'}, description="""Generate an image using Together AI API"""), # manascb1344/Image Generation MCP Server/generate_image
    Tool(name="""MCP Documentation Service_generate_documentation_navigation""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'basePath': {'type': 'string'}, 'path': {'type': 'string'}, 'recursive': {'default': False, 'type': 'boolean'}}, 'type': 'object'}, description="""Generate a navigation structure from the markdown documents in the docs directory. Returns a JSON structure that can be used for navigation menus."""), # alekspetrov/MCP Documentation Service/generate_documentation_navigation
    Tool(name="""MCP Documentation Service_check_documentation_health""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'basePath': {'default': '', 'type': 'string'}, 'path': {'type': 'string'}}, 'type': 'object'}, description="""Check the health of the documentation by analyzing frontmatter, links, and navigation. Returns a report with issues and a health score."""), # alekspetrov/MCP Documentation Service/check_documentation_health
    Tool(name="""MCP Documentation Service_search_documents""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'basePath': {'default': '', 'type': 'string'}, 'path': {'type': 'string'}, 'query': {'type': 'string'}}, 'required': ['query'], 'type': 'object'}, description="""Search for markdown documents containing specific text in their content or frontmatter. Returns the relative paths to matching documents."""), # alekspetrov/MCP Documentation Service/search_documents
    Tool(name="""MCP Documentation Service_read_document""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'path': {'type': 'string'}}, 'required': ['path'], 'type': 'object'}, description="""Read a markdown document from the docs directory. Returns the document content including frontmatter. Use this tool when you need to examine the contents of a single document."""), # alekspetrov/MCP Documentation Service/read_document
    Tool(name="""MCP Documentation Service_write_document""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'content': {'type': 'string'}, 'createDirectories': {'default': True, 'type': 'boolean'}, 'path': {'type': 'string'}}, 'required': ['path', 'content'], 'type': 'object'}, description="""Create a new markdown document or completely overwrite an existing document with new content. Use with caution as it will overwrite existing documents without warning. Can create parent directories if they don't exist."""), # alekspetrov/MCP Documentation Service/write_document
    Tool(name="""MCP Documentation Service_edit_document""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'dryRun': {'default': False, 'type': 'boolean'}, 'edits': {'items': {'additionalProperties': False, 'properties': {'newText': {'type': 'string'}, 'oldText': {'type': 'string'}}, 'required': ['oldText', 'newText'], 'type': 'object'}, 'type': 'array'}, 'path': {'type': 'string'}}, 'required': ['path', 'edits'], 'type': 'object'}, description="""Make line-based edits to a markdown document. Each edit replaces exact line sequences with new content. Returns a git-style diff showing the changes made."""), # alekspetrov/MCP Documentation Service/edit_document
    Tool(name="""MCP Documentation Service_list_documents""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'basePath': {'type': 'string'}, 'path': {'type': 'string'}, 'recursive': {'default': False, 'type': 'boolean'}}, 'type': 'object'}, description="""List all markdown documents in the docs directory or a subdirectory. Returns the relative paths to all documents."""), # alekspetrov/MCP Documentation Service/list_documents
    Tool(name="""MCP Documentation Service_create_folder""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'createReadme': {'default': True, 'type': 'boolean'}, 'path': {'type': 'string'}}, 'required': ['path'], 'type': 'object'}, description="""Create a new folder in the docs directory. Optionally creates a README.md file in the new folder with basic frontmatter."""), # alekspetrov/MCP Documentation Service/create_folder
    Tool(name="""MCP Documentation Service_move_document""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'destinationPath': {'type': 'string'}, 'path': {'type': 'string'}, 'sourcePath': {'type': 'string'}, 'updateReferences': {'default': True, 'type': 'boolean'}}, 'required': ['sourcePath', 'destinationPath'], 'type': 'object'}, description="""Move a document from one location to another. Optionally updates references to the document in other files."""), # alekspetrov/MCP Documentation Service/move_document
    Tool(name="""MCP Documentation Service_rename_document""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'newName': {'type': 'string'}, 'path': {'type': 'string'}, 'updateReferences': {'default': True, 'type': 'boolean'}}, 'required': ['path', 'newName'], 'type': 'object'}, description="""Rename a document while preserving its location and content. Optionally updates references to the document in other files."""), # alekspetrov/MCP Documentation Service/rename_document
    Tool(name="""MCP Documentation Service_update_navigation_order""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'order': {'type': 'number'}, 'path': {'type': 'string'}}, 'required': ['path', 'order'], 'type': 'object'}, description="""Update the navigation order of a document by modifying its frontmatter."""), # alekspetrov/MCP Documentation Service/update_navigation_order
    Tool(name="""MCP Documentation Service_create_documentation_section""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'order': {'type': 'number'}, 'path': {'type': 'string'}, 'title': {'type': 'string'}}, 'required': ['path', 'title'], 'type': 'object'}, description="""Create a new navigation section with an index.md file."""), # alekspetrov/MCP Documentation Service/create_documentation_section
    Tool(name="""MCP Documentation Service_validate_documentation_links""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'basePath': {'default': '', 'type': 'string'}, 'path': {'type': 'string'}, 'recursive': {'default': True, 'type': 'boolean'}}, 'type': 'object'}, description="""Check for broken internal links in documentation files."""), # alekspetrov/MCP Documentation Service/validate_documentation_links
    Tool(name="""MCP Documentation Service_validate_documentation_metadata""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'basePath': {'default': '', 'type': 'string'}, 'path': {'type': 'string'}, 'requiredFields': {'items': {'type': 'string'}, 'type': 'array'}}, 'type': 'object'}, description="""Ensure all documents have required metadata fields."""), # alekspetrov/MCP Documentation Service/validate_documentation_metadata
    Tool(name="""Anki MCP Server_create_note""", inputSchema={'properties': {'back': {'description': 'Back content (for Basic notes)', 'type': 'string'}, 'backExtra': {'description': 'Additional back content (for Cloze notes)', 'type': 'string'}, 'deck': {'description': 'Deck name', 'type': 'string'}, 'fields': {'additionalProperties': True, 'description': 'Custom fields for the note', 'type': 'object'}, 'front': {'description': 'Front content (for Basic notes)', 'type': 'string'}, 'tags': {'description': 'Tags for the note', 'items': {'type': 'string'}, 'type': 'array'}, 'text': {'description': 'Cloze text (for Cloze notes)', 'type': 'string'}, 'type': {'description': 'Type of note to create', 'enum': ['Basic', 'Cloze'], 'type': 'string'}}, 'required': ['type', 'deck'], 'type': 'object'}, description="""Create a new note (Basic or Cloze)"""), # nailuoGG/Anki MCP Server/create_note
    Tool(name="""Anki MCP Server_list_decks""", inputSchema={'properties': {}, 'required': [], 'type': 'object'}, description="""List all available Anki decks"""), # nailuoGG/Anki MCP Server/list_decks
    Tool(name="""Anki MCP Server_create_deck""", inputSchema={'properties': {'name': {'description': 'Name of the deck to create', 'type': 'string'}}, 'required': ['name'], 'type': 'object'}, description="""Create a new Anki deck"""), # nailuoGG/Anki MCP Server/create_deck
    Tool(name="""Anki MCP Server_batch_create_notes""", inputSchema={'properties': {'notes': {'items': {'properties': {'back': {'type': 'string'}, 'backExtra': {'type': 'string'}, 'deck': {'type': 'string'}, 'fields': {'additionalProperties': True, 'type': 'object'}, 'front': {'type': 'string'}, 'tags': {'items': {'type': 'string'}, 'type': 'array'}, 'text': {'type': 'string'}, 'type': {'enum': ['Basic', 'Cloze'], 'type': 'string'}}, 'required': ['type', 'deck'], 'type': 'object'}, 'type': 'array'}, 'stopOnError': {'description': 'Whether to stop on first error', 'type': 'boolean'}}, 'required': ['notes'], 'type': 'object'}, description="""Create multiple notes at once"""), # nailuoGG/Anki MCP Server/batch_create_notes
    Tool(name="""Anki MCP Server_search_notes""", inputSchema={'properties': {'query': {'description': 'Anki search query', 'type': 'string'}}, 'required': ['query'], 'type': 'object'}, description="""Search for notes using Anki query syntax"""), # nailuoGG/Anki MCP Server/search_notes
    Tool(name="""Anki MCP Server_get_note_info""", inputSchema={'properties': {'noteId': {'description': 'Note ID', 'type': 'number'}}, 'required': ['noteId'], 'type': 'object'}, description="""Get detailed information about a note"""), # nailuoGG/Anki MCP Server/get_note_info
    Tool(name="""Anki MCP Server_update_note""", inputSchema={'properties': {'fields': {'description': 'Fields to update', 'type': 'object'}, 'id': {'description': 'Note ID', 'type': 'number'}, 'tags': {'description': 'New tags for the note', 'items': {'type': 'string'}, 'type': 'array'}}, 'required': ['id', 'fields'], 'type': 'object'}, description="""Update an existing note"""), # nailuoGG/Anki MCP Server/update_note
    Tool(name="""Anki MCP Server_delete_note""", inputSchema={'properties': {'noteId': {'description': 'Note ID to delete', 'type': 'number'}}, 'required': ['noteId'], 'type': 'object'}, description="""Delete a note"""), # nailuoGG/Anki MCP Server/delete_note
    Tool(name="""Anki MCP Server_list_note_types""", inputSchema={'properties': {}, 'required': [], 'type': 'object'}, description="""List all available note types"""), # nailuoGG/Anki MCP Server/list_note_types
    Tool(name="""Anki MCP Server_create_note_type""", inputSchema={'properties': {'css': {'description': 'CSS styling for the note type', 'type': 'string'}, 'fields': {'description': 'Field names for the note type', 'items': {'type': 'string'}, 'type': 'array'}, 'name': {'description': 'Name of the new note type', 'type': 'string'}, 'templates': {'description': 'Card templates', 'items': {'properties': {'back': {'type': 'string'}, 'front': {'type': 'string'}, 'name': {'type': 'string'}}, 'required': ['name', 'front', 'back'], 'type': 'object'}, 'type': 'array'}}, 'required': ['name', 'fields', 'templates'], 'type': 'object'}, description="""Create a new note type"""), # nailuoGG/Anki MCP Server/create_note_type
    Tool(name="""MongoDB MCP Server_list_databases""", inputSchema={'properties': {}, 'type': 'object'}, description="""List all databases in the MongoDB server."""), # jonfreeland/MongoDB MCP Server/list_databases
    Tool(name="""MongoDB MCP Server_list_collections""", inputSchema={'properties': {'database': {'description': 'Database name (optional if default database is configured)', 'type': 'string'}}, 'type': 'object'}, description="""List all collections in a database.\n          \nStart here to understand what collections are available before querying."""), # jonfreeland/MongoDB MCP Server/list_collections
    Tool(name="""MongoDB MCP Server_get_schema""", inputSchema={'properties': {'collection': {'description': 'Collection name', 'type': 'string'}, 'database': {'description': 'Database name (optional if default database is configured)', 'type': 'string'}, 'sampleSize': {'description': 'Number of documents to sample (default: 100)', 'maximum': 1000, 'minimum': 1, 'type': 'number'}}, 'required': ['collection'], 'type': 'object'}, description="""Infer schema from a collection by analyzing sample documents.\n        \nBest Practice: Use this before querying to understand collection structure.\n\nExample:\nuse_mcp_tool with\n  server_name: \"mongodb\",\n  tool_name: \"get_schema\",\n  arguments: {\n    \"collection\": \"users\",\n    \"sampleSize\": 100\n  }"""), # jonfreeland/MongoDB MCP Server/get_schema
    Tool(name="""MongoDB MCP Server_query""", inputSchema={'properties': {'collection': {'description': 'Collection name', 'type': 'string'}, 'database': {'description': 'Database name (optional if default database is configured)', 'type': 'string'}, 'filter': {'description': 'MongoDB query filter using standard MongoDB operators ($eq, $gt, $in, etc.)', 'type': 'object'}, 'formatOptions': {'description': 'Format-specific options', 'properties': {'delimiter': {'description': 'CSV delimiter character (default: comma)', 'type': 'string'}, 'includeHeaders': {'description': 'Whether to include header row in CSV (default: true)', 'type': 'boolean'}}, 'type': 'object'}, 'limit': {'description': 'Maximum number of documents to return (optional)', 'maximum': 1000, 'minimum': 1, 'type': 'number'}, 'outputFormat': {'description': 'Output format for results (json or csv)', 'enum': ['json', 'csv'], 'type': 'string'}, 'projection': {'description': 'MongoDB projection to specify fields to return (optional)', 'type': 'object'}, 'sort': {'description': 'MongoDB sort specification (optional)', 'type': 'object'}}, 'required': ['collection', 'filter'], 'type': 'object'}, description="""Execute a read-only query on a collection using MongoDB query syntax.\n\nSupports both JSON and CSV output formats:\n- Use outputFormat=\"json\" for standard JSON (default)\n- Use outputFormat=\"csv\" for comma-separated values export\n\nBest Practices:\n- Use projections to fetch only needed fields\n- Add limits for large collections\n- Use sort for consistent ordering\n\nExample - Standard Query:\nuse_mcp_tool with\n  server_name: \"mongodb\",\n  tool_name: \"query\",\n  arguments: {\n    \"collection\": \"users\",\n    \"filter\": { \"age\": { \"$gte\": 21 } },\n    \"projection\": { \"name\": 1, \"email\": 1 },\n    \"sort\": { \"name\": 1 },\n    \"limit\": 100\n  }\n\nExample - CSV Export:\nuse_mcp_tool with\n  server_name: \"mongodb\",\n  tool_name: \"query\",\n  arguments: {\n    \"collection\": \"users\",\n    \"filter\": { \"active\": true },\n    \"outputFormat\": \"csv\",\n    \"formatOptions\": {\n      \"includeHeaders\": true,\n      \"delimiter\": \",\"\n    }\n  }"""), # jonfreeland/MongoDB MCP Server/query
    Tool(name="""MongoDB MCP Server_aggregate""", inputSchema={'properties': {'collection': {'description': 'Collection name', 'type': 'string'}, 'database': {'description': 'Database name (optional if default database is configured)', 'type': 'string'}, 'limit': {'description': 'Maximum number of documents to return (optional)', 'maximum': 1000, 'minimum': 1, 'type': 'number'}, 'pipeline': {'description': 'MongoDB aggregation pipeline stages (read-only operations only)', 'items': {'type': 'object'}, 'type': 'array'}}, 'required': ['collection', 'pipeline'], 'type': 'object'}, description="""Execute a read-only aggregation pipeline on a collection.\n\nSupported Stages:\n- $match: Filter documents\n- $group: Group documents by a key\n- $sort: Sort documents\n- $project: Shape the output\n- $lookup: Perform left outer joins\n- $unwind: Deconstruct array fields\n\nUnsafe/Blocked Stages:\n- $out: Write results to collection\n- $merge: Merge results into collection\n- $addFields: Add new fields\n- $set: Set field values\n- $unset: Remove fields\n- $replaceRoot: Replace document structure\n- $replaceWith: Replace document\n\nExample - User Statistics by Role:\nuse_mcp_tool with\n  server_name: \"mongodb\",\n  tool_name: \"aggregate\",\n  arguments: {\n    \"collection\": \"users\",\n    \"pipeline\": [\n      { \"$match\": { \"active\": true } },\n      { \"$group\": {\n          \"_id\": \"$role\",\n          \"count\": { \"$sum\": 1 },\n          \"avgAge\": { \"$avg\": \"$age\" }\n      }},\n      { \"$sort\": { \"count\": -1 } }\n    ],\n    \"limit\": 100\n  }\n\nExample - Posts with Author Details:\nuse_mcp_tool with\n  server_name: \"mongodb\",\n  tool_name: \"aggregate\",\n  arguments: {\n    \"collection\": \"posts\",\n    \"pipeline\": [\n      { \"$match\": { \"published\": true } },\n      { \"$lookup\": {\n          \"from\": \"users\",\n          \"localField\": \"authorId\",\n          \"foreignField\": \"_id\",\n          \"as\": \"author\"\n      }},\n      { \"$unwind\": \"$author\" },\n      { \"$project\": {\n          \"title\": 1,\n          \"authorName\": \"$author.name\",\n          \"publishDate\": 1\n      }}\n    ]\n  }"""), # jonfreeland/MongoDB MCP Server/aggregate
    Tool(name="""MongoDB MCP Server_get_collection_stats""", inputSchema={'properties': {'collection': {'description': 'Collection name', 'type': 'string'}, 'database': {'description': 'Database name (optional if default database is configured)', 'type': 'string'}}, 'required': ['collection'], 'type': 'object'}, description="""Get detailed statistics about a collection.\n\nReturns information about:\n- Document count and size\n- Storage metrics\n- Index sizes and usage\n- Average document size\n- Padding factor"""), # jonfreeland/MongoDB MCP Server/get_collection_stats
    Tool(name="""MongoDB MCP Server_get_indexes""", inputSchema={'properties': {'collection': {'description': 'Collection name', 'type': 'string'}, 'database': {'description': 'Database name (optional if default database is configured)', 'type': 'string'}}, 'required': ['collection'], 'type': 'object'}, description="""Get information about indexes on a collection.\n\nReturns details about:\n- Index names and fields\n- Index types (single field, compound, text, etc.)\n- Index sizes\n- Index options\n- Usage statistics"""), # jonfreeland/MongoDB MCP Server/get_indexes
    Tool(name="""MongoDB MCP Server_explain_query""", inputSchema={'properties': {'collection': {'description': 'Collection name', 'type': 'string'}, 'database': {'description': 'Database name (optional if default database is configured)', 'type': 'string'}, 'filter': {'description': 'MongoDB query filter to explain', 'type': 'object'}, 'projection': {'description': 'MongoDB projection (optional)', 'type': 'object'}, 'sort': {'description': 'MongoDB sort specification (optional)', 'type': 'object'}}, 'required': ['collection', 'filter'], 'type': 'object'}, description="""Get the execution plan for a query.\n\nHelps understand:\n- How MongoDB will execute the query\n- Which indexes will be used\n- Number of documents examined\n- Execution stages and timing\n\nUse this to optimize slow queries."""), # jonfreeland/MongoDB MCP Server/explain_query
    Tool(name="""MongoDB MCP Server_get_distinct_values""", inputSchema={'properties': {'collection': {'description': 'Collection name', 'type': 'string'}, 'database': {'description': 'Database name (optional if default database is configured)', 'type': 'string'}, 'field': {'description': 'Field name to get distinct values for', 'type': 'string'}, 'filter': {'description': 'MongoDB query filter to apply before getting distinct values (optional)', 'type': 'object'}}, 'required': ['collection', 'field'], 'type': 'object'}, description="""Get distinct values for a field in a collection.\n\nUseful for:\n- Understanding data distribution\n- Finding unique categories\n- Data quality checks\n- Identifying outliers\n\nExample:\nuse_mcp_tool with\n  server_name: \"mongodb\",\n  tool_name: \"get_distinct_values\",\n  arguments: {\n    \"collection\": \"users\",\n    \"field\": \"role\",\n    \"filter\": { \"active\": true }\n  }"""), # jonfreeland/MongoDB MCP Server/get_distinct_values
    Tool(name="""MongoDB MCP Server_sample_data""", inputSchema={'properties': {'collection': {'description': 'Collection name', 'type': 'string'}, 'database': {'description': 'Database name (optional if default database is configured)', 'type': 'string'}, 'formatOptions': {'description': 'Format-specific options', 'properties': {'delimiter': {'description': 'CSV delimiter character (default: comma)', 'type': 'string'}, 'includeHeaders': {'description': 'Whether to include header row in CSV (default: true)', 'type': 'boolean'}}, 'type': 'object'}, 'outputFormat': {'description': 'Output format for results (json or csv)', 'enum': ['json', 'csv'], 'type': 'string'}, 'size': {'description': 'Number of random documents to sample (default: 10)', 'maximum': 1000, 'minimum': 1, 'type': 'number'}}, 'required': ['collection'], 'type': 'object'}, description="""Get a random sample of documents from a collection.\n  \nSupports both JSON and CSV output formats:\n- Use outputFormat=\"json\" for standard JSON (default)\n- Use outputFormat=\"csv\" for comma-separated values export\n\nUseful for:\n- Exploratory data analysis\n- Testing with representative data\n- Understanding data distribution\n- Performance testing with realistic data subsets\n\nExample - JSON Sample:\nuse_mcp_tool with\n  server_name: \"mongodb\",\n  tool_name: \"sample_data\",\n  arguments: {\n    \"collection\": \"users\",\n    \"size\": 50\n  }\n\nExample - CSV Export:\nuse_mcp_tool with\n  server_name: \"mongodb\",\n  tool_name: \"sample_data\",\n  arguments: {\n    \"collection\": \"users\",\n    \"size\": 100,\n    \"outputFormat\": \"csv\",\n    \"formatOptions\": {\n      \"includeHeaders\": true,\n      \"delimiter\": \",\"\n    }\n  }"""), # jonfreeland/MongoDB MCP Server/sample_data
    Tool(name="""MongoDB MCP Server_count_documents""", inputSchema={'properties': {'collection': {'description': 'Collection name', 'type': 'string'}, 'database': {'description': 'Database name (optional if default database is configured)', 'type': 'string'}, 'filter': {'description': 'MongoDB query filter (optional, defaults to count all documents)', 'type': 'object'}}, 'required': ['collection'], 'type': 'object'}, description="""Count documents in a collection that match a filter.\n  \nBenefits:\n- More efficient than retrieving full documents\n- Good for understanding data volume\n- Can help planning query strategies\n- Optimize pagination implementation\n\nExample:\nuse_mcp_tool with\n  server_name: \"mongodb\",\n  tool_name: \"count_documents\",\n  arguments: {\n    \"collection\": \"users\",\n    \"filter\": { \"active\": true, \"age\": { \"$gte\": 21 } }\n  }"""), # jonfreeland/MongoDB MCP Server/count_documents
    Tool(name="""MongoDB MCP Server_find_by_ids""", inputSchema={'properties': {'collection': {'description': 'Collection name', 'type': 'string'}, 'database': {'description': 'Database name (optional if default database is configured)', 'type': 'string'}, 'idField': {'description': 'Field containing the IDs (default: "_id")', 'type': 'string'}, 'ids': {'description': 'Array of document IDs to look up', 'items': {'type': ['string', 'number']}, 'type': 'array'}, 'projection': {'description': 'MongoDB projection to specify fields to return (optional)', 'type': 'object'}}, 'required': ['collection', 'ids'], 'type': 'object'}, description="""Find multiple documents by their IDs in a single request.\n  \nAdvantages:\n- More efficient than multiple single document lookups\n- Preserves ID order in results when possible\n- Can filter specific fields with projection\n- Handles both string and ObjectId identifiers\n\nExample:\nuse_mcp_tool with\n  server_name: \"mongodb\",\n  tool_name: \"find_by_ids\",\n  arguments: {\n    \"collection\": \"products\",\n    \"ids\": [\"5f8d0f3c\", \"5f8d0f3d\", \"5f8d0f3e\"],\n    \"idField\": \"_id\",\n    \"projection\": { \"name\": 1, \"price\": 1 }\n  }"""), # jonfreeland/MongoDB MCP Server/find_by_ids
    Tool(name="""MongoDB MCP Server_geo_query""", inputSchema={'properties': {'additionalFilter': {'description': 'Additional MongoDB query criteria to combine with geospatial query', 'type': 'object'}, 'collection': {'description': 'Collection name', 'type': 'string'}, 'database': {'description': 'Database name (optional if default database is configured)', 'type': 'string'}, 'distanceField': {'description': 'Field to store calculated distances (for near/nearSphere queries)', 'type': 'string'}, 'geometry': {'description': 'GeoJSON geometry for geoWithin/geoIntersects queries', 'type': 'object'}, 'limit': {'description': 'Maximum number of results to return', 'maximum': 1000, 'minimum': 1, 'type': 'number'}, 'locationField': {'description': 'Field containing geospatial data (default: "location")', 'type': 'string'}, 'maxDistance': {'description': 'Maximum distance in meters for near/nearSphere queries', 'type': 'number'}, 'minDistance': {'description': 'Minimum distance in meters for near/nearSphere queries', 'type': 'number'}, 'operation': {'description': 'Geospatial operation to perform', 'enum': ['near', 'geoWithin', 'geoIntersects', 'nearSphere'], 'type': 'string'}, 'point': {'description': 'Point coordinates [longitude, latitude] for near/nearSphere queries', 'items': {'type': 'number'}, 'type': 'array'}, 'spherical': {'description': 'Calculate distances on a sphere (Earth) rather than flat plane', 'type': 'boolean'}}, 'required': ['collection', 'operation'], 'type': 'object'}, description="""Execute geospatial queries on a MongoDB collection.\n\nSupports:\n- Finding points near a location\n- Finding documents within a polygon, circle, or box\n- Calculating distances between points\n- GeoJSON and legacy coordinate pair formats\n\nRequirements:\n- Collection must have a geospatial index (2dsphere recommended)\n- Coordinates should follow MongoDB conventions (longitude first, then latitude)\n\nExamples:\n1. Find locations near a point (2 miles radius):\nuse_mcp_tool with\n  server_name: \"mongodb\",\n  tool_name: \"geo_query\",\n  arguments: {\n    \"collection\": \"restaurants\",\n    \"operation\": \"near\",\n    \"point\": [-73.9667, 40.78],\n    \"maxDistance\": 3218.69,  // 2 miles in meters\n    \"distanceField\": \"distance\"\n  }\n\n2. Find locations within a polygon:\nuse_mcp_tool with\n  server_name: \"mongodb\",\n  tool_name: \"geo_query\",\n  arguments: {\n    \"collection\": \"properties\",\n    \"operation\": \"geoWithin\",\n    \"geometry\": {\n      \"type\": \"Polygon\",\n      \"coordinates\": [\n        [[-73.958, 40.8], [-73.94, 40.79], [-73.95, 40.76], [-73.97, 40.76], [-73.958, 40.8]]\n      ]\n    }\n  }"""), # jonfreeland/MongoDB MCP Server/geo_query
    Tool(name="""MongoDB MCP Server_text_search""", inputSchema={'properties': {'collection': {'description': 'Collection name', 'type': 'string'}, 'database': {'description': 'Database name (optional if default database is configured)', 'type': 'string'}, 'filter': {'description': 'Additional MongoDB query filter (optional)', 'type': 'object'}, 'includeScore': {'description': 'Include text search score in results (optional)', 'type': 'boolean'}, 'limit': {'description': 'Maximum number of results to return (optional)', 'maximum': 1000, 'minimum': 1, 'type': 'number'}, 'searchText': {'description': 'Text to search for', 'type': 'string'}}, 'required': ['collection', 'searchText'], 'type': 'object'}, description="""Perform a full-text search on a collection.\n\nRequirements:\n- Collection must have a text index\n- Only one text index per collection is allowed\n\nFeatures:\n- Supports phrases and keywords\n- Word stemming\n- Stop words removal\n- Text score ranking\n\nExample:\nuse_mcp_tool with\n  server_name: \"mongodb\",\n  tool_name: \"text_search\",\n  arguments: {\n    \"collection\": \"articles\",\n    \"searchText\": \"mongodb database\",\n    \"filter\": { \"published\": true },\n    \"limit\": 10,\n    \"includeScore\": true\n  }"""), # jonfreeland/MongoDB MCP Server/text_search
    Tool(name="""Everything Search MCP Server_search""", inputSchema={'properties': {'ascending': {'description': 'Sort in ascending order', 'type': 'boolean'}, 'caseSensitive': {'description': 'Match case', 'type': 'boolean'}, 'maxResults': {'description': 'Maximum number of results (1-1000, default: 100)', 'type': 'number'}, 'path': {'description': 'Search in paths', 'type': 'boolean'}, 'query': {'description': 'Search query', 'type': 'string'}, 'regex': {'description': 'Use regular expressions', 'type': 'boolean'}, 'scope': {'description': 'Search scope (default: C:)', 'type': 'string'}, 'sortBy': {'description': 'Sort results by', 'enum': ['name', 'path', 'size', 'date_modified'], 'type': 'string'}, 'wholeWord': {'description': 'Match whole words only', 'type': 'boolean'}}, 'type': 'object'}, description="""Search for files using Everything Search"""), # Alihkhawaher/Everything Search MCP Server/search
    Tool(name="""Azure DevOps MCP Server_list_organizations""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {}, 'type': 'object'}, description="""List all Azure DevOps organizations accessible to the current authentication"""), # Tiberriver256/Azure DevOps MCP Server/list_organizations
    Tool(name="""Azure DevOps MCP Server_list_projects""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'continuationToken': {'description': 'Gets the projects after the continuation token provided', 'type': 'number'}, 'skip': {'description': 'Number of projects to skip', 'type': 'number'}, 'stateFilter': {'description': 'Filter on team project state (0: all, 1: well-formed, 2: creating, 3: deleting, 4: new)', 'type': 'number'}, 'top': {'description': 'Maximum number of projects to return', 'type': 'number'}}, 'type': 'object'}, description="""List all projects in an organization"""), # Tiberriver256/Azure DevOps MCP Server/list_projects
    Tool(name="""Azure DevOps MCP Server_get_project""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'projectId': {'description': 'The ID or name of the project', 'type': 'string'}}, 'required': ['projectId'], 'type': 'object'}, description="""Get details of a specific project"""), # Tiberriver256/Azure DevOps MCP Server/get_project
    Tool(name="""Azure DevOps MCP Server_get_project_details""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'expandTeamIdentity': {'default': False, 'description': 'Expand identity information in the team objects', 'type': 'boolean'}, 'includeFields': {'default': False, 'description': 'Include field information for work item types', 'type': 'boolean'}, 'includeProcess': {'default': False, 'description': 'Include process information in the project result', 'type': 'boolean'}, 'includeTeams': {'default': False, 'description': 'Include associated teams in the project result', 'type': 'boolean'}, 'includeWorkItemTypes': {'default': False, 'description': 'Include work item types and their structure', 'type': 'boolean'}, 'projectId': {'description': 'The ID or name of the project', 'type': 'string'}}, 'required': ['projectId'], 'type': 'object'}, description="""Get comprehensive details of a project including process, work item types, and teams"""), # Tiberriver256/Azure DevOps MCP Server/get_project_details
    Tool(name="""Azure DevOps MCP Server_get_work_item""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'expand': {'description': 'The level of detail to include in the response. Defaults to "all" if not specified.', 'enum': [0, 1, 2, 3, 4], 'type': 'number'}, 'workItemId': {'description': 'The ID of the work item', 'type': 'number'}}, 'required': ['workItemId'], 'type': 'object'}, description="""Get details of a specific work item"""), # Tiberriver256/Azure DevOps MCP Server/get_work_item
    Tool(name="""Azure DevOps MCP Server_list_work_items""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'projectId': {'description': 'The ID or name of the project', 'type': 'string'}, 'queryId': {'description': 'ID of a saved work item query', 'type': 'string'}, 'skip': {'description': 'Number of work items to skip', 'type': 'number'}, 'teamId': {'description': 'The ID of the team', 'type': 'string'}, 'top': {'description': 'Maximum number of work items to return', 'type': 'number'}, 'wiql': {'description': 'Work Item Query Language (WIQL) query', 'type': 'string'}}, 'required': ['projectId'], 'type': 'object'}, description="""List work items in a project"""), # Tiberriver256/Azure DevOps MCP Server/list_work_items
    Tool(name="""Azure DevOps MCP Server_create_work_item""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'additionalFields': {'additionalProperties': {}, 'description': 'Additional fields to set on the work item', 'type': 'object'}, 'areaPath': {'description': 'The area path for the work item', 'type': 'string'}, 'assignedTo': {'description': 'The email or name of the user to assign the work item to', 'type': 'string'}, 'description': {'description': 'The description of the work item', 'type': 'string'}, 'iterationPath': {'description': 'The iteration path for the work item', 'type': 'string'}, 'parentId': {'description': 'The ID of the parent work item to create a relationship with', 'type': 'number'}, 'priority': {'description': 'The priority of the work item', 'type': 'number'}, 'projectId': {'description': 'The ID or name of the project', 'type': 'string'}, 'title': {'description': 'The title of the work item', 'type': 'string'}, 'workItemType': {'description': 'The type of work item to create (e.g., "Task", "Bug", "User Story")', 'type': 'string'}}, 'required': ['projectId', 'workItemType', 'title'], 'type': 'object'}, description="""Create a new work item"""), # Tiberriver256/Azure DevOps MCP Server/create_work_item
    Tool(name="""Azure DevOps MCP Server_update_work_item""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'additionalFields': {'additionalProperties': {}, 'description': 'Additional fields to update on the work item', 'type': 'object'}, 'areaPath': {'description': 'The updated area path for the work item', 'type': 'string'}, 'assignedTo': {'description': 'The email or name of the user to assign the work item to', 'type': 'string'}, 'description': {'description': 'The updated description of the work item', 'type': 'string'}, 'iterationPath': {'description': 'The updated iteration path for the work item', 'type': 'string'}, 'priority': {'description': 'The updated priority of the work item', 'type': 'number'}, 'state': {'description': 'The updated state of the work item', 'type': 'string'}, 'title': {'description': 'The updated title of the work item', 'type': 'string'}, 'workItemId': {'description': 'The ID of the work item to update', 'type': 'number'}}, 'required': ['workItemId'], 'type': 'object'}, description="""Update an existing work item"""), # Tiberriver256/Azure DevOps MCP Server/update_work_item
    Tool(name="""Azure DevOps MCP Server_manage_work_item_link""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'comment': {'description': 'Optional comment explaining the link', 'type': 'string'}, 'newRelationType': {'description': 'The new relation type to use when updating a link', 'type': 'string'}, 'operation': {'description': 'The operation to perform on the link', 'enum': ['add', 'remove', 'update'], 'type': 'string'}, 'projectId': {'description': 'The ID or name of the project', 'type': 'string'}, 'relationType': {'description': 'The reference name of the relation type (e.g., "System.LinkTypes.Hierarchy-Forward")', 'type': 'string'}, 'sourceWorkItemId': {'description': 'The ID of the source work item', 'type': 'number'}, 'targetWorkItemId': {'description': 'The ID of the target work item', 'type': 'number'}}, 'required': ['sourceWorkItemId', 'targetWorkItemId', 'projectId', 'operation', 'relationType'], 'type': 'object'}, description="""Add or remove a link between work items"""), # Tiberriver256/Azure DevOps MCP Server/manage_work_item_link
    Tool(name="""Azure DevOps MCP Server_get_repository""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'projectId': {'description': 'The ID or name of the project', 'type': 'string'}, 'repositoryId': {'description': 'The ID or name of the repository', 'type': 'string'}}, 'required': ['projectId', 'repositoryId'], 'type': 'object'}, description="""Get details of a specific repository"""), # Tiberriver256/Azure DevOps MCP Server/get_repository
    Tool(name="""Azure DevOps MCP Server_get_repository_details""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'branchName': {'description': 'Name of specific branch to get statistics for (if includeStatistics is true)', 'type': 'string'}, 'includeRefs': {'default': False, 'description': 'Whether to include repository refs', 'type': 'boolean'}, 'includeStatistics': {'default': False, 'description': 'Whether to include branch statistics', 'type': 'boolean'}, 'projectId': {'description': 'The ID or name of the project', 'type': 'string'}, 'refFilter': {'description': 'Optional filter for refs (e.g., "heads/" or "tags/")', 'type': 'string'}, 'repositoryId': {'description': 'The ID or name of the repository', 'type': 'string'}}, 'required': ['projectId', 'repositoryId'], 'type': 'object'}, description="""Get detailed information about a repository including statistics and refs"""), # Tiberriver256/Azure DevOps MCP Server/get_repository_details
    Tool(name="""Azure DevOps MCP Server_list_repositories""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'includeLinks': {'description': 'Whether to include reference links', 'type': 'boolean'}, 'projectId': {'description': 'The ID or name of the project', 'type': 'string'}}, 'required': ['projectId'], 'type': 'object'}, description="""List repositories in a project"""), # Tiberriver256/Azure DevOps MCP Server/list_repositories
    Tool(name="""Azure DevOps MCP Server_search_code""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'filters': {'additionalProperties': False, 'description': 'Optional filters to narrow search results', 'properties': {'Branch': {'description': 'Filter by branch names', 'items': {'type': 'string'}, 'type': 'array'}, 'CodeElement': {'description': 'Filter by code element types (function, class, etc.)', 'items': {'type': 'string'}, 'type': 'array'}, 'Path': {'description': 'Filter by file paths', 'items': {'type': 'string'}, 'type': 'array'}, 'Repository': {'description': 'Filter by repository names', 'items': {'type': 'string'}, 'type': 'array'}}, 'type': 'object'}, 'includeContent': {'default': True, 'description': 'Whether to include full file content in results (default: true)', 'type': 'boolean'}, 'includeSnippet': {'default': True, 'description': 'Whether to include code snippets in results (default: true)', 'type': 'boolean'}, 'projectId': {'description': 'The ID or name of the project to search in', 'type': 'string'}, 'searchText': {'description': 'The text to search for', 'type': 'string'}, 'skip': {'default': 0, 'description': 'Number of results to skip for pagination (default: 0)', 'minimum': 0, 'type': 'integer'}, 'top': {'default': 100, 'description': 'Number of results to return (default: 100, max: 1000)', 'maximum': 1000, 'minimum': 1, 'type': 'integer'}}, 'required': ['searchText', 'projectId'], 'type': 'object'}, description="""Search for code across repositories in a project"""), # Tiberriver256/Azure DevOps MCP Server/search_code
    Tool(name="""Azure DevOps MCP Server_search_wiki""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'filters': {'additionalProperties': False, 'description': 'Optional filters to narrow search results', 'properties': {'Project': {'description': 'Filter by project names', 'items': {'type': 'string'}, 'type': 'array'}}, 'type': 'object'}, 'includeFacets': {'default': True, 'description': 'Whether to include faceting in results (default: true)', 'type': 'boolean'}, 'projectId': {'description': 'The ID or name of the project to search in', 'type': 'string'}, 'searchText': {'description': 'The text to search for in wikis', 'type': 'string'}, 'skip': {'default': 0, 'description': 'Number of results to skip for pagination (default: 0)', 'minimum': 0, 'type': 'integer'}, 'top': {'default': 100, 'description': 'Number of results to return (default: 100, max: 1000)', 'maximum': 1000, 'minimum': 1, 'type': 'integer'}}, 'required': ['searchText', 'projectId'], 'type': 'object'}, description="""Search for content across wiki pages in a project"""), # Tiberriver256/Azure DevOps MCP Server/search_wiki
    Tool(name="""Azure DevOps MCP Server_search_work_items""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'filters': {'additionalProperties': False, 'description': 'Optional filters to narrow search results', 'properties': {'System.AreaPath': {'description': 'Filter by area paths', 'items': {'type': 'string'}, 'type': 'array'}, 'System.AssignedTo': {'description': 'Filter by assigned users', 'items': {'type': 'string'}, 'type': 'array'}, 'System.State': {'description': 'Filter by work item states (New, Active, Closed, etc.)', 'items': {'type': 'string'}, 'type': 'array'}, 'System.TeamProject': {'description': 'Filter by project names', 'items': {'type': 'string'}, 'type': 'array'}, 'System.WorkItemType': {'description': 'Filter by work item types (Bug, Task, User Story, etc.)', 'items': {'type': 'string'}, 'type': 'array'}}, 'type': 'object'}, 'includeFacets': {'default': True, 'description': 'Whether to include faceting in results (default: true)', 'type': 'boolean'}, 'orderBy': {'description': 'Options for sorting search results', 'items': {'additionalProperties': False, 'properties': {'field': {'description': 'Field to sort by', 'type': 'string'}, 'sortOrder': {'description': 'Sort order (ASC/DESC)', 'enum': ['ASC', 'DESC'], 'type': 'string'}}, 'required': ['field', 'sortOrder'], 'type': 'object'}, 'type': 'array'}, 'projectId': {'description': 'The ID or name of the project to search in', 'type': 'string'}, 'searchText': {'description': 'The text to search for in work items', 'type': 'string'}, 'skip': {'default': 0, 'description': 'Number of results to skip for pagination (default: 0)', 'minimum': 0, 'type': 'integer'}, 'top': {'default': 100, 'description': 'Number of results to return (default: 100, max: 1000)', 'maximum': 1000, 'minimum': 1, 'type': 'integer'}}, 'required': ['searchText', 'projectId'], 'type': 'object'}, description="""Search for work items across projects in Azure DevOps"""), # Tiberriver256/Azure DevOps MCP Server/search_work_items
    Tool(name="""HH JIRA MCP Server_search_team_active_portfolios""", inputSchema={'additionalProperties': False, 'properties': {'team': {'title': 'Team', 'type': 'string'}}, 'required': ['team'], 'type': 'object'}, description=""""""), # alexeydubinin/HH JIRA MCP Server/search_team_active_portfolios
    Tool(name="""HH JIRA MCP Server_create_task""", inputSchema={'additionalProperties': False, 'properties': {'title': {'title': 'Title', 'type': 'string'}}, 'required': ['title'], 'type': 'object'}, description=""""""), # alexeydubinin/HH JIRA MCP Server/create_task
    Tool(name="""HH JIRA MCP Server_set_defence_checked""", inputSchema={'additionalProperties': False, 'properties': {'portfolio': {'title': 'Portfolio', 'type': 'integer'}}, 'required': ['portfolio'], 'type': 'object'}, description=""""""), # alexeydubinin/HH JIRA MCP Server/set_defence_checked
    Tool(name="""Macrostrat MCP Server_find-columns""", inputSchema={'properties': {'adjacents': {'description': 'Include adjacent columns', 'type': 'boolean'}, 'lat': {'description': 'A valid latitude in decimal degrees', 'type': 'number'}, 'lng': {'description': 'A valid longitude in decimal degrees', 'type': 'number'}, 'responseType': {'default': 'long', 'description': 'The length of response long or short', 'enum': ['long', 'short'], 'type': 'string'}}, 'required': ['lat', 'lng', 'responseType'], 'type': 'object'}, description="""Query Macrostrat stratigraphic columns"""), # blake365/Macrostrat MCP Server/find-columns
    Tool(name="""Macrostrat MCP Server_find-units""", inputSchema={'properties': {'lat': {'description': 'A valid latitude in decimal degrees', 'type': 'number'}, 'lng': {'description': 'A valid longitude in decimal degrees', 'type': 'number'}, 'responseType': {'default': 'long', 'description': 'The length of response long or short. Long provides lots of good details', 'enum': ['long', 'short'], 'type': 'string'}}, 'required': ['lat', 'lng', 'responseType'], 'type': 'object'}, description="""Query Macrostrat geologic units"""), # blake365/Macrostrat MCP Server/find-units
    Tool(name="""Macrostrat MCP Server_defs""", inputSchema={'properties': {'endpoint': {'description': 'The endpoint to query', 'enum': ['lithologies', 'structures', 'columns', 'econs', 'minerals', 'timescales', 'environments', 'strat_names', 'measurements', 'intervals'], 'type': 'string'}, 'parameters': {'description': 'parameters to pass to the endpoint', 'type': 'string'}}, 'required': ['endpoint', 'parameters'], 'type': 'object'}, description="""Routes giving access to standard fields and dictionaries used in Macrostrat"""), # blake365/Macrostrat MCP Server/defs
    Tool(name="""Macrostrat MCP Server_defs-autocomplete""", inputSchema={'properties': {'query': {'description': 'the search term', 'type': 'string'}}, 'required': ['query'], 'type': 'object'}, description="""Quickly retrieve all definitions matching a query. Limited to 100 results"""), # blake365/Macrostrat MCP Server/defs-autocomplete
    Tool(name="""Macrostrat MCP Server_mineral-info""", inputSchema={'properties': {'element': {'description': 'An element that the mineral is made of', 'type': 'string'}, 'mineral': {'description': 'The name of the mineral', 'type': 'string'}, 'mineral_type': {'description': 'The type of mineral', 'type': 'string'}}, 'type': 'object'}, description="""Get information about a mineral, use one property"""), # blake365/Macrostrat MCP Server/mineral-info
    Tool(name="""Macrostrat MCP Server_timescale""", inputSchema={'properties': {'age': {'type': 'number'}}, 'type': 'object'}, description="""Get information about a time period"""), # blake365/Macrostrat MCP Server/timescale
    Tool(name="""Spotify MCP Server_SpotifyPlayback""", inputSchema={'description': "Manages the current playback with the following actions:\n- get: Get information about user's current track.\n- start: Starts playing new item or resumes current playback if called with no uri.\n- pause: Pauses current playback.\n- skip: Skips current track.", 'properties': {'action': {'description': "Action to perform: 'get', 'start', 'pause' or 'skip'.", 'title': 'Action', 'type': 'string'}, 'num_skips': {'anyOf': [{'type': 'integer'}, {'type': 'null'}], 'default': 1, 'description': 'Number of tracks to skip for `skip` action.', 'title': 'Num Skips'}, 'spotify_uri': {'anyOf': [{'type': 'string'}, {'type': 'null'}], 'default': None, 'description': "Spotify uri of item to play for 'start' action. If omitted, resumes current playback.", 'title': 'Spotify Uri'}}, 'required': ['action'], 'title': 'Playback', 'type': 'object'}, description="""Manages the current playback with the following actions:\n    - get: Get information about user's current track.\n    - start: Starts playing new item or resumes current playback if called with no uri.\n    - pause: Pauses current playback.\n    - skip: Skips current track.\n    """), # varunneal/Spotify MCP Server/SpotifyPlayback
    Tool(name="""Spotify MCP Server_SpotifySearch""", inputSchema={'description': 'Search for tracks, albums, artists, or playlists on Spotify.', 'properties': {'limit': {'anyOf': [{'type': 'integer'}, {'type': 'null'}], 'default': 10, 'description': 'Maximum number of items to return', 'title': 'Limit'}, 'qtype': {'anyOf': [{'type': 'string'}, {'type': 'null'}], 'default': 'track', 'description': 'Type of items to search for (track, album, artist, playlist, or comma-separated combination)', 'title': 'Qtype'}, 'query': {'description': 'query term', 'title': 'Query', 'type': 'string'}}, 'required': ['query'], 'title': 'Search', 'type': 'object'}, description="""Search for tracks, albums, artists, or playlists on Spotify."""), # varunneal/Spotify MCP Server/SpotifySearch
    Tool(name="""Spotify MCP Server_SpotifyQueue""", inputSchema={'description': 'Manage the playback queue - get the queue or add tracks.', 'properties': {'action': {'description': "Action to perform: 'add' or 'get'.", 'title': 'Action', 'type': 'string'}, 'track_id': {'anyOf': [{'type': 'string'}, {'type': 'null'}], 'default': None, 'description': 'Track ID to add to queue (required for add action)', 'title': 'Track Id'}}, 'required': ['action'], 'title': 'Queue', 'type': 'object'}, description="""Manage the playback queue - get the queue or add tracks."""), # varunneal/Spotify MCP Server/SpotifyQueue
    Tool(name="""Spotify MCP Server_SpotifyGetInfo""", inputSchema={'description': 'Get detailed information about a Spotify item (track, album, artist, or playlist).', 'properties': {'item_id': {'description': 'ID of the item to get information about', 'title': 'Item Id', 'type': 'string'}, 'qtype': {'default': 'track', 'description': "Type of item: 'track', 'album', 'artist', or 'playlist'. If 'playlist' or 'album', returns its tracks. If 'artist',returns albums and top tracks.", 'title': 'Qtype', 'type': 'string'}}, 'required': ['item_id'], 'title': 'GetInfo', 'type': 'object'}, description="""Get detailed information about a Spotify item (track, album, artist, or playlist)."""), # varunneal/Spotify MCP Server/SpotifyGetInfo
    Tool(name="""TaskWarrior MCP Server_get_next_tasks""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'project': {'pattern': '^[a-z.]+$', 'type': 'string'}, 'tags': {'items': {'pattern': '^a-z$', 'type': 'string'}, 'type': 'array'}}, 'type': 'object'}, description="""Get a list of all pending tasks"""), # awwaiid/TaskWarrior MCP Server/get_next_tasks
    Tool(name="""TaskWarrior MCP Server_mark_task_done""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'identifier': {'type': 'string'}}, 'required': ['identifier'], 'type': 'object'}, description="""Mark a task as done (completed)"""), # awwaiid/TaskWarrior MCP Server/mark_task_done
    Tool(name="""TaskWarrior MCP Server_add_task""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'description': {'type': 'string'}, 'due': {'type': 'string'}, 'priority': {'enum': ['H', 'M', 'L'], 'type': 'string'}, 'project': {'pattern': '^[a-z.]+$', 'type': 'string'}, 'tags': {'items': {'pattern': '^a-z$', 'type': 'string'}, 'type': 'array'}}, 'required': ['description'], 'type': 'object'}, description="""Add a new task"""), # awwaiid/TaskWarrior MCP Server/add_task
    Tool(name="""SourceSync.ai MCP Server_validateApiKey""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {}, 'type': 'object'}, description="""Validates the API key by attempting to list namespaces. Returns the list of namespaces if successful."""), # scmdr/SourceSync.ai MCP Server/validateApiKey
    Tool(name="""SourceSync.ai MCP Server_createNamespace""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'embeddingModelConfig': {'anyOf': [{'additionalProperties': False, 'properties': {'apiKey': {'type': 'string'}, 'model': {'enum': ['text-embedding-3-small', 'text-embedding-3-large', 'text-embedding-ada-002'], 'type': 'string'}, 'provider': {'const': 'OPENAI', 'type': 'string'}}, 'required': ['provider', 'model', 'apiKey'], 'type': 'object'}, {'additionalProperties': False, 'properties': {'apiKey': {'type': 'string'}, 'model': {'enum': ['embed-english-v3.0', 'embed-multilingual-v3.0', 'embed-english-light-v3.0', 'embed-multilingual-light-v3.0', 'embed-english-v2.0', 'embed-english-light-v2.0', 'embed-multilingual-v2.0'], 'type': 'string'}, 'provider': {'const': 'COHERE', 'type': 'string'}}, 'required': ['provider', 'model', 'apiKey'], 'type': 'object'}, {'additionalProperties': False, 'properties': {'apiKey': {'type': 'string'}, 'model': {'enum': ['jina-embeddings-v3'], 'type': 'string'}, 'provider': {'const': 'JINA', 'type': 'string'}}, 'required': ['provider', 'model', 'apiKey'], 'type': 'object'}]}, 'fileStorageConfig': {'additionalProperties': False, 'properties': {'bucket': {'type': 'string'}, 'credentials': {'additionalProperties': False, 'properties': {'accessKeyId': {'type': 'string'}, 'secretAccessKey': {'type': 'string'}}, 'required': ['accessKeyId', 'secretAccessKey'], 'type': 'object'}, 'endpoint': {'type': 'string'}, 'region': {'type': 'string'}, 'type': {'enum': ['S3_COMPATIBLE'], 'type': 'string'}}, 'required': ['type', 'bucket', 'region', 'endpoint', 'credentials'], 'type': 'object'}, 'name': {'type': 'string'}, 'tenantId': {'type': 'string'}, 'vectorStorageConfig': {'additionalProperties': False, 'properties': {'apiKey': {'type': 'string'}, 'indexHost': {'type': 'string'}, 'provider': {'enum': ['PINECONE'], 'type': 'string'}}, 'required': ['provider', 'apiKey', 'indexHost'], 'type': 'object'}, 'webScraperConfig': {'additionalProperties': False, 'properties': {'apiKey': {'type': 'string'}, 'provider': {'enum': ['FIRECRAWL', 'JINA', 'SCRAPINGBEE'], 'type': 'string'}}, 'required': ['provider', 'apiKey'], 'type': 'object'}}, 'required': ['name', 'fileStorageConfig', 'vectorStorageConfig', 'embeddingModelConfig'], 'type': 'object'}, description="""Creates a new namespace with the provided configuration. Requires a name, file storage configuration, vector storage configuration, and embedding model configuration."""), # scmdr/SourceSync.ai MCP Server/createNamespace
    Tool(name="""SourceSync.ai MCP Server_listNamespaces""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'tenantId': {'type': 'string'}}, 'type': 'object'}, description="""Lists all namespaces available for the current API key and optional tenant ID."""), # scmdr/SourceSync.ai MCP Server/listNamespaces
    Tool(name="""SourceSync.ai MCP Server_getNamespace""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'namespaceId': {'type': 'string'}, 'tenantId': {'type': 'string'}}, 'type': 'object'}, description="""Retrieves a specific namespace by its ID."""), # scmdr/SourceSync.ai MCP Server/getNamespace
    Tool(name="""SourceSync.ai MCP Server_updateNamespace""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'boxConfig': {'additionalProperties': False, 'properties': {'clientId': {'type': 'string'}, 'clientSecret': {'type': 'string'}}, 'required': ['clientId', 'clientSecret'], 'type': 'object'}, 'dropboxConfig': {'additionalProperties': False, 'properties': {'clientId': {'type': 'string'}, 'clientSecret': {'type': 'string'}}, 'required': ['clientId', 'clientSecret'], 'type': 'object'}, 'embeddingModelConfig': {'anyOf': [{'additionalProperties': False, 'properties': {'apiKey': {'type': 'string'}, 'model': {'enum': ['text-embedding-3-small', 'text-embedding-3-large', 'text-embedding-ada-002'], 'type': 'string'}, 'provider': {'const': 'OPENAI', 'type': 'string'}}, 'required': ['provider', 'model', 'apiKey'], 'type': 'object'}, {'additionalProperties': False, 'properties': {'apiKey': {'type': 'string'}, 'model': {'enum': ['embed-english-v3.0', 'embed-multilingual-v3.0', 'embed-english-light-v3.0', 'embed-multilingual-light-v3.0', 'embed-english-v2.0', 'embed-english-light-v2.0', 'embed-multilingual-v2.0'], 'type': 'string'}, 'provider': {'const': 'COHERE', 'type': 'string'}}, 'required': ['provider', 'model', 'apiKey'], 'type': 'object'}, {'additionalProperties': False, 'properties': {'apiKey': {'type': 'string'}, 'model': {'enum': ['jina-embeddings-v3'], 'type': 'string'}, 'provider': {'const': 'JINA', 'type': 'string'}}, 'required': ['provider', 'model', 'apiKey'], 'type': 'object'}]}, 'fileStorageConfig': {'additionalProperties': False, 'properties': {'bucket': {'type': 'string'}, 'credentials': {'additionalProperties': False, 'properties': {'accessKeyId': {'type': 'string'}, 'secretAccessKey': {'type': 'string'}}, 'required': ['accessKeyId', 'secretAccessKey'], 'type': 'object'}, 'endpoint': {'type': 'string'}, 'region': {'type': 'string'}, 'type': {'enum': ['S3_COMPATIBLE'], 'type': 'string'}}, 'required': ['type', 'bucket', 'region', 'endpoint', 'credentials'], 'type': 'object'}, 'googleDriveConfig': {'additionalProperties': False, 'properties': {'apiKey': {'type': 'string'}, 'clientId': {'type': 'string'}, 'clientSecret': {'type': 'string'}}, 'required': ['clientId', 'clientSecret', 'apiKey'], 'type': 'object'}, 'namespaceId': {'type': 'string'}, 'notionConfig': {'additionalProperties': False, 'properties': {'clientId': {'type': 'string'}, 'clientSecret': {'type': 'string'}}, 'required': ['clientId', 'clientSecret'], 'type': 'object'}, 'onedriveConfig': {'additionalProperties': False, 'properties': {'clientId': {'type': 'string'}, 'clientSecret': {'type': 'string'}}, 'required': ['clientId', 'clientSecret'], 'type': 'object'}, 'sharepointConfig': {'additionalProperties': False, 'properties': {'clientId': {'type': 'string'}, 'clientSecret': {'type': 'string'}}, 'required': ['clientId', 'clientSecret'], 'type': 'object'}, 'tenantId': {'type': 'string'}, 'vectorStorageConfig': {'additionalProperties': False, 'properties': {'apiKey': {'type': 'string'}, 'indexHost': {'type': 'string'}, 'provider': {'enum': ['PINECONE'], 'type': 'string'}}, 'required': ['provider', 'apiKey', 'indexHost'], 'type': 'object'}, 'webScraperConfig': {'additionalProperties': False, 'properties': {'apiKey': {'type': 'string'}, 'provider': {'enum': ['FIRECRAWL', 'JINA', 'SCRAPINGBEE'], 'type': 'string'}}, 'required': ['provider', 'apiKey'], 'type': 'object'}}, 'type': 'object'}, description="""Updates an existing namespace with the provided configuration parameters."""), # scmdr/SourceSync.ai MCP Server/updateNamespace
    Tool(name="""SourceSync.ai MCP Server_deleteNamespace""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'namespaceId': {'type': 'string'}, 'tenantId': {'type': 'string'}}, 'type': 'object'}, description="""Permanently deletes a namespace by its ID."""), # scmdr/SourceSync.ai MCP Server/deleteNamespace
    Tool(name="""SourceSync.ai MCP Server_ingestText""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'ingestConfig': {'additionalProperties': False, 'properties': {'chunkConfig': {'additionalProperties': False, 'description': 'Optional Chunk config. When not passed, default chunk config will be used.', 'properties': {'chunkOverlap': {'type': 'number'}, 'chunkSize': {'type': 'number'}}, 'required': ['chunkSize', 'chunkOverlap'], 'type': 'object'}, 'config': {'additionalProperties': False, 'properties': {'metadata': {'additionalProperties': {'anyOf': [{'type': 'string'}, {'items': {'type': 'string'}, 'type': 'array'}]}, 'type': 'object'}, 'name': {'type': 'string'}, 'text': {'type': 'string'}}, 'required': ['text'], 'type': 'object'}, 'source': {'const': 'TEXT', 'type': 'string'}}, 'required': ['source', 'config'], 'type': 'object'}, 'namespaceId': {'type': 'string'}, 'tenantId': {'type': 'string'}}, 'required': ['ingestConfig'], 'type': 'object'}, description="""Ingests raw text content into the namespace. Supports optional metadata and chunk configuration."""), # scmdr/SourceSync.ai MCP Server/ingestText
    Tool(name="""SourceSync.ai MCP Server_ingestFile""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'chunkConfig': {'additionalProperties': False, 'description': 'Optional Chunk config. When not passed, default chunk config will be used.', 'properties': {'chunkOverlap': {'type': 'number'}, 'chunkSize': {'type': 'number'}}, 'required': ['chunkSize', 'chunkOverlap'], 'type': 'object'}, 'file': {}, 'metadata': {'additionalProperties': {'anyOf': [{'type': 'string'}, {'items': {'type': 'string'}, 'type': 'array'}]}, 'type': 'object'}, 'namespaceId': {'type': 'string'}, 'tenantId': {'type': 'string'}}, 'required': ['file'], 'type': 'object'}, description="""Ingests a file into the namespace. Supports various file formats with automatic parsing."""), # scmdr/SourceSync.ai MCP Server/ingestFile
    Tool(name="""SourceSync.ai MCP Server_ingestUrls""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'ingestConfig': {'additionalProperties': False, 'properties': {'chunkConfig': {'additionalProperties': False, 'description': 'Optional Chunk config. When not passed, default chunk config will be used.', 'properties': {'chunkOverlap': {'type': 'number'}, 'chunkSize': {'type': 'number'}}, 'required': ['chunkSize', 'chunkOverlap'], 'type': 'object'}, 'config': {'additionalProperties': False, 'properties': {'metadata': {'additionalProperties': {'anyOf': [{'type': 'string'}, {'items': {'type': 'string'}, 'type': 'array'}]}, 'type': 'object'}, 'scrapeOptions': {'additionalProperties': False, 'properties': {'excludeSelectors': {'items': {'type': 'string'}, 'type': 'array'}, 'includeSelectors': {'items': {'type': 'string'}, 'type': 'array'}}, 'type': 'object'}, 'urls': {'items': {'type': 'string'}, 'type': 'array'}}, 'required': ['urls'], 'type': 'object'}, 'source': {'const': 'URLS_LIST', 'type': 'string'}}, 'required': ['source', 'config'], 'type': 'object'}, 'namespaceId': {'type': 'string'}, 'tenantId': {'type': 'string'}}, 'required': ['ingestConfig'], 'type': 'object'}, description="""Ingests content from a list of URLs. Supports scraping options and metadata."""), # scmdr/SourceSync.ai MCP Server/ingestUrls
    Tool(name="""SourceSync.ai MCP Server_ingestSitemap""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'ingestConfig': {'additionalProperties': False, 'properties': {'chunkConfig': {'additionalProperties': False, 'description': 'Optional Chunk config. When not passed, default chunk config will be used.', 'properties': {'chunkOverlap': {'type': 'number'}, 'chunkSize': {'type': 'number'}}, 'required': ['chunkSize', 'chunkOverlap'], 'type': 'object'}, 'config': {'additionalProperties': False, 'properties': {'excludePaths': {'items': {'type': 'string'}, 'type': 'array'}, 'includePaths': {'items': {'type': 'string'}, 'type': 'array'}, 'maxLinks': {'type': 'number'}, 'metadata': {'additionalProperties': {'anyOf': [{'type': 'string'}, {'items': {'type': 'string'}, 'type': 'array'}]}, 'type': 'object'}, 'url': {'type': 'string'}}, 'required': ['url'], 'type': 'object'}, 'source': {'const': 'SITEMAP', 'type': 'string'}}, 'required': ['source', 'config'], 'type': 'object'}, 'namespaceId': {'type': 'string'}, 'tenantId': {'type': 'string'}}, 'required': ['ingestConfig'], 'type': 'object'}, description="""Ingests content from a website using its sitemap.xml. Supports path filtering and link limits."""), # scmdr/SourceSync.ai MCP Server/ingestSitemap
    Tool(name="""SourceSync.ai MCP Server_ingestWebsite""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'ingestConfig': {'additionalProperties': False, 'properties': {'chunkConfig': {'additionalProperties': False, 'description': 'Optional Chunk config. When not passed, default chunk config will be used.', 'properties': {'chunkOverlap': {'type': 'number'}, 'chunkSize': {'type': 'number'}}, 'required': ['chunkSize', 'chunkOverlap'], 'type': 'object'}, 'config': {'additionalProperties': False, 'properties': {'excludePaths': {'items': {'type': 'string'}, 'type': 'array'}, 'includePaths': {'items': {'type': 'string'}, 'type': 'array'}, 'maxDepth': {'type': 'number'}, 'maxLinks': {'type': 'number'}, 'metadata': {'additionalProperties': {'anyOf': [{'type': 'string'}, {'items': {'type': 'string'}, 'type': 'array'}]}, 'type': 'object'}, 'url': {'type': 'string'}}, 'required': ['url'], 'type': 'object'}, 'source': {'const': 'WEBSITE', 'type': 'string'}}, 'required': ['source', 'config'], 'type': 'object'}, 'namespaceId': {'type': 'string'}, 'tenantId': {'type': 'string'}}, 'required': ['ingestConfig'], 'type': 'object'}, description="""Crawls and ingests content from a website recursively. Supports depth control and path filtering."""), # scmdr/SourceSync.ai MCP Server/ingestWebsite
    Tool(name="""SourceSync.ai MCP Server_ingestConnector""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'ingestConfig': {'additionalProperties': False, 'properties': {'chunkConfig': {'additionalProperties': False, 'description': 'Optional Chunk config. When not passed, default chunk config will be used.', 'properties': {'chunkOverlap': {'type': 'number'}, 'chunkSize': {'type': 'number'}}, 'required': ['chunkSize', 'chunkOverlap'], 'type': 'object'}, 'config': {'additionalProperties': False, 'properties': {'connectionId': {'type': 'string'}, 'metadata': {'additionalProperties': {'anyOf': [{'type': 'string'}, {'items': {'type': 'string'}, 'type': 'array'}]}, 'type': 'object'}}, 'required': ['connectionId'], 'type': 'object'}, 'source': {'type': 'string'}}, 'required': ['source', 'config'], 'type': 'object'}, 'namespaceId': {'type': 'string'}, 'tenantId': {'type': 'string'}}, 'required': ['ingestConfig'], 'type': 'object'}, description="""Ingests all documents in the connector that are in backlog or failed status. No need to provide the document ids or file ids for the ingestion. Ids are already in the backlog when picked thorough the picker. If not, the user has to go through the authorization flow again, where they will be asked to pick the documents again."""), # scmdr/SourceSync.ai MCP Server/ingestConnector
    Tool(name="""SourceSync.ai MCP Server_getIngestJobRunStatus""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'ingestJobRunId': {'type': 'string'}, 'namespaceId': {'type': 'string'}, 'tenantId': {'type': 'string'}}, 'required': ['ingestJobRunId'], 'type': 'object'}, description="""Checks the status of a previously submitted ingestion job."""), # scmdr/SourceSync.ai MCP Server/getIngestJobRunStatus
    Tool(name="""SourceSync.ai MCP Server_fetchDocuments""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'documentIds': {'items': {'type': 'string'}, 'type': 'array'}, 'filterConfig': {'additionalProperties': False, 'properties': {'documentConnectionIds': {'items': {'type': 'string'}, 'type': 'array'}, 'documentExternalIds': {'items': {'type': 'string'}, 'type': 'array'}, 'documentIds': {'items': {'type': 'string'}, 'type': 'array'}, 'documentIngestionSources': {'items': {'enum': ['TEXT', 'URLS_LIST', 'SITEMAP', 'WEBSITE', 'LOCAL_FILE', 'NOTION', 'GOOGLE_DRIVE', 'DROPBOX', 'ONEDRIVE', 'BOX', 'SHAREPOINT'], 'type': 'string'}, 'type': 'array'}, 'documentIngestionStatuses': {'items': {'enum': ['BACKLOG', 'QUEUED', 'QUEUED_FOR_RESYNC', 'PROCESSING', 'SUCCESS', 'FAILED', 'CANCELLED'], 'type': 'string'}, 'type': 'array'}, 'documentTypes': {'items': {'enum': ['TEXT', 'URL', 'FILE', 'NOTION_DOCUMENT', 'GOOGLE_DRIVE_DOCUMENT', 'DROPBOX_DOCUMENT', 'ONEDRIVE_DOCUMENT', 'BOX_DOCUMENT', 'SHAREPOINT_DOCUMENT'], 'type': 'string'}, 'type': 'array'}, 'metadata': {'additionalProperties': {'type': 'string'}, 'type': 'object'}}, 'type': 'object'}, 'includeConfig': {'additionalProperties': False, 'properties': {'documents': {'type': 'boolean'}, 'parsedTextFileUrl': {'type': 'boolean'}, 'rawFileUrl': {'type': 'boolean'}, 'stats': {'type': 'boolean'}, 'statsBySource': {'type': 'boolean'}, 'statsByStatus': {'type': 'boolean'}}, 'type': 'object'}, 'namespaceId': {'type': 'string'}, 'pagination': {'additionalProperties': False, 'properties': {'cursor': {'type': 'string'}, 'pageSize': {'type': 'number'}}, 'type': 'object'}, 'tenantId': {'type': 'string'}}, 'required': ['filterConfig'], 'type': 'object'}, description="""Fetches documents from the namespace based on filter criteria. Supports pagination and including specific document properties."""), # scmdr/SourceSync.ai MCP Server/fetchDocuments
    Tool(name="""SourceSync.ai MCP Server_updateDocuments""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'data': {'additionalProperties': False, 'properties': {'$metadata': {'additionalProperties': False, 'properties': {'$append': {'additionalProperties': {'items': {'type': 'string'}, 'type': 'array'}, 'type': 'object'}, '$remove': {'additionalProperties': {'items': {'type': 'string'}, 'type': 'array'}, 'type': 'object'}, '$set': {'additionalProperties': {'anyOf': [{'type': 'string'}, {'items': {'type': 'string'}, 'type': 'array'}]}, 'type': 'object'}}, 'type': 'object'}, 'metadata': {'additionalProperties': {'type': 'string'}, 'type': 'object'}}, 'type': 'object'}, 'documents': {'items': {'additionalProperties': False, 'properties': {'documentId': {'type': 'string'}, 'metadata': {'additionalProperties': {'type': 'string'}, 'type': 'object'}}, 'required': ['documentId'], 'type': 'object'}, 'type': 'array'}, 'filterConfig': {'additionalProperties': False, 'properties': {'documentConnectionIds': {'items': {'type': 'string'}, 'type': 'array'}, 'documentExternalIds': {'items': {'type': 'string'}, 'type': 'array'}, 'documentIds': {'items': {'type': 'string'}, 'type': 'array'}, 'documentIngestionSources': {'items': {'enum': ['TEXT', 'URLS_LIST', 'SITEMAP', 'WEBSITE', 'LOCAL_FILE', 'NOTION', 'GOOGLE_DRIVE', 'DROPBOX', 'ONEDRIVE', 'BOX', 'SHAREPOINT'], 'type': 'string'}, 'type': 'array'}, 'documentIngestionStatuses': {'items': {'enum': ['BACKLOG', 'QUEUED', 'QUEUED_FOR_RESYNC', 'PROCESSING', 'SUCCESS', 'FAILED', 'CANCELLED'], 'type': 'string'}, 'type': 'array'}, 'documentTypes': {'items': {'enum': ['TEXT', 'URL', 'FILE', 'NOTION_DOCUMENT', 'GOOGLE_DRIVE_DOCUMENT', 'DROPBOX_DOCUMENT', 'ONEDRIVE_DOCUMENT', 'BOX_DOCUMENT', 'SHAREPOINT_DOCUMENT'], 'type': 'string'}, 'type': 'array'}, 'metadata': {'additionalProperties': {'type': 'string'}, 'type': 'object'}}, 'type': 'object'}, 'namespaceId': {'type': 'string'}, 'tenantId': {'type': 'string'}}, 'required': ['documents', 'filterConfig', 'data'], 'type': 'object'}, description="""Updates metadata for documents that match the specified filter criteria."""), # scmdr/SourceSync.ai MCP Server/updateDocuments
    Tool(name="""SourceSync.ai MCP Server_deleteDocuments""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'documentIds': {'items': {'type': 'string'}, 'type': 'array'}, 'filterConfig': {'additionalProperties': False, 'properties': {'documentConnectionIds': {'items': {'type': 'string'}, 'type': 'array'}, 'documentExternalIds': {'items': {'type': 'string'}, 'type': 'array'}, 'documentIds': {'items': {'type': 'string'}, 'type': 'array'}, 'documentIngestionSources': {'items': {'enum': ['TEXT', 'URLS_LIST', 'SITEMAP', 'WEBSITE', 'LOCAL_FILE', 'NOTION', 'GOOGLE_DRIVE', 'DROPBOX', 'ONEDRIVE', 'BOX', 'SHAREPOINT'], 'type': 'string'}, 'type': 'array'}, 'documentIngestionStatuses': {'items': {'enum': ['BACKLOG', 'QUEUED', 'QUEUED_FOR_RESYNC', 'PROCESSING', 'SUCCESS', 'FAILED', 'CANCELLED'], 'type': 'string'}, 'type': 'array'}, 'documentTypes': {'items': {'enum': ['TEXT', 'URL', 'FILE', 'NOTION_DOCUMENT', 'GOOGLE_DRIVE_DOCUMENT', 'DROPBOX_DOCUMENT', 'ONEDRIVE_DOCUMENT', 'BOX_DOCUMENT', 'SHAREPOINT_DOCUMENT'], 'type': 'string'}, 'type': 'array'}, 'metadata': {'additionalProperties': {'type': 'string'}, 'type': 'object'}}, 'type': 'object'}, 'namespaceId': {'type': 'string'}, 'tenantId': {'type': 'string'}}, 'required': ['filterConfig'], 'type': 'object'}, description="""Permanently deletes documents that match the specified filter criteria."""), # scmdr/SourceSync.ai MCP Server/deleteDocuments
    Tool(name="""SourceSync.ai MCP Server_resyncDocuments""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'documentIds': {'items': {'type': 'string'}, 'type': 'array'}, 'filterConfig': {'additionalProperties': False, 'properties': {'documentConnectionIds': {'items': {'type': 'string'}, 'type': 'array'}, 'documentExternalIds': {'items': {'type': 'string'}, 'type': 'array'}, 'documentIds': {'items': {'type': 'string'}, 'type': 'array'}, 'documentIngestionSources': {'items': {'enum': ['TEXT', 'URLS_LIST', 'SITEMAP', 'WEBSITE', 'LOCAL_FILE', 'NOTION', 'GOOGLE_DRIVE', 'DROPBOX', 'ONEDRIVE', 'BOX', 'SHAREPOINT'], 'type': 'string'}, 'type': 'array'}, 'documentIngestionStatuses': {'items': {'enum': ['BACKLOG', 'QUEUED', 'QUEUED_FOR_RESYNC', 'PROCESSING', 'SUCCESS', 'FAILED', 'CANCELLED'], 'type': 'string'}, 'type': 'array'}, 'documentTypes': {'items': {'enum': ['TEXT', 'URL', 'FILE', 'NOTION_DOCUMENT', 'GOOGLE_DRIVE_DOCUMENT', 'DROPBOX_DOCUMENT', 'ONEDRIVE_DOCUMENT', 'BOX_DOCUMENT', 'SHAREPOINT_DOCUMENT'], 'type': 'string'}, 'type': 'array'}, 'metadata': {'additionalProperties': {'type': 'string'}, 'type': 'object'}}, 'type': 'object'}, 'namespaceId': {'type': 'string'}, 'tenantId': {'type': 'string'}}, 'required': ['filterConfig'], 'type': 'object'}, description="""Reprocesses documents that match the specified filter criteria. Useful for updating after schema changes."""), # scmdr/SourceSync.ai MCP Server/resyncDocuments
    Tool(name="""SourceSync.ai MCP Server_semanticSearch""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'filter': {'additionalProperties': False, 'properties': {'metadata': {'additionalProperties': {'anyOf': [{'type': 'string'}, {'items': {'type': 'string'}, 'type': 'array'}]}, 'type': 'object'}}, 'type': 'object'}, 'namespaceId': {'type': 'string'}, 'query': {'type': 'string'}, 'scoreThreshold': {'type': 'number'}, 'searchType': {'enum': ['SEMANTIC', 'HYBRID'], 'type': 'string'}, 'tenantId': {'type': 'string'}, 'topK': {'type': 'number'}}, 'required': ['query'], 'type': 'object'}, description="""Performs semantic search across the namespace to find relevant content based on meaning rather than exact keyword matches."""), # scmdr/SourceSync.ai MCP Server/semanticSearch
    Tool(name="""SourceSync.ai MCP Server_hybridSearch""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'filter': {'additionalProperties': False, 'properties': {'metadata': {'additionalProperties': {'anyOf': [{'type': 'string'}, {'items': {'type': 'string'}, 'type': 'array'}]}, 'type': 'object'}}, 'type': 'object'}, 'hybridConfig': {'additionalProperties': False, 'properties': {'keywordWeight': {'type': 'number'}, 'semanticWeight': {'type': 'number'}}, 'required': ['semanticWeight', 'keywordWeight'], 'type': 'object'}, 'namespaceId': {'type': 'string'}, 'query': {'type': 'string'}, 'scoreThreshold': {'type': 'number'}, 'searchType': {'enum': ['SEMANTIC', 'HYBRID'], 'type': 'string'}, 'tenantId': {'type': 'string'}, 'topK': {'type': 'number'}}, 'required': ['query', 'hybridConfig'], 'type': 'object'}, description="""Performs a combined keyword and semantic search, balancing between exact matches and semantic similarity. Requires hybridConfig with weights for both search types."""), # scmdr/SourceSync.ai MCP Server/hybridSearch
    Tool(name="""SourceSync.ai MCP Server_createConnection""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'clientRedirectUrl': {'type': 'string'}, 'connector': {'enum': ['NOTION', 'GOOGLE_DRIVE', 'DROPBOX', 'ONEDRIVE', 'BOX', 'SHAREPOINT'], 'type': 'string'}, 'name': {'type': 'string'}, 'namespaceId': {'type': 'string'}, 'tenantId': {'type': 'string'}}, 'required': ['name', 'connector'], 'type': 'object'}, description="""Creates a new connection to a specific source. The connector parameter should be a valid SourceSync connector enum value. The clientRedirectUrl parameter is optional and can be used to specify a custom redirect URL for the connection. This will give you a authorization url which you can redirect the user to. The user will then be asked to pick the documents they want to ingest."""), # scmdr/SourceSync.ai MCP Server/createConnection
    Tool(name="""SourceSync.ai MCP Server_listConnections""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'connector': {'enum': ['NOTION', 'GOOGLE_DRIVE', 'DROPBOX', 'ONEDRIVE', 'BOX', 'SHAREPOINT'], 'type': 'string'}, 'namespaceId': {'type': 'string'}, 'tenantId': {'type': 'string'}}, 'type': 'object'}, description="""Lists all connections for the current namespace, optionally filtered by connector type."""), # scmdr/SourceSync.ai MCP Server/listConnections
    Tool(name="""SourceSync.ai MCP Server_getConnection""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'connectionId': {'type': 'string'}, 'namespaceId': {'type': 'string'}, 'tenantId': {'type': 'string'}}, 'required': ['connectionId'], 'type': 'object'}, description="""Retrieves details for a specific connection by its ID."""), # scmdr/SourceSync.ai MCP Server/getConnection
    Tool(name="""SourceSync.ai MCP Server_updateConnection""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'clientRedirectUrl': {'type': 'string'}, 'connectionId': {'type': 'string'}, 'name': {'type': 'string'}, 'namespaceId': {'type': 'string'}, 'tenantId': {'type': 'string'}}, 'required': ['connectionId'], 'type': 'object'}, description="""Updates a connection to a specific source. The connector parameter should be a valid SourceSync connector enum value. The clientRedirectUrl parameter is optional and can be used to specify a custom redirect URL for the connection. This will give you a authorization url which you can redirect the user to. The user will then be asked to pick the documents they want to ingest. This is useful if you want to update the connection to a different source or if you want to update the clientRedirectUrl or if you want to pick a different or new set of documents."""), # scmdr/SourceSync.ai MCP Server/updateConnection
    Tool(name="""SourceSync.ai MCP Server_revokeConnection""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'connectionId': {'type': 'string'}, 'namespaceId': {'type': 'string'}, 'tenantId': {'type': 'string'}}, 'required': ['connectionId'], 'type': 'object'}, description="""Revokes access for a specific connection, removing the integration with the external service."""), # scmdr/SourceSync.ai MCP Server/revokeConnection
    Tool(name="""SourceSync.ai MCP Server_fetchUrlContent""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'apiKey': {'type': 'string'}, 'tenantId': {'type': 'string'}, 'url': {'format': 'uri', 'type': 'string'}}, 'required': ['url'], 'type': 'object'}, description="""Fetches the content of a URL. Particularly useful for fetching parsed text file URLs."""), # scmdr/SourceSync.ai MCP Server/fetchUrlContent
    Tool(name="""MCP Ethers Wallet_getSupportedNetworks""", inputSchema={'properties': {}, 'type': 'object'}, description="""Get a list of all supported networks and their configurations. Shows which network is the default (used when no provider is specified). Call this first to discover available networks before using other network-related functions."""), # crazyrabbitLTC/MCP Ethers Wallet/getSupportedNetworks
    Tool(name="""MCP Ethers Wallet_checkWalletExists""", inputSchema={'properties': {'provider': {'description': 'Optional. Either a network name or custom RPC URL. Use getSupportedNetworks to get a list of supported networks. If not provided, uses the default network.', 'type': 'string'}}, 'type': 'object'}, description="""Check if there is a wallet configured on the server. Returns basic wallet info like address but never exposes private keys."""), # crazyrabbitLTC/MCP Ethers Wallet/checkWalletExists
    Tool(name="""MCP Ethers Wallet_getWalletBalance""", inputSchema={'properties': {'address': {'description': 'The Ethereum address to query', 'type': 'string'}, 'chainId': {'description': "Optional. The chain ID to use. If provided with a named network and they don't match, the RPC's chain ID will be used.", 'type': 'number'}, 'provider': {'description': 'Optional. Either a network name or custom RPC URL. Use getSupportedNetworks to get a list of supported networks.', 'type': 'string'}}, 'required': ['address'], 'type': 'object'}, description="""Get the ETH balance of a wallet"""), # crazyrabbitLTC/MCP Ethers Wallet/getWalletBalance
    Tool(name="""MCP Ethers Wallet_getERC20Balance""", inputSchema={'properties': {'address': {'description': 'The Ethereum address to query', 'type': 'string'}, 'chainId': {'description': "Optional. The chain ID to use. If provided with a named network and they don't match, the RPC's chain ID will be used.", 'type': 'number'}, 'provider': {'description': 'Optional. Either a network name or custom RPC URL. Use getSupportedNetworks to get a list of supported networks.', 'type': 'string'}, 'tokenAddress': {'description': 'The address of the ERC20 token contract', 'type': 'string'}}, 'required': ['address', 'tokenAddress'], 'type': 'object'}, description="""Get the ERC20 token balance of a wallet"""), # crazyrabbitLTC/MCP Ethers Wallet/getERC20Balance
    Tool(name="""MCP Ethers Wallet_getWalletTransactionCount""", inputSchema={'properties': {'address': {'description': 'The Ethereum address to query', 'type': 'string'}, 'chainId': {'description': "Optional. The chain ID to use. If provided with a named network and they don't match, the RPC's chain ID will be used.", 'type': 'number'}, 'provider': {'description': 'Optional. Either a network name or custom RPC URL. Use getSupportedNetworks to get a list of supported networks.', 'type': 'string'}}, 'required': ['address'], 'type': 'object'}, description="""Get the number of transactions ever sent by an address"""), # crazyrabbitLTC/MCP Ethers Wallet/getWalletTransactionCount
    Tool(name="""MCP Ethers Wallet_getBlockNumber""", inputSchema={'properties': {'chainId': {'description': "Optional. The chain ID to use. If provided with a named network and they don't match, the RPC's chain ID will be used.", 'type': 'number'}, 'provider': {'description': 'Optional. Either a network name or custom RPC URL. Use getSupportedNetworks to get a list of supported networks.', 'type': 'string'}}, 'type': 'object'}, description="""Get the current block number"""), # crazyrabbitLTC/MCP Ethers Wallet/getBlockNumber
    Tool(name="""MCP Ethers Wallet_getBlockDetails""", inputSchema={'properties': {'blockTag': {'description': "The block number or the string 'latest'", 'type': ['string', 'number']}, 'chainId': {'description': "Optional. The chain ID to use. If provided with a named network and they don't match, the RPC's chain ID will be used.", 'type': 'number'}, 'provider': {'description': 'Optional. Either a network name or custom RPC URL. Use getSupportedNetworks to get a list of supported networks.', 'type': 'string'}}, 'required': ['blockTag'], 'type': 'object'}, description="""Get details about a block"""), # crazyrabbitLTC/MCP Ethers Wallet/getBlockDetails
    Tool(name="""MCP Ethers Wallet_getTransactionDetails""", inputSchema={'properties': {'chainId': {'description': "Optional. The chain ID to use. If provided with a named network and they don't match, the RPC's chain ID will be used.", 'type': 'number'}, 'provider': {'description': 'Optional. Either a network name or custom RPC URL. Use getSupportedNetworks to get a list of supported networks.', 'type': 'string'}, 'txHash': {'description': 'The transaction hash to lookup', 'type': 'string'}}, 'required': ['txHash'], 'type': 'object'}, description="""Get details about a transaction"""), # crazyrabbitLTC/MCP Ethers Wallet/getTransactionDetails
    Tool(name="""MCP Ethers Wallet_getGasPrice""", inputSchema={'properties': {'chainId': {'description': "Optional. The chain ID to use. If provided with a named network and they don't match, the RPC's chain ID will be used.", 'type': 'number'}, 'provider': {'description': 'Optional. Either a network name or custom RPC URL. Use getSupportedNetworks to get a list of supported networks.', 'type': 'string'}}, 'type': 'object'}, description="""Get the current gas price"""), # crazyrabbitLTC/MCP Ethers Wallet/getGasPrice
    Tool(name="""MCP Ethers Wallet_getFeeData""", inputSchema={'properties': {'chainId': {'description': "Optional. The chain ID to use. If provided with a named network and they don't match, the RPC's chain ID will be used.", 'type': 'number'}, 'provider': {'description': 'Optional. Either a network name or custom RPC URL. Use getSupportedNetworks to get a list of supported networks.', 'type': 'string'}}, 'type': 'object'}, description="""Get the current network fee data"""), # crazyrabbitLTC/MCP Ethers Wallet/getFeeData
    Tool(name="""MCP Ethers Wallet_getContractCode""", inputSchema={'properties': {'address': {'description': "The contract's address", 'type': 'string'}, 'chainId': {'description': "Optional. The chain ID to use. If provided with a named network and they don't match, the RPC's chain ID will be used.", 'type': 'number'}, 'provider': {'description': 'Optional. Either a network name or custom RPC URL. Use getSupportedNetworks to get a list of supported networks.', 'type': 'string'}}, 'required': ['address'], 'type': 'object'}, description="""Get a contract's bytecode"""), # crazyrabbitLTC/MCP Ethers Wallet/getContractCode
    Tool(name="""MCP Ethers Wallet_lookupAddress""", inputSchema={'properties': {'address': {'description': 'The Ethereum address to resolve', 'type': 'string'}, 'chainId': {'description': "Optional. The chain ID to use. If provided with a named network and they don't match, the RPC's chain ID will be used.", 'type': 'number'}, 'provider': {'description': 'Optional. Either a network name or custom RPC URL. Use getSupportedNetworks to get a list of supported networks.', 'type': 'string'}}, 'required': ['address'], 'type': 'object'}, description="""Get the ENS name for an address"""), # crazyrabbitLTC/MCP Ethers Wallet/lookupAddress
    Tool(name="""MCP Ethers Wallet_resolveName""", inputSchema={'properties': {'chainId': {'description': "Optional. The chain ID to use. If provided with a named network and they don't match, the RPC's chain ID will be used.", 'type': 'number'}, 'name': {'description': 'The ENS name to resolve', 'type': 'string'}, 'provider': {'description': 'Optional. Either a network name or custom RPC URL. Use getSupportedNetworks to get a list of supported networks.', 'type': 'string'}}, 'required': ['name'], 'type': 'object'}, description="""Get the address for an ENS name"""), # crazyrabbitLTC/MCP Ethers Wallet/resolveName
    Tool(name="""MCP Ethers Wallet_formatEther""", inputSchema={'properties': {'wei': {'description': 'The wei value to format', 'type': 'string'}}, 'required': ['wei'], 'type': 'object'}, description="""Convert a wei value to a decimal string in ether"""), # crazyrabbitLTC/MCP Ethers Wallet/formatEther
    Tool(name="""MCP Ethers Wallet_parseEther""", inputSchema={'properties': {'ether': {'description': 'The ether value to parse', 'type': 'string'}}, 'required': ['ether'], 'type': 'object'}, description="""Convert an ether value to wei"""), # crazyrabbitLTC/MCP Ethers Wallet/parseEther
    Tool(name="""MCP Ethers Wallet_formatUnits""", inputSchema={'properties': {'unit': {'description': "The number of decimals or unit name (e.g., 'gwei', 18)", 'type': ['string', 'number']}, 'value': {'description': 'The value to format', 'type': 'string'}}, 'required': ['value', 'unit'], 'type': 'object'}, description="""Convert a value to a decimal string with specified units"""), # crazyrabbitLTC/MCP Ethers Wallet/formatUnits
    Tool(name="""MCP Ethers Wallet_parseUnits""", inputSchema={'properties': {'unit': {'description': "The number of decimals or unit name (e.g., 'gwei', 18)", 'type': ['string', 'number']}, 'value': {'description': 'The decimal string to parse', 'type': 'string'}}, 'required': ['value', 'unit'], 'type': 'object'}, description="""Convert a decimal string to its smallest unit representation"""), # crazyrabbitLTC/MCP Ethers Wallet/parseUnits
    Tool(name="""MCP Ethers Wallet_sendTransaction""", inputSchema={'properties': {'data': {'description': 'Optional. Data to include in the transaction', 'type': 'string'}, 'provider': {'description': 'Optional. Either a network name or custom RPC URL. Use getSupportedNetworks to get a list of supported networks.', 'type': 'string'}, 'to': {'description': 'The recipient address', 'type': 'string'}, 'value': {'description': 'The amount of ETH to send', 'type': 'string'}}, 'required': ['to', 'value'], 'type': 'object'}, description="""Send ETH from the server's wallet to a recipient"""), # crazyrabbitLTC/MCP Ethers Wallet/sendTransaction
    Tool(name="""MCP Ethers Wallet_signMessage""", inputSchema={'properties': {'message': {'description': 'The message to sign', 'type': 'string'}, 'provider': {'description': 'Optional. Either a network name or custom RPC URL. Use getSupportedNetworks to get a list of supported networks.', 'type': 'string'}}, 'required': ['message'], 'type': 'object'}, description="""Sign a message using the server's wallet"""), # crazyrabbitLTC/MCP Ethers Wallet/signMessage
    Tool(name="""MCP Ethers Wallet_contractCall""", inputSchema={'properties': {'abi': {'description': 'The ABI of the contract as a JSON string', 'type': 'string'}, 'args': {'description': 'The arguments to pass to the method', 'items': {'type': 'any'}, 'type': 'array'}, 'chainId': {'description': "Optional. The chain ID to use for the call. If provided, will verify it matches the provider's network.", 'type': 'number'}, 'contractAddress': {'description': 'The address of the contract to call', 'type': 'string'}, 'method': {'description': 'The name of the method to call', 'type': 'string'}, 'provider': {'description': 'Optional. Either a network name or custom RPC URL. Use getSupportedNetworks to get a list of supported networks.', 'type': 'string'}}, 'required': ['contractAddress', 'abi', 'method'], 'type': 'object'}, description="""Call a view/pure method on a smart contract (read-only operations)"""), # crazyrabbitLTC/MCP Ethers Wallet/contractCall
    Tool(name="""MCP Ethers Wallet_contractCallView""", inputSchema={'properties': {'abi': {'description': 'The ABI of the contract as a JSON string', 'type': 'string'}, 'args': {'description': 'The arguments to pass to the method', 'items': {'type': 'any'}, 'type': 'array'}, 'chainId': {'description': "Optional. The chain ID to use for the call. If provided, will verify it matches the provider's network.", 'type': 'number'}, 'contractAddress': {'description': 'The address of the contract to call', 'type': 'string'}, 'method': {'description': 'The name of the method to call (must be a view/pure function)', 'type': 'string'}, 'provider': {'description': 'Optional. Either a network name or custom RPC URL. Use getSupportedNetworks to get a list of supported networks.', 'type': 'string'}}, 'required': ['contractAddress', 'abi', 'method'], 'type': 'object'}, description="""Call a view/pure method on a smart contract (read-only operations)"""), # crazyrabbitLTC/MCP Ethers Wallet/contractCallView
    Tool(name="""MCP Ethers Wallet_contractCallWithEstimate""", inputSchema={'properties': {'abi': {'description': 'The ABI of the contract as a JSON string', 'type': 'string'}, 'contractAddress': {'description': 'The address of the smart contract', 'type': 'string'}, 'method': {'description': 'The method name to invoke', 'type': 'string'}, 'methodArgs': {'description': 'An array of arguments to pass to the method', 'items': {'type': ['string', 'number', 'boolean', 'object']}, 'type': 'array'}, 'provider': {'description': 'Optional. Either a network name or custom RPC URL. Use getSupportedNetworks to get a list of supported networks.', 'type': 'string'}, 'value': {'description': 'Optional. The amount of ETH to send with the call', 'type': 'string'}}, 'required': ['contractAddress', 'abi', 'method'], 'type': 'object'}, description="""Call a method on a smart contract with automatic gas estimation"""), # crazyrabbitLTC/MCP Ethers Wallet/contractCallWithEstimate
    Tool(name="""MCP Ethers Wallet_contractSendTransaction""", inputSchema={'properties': {'abi': {'description': 'The ABI of the contract as a JSON string', 'type': 'string'}, 'contractAddress': {'description': 'The address of the smart contract', 'type': 'string'}, 'gasLimit': {'description': 'Optional. The gas limit for the transaction', 'type': 'string'}, 'method': {'description': 'The method name to invoke', 'type': 'string'}, 'methodArgs': {'description': 'An array of arguments to pass to the method', 'items': {'type': ['string', 'number', 'boolean', 'object']}, 'type': 'array'}, 'provider': {'description': 'Optional. Either a network name or custom RPC URL. Use getSupportedNetworks to get a list of supported networks.', 'type': 'string'}, 'value': {'description': 'Optional. The amount of ETH to send with the call', 'type': 'string'}}, 'required': ['contractAddress', 'abi', 'method'], 'type': 'object'}, description="""Call a method on a smart contract and send a transaction with custom parameters"""), # crazyrabbitLTC/MCP Ethers Wallet/contractSendTransaction
    Tool(name="""MCP Ethers Wallet_contractSendTransactionWithEstimate""", inputSchema={'properties': {'abi': {'description': 'The ABI of the contract as a JSON string', 'type': 'string'}, 'contractAddress': {'description': 'The address of the smart contract', 'type': 'string'}, 'method': {'description': 'The method name to invoke', 'type': 'string'}, 'methodArgs': {'description': 'An array of arguments to pass to the method', 'items': {'type': ['string', 'number', 'boolean', 'object']}, 'type': 'array'}, 'provider': {'description': 'Optional. Either a network name or custom RPC URL. Use getSupportedNetworks to get a list of supported networks.', 'type': 'string'}, 'value': {'description': 'Optional. The amount of ETH to send with the call', 'type': 'string'}}, 'required': ['contractAddress', 'abi', 'method'], 'type': 'object'}, description="""Call a method on a smart contract and send a transaction with automatic gas estimation"""), # crazyrabbitLTC/MCP Ethers Wallet/contractSendTransactionWithEstimate
    Tool(name="""MCP Ethers Wallet_contractCallWithOverrides""", inputSchema={'properties': {'abi': {'description': 'The ABI of the contract as a JSON string', 'type': 'string'}, 'contractAddress': {'description': 'The address of the smart contract', 'type': 'string'}, 'gasLimit': {'description': 'Optional. A manual gas limit for the transaction', 'type': 'string'}, 'gasPrice': {'description': 'Optional. A manual gas price for legacy transactions', 'type': 'string'}, 'method': {'description': 'The method name to invoke', 'type': 'string'}, 'methodArgs': {'description': 'An array of arguments to pass to the method', 'items': {'type': ['string', 'number', 'boolean', 'object']}, 'type': 'array'}, 'nonce': {'description': 'Optional. A manual nonce for the transaction', 'type': 'number'}, 'provider': {'description': 'Optional. Either a network name or custom RPC URL. Use getSupportedNetworks to get a list of supported networks.', 'type': 'string'}, 'value': {'description': 'Optional. The amount of ETH to send with the call', 'type': 'string'}}, 'required': ['contractAddress', 'abi', 'method'], 'type': 'object'}, description="""Call a method on a smart contract with advanced options"""), # crazyrabbitLTC/MCP Ethers Wallet/contractCallWithOverrides
    Tool(name="""MCP Ethers Wallet_contractSendTransactionWithOverrides""", inputSchema={'properties': {'abi': {'description': 'The ABI of the contract as a JSON string', 'type': 'string'}, 'contractAddress': {'description': 'The address of the smart contract', 'type': 'string'}, 'gasLimit': {'description': 'Optional. The gas limit for the transaction', 'type': 'string'}, 'gasPrice': {'description': 'Optional. A manual gas price for legacy transactions', 'type': 'string'}, 'method': {'description': 'The method name to invoke', 'type': 'string'}, 'methodArgs': {'description': 'An array of arguments to pass to the method', 'items': {'type': ['string', 'number', 'boolean', 'object']}, 'type': 'array'}, 'nonce': {'description': 'Optional. A manual nonce for the transaction', 'type': 'number'}, 'provider': {'description': 'Optional. Either a network name or custom RPC URL. Use getSupportedNetworks to get a list of supported networks.', 'type': 'string'}, 'value': {'description': 'Optional. The amount of ETH to send with the call', 'type': 'string'}}, 'required': ['contractAddress', 'abi', 'method'], 'type': 'object'}, description="""Call a method on a smart contract and send a transaction with custom parameters"""), # crazyrabbitLTC/MCP Ethers Wallet/contractSendTransactionWithOverrides
    Tool(name="""MCP Ethers Wallet_sendRawTransaction""", inputSchema={'properties': {'provider': {'description': 'Optional. Either a network name or custom RPC URL. Use getSupportedNetworks to get a list of supported networks.', 'type': 'string'}, 'signedTransaction': {'description': 'A fully serialized and signed transaction', 'type': 'string'}}, 'required': ['signedTransaction'], 'type': 'object'}, description="""Send a raw transaction"""), # crazyrabbitLTC/MCP Ethers Wallet/sendRawTransaction
    Tool(name="""MCP Ethers Wallet_queryLogs""", inputSchema={'properties': {'address': {'description': 'The contract address emitting the events (optional).', 'type': 'string'}, 'fromBlock': {'description': 'The starting block number (optional).', 'type': ['string', 'number']}, 'provider': {'description': 'Optional. Either a network name or custom RPC URL. Use getSupportedNetworks to get a list of supported networks.', 'type': 'string'}, 'toBlock': {'description': 'The ending block number (optional).', 'type': ['string', 'number']}, 'topics': {'description': 'A list of topics to filter by. Each item can be a string, null, or an array of strings (optional)', 'items': {'items': {'type': 'string'}, 'type': ['string', 'null', 'array']}, 'type': 'array'}}, 'type': 'object'}, description="""Query historical logs"""), # crazyrabbitLTC/MCP Ethers Wallet/queryLogs
    Tool(name="""MCP Ethers Wallet_contractEvents""", inputSchema={'properties': {'abi': {'description': 'The ABI of the contract as a JSON string', 'type': 'string'}, 'contractAddress': {'description': 'The address of the contract to query events from', 'type': 'string'}, 'eventName': {'description': 'The name of the event to look for. (Optional).', 'type': 'string'}, 'fromBlock': {'description': 'The starting block number (optional).', 'type': ['string', 'number']}, 'provider': {'description': 'Optional. Either a network name or custom RPC URL. Use getSupportedNetworks to get a list of supported networks.', 'type': 'string'}, 'toBlock': {'description': 'The ending block number (optional).', 'type': ['string', 'number']}, 'topics': {'description': 'A list of topics to filter by. Each item can be a string, null, or an array of strings (optional)', 'items': {'items': {'type': 'string'}, 'type': ['string', 'null', 'array']}, 'type': 'array'}}, 'required': ['contractAddress', 'abi'], 'type': 'object'}, description="""Query historical events from a contract"""), # crazyrabbitLTC/MCP Ethers Wallet/contractEvents
    Tool(name="""MCP Ethers Wallet_sendTransactionWithOptions""", inputSchema={'properties': {'chainId': {'description': "Optional. The chain ID to use for the transaction. If provided, will verify it matches the provider's network.", 'type': 'number'}, 'data': {'description': 'Optional. Data to include in the transaction', 'type': 'string'}, 'gasLimit': {'description': 'Optional. The gas limit for the transaction', 'type': 'string'}, 'gasPrice': {'description': 'Optional. The gas price in gwei', 'type': 'string'}, 'nonce': {'description': 'Optional. The nonce to use for the transaction', 'type': 'number'}, 'provider': {'description': 'Optional. Either a network name or custom RPC URL. Use getSupportedNetworks to get a list of supported networks.', 'type': 'string'}, 'to': {'description': 'The recipient address', 'type': 'string'}, 'value': {'description': 'The amount of ETH to send', 'type': 'string'}}, 'required': ['to', 'value'], 'type': 'object'}, description="""Send a transaction with advanced options including gas limit, gas price, and nonce"""), # crazyrabbitLTC/MCP Ethers Wallet/sendTransactionWithOptions
    Tool(name="""MCP Ethers Wallet_getTransactionsByBlock""", inputSchema={'properties': {'blockTag': {'description': "The block number or the string 'latest'", 'type': ['string', 'number']}, 'chainId': {'description': "Optional. The chain ID to use. If provided with a named network and they don't match, the RPC's chain ID will be used.", 'type': 'number'}, 'provider': {'description': 'Optional. Either a network name or custom RPC URL. Use getSupportedNetworks to get a list of supported networks.', 'type': 'string'}}, 'required': ['blockTag'], 'type': 'object'}, description="""Get details about transactions in a specific block."""), # crazyrabbitLTC/MCP Ethers Wallet/getTransactionsByBlock
    Tool(name="""ABAP-ADT-API MCP-Server_hasTransportConfig""", inputSchema={'properties': {}, 'type': 'object'}, description="""Check if transport configuration exists"""), # mario-andreschak/ABAP-ADT-API MCP-Server/hasTransportConfig
    Tool(name="""ABAP-ADT-API MCP-Server_transportConfigurations""", inputSchema={'properties': {}, 'type': 'object'}, description="""Retrieves transport configurations."""), # mario-andreschak/ABAP-ADT-API MCP-Server/transportConfigurations
    Tool(name="""ABAP-ADT-API MCP-Server_getTransportConfiguration""", inputSchema={'properties': {'url': {'description': 'The URL of the transport configuration.', 'type': 'string'}}, 'required': ['url'], 'type': 'object'}, description="""Retrieves a specific transport configuration."""), # mario-andreschak/ABAP-ADT-API MCP-Server/getTransportConfiguration
    Tool(name="""ABAP-ADT-API MCP-Server_fixProposals""", inputSchema={'properties': {'column': {'type': 'number'}, 'line': {'type': 'number'}, 'source': {'type': 'string'}, 'url': {'type': 'string'}}, 'required': ['url', 'source', 'line', 'column'], 'type': 'object'}, description="""Retrieves fix proposals."""), # mario-andreschak/ABAP-ADT-API MCP-Server/fixProposals
    Tool(name="""ABAP-ADT-API MCP-Server_login""", inputSchema={'properties': {}, 'type': 'object'}, description="""Authenticate with ABAP system"""), # mario-andreschak/ABAP-ADT-API MCP-Server/login
    Tool(name="""ABAP-ADT-API MCP-Server_logout""", inputSchema={'properties': {}, 'type': 'object'}, description="""Terminate ABAP session"""), # mario-andreschak/ABAP-ADT-API MCP-Server/logout
    Tool(name="""ABAP-ADT-API MCP-Server_dropSession""", inputSchema={'properties': {}, 'type': 'object'}, description="""Clear local session cache"""), # mario-andreschak/ABAP-ADT-API MCP-Server/dropSession
    Tool(name="""ABAP-ADT-API MCP-Server_transportInfo""", inputSchema={'properties': {'devClass': {'description': 'Development class', 'optional': True, 'type': 'string'}, 'objSourceUrl': {'description': 'URL of the object source', 'type': 'string'}, 'operation': {'description': 'Transport operation', 'optional': True, 'type': 'string'}}, 'required': ['objSourceUrl'], 'type': 'object'}, description="""Get transport information for an object source"""), # mario-andreschak/ABAP-ADT-API MCP-Server/transportInfo
    Tool(name="""ABAP-ADT-API MCP-Server_createTransport""", inputSchema={'properties': {'DEVCLASS': {'description': 'Development class', 'type': 'string'}, 'REQUEST_TEXT': {'description': 'Description of the transport request', 'type': 'string'}, 'objSourceUrl': {'description': 'URL of the object source', 'type': 'string'}, 'transportLayer': {'description': 'Transport layer', 'optional': True, 'type': 'string'}}, 'required': ['objSourceUrl', 'REQUEST_TEXT', 'DEVCLASS'], 'type': 'object'}, description="""Create a new transport request"""), # mario-andreschak/ABAP-ADT-API MCP-Server/createTransport
    Tool(name="""ABAP-ADT-API MCP-Server_setTransportsConfig""", inputSchema={'properties': {'config': {'description': 'The transport configuration.', 'type': 'string'}, 'etag': {'description': 'The ETag for the transport configuration.', 'type': 'string'}, 'uri': {'description': 'The URI for the transport configuration.', 'type': 'string'}}, 'required': ['uri', 'etag', 'config'], 'type': 'object'}, description="""Sets transport configurations."""), # mario-andreschak/ABAP-ADT-API MCP-Server/setTransportsConfig
    Tool(name="""ABAP-ADT-API MCP-Server_createTransportsConfig""", inputSchema={'properties': {}, 'type': 'object'}, description="""Creates transport configurations."""), # mario-andreschak/ABAP-ADT-API MCP-Server/createTransportsConfig
    Tool(name="""ABAP-ADT-API MCP-Server_userTransports""", inputSchema={'properties': {'targets': {'description': 'Whether to include target systems.', 'optional': True, 'type': 'boolean'}, 'user': {'description': 'The user.', 'type': 'string'}}, 'required': ['user'], 'type': 'object'}, description="""Retrieves transports for a user."""), # mario-andreschak/ABAP-ADT-API MCP-Server/userTransports
    Tool(name="""ABAP-ADT-API MCP-Server_transportsByConfig""", inputSchema={'properties': {'configUri': {'description': 'The configuration URI.', 'type': 'string'}, 'targets': {'description': 'Whether to include target systems.', 'optional': True, 'type': 'boolean'}}, 'required': ['configUri'], 'type': 'object'}, description="""Retrieves transports by configuration."""), # mario-andreschak/ABAP-ADT-API MCP-Server/transportsByConfig
    Tool(name="""ABAP-ADT-API MCP-Server_transportDelete""", inputSchema={'properties': {'transportNumber': {'description': 'The transport number.', 'type': 'string'}}, 'required': ['transportNumber'], 'type': 'object'}, description="""Deletes a transport."""), # mario-andreschak/ABAP-ADT-API MCP-Server/transportDelete
    Tool(name="""ABAP-ADT-API MCP-Server_transportRelease""", inputSchema={'properties': {'IgnoreATC': {'description': 'Whether to ignore ATC checks.', 'optional': True, 'type': 'boolean'}, 'ignoreLocks': {'description': 'Whether to ignore locks.', 'optional': True, 'type': 'boolean'}, 'transportNumber': {'description': 'The transport number.', 'type': 'string'}}, 'required': ['transportNumber'], 'type': 'object'}, description="""Releases a transport."""), # mario-andreschak/ABAP-ADT-API MCP-Server/transportRelease
    Tool(name="""ABAP-ADT-API MCP-Server_transportSetOwner""", inputSchema={'properties': {'targetuser': {'description': 'The target user.', 'type': 'string'}, 'transportNumber': {'description': 'The transport number.', 'type': 'string'}}, 'required': ['transportNumber', 'targetuser'], 'type': 'object'}, description="""Sets the owner of a transport."""), # mario-andreschak/ABAP-ADT-API MCP-Server/transportSetOwner
    Tool(name="""ABAP-ADT-API MCP-Server_transportAddUser""", inputSchema={'properties': {'transportNumber': {'description': 'The transport number.', 'type': 'string'}, 'user': {'description': 'The user to add.', 'type': 'string'}}, 'required': ['transportNumber', 'user'], 'type': 'object'}, description="""Adds a user to a transport."""), # mario-andreschak/ABAP-ADT-API MCP-Server/transportAddUser
    Tool(name="""ABAP-ADT-API MCP-Server_systemUsers""", inputSchema={'properties': {}, 'type': 'object'}, description="""Retrieves a list of system users."""), # mario-andreschak/ABAP-ADT-API MCP-Server/systemUsers
    Tool(name="""ABAP-ADT-API MCP-Server_transportReference""", inputSchema={'properties': {'obj_name': {'description': 'The object name.', 'type': 'string'}, 'obj_wbtype': {'description': 'The object type.', 'type': 'string'}, 'pgmid': {'description': 'The program ID.', 'type': 'string'}, 'tr_number': {'description': 'The transport number.', 'optional': True, 'type': 'string'}}, 'required': ['pgmid', 'obj_wbtype', 'obj_name'], 'type': 'object'}, description="""Retrieves a transport reference."""), # mario-andreschak/ABAP-ADT-API MCP-Server/transportReference
    Tool(name="""ABAP-ADT-API MCP-Server_objectStructure""", inputSchema={'properties': {'objectUrl': {'description': 'URL of the object', 'type': 'string'}, 'version': {'description': 'Version of the object', 'optional': True, 'type': 'string'}}, 'required': ['objectUrl'], 'type': 'object'}, description="""Get object structure details"""), # mario-andreschak/ABAP-ADT-API MCP-Server/objectStructure
    Tool(name="""ABAP-ADT-API MCP-Server_searchObject""", inputSchema={'properties': {'max': {'description': 'Maximum number of results', 'optional': True, 'type': 'number'}, 'objType': {'description': 'Object type filter', 'optional': True, 'type': 'string'}, 'query': {'description': 'Search query string', 'type': 'string'}}, 'required': ['query'], 'type': 'object'}, description="""Search for objects"""), # mario-andreschak/ABAP-ADT-API MCP-Server/searchObject
    Tool(name="""ABAP-ADT-API MCP-Server_findObjectPath""", inputSchema={'properties': {'objectUrl': {'description': 'URL of the object to find path for', 'type': 'string'}}, 'required': ['objectUrl'], 'type': 'object'}, description="""Find path for an object"""), # mario-andreschak/ABAP-ADT-API MCP-Server/findObjectPath
    Tool(name="""ABAP-ADT-API MCP-Server_fixEdits""", inputSchema={'properties': {'proposal': {'type': 'string'}, 'source': {'type': 'string'}}, 'required': ['proposal', 'source'], 'type': 'object'}, description="""Applies fix edits."""), # mario-andreschak/ABAP-ADT-API MCP-Server/fixEdits
    Tool(name="""ABAP-ADT-API MCP-Server_unLock""", inputSchema={'properties': {'lockHandle': {'description': 'Lock handle obtained from previous lock operation', 'type': 'string'}, 'objectUrl': {'description': 'URL of the object to unlock', 'type': 'string'}}, 'required': ['objectUrl', 'lockHandle'], 'type': 'object'}, description="""Unlock an object"""), # mario-andreschak/ABAP-ADT-API MCP-Server/unLock
    Tool(name="""ABAP-ADT-API MCP-Server_getObjectSource""", inputSchema={'properties': {'objectSourceUrl': {'type': 'string'}, 'options': {'type': 'string'}}, 'required': ['objectSourceUrl'], 'type': 'object'}, description="""Retrieves source code for ABAP objects"""), # mario-andreschak/ABAP-ADT-API MCP-Server/getObjectSource
    Tool(name="""ABAP-ADT-API MCP-Server_objectTypes""", inputSchema={'properties': {}, 'type': 'object'}, description="""Retrieves object types."""), # mario-andreschak/ABAP-ADT-API MCP-Server/objectTypes
    Tool(name="""ABAP-ADT-API MCP-Server_reentranceTicket""", inputSchema={'properties': {}, 'type': 'object'}, description="""Retrieves a reentrance ticket."""), # mario-andreschak/ABAP-ADT-API MCP-Server/reentranceTicket
    Tool(name="""ABAP-ADT-API MCP-Server_classIncludes""", inputSchema={'properties': {'clas': {'description': 'The class name', 'type': 'string'}}, 'required': ['clas'], 'type': 'object'}, description="""Get class includes structure"""), # mario-andreschak/ABAP-ADT-API MCP-Server/classIncludes
    Tool(name="""ABAP-ADT-API MCP-Server_classComponents""", inputSchema={'properties': {'url': {'description': 'The URL of the class', 'type': 'string'}}, 'required': ['url'], 'type': 'object'}, description="""List class components"""), # mario-andreschak/ABAP-ADT-API MCP-Server/classComponents
    Tool(name="""ABAP-ADT-API MCP-Server_createTestInclude""", inputSchema={'properties': {'clas': {'description': 'The class name', 'type': 'string'}, 'lockHandle': {'description': 'The lock handle', 'type': 'string'}, 'transport': {'description': 'The transport number', 'optional': True, 'type': 'string'}}, 'required': ['clas', 'lockHandle'], 'type': 'object'}, description="""Create test include for class"""), # mario-andreschak/ABAP-ADT-API MCP-Server/createTestInclude
    Tool(name="""ABAP-ADT-API MCP-Server_syntaxCheckCode""", inputSchema={'properties': {'code': {'type': 'string'}, 'mainProgram': {'optional': True, 'type': 'string'}, 'mainUrl': {'optional': True, 'type': 'string'}, 'url': {'optional': True, 'type': 'string'}, 'version': {'optional': True, 'type': 'string'}}, 'required': ['code'], 'type': 'object'}, description="""Perform ABAP syntax check with source code"""), # mario-andreschak/ABAP-ADT-API MCP-Server/syntaxCheckCode
    Tool(name="""ABAP-ADT-API MCP-Server_syntaxCheckCdsUrl""", inputSchema={'properties': {'cdsUrl': {'type': 'string'}}, 'required': ['cdsUrl'], 'type': 'object'}, description="""Perform ABAP syntax check with CDS URL"""), # mario-andreschak/ABAP-ADT-API MCP-Server/syntaxCheckCdsUrl
    Tool(name="""ABAP-ADT-API MCP-Server_codeCompletion""", inputSchema={'properties': {'column': {'type': 'number'}, 'line': {'type': 'number'}, 'source': {'type': 'string'}, 'sourceUrl': {'type': 'string'}}, 'required': ['sourceUrl', 'source', 'line', 'column'], 'type': 'object'}, description="""Get code completion suggestions"""), # mario-andreschak/ABAP-ADT-API MCP-Server/codeCompletion
    Tool(name="""ABAP-ADT-API MCP-Server_findDefinition""", inputSchema={'properties': {'endCol': {'type': 'number'}, 'implementation': {'optional': True, 'type': 'boolean'}, 'line': {'type': 'number'}, 'mainProgram': {'optional': True, 'type': 'string'}, 'source': {'type': 'string'}, 'startCol': {'type': 'number'}, 'url': {'type': 'string'}}, 'required': ['url', 'source', 'line', 'startCol', 'endCol'], 'type': 'object'}, description="""Find symbol definition"""), # mario-andreschak/ABAP-ADT-API MCP-Server/findDefinition
    Tool(name="""ABAP-ADT-API MCP-Server_usageReferences""", inputSchema={'properties': {'column': {'optional': True, 'type': 'number'}, 'line': {'optional': True, 'type': 'number'}, 'url': {'type': 'string'}}, 'required': ['url'], 'type': 'object'}, description="""Find symbol references"""), # mario-andreschak/ABAP-ADT-API MCP-Server/usageReferences
    Tool(name="""ABAP-ADT-API MCP-Server_syntaxCheckTypes""", inputSchema={'properties': {}, 'type': 'object'}, description="""Retrieves syntax check types."""), # mario-andreschak/ABAP-ADT-API MCP-Server/syntaxCheckTypes
    Tool(name="""ABAP-ADT-API MCP-Server_codeCompletionFull""", inputSchema={'properties': {'column': {'type': 'number'}, 'line': {'type': 'number'}, 'patternKey': {'type': 'string'}, 'source': {'type': 'string'}, 'sourceUrl': {'type': 'string'}}, 'required': ['sourceUrl', 'source', 'line', 'column', 'patternKey'], 'type': 'object'}, description="""Performs full code completion."""), # mario-andreschak/ABAP-ADT-API MCP-Server/codeCompletionFull
    Tool(name="""ABAP-ADT-API MCP-Server_runClass""", inputSchema={'properties': {'className': {'type': 'string'}}, 'required': ['className'], 'type': 'object'}, description="""Runs a class."""), # mario-andreschak/ABAP-ADT-API MCP-Server/runClass
    Tool(name="""ABAP-ADT-API MCP-Server_codeCompletionElement""", inputSchema={'properties': {'column': {'type': 'number'}, 'line': {'type': 'number'}, 'source': {'type': 'string'}, 'sourceUrl': {'type': 'string'}}, 'required': ['sourceUrl', 'source', 'line', 'column'], 'type': 'object'}, description="""Retrieves code completion element information."""), # mario-andreschak/ABAP-ADT-API MCP-Server/codeCompletionElement
    Tool(name="""ABAP-ADT-API MCP-Server_usageReferenceSnippets""", inputSchema={'properties': {'references': {'type': 'array'}}, 'required': ['references'], 'type': 'object'}, description="""Retrieves usage reference snippets."""), # mario-andreschak/ABAP-ADT-API MCP-Server/usageReferenceSnippets
    Tool(name="""ABAP-ADT-API MCP-Server_fragmentMappings""", inputSchema={'properties': {'name': {'type': 'string'}, 'type': {'type': 'string'}, 'url': {'type': 'string'}}, 'required': ['url', 'type', 'name'], 'type': 'object'}, description="""Retrieves fragment mappings."""), # mario-andreschak/ABAP-ADT-API MCP-Server/fragmentMappings
    Tool(name="""ABAP-ADT-API MCP-Server_abapDocumentation""", inputSchema={'properties': {'body': {'type': 'string'}, 'column': {'type': 'number'}, 'language': {'optional': True, 'type': 'string'}, 'line': {'type': 'number'}, 'objectUri': {'type': 'string'}}, 'required': ['objectUri', 'body', 'line', 'column'], 'type': 'object'}, description="""Retrieves ABAP documentation."""), # mario-andreschak/ABAP-ADT-API MCP-Server/abapDocumentation
    Tool(name="""ABAP-ADT-API MCP-Server_lock""", inputSchema={'properties': {'accessMode': {'description': 'Access mode for the lock', 'optional': True, 'type': 'string'}, 'objectUrl': {'description': 'URL of the object to lock', 'type': 'string'}}, 'required': ['objectUrl'], 'type': 'object'}, description="""Lock an object"""), # mario-andreschak/ABAP-ADT-API MCP-Server/lock
    Tool(name="""ABAP-ADT-API MCP-Server_setObjectSource""", inputSchema={'properties': {'lockHandle': {'type': 'string'}, 'objectSourceUrl': {'type': 'string'}, 'source': {'type': 'string'}, 'transport': {'type': 'string'}}, 'required': ['objectSourceUrl', 'source', 'lockHandle'], 'type': 'object'}, description="""Sets source code for ABAP objects"""), # mario-andreschak/ABAP-ADT-API MCP-Server/setObjectSource
    Tool(name="""ABAP-ADT-API MCP-Server_deleteObject""", inputSchema={'properties': {'lockHandle': {'description': 'Lock handle for the object', 'type': 'string'}, 'objectUrl': {'description': 'URL of the object to delete', 'type': 'string'}, 'transport': {'description': 'Transport request number', 'optional': True, 'type': 'string'}}, 'required': ['objectUrl', 'lockHandle'], 'type': 'object'}, description="""Deletes an ABAP object from the system"""), # mario-andreschak/ABAP-ADT-API MCP-Server/deleteObject
    Tool(name="""ABAP-ADT-API MCP-Server_activateObjects""", inputSchema={'properties': {'objects': {'description': 'JSON array of objects to activate. Each object must have adtcore:uri, adtcore:type, adtcore:name, and adtcore:parentUri properties', 'type': 'string'}, 'preauditRequested': {'description': 'Whether to perform pre-audit checks', 'optional': True, 'type': 'boolean'}}, 'required': ['objects'], 'type': 'object'}, description="""Activate ABAP objects using object references"""), # mario-andreschak/ABAP-ADT-API MCP-Server/activateObjects
    Tool(name="""ABAP-ADT-API MCP-Server_activateByName""", inputSchema={'properties': {'mainInclude': {'description': 'Main include context', 'optional': True, 'type': 'string'}, 'objectName': {'description': 'Name of the object', 'type': 'string'}, 'objectUrl': {'description': 'URL of the object', 'type': 'string'}, 'preauditRequested': {'description': 'Whether to perform pre-audit checks', 'optional': True, 'type': 'boolean'}}, 'required': ['objectName', 'objectUrl'], 'type': 'object'}, description="""Activate an ABAP object using name and URL"""), # mario-andreschak/ABAP-ADT-API MCP-Server/activateByName
    Tool(name="""ABAP-ADT-API MCP-Server_inactiveObjects""", inputSchema={'properties': {}, 'type': 'object'}, description="""Get list of inactive objects"""), # mario-andreschak/ABAP-ADT-API MCP-Server/inactiveObjects
    Tool(name="""ABAP-ADT-API MCP-Server_objectRegistrationInfo""", inputSchema={'properties': {'objectUrl': {'type': 'string'}}, 'required': ['objectUrl'], 'type': 'object'}, description="""Get registration information for an ABAP object"""), # mario-andreschak/ABAP-ADT-API MCP-Server/objectRegistrationInfo
    Tool(name="""ABAP-ADT-API MCP-Server_validateNewObject""", inputSchema={'properties': {'options': {'type': 'string'}}, 'required': ['options'], 'type': 'object'}, description="""Validate parameters for a new ABAP object"""), # mario-andreschak/ABAP-ADT-API MCP-Server/validateNewObject
    Tool(name="""ABAP-ADT-API MCP-Server_createObject""", inputSchema={'properties': {'description': {'type': 'string'}, 'name': {'type': 'string'}, 'objtype': {'type': 'string'}, 'parentName': {'type': 'string'}, 'parentPath': {'type': 'string'}, 'responsible': {'optional': True, 'type': 'string'}, 'transport': {'optional': True, 'type': 'string'}}, 'required': ['objtype', 'name', 'parentName', 'description', 'parentPath'], 'type': 'object'}, description="""Create a new ABAP object"""), # mario-andreschak/ABAP-ADT-API MCP-Server/createObject
    Tool(name="""ABAP-ADT-API MCP-Server_nodeContents""", inputSchema={'properties': {'parent_name': {'description': 'The name of the parent node.', 'optional': True, 'type': 'string'}, 'parent_tech_name': {'description': 'The technical name of the parent node.', 'optional': True, 'type': 'string'}, 'parent_type': {'description': 'The type of the parent node.', 'type': 'string'}, 'parentnodes': {'description': 'An array of parent node IDs.', 'optional': True, 'type': 'array'}, 'rebuild_tree': {'description': 'Whether to rebuild the tree.', 'optional': True, 'type': 'boolean'}, 'user_name': {'description': 'The user name.', 'optional': True, 'type': 'string'}}, 'required': ['parent_type'], 'type': 'object'}, description="""Retrieves the contents of a node in the ABAP repository tree."""), # mario-andreschak/ABAP-ADT-API MCP-Server/nodeContents
    Tool(name="""ABAP-ADT-API MCP-Server_mainPrograms""", inputSchema={'properties': {'includeUrl': {'description': 'The URL of the include.', 'type': 'string'}}, 'required': ['includeUrl'], 'type': 'object'}, description="""Retrieves the main programs for a given include."""), # mario-andreschak/ABAP-ADT-API MCP-Server/mainPrograms
    Tool(name="""ABAP-ADT-API MCP-Server_featureDetails""", inputSchema={'properties': {'title': {'description': 'The title of the feature.', 'type': 'string'}}, 'required': ['title'], 'type': 'object'}, description="""Retrieves details for a given feature."""), # mario-andreschak/ABAP-ADT-API MCP-Server/featureDetails
    Tool(name="""ABAP-ADT-API MCP-Server_collectionFeatureDetails""", inputSchema={'properties': {'url': {'description': 'The URL of the collection feature.', 'type': 'string'}}, 'required': ['url'], 'type': 'object'}, description="""Retrieves details for a given collection feature."""), # mario-andreschak/ABAP-ADT-API MCP-Server/collectionFeatureDetails
    Tool(name="""ABAP-ADT-API MCP-Server_findCollectionByUrl""", inputSchema={'properties': {'url': {'description': 'The URL of the collection.', 'type': 'string'}}, 'required': ['url'], 'type': 'object'}, description="""Finds a collection by its URL."""), # mario-andreschak/ABAP-ADT-API MCP-Server/findCollectionByUrl
    Tool(name="""ABAP-ADT-API MCP-Server_loadTypes""", inputSchema={'properties': {}, 'type': 'object'}, description="""Loads object types."""), # mario-andreschak/ABAP-ADT-API MCP-Server/loadTypes
    Tool(name="""ABAP-ADT-API MCP-Server_adtDiscovery""", inputSchema={'properties': {}, 'type': 'object'}, description="""Performs ADT discovery."""), # mario-andreschak/ABAP-ADT-API MCP-Server/adtDiscovery
    Tool(name="""ABAP-ADT-API MCP-Server_adtCoreDiscovery""", inputSchema={'properties': {}, 'type': 'object'}, description="""Performs ADT core discovery."""), # mario-andreschak/ABAP-ADT-API MCP-Server/adtCoreDiscovery
    Tool(name="""ABAP-ADT-API MCP-Server_adtCompatibiliyGraph""", inputSchema={'properties': {}, 'type': 'object'}, description="""Retrieves the ADT compatibility graph."""), # mario-andreschak/ABAP-ADT-API MCP-Server/adtCompatibiliyGraph
    Tool(name="""ABAP-ADT-API MCP-Server_unitTestRun""", inputSchema={'properties': {'flags': {'description': 'Flags for the unit test run.', 'optional': True, 'type': 'string'}, 'url': {'description': 'The URL of the object to test.', 'type': 'string'}}, 'required': ['url'], 'type': 'object'}, description="""Runs unit tests."""), # mario-andreschak/ABAP-ADT-API MCP-Server/unitTestRun
    Tool(name="""ABAP-ADT-API MCP-Server_unitTestEvaluation""", inputSchema={'properties': {'clas': {'description': 'The class to evaluate.', 'type': 'string'}, 'flags': {'description': 'Flags for the unit test evaluation.', 'optional': True, 'type': 'string'}}, 'required': ['clas'], 'type': 'object'}, description="""Evaluates unit test results."""), # mario-andreschak/ABAP-ADT-API MCP-Server/unitTestEvaluation
    Tool(name="""ABAP-ADT-API MCP-Server_unitTestOccurrenceMarkers""", inputSchema={'properties': {'source': {'description': 'The source code.', 'type': 'string'}, 'url': {'description': 'The URL of the object.', 'type': 'string'}}, 'required': ['url', 'source'], 'type': 'object'}, description="""Retrieves unit test occurrence markers."""), # mario-andreschak/ABAP-ADT-API MCP-Server/unitTestOccurrenceMarkers
    Tool(name="""MCP LLMS.txt Explorer_check_website""", inputSchema={'properties': {'url': {'description': 'URL of the website to check', 'type': 'string'}}, 'required': ['url'], 'type': 'object'}, description="""Check if a website has llms.txt files"""), # thedaviddias/MCP LLMS.txt Explorer/check_website
    Tool(name="""MCP LLMS.txt Explorer_list_websites""", inputSchema={'properties': {'filter_llms_full_txt': {'description': 'Only show websites with llms-full.txt', 'type': 'boolean'}, 'filter_llms_txt': {'description': 'Only show websites with llms.txt', 'type': 'boolean'}}, 'type': 'object'}, description="""List known websites with llms.txt files"""), # thedaviddias/MCP LLMS.txt Explorer/list_websites
    Tool(name="""MCP DuckDB Knowledge Graph Memory Server_open_nodes""", inputSchema={'properties': {'names': {'description': 'An array of entity names to retrieve', 'items': {'type': 'string'}, 'type': 'array'}}, 'required': ['names'], 'type': 'object'}, description="""Open specific nodes in the knowledge graph by their names"""), # IzumiSy/MCP DuckDB Knowledge Graph Memory Server/open_nodes
    Tool(name="""MCP DuckDB Knowledge Graph Memory Server_delete_relations""", inputSchema={'properties': {'relations': {'description': 'An array of relations to delete', 'items': {'properties': {'from': {'description': 'The name of the entity where the relation starts', 'type': 'string'}, 'relationType': {'description': 'The type of the relation', 'type': 'string'}, 'to': {'description': 'The name of the entity where the relation ends', 'type': 'string'}}, 'required': ['from', 'to', 'relationType'], 'type': 'object'}, 'type': 'array'}}, 'required': ['relations'], 'type': 'object'}, description="""Delete multiple relations from the knowledge graph"""), # IzumiSy/MCP DuckDB Knowledge Graph Memory Server/delete_relations
    Tool(name="""MCP DuckDB Knowledge Graph Memory Server_create_entities""", inputSchema={'properties': {'entities': {'items': {'properties': {'entityType': {'description': 'The type of the entity', 'type': 'string'}, 'name': {'description': 'The name of the entity', 'type': 'string'}, 'observations': {'description': 'An array of observation contents associated with the entity', 'items': {'type': 'string'}, 'type': 'array'}}, 'required': ['name', 'entityType', 'observations'], 'type': 'object'}, 'type': 'array'}}, 'required': ['entities'], 'type': 'object'}, description="""Create multiple new entities in the knowledge graph"""), # IzumiSy/MCP DuckDB Knowledge Graph Memory Server/create_entities
    Tool(name="""MCP DuckDB Knowledge Graph Memory Server_create_relations""", inputSchema={'properties': {'relations': {'items': {'properties': {'from': {'description': 'The name of the entity where the relation starts', 'type': 'string'}, 'relationType': {'description': 'The type of the relation', 'type': 'string'}, 'to': {'description': 'The name of the entity where the relation ends', 'type': 'string'}}, 'required': ['from', 'to', 'relationType'], 'type': 'object'}, 'type': 'array'}}, 'required': ['relations'], 'type': 'object'}, description="""Create multiple new relations between entities in the knowledge graph. Relations should be in active voice"""), # IzumiSy/MCP DuckDB Knowledge Graph Memory Server/create_relations
    Tool(name="""MCP DuckDB Knowledge Graph Memory Server_add_observations""", inputSchema={'properties': {'observations': {'items': {'properties': {'contents': {'description': 'An array of observation contents to add', 'items': {'type': 'string'}, 'type': 'array'}, 'entityName': {'description': 'The name of the entity to add the observations to', 'type': 'string'}}, 'required': ['entityName', 'contents'], 'type': 'object'}, 'type': 'array'}}, 'required': ['observations'], 'type': 'object'}, description="""Add new observations to existing entities in the knowledge graph"""), # IzumiSy/MCP DuckDB Knowledge Graph Memory Server/add_observations
    Tool(name="""MCP DuckDB Knowledge Graph Memory Server_delete_entities""", inputSchema={'properties': {'entityNames': {'description': 'An array of entity names to delete', 'items': {'type': 'string'}, 'type': 'array'}}, 'required': ['entityNames'], 'type': 'object'}, description="""Delete multiple entities and their associated relations from the knowledge graph"""), # IzumiSy/MCP DuckDB Knowledge Graph Memory Server/delete_entities
    Tool(name="""MCP DuckDB Knowledge Graph Memory Server_delete_observations""", inputSchema={'properties': {'deletions': {'items': {'properties': {'entityName': {'description': 'The name of the entity containing the observations', 'type': 'string'}, 'observations': {'description': 'An array of observations to delete', 'items': {'type': 'string'}, 'type': 'array'}}, 'required': ['entityName', 'observations'], 'type': 'object'}, 'type': 'array'}}, 'required': ['deletions'], 'type': 'object'}, description="""Delete specific observations from entities in the knowledge graph"""), # IzumiSy/MCP DuckDB Knowledge Graph Memory Server/delete_observations
    Tool(name="""MCP DuckDB Knowledge Graph Memory Server_search_nodes""", inputSchema={'properties': {'query': {'description': 'The search query to match against entity names, types, and observation content', 'type': 'string'}}, 'required': ['query'], 'type': 'object'}, description="""Search for nodes in the knowledge graph based on a query"""), # IzumiSy/MCP DuckDB Knowledge Graph Memory Server/search_nodes
    Tool(name="""Powerpoint MCP Server_create-presentation""", inputSchema={'properties': {'name': {'description': 'Name of the presentation (without .pptx extension)', 'type': 'string'}}, 'required': ['name'], 'type': 'object'}, description="""This tool starts the process of generating a new powerpoint presentation with the name given by the user. Use this tool when the user requests to create or generate a new presentation."""), # supercurses/Powerpoint MCP Server/create-presentation
    Tool(name="""Powerpoint MCP Server_generate-and-save-image""", inputSchema={'properties': {'file_name': {'description': 'Filename of the image. Include the extension of .png', 'type': 'string'}, 'prompt': {'description': 'Description of the image to generate in the form of a prompt.', 'type': 'string'}}, 'required': ['prompt', 'file_name'], 'type': 'object'}, description="""Generates an image using a FLUX model and save the image to the specified path. The tool will return a PNG file path. It should be used when the user asks to generate or create an image or a picture."""), # supercurses/Powerpoint MCP Server/generate-and-save-image
    Tool(name="""Powerpoint MCP Server_add-slide-title-only""", inputSchema={'properties': {'presentation_name': {'description': 'Name of the presentation to add the slide to', 'type': 'string'}, 'title': {'description': 'Title of the slide', 'type': 'string'}}, 'required': ['presentation_name', 'title'], 'type': 'object'}, description="""This tool adds a new title slide to the presentation you are working on. The tool doesn't return anything. It requires the presentation_name to work on."""), # supercurses/Powerpoint MCP Server/add-slide-title-only
    Tool(name="""Powerpoint MCP Server_add-slide-section-header""", inputSchema={'properties': {'header': {'description': 'Section header title', 'type': 'string'}, 'presentation_name': {'description': 'Name of the presentation to add the slide to', 'type': 'string'}, 'subtitle': {'description': 'Section header subtitle', 'type': 'string'}}, 'required': ['presentation_name', 'header'], 'type': 'object'}, description="""This tool adds a section header (a.k.a segue) slide to the presentation you are working on. The tool doesn't return anything. It requires the presentation_name to work on."""), # supercurses/Powerpoint MCP Server/add-slide-section-header
    Tool(name="""Powerpoint MCP Server_add-slide-title-content""", inputSchema={'properties': {'content': {'description': 'Content/body text of the slide. Separate main points with a single carriage return character.Make sub-points with tab character.Do not use bullet points, asterisks or dashes for points.Max main points is 4', 'type': 'string'}, 'presentation_name': {'description': 'Name of the presentation to add the slide to', 'type': 'string'}, 'title': {'description': 'Title of the slide', 'type': 'string'}}, 'required': ['presentation_name', 'title', 'content'], 'type': 'object'}, description="""Add a new slide with a title and content to an existing presentation"""), # supercurses/Powerpoint MCP Server/add-slide-title-content
    Tool(name="""Powerpoint MCP Server_add-slide-comparison""", inputSchema={'properties': {'left_side_content': {'description': 'Content/body text of left concept. Separate main points with a single carriage return character.Make sub-points with tab character.Do not use bullet points, asterisks or dashes for points.Max main points is 4', 'type': 'string'}, 'left_side_title': {'description': 'Title of the left concept', 'type': 'string'}, 'presentation_name': {'description': 'Name of the presentation to add the slide to', 'type': 'string'}, 'right_side_content': {'description': 'Content/body text of right concept. Separate main points with a single carriage return character.Make sub-points with tab character.Do not use bullet points, asterisks or dashes for points.Max main points is 4', 'type': 'string'}, 'right_side_title': {'description': 'Title of the right concept', 'type': 'string'}, 'title': {'description': 'Title of the slide', 'type': 'string'}}, 'required': ['presentation_name', 'title', 'left_side_title', 'left_side_content', 'right_side_title', 'right_side_content'], 'type': 'object'}, description="""Add a new a comparison slide with title and comparison content. Use when you wish to compare two concepts"""), # supercurses/Powerpoint MCP Server/add-slide-comparison
    Tool(name="""Powerpoint MCP Server_add-slide-title-with-table""", inputSchema={'properties': {'data': {'description': 'Table data object with headers and rows', 'properties': {'headers': {'description': 'Array of column headers', 'items': {'type': 'string'}, 'type': 'array'}, 'rows': {'description': 'Array of row data arrays', 'items': {'items': {'type': ['string', 'number']}, 'type': 'array'}, 'type': 'array'}}, 'required': ['headers', 'rows'], 'type': 'object'}, 'presentation_name': {'description': 'Name of the presentation to add the slide to', 'type': 'string'}, 'title': {'description': 'Title of the slide', 'type': 'string'}}, 'required': ['presentation_name', 'title', 'data'], 'type': 'object'}, description="""Add a new slide with a title and table containing the provided data"""), # supercurses/Powerpoint MCP Server/add-slide-title-with-table
    Tool(name="""Powerpoint MCP Server_add-slide-title-with-chart""", inputSchema={'properties': {'data': {'description': 'Chart data structure', 'properties': {'categories': {'description': 'X-axis categories or labels (optional)', 'items': {'type': ['string', 'number']}, 'type': 'array'}, 'series': {'items': {'properties': {'name': {'description': 'Name of the data series', 'type': 'string'}, 'values': {'description': 'Values for the series. Can be simple numbers or [x,y] pairs for scatter plots', 'items': {'oneOf': [{'type': 'number'}, {'items': {'type': 'number'}, 'maxItems': 2, 'minItems': 2, 'type': 'array'}]}, 'type': 'array'}}, 'required': ['name', 'values'], 'type': 'object'}, 'type': 'array'}, 'x_axis': {'description': 'X-axis title (optional)', 'type': 'string'}, 'y_axis': {'description': 'Y-axis title (optional)', 'type': 'string'}}, 'required': ['series'], 'type': 'object'}, 'presentation_name': {'description': 'Name of the presentation to add the slide to', 'type': 'string'}, 'title': {'description': 'Title of the slide', 'type': 'string'}}, 'required': ['presentation_name', 'title', 'data'], 'type': 'object'}, description="""Add a new slide with a title and chart. The chart type will be automatically selected based on the data structure."""), # supercurses/Powerpoint MCP Server/add-slide-title-with-chart
    Tool(name="""Powerpoint MCP Server_add-slide-picture-with-caption""", inputSchema={'properties': {'caption': {'description': 'Caption text to appear below the picture', 'type': 'string'}, 'image_path': {'description': 'Path to the image file to insert', 'type': 'string'}, 'presentation_name': {'description': 'Name of the presentation to add the slide to', 'type': 'string'}, 'title': {'description': 'Title of the slide', 'type': 'string'}}, 'required': ['presentation_name', 'title', 'caption', 'image_path'], 'type': 'object'}, description="""Add a new slide with a picture and caption to an existing presentation"""), # supercurses/Powerpoint MCP Server/add-slide-picture-with-caption
    Tool(name="""Powerpoint MCP Server_open-presentation""", inputSchema={'properties': {'output_path': {'description': 'Path where to save the presentation (optional)', 'type': 'string'}, 'presentation_name': {'description': 'Name of the presentation to open', 'type': 'string'}}, 'required': ['presentation_name'], 'type': 'object'}, description="""Opens an existing presentation and saves a copy to a new file for backup. Use this tool when the user requests to open a presentation that has already been created."""), # supercurses/Powerpoint MCP Server/open-presentation
    Tool(name="""Powerpoint MCP Server_save-presentation""", inputSchema={'properties': {'output_path': {'description': 'Path where to save the presentation (optional)', 'type': 'string'}, 'presentation_name': {'description': 'Name of the presentation to save', 'type': 'string'}}, 'required': ['presentation_name'], 'type': 'object'}, description="""Save the presentation to a file. Always use this tool at the end of any process that has added slides to a presentation."""), # supercurses/Powerpoint MCP Server/save-presentation
    Tool(name="""MCP2Tavily_search_web""", inputSchema={'properties': {'query': {'title': 'Query', 'type': 'string'}}, 'required': ['query'], 'title': 'search_webArguments', 'type': 'object'}, description="""Search the web for information using Tavily API"""), # mcp2everything/MCP2Tavily/search_web
    Tool(name="""MCP2Tavily_search_web_info""", inputSchema={'properties': {'query': {'title': 'Query', 'type': 'string'}}, 'required': ['query'], 'title': 'search_web_infoArguments', 'type': 'object'}, description=""""""), # mcp2everything/MCP2Tavily/search_web_info
    Tool(name="""MCP2Tavily_get_url_content""", inputSchema={'properties': {'url': {'title': 'Url', 'type': 'string'}}, 'required': ['url'], 'title': 'get_url_contentArguments', 'type': 'object'}, description="""Get the content from a specific URL using Tavily API\n    \n    Args:\n        url (str): The URL to extract content from\n        \n    Returns:\n        str: The extracted content from the URL\n    """), # mcp2everything/MCP2Tavily/get_url_content
    Tool(name="""MCP2Tavily_get_url_content_info""", inputSchema={'properties': {'url': {'title': 'Url', 'type': 'string'}}, 'required': ['url'], 'title': 'get_url_content_infoArguments', 'type': 'object'}, description="""URL\n    \n    :\n        url (str): \n        \n    :\n        str: URL\n    """), # mcp2everything/MCP2Tavily/get_url_content_info
    Tool(name="""MCP Server Template for Cursor IDE_mcp_fetch""", inputSchema={'properties': {'url': {'description': 'URL to fetch', 'type': 'string'}}, 'required': ['url'], 'type': 'object'}, description="""Fetches a website and returns its content"""), # jankowtf/MCP Server Template for Cursor IDE/mcp_fetch
    Tool(name="""MCP Server Template for Cursor IDE_mood""", inputSchema={'properties': {'question': {'description': "Ask this MCP server about its mood! You can phrase your question in any way you like - 'How are you?', 'What's your mood?', or even 'Are you having a good day?'. The server will always respond with a cheerful message and a heart ", 'type': 'string'}}, 'required': ['question'], 'type': 'object'}, description="""Ask the server about its mood - it's always happy!"""), # jankowtf/MCP Server Template for Cursor IDE/mood
    Tool(name="""MCP Server Template for Cursor IDE_fetch_railway_docs""", inputSchema={'properties': {'url': {'description': 'Optional custom URL for fetching Railway CLI docs.', 'type': 'string'}}, 'type': 'object'}, description="""Fetches the most recent Railway CLI documentation. Optionally, provide a custom URL."""), # jankowtf/MCP Server Template for Cursor IDE/fetch_railway_docs
    Tool(name="""MCP Server Template for Cursor IDE_fetch_railway_docs_optimized""", inputSchema={'properties': {'url': {'description': 'Optional custom URL for fetching Railway CLI docs.', 'type': 'string'}}, 'type': 'object'}, description="""Fetches the most recent Railway CLI documentation. Optionally, provide a custom URL."""), # jankowtf/MCP Server Template for Cursor IDE/fetch_railway_docs_optimized
    Tool(name="""MCP Server Template for Cursor IDE_apply_prompt_fix""", inputSchema={'properties': {'issue': {'description': 'A description of the issue to be analyzed and fixed', 'type': 'string'}, 'specific_instructions': {'description': 'Optional specific instructions to include in the prompt', 'type': 'string'}, 'version': {'description': "The version of the prompt template to use (e.g., '1.0.0', '1.1.0', or 'latest')", 'type': 'string'}}, 'required': ['issue'], 'type': 'object'}, description="""Provides a prompt for performing root cause analysis and fixing issues"""), # jankowtf/MCP Server Template for Cursor IDE/apply_prompt_fix
    Tool(name="""MCP Server Template for Cursor IDE_apply_prompt_initial""", inputSchema={'properties': {'objective': {'description': 'A description of the objective of the project', 'type': 'string'}, 'specific_instructions': {'description': 'Optional specific instructions to include in the prompt', 'type': 'string'}, 'version': {'description': "The version of the prompt template to use (e.g., '1.0.0', '1.1.0', or 'latest')", 'type': 'string'}}, 'required': ['objective'], 'type': 'object'}, description="""Provides an initial prompt template for starting a new project"""), # jankowtf/MCP Server Template for Cursor IDE/apply_prompt_initial
    Tool(name="""MCP Server Template for Cursor IDE_apply_prompt_proceed""", inputSchema={'properties': {'specific_instructions': {'description': 'Optional specific instructions to include in the prompt', 'type': 'string'}, 'task': {'description': 'A description of the task or project to proceed with', 'type': 'string'}, 'version': {'description': "The version of the prompt template to use (e.g., '1.0.0', '1.1.0', or 'latest')", 'type': 'string'}}, 'required': ['task'], 'type': 'object'}, description="""Provides a prompt template for proceeding with a task or project"""), # jankowtf/MCP Server Template for Cursor IDE/apply_prompt_proceed
    Tool(name="""MCP Server Template for Cursor IDE_apply_prompt_change""", inputSchema={'properties': {'change_request': {'description': 'Description of the change request to implement', 'type': 'string'}, 'specific_instructions': {'description': 'Optional specific instructions to include in the prompt', 'type': 'string'}, 'version': {'description': "The version of the prompt template to use (e.g., '1.0.0', '1.1.0', or 'latest')", 'type': 'string'}}, 'required': ['change_request'], 'type': 'object'}, description="""Provides a prompt for systematically handling change requests"""), # jankowtf/MCP Server Template for Cursor IDE/apply_prompt_change
    Tool(name="""MCP Server Template for Cursor IDE_apply_prompt_fix_linter""", inputSchema={'properties': {'issue': {'description': 'A description of the linter errors to be analyzed and fixed', 'type': 'string'}, 'specific_instructions': {'description': 'Optional specific instructions to include in the prompt', 'type': 'string'}, 'version': {'description': "The version of the prompt template to use (e.g., '1.0.0', '1.1.0', or 'latest')", 'type': 'string'}}, 'required': ['issue'], 'type': 'object'}, description="""Provides a prompt for analyzing and fixing linter errors"""), # jankowtf/MCP Server Template for Cursor IDE/apply_prompt_fix_linter
    Tool(name="""MCP Server Template for Cursor IDE_apply_prompt_unit_tests""", inputSchema={'properties': {'code_to_test': {'description': 'The code that needs unit tests', 'type': 'string'}, 'specific_instructions': {'description': 'Optional specific instructions to include in the prompt', 'type': 'string'}, 'version': {'description': "The version of the prompt template to use (e.g., '1.0.0', '1.1.0', or 'latest')", 'type': 'string'}}, 'required': ['code_to_test'], 'type': 'object'}, description="""Provides a prompt for generating unit tests for code"""), # jankowtf/MCP Server Template for Cursor IDE/apply_prompt_unit_tests
    Tool(name="""MCP Server Template for Cursor IDE_apply_prompt_infra""", inputSchema={'properties': {'infrastructure_info': {'description': 'Description of the infrastructure and tool stack', 'type': 'string'}, 'specific_instructions': {'description': 'Optional specific instructions to include in the prompt', 'type': 'string'}, 'version': {'description': "The version of the prompt template to use (e.g., '1.0.0', '1.1.0', or 'latest')", 'type': 'string'}}, 'required': ['infrastructure_info'], 'type': 'object'}, description="""Provides a prompt template for laying out system infrastructure and tool stack information"""), # jankowtf/MCP Server Template for Cursor IDE/apply_prompt_infra
    Tool(name="""Fetch Browser_fetch_url""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'responseType': {'default': 'text', 'description': 'Expected response type', 'enum': ['text', 'json', 'html', 'markdown'], 'type': 'string'}, 'timeout': {'default': 30000, 'description': 'Request timeout in milliseconds', 'maximum': 60000, 'minimum': 1000, 'type': 'number'}, 'url': {'description': 'The URL to fetch', 'format': 'uri', 'type': 'string'}}, 'required': ['url'], 'type': 'object'}, description="""Fetch content from a URL with proper error handling and response processing"""), # TheSethRose/Fetch Browser/fetch_url
    Tool(name="""Fetch Browser_google_search""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'maxResults': {'default': 10, 'description': 'Maximum number of results to return', 'maximum': 100, 'minimum': 1, 'type': 'number'}, 'query': {'description': 'The search query to execute', 'minLength': 1, 'type': 'string'}, 'responseType': {'default': 'json', 'description': 'Expected response type', 'enum': ['text', 'json', 'html', 'markdown'], 'type': 'string'}, 'topic': {'default': 'web', 'description': 'Type of search to perform', 'enum': ['web', 'news'], 'type': 'string'}}, 'required': ['query'], 'type': 'object'}, description="""Execute a Google search and return results in various formats"""), # TheSethRose/Fetch Browser/google_search
    Tool(name="""Travel Planner MCP Server_create_itinerary""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'budget': {'description': 'Budget in USD', 'type': 'number'}, 'destination': {'description': 'Destination location', 'type': 'string'}, 'endDate': {'description': 'End date (YYYY-MM-DD)', 'type': 'string'}, 'origin': {'description': 'Starting location', 'type': 'string'}, 'preferences': {'description': 'Travel preferences', 'items': {'type': 'string'}, 'type': 'array'}, 'startDate': {'description': 'Start date (YYYY-MM-DD)', 'type': 'string'}}, 'required': ['origin', 'destination', 'startDate', 'endDate'], 'type': 'object'}, description="""Creates a personalized travel itinerary based on user preferences"""), # GongRzhe/Travel Planner MCP Server/create_itinerary
    Tool(name="""Travel Planner MCP Server_optimize_itinerary""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'itineraryId': {'description': 'ID of the itinerary to optimize', 'type': 'string'}, 'optimizationCriteria': {'description': 'Criteria for optimization (time, cost, etc.)', 'items': {'type': 'string'}, 'type': 'array'}}, 'required': ['itineraryId', 'optimizationCriteria'], 'type': 'object'}, description="""Optimizes an existing itinerary based on specified criteria"""), # GongRzhe/Travel Planner MCP Server/optimize_itinerary
    Tool(name="""Travel Planner MCP Server_search_attractions""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'categories': {'description': 'Categories of attractions', 'items': {'type': 'string'}, 'type': 'array'}, 'location': {'description': 'Location to search attractions', 'type': 'string'}, 'radius': {'description': 'Search radius in meters', 'type': 'number'}}, 'required': ['location'], 'type': 'object'}, description="""Searches for attractions and points of interest in a specified location"""), # GongRzhe/Travel Planner MCP Server/search_attractions
    Tool(name="""Travel Planner MCP Server_get_transport_options""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'date': {'description': 'Travel date (YYYY-MM-DD)', 'type': 'string'}, 'destination': {'description': 'Destination point', 'type': 'string'}, 'origin': {'description': 'Starting point', 'type': 'string'}}, 'required': ['origin', 'destination', 'date'], 'type': 'object'}, description="""Retrieves available transportation options between two points"""), # GongRzhe/Travel Planner MCP Server/get_transport_options
    Tool(name="""Travel Planner MCP Server_get_accommodations""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'budget': {'description': 'Maximum price per night', 'type': 'number'}, 'checkIn': {'description': 'Check-in date (YYYY-MM-DD)', 'type': 'string'}, 'checkOut': {'description': 'Check-out date (YYYY-MM-DD)', 'type': 'string'}, 'location': {'description': 'Location to search', 'type': 'string'}}, 'required': ['location', 'checkIn', 'checkOut'], 'type': 'object'}, description="""Searches for accommodation options in a specified location"""), # GongRzhe/Travel Planner MCP Server/get_accommodations
    Tool(name="""Farcaster MCP Server_get-user-casts""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'fid': {'description': 'Farcaster user ID (FID)', 'type': 'number'}, 'limit': {'description': 'Maximum number of casts to return (default: 10)', 'type': 'number'}}, 'required': ['fid'], 'type': 'object'}, description="""Get casts from a specific Farcaster user by FID"""), # manimohans/Farcaster MCP Server/get-user-casts
    Tool(name="""Farcaster MCP Server_get-channel-casts""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'channel': {'description': "Channel name (e.g., 'aichannel') or URL", 'type': 'string'}, 'limit': {'description': 'Maximum number of casts to return (default: 10)', 'type': 'number'}}, 'required': ['channel'], 'type': 'object'}, description="""Get casts from a specific Farcaster channel"""), # manimohans/Farcaster MCP Server/get-channel-casts
    Tool(name="""Farcaster MCP Server_get-username-casts""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'limit': {'description': 'Maximum number of casts to return (default: 10)', 'type': 'number'}, 'username': {'description': 'Farcaster username', 'type': 'string'}}, 'required': ['username'], 'type': 'object'}, description="""Get casts from a specific Farcaster username"""), # manimohans/Farcaster MCP Server/get-username-casts
    Tool(name="""Bybit MCP Server_get_instrument_info""", inputSchema={'properties': {'category': {'description': 'Category of the instrument (spot, linear, inverse)', 'enum': ['spot', 'linear', 'inverse'], 'type': 'string'}, 'symbol': {'description': "Trading pair symbol (e.g., 'BTCUSDT')", 'type': 'string'}}, 'required': ['symbol'], 'type': 'object'}, description="""Get detailed instrument information for a specific trading pair"""), # sammcj/Bybit MCP Server/get_instrument_info
    Tool(name="""Bybit MCP Server_get_kline""", inputSchema={'properties': {'category': {'description': 'Category of the instrument (spot, linear, inverse)', 'enum': ['spot', 'linear', 'inverse'], 'type': 'string'}, 'interval': {'description': 'Kline interval', 'enum': ['1', '3', '5', '15', '30', '60', '120', '240', '360', '720', 'D', 'M', 'W'], 'type': 'string'}, 'limit': {'description': 'Limit for the number of candles (max 1000)', 'enum': ['1', '10', '50', '100', '200', '500', '1000'], 'type': 'string'}, 'symbol': {'description': "Trading pair symbol (e.g., 'BTCUSDT')", 'type': 'string'}}, 'required': ['symbol'], 'type': 'object'}, description="""Get kline/candlestick data for a trading pair"""), # sammcj/Bybit MCP Server/get_kline
    Tool(name="""Bybit MCP Server_get_market_info""", inputSchema={'properties': {'category': {'description': 'Category of the instrument (spot, linear, inverse)', 'enum': ['spot', 'linear', 'inverse'], 'type': 'string'}, 'limit': {'description': 'Limit for the number of results (max 1000)', 'enum': ['1', '10', '50', '100', '200', '500', '1000'], 'type': 'string'}, 'symbol': {'description': "Optional: Trading pair symbol (e.g., 'BTCUSDT'). If not provided, returns info for all symbols in the category", 'type': 'string'}}, 'required': [], 'type': 'object'}, description="""Get detailed market information for trading pairs"""), # sammcj/Bybit MCP Server/get_market_info
    Tool(name="""Bybit MCP Server_get_order_history""", inputSchema={'properties': {'baseCoin': {'description': 'Base coin. Used to get all symbols with this base coin', 'type': 'string'}, 'category': {'default': 'spot', 'description': 'Product type', 'enum': ['spot', 'linear', 'inverse'], 'type': 'string'}, 'limit': {'description': 'Maximum number of results (default: 200)', 'enum': ['1', '10', '50', '100', '200'], 'type': 'string'}, 'orderFilter': {'description': 'Order filter', 'enum': ['Order', 'StopOrder'], 'type': 'string'}, 'orderId': {'description': 'Order ID', 'type': 'string'}, 'orderLinkId': {'description': 'User customised order ID', 'type': 'string'}, 'orderStatus': {'description': 'Order status', 'enum': ['Created', 'New', 'Rejected', 'PartiallyFilled', 'PartiallyFilledCanceled', 'Filled', 'Cancelled', 'Untriggered', 'Triggered', 'Deactivated'], 'type': 'string'}, 'symbol': {'description': 'Trading symbol, e.g., BTCUSDT', 'type': 'string'}}, 'required': ['category'], 'type': 'object'}, description="""Get order history for the authenticated user"""), # sammcj/Bybit MCP Server/get_order_history
    Tool(name="""Bybit MCP Server_get_orderbook""", inputSchema={'properties': {'category': {'description': 'Category of the instrument (spot, linear, inverse)', 'enum': ['spot', 'linear', 'inverse'], 'type': 'string'}, 'limit': {'description': 'Limit for the number of bids and asks (1, 25, 50, 100, 200)', 'enum': ['1', '25', '50', '100', '200'], 'type': 'string'}, 'symbol': {'description': "Trading pair symbol (e.g., 'BTCUSDT')", 'pattern': '^[A-Z0-9]+$', 'type': 'string'}}, 'required': ['symbol'], 'type': 'object'}, description="""Get orderbook (market depth) data for a trading pair"""), # sammcj/Bybit MCP Server/get_orderbook
    Tool(name="""Bybit MCP Server_get_positions""", inputSchema={'properties': {'baseCoin': {'description': 'Base coin. Used to get all symbols with this base coin', 'type': 'string'}, 'category': {'description': 'Product type', 'enum': ['linear', 'inverse'], 'type': 'string'}, 'limit': {'description': 'Maximum number of results (default: 200)', 'enum': ['1', '10', '50', '100', '200'], 'type': 'string'}, 'settleCoin': {'description': 'Settle coin. Used to get all symbols with this settle coin', 'type': 'string'}, 'symbol': {'description': 'Trading symbol, e.g., BTCUSDT', 'type': 'string'}}, 'required': ['category'], 'type': 'object'}, description="""Get positions information for the authenticated user"""), # sammcj/Bybit MCP Server/get_positions
    Tool(name="""Bybit MCP Server_get_ticker""", inputSchema={'properties': {'category': {'annotations': {'priority': 0}, 'description': 'Category of the instrument (spot, linear, inverse)', 'enum': ['spot', 'linear', 'inverse'], 'type': 'string'}, 'symbol': {'annotations': {'priority': 1}, 'description': "Trading pair symbol (e.g., 'BTCUSDT')", 'pattern': '^[A-Z0-9]+$', 'type': 'string'}}, 'required': ['symbol'], 'type': 'object'}, description="""Get real-time ticker information for a trading pair"""), # sammcj/Bybit MCP Server/get_ticker
    Tool(name="""Bybit MCP Server_get_trades""", inputSchema={'properties': {'category': {'description': 'Category of the instrument (spot, linear, inverse)', 'enum': ['spot', 'linear', 'inverse'], 'type': 'string'}, 'limit': {'description': 'Limit for the number of trades (max 1000)', 'enum': ['1', '10', '50', '100', '200', '500', '1000'], 'type': 'string'}, 'symbol': {'description': "Trading pair symbol (e.g., 'BTCUSDT')", 'type': 'string'}}, 'required': ['symbol'], 'type': 'object'}, description="""Get recent trades for a trading pair"""), # sammcj/Bybit MCP Server/get_trades
    Tool(name="""Bybit MCP Server_get_wallet_balance""", inputSchema={'properties': {'accountType': {'description': 'Account type', 'enum': ['UNIFIED', 'CONTRACT', 'SPOT'], 'type': 'string'}, 'coin': {'description': 'Cryptocurrency symbol, e.g., BTC, ETH, USDT. If not specified, returns all coins.', 'type': 'string'}}, 'required': ['accountType'], 'type': 'object'}, description="""Get wallet balance information for the authenticated user"""), # sammcj/Bybit MCP Server/get_wallet_balance
    Tool(name="""Windows CLI MCP Server_delete_ssh_connection""", inputSchema={'properties': {'connectionId': {'description': 'ID of the SSH connection to delete', 'type': 'string'}}, 'required': ['connectionId'], 'type': 'object'}, description="""Delete an existing SSH connection"""), # SimonB97/Windows CLI MCP Server/delete_ssh_connection
    Tool(name="""Windows CLI MCP Server_get_current_directory""", inputSchema={'properties': {}, 'type': 'object'}, description="""Get the current working directory"""), # SimonB97/Windows CLI MCP Server/get_current_directory
    Tool(name="""Windows CLI MCP Server_execute_command""", inputSchema={'properties': {'command': {'description': 'Command to execute', 'type': 'string'}, 'shell': {'description': 'Shell to use for command execution', 'enum': ['powershell', 'cmd', 'gitbash'], 'type': 'string'}, 'workingDir': {'description': 'Working directory for command execution (optional)', 'type': 'string'}}, 'required': ['shell', 'command'], 'type': 'object'}, description="""Execute a command in the specified shell (powershell, cmd, or gitbash)\n\nExample usage (PowerShell):\n```json\n{\n  \"shell\": \"powershell\",\n  \"command\": \"Get-Process | Select-Object -First 5\",\n  \"workingDir\": \"C:\\Users\\username\"\n}\n```\n\nExample usage (CMD):\n```json\n{\n  \"shell\": \"cmd\",\n  \"command\": \"dir /b\",\n  \"workingDir\": \"C:\\Projects\"\n}\n```\n\nExample usage (Git Bash):\n```json\n{\n  \"shell\": \"gitbash\",\n  \"command\": \"ls -la\",\n  \"workingDir\": \"/c/Users/username\"\n}\n```"""), # SimonB97/Windows CLI MCP Server/execute_command
    Tool(name="""Windows CLI MCP Server_get_command_history""", inputSchema={'properties': {'limit': {'description': 'Maximum number of history entries to return (default: 10, max: 1000)', 'type': 'number'}}, 'type': 'object'}, description="""Get the history of executed commands\n\nExample usage:\n```json\n{\n  \"limit\": 5\n}\n```\n\nExample response:\n```json\n[\n  {\n    \"command\": \"Get-Process\",\n    \"output\": \"...\",\n    \"timestamp\": \"2024-03-20T10:30:00Z\",\n    \"exitCode\": 0\n  }\n]\n```"""), # SimonB97/Windows CLI MCP Server/get_command_history
    Tool(name="""Windows CLI MCP Server_ssh_execute""", inputSchema={'properties': {'command': {'description': 'Command to execute', 'type': 'string'}, 'connectionId': {'description': 'ID of the SSH connection to use', 'enum': [], 'type': 'string'}}, 'required': ['connectionId', 'command'], 'type': 'object'}, description="""Execute a command on a remote host via SSH\n\nExample usage:\n```json\n{\n  \"connectionId\": \"raspberry-pi\",\n  \"command\": \"uname -a\"\n}\n```\n\nConfiguration required in config.json:\n```json\n{\n  \"ssh\": {\n    \"enabled\": true,\n    \"connections\": {\n      \"raspberry-pi\": {\n        \"host\": \"raspberrypi.local\",\n        \"port\": 22,\n        \"username\": \"pi\",\n        \"password\": \"raspberry\"\n      }\n    }\n  }\n}\n```"""), # SimonB97/Windows CLI MCP Server/ssh_execute
    Tool(name="""Windows CLI MCP Server_ssh_disconnect""", inputSchema={'properties': {'connectionId': {'description': 'ID of the SSH connection to disconnect', 'enum': [], 'type': 'string'}}, 'required': ['connectionId'], 'type': 'object'}, description="""Disconnect from an SSH server\n\nExample usage:\n```json\n{\n  \"connectionId\": \"raspberry-pi\"\n}\n```\n\nUse this to cleanly close SSH connections when they're no longer needed."""), # SimonB97/Windows CLI MCP Server/ssh_disconnect
    Tool(name="""Windows CLI MCP Server_create_ssh_connection""", inputSchema={'properties': {'connectionConfig': {'properties': {'host': {'description': 'Host of the SSH connection', 'type': 'string'}, 'password': {'description': 'Password for the SSH connection', 'type': 'string'}, 'port': {'description': 'Port of the SSH connection', 'type': 'number'}, 'privateKeyPath': {'description': 'Path to the private key for the SSH connection', 'type': 'string'}, 'username': {'description': 'Username for the SSH connection', 'type': 'string'}}, 'required': ['connectionId', 'connectionConfig'], 'type': 'object'}, 'connectionId': {'description': 'ID of the SSH connection', 'type': 'string'}}, 'type': 'object'}, description="""Create a new SSH connection"""), # SimonB97/Windows CLI MCP Server/create_ssh_connection
    Tool(name="""Windows CLI MCP Server_read_ssh_connections""", inputSchema={'properties': {}, 'type': 'object'}, description="""Read all SSH connections"""), # SimonB97/Windows CLI MCP Server/read_ssh_connections
    Tool(name="""Windows CLI MCP Server_update_ssh_connection""", inputSchema={'properties': {'connectionConfig': {'properties': {'host': {'description': 'Host of the SSH connection', 'type': 'string'}, 'password': {'description': 'Password for the SSH connection', 'type': 'string'}, 'port': {'description': 'Port of the SSH connection', 'type': 'number'}, 'privateKeyPath': {'description': 'Path to the private key for the SSH connection', 'type': 'string'}, 'username': {'description': 'Username for the SSH connection', 'type': 'string'}}, 'required': ['connectionId', 'connectionConfig'], 'type': 'object'}, 'connectionId': {'description': 'ID of the SSH connection to update', 'type': 'string'}}, 'type': 'object'}, description="""Update an existing SSH connection"""), # SimonB97/Windows CLI MCP Server/update_ssh_connection
    Tool(name="""Google Tasks MCP Server_create_task""", inputSchema={'properties': {'notes': {'description': 'Notes for the task', 'type': 'string'}, 'title': {'description': 'Title of the task', 'type': 'string'}}, 'required': ['title'], 'type': 'object'}, description="""Create a new task in Google Tasks"""), # mstfe/Google Tasks MCP Server/create_task
    Tool(name="""Google Tasks MCP Server_list_tasks""", inputSchema={'properties': {}, 'type': 'object'}, description="""List all tasks in the default task list"""), # mstfe/Google Tasks MCP Server/list_tasks
    Tool(name="""Google Tasks MCP Server_delete_task""", inputSchema={'properties': {'taskId': {'description': 'ID of the task to delete', 'type': 'string'}}, 'required': ['taskId'], 'type': 'object'}, description="""Delete a task from the default task list"""), # mstfe/Google Tasks MCP Server/delete_task
    Tool(name="""Google Tasks MCP Server_complete_task""", inputSchema={'properties': {'status': {'description': 'Status of task, needsAction or completed', 'type': 'string'}, 'taskId': {'description': 'ID of the task to toggle completion status', 'type': 'string'}}, 'required': ['taskId'], 'type': 'object'}, description="""Toggle the completion status of a task"""), # mstfe/Google Tasks MCP Server/complete_task
    Tool(name="""Markdownify MCP Server - UTF-8 Enhanced_youtube-to-markdown""", inputSchema={'properties': {'url': {'description': 'URL of the YouTube video', 'type': 'string'}}, 'required': ['url'], 'type': 'object'}, description="""Convert a YouTube video to markdown, including transcript if available"""), # JDJR2024/Markdownify MCP Server - UTF-8 Enhanced/youtube-to-markdown
    Tool(name="""Markdownify MCP Server - UTF-8 Enhanced_audio-to-markdown""", inputSchema={'properties': {'filepath': {'description': 'Absolute path of the audio file to convert', 'type': 'string'}}, 'required': ['filepath'], 'type': 'object'}, description="""Convert an audio file to markdown, including transcription if possible"""), # JDJR2024/Markdownify MCP Server - UTF-8 Enhanced/audio-to-markdown
    Tool(name="""Markdownify MCP Server - UTF-8 Enhanced_xlsx-to-markdown""", inputSchema={'properties': {'filepath': {'description': 'Absolute path of the XLSX file to convert', 'type': 'string'}}, 'required': ['filepath'], 'type': 'object'}, description="""Convert an XLSX file to markdown"""), # JDJR2024/Markdownify MCP Server - UTF-8 Enhanced/xlsx-to-markdown
    Tool(name="""Markdownify MCP Server - UTF-8 Enhanced_bing-search-to-markdown""", inputSchema={'properties': {'url': {'description': 'URL of the Bing search results page', 'type': 'string'}}, 'required': ['url'], 'type': 'object'}, description="""Convert a Bing search results page to markdown"""), # JDJR2024/Markdownify MCP Server - UTF-8 Enhanced/bing-search-to-markdown
    Tool(name="""Markdownify MCP Server - UTF-8 Enhanced_docx-to-markdown""", inputSchema={'properties': {'filepath': {'description': 'Absolute path of the DOCX file to convert', 'type': 'string'}}, 'required': ['filepath'], 'type': 'object'}, description="""Convert a DOCX file to markdown"""), # JDJR2024/Markdownify MCP Server - UTF-8 Enhanced/docx-to-markdown
    Tool(name="""Markdownify MCP Server - UTF-8 Enhanced_get-markdown-file""", inputSchema={'properties': {'filepath': {'description': "Absolute path to file of markdown'd text", 'type': 'string'}}, 'required': ['filepath'], 'type': 'object'}, description="""Get a markdown file by absolute file path"""), # JDJR2024/Markdownify MCP Server - UTF-8 Enhanced/get-markdown-file
    Tool(name="""Markdownify MCP Server - UTF-8 Enhanced_image-to-markdown""", inputSchema={'properties': {'filepath': {'description': 'Absolute path of the image file to convert', 'type': 'string'}}, 'required': ['filepath'], 'type': 'object'}, description="""Convert an image to markdown, including metadata and description"""), # JDJR2024/Markdownify MCP Server - UTF-8 Enhanced/image-to-markdown
    Tool(name="""Markdownify MCP Server - UTF-8 Enhanced_pdf-to-markdown""", inputSchema={'properties': {'filepath': {'description': 'Absolute path of the PDF file to convert', 'type': 'string'}}, 'required': ['filepath'], 'type': 'object'}, description="""Convert a PDF file to markdown"""), # JDJR2024/Markdownify MCP Server - UTF-8 Enhanced/pdf-to-markdown
    Tool(name="""Markdownify MCP Server - UTF-8 Enhanced_pptx-to-markdown""", inputSchema={'properties': {'filepath': {'description': 'Absolute path of the PPTX file to convert', 'type': 'string'}}, 'required': ['filepath'], 'type': 'object'}, description="""Convert a PPTX file to markdown"""), # JDJR2024/Markdownify MCP Server - UTF-8 Enhanced/pptx-to-markdown
    Tool(name="""Markdownify MCP Server - UTF-8 Enhanced_webpage-to-markdown""", inputSchema={'properties': {'url': {'description': 'URL of the webpage to convert', 'type': 'string'}}, 'required': ['url'], 'type': 'object'}, description="""Convert a webpage to markdown"""), # JDJR2024/Markdownify MCP Server - UTF-8 Enhanced/webpage-to-markdown
    Tool(name="""GitHub Kanban MCP Server_list_issues""", inputSchema={'properties': {'labels': {'description': '', 'items': {'type': 'string'}, 'type': 'array'}, 'path': {'description': 'Git', 'type': 'string'}, 'state': {'description': 'issue', 'enum': ['open', 'closed', 'all'], 'type': 'string'}}, 'required': [], 'type': 'object'}, description="""issue"""), # Sunwood-ai-labs/GitHub Kanban MCP Server/list_issues
    Tool(name="""GitHub Kanban MCP Server_create_issue""", inputSchema={'properties': {'assignees': {'description': '', 'items': {'type': 'string'}, 'type': 'array'}, 'body': {'description': 'issue## ', 'type': 'string'}, 'emoji': {'description': '', 'type': 'string'}, 'labels': {'description': 'issue', 'items': {'type': 'string'}, 'type': 'array'}, 'path': {'description': 'Git', 'type': 'string'}, 'title': {'description': 'issue', 'type': 'string'}}, 'required': ['title'], 'type': 'object'}, description="""issue"""), # Sunwood-ai-labs/GitHub Kanban MCP Server/create_issue
    Tool(name="""GitHub Kanban MCP Server_update_issue""", inputSchema={'properties': {'assignees': {'description': '', 'items': {'type': 'string'}, 'type': 'array'}, 'body': {'description': '', 'type': 'string'}, 'emoji': {'description': '', 'type': 'string'}, 'issue_number': {'description': 'issue', 'type': 'number'}, 'labels': {'description': '', 'items': {'type': 'string'}, 'type': 'array'}, 'path': {'description': 'Git', 'type': 'string'}, 'state': {'description': '', 'enum': ['open', 'closed'], 'type': 'string'}, 'title': {'description': '', 'type': 'string'}}, 'required': ['issue_number'], 'type': 'object'}, description="""issue"""), # Sunwood-ai-labs/GitHub Kanban MCP Server/update_issue
    Tool(name="""GitHub Kanban MCP Server_add_comment""", inputSchema={'properties': {'body': {'description': 'Markdown', 'type': 'string'}, 'issue_number': {'description': 'IssueID', 'type': 'string'}, 'repo': {'description': 'GitHub', 'type': 'string'}, 'state': {'description': 'issue', 'enum': ['open', 'closed'], 'type': 'string'}}, 'required': ['repo', 'issue_number', 'body'], 'type': 'object'}, description=""""""), # Sunwood-ai-labs/GitHub Kanban MCP Server/add_comment
    Tool(name="""Biomart MCP_list_marts""", inputSchema={'properties': {}, 'title': 'list_martsArguments', 'type': 'object'}, description="""\n    Lists all available Biomart marts (databases) from Ensembl.\n\n    Biomart organizes biological data in a hierarchy: MART -> DATASET -> ATTRIBUTES/FILTERS.\n    This function returns all available marts as a CSV string.\n\n    Returns:\n        str: CSV-formatted table of all marts with their display names and descriptions.\n\n    Example:\n        list_marts()\n        >>> \"name,display_name,description\n             ENSEMBL_MART_ENSEMBL,Ensembl Genes,Gene annotation from Ensembl\n             ENSEMBL_MART_MOUSE,Mouse strains,Strain-specific data for mouse\n             ...\"\n    """), # jzinno/Biomart MCP/list_marts
    Tool(name="""Biomart MCP_list_datasets""", inputSchema={'properties': {'mart': {'title': 'Mart', 'type': 'string'}}, 'required': ['mart'], 'title': 'list_datasetsArguments', 'type': 'object'}, description="""\n    Lists all available biomart datasets for a given mart.\n\n    Each mart contains multiple datasets. This function returns all datasets\n    available in the specified mart as a CSV string.\n\n    Args:\n        mart (str): The mart identifier to list datasets from.\n            Valid values include: ENSEMBL_MART_ENSEMBL, ENSEMBL_MART_MOUSE,\n            ENSEMBL_MART_ONTOLOGY, ENSEMBL_MART_GENOMIC, ENSEMBL_MART_SNP,\n            ENSEMBL_MART_FUNCGEN\n\n    Returns:\n        str: CSV-formatted table of all datasets with their display names and descriptions.\n\n    Example:\n        list_datasets(\"ENSEMBL_MART_ENSEMBL\")\n        >>> \"name,display_name,description\n             hsapiens_gene_ensembl,Human genes,Human genes (GRCh38.p13)\n             mmusculus_gene_ensembl,Mouse genes,Mouse genes (GRCm39)\n             ...\"\n    """), # jzinno/Biomart MCP/list_datasets
    Tool(name="""Biomart MCP_list_common_attributes""", inputSchema={'properties': {'dataset': {'title': 'Dataset', 'type': 'string'}, 'mart': {'title': 'Mart', 'type': 'string'}}, 'required': ['mart', 'dataset'], 'title': 'list_common_attributesArguments', 'type': 'object'}, description="""\n    Lists commonly used attributes available for a given dataset.\n\n    This function returns only the most frequently used attributes (defined in COMMON_ATTRIBUTES)\n    to avoid overwhelming the model with too many options. For a complete list,\n    use list_all_attributes.\n\n    Args:\n        mart (str): The mart identifier (e.g., \"ENSEMBL_MART_ENSEMBL\")\n        dataset (str): The dataset identifier (e.g., \"hsapiens_gene_ensembl\")\n\n    Returns:\n        str: CSV-formatted table of common attributes with their display names and descriptions.\n\n    Example:\n        list_common_attributes(\"ENSEMBL_MART_ENSEMBL\", \"hsapiens_gene_ensembl\")\n        >>> \"name,display_name,description\n             ensembl_gene_id,Gene stable ID,Ensembl stable ID for the gene\n             external_gene_name,Gene name,The gene name\n             ...\"\n    """), # jzinno/Biomart MCP/list_common_attributes
    Tool(name="""Biomart MCP_list_all_attributes""", inputSchema={'properties': {'dataset': {'title': 'Dataset', 'type': 'string'}, 'mart': {'title': 'Mart', 'type': 'string'}}, 'required': ['mart', 'dataset'], 'title': 'list_all_attributesArguments', 'type': 'object'}, description="""\n    Lists all available attributes for a given dataset with some filtering.\n\n    This function returns a filtered list of all attributes available for the specified\n    dataset. Some less commonly used attributes (homologs, microarray probes) are\n    filtered out to reduce the response size.\n\n    CAUTION: This function can return a large number of attributes and may be unstable\n    for certain datasets. Consider using list_common_attributes first.\n\n    Args:\n        mart (str): The mart identifier (e.g., \"ENSEMBL_MART_ENSEMBL\")\n        dataset (str): The dataset identifier (e.g., \"hsapiens_gene_ensembl\")\n\n    Returns:\n        str: CSV-formatted table of all filtered attributes.\n\n    Example:\n        list_all_attributes(\"ENSEMBL_MART_ENSEMBL\", \"hsapiens_gene_ensembl\")\n    """), # jzinno/Biomart MCP/list_all_attributes
    Tool(name="""Biomart MCP_list_filters""", inputSchema={'properties': {'dataset': {'title': 'Dataset', 'type': 'string'}, 'mart': {'title': 'Mart', 'type': 'string'}}, 'required': ['mart', 'dataset'], 'title': 'list_filtersArguments', 'type': 'object'}, description="""\n    Lists all available filters for a given dataset.\n\n    Filters are used to narrow down the results of a Biomart query.\n    This function returns all filters that can be applied to the specified dataset.\n\n    Args:\n        mart (str): The mart identifier (e.g., \"ENSEMBL_MART_ENSEMBL\")\n        dataset (str): The dataset identifier (e.g., \"hsapiens_gene_ensembl\")\n\n    Returns:\n        str: CSV-formatted table of all filters with their display names and descriptions.\n\n    Example:\n        list_filters(\"ENSEMBL_MART_ENSEMBL\", \"hsapiens_gene_ensembl\")\n        >>> \"name,description\n             chromosome_name,Chromosome/scaffold name\n             start,Gene start (bp)\n             end,Gene end (bp)\n             ...\"\n    """), # jzinno/Biomart MCP/list_filters
    Tool(name="""Biomart MCP_get_data""", inputSchema={'properties': {'attributes': {'items': {'type': 'string'}, 'title': 'Attributes', 'type': 'array'}, 'dataset': {'title': 'Dataset', 'type': 'string'}, 'filters': {'additionalProperties': {'type': 'string'}, 'title': 'Filters', 'type': 'object'}, 'mart': {'title': 'Mart', 'type': 'string'}}, 'required': ['mart', 'dataset', 'attributes', 'filters'], 'title': 'get_dataArguments', 'type': 'object'}, description="""\n    Queries Biomart for data using specified attributes and filters.\n\n    This function performs the main data retrieval from Biomart, allowing you to\n    query biological data by specifying which attributes to return and which filters\n    to apply. Includes automatic retry logic for resilience.\n\n    Args:\n        mart (str): The mart identifier (e.g., \"ENSEMBL_MART_ENSEMBL\")\n        dataset (str): The dataset identifier (e.g., \"hsapiens_gene_ensembl\")\n        attributes (list[str]): List of attributes to retrieve (e.g., [\"ensembl_gene_id\", \"external_gene_name\"])\n        filters (dict[str, str]): Dictionary of filters to apply (e.g., {\"chromosome_name\": \"1\"})\n\n    Returns:\n        str: CSV-formatted results of the query.\n\n    Example:\n        get_data(\n            \"ENSEMBL_MART_ENSEMBL\",\n            \"hsapiens_gene_ensembl\",\n            [\"ensembl_gene_id\", \"external_gene_name\", \"chromosome_name\"],\n            {\"chromosome_name\": \"X\", \"biotype\": \"protein_coding\"}\n        )\n        >>> \"ensembl_gene_id,external_gene_name,chromosome_name\n             ENSG00000000003,TSPAN6,X\n             ENSG00000000005,TNMD,X\n             ...\"\n    """), # jzinno/Biomart MCP/get_data
    Tool(name="""Biomart MCP_get_translation""", inputSchema={'properties': {'dataset': {'title': 'Dataset', 'type': 'string'}, 'from_attr': {'title': 'From Attr', 'type': 'string'}, 'mart': {'title': 'Mart', 'type': 'string'}, 'target': {'title': 'Target', 'type': 'string'}, 'to_attr': {'title': 'To Attr', 'type': 'string'}}, 'required': ['mart', 'dataset', 'from_attr', 'to_attr', 'target'], 'title': 'get_translationArguments', 'type': 'object'}, description="""\n    Translates a single identifier from one attribute type to another.\n\n    This function allows conversion between different identifier types, such as\n    converting a gene symbol to an Ensembl ID. Results are cached to improve performance.\n\n    Args:\n        mart (str): The mart identifier (e.g., \"ENSEMBL_MART_ENSEMBL\")\n        dataset (str): The dataset identifier (e.g., \"hsapiens_gene_ensembl\")\n        from_attr (str): The source attribute name (e.g., \"hgnc_symbol\")\n        to_attr (str): The target attribute name (e.g., \"ensembl_gene_id\")\n        target (str): The identifier value to translate (e.g., \"TP53\")\n\n    Returns:\n        str: The translated identifier, or an error message if not found.\n\n    Example:\n        get_translation(\"ENSEMBL_MART_ENSEMBL\", \"hsapiens_gene_ensembl\", \"hgnc_symbol\", \"ensembl_gene_id\", \"TP53\")\n        >>> \"ENSG00000141510\"\n    """), # jzinno/Biomart MCP/get_translation
    Tool(name="""Biomart MCP_batch_translate""", inputSchema={'properties': {'dataset': {'title': 'Dataset', 'type': 'string'}, 'from_attr': {'title': 'From Attr', 'type': 'string'}, 'mart': {'title': 'Mart', 'type': 'string'}, 'targets': {'items': {'type': 'string'}, 'title': 'Targets', 'type': 'array'}, 'to_attr': {'title': 'To Attr', 'type': 'string'}}, 'required': ['mart', 'dataset', 'from_attr', 'to_attr', 'targets'], 'title': 'batch_translateArguments', 'type': 'object'}, description="""\n    Translates multiple identifiers in a single batch operation.\n\n    This function is more efficient than multiple calls to get_translation when\n    you need to translate many identifiers at once.\n\n    Args:\n        mart (str): The mart identifier (e.g., \"ENSEMBL_MART_ENSEMBL\")\n        dataset (str): The dataset identifier (e.g., \"hsapiens_gene_ensembl\")\n        from_attr (str): The source attribute name (e.g., \"hgnc_symbol\")\n        to_attr (str): The target attribute name (e.g., \"ensembl_gene_id\")\n        targets (list[str]): List of identifier values to translate (e.g., [\"TP53\", \"BRCA1\", \"BRCA2\"])\n\n    Returns:\n        dict: A dictionary containing:\n            - translations: Dictionary mapping input IDs to translated IDs\n            - not_found: List of IDs that could not be translated\n            - found_count: Number of successfully translated IDs\n            - not_found_count: Number of IDs that could not be translated\n\n    Example:\n        batch_translate(\"ENSEMBL_MART_ENSEMBL\", \"hsapiens_gene_ensembl\", \"hgnc_symbol\", \"ensembl_gene_id\", [\"TP53\", \"BRCA1\", \"BRCA2\"])\n        >>> {\"translations\": {\"TP53\": \"ENSG00000141510\", \"BRCA1\": \"ENSG00000012048\"}, \"not_found\": [\"BRCA2\"], \"found_count\": 2, \"not_found_count\": 1}\n    """), # jzinno/Biomart MCP/batch_translate
    Tool(name="""Cursor A11y MCP_a11y""", inputSchema={'properties': {'relativePath': {'description': 'Relative path appended to http://localhost:5000', 'type': 'string'}, 'url': {'description': 'Full URL to test', 'type': 'string'}}, 'required': [], 'type': 'object'}, description="""Run accessibility tests on a URL or a local path (relative URL appended to http://localhost:5000)."""), # westsideori/Cursor A11y MCP/a11y
    Tool(name="""Terminal Controller for MCP_execute_command""", inputSchema={'properties': {'command': {'title': 'Command', 'type': 'string'}, 'timeout': {'default': 30, 'title': 'Timeout', 'type': 'integer'}}, 'required': ['command'], 'title': 'execute_commandArguments', 'type': 'object'}, description="""\n    Execute terminal command and return results\n    \n    Args:\n        command: Command line command to execute\n        timeout: Command timeout in seconds, default is 30 seconds\n    \n    Returns:\n        Output of the command execution\n    """), # GongRzhe/Terminal Controller for MCP/execute_command
    Tool(name="""Terminal Controller for MCP_get_command_history""", inputSchema={'properties': {'count': {'default': 10, 'title': 'Count', 'type': 'integer'}}, 'title': 'get_command_historyArguments', 'type': 'object'}, description="""\n    Get recent command execution history\n    \n    Args:\n        count: Number of recent commands to return\n    \n    Returns:\n        Formatted command history record\n    """), # GongRzhe/Terminal Controller for MCP/get_command_history
    Tool(name="""Terminal Controller for MCP_get_current_directory""", inputSchema={'properties': {}, 'title': 'get_current_directoryArguments', 'type': 'object'}, description="""\n    Get current working directory\n    \n    Returns:\n        Path of current working directory\n    """), # GongRzhe/Terminal Controller for MCP/get_current_directory
    Tool(name="""Terminal Controller for MCP_change_directory""", inputSchema={'properties': {'path': {'title': 'Path', 'type': 'string'}}, 'required': ['path'], 'title': 'change_directoryArguments', 'type': 'object'}, description="""\n    Change current working directory\n    \n    Args:\n        path: Directory path to switch to\n    \n    Returns:\n        Operation result information\n    """), # GongRzhe/Terminal Controller for MCP/change_directory
    Tool(name="""Terminal Controller for MCP_list_directory""", inputSchema={'properties': {'path': {'anyOf': [{'type': 'string'}, {'type': 'null'}], 'default': None, 'title': 'Path'}}, 'title': 'list_directoryArguments', 'type': 'object'}, description="""\n    List files and subdirectories in the specified directory\n    \n    Args:\n        path: Directory path to list contents, default is current directory\n    \n    Returns:\n        List of directory contents\n    """), # GongRzhe/Terminal Controller for MCP/list_directory
    Tool(name="""Terminal Controller for MCP_write_file""", inputSchema={'properties': {'content': {'title': 'Content', 'type': 'string'}, 'mode': {'default': 'overwrite', 'title': 'Mode', 'type': 'string'}, 'path': {'title': 'Path', 'type': 'string'}}, 'required': ['path', 'content'], 'title': 'write_fileArguments', 'type': 'object'}, description="""\n    Write content to a file\n    \n    Args:\n        path: Path to the file\n        content: Content to write (string or JSON object)\n        mode: Write mode ('overwrite' or 'append')\n    \n    Returns:\n        Operation result information\n    """), # GongRzhe/Terminal Controller for MCP/write_file
    Tool(name="""Terminal Controller for MCP_read_file""", inputSchema={'properties': {'as_json': {'default': False, 'title': 'As Json', 'type': 'boolean'}, 'end_row': {'default': None, 'title': 'End Row', 'type': 'integer'}, 'path': {'title': 'Path', 'type': 'string'}, 'start_row': {'default': None, 'title': 'Start Row', 'type': 'integer'}}, 'required': ['path'], 'title': 'read_fileArguments', 'type': 'object'}, description="""\n    Read content from a file with optional row selection\n    \n    Args:\n        path: Path to the file\n        start_row: Starting row to read from (0-based, optional)\n        end_row: Ending row to read to (0-based, inclusive, optional)\n        as_json: If True, attempt to parse file content as JSON (optional)\n    \n    Returns:\n        File content or selected lines, optionally parsed as JSON\n    """), # GongRzhe/Terminal Controller for MCP/read_file
    Tool(name="""Terminal Controller for MCP_insert_file_content""", inputSchema={'properties': {'content': {'title': 'Content', 'type': 'string'}, 'path': {'title': 'Path', 'type': 'string'}, 'row': {'default': None, 'title': 'Row', 'type': 'integer'}, 'rows': {'default': None, 'items': {}, 'title': 'Rows', 'type': 'array'}}, 'required': ['path', 'content'], 'title': 'insert_file_contentArguments', 'type': 'object'}, description="""\n    Insert content at specific row(s) in a file\n    \n    Args:\n        path: Path to the file\n        content: Content to insert (string or JSON object)\n        row: Row number to insert at (0-based, optional)\n        rows: List of row numbers to insert at (0-based, optional)\n    \n    Returns:\n        Operation result information\n    """), # GongRzhe/Terminal Controller for MCP/insert_file_content
    Tool(name="""Terminal Controller for MCP_delete_file_content""", inputSchema={'properties': {'path': {'title': 'Path', 'type': 'string'}, 'row': {'default': None, 'title': 'Row', 'type': 'integer'}, 'rows': {'default': None, 'items': {}, 'title': 'Rows', 'type': 'array'}, 'substring': {'default': None, 'title': 'Substring', 'type': 'string'}}, 'required': ['path'], 'title': 'delete_file_contentArguments', 'type': 'object'}, description="""\n    Delete content at specific row(s) from a file\n    \n    Args:\n        path: Path to the file\n        row: Row number to delete (0-based, optional)\n        rows: List of row numbers to delete (0-based, optional)\n        substring: If provided, only delete this substring within the specified row(s), not the entire row (optional)\n    \n    Returns:\n        Operation result information\n    """), # GongRzhe/Terminal Controller for MCP/delete_file_content
    Tool(name="""Terminal Controller for MCP_update_file_content""", inputSchema={'properties': {'content': {'title': 'Content', 'type': 'string'}, 'path': {'title': 'Path', 'type': 'string'}, 'row': {'default': None, 'title': 'Row', 'type': 'integer'}, 'rows': {'default': None, 'items': {}, 'title': 'Rows', 'type': 'array'}, 'substring': {'default': None, 'title': 'Substring', 'type': 'string'}}, 'required': ['path', 'content'], 'title': 'update_file_contentArguments', 'type': 'object'}, description="""\n    Update content at specific row(s) in a file\n    \n    Args:\n        path: Path to the file\n        content: New content to place at the specified row(s)\n        row: Row number to update (0-based, optional)\n        rows: List of row numbers to update (0-based, optional)\n        substring: If provided, only replace this substring within the specified row(s), not the entire row\n    \n    Returns:\n        Operation result information\n    """), # GongRzhe/Terminal Controller for MCP/update_file_content
    Tool(name="""Gemini Thinking Server_geminithinking""", inputSchema={'properties': {'alternativePaths': {'description': 'Alternative approaches suggested', 'items': {'type': 'string'}, 'type': 'array'}, 'approach': {'description': 'Suggested approach to the problem', 'type': 'string'}, 'branchFromThought': {'description': 'Branching point thought number', 'minimum': 1, 'type': 'integer'}, 'branchId': {'description': 'Branch identifier', 'type': 'string'}, 'confidenceLevel': {'description': 'Confidence level in the generated thought (0-1)', 'maximum': 1, 'minimum': 0, 'type': 'number'}, 'context': {'description': 'Additional context information', 'type': 'string'}, 'isRevision': {'description': 'Whether this revises previous thinking', 'type': 'boolean'}, 'metaComments': {'description': 'Meta-commentary about the reasoning process', 'type': 'string'}, 'needsMoreThoughts': {'description': 'If more thoughts are needed', 'type': 'boolean'}, 'nextThoughtNeeded': {'description': 'Whether another thought step is needed', 'type': 'boolean'}, 'previousThoughts': {'description': 'Array of previous thoughts for context', 'items': {'type': 'string'}, 'type': 'array'}, 'query': {'description': 'The question or problem to analyze', 'type': 'string'}, 'revisesThought': {'description': 'Which thought is being reconsidered', 'minimum': 1, 'type': 'integer'}, 'sessionCommand': {'description': "Command to manage sessions ('save', 'load', 'getState')", 'type': 'string'}, 'sessionPath': {'description': 'Path to save or load the session file', 'type': 'string'}, 'thought': {'description': 'Your current thinking step (if empty, will be generated by Gemini)', 'type': 'string'}, 'thoughtNumber': {'description': 'Current thought number', 'minimum': 1, 'type': 'integer'}, 'totalThoughts': {'description': 'Estimated total thoughts needed', 'minimum': 1, 'type': 'integer'}}, 'required': ['query', 'nextThoughtNeeded', 'thoughtNumber', 'totalThoughts'], 'type': 'object'}, description="""A detailed tool for dynamic and reflective problem-solving through Gemini AI.\nThis tool helps analyze problems through a flexible thinking process powered by Google's Gemini model.\nEach thought can build on, question, or revise previous insights as understanding deepens.\n\nWhen to use this tool:\n- Breaking down complex problems into steps\n- Planning and design with room for revision\n- Analysis that might need course correction\n- Problems where the full scope might not be clear initially\n- Problems that require a multi-step solution\n- Tasks that need to maintain context over multiple steps\n- Situations where irrelevant information needs to be filtered out\n\nKey features:\n- Leverages Gemini AI for deep analytical thinking\n- Provides meta-commentary on the reasoning process\n- Indicates confidence levels for generated thoughts\n- Suggests alternative approaches when relevant\n- You can adjust total_thoughts up or down as you progress\n- You can question or revise previous thoughts\n- You can add more thoughts even after reaching what seemed like the end\n- You can express uncertainty and explore alternative approaches\n- Not every thought needs to build linearly - you can branch or backtrack\n- Session persistence: save and resume your analysis sessions\n\nParameters explained:\n- query: The question or problem to be analyzed\n- context: Additional context information (e.g., code snippets, background)\n- approach: Suggested approach to the problem (optional)\n- previousThoughts: Array of previous thoughts for context\n- thought: The current thinking step (if empty, will be generated by Gemini)\n- next_thought_needed: True if you need more thinking, even if at what seemed like the end\n- thought_number: Current number in sequence (can go beyond initial total if needed)\n- total_thoughts: Current estimate of thoughts needed (can be adjusted up/down)\n- is_revision: A boolean indicating if this thought revises previous thinking\n- revises_thought: If is_revision is true, which thought number is being reconsidered\n- branch_from_thought: If branching, which thought number is the branching point\n- branch_id: Identifier for the current branch (if any)\n- needs_more_thoughts: If reaching end but realizing more thoughts needed\n- metaComments: Meta-commentary from Gemini about its reasoning process\n- confidenceLevel: Gemini's confidence in the generated thought (0-1)\n- alternativePaths: Alternative approaches suggested by Gemini\n\nSession commands:\n- sessionCommand: Command to manage sessions ('save', 'load', 'getState')\n- sessionPath: Path to save or load the session file (required for 'save' and 'load' commands)\n\nYou should:\n1. Start with a clear query and any relevant context\n2. Let Gemini generate thoughts by not providing the 'thought' parameter\n3. Review the generated thoughts and meta-commentary\n4. Feel free to revise or branch thoughts as needed\n5. Consider alternative paths suggested by Gemini\n6. Only set next_thought_needed to false when truly done\n7. Use session commands to save your progress and resume later"""), # bartekke8it56w2/Gemini Thinking Server/geminithinking
    Tool(name="""Safe MCP Server_getSafeTransactions""", inputSchema={'properties': {'address': {'description': 'Safe address', 'type': 'string'}, 'limit': {'description': 'Number of transactions to return', 'type': 'number'}, 'offset': {'description': 'Offset for pagination', 'type': 'number'}}, 'required': ['address'], 'type': 'object'}, description="""Get all transactions for a Safe address"""), # 5ajaki/Safe MCP Server/getSafeTransactions
    Tool(name="""Safe MCP Server_getMultisigTransaction""", inputSchema={'properties': {'safeTxHash': {'description': 'Safe transaction hash', 'type': 'string'}}, 'required': ['safeTxHash'], 'type': 'object'}, description="""Get details of a specific multisig transaction"""), # 5ajaki/Safe MCP Server/getMultisigTransaction
    Tool(name="""Safe MCP Server_decodeTransactionData""", inputSchema={'properties': {'data': {'description': 'Transaction data in hex format', 'type': 'string'}, 'to': {'description': 'Optional contract address', 'type': 'string'}}, 'required': ['data'], 'type': 'object'}, description="""Decode transaction data using Safe API"""), # 5ajaki/Safe MCP Server/decodeTransactionData
    Tool(name="""Overseerr MCP Server_example_tool""", inputSchema={'properties': {'message': {'description': 'Message to process', 'type': 'string'}}, 'type': 'object'}, description="""An example tool that processes messages"""), # jmagar/Overseerr MCP Server/example_tool
    Tool(name="""Overseerr MCP Server_get_daily_treasury_statement""", inputSchema={'properties': {'date': {'description': 'Date of the statement in YYYY-MM-DD format', 'type': 'string'}}, 'type': 'object'}, description="""Get the daily treasury statement for a specific day"""), # jmagar/Overseerr MCP Server/get_daily_treasury_statement
    Tool(name="""Overseerr MCP Server_get_media_details""", inputSchema={'properties': {'mediaId': {'description': 'The TMDB ID of the media item', 'type': 'string'}, 'mediaType': {'description': 'Type of media (movie or tv)', 'type': 'string'}, 'reference': {'description': "Reference to a previous search result (e.g., 'first_result', 'last_search', or just 'inception')", 'type': 'string'}}, 'type': 'object'}, description="""Get detailed information about a specific movie or TV show"""), # jmagar/Overseerr MCP Server/get_media_details
    Tool(name="""Overseerr MCP Server_get_requests""", inputSchema={'properties': {'status': {'description': 'Filter requests by their status (default: all)', 'type': 'string'}}, 'type': 'object'}, description="""Get a list of media requests from Overseerr"""), # jmagar/Overseerr MCP Server/get_requests
    Tool(name="""Overseerr MCP Server_request_media""", inputSchema={'properties': {'mediaId': {'description': 'The TMDB ID of the media item - not needed if using reference', 'type': 'string'}, 'mediaType': {'description': 'Type of media (movie or tv) - not needed if using reference', 'type': 'string'}, 'reference': {'description': "Reference to a media item from previous search results (e.g., 'first', 'second', '3', 'last')", 'type': 'string'}, 'seasons': {'description': 'For TV shows, specific season numbers to request (leave empty for all seasons)', 'type': 'string'}}, 'type': 'object'}, description="""Request a movie or TV show to be added to the media server"""), # jmagar/Overseerr MCP Server/request_media
    Tool(name="""Overseerr MCP Server_search_media""", inputSchema={'properties': {'query': {'description': 'Search query for movies or TV shows', 'type': 'string'}}, 'type': 'object'}, description="""Search for movies and TV shows in Overseerr"""), # jmagar/Overseerr MCP Server/search_media
    Tool(name="""Zoom Transcript MCP Server_get_recent_transcripts""", inputSchema={'properties': {'count': {'description': 'Number of recent meetings to fetch (default: 5)', 'maximum': 30, 'minimum': 1, 'type': 'number'}}, 'type': 'object'}, description="""Get and download transcripts from recent Zoom meetings. This tool will access the Zoom cloud API to fetch and download recent meeting transcripts."""), # forayconsulting/Zoom Transcript MCP Server/get_recent_transcripts
    Tool(name="""Zoom Transcript MCP Server_search_transcripts""", inputSchema={'properties': {'dateRange': {'properties': {'from': {'description': 'Start date (ISO format)', 'type': 'string'}, 'to': {'description': 'End date (ISO format)', 'type': 'string'}}, 'type': 'object'}, 'query': {'description': 'Search query', 'type': 'string'}}, 'required': ['query'], 'type': 'object'}, description="""Search across Zoom meeting transcripts for specific content. This tool will search through locally stored transcripts first."""), # forayconsulting/Zoom Transcript MCP Server/search_transcripts
    Tool(name="""Zoom Transcript MCP Server_extract_action_items""", inputSchema={'properties': {'meetingId': {'description': 'Meeting ID to extract action items from. Can be either the numeric ID or UUID.', 'type': 'string'}, 'participant': {'description': 'Optional filter to only show action items from or assigned to a specific participant', 'type': 'string'}}, 'required': ['meetingId'], 'type': 'object'}, description="""Identify and extract action items, tasks and commitments from meeting transcripts"""), # forayconsulting/Zoom Transcript MCP Server/extract_action_items
    Tool(name="""Zoom Transcript MCP Server_check_local_transcripts""", inputSchema={'properties': {'dateRange': {'properties': {'from': {'description': 'Start date (ISO format)', 'type': 'string'}, 'to': {'description': 'End date (ISO format)', 'type': 'string'}}, 'type': 'object'}}, 'type': 'object'}, description="""Check what transcripts are already downloaded and available locally"""), # forayconsulting/Zoom Transcript MCP Server/check_local_transcripts
    Tool(name="""Zoom Transcript MCP Server_download_transcript""", inputSchema={'properties': {'meetingId': {'description': 'Zoom meeting ID or UUID', 'type': 'string'}}, 'required': ['meetingId'], 'type': 'object'}, description="""Download a specific Zoom meeting transcript from the cloud to local storage"""), # forayconsulting/Zoom Transcript MCP Server/download_transcript
    Tool(name="""Zoom Transcript MCP Server_list_meetings""", inputSchema={'properties': {'dateRange': {'properties': {'from': {'description': 'Start date (ISO format)', 'type': 'string'}, 'to': {'description': 'End date (ISO format)', 'type': 'string'}}, 'type': 'object'}, 'participant': {'description': 'Filter by participant name', 'type': 'string'}}, 'type': 'object'}, description="""List available Zoom meetings with recordings that exist in the cloud"""), # forayconsulting/Zoom Transcript MCP Server/list_meetings
    Tool(name="""SQLite MCP Server_read-query""", inputSchema={'properties': {'query': {'description': 'a SELECT query', 'pattern': '^SELECT', 'type': 'string'}}, 'required': ['query'], 'type': 'object'}, description="""Execute a read-only SQL query"""), # jacksteamdev/SQLite MCP Server/read-query
    Tool(name="""SQLite MCP Server_write-query""", inputSchema={'properties': {'query': {'description': 'an INSERT, UPDATE, or DELETE query', 'pattern': '^(INSERT|UPDATE|DELETE)', 'type': 'string'}}, 'required': ['query'], 'type': 'object'}, description="""Execute a write SQL query"""), # jacksteamdev/SQLite MCP Server/write-query
    Tool(name="""SQLite MCP Server_create-table""", inputSchema={'properties': {'query': {'description': 'a CREATE TABLE statement', 'pattern': '^CREATE TABLE', 'type': 'string'}}, 'required': ['query'], 'type': 'object'}, description="""Create a new table in the database"""), # jacksteamdev/SQLite MCP Server/create-table
    Tool(name="""SQLite MCP Server_list-tables""", inputSchema={'type': 'object'}, description="""List all tables in the database"""), # jacksteamdev/SQLite MCP Server/list-tables
    Tool(name="""SQLite MCP Server_describe-table""", inputSchema={'properties': {'table_name': {'type': 'string'}}, 'required': ['table_name'], 'type': 'object'}, description="""Get schema information for a table"""), # jacksteamdev/SQLite MCP Server/describe-table
    Tool(name="""SQLite MCP Server_append-insight""", inputSchema={'properties': {'insight': {'type': 'string'}}, 'required': ['insight'], 'type': 'object'}, description="""Add a business insight to the memo"""), # jacksteamdev/SQLite MCP Server/append-insight
    Tool(name="""Ragie Model Context Protocol Server_retrieve""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'query': {'description': 'The query to search for data in the Knowledge Base', 'type': 'string'}}, 'required': ['query'], 'type': 'object'}, description="""Look up information in the Knowledge Base. Use this tool when you need to:\n - Find relevant documents or information on specific topics\n - Retrieve company policies, procedures, or guidelines\n - Access product specifications or technical documentation\n - Get contextual information to answer company-specific questions\n - Find historical data or information about projects"""), # ragieai/Ragie Model Context Protocol Server/retrieve
    Tool(name="""Markdown Downloader_download_markdown""", inputSchema={'properties': {'subdirectory': {'description': 'Optional subdirectory to save the file in', 'type': 'string'}, 'url': {'description': 'URL of the webpage to download', 'type': 'string'}}, 'required': ['url'], 'type': 'object'}, description="""Download a webpage as markdown using r.jina.ai"""), # dazeb/Markdown Downloader/download_markdown
    Tool(name="""Markdown Downloader_list_downloaded_files""", inputSchema={'properties': {'subdirectory': {'description': 'Optional subdirectory to list files from', 'type': 'string'}}, 'type': 'object'}, description="""List all downloaded markdown files"""), # dazeb/Markdown Downloader/list_downloaded_files
    Tool(name="""Markdown Downloader_set_download_directory""", inputSchema={'properties': {'directory': {'description': 'Full path to the download directory', 'type': 'string'}}, 'required': ['directory'], 'type': 'object'}, description="""Set the main local download folder for markdown files"""), # dazeb/Markdown Downloader/set_download_directory
    Tool(name="""Markdown Downloader_get_download_directory""", inputSchema={'properties': {}, 'type': 'object'}, description="""Get the current download directory"""), # dazeb/Markdown Downloader/get_download_directory
    Tool(name="""Markdown Downloader_create_subdirectory""", inputSchema={'properties': {'name': {'description': 'Name of the subdirectory to create', 'type': 'string'}}, 'required': ['name'], 'type': 'object'}, description="""Create a new subdirectory in the root download folder"""), # dazeb/Markdown Downloader/create_subdirectory
    Tool(name="""Telegram MCP Server_ListDialogs""", inputSchema={'description': 'List available dialogs, chats and channels.', 'properties': {'archived': {'default': False, 'title': 'Archived', 'type': 'boolean'}, 'ignore_pinned': {'default': False, 'title': 'Ignore Pinned', 'type': 'boolean'}, 'unread': {'default': False, 'title': 'Unread', 'type': 'boolean'}}, 'title': 'ListDialogs', 'type': 'object'}, description="""List available dialogs, chats and channels."""), # sparfenyuk/Telegram MCP Server/ListDialogs
    Tool(name="""Telegram MCP Server_ListMessages""", inputSchema={'description': 'List messages in a given dialog, chat or channel. The messages are listed in order from newest to oldest.\n\nIf `unread` is set to `True`, only unread messages will be listed. Once a message is read, it will not be\nlisted again.\n\nIf `limit` is set, only the last `limit` messages will be listed. If `unread` is set, the limit will be\nthe minimum between the unread messages and the limit.', 'properties': {'dialog_id': {'title': 'Dialog Id', 'type': 'integer'}, 'limit': {'default': 100, 'title': 'Limit', 'type': 'integer'}, 'unread': {'default': False, 'title': 'Unread', 'type': 'boolean'}}, 'required': ['dialog_id'], 'title': 'ListMessages', 'type': 'object'}, description="""\n    List messages in a given dialog, chat or channel. The messages are listed in order from newest to oldest.\n\n    If `unread` is set to `True`, only unread messages will be listed. Once a message is read, it will not be\n    listed again.\n\n    If `limit` is set, only the last `limit` messages will be listed. If `unread` is set, the limit will be\n    the minimum between the unread messages and the limit.\n    """), # sparfenyuk/Telegram MCP Server/ListMessages
    Tool(name="""Chain of Draft (CoD) MCP Server_chain_of_draft_solve""", inputSchema={'properties': {'adaptive_word_limit': {'description': 'Adjust word limits based on complexity', 'type': 'boolean'}, 'approach': {'description': "Force 'CoD' or 'CoT' approach", 'type': 'string'}, 'domain': {'description': 'Domain for context (math, logic, code, common-sense, etc.)', 'type': 'string'}, 'enforce_format': {'description': 'Whether to enforce the word limit', 'type': 'boolean'}, 'max_words_per_step': {'description': 'Maximum words per reasoning step', 'type': 'number'}, 'problem': {'description': 'The problem to solve', 'type': 'string'}}, 'required': ['problem'], 'type': 'object'}, description="""Solve a reasoning problem using Chain of Draft approach"""), # stat-guy/Chain of Draft (CoD) MCP Server/chain_of_draft_solve
    Tool(name="""Chain of Draft (CoD) MCP Server_math_solve""", inputSchema={'properties': {'approach': {'description': "Force 'CoD' or 'CoT' approach", 'type': 'string'}, 'max_words_per_step': {'description': 'Maximum words per reasoning step', 'type': 'number'}, 'problem': {'description': 'The math problem to solve', 'type': 'string'}}, 'required': ['problem'], 'type': 'object'}, description="""Solve a math problem using Chain of Draft reasoning"""), # stat-guy/Chain of Draft (CoD) MCP Server/math_solve
    Tool(name="""Chain of Draft (CoD) MCP Server_code_solve""", inputSchema={'properties': {'approach': {'description': "Force 'CoD' or 'CoT' approach", 'type': 'string'}, 'max_words_per_step': {'description': 'Maximum words per reasoning step', 'type': 'number'}, 'problem': {'description': 'The coding problem to solve', 'type': 'string'}}, 'required': ['problem'], 'type': 'object'}, description="""Solve a coding problem using Chain of Draft reasoning"""), # stat-guy/Chain of Draft (CoD) MCP Server/code_solve
    Tool(name="""Chain of Draft (CoD) MCP Server_logic_solve""", inputSchema={'properties': {'approach': {'description': "Force 'CoD' or 'CoT' approach", 'type': 'string'}, 'max_words_per_step': {'description': 'Maximum words per reasoning step', 'type': 'number'}, 'problem': {'description': 'The logic problem to solve', 'type': 'string'}}, 'required': ['problem'], 'type': 'object'}, description="""Solve a logic problem using Chain of Draft reasoning"""), # stat-guy/Chain of Draft (CoD) MCP Server/logic_solve
    Tool(name="""Chain of Draft (CoD) MCP Server_get_performance_stats""", inputSchema={'properties': {'domain': {'description': 'Filter for specific domain', 'type': 'string'}}, 'type': 'object'}, description="""Get performance statistics for CoD vs CoT approaches"""), # stat-guy/Chain of Draft (CoD) MCP Server/get_performance_stats
    Tool(name="""Chain of Draft (CoD) MCP Server_get_token_reduction""", inputSchema={'properties': {}, 'type': 'object'}, description="""Get token reduction statistics for CoD vs CoT"""), # stat-guy/Chain of Draft (CoD) MCP Server/get_token_reduction
    Tool(name="""Chain of Draft (CoD) MCP Server_analyze_problem_complexity""", inputSchema={'properties': {'domain': {'description': 'Problem domain', 'type': 'string'}, 'problem': {'description': 'The problem to analyze', 'type': 'string'}}, 'required': ['problem'], 'type': 'object'}, description="""Analyze the complexity of a problem"""), # stat-guy/Chain of Draft (CoD) MCP Server/analyze_problem_complexity
    Tool(name="""Claude Outlook MCP Tool_outlook_mail""", inputSchema={'properties': {'attachments': {'description': 'File paths to attach to the email (optional for send operation)', 'items': {'type': 'string'}, 'type': 'array'}, 'bcc': {'description': 'BCC email address (optional for send operation)', 'type': 'string'}, 'body': {'description': 'Email body content (required for send operation)', 'type': 'string'}, 'cc': {'description': 'CC email address (optional for send operation)', 'type': 'string'}, 'folder': {'description': 'Email folder to use (optional - if not provided, uses inbox or searches across all folders)', 'type': 'string'}, 'isHtml': {'description': 'Whether the body content is HTML (optional for send operation, default: false)', 'type': 'boolean'}, 'limit': {'description': 'Number of emails to retrieve (optional, for unread, read, and search operations)', 'type': 'number'}, 'operation': {'description': "Operation to perform: 'unread', 'search', 'send', 'folders', or 'read'", 'enum': ['unread', 'search', 'send', 'folders', 'read'], 'type': 'string'}, 'searchTerm': {'description': 'Text to search for in emails (required for search operation)', 'type': 'string'}, 'subject': {'description': 'Email subject (required for send operation)', 'type': 'string'}, 'to': {'description': 'Recipient email address (required for send operation)', 'type': 'string'}}, 'required': ['operation'], 'type': 'object'}, description="""Interact with Microsoft Outlook for macOS - read, search, send, and manage emails"""), # syedazharmbnr1/Claude Outlook MCP Tool/outlook_mail
    Tool(name="""Claude Outlook MCP Tool_outlook_calendar""", inputSchema={'properties': {'attendees': {'description': 'Comma-separated list of attendee email addresses (optional for create operation)', 'type': 'string'}, 'body': {'description': 'Event description/body (optional for create operation)', 'type': 'string'}, 'days': {'description': 'Number of days to look ahead (optional, for upcoming operation, default: 7)', 'type': 'number'}, 'end': {'description': 'End time in ISO format (required for create operation)', 'type': 'string'}, 'limit': {'description': 'Number of events to retrieve (optional, for today and upcoming operations)', 'type': 'number'}, 'location': {'description': 'Event location (optional for create operation)', 'type': 'string'}, 'operation': {'description': "Operation to perform: 'today', 'upcoming', 'search', or 'create'", 'enum': ['today', 'upcoming', 'search', 'create'], 'type': 'string'}, 'searchTerm': {'description': 'Text to search for in events (required for search operation)', 'type': 'string'}, 'start': {'description': 'Start time in ISO format (required for create operation)', 'type': 'string'}, 'subject': {'description': 'Event subject/title (required for create operation)', 'type': 'string'}}, 'required': ['operation'], 'type': 'object'}, description="""Interact with Microsoft Outlook for macOS calendar - view, create, and manage events"""), # syedazharmbnr1/Claude Outlook MCP Tool/outlook_calendar
    Tool(name="""Claude Outlook MCP Tool_outlook_contacts""", inputSchema={'properties': {'limit': {'description': 'Number of contacts to retrieve (optional)', 'type': 'number'}, 'operation': {'description': "Operation to perform: 'list' or 'search'", 'enum': ['list', 'search'], 'type': 'string'}, 'searchTerm': {'description': 'Text to search for in contacts (required for search operation)', 'type': 'string'}}, 'required': ['operation'], 'type': 'object'}, description="""Search and retrieve contacts from Microsoft Outlook for macOS"""), # syedazharmbnr1/Claude Outlook MCP Tool/outlook_contacts
    Tool(name="""BrianKnows MCP Server_ping""", inputSchema={'properties': {}, 'required': [], 'type': 'object'}, description="""Check if the Brian API server is alive"""), # antoncoding/BrianKnows MCP Server/ping
    Tool(name="""BrianKnows MCP Server_search""", inputSchema={'properties': {'kb': {'description': 'Knowledge box to search in (default: public-knowledge-box). Options: circle_kb, lido_kb, Polygon_kb, taiko_kb, near_kb, clave_kb, starknet_kb, consensys_kb', 'type': 'string'}, 'query': {'description': 'Search query', 'type': 'string'}}, 'required': ['query'], 'type': 'object'}, description="""Search using Brian's knowledge engine"""), # antoncoding/BrianKnows MCP Server/search
    Tool(name="""BrianKnows MCP Server_agent""", inputSchema={'properties': {'address': {'description': 'User blockchain address (required for blockchain operations)', 'type': 'string'}, 'chainId': {'description': 'Blockchain chain ID', 'type': 'string'}, 'kbId': {'description': 'Knowledge box ID to use (default: public-knowledge-box)', 'type': 'string'}, 'prompt': {'description': 'User prompt or question', 'type': 'string'}}, 'required': ['prompt'], 'type': 'object'}, description="""Chat with Brian agent"""), # antoncoding/BrianKnows MCP Server/agent
    Tool(name="""Dataset Viewer MCP Server_get_info""", inputSchema={'properties': {'auth_token': {'description': 'Hugging Face auth token for private/gated datasets', 'optional': True, 'type': 'string'}, 'dataset': {'description': 'Hugging Face dataset identifier in the format owner/dataset', 'examples': ['ylecun/mnist', 'stanfordnlp/imdb'], 'pattern': '^[^/]+/[^/]+$', 'type': 'string'}}, 'required': ['dataset'], 'type': 'object'}, description="""Get detailed information about a Hugging Face dataset including description, features, splits, and statistics. Run validate first to check if the dataset exists and is accessible."""), # privetin/Dataset Viewer MCP Server/get_info
    Tool(name="""Dataset Viewer MCP Server_get_rows""", inputSchema={'properties': {'auth_token': {'description': 'Hugging Face auth token for private/gated datasets', 'optional': True, 'type': 'string'}, 'config': {'description': 'Dataset configuration/subset name. Use get_info to list available configs', 'examples': ['default', 'en', 'es'], 'type': 'string'}, 'dataset': {'description': 'Hugging Face dataset identifier in the format owner/dataset', 'examples': ['ylecun/mnist', 'stanfordnlp/imdb'], 'pattern': '^[^/]+/[^/]+$', 'type': 'string'}, 'page': {'default': 0, 'description': 'Page number (0-based), returns 100 rows per page', 'type': 'integer'}, 'split': {'description': 'Dataset split name. Splits partition the data for training/evaluation', 'examples': ['train', 'validation', 'test'], 'type': 'string'}}, 'required': ['dataset', 'config', 'split'], 'type': 'object'}, description="""Get paginated rows from a Hugging Face dataset"""), # privetin/Dataset Viewer MCP Server/get_rows
    Tool(name="""Dataset Viewer MCP Server_get_first_rows""", inputSchema={'properties': {'auth_token': {'description': 'Hugging Face auth token for private/gated datasets', 'optional': True, 'type': 'string'}, 'config': {'description': 'Dataset configuration/subset name. Use get_info to list available configs', 'examples': ['default', 'en', 'es'], 'type': 'string'}, 'dataset': {'description': 'Hugging Face dataset identifier in the format owner/dataset', 'examples': ['ylecun/mnist', 'stanfordnlp/imdb'], 'pattern': '^[^/]+/[^/]+$', 'type': 'string'}, 'split': {'description': 'Dataset split name. Splits partition the data for training/evaluation', 'examples': ['train', 'validation', 'test'], 'type': 'string'}}, 'required': ['dataset', 'config', 'split'], 'type': 'object'}, description="""Get first rows from a Hugging Face dataset split"""), # privetin/Dataset Viewer MCP Server/get_first_rows
    Tool(name="""Dataset Viewer MCP Server_search_dataset""", inputSchema={'properties': {'auth_token': {'description': 'Hugging Face auth token for private/gated datasets', 'optional': True, 'type': 'string'}, 'config': {'description': 'Dataset configuration/subset name. Use get_info to list available configs', 'examples': ['default', 'en', 'es'], 'type': 'string'}, 'dataset': {'description': 'Hugging Face dataset identifier in the format owner/dataset', 'examples': ['ylecun/mnist', 'stanfordnlp/imdb'], 'pattern': '^[^/]+/[^/]+$', 'type': 'string'}, 'query': {'description': 'Text to search for in the dataset', 'type': 'string'}, 'split': {'description': 'Dataset split name. Splits partition the data for training/evaluation', 'examples': ['train', 'validation', 'test'], 'type': 'string'}}, 'required': ['dataset', 'config', 'split', 'query'], 'type': 'object'}, description="""Search for text within a Hugging Face dataset"""), # privetin/Dataset Viewer MCP Server/search_dataset
    Tool(name="""Dataset Viewer MCP Server_filter""", inputSchema={'properties': {'auth_token': {'description': 'Hugging Face auth token for private/gated datasets', 'optional': True, 'type': 'string'}, 'config': {'description': 'Dataset configuration/subset name. Use get_info to list available configs', 'examples': ['default', 'en', 'es'], 'type': 'string'}, 'dataset': {'description': 'Hugging Face dataset identifier in the format owner/dataset', 'examples': ['ylecun/mnist', 'stanfordnlp/imdb'], 'pattern': '^[^/]+/[^/]+$', 'type': 'string'}, 'orderby': {'description': 'SQL-like ORDER BY clause to sort results', 'examples': ['column ASC', 'score DESC', 'name ASC, id DESC'], 'optional': True, 'type': 'string'}, 'page': {'default': 0, 'description': 'Page number for paginated results (100 rows per page)', 'minimum': 0, 'type': 'integer'}, 'split': {'description': 'Dataset split name. Splits partition the data for training/evaluation', 'examples': ['train', 'validation', 'test'], 'type': 'string'}, 'where': {'description': 'SQL-like WHERE clause to filter rows', 'examples': ['column = "value"', 'score > 0.5', 'text LIKE "%query%"'], 'type': 'string'}}, 'required': ['dataset', 'config', 'split', 'where'], 'type': 'object'}, description="""Filter rows in a Hugging Face dataset using SQL-like conditions"""), # privetin/Dataset Viewer MCP Server/filter
    Tool(name="""Dataset Viewer MCP Server_get_statistics""", inputSchema={'properties': {'auth_token': {'description': 'Hugging Face auth token for private/gated datasets', 'optional': True, 'type': 'string'}, 'config': {'description': 'Dataset configuration/subset name. Use get_info to list available configs', 'examples': ['default', 'en', 'es'], 'type': 'string'}, 'dataset': {'description': 'Hugging Face dataset identifier in the format owner/dataset', 'examples': ['ylecun/mnist', 'stanfordnlp/imdb'], 'pattern': '^[^/]+/[^/]+$', 'type': 'string'}, 'split': {'description': 'Dataset split name. Splits partition the data for training/evaluation', 'examples': ['train', 'validation', 'test'], 'type': 'string'}}, 'required': ['dataset', 'config', 'split'], 'type': 'object'}, description="""Get statistics about a Hugging Face dataset"""), # privetin/Dataset Viewer MCP Server/get_statistics
    Tool(name="""Dataset Viewer MCP Server_get_parquet""", inputSchema={'properties': {'auth_token': {'description': 'Hugging Face auth token for private/gated datasets', 'optional': True, 'type': 'string'}, 'dataset': {'description': 'Hugging Face dataset identifier in the format owner/dataset', 'examples': ['ylecun/mnist', 'stanfordnlp/imdb'], 'pattern': '^[^/]+/[^/]+$', 'type': 'string'}}, 'required': ['dataset'], 'type': 'object'}, description="""Export Hugging Face dataset split as Parquet file"""), # privetin/Dataset Viewer MCP Server/get_parquet
    Tool(name="""Dataset Viewer MCP Server_validate""", inputSchema={'properties': {'auth_token': {'description': 'Hugging Face auth token for private/gated datasets', 'optional': True, 'type': 'string'}, 'dataset': {'description': 'Hugging Face dataset identifier in the format owner/dataset', 'examples': ['ylecun/mnist', 'stanfordnlp/imdb'], 'pattern': '^[^/]+/[^/]+$', 'type': 'string'}}, 'required': ['dataset'], 'type': 'object'}, description="""Check if a Hugging Face dataset exists and is accessible"""), # privetin/Dataset Viewer MCP Server/validate
    Tool(name="""Claude Desktop API MCP_send-message""", inputSchema={'properties': {'message': {'description': 'Message to send to Claude', 'type': 'string'}}, 'required': ['message'], 'type': 'object'}, description="""Send a message to Claude"""), # mlobo2012/Claude Desktop API MCP/send-message
    Tool(name="""Node Omnibus MCP Server_create_project""", inputSchema={'properties': {'name': {'description': 'Project name', 'type': 'string'}, 'path': {'description': 'Project directory path', 'type': 'string'}, 'type': {'description': 'Project type', 'enum': ['react', 'node', 'next', 'express', 'fastify'], 'type': 'string'}, 'typescript': {'default': True, 'description': 'Enable TypeScript support', 'type': 'boolean'}}, 'required': ['name', 'type', 'path'], 'type': 'object'}, description="""Create a new Node.js project with enhanced configuration"""), # bsmi021/Node Omnibus MCP Server/create_project
    Tool(name="""Node Omnibus MCP Server_install_packages""", inputSchema={'properties': {'dev': {'default': False, 'description': 'Install as dev dependency', 'type': 'boolean'}, 'packages': {'description': 'Package names to install', 'items': {'type': 'string'}, 'type': 'array'}, 'path': {'description': 'Project directory path', 'type': 'string'}}, 'required': ['packages', 'path'], 'type': 'object'}, description="""Install npm packages with version management"""), # bsmi021/Node Omnibus MCP Server/install_packages
    Tool(name="""Node Omnibus MCP Server_generate_component""", inputSchema={'properties': {'name': {'description': 'Component name', 'type': 'string'}, 'path': {'description': 'Component directory path', 'type': 'string'}, 'props': {'additionalProperties': {'type': 'string'}, 'description': 'Component props with types', 'type': 'object'}, 'type': {'description': 'Component type', 'enum': ['functional', 'class'], 'type': 'string'}}, 'required': ['name', 'path', 'type'], 'type': 'object'}, description="""Generate a new React component with TypeScript support"""), # bsmi021/Node Omnibus MCP Server/generate_component
    Tool(name="""Node Omnibus MCP Server_create_type_definition""", inputSchema={'properties': {'name': {'description': 'Type name', 'type': 'string'}, 'path': {'description': 'File path', 'type': 'string'}, 'properties': {'additionalProperties': {'type': 'string'}, 'description': 'Type properties and their types', 'type': 'object'}}, 'required': ['name', 'path', 'properties'], 'type': 'object'}, description="""Create TypeScript type definitions or interfaces"""), # bsmi021/Node Omnibus MCP Server/create_type_definition
    Tool(name="""Node Omnibus MCP Server_add_script""", inputSchema={'properties': {'command': {'description': 'Script command', 'type': 'string'}, 'name': {'description': 'Script name', 'type': 'string'}, 'path': {'description': 'Project directory path', 'type': 'string'}}, 'required': ['path', 'name', 'command'], 'type': 'object'}, description="""Add a new npm script to package.json"""), # bsmi021/Node Omnibus MCP Server/add_script
    Tool(name="""Node Omnibus MCP Server_update_tsconfig""", inputSchema={'properties': {'options': {'additionalProperties': True, 'description': 'TypeScript compiler options', 'type': 'object'}, 'path': {'description': 'Project directory path', 'type': 'string'}}, 'required': ['path', 'options'], 'type': 'object'}, description="""Update TypeScript configuration"""), # bsmi021/Node Omnibus MCP Server/update_tsconfig
    Tool(name="""Node Omnibus MCP Server_create_documentation""", inputSchema={'properties': {'name': {'description': 'Component or API name for specific documentation', 'type': 'string'}, 'path': {'description': 'Project directory path', 'type': 'string'}, 'type': {'description': 'Documentation type', 'enum': ['readme', 'api', 'component'], 'type': 'string'}}, 'required': ['path', 'type'], 'type': 'object'}, description="""Generate project documentation"""), # bsmi021/Node Omnibus MCP Server/create_documentation
    Tool(name="""Todo List MCP Server_create-todo""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'description': {'minLength': 1, 'type': 'string'}, 'title': {'minLength': 1, 'type': 'string'}}, 'required': ['title', 'description'], 'type': 'object'}, description="""Create a new todo item"""), # RegiByte/Todo List MCP Server/create-todo
    Tool(name="""Todo List MCP Server_list-todos""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {}, 'type': 'object'}, description="""List all todos"""), # RegiByte/Todo List MCP Server/list-todos
    Tool(name="""Todo List MCP Server_get-todo""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'id': {'format': 'uuid', 'type': 'string'}}, 'required': ['id'], 'type': 'object'}, description="""Get a specific todo by ID"""), # RegiByte/Todo List MCP Server/get-todo
    Tool(name="""Todo List MCP Server_update-todo""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'description': {'minLength': 1, 'type': 'string'}, 'id': {'format': 'uuid', 'type': 'string'}, 'title': {'minLength': 1, 'type': 'string'}}, 'required': ['id'], 'type': 'object'}, description="""Update a todo title or description"""), # RegiByte/Todo List MCP Server/update-todo
    Tool(name="""Todo List MCP Server_complete-todo""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'id': {'format': 'uuid', 'type': 'string'}}, 'required': ['id'], 'type': 'object'}, description="""Mark a todo as completed"""), # RegiByte/Todo List MCP Server/complete-todo
    Tool(name="""Todo List MCP Server_delete-todo""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'id': {'format': 'uuid', 'type': 'string'}}, 'required': ['id'], 'type': 'object'}, description="""Delete a todo"""), # RegiByte/Todo List MCP Server/delete-todo
    Tool(name="""Todo List MCP Server_search-todos-by-title""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'title': {'minLength': 1, 'type': 'string'}}, 'required': ['title'], 'type': 'object'}, description="""Search todos by title (case insensitive partial match)"""), # RegiByte/Todo List MCP Server/search-todos-by-title
    Tool(name="""Todo List MCP Server_search-todos-by-date""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'date': {'pattern': '^\\d{4}-\\d{2}-\\d{2}$', 'type': 'string'}}, 'required': ['date'], 'type': 'object'}, description="""Search todos by creation date (format: YYYY-MM-DD)"""), # RegiByte/Todo List MCP Server/search-todos-by-date
    Tool(name="""Todo List MCP Server_list-active-todos""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {}, 'type': 'object'}, description="""List all non-completed todos"""), # RegiByte/Todo List MCP Server/list-active-todos
    Tool(name="""Todo List MCP Server_summarize-active-todos""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {}, 'type': 'object'}, description="""Generate a summary of all active (non-completed) todos"""), # RegiByte/Todo List MCP Server/summarize-active-todos
    Tool(name="""X(Twitter) MCP Server_create_draft_tweet""", inputSchema={'properties': {'content': {'description': 'The content of the tweet', 'type': 'string'}}, 'required': ['content'], 'type': 'object'}, description="""Create a draft tweet"""), # vidhupv/X(Twitter) MCP Server/create_draft_tweet
    Tool(name="""X(Twitter) MCP Server_create_draft_thread""", inputSchema={'properties': {'contents': {'description': 'An array of tweet contents for the thread', 'items': {'type': 'string'}, 'type': 'array'}}, 'required': ['contents'], 'type': 'object'}, description="""Create a draft tweet thread"""), # vidhupv/X(Twitter) MCP Server/create_draft_thread
    Tool(name="""X(Twitter) MCP Server_list_drafts""", inputSchema={'properties': {}, 'required': [], 'type': 'object'}, description="""List all draft tweets and threads"""), # vidhupv/X(Twitter) MCP Server/list_drafts
    Tool(name="""X(Twitter) MCP Server_publish_draft""", inputSchema={'properties': {'draft_id': {'description': 'ID of the draft to publish', 'type': 'string'}}, 'required': ['draft_id'], 'type': 'object'}, description="""Publish a draft tweet or thread"""), # vidhupv/X(Twitter) MCP Server/publish_draft
    Tool(name="""X(Twitter) MCP Server_delete_draft""", inputSchema={'properties': {'draft_id': {'description': 'ID of the draft to delete', 'type': 'string'}}, 'required': ['draft_id'], 'type': 'object'}, description="""Delete a draft tweet or thread"""), # vidhupv/X(Twitter) MCP Server/delete_draft
    Tool(name="""Brightsy MCP Server_brightsy""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'messages': {'description': 'The messages to send to the agent', 'items': {'additionalProperties': False, 'properties': {'content': {'anyOf': [{'type': 'string'}, {'type': 'array'}], 'description': 'The content of the message'}, 'role': {'description': 'The role of the message sender', 'type': 'string'}}, 'required': ['role', 'content'], 'type': 'object'}, 'type': 'array'}}, 'required': ['messages'], 'type': 'object'}, description="""Proxy requests to an Brightsy AI agent"""), # mattlevine/Brightsy MCP Server/brightsy
    Tool(name="""Home Assistant MCP Server_get_state""", inputSchema={'properties': {'entity_id': {'description': 'The entity ID to get state for (e.g., light.living_room)', 'type': 'string'}}, 'required': ['entity_id'], 'type': 'object'}, description="""Get the current state of a Home Assistant entity"""), # hekmon8/Home Assistant MCP Server/get_state
    Tool(name="""Home Assistant MCP Server_toggle_entity""", inputSchema={'properties': {'entity_id': {'description': 'The entity ID to toggle (e.g., switch.bedroom)', 'type': 'string'}, 'state': {'description': 'The desired state (on/off)', 'enum': ['on', 'off'], 'type': 'string'}}, 'required': ['entity_id', 'state'], 'type': 'object'}, description="""Toggle a Home Assistant entity on/off"""), # hekmon8/Home Assistant MCP Server/toggle_entity
    Tool(name="""Home Assistant MCP Server_trigger_automation""", inputSchema={'properties': {'automation_id': {'description': 'The automation ID to trigger (e.g., automation.morning_routine)', 'type': 'string'}}, 'required': ['automation_id'], 'type': 'object'}, description="""Trigger a Home Assistant automation"""), # hekmon8/Home Assistant MCP Server/trigger_automation
    Tool(name="""Home Assistant MCP Server_list_entities""", inputSchema={'properties': {'domain': {'description': 'Optional domain filter (e.g., light, switch, automation)', 'type': 'string'}}, 'type': 'object'}, description="""List all available entities in Home Assistant"""), # hekmon8/Home Assistant MCP Server/list_entities
    Tool(name="""MCP Server Template for Cursor IDE_mcp_fetch""", inputSchema={'properties': {'url': {'description': 'URL to fetch', 'type': 'string'}}, 'required': ['url'], 'type': 'object'}, description="""Fetches a website and returns its content"""), # MyBlockcities/MCP Server Template for Cursor IDE/mcp_fetch
    Tool(name="""MCP Server Template for Cursor IDE_mood""", inputSchema={'properties': {'question': {'description': "Ask this MCP server about its mood! You can phrase your question in any way you like - 'How are you?', 'What's your mood?', or even 'Are you having a good day?'. The server will always respond with a cheerful message and a heart ", 'type': 'string'}}, 'required': ['question'], 'type': 'object'}, description="""Ask the server about its mood - it's always happy!"""), # MyBlockcities/MCP Server Template for Cursor IDE/mood
    Tool(name="""ClickUp MCP Server_add_task_dependency""", inputSchema={'oneOf': [{'required': ['dependsOn']}, {'required': ['dependencyOf']}], 'properties': {'customTaskIds': {'description': 'Whether to use custom task IDs', 'type': 'boolean'}, 'dependencyOf': {'description': "ID of the task that's waiting for this task (optional if dependsOn is provided)", 'type': 'string'}, 'dependsOn': {'description': 'ID of the task that must be completed first (optional if dependencyOf is provided)', 'type': 'string'}, 'taskId': {'description': 'ID of the task which is waiting on or blocking another task', 'type': 'string'}, 'teamId': {'description': 'Team ID (required when customTaskIds is true)', 'type': 'string'}}, 'required': ['taskId'], 'type': 'object'}, description="""Create a dependency relationship between two tasks. Use this to establish that one task must be completed before another can start. You must specify either 'dependsOn' (the task that must be completed first) or 'dependencyOf' (the task that's waiting for this task), but not both."""), # v4lheru/ClickUp MCP Server/add_task_dependency
    Tool(name="""ClickUp MCP Server_delete_task_dependency""", inputSchema={'properties': {'customTaskIds': {'description': 'Whether to use custom task IDs', 'type': 'boolean'}, 'dependencyOf': {'description': 'ID of the task that was waiting', 'type': 'string'}, 'dependsOn': {'description': 'ID of the task that needed to be completed first', 'type': 'string'}, 'taskId': {'description': 'ID of the task', 'type': 'string'}, 'teamId': {'description': 'Team ID (required when customTaskIds is true)', 'type': 'string'}}, 'required': ['taskId', 'dependsOn', 'dependencyOf'], 'type': 'object'}, description="""Remove a dependency relationship between two tasks. This allows tasks to be completed independently of each other."""), # v4lheru/ClickUp MCP Server/delete_task_dependency
    Tool(name="""ClickUp MCP Server_add_task_link""", inputSchema={'properties': {'customTaskIds': {'description': 'Whether to use custom task IDs', 'type': 'boolean'}, 'linksTo': {'description': 'ID of the task to link to', 'type': 'string'}, 'taskId': {'description': 'ID of the task to initiate the link from', 'type': 'string'}, 'teamId': {'description': 'Team ID (required when customTaskIds is true)', 'type': 'string'}}, 'required': ['taskId', 'linksTo'], 'type': 'object'}, description="""Create a link between two tasks. Unlike dependencies, links are just references between related tasks without enforcing completion order."""), # v4lheru/ClickUp MCP Server/add_task_link
    Tool(name="""ClickUp MCP Server_delete_task_link""", inputSchema={'properties': {'customTaskIds': {'description': 'Whether to use custom task IDs', 'type': 'boolean'}, 'linksTo': {'description': 'ID of the second task in the link', 'type': 'string'}, 'taskId': {'description': 'ID of the first task in the link', 'type': 'string'}, 'teamId': {'description': 'Team ID (required when customTaskIds is true)', 'type': 'string'}}, 'required': ['taskId', 'linksTo'], 'type': 'object'}, description="""Remove a link between two tasks. This removes the reference between the tasks."""), # v4lheru/ClickUp MCP Server/delete_task_link
    Tool(name="""ClickUp MCP Server_add_tag_to_task""", inputSchema={'properties': {'customTaskIds': {'description': 'Whether to use custom task IDs', 'type': 'boolean'}, 'tagName': {'description': 'Name of the tag to add', 'type': 'string'}, 'taskId': {'description': 'ID of the task', 'type': 'string'}, 'teamId': {'description': 'Team ID (required when customTaskIds is true)', 'type': 'string'}}, 'required': ['taskId', 'tagName'], 'type': 'object'}, description="""Add a tag to a task for better organization and filtering. Tags help categorize tasks across different lists and projects."""), # v4lheru/ClickUp MCP Server/add_tag_to_task
    Tool(name="""ClickUp MCP Server_remove_tag_from_task""", inputSchema={'properties': {'customTaskIds': {'description': 'Whether to use custom task IDs', 'type': 'boolean'}, 'tagName': {'description': 'Name of the tag to remove', 'type': 'string'}, 'taskId': {'description': 'ID of the task', 'type': 'string'}, 'teamId': {'description': 'Team ID (required when customTaskIds is true)', 'type': 'string'}}, 'required': ['taskId', 'tagName'], 'type': 'object'}, description="""Remove a tag from a task. This does not delete the tag from the Space, just removes it from the specific task."""), # v4lheru/ClickUp MCP Server/remove_tag_from_task
    Tool(name="""ClickUp MCP Server_get_task_comments""", inputSchema={'properties': {'customTaskIds': {'description': 'Whether to use custom task IDs', 'type': 'boolean'}, 'start': {'description': 'Unix timestamp in milliseconds to get comments from a specific date', 'type': 'number'}, 'startId': {'description': 'Comment ID to start pagination from', 'type': 'string'}, 'taskId': {'description': 'ID of the task', 'type': 'string'}, 'teamId': {'description': 'Team ID (required when customTaskIds is true)', 'type': 'string'}}, 'required': ['taskId'], 'type': 'object'}, description="""Retrieve comments for a specific task. Comments provide discussion history and context for the task."""), # v4lheru/ClickUp MCP Server/get_task_comments
    Tool(name="""ClickUp MCP Server_create_task_comment""", inputSchema={'properties': {'assignee': {'description': 'User ID to assign the comment to (optional)', 'type': 'number'}, 'commentText': {'description': 'Content of the comment', 'type': 'string'}, 'customTaskIds': {'description': 'Whether to use custom task IDs', 'type': 'boolean'}, 'groupAssignee': {'description': 'Group to assign the comment to (optional)', 'type': 'string'}, 'notifyAll': {'description': 'If true, notifications will be sent to everyone including the comment creator', 'type': 'boolean'}, 'taskId': {'description': 'ID of the task', 'type': 'string'}, 'teamId': {'description': 'Team ID (required when customTaskIds is true)', 'type': 'string'}}, 'required': ['taskId', 'commentText'], 'type': 'object'}, description="""Add a new comment to a task. Comments can be assigned to team members and include rich text formatting."""), # v4lheru/ClickUp MCP Server/create_task_comment
    Tool(name="""ClickUp MCP Server_get_list_comments""", inputSchema={'properties': {'listId': {'description': 'ID of the list', 'type': 'string'}, 'start': {'description': 'Unix timestamp in milliseconds to get comments from a specific date', 'type': 'number'}, 'startId': {'description': 'Comment ID to start pagination from', 'type': 'string'}}, 'required': ['listId'], 'type': 'object'}, description="""Retrieve comments for a specific list. List comments apply to the entire list rather than individual tasks."""), # v4lheru/ClickUp MCP Server/get_list_comments
    Tool(name="""ClickUp MCP Server_create_list_comment""", inputSchema={'properties': {'assignee': {'description': 'User ID to assign the comment to', 'type': 'number'}, 'commentText': {'description': 'Content of the comment', 'type': 'string'}, 'listId': {'description': 'ID of the list', 'type': 'string'}, 'notifyAll': {'description': 'If true, notifications will be sent to everyone including the comment creator', 'type': 'boolean'}}, 'required': ['listId', 'commentText', 'assignee'], 'type': 'object'}, description="""Add a new comment to a list. List comments can be used for general discussion about the list's purpose or status."""), # v4lheru/ClickUp MCP Server/create_list_comment
    Tool(name="""ClickUp MCP Server_get_chat_view_comments""", inputSchema={'properties': {'start': {'description': 'Unix timestamp in milliseconds to get comments from a specific date', 'type': 'number'}, 'startId': {'description': 'Comment ID to start pagination from', 'type': 'string'}, 'viewId': {'description': 'ID of the Chat view', 'type': 'string'}}, 'required': ['viewId'], 'type': 'object'}, description="""Retrieve comments from a Chat view. Chat views provide a dedicated space for team discussions."""), # v4lheru/ClickUp MCP Server/get_chat_view_comments
    Tool(name="""ClickUp MCP Server_create_chat_view_comment""", inputSchema={'properties': {'commentText': {'description': 'Content of the comment', 'type': 'string'}, 'notifyAll': {'description': 'If true, notifications will be sent to everyone including the comment creator', 'type': 'boolean'}, 'viewId': {'description': 'ID of the Chat view', 'type': 'string'}}, 'required': ['viewId', 'commentText'], 'type': 'object'}, description="""Add a new comment to a Chat view. Chat view comments facilitate team discussions outside of specific tasks or lists."""), # v4lheru/ClickUp MCP Server/create_chat_view_comment
    Tool(name="""ClickUp MCP Server_update_comment""", inputSchema={'properties': {'assignee': {'description': 'User ID to assign the comment to', 'type': 'number'}, 'commentId': {'description': 'ID of the comment to update', 'type': 'string'}, 'commentText': {'description': 'New content for the comment', 'type': 'string'}, 'groupAssignee': {'description': 'Group to assign the comment to', 'type': 'number'}, 'resolved': {'description': 'Mark comment as resolved or not', 'type': 'boolean'}}, 'required': ['commentId', 'commentText', 'assignee'], 'type': 'object'}, description="""Modify an existing comment. This can be used to edit the content, change assignees, or mark comments as resolved."""), # v4lheru/ClickUp MCP Server/update_comment
    Tool(name="""ClickUp MCP Server_delete_comment""", inputSchema={'properties': {'commentId': {'description': 'ID of the comment to delete', 'type': 'string'}}, 'required': ['commentId'], 'type': 'object'}, description="""Remove a comment. This permanently deletes the comment and cannot be undone."""), # v4lheru/ClickUp MCP Server/delete_comment
    Tool(name="""ClickUp MCP Server_get_threaded_comments""", inputSchema={'properties': {'commentId': {'description': 'ID of the parent comment', 'type': 'string'}}, 'required': ['commentId'], 'type': 'object'}, description="""Retrieve threaded comments for a parent comment. Threaded comments allow for organized discussions within a comment thread."""), # v4lheru/ClickUp MCP Server/get_threaded_comments
    Tool(name="""ClickUp MCP Server_create_threaded_comment""", inputSchema={'properties': {'assignee': {'description': 'User ID to assign the comment to (optional)', 'type': 'number'}, 'commentId': {'description': 'ID of the parent comment', 'type': 'string'}, 'commentText': {'description': 'Content of the threaded comment', 'type': 'string'}, 'groupAssignee': {'description': 'Group to assign the comment to (optional)', 'type': 'string'}, 'notifyAll': {'description': 'If true, notifications will be sent to everyone including the comment creator', 'type': 'boolean'}}, 'required': ['commentId', 'commentText'], 'type': 'object'}, description="""Add a reply to an existing comment. Threaded comments help keep discussions organized by grouping related comments together."""), # v4lheru/ClickUp MCP Server/create_threaded_comment
    Tool(name="""ClickUp MCP Server_create_checklist""", inputSchema={'properties': {'customTaskIds': {'description': 'Whether to use custom task IDs', 'type': 'boolean'}, 'name': {'description': 'Name of the checklist', 'type': 'string'}, 'taskId': {'description': 'ID of the task to add a checklist to', 'type': 'string'}, 'teamId': {'description': 'Team ID (required when customTaskIds is true)', 'type': 'string'}}, 'required': ['taskId', 'name'], 'type': 'object'}, description="""Add a new checklist to a task. Checklists help organize subtasks or steps needed to complete a task."""), # v4lheru/ClickUp MCP Server/create_checklist
    Tool(name="""ClickUp MCP Server_edit_checklist""", inputSchema={'properties': {'checklistId': {'description': 'ID of the checklist to edit', 'type': 'string'}, 'name': {'description': 'New name for the checklist', 'type': 'string'}, 'position': {'description': 'Position of the checklist among other checklists on the task (0 places it at the top)', 'type': 'number'}}, 'required': ['checklistId'], 'type': 'object'}, description="""Rename a task checklist or reorder it among other checklists on a task."""), # v4lheru/ClickUp MCP Server/edit_checklist
    Tool(name="""ClickUp MCP Server_delete_checklist""", inputSchema={'properties': {'checklistId': {'description': 'ID of the checklist to delete', 'type': 'string'}}, 'required': ['checklistId'], 'type': 'object'}, description="""Delete a checklist from a task. This removes the entire checklist and all its items."""), # v4lheru/ClickUp MCP Server/delete_checklist
    Tool(name="""ClickUp MCP Server_create_checklist_item""", inputSchema={'properties': {'assignee': {'description': 'User ID to assign the checklist item to', 'type': 'number'}, 'checklistId': {'description': 'ID of the checklist to add an item to', 'type': 'string'}, 'name': {'description': 'Name of the checklist item', 'type': 'string'}}, 'required': ['checklistId', 'name'], 'type': 'object'}, description="""Add a line item to a task checklist. Checklist items represent individual steps or subtasks."""), # v4lheru/ClickUp MCP Server/create_checklist_item
    Tool(name="""ClickUp MCP Server_edit_checklist_item""", inputSchema={'properties': {'assignee': {'description': 'User ID to assign the checklist item to, or null to remove assignment', 'type': ['number', 'null']}, 'checklistId': {'description': 'ID of the checklist containing the item', 'type': 'string'}, 'checklistItemId': {'description': 'ID of the checklist item to edit', 'type': 'string'}, 'name': {'description': 'New name for the checklist item', 'type': 'string'}, 'parent': {'description': 'ID of the parent checklist item for nesting, or null to make it a top-level item', 'type': ['string', 'null']}, 'resolved': {'description': 'Whether the item is resolved (completed) or not', 'type': 'boolean'}}, 'required': ['checklistId', 'checklistItemId'], 'type': 'object'}, description="""Update an individual line item in a task checklist. Use this to rename, reassign, mark as resolved, or nest items."""), # v4lheru/ClickUp MCP Server/edit_checklist_item
    Tool(name="""ClickUp MCP Server_delete_checklist_item""", inputSchema={'properties': {'checklistId': {'description': 'ID of the checklist containing the item', 'type': 'string'}, 'checklistItemId': {'description': 'ID of the checklist item to delete', 'type': 'string'}}, 'required': ['checklistId', 'checklistItemId'], 'type': 'object'}, description="""Delete a line item from a task checklist. This permanently removes the item."""), # v4lheru/ClickUp MCP Server/delete_checklist_item
    Tool(name="""ClickUp MCP Server_get_workspace_hierarchy""", inputSchema={'properties': {}, 'required': [], 'type': 'object'}, description="""Retrieve the complete ClickUp workspace hierarchy, including all spaces, folders, and lists with their IDs, names, and hierarchical paths. Call this tool only when you need to discover the workspace structure and don't already have this information from recent context. Avoid using for repeated lookups of the same information."""), # v4lheru/ClickUp MCP Server/get_workspace_hierarchy
    Tool(name="""ClickUp MCP Server_create_task""", inputSchema={'oneOf': [{'required': ['listId']}, {'required': ['listName']}], 'properties': {'description': {'description': 'Plain text description for the task', 'type': 'string'}, 'dueDate': {'description': 'Due date of the task (Unix timestamp in milliseconds). Convert dates to this format before submitting.', 'type': 'string'}, 'listId': {'description': 'ID of the list to create the task in (optional if using listName instead). If you have this ID from a previous response, use it directly rather than looking up by name.', 'type': 'string'}, 'listName': {'description': "Name of the list to create the task in - will automatically find the list by name (optional if using listId instead). Only use this if you don't already have the list ID from previous responses.", 'type': 'string'}, 'markdown_description': {'description': 'Markdown formatted description for the task. If provided, this takes precedence over description', 'type': 'string'}, 'name': {'description': 'Name of the task. Put a relevant emoji followed by a blank space before the name.', 'type': 'string'}, 'priority': {'description': 'Priority of the task (1-4), where 1 is urgent/highest priority and 4 is lowest priority. Only set this when the user explicitly requests a priority level.', 'type': 'number'}, 'status': {'description': 'OPTIONAL: Override the default ClickUp status. In most cases, you should omit this to use ClickUp defaults', 'type': 'string'}}, 'required': ['name'], 'type': 'object'}, description="""Create a single task in a ClickUp list. Use this tool for individual task creation only. For multiple tasks, use create_bulk_tasks instead. Before calling this tool, check if you already have the necessary list ID from previous responses in the conversation history, as this avoids redundant lookups. When creating a task, you must provide either a listId or listName."""), # v4lheru/ClickUp MCP Server/create_task
    Tool(name="""ClickUp MCP Server_create_bulk_tasks""", inputSchema={'oneOf': [{'required': ['listId']}, {'required': ['listName']}], 'properties': {'listId': {'description': 'ID of the list to create the tasks in (optional if using listName instead). If you have this ID from a previous response, use it directly rather than looking up by name.', 'type': 'string'}, 'listName': {'description': "Name of the list to create the tasks in - will automatically find the list by name (optional if using listId instead). Only use this if you don't already have the list ID from previous responses.", 'type': 'string'}, 'tasks': {'description': 'Array of tasks to create (at least one task required)', 'items': {'properties': {'assignees': {'description': 'Array of user IDs to assign to the task', 'items': {'type': 'number'}, 'type': 'array'}, 'description': {'description': 'Plain text description for the task', 'type': 'string'}, 'dueDate': {'description': 'Due date (Unix timestamp in milliseconds). Convert dates to this format before submitting.', 'type': 'string'}, 'markdown_description': {'description': 'Markdown formatted description for the task. If provided, this takes precedence over description', 'type': 'string'}, 'name': {'description': 'Name of the task. Consider adding a relevant emoji before the name.', 'type': 'string'}, 'priority': {'description': 'Priority level (1-4), where 1 is urgent/highest priority and 4 is lowest priority. Only set when explicitly requested.', 'type': 'number'}, 'status': {'description': 'OPTIONAL: Override the default ClickUp status. In most cases, you should omit this to use ClickUp defaults', 'type': 'string'}}, 'required': ['name'], 'type': 'object'}, 'type': 'array'}}, 'required': ['tasks'], 'type': 'object'}, description="""Create multiple tasks in a ClickUp list simultaneously. Use this tool when you need to add several related tasks in one operation. Before calling, check if you already have the necessary list ID from previous responses in the conversation, as this avoids redundant lookups. More efficient than creating tasks one by one for batch operations."""), # v4lheru/ClickUp MCP Server/create_bulk_tasks
    Tool(name="""ClickUp MCP Server_create_list""", inputSchema={'allOf': [{'oneOf': [{'required': ['spaceId']}, {'required': ['folderId']}]}, {'required': ['name']}], 'properties': {'assignee': {'description': 'User ID to assign the list to', 'type': 'number'}, 'content': {'description': 'Description or content of the list', 'type': 'string'}, 'dueDate': {'description': 'Due date for the list (Unix timestamp in milliseconds). Convert dates to this format before submitting.', 'type': 'string'}, 'folderId': {'description': 'ID of the folder to create the list in (required if not using spaceId). If you have this ID from a previous response, use it directly rather than looking up by name.', 'type': 'string'}, 'name': {'description': 'Name of the list', 'type': 'string'}, 'priority': {'description': 'Priority of the list (1-4), where 1 is urgent/highest priority and 4 is lowest priority. Only set when explicitly requested.', 'type': 'number'}, 'spaceId': {'description': 'ID of the space to create the list in (required if not using folderId). If you have this ID from a previous response, use it directly rather than looking up by name.', 'type': 'string'}, 'status': {'description': 'Status of the list', 'type': 'string'}}, 'type': 'object'}, description="""Create a new list directly in a ClickUp space. Use this tool when you need a top-level list not nested inside a folder. Before calling, check if you already have the necessary space ID from previous responses in the conversation, as this avoids redundant lookups. For creating lists inside folders, use create_list_in_folder instead."""), # v4lheru/ClickUp MCP Server/create_list
    Tool(name="""ClickUp MCP Server_create_folder""", inputSchema={'oneOf': [{'required': ['spaceId']}, {'required': ['spaceName']}], 'properties': {'name': {'description': 'Name of the folder', 'type': 'string'}, 'override_statuses': {'description': 'Whether to override space statuses with folder-specific statuses', 'type': 'boolean'}, 'spaceId': {'description': 'ID of the space to create the folder in (optional if using spaceName instead). If you have this ID from a previous response, use it directly rather than looking up by name.', 'type': 'string'}, 'spaceName': {'description': "Name of the space to create the folder in - will automatically find the space by name (optional if using spaceId instead). Only use this if you don't already have the space ID from previous responses.", 'type': 'string'}}, 'required': ['name'], 'type': 'object'}, description="""Create a new folder in a ClickUp space for organizing related lists. Use this tool when you need to group multiple lists together. Before calling, check if you already have the necessary space ID from previous responses in the conversation, as this avoids redundant lookups. After creating a folder, you can add lists to it using create_list_in_folder."""), # v4lheru/ClickUp MCP Server/create_folder
    Tool(name="""ClickUp MCP Server_create_list_in_folder""", inputSchema={'oneOf': [{'required': ['folderId']}, {'required': ['folderName', 'spaceId']}, {'required': ['folderName', 'spaceName']}], 'properties': {'content': {'description': 'Description or content of the list', 'type': 'string'}, 'folderId': {'description': 'ID of the folder to create the list in (optional if using folderName instead). If you have this ID from a previous response, use it directly rather than looking up by name.', 'type': 'string'}, 'folderName': {'description': "Name of the folder to create the list in - will automatically find the folder by name (optional if using folderId instead). Only use this if you don't already have the folder ID from previous responses.", 'type': 'string'}, 'name': {'description': 'Name of the list', 'type': 'string'}, 'spaceId': {'description': 'ID of the space containing the folder (optional if using spaceName instead). If you have this ID from a previous response, use it directly rather than looking up by name.', 'type': 'string'}, 'spaceName': {'description': "Name of the space containing the folder - will automatically find the space by name (optional if using spaceId instead). Only use this if you don't already have the space ID from previous responses.", 'type': 'string'}, 'status': {'description': 'Status of the list (uses folder default if not specified)', 'type': 'string'}}, 'required': ['name'], 'type': 'object'}, description="""Create a new list within a ClickUp folder. Use this tool when you need to add a list to an existing folder structure. Before calling, check if you already have the necessary folder ID and space ID from previous responses in the conversation, as this avoids redundant lookups. For top-level lists not in folders, use create_list instead."""), # v4lheru/ClickUp MCP Server/create_list_in_folder
    Tool(name="""ClickUp MCP Server_move_task""", inputSchema={'allOf': [{'oneOf': [{'required': ['taskId']}, {'required': ['taskName']}]}, {'oneOf': [{'required': ['listId']}, {'required': ['listName']}]}], 'properties': {'listId': {'description': 'ID of the destination list (optional if using listName instead). If you have this ID from a previous response, use it directly rather than looking up by name.', 'type': 'string'}, 'listName': {'description': "Name of the destination list - will automatically find the list by name (optional if using listId instead). Only use this if you don't already have the list ID from previous responses.", 'type': 'string'}, 'sourceListName': {'description': 'Optional: Name of the source list to narrow down task search when multiple tasks have the same name', 'type': 'string'}, 'taskId': {'description': 'ID of the task to move (optional if using taskName instead). If you have this ID from a previous response, use it directly rather than looking up by name.', 'type': 'string'}, 'taskName': {'description': "Name of the task to move - will automatically find the task by name (optional if using taskId instead). Only use this if you don't already have the task ID from previous responses.", 'type': 'string'}}, 'type': 'object'}, description="""Move an existing task from its current list to a different list. Use this tool when you need to relocate a task within your workspace hierarchy. Before calling, check if you already have the necessary task ID and list ID from previous responses in the conversation, as this avoids redundant lookups. Task statuses may be reset if the destination list uses different status options."""), # v4lheru/ClickUp MCP Server/move_task
    Tool(name="""ClickUp MCP Server_duplicate_task""", inputSchema={'allOf': [{'oneOf': [{'required': ['taskId']}, {'required': ['taskName']}]}, {'oneOf': [{'required': ['listId']}, {'required': ['listName']}]}], 'properties': {'listId': {'description': 'ID of the list to create the duplicate in (optional if using listName instead). If you have this ID from a previous response, use it directly rather than looking up by name.', 'type': 'string'}, 'listName': {'description': "Name of the list to create the duplicate in - will automatically find the list by name (optional if using listId instead). Only use this if you don't already have the list ID from previous responses.", 'type': 'string'}, 'sourceListName': {'description': 'Optional: Name of the source list to narrow down task search when multiple tasks have the same name', 'type': 'string'}, 'taskId': {'description': 'ID of the task to duplicate (optional if using taskName instead). If you have this ID from a previous response, use it directly rather than looking up by name.', 'type': 'string'}, 'taskName': {'description': "Name of the task to duplicate - will automatically find the task by name (optional if using taskId instead). Only use this if you don't already have the task ID from previous responses.", 'type': 'string'}}, 'type': 'object'}, description="""Create a copy of an existing task in the same or different list. Use this tool when you need to replicate a task's content and properties. Before calling, check if you already have the necessary task ID and list ID from previous responses in the conversation, as this avoids redundant lookups. The duplicate will preserve name, description, priority, and other attributes from the original task."""), # v4lheru/ClickUp MCP Server/duplicate_task
    Tool(name="""ClickUp MCP Server_update_task""", inputSchema={'oneOf': [{'required': ['taskId']}, {'required': ['taskName']}], 'properties': {'description': {'description': 'New plain text description for the task', 'type': 'string'}, 'listName': {'description': 'Optional: Name of the list to narrow down task search when multiple tasks have the same name', 'type': 'string'}, 'markdown_description': {'description': 'New markdown formatted description for the task. If provided, this takes precedence over description', 'type': 'string'}, 'name': {'description': 'New name for the task', 'type': 'string'}, 'priority': {'description': 'New priority for the task (1-4 or null), where 1 is urgent/highest priority and 4 is lowest priority. Set to null to clear priority.', 'enum': [1, 2, 3, 4, None], 'optional': True, 'type': ['number', 'null']}, 'status': {'description': "New status for the task (must be a valid status in the task's list)", 'type': 'string'}, 'taskId': {'description': 'ID of the task to update (optional if using taskName instead). If you have this ID from a previous response, use it directly rather than looking up by name.', 'type': 'string'}, 'taskName': {'description': "Name of the task to update - will automatically find the task by name (optional if using taskId instead). Only use this if you don't already have the task ID from previous responses.", 'type': 'string'}}, 'type': 'object'}, description="""Modify the properties of an existing task. Use this tool when you need to change a task's name, description, status, priority, or due date. Before calling, check if you already have the necessary task ID from previous responses in the conversation, as this avoids redundant lookups. Only the fields you specify will be updated; other fields will remain unchanged."""), # v4lheru/ClickUp MCP Server/update_task
    Tool(name="""ClickUp MCP Server_get_tasks""", inputSchema={'oneOf': [{'required': ['listId']}, {'required': ['listName']}], 'properties': {'archived': {'description': 'Set to true to include archived tasks in the results', 'type': 'boolean'}, 'assignees': {'description': 'Array of user IDs to filter tasks by assignee', 'items': {'type': 'string'}, 'type': 'array'}, 'custom_fields': {'description': 'Object with custom field IDs as keys and desired values for filtering', 'type': 'object'}, 'date_created_gt': {'description': 'Filter tasks created after this timestamp (Unix milliseconds)', 'type': 'number'}, 'date_created_lt': {'description': 'Filter tasks created before this timestamp (Unix milliseconds)', 'type': 'number'}, 'date_updated_gt': {'description': 'Filter tasks updated after this timestamp (Unix milliseconds)', 'type': 'number'}, 'date_updated_lt': {'description': 'Filter tasks updated before this timestamp (Unix milliseconds)', 'type': 'number'}, 'due_date_gt': {'description': 'Filter tasks due after this timestamp (Unix milliseconds)', 'type': 'number'}, 'due_date_lt': {'description': 'Filter tasks due before this timestamp (Unix milliseconds)', 'type': 'number'}, 'include_closed': {'description': "Set to true to include tasks with 'Closed' status", 'type': 'boolean'}, 'listId': {'description': 'ID of the list to get tasks from (optional if using listName instead). If you have this ID from a previous response, use it directly rather than looking up by name.', 'type': 'string'}, 'listName': {'description': "Name of the list to get tasks from - will automatically find the list by name (optional if using listId instead). Only use this if you don't already have the list ID from previous responses.", 'type': 'string'}, 'order_by': {'description': "Field to order tasks by (e.g., 'due_date', 'created', 'updated')", 'type': 'string'}, 'page': {'description': 'Page number for pagination when dealing with many tasks (starts at 0)', 'type': 'number'}, 'reverse': {'description': 'Set to true to reverse the sort order (descending instead of ascending)', 'type': 'boolean'}, 'statuses': {'description': "Array of status names to filter tasks by (e.g., ['To Do', 'In Progress'])", 'items': {'type': 'string'}, 'type': 'array'}, 'subtasks': {'description': 'Set to true to include subtasks in the results', 'type': 'boolean'}}, 'type': 'object'}, description="""Retrieve tasks from a ClickUp list with optional filtering capabilities. Use this tool when you need to see existing tasks or analyze your current workload. Before calling, check if you already have the necessary list ID from previous responses in the conversation, as this avoids redundant lookups. Results can be filtered by status, assignees, dates, and more."""), # v4lheru/ClickUp MCP Server/get_tasks
    Tool(name="""ClickUp MCP Server_get_task""", inputSchema={'oneOf': [{'required': ['taskId']}, {'required': ['taskName']}], 'properties': {'listName': {'description': 'Optional: Name of the list to narrow down task search when multiple tasks have the same name', 'type': 'string'}, 'taskId': {'description': 'ID of the task to retrieve (optional if using taskName instead). If you have this ID from a previous response, use it directly rather than looking up by name.', 'type': 'string'}, 'taskName': {'description': "Name of the task to retrieve - will automatically find the task by name (optional if using taskId instead). Only use this if you don't already have the task ID from previous responses.", 'type': 'string'}}, 'type': 'object'}, description="""Retrieve comprehensive details about a specific ClickUp task. Use this tool when you need in-depth information about a particular task, including its description, custom fields, attachments, and other metadata. Before calling, check if you already have the necessary task ID from previous responses in the conversation, as this avoids redundant lookups."""), # v4lheru/ClickUp MCP Server/get_task
    Tool(name="""ClickUp MCP Server_delete_task""", inputSchema={'properties': {'listName': {'description': 'Optional: Name of the list to narrow down task search when multiple tasks have the same name', 'type': 'string'}, 'taskId': {'description': 'ID of the task to delete - this is required for safety to prevent accidental deletions. If you have this ID from a previous response, use it directly.', 'type': 'string'}, 'taskName': {'description': "Name of the task to delete - will automatically find the task by name (optional if using taskId instead). Only use this if you don't already have the task ID from previous responses.", 'type': 'string'}}, 'required': ['taskId'], 'type': 'object'}, description="""Permanently remove a task from your ClickUp workspace. Use this tool with caution as deletion cannot be undone. Before calling, check if you already have the necessary task ID from previous responses in the conversation, as this avoids redundant lookups. For safety, the task ID is required."""), # v4lheru/ClickUp MCP Server/delete_task
    Tool(name="""ClickUp MCP Server_get_folder""", inputSchema={'oneOf': [{'required': ['folderId']}, {'required': ['folderName', 'spaceId']}, {'required': ['folderName', 'spaceName']}], 'properties': {'folderId': {'description': 'ID of the folder to retrieve (optional if using folderName instead). If you have this ID from a previous response, use it directly rather than looking up by name.', 'type': 'string'}, 'folderName': {'description': "Name of the folder to retrieve - will automatically find the folder by name (optional if using folderId instead). Only use this if you don't already have the folder ID from previous responses.", 'type': 'string'}, 'spaceId': {'description': 'ID of the space containing the folder (optional if using spaceName instead, and only needed when using folderName). If you have this ID from a previous response, use it directly rather than looking up by name.', 'type': 'string'}, 'spaceName': {'description': "Name of the space containing the folder (optional if using spaceId instead, and only needed when using folderName). Only use this if you don't already have the space ID from previous responses.", 'type': 'string'}}, 'type': 'object'}, description="""Retrieve details about a specific ClickUp folder including its name, status, and other metadata. Before calling, check if you already have the necessary folder ID from previous responses in the conversation history, as this avoids redundant lookups. Helps you understand folder structure before creating or updating lists."""), # v4lheru/ClickUp MCP Server/get_folder
    Tool(name="""ClickUp MCP Server_delete_list""", inputSchema={'oneOf': [{'required': ['listId']}, {'required': ['listName']}], 'properties': {'listId': {'description': 'ID of the list to delete (optional if using listName instead). If you have this ID from a previous response, use it directly rather than looking up by name.', 'type': 'string'}, 'listName': {'description': "Name of the list to delete - will automatically find the list by name (optional if using listId instead). Only use this if you don't already have the list ID from previous responses.", 'type': 'string'}}, 'type': 'object'}, description="""Permanently remove a list from your ClickUp workspace. Use with caution as deletion cannot be undone and will remove all tasks within the list. Before calling, check if you already have the necessary list ID from previous responses in the conversation history, as this avoids redundant lookups."""), # v4lheru/ClickUp MCP Server/delete_list
    Tool(name="""ClickUp MCP Server_update_folder""", inputSchema={'oneOf': [{'required': ['folderId']}, {'required': ['folderName', 'spaceId']}, {'required': ['folderName', 'spaceName']}], 'properties': {'folderId': {'description': 'ID of the folder to update (optional if using folderName instead). If you have this ID from a previous response, use it directly rather than looking up by name.', 'type': 'string'}, 'folderName': {'description': "Name of the folder to update - will automatically find the folder by name (optional if using folderId instead). Only use this if you don't already have the folder ID from previous responses.", 'type': 'string'}, 'name': {'description': 'New name for the folder', 'type': 'string'}, 'override_statuses': {'description': 'Whether to override space statuses with folder-specific statuses', 'type': 'boolean'}, 'spaceId': {'description': 'ID of the space containing the folder (optional if using spaceName instead, and only needed when using folderName). If you have this ID from a previous response, use it directly rather than looking up by name.', 'type': 'string'}, 'spaceName': {'description': "Name of the space containing the folder (optional if using spaceId instead, and only needed when using folderName). Only use this if you don't already have the space ID from previous responses.", 'type': 'string'}}, 'type': 'object'}, description="""Modify an existing ClickUp folder's properties, such as name or status settings. Before calling, check if you already have the necessary folder ID from previous responses in the conversation history, as this avoids redundant lookups. Use when reorganizing or renaming workspace elements."""), # v4lheru/ClickUp MCP Server/update_folder
    Tool(name="""ClickUp MCP Server_delete_folder""", inputSchema={'oneOf': [{'required': ['folderId']}, {'required': ['folderName', 'spaceId']}, {'required': ['folderName', 'spaceName']}], 'properties': {'folderId': {'description': 'ID of the folder to delete (optional if using folderName instead). If you have this ID from a previous response, use it directly rather than looking up by name.', 'type': 'string'}, 'folderName': {'description': "Name of the folder to delete - will automatically find the folder by name (optional if using folderId instead). Only use this if you don't already have the folder ID from previous responses.", 'type': 'string'}, 'spaceId': {'description': 'ID of the space containing the folder (optional if using spaceName instead, and only needed when using folderName). If you have this ID from a previous response, use it directly rather than looking up by name.', 'type': 'string'}, 'spaceName': {'description': "Name of the space containing the folder (optional if using spaceId instead, and only needed when using folderName). Only use this if you don't already have the space ID from previous responses.", 'type': 'string'}}, 'type': 'object'}, description="""Permanently remove a folder from your ClickUp workspace. Use with caution as deletion cannot be undone and will remove all lists and tasks within the folder. Before calling, check if you already have the necessary folder ID from previous responses in the conversation history, as this avoids redundant lookups."""), # v4lheru/ClickUp MCP Server/delete_folder
    Tool(name="""ClickUp MCP Server_get_list""", inputSchema={'oneOf': [{'required': ['listId']}, {'required': ['listName']}], 'properties': {'listId': {'description': 'ID of the list to retrieve (optional if using listName instead). If you have this ID from a previous response, use it directly rather than looking up by name.', 'type': 'string'}, 'listName': {'description': "Name of the list to retrieve - will automatically find the list by name (optional if using listId instead). Only use this if you don't already have the list ID from previous responses.", 'type': 'string'}}, 'type': 'object'}, description="""Retrieve details about a specific ClickUp list including its name, content, status options, and other metadata. Before calling, check if you already have the necessary list ID from previous responses in the conversation history, as this avoids redundant lookups. Useful to understand list structure before creating or updating tasks."""), # v4lheru/ClickUp MCP Server/get_list
    Tool(name="""ClickUp MCP Server_update_list""", inputSchema={'oneOf': [{'required': ['listId']}, {'required': ['listName']}], 'properties': {'content': {'description': 'New description or content for the list', 'type': 'string'}, 'listId': {'description': 'ID of the list to update (optional if using listName instead). If you have this ID from a previous response, use it directly rather than looking up by name.', 'type': 'string'}, 'listName': {'description': "Name of the list to update - will automatically find the list by name (optional if using listId instead). Only use this if you don't already have the list ID from previous responses.", 'type': 'string'}, 'name': {'description': 'New name for the list', 'type': 'string'}, 'status': {'description': 'New status for the list', 'type': 'string'}}, 'type': 'object'}, description="""Modify an existing ClickUp list's properties, such as name, content, or status options. Before calling, check if you already have the necessary list ID from previous responses in the conversation history, as this avoids redundant lookups. Use when reorganizing or renaming workspace elements."""), # v4lheru/ClickUp MCP Server/update_list
    Tool(name="""Web Content MCP Server_fetch_page""", inputSchema={'properties': {'includeScreenshot': {'description': 'Whether to include a screenshot (base64 encoded)', 'type': 'boolean'}, 'maxContentLength': {'description': 'Maximum content length to return', 'type': 'number'}, 'url': {'description': 'URL to fetch', 'type': 'string'}}, 'required': ['url'], 'type': 'object'}, description="""Fetches and processes a web page for LLM context"""), # amotivv/Web Content MCP Server/fetch_page
    Tool(name="""Web Content MCP Server_search_documentation""", inputSchema={'properties': {'maxResults': {'description': 'Maximum number of results to return', 'type': 'number'}, 'query': {'description': 'Search query', 'type': 'string'}}, 'required': ['query'], 'type': 'object'}, description="""Searches Cloudflare documentation and returns relevant content"""), # amotivv/Web Content MCP Server/search_documentation
    Tool(name="""Web Content MCP Server_extract_structured_content""", inputSchema={'properties': {'selectors': {'additionalProperties': {'type': 'string'}, 'description': 'CSS selectors to extract content', 'type': 'object'}, 'url': {'description': 'URL to extract content from', 'type': 'string'}}, 'required': ['url', 'selectors'], 'type': 'object'}, description="""Extracts structured content from a web page using CSS selectors"""), # amotivv/Web Content MCP Server/extract_structured_content
    Tool(name="""Web Content MCP Server_summarize_content""", inputSchema={'properties': {'maxLength': {'description': 'Maximum length of the summary', 'type': 'number'}, 'url': {'description': 'URL to summarize', 'type': 'string'}}, 'required': ['url'], 'type': 'object'}, description="""Summarizes web content for more concise LLM context"""), # amotivv/Web Content MCP Server/summarize_content
    Tool(name="""MCP JSON Document Collection Server_create_json_doc_database""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'databaseName': {'type': 'string'}}, 'required': ['databaseName'], 'type': 'object'}, description="""Create a JSON document database"""), # jimpick/MCP JSON Document Collection Server/create_json_doc_database
    Tool(name="""MCP JSON Document Collection Server_delete_json_doc_database""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'databaseName': {'type': 'string'}}, 'required': ['databaseName'], 'type': 'object'}, description="""Delete a JSON document database"""), # jimpick/MCP JSON Document Collection Server/delete_json_doc_database
    Tool(name="""MCP JSON Document Collection Server_connect_json_doc_database_to_cloud""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'databaseName': {'type': 'string'}}, 'required': ['databaseName'], 'type': 'object'}, description="""Connect a JSON document database to cloud sync service. Show the dashboard URL after connecting."""), # jimpick/MCP JSON Document Collection Server/connect_json_doc_database_to_cloud
    Tool(name="""MCP JSON Document Collection Server_list_json_doc_databases""", inputSchema={'properties': {}, 'required': [], 'type': 'object'}, description="""Returns the list of JSON document databases. Use this to understand which databases are available before trying to access JSON documents."""), # jimpick/MCP JSON Document Collection Server/list_json_doc_databases
    Tool(name="""MCP JSON Document Collection Server_save_json_doc_to_db""", inputSchema={'properties': {'databaseName': {'description': 'document database to save to', 'type': 'string'}, 'doc': {'description': 'JSON document to save', 'type': 'object'}}, 'required': ['doc', 'databaseName'], 'type': 'object'}, description="""Save a JSON document to a document database"""), # jimpick/MCP JSON Document Collection Server/save_json_doc_to_db
    Tool(name="""MCP JSON Document Collection Server_query_json_docs_from_db""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'databaseName': {'type': 'string'}, 'sortField': {'type': 'string'}}, 'required': ['databaseName', 'sortField'], 'type': 'object'}, description="""Query JSON documents sorted by a field from a document database. If no sortField is provided, use the _id field."""), # jimpick/MCP JSON Document Collection Server/query_json_docs_from_db
    Tool(name="""MCP JSON Document Collection Server_load_json_doc_from_db""", inputSchema={'properties': {'databaseName': {'description': 'name of document database to load from', 'type': 'string'}, 'id': {'description': 'ID of document to load', 'type': 'string'}}, 'required': ['id'], 'type': 'object'}, description="""Load a JSON document by ID from a document database"""), # jimpick/MCP JSON Document Collection Server/load_json_doc_from_db
    Tool(name="""MCP JSON Document Collection Server_delete_json_doc_from_db""", inputSchema={'properties': {'databaseName': {'description': 'name of document database to delete from', 'type': 'string'}, 'id': {'description': 'ID of document to delete', 'type': 'string'}}, 'type': 'object'}, description="""Delete a JSON document by ID from a document database"""), # jimpick/MCP JSON Document Collection Server/delete_json_doc_from_db
    Tool(name="""FRED MCP Server_search""", inputSchema={'properties': {'excludeTagNames': {'description': 'Series tags to exclude', 'items': {'type': 'string'}, 'type': 'array'}, 'filterValue': {'description': 'Value of filter variable', 'type': 'string'}, 'filterVariable': {'description': 'Variable to filter results by', 'type': 'string'}, 'limit': {'description': 'Maximum number of results to return (default: 1000)', 'type': 'number'}, 'orderBy': {'description': 'Order results by this property', 'enum': ['searchrank', 'series_id', 'title', 'units', 'frequency', 'seasonal_adjustment', 'realtime_start', 'realtime_end', 'last_updated', 'observation_start', 'observation_end', 'popularity'], 'type': 'string'}, 'searchText': {'description': 'Search text for FRED series', 'type': 'string'}, 'sortOrder': {'description': 'Sort order (default: asc)', 'enum': ['asc', 'desc'], 'type': 'string'}, 'tagNames': {'description': 'Series tags to include', 'items': {'type': 'string'}, 'type': 'array'}}, 'required': ['searchText'], 'type': 'object'}, description="""Search for FRED data series with advanced filtering options"""), # kablewy/FRED MCP Server/search
    Tool(name="""FRED MCP Server_series""", inputSchema={'properties': {'aggregationMethod': {'description': 'Aggregation method for frequency conversion (avg=average, sum=sum, eop=end of period)', 'enum': ['avg', 'sum', 'eop'], 'type': 'string'}, 'endDate': {'description': 'End date in YYYY-MM-DD format', 'type': 'string'}, 'frequency': {'description': 'Frequency of observations (d=daily, w=weekly, bw=biweekly, m=monthly, q=quarterly, sa=semiannual, a=annual)', 'enum': ['d', 'w', 'bw', 'm', 'q', 'sa', 'a'], 'type': 'string'}, 'limit': {'description': 'Maximum number of results to return', 'type': 'number'}, 'offset': {'description': 'Number of results to skip', 'type': 'number'}, 'outputType': {'description': '1=observations by real-time period, 2=observations by vintage date, 3=vintage dates, 4=initial release plus current value', 'enum': [1, 2, 3, 4], 'type': 'number'}, 'seriesId': {'description': 'FRED series ID', 'type': 'string'}, 'sortOrder': {'description': 'Sort order (default: asc)', 'enum': ['asc', 'desc'], 'type': 'string'}, 'startDate': {'description': 'Start date in YYYY-MM-DD format', 'type': 'string'}, 'vintageDates': {'description': 'Vintage dates in YYYY-MM-DD format', 'items': {'type': 'string'}, 'type': 'array'}}, 'required': ['seriesId'], 'type': 'object'}, description="""Get observations for a specific FRED data series with advanced options"""), # kablewy/FRED MCP Server/series
    Tool(name="""Scraper.is MCP Server_scraperis_scraper""", inputSchema={'properties': {'parse': {'anyOf': [{'type': 'boolean'}, {'type': 'null'}], 'default': None, 'description': 'Should result be parsed. If result should not be parsed then html will be stripped and converted to markdown file', 'title': 'Parse'}, 'prompt': {'description': "Natural language prompt describing what to extract and from where. For example: 'Get me the top 10 products from producthunt.com' or 'Find all articles about AI from techcrunch.com'", 'title': 'Prompt', 'type': 'string'}}, 'required': ['prompt'], 'title': 'scrape_urlArguments', 'type': 'object'}, description="""Extract data from websites using natural language prompts. The prompt should include the website URL and what data you want to extract. For example: 'Get me the top 10 products from producthunt.com' or 'Extract all article titles and authors from techcrunch.com/news'"""), # Ai-Quill/Scraper.is MCP Server/scraperis_scraper
    Tool(name="""ScrapeGraph MCP Server_markdownify""", inputSchema={'properties': {'website_url': {'title': 'Website Url', 'type': 'string'}}, 'required': ['website_url'], 'title': 'markdownifyArguments', 'type': 'object'}, description="""\n    Convert a webpage into clean, formatted markdown.\n\n    Args:\n        website_url: URL of the webpage to convert\n\n    Returns:\n        Dictionary containing the markdown result\n    """), # ScrapeGraphAI/ScrapeGraph MCP Server/markdownify
    Tool(name="""ScrapeGraph MCP Server_smartscraper""", inputSchema={'properties': {'user_prompt': {'title': 'User Prompt', 'type': 'string'}, 'website_url': {'title': 'Website Url', 'type': 'string'}}, 'required': ['user_prompt', 'website_url'], 'title': 'smartscraperArguments', 'type': 'object'}, description="""\n    Extract structured data from a webpage using AI.\n\n    Args:\n        user_prompt: Instructions for what data to extract\n        website_url: URL of the webpage to scrape\n\n    Returns:\n        Dictionary containing the extracted data\n    """), # ScrapeGraphAI/ScrapeGraph MCP Server/smartscraper
    Tool(name="""ScrapeGraph MCP Server_searchscraper""", inputSchema={'properties': {'user_prompt': {'title': 'User Prompt', 'type': 'string'}}, 'required': ['user_prompt'], 'title': 'searchscraperArguments', 'type': 'object'}, description="""\n    Perform AI-powered web searches with structured results.\n\n    Args:\n        user_prompt: Search query or instructions\n\n    Returns:\n        Dictionary containing search results and reference URLs\n    """), # ScrapeGraphAI/ScrapeGraph MCP Server/searchscraper
    Tool(name="""PDF to PNG MCP Server_pdf2png""", inputSchema={'properties': {'read_file_path': {'type': 'string'}, 'write_folder_path': {'type': 'string'}}, 'required': ['read_file_path', 'write_folder_path'], 'type': 'object'}, description="""Converts PDFs to images in PNG format."""), # truaxki/PDF to PNG MCP Server/pdf2png
    Tool(name="""Meta MCP Server_write_mcp_server""", inputSchema={'properties': {'files': {'items': {'properties': {'content': {'type': 'string'}, 'path': {'type': 'string'}}, 'required': ['path', 'content'], 'type': 'object'}, 'type': 'array'}, 'outputDir': {'description': 'Directory where server files should be created', 'type': 'string'}}, 'required': ['outputDir', 'files'], 'type': 'object'}, description="""Write files for an MCP server based on our discussion with the user"""), # DMontgomery40/Meta MCP Server/write_mcp_server
    Tool(name="""The Verge News MCP Server_get-daily-news""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {}, 'type': 'object'}, description="""Get the latest news from The Verge for today"""), # manimohans/The Verge News MCP Server/get-daily-news
    Tool(name="""The Verge News MCP Server_get-weekly-news""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {}, 'type': 'object'}, description="""Get the latest news from The Verge for the past week"""), # manimohans/The Verge News MCP Server/get-weekly-news
    Tool(name="""The Verge News MCP Server_search-news""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'days': {'description': 'Number of days to look back (default: 30)', 'type': 'number'}, 'keyword': {'description': 'Keyword to search for in news articles', 'type': 'string'}}, 'required': ['keyword'], 'type': 'object'}, description="""Search for news articles from The Verge by keyword"""), # manimohans/The Verge News MCP Server/search-news
    Tool(name="""Strapi MCP Server_strapi_list_servers""", inputSchema={'properties': {}, 'required': [], 'type': 'object'}, description="""List all available Strapi servers from the configuration."""), # misterboe/Strapi MCP Server/strapi_list_servers
    Tool(name="""Strapi MCP Server_strapi_get_content_types""", inputSchema={'properties': {'server': {'description': 'The name of the server to connect to', 'type': 'string'}}, 'required': ['server'], 'type': 'object'}, description="""Get all content types from Strapi. Returns the complete schema of all content types."""), # misterboe/Strapi MCP Server/strapi_get_content_types
    Tool(name="""Strapi MCP Server_strapi_get_components""", inputSchema={'properties': {'page': {'default': 1, 'description': 'Page number (starts at 1)', 'minimum': 1, 'type': 'number'}, 'pageSize': {'default': 25, 'description': 'Number of items per page', 'minimum': 1, 'type': 'number'}, 'server': {'description': 'The name of the server to connect to', 'type': 'string'}}, 'required': ['server'], 'type': 'object'}, description="""Get all components from Strapi with pagination support. Returns both component data and pagination metadata (page, pageSize, total, pageCount)."""), # misterboe/Strapi MCP Server/strapi_get_components
    Tool(name="""Strapi MCP Server_strapi_rest""", inputSchema={'properties': {'body': {'additionalProperties': True, 'description': "Request body for POST/PUT requests. For components, use: { data: { componentName: { field: 'value' } } } for single components or { data: { componentName: [{ field: 'value' }] } } for repeatable components", 'required': False, 'type': 'object'}, 'endpoint': {'description': "The API endpoint (e.g., 'api/articles')", 'type': 'string'}, 'method': {'default': 'GET', 'description': 'HTTP method to use', 'enum': ['GET', 'POST', 'PUT', 'DELETE'], 'type': 'string'}, 'params': {'additionalProperties': True, 'description': "Optional query parameters for GET requests. For components, use populate: ['componentName'] or populate: { componentName: { fields: ['field1'] } }", 'required': False, 'type': 'object'}, 'server': {'description': 'The name of the server to connect to', 'type': 'string'}, 'userAuthorized': {'default': False, 'description': 'REQUIRED for POST/PUT/DELETE operations. Client MUST obtain explicit user authorization before setting this to true.', 'type': 'boolean'}}, 'required': ['server', 'endpoint'], 'type': 'object'}, description="""Execute REST API requests against Strapi endpoints. IMPORTANT: All write operations (POST, PUT, DELETE) require explicit user authorization via the userAuthorized parameter.\n\n1. Reading components:\nparams: { populate: ['SEO'] } // Populate a component\nparams: { populate: { SEO: { fields: ['Title', 'seoDescription'] } } } // With field selection\n\n2. Updating components (REQUIRES USER AUTHORIZATION):\nbody: {\n  data: {\n    // For single components:\n    componentName: {\n      Title: 'value',\n      seoDescription: 'value'\n    },\n    // For repeatable components:\n    componentName: [\n      { field: 'value' }\n    ]\n  }\n}\nuserAuthorized: true // Must set this to true for POST/PUT/DELETE after getting user permission\n\n3. Other parameters:\n- fields: Select specific fields\n- filters: Filter results\n- sort: Sort results\n- pagination: Page through results"""), # misterboe/Strapi MCP Server/strapi_rest
    Tool(name="""Strapi MCP Server_strapi_upload_media""", inputSchema={'properties': {'format': {'default': 'original', 'description': "Target format for the image. Use 'original' to keep the source format.", 'enum': ['jpeg', 'png', 'webp', 'original'], 'type': 'string'}, 'metadata': {'properties': {'alternativeText': {'description': 'Alternative text for accessibility', 'type': 'string'}, 'caption': {'description': 'Caption for the image', 'type': 'string'}, 'description': {'description': 'Detailed description of the image', 'type': 'string'}, 'name': {'description': 'Name of the file', 'type': 'string'}}, 'type': 'object'}, 'quality': {'default': 80, 'description': 'Image quality (1-100). Only applies when converting formats.', 'maximum': 100, 'minimum': 1, 'type': 'number'}, 'server': {'description': 'The name of the server to connect to', 'type': 'string'}, 'url': {'description': 'URL of the image to upload', 'type': 'string'}, 'userAuthorized': {'default': False, 'description': 'REQUIRED for media upload operations. Client MUST obtain explicit user authorization before setting this to true.', 'type': 'boolean'}}, 'required': ['server', 'url'], 'type': 'object'}, description="""Upload media to Strapi's media library from a URL with format conversion, quality control, and metadata options. IMPORTANT: This is a write operation that REQUIRES explicit user authorization via the userAuthorized parameter."""), # misterboe/Strapi MCP Server/strapi_upload_media
    Tool(name="""ComfyUI MCP Server_generate_image""", inputSchema={'properties': {'height': {'default': 512, 'description': 'Image height in pixels', 'type': 'number'}, 'negative_prompt': {'default': 'bad hands, bad quality', 'description': "Negative prompt describing what you don't want", 'type': 'string'}, 'prompt': {'description': 'Positive prompt describing what you want in the image', 'type': 'string'}, 'seed': {'default': 8566257, 'description': 'Seed for reproducible generation', 'type': 'number'}, 'width': {'default': 512, 'description': 'Image width in pixels', 'type': 'number'}}, 'required': ['prompt'], 'type': 'object'}, description="""Generate an image using ComfyUI"""), # jonpojonpo/ComfyUI MCP Server/generate_image
    Tool(name="""WinTerm MCP_write_to_terminal""", inputSchema={'properties': {'command': {'description': 'The text or command to write to the terminal', 'type': 'string'}}, 'required': ['command'], 'type': 'object'}, description="""Write text or commands to the terminal"""), # capecoma/WinTerm MCP/write_to_terminal
    Tool(name="""WinTerm MCP_read_terminal_output""", inputSchema={'properties': {'linesOfOutput': {'description': 'Number of lines of output to read', 'type': 'number'}}, 'required': ['linesOfOutput'], 'type': 'object'}, description="""Read the output from the terminal"""), # capecoma/WinTerm MCP/read_terminal_output
    Tool(name="""WinTerm MCP_send_control_character""", inputSchema={'properties': {'letter': {'description': 'The letter corresponding to the control character (e.g., "C" for Ctrl+C)', 'type': 'string'}}, 'required': ['letter'], 'type': 'object'}, description="""Send a control character to the terminal"""), # capecoma/WinTerm MCP/send_control_character
    Tool(name="""Anki MCP Server_update_cards""", inputSchema={'properties': {'answers': {'items': {'properties': {'cardId': {'description': 'Id of the card to answer', 'type': 'number'}, 'ease': {'description': 'Ease of the card between 1 (Again) and 4 (Easy)', 'type': 'number'}}, 'type': 'object'}, 'type': 'array'}}, 'type': 'object'}, description="""After the user answers cards you've quizzed them on, use this tool to mark them answered and update their ease"""), # scorzeth/Anki MCP Server/update_cards
    Tool(name="""Anki MCP Server_add_card""", inputSchema={'properties': {'back': {'description': 'The back of the card. Must use HTML formatting only.', 'type': 'string'}, 'front': {'description': 'The front of the card. Must use HTML formatting only.', 'type': 'string'}}, 'required': ['front', 'back'], 'type': 'object'}, description="""Create a new flashcard in Anki for the user. Must use HTML formatting only. IMPORTANT FORMATTING RULES:\n1. Must use HTML tags for ALL formatting - NO markdown\n2. Use <br> for ALL line breaks\n3. For code blocks, use <pre> with inline CSS styling\n4. Example formatting:\n   - Line breaks: <br>\n   - Code: <pre style=\"background-color: transparent; padding: 10px; border-radius: 5px;\">\n   - Lists: <ol> and <li> tags\n   - Bold: <strong>\n   - Italic: <em>"""), # scorzeth/Anki MCP Server/add_card
    Tool(name="""Anki MCP Server_get_due_cards""", inputSchema={'properties': {'num': {'description': 'Number of due cards to get', 'type': 'number'}}, 'required': ['num'], 'type': 'object'}, description="""Returns a given number (num) of cards due for review."""), # scorzeth/Anki MCP Server/get_due_cards
    Tool(name="""Anki MCP Server_get_new_cards""", inputSchema={'properties': {'num': {'description': 'Number of new cards to get', 'type': 'number'}}, 'required': ['num'], 'type': 'object'}, description="""Returns a given number (num) of new and unseen cards."""), # scorzeth/Anki MCP Server/get_new_cards
    Tool(name="""Trino MCP Server_execute_query""", inputSchema={'properties': {'catalog': {'anyOf': [{'type': 'string'}, {'type': 'null'}], 'default': None, 'title': 'Catalog'}, 'schema': {'anyOf': [{'type': 'string'}, {'type': 'null'}], 'default': None, 'title': 'Schema'}, 'sql': {'title': 'Sql', 'type': 'string'}}, 'required': ['sql'], 'title': 'execute_queryArguments', 'type': 'object'}, description="""\n        Execute a SQL query against Trino.\n        \n        Args:\n            sql: The SQL query to execute.\n            catalog: Optional catalog name to use for the query.\n            schema: Optional schema name to use for the query.\n            \n        Returns:\n            Dict[str, Any]: Query results including metadata.\n        """), # stinkgen/Trino MCP Server/execute_query
    Tool(name="""Trino MCP Server_cancel_query""", inputSchema={'properties': {'query_id': {'title': 'Query Id', 'type': 'string'}}, 'required': ['query_id'], 'title': 'cancel_queryArguments', 'type': 'object'}, description="""\n        Cancel a running query.\n        \n        Args:\n            query_id: ID of the query to cancel.\n            \n        Returns:\n            Dict[str, Any]: Result of the cancellation operation.\n        """), # stinkgen/Trino MCP Server/cancel_query
    Tool(name="""Trino MCP Server_inspect_table""", inputSchema={'properties': {'catalog': {'title': 'Catalog', 'type': 'string'}, 'schema': {'title': 'Schema', 'type': 'string'}, 'table': {'title': 'Table', 'type': 'string'}}, 'required': ['catalog', 'schema', 'table'], 'title': 'inspect_tableArguments', 'type': 'object'}, description="""\n        Get detailed metadata about a table.\n        \n        Args:\n            catalog: Catalog name.\n            schema: Schema name.\n            table: Table name.\n            \n        Returns:\n            Dict[str, Any]: Table metadata including columns, statistics, etc.\n        """), # stinkgen/Trino MCP Server/inspect_table
    Tool(name="""mcp-server-code-assist_list_directory""", inputSchema={'properties': {'path': {'anyOf': [{'type': 'string'}, {'format': 'path', 'type': 'string'}], 'title': 'Path'}}, 'required': ['path'], 'title': 'ListDirectory', 'type': 'object'}, description="""Lists directory contents using system ls/dir command"""), # abhishekbhakat/mcp-server-code-assist/list_directory
    Tool(name="""mcp-server-code-assist_create_directory""", inputSchema={'properties': {'path': {'anyOf': [{'type': 'string'}, {'format': 'path', 'type': 'string'}], 'title': 'Path'}}, 'required': ['path'], 'title': 'CreateDirectory', 'type': 'object'}, description="""Creates a new directory"""), # abhishekbhakat/mcp-server-code-assist/create_directory
    Tool(name="""mcp-server-code-assist_create_file""", inputSchema={'properties': {'content': {'default': '', 'title': 'Content', 'type': 'string'}, 'path': {'anyOf': [{'type': 'string'}, {'format': 'path', 'type': 'string'}], 'title': 'Path'}}, 'required': ['path'], 'title': 'FileCreate', 'type': 'object'}, description="""Creates a new file with content"""), # abhishekbhakat/mcp-server-code-assist/create_file
    Tool(name="""mcp-server-code-assist_delete_file""", inputSchema={'properties': {'path': {'anyOf': [{'type': 'string'}, {'format': 'path', 'type': 'string'}], 'title': 'Path'}}, 'required': ['path'], 'title': 'FileDelete', 'type': 'object'}, description="""Deletes a file"""), # abhishekbhakat/mcp-server-code-assist/delete_file
    Tool(name="""mcp-server-code-assist_modify_file""", inputSchema={'properties': {'path': {'anyOf': [{'type': 'string'}, {'format': 'path', 'type': 'string'}], 'title': 'Path'}, 'replacements': {'additionalProperties': {'type': 'string'}, 'title': 'Replacements', 'type': 'object'}}, 'required': ['path', 'replacements'], 'title': 'FileModify', 'type': 'object'}, description="""Modifies parts of a file using string replacements"""), # abhishekbhakat/mcp-server-code-assist/modify_file
    Tool(name="""mcp-server-code-assist_rewrite_file""", inputSchema={'properties': {'content': {'title': 'Content', 'type': 'string'}, 'path': {'anyOf': [{'type': 'string'}, {'format': 'path', 'type': 'string'}], 'title': 'Path'}}, 'required': ['path', 'content'], 'title': 'FileRewrite', 'type': 'object'}, description="""Rewrites entire file content"""), # abhishekbhakat/mcp-server-code-assist/rewrite_file
    Tool(name="""mcp-server-code-assist_read_file""", inputSchema={'properties': {'path': {'anyOf': [{'type': 'string'}, {'format': 'path', 'type': 'string'}], 'title': 'Path'}}, 'required': ['path'], 'title': 'FileRead', 'type': 'object'}, description="""Reads file content"""), # abhishekbhakat/mcp-server-code-assist/read_file
    Tool(name="""mcp-server-code-assist_file_tree""", inputSchema={'properties': {'path': {'anyOf': [{'type': 'string'}, {'format': 'path', 'type': 'string'}], 'title': 'Path'}}, 'required': ['path'], 'title': 'ListDirectory', 'type': 'object'}, description="""Lists directory tree structure with git tracking support"""), # abhishekbhakat/mcp-server-code-assist/file_tree
    Tool(name="""mcp-server-code-assist_git_status""", inputSchema={'properties': {'repo_path': {'title': 'Repo Path', 'type': 'string'}}, 'required': ['repo_path'], 'title': 'GitStatus', 'type': 'object'}, description="""Shows git repository status"""), # abhishekbhakat/mcp-server-code-assist/git_status
    Tool(name="""mcp-server-code-assist_git_diff""", inputSchema={'properties': {'repo_path': {'title': 'Repo Path', 'type': 'string'}, 'target': {'title': 'Target', 'type': 'string'}}, 'required': ['repo_path', 'target'], 'title': 'GitDiff', 'type': 'object'}, description="""Shows git diff"""), # abhishekbhakat/mcp-server-code-assist/git_diff
    Tool(name="""mcp-server-code-assist_git_log""", inputSchema={'properties': {'max_count': {'default': 10, 'title': 'Max Count', 'type': 'integer'}, 'repo_path': {'title': 'Repo Path', 'type': 'string'}}, 'required': ['repo_path'], 'title': 'GitLog', 'type': 'object'}, description="""Shows git commit history"""), # abhishekbhakat/mcp-server-code-assist/git_log
    Tool(name="""mcp-server-code-assist_git_show""", inputSchema={'properties': {'repo_path': {'title': 'Repo Path', 'type': 'string'}, 'revision': {'title': 'Revision', 'type': 'string'}}, 'required': ['repo_path', 'revision'], 'title': 'GitShow', 'type': 'object'}, description="""Shows git commit details"""), # abhishekbhakat/mcp-server-code-assist/git_show
    Tool(name="""MCP Git Repo Browser_git_directory_structure""", inputSchema={'properties': {'repo_url': {'description': 'The URL of the Git repository', 'type': 'string'}}, 'required': ['repo_url'], 'type': 'object'}, description="""Clone a Git repository and return its directory structure in a tree format."""), # razorback16/MCP Git Repo Browser/git_directory_structure
    Tool(name="""MCP Git Repo Browser_git_read_important_files""", inputSchema={'properties': {'file_paths': {'description': 'List of file paths to read (relative to repository root)', 'items': {'type': 'string'}, 'type': 'array'}, 'repo_url': {'description': 'The URL of the Git repository', 'type': 'string'}}, 'required': ['repo_url', 'file_paths'], 'type': 'object'}, description="""Read the contents of specified files in a given git repository."""), # razorback16/MCP Git Repo Browser/git_read_important_files
    Tool(name="""ActivityWatch MCP Server_activitywatch_list_buckets""", inputSchema={'properties': {'includeData': {'description': 'Include bucket data in response', 'type': 'boolean'}, 'type': {'description': 'Filter buckets by type', 'type': 'string'}}, 'type': 'object'}, description="""List all ActivityWatch buckets with optional type filtering"""), # 8bitgentleman/ActivityWatch MCP Server/activitywatch_list_buckets
    Tool(name="""ActivityWatch MCP Server_activitywatch_query_examples""", inputSchema={'properties': {}, 'type': 'object'}, description="""Get examples of properly formatted queries for the ActivityWatch MCP server"""), # 8bitgentleman/ActivityWatch MCP Server/activitywatch_query_examples
    Tool(name="""ActivityWatch MCP Server_activitywatch_run_query""", inputSchema={'properties': {'name': {'description': 'Optional name for the query (used for caching)', 'type': 'string'}, 'query': {'description': 'MUST BE A SINGLE STRING containing all query statements separated by semicolons. DO NOT split into multiple strings.', 'examples': ["events = query_bucket('aw-watcher-window_UNI-qUxy6XHnLkk'); RETURN = events;"], 'items': {'description': 'Complete query with all statements in one string separated by semicolons', 'type': 'string'}, 'maxItems': 1, 'minItems': 1, 'type': 'array'}, 'timeperiods': {'description': "Time periods to query. Format: ['2024-10-28/2024-10-29'] where dates are in ISO format and joined with a slash", 'examples': ['2024-10-28/2024-10-29'], 'items': {'description': "Time period in format 'start-date/end-date'", 'pattern': '^[0-9]{4}-[0-9]{2}-[0-9]{2}/[0-9]{4}-[0-9]{2}-[0-9]{2}$', 'type': 'string'}, 'maxItems': 10, 'minItems': 1, 'type': 'array'}}, 'required': ['timeperiods', 'query'], 'type': 'object'}, description="""Run a query in ActivityWatch's query language"""), # 8bitgentleman/ActivityWatch MCP Server/activitywatch_run_query
    Tool(name="""ActivityWatch MCP Server_activitywatch_get_events""", inputSchema={'properties': {'bucketId': {'description': 'ID of the bucket to fetch events from', 'type': 'string'}, 'end': {'description': "End date/time in ISO format (e.g. '2024-02-28T23:59:59Z')", 'type': 'string'}, 'limit': {'description': 'Maximum number of events to return (default: 100)', 'type': 'number'}, 'start': {'description': "Start date/time in ISO format (e.g. '2024-02-01T00:00:00Z')", 'type': 'string'}}, 'required': ['bucketId'], 'type': 'object'}, description="""Get raw events from an ActivityWatch bucket"""), # 8bitgentleman/ActivityWatch MCP Server/activitywatch_get_events
    Tool(name="""ActivityWatch MCP Server_activitywatch_get_settings""", inputSchema={'properties': {'key': {'description': 'Optional: Get a specific settings key instead of all settings', 'type': 'string'}}, 'type': 'object'}, description="""Get ActivityWatch settings. Can retrieve all settings or a specific key if provided."""), # 8bitgentleman/ActivityWatch MCP Server/activitywatch_get_settings
    Tool(name="""Jira MCP Server_delete_issue""", inputSchema={'properties': {'issueKey': {'description': 'Key of the issue to delete', 'type': 'string'}}, 'required': ['issueKey'], 'type': 'object'}, description="""Delete a Jira issue or subtask"""), # George5562/Jira MCP Server/delete_issue
    Tool(name="""Jira MCP Server_get_issues""", inputSchema={'properties': {'jql': {'description': 'Optional JQL to filter issues', 'type': 'string'}, 'projectKey': {'description': 'Project key (e.g., "PP")', 'type': 'string'}}, 'required': ['projectKey'], 'type': 'object'}, description="""Get all issues and subtasks for a project"""), # George5562/Jira MCP Server/get_issues
    Tool(name="""Jira MCP Server_update_issue""", inputSchema={'properties': {'assignee': {'description': 'Email of new assignee', 'type': 'string'}, 'description': {'description': 'New description', 'type': 'string'}, 'issueKey': {'description': 'Key of the issue to update', 'type': 'string'}, 'priority': {'description': 'New priority', 'type': 'string'}, 'status': {'description': 'New status', 'type': 'string'}, 'summary': {'description': 'New summary/title', 'type': 'string'}}, 'required': ['issueKey'], 'type': 'object'}, description="""Update an existing Jira issue"""), # George5562/Jira MCP Server/update_issue
    Tool(name="""Jira MCP Server_list_fields""", inputSchema={'properties': {}, 'required': [], 'type': 'object'}, description="""List all available Jira fields"""), # George5562/Jira MCP Server/list_fields
    Tool(name="""Jira MCP Server_list_issue_types""", inputSchema={'properties': {}, 'required': [], 'type': 'object'}, description="""List all available issue types"""), # George5562/Jira MCP Server/list_issue_types
    Tool(name="""Jira MCP Server_list_link_types""", inputSchema={'properties': {}, 'required': [], 'type': 'object'}, description="""List all available issue link types"""), # George5562/Jira MCP Server/list_link_types
    Tool(name="""Jira MCP Server_get_user""", inputSchema={'properties': {'email': {'description': "User's email address", 'type': 'string'}}, 'required': ['email'], 'type': 'object'}, description="""Get a user's account ID by email address"""), # George5562/Jira MCP Server/get_user
    Tool(name="""Jira MCP Server_create_issue""", inputSchema={'properties': {'assignee': {'description': 'Email of the assignee', 'type': 'string'}, 'components': {'description': 'Array of component names', 'items': {'type': 'string'}, 'type': 'array'}, 'description': {'description': 'Detailed description of the issue', 'type': 'string'}, 'issueType': {'description': 'Type of issue (e.g., "Task", "Bug", "Story")', 'type': 'string'}, 'labels': {'description': 'Array of labels to apply', 'items': {'type': 'string'}, 'type': 'array'}, 'priority': {'description': 'Issue priority', 'type': 'string'}, 'projectKey': {'description': 'Project key (e.g., "PP")', 'type': 'string'}, 'summary': {'description': 'Issue summary/title', 'type': 'string'}}, 'required': ['projectKey', 'summary', 'issueType'], 'type': 'object'}, description="""Create a new Jira issue"""), # George5562/Jira MCP Server/create_issue
    Tool(name="""Jira MCP Server_create_issue_link""", inputSchema={'properties': {'inwardIssueKey': {'description': 'Key of the inward issue (e.g., blocked issue)', 'type': 'string'}, 'linkType': {'description': "Type of link (e.g., 'blocks')", 'type': 'string'}, 'outwardIssueKey': {'description': 'Key of the outward issue (e.g., blocking issue)', 'type': 'string'}}, 'required': ['inwardIssueKey', 'outwardIssueKey', 'linkType'], 'type': 'object'}, description="""Create a link between two issues"""), # George5562/Jira MCP Server/create_issue_link
    Tool(name="""Database Updater MCP Server_create_note""", inputSchema={'properties': {'content': {'description': 'Text content of the note', 'type': 'string'}, 'title': {'description': 'Title of the note', 'type': 'string'}}, 'required': ['title', 'content'], 'type': 'object'}, description="""Create a new note"""), # AnuragRai017/Database Updater MCP Server/create_note
    Tool(name="""Database Updater MCP Server_update_database""", inputSchema={'properties': {'connectionString': {'description': 'Connection string for the database', 'type': 'string'}, 'databaseType': {'description': 'Type of database (e.g., PostgreSQL, MySQL, MongoDB, SQLite)', 'type': 'string'}, 'filePath': {'description': 'Path to the CSV or Excel file', 'type': 'string'}, 'tableName': {'description': 'Name of the table to update', 'type': 'string'}}, 'required': ['filePath', 'databaseType', 'connectionString', 'tableName'], 'type': 'object'}, description="""Update the database from a CSV or Excel file"""), # AnuragRai017/Database Updater MCP Server/update_database
    Tool(name="""Salesforce MCP Server_salesforce_search_objects""", inputSchema={'properties': {'searchPattern': {'description': "Search pattern to find objects (e.g., 'Account Coverage' will find objects like 'AccountCoverage__c')", 'type': 'string'}}, 'required': ['searchPattern'], 'type': 'object'}, description="""Search for Salesforce standard and custom objects by name pattern. Examples: 'Account' will find Account, AccountHistory; 'Order' will find WorkOrder, ServiceOrder__c etc."""), # tsmztech/Salesforce MCP Server/salesforce_search_objects
    Tool(name="""Salesforce MCP Server_salesforce_describe_object""", inputSchema={'properties': {'objectName': {'description': "API name of the object (e.g., 'Account', 'Contact', 'Custom_Object__c')", 'type': 'string'}}, 'required': ['objectName'], 'type': 'object'}, description="""Get detailed schema metadata including all fields, relationships, and field properties of any Salesforce object. Examples: 'Account' shows all Account fields including custom fields; 'Case' shows all Case fields including relationships to Account, Contact etc."""), # tsmztech/Salesforce MCP Server/salesforce_describe_object
    Tool(name="""Salesforce MCP Server_salesforce_query_records""", inputSchema={'properties': {'fields': {'description': 'List of fields to retrieve, including relationship fields', 'items': {'type': 'string'}, 'type': 'array'}, 'limit': {'description': 'Maximum number of records to return', 'optional': True, 'type': 'number'}, 'objectName': {'description': 'API name of the object to query', 'type': 'string'}, 'orderBy': {'description': 'ORDER BY clause, can include fields from related objects', 'optional': True, 'type': 'string'}, 'whereClause': {'description': 'WHERE clause, can include conditions on related objects', 'optional': True, 'type': 'string'}}, 'required': ['objectName', 'fields'], 'type': 'object'}, description="""Query records from any Salesforce object using SOQL, including relationship queries.\n\nExamples:\n1. Parent-to-child query (e.g., Account with Contacts):\n   - objectName: \"Account\"\n   - fields: [\"Name\", \"(SELECT Id, FirstName, LastName FROM Contacts)\"]\n\n2. Child-to-parent query (e.g., Contact with Account details):\n   - objectName: \"Contact\"\n   - fields: [\"FirstName\", \"LastName\", \"Account.Name\", \"Account.Industry\"]\n\n3. Multiple level query (e.g., Contact -> Account -> Owner):\n   - objectName: \"Contact\"\n   - fields: [\"Name\", \"Account.Name\", \"Account.Owner.Name\"]\n\n4. Related object filtering:\n   - objectName: \"Contact\"\n   - fields: [\"Name\", \"Account.Name\"]\n   - whereClause: \"Account.Industry = 'Technology'\"\n\nNote: When using relationship fields:\n- Use dot notation for parent relationships (e.g., \"Account.Name\")\n- Use subqueries in parentheses for child relationships (e.g., \"(SELECT Id FROM Contacts)\")\n- Custom relationship fields end in \"__r\" (e.g., \"CustomObject__r.Name\")"""), # tsmztech/Salesforce MCP Server/salesforce_query_records
    Tool(name="""Salesforce MCP Server_salesforce_dml_records""", inputSchema={'properties': {'externalIdField': {'description': 'External ID field name for upsert operations', 'optional': True, 'type': 'string'}, 'objectName': {'description': 'API name of the object', 'type': 'string'}, 'operation': {'description': 'Type of DML operation to perform', 'enum': ['insert', 'update', 'delete', 'upsert'], 'type': 'string'}, 'records': {'description': 'Array of records to process', 'items': {'type': 'object'}, 'type': 'array'}}, 'required': ['operation', 'objectName', 'records'], 'type': 'object'}, description="""Perform data manipulation operations on Salesforce records:\n  - insert: Create new records\n  - update: Modify existing records (requires Id)\n  - delete: Remove records (requires Id)\n  - upsert: Insert or update based on external ID field\n  Examples: Insert new Accounts, Update Case status, Delete old records, Upsert based on custom external ID"""), # tsmztech/Salesforce MCP Server/salesforce_dml_records
    Tool(name="""Salesforce MCP Server_salesforce_manage_object""", inputSchema={'properties': {'description': {'description': 'Description of the object', 'optional': True, 'type': 'string'}, 'label': {'description': 'Label for the object', 'type': 'string'}, 'nameFieldFormat': {'description': "Display format for AutoNumber field (e.g., 'A-{0000}')", 'optional': True, 'type': 'string'}, 'nameFieldLabel': {'description': 'Label for the name field', 'optional': True, 'type': 'string'}, 'nameFieldType': {'description': 'Type of the name field', 'enum': ['Text', 'AutoNumber'], 'optional': True, 'type': 'string'}, 'objectName': {'description': 'API name for the object (without __c suffix)', 'type': 'string'}, 'operation': {'description': 'Whether to create new object or update existing', 'enum': ['create', 'update'], 'type': 'string'}, 'pluralLabel': {'description': 'Plural label for the object', 'type': 'string'}, 'sharingModel': {'description': 'Sharing model for the object', 'enum': ['ReadWrite', 'Read', 'Private', 'ControlledByParent'], 'optional': True, 'type': 'string'}}, 'required': ['operation', 'objectName'], 'type': 'object'}, description="""Create new custom objects or modify existing ones in Salesforce:\n  - Create: New custom objects with fields, relationships, and settings\n  - Update: Modify existing object settings, labels, sharing model\n  Examples: Create Customer_Feedback__c object, Update object sharing settings\n  Note: Changes affect metadata and require proper permissions"""), # tsmztech/Salesforce MCP Server/salesforce_manage_object
    Tool(name="""Salesforce MCP Server_salesforce_manage_field""", inputSchema={'properties': {'deleteConstraint': {'description': 'Delete constraint for Lookup fields', 'enum': ['Cascade', 'Restrict', 'SetNull'], 'optional': True, 'type': 'string'}, 'description': {'description': 'Description of the field', 'optional': True, 'type': 'string'}, 'externalId': {'description': 'Whether the field is an external ID', 'optional': True, 'type': 'boolean'}, 'fieldName': {'description': 'API name for the field (without __c suffix)', 'type': 'string'}, 'label': {'description': 'Label for the field', 'optional': True, 'type': 'string'}, 'length': {'description': 'Length for text fields', 'optional': True, 'type': 'number'}, 'objectName': {'description': 'API name of the object to add/modify the field', 'type': 'string'}, 'operation': {'description': 'Whether to create new field or update existing', 'enum': ['create', 'update'], 'type': 'string'}, 'picklistValues': {'description': 'Values for Picklist/MultiselectPicklist fields', 'items': {'properties': {'isDefault': {'optional': True, 'type': 'boolean'}, 'label': {'type': 'string'}}, 'type': 'object'}, 'optional': True, 'type': 'array'}, 'precision': {'description': 'Precision for numeric fields', 'optional': True, 'type': 'number'}, 'referenceTo': {'description': 'API name of the object to reference (for Lookup/MasterDetail)', 'optional': True, 'type': 'string'}, 'relationshipLabel': {'description': 'Label for the relationship (for Lookup/MasterDetail)', 'optional': True, 'type': 'string'}, 'relationshipName': {'description': 'API name for the relationship (for Lookup/MasterDetail)', 'optional': True, 'type': 'string'}, 'required': {'description': 'Whether the field is required', 'optional': True, 'type': 'boolean'}, 'scale': {'description': 'Scale for numeric fields', 'optional': True, 'type': 'number'}, 'type': {'description': 'Field type (required for create)', 'enum': ['Checkbox', 'Currency', 'Date', 'DateTime', 'Email', 'Number', 'Percent', 'Phone', 'Picklist', 'MultiselectPicklist', 'Text', 'TextArea', 'LongTextArea', 'Html', 'Url', 'Lookup', 'MasterDetail'], 'optional': True, 'type': 'string'}, 'unique': {'description': 'Whether the field value must be unique', 'optional': True, 'type': 'boolean'}}, 'required': ['operation', 'objectName', 'fieldName'], 'type': 'object'}, description="""Create new custom fields or modify existing fields on any Salesforce object:\n  - Field Types: Text, Number, Date, Lookup, Master-Detail, Picklist etc.\n  - Properties: Required, Unique, External ID, Length, Scale etc.\n  - Relationships: Create lookups and master-detail relationships\n  Examples: Add Rating__c picklist to Account, Create Account lookup on Custom Object\n  Note: Changes affect metadata and require proper permissions"""), # tsmztech/Salesforce MCP Server/salesforce_manage_field
    Tool(name="""Salesforce MCP Server_salesforce_search_all""", inputSchema={'properties': {'objects': {'description': 'List of objects to search and their return fields', 'items': {'properties': {'fields': {'description': 'Fields to return for this object', 'items': {'type': 'string'}, 'type': 'array'}, 'limit': {'description': 'Maximum number of records to return for this object', 'optional': True, 'type': 'number'}, 'name': {'description': 'API name of the object', 'type': 'string'}, 'orderBy': {'description': 'ORDER BY clause for this object', 'optional': True, 'type': 'string'}, 'where': {'description': 'WHERE clause for this object', 'optional': True, 'type': 'string'}}, 'required': ['name', 'fields'], 'type': 'object'}, 'type': 'array'}, 'searchIn': {'description': 'Which fields to search in', 'enum': ['ALL FIELDS', 'NAME FIELDS', 'EMAIL FIELDS', 'PHONE FIELDS', 'SIDEBAR FIELDS'], 'optional': True, 'type': 'string'}, 'searchTerm': {'description': 'Text to search for (supports wildcards * and ?)', 'type': 'string'}, 'updateable': {'description': 'Return only updateable records', 'optional': True, 'type': 'boolean'}, 'viewable': {'description': 'Return only viewable records', 'optional': True, 'type': 'boolean'}, 'withClauses': {'description': 'Additional WITH clauses for the search', 'items': {'properties': {'fields': {'description': 'Fields for SNIPPET clause', 'items': {'type': 'string'}, 'optional': True, 'type': 'array'}, 'type': {'enum': ['DATA CATEGORY', 'DIVISION', 'METADATA', 'NETWORK', 'PRICEBOOKID', 'SNIPPET', 'SECURITY_ENFORCED'], 'type': 'string'}, 'value': {'description': 'Value for the WITH clause', 'optional': True, 'type': 'string'}}, 'required': ['type'], 'type': 'object'}, 'optional': True, 'type': 'array'}}, 'required': ['searchTerm', 'objects'], 'type': 'object'}, description="""Search across multiple Salesforce objects using SOSL (Salesforce Object Search Language).\n  \nExamples:\n1. Basic search across all objects:\n   {\n     \"searchTerm\": \"John\",\n     \"objects\": [\n       { \"name\": \"Account\", \"fields\": [\"Name\"], \"limit\": 10 },\n       { \"name\": \"Contact\", \"fields\": [\"FirstName\", \"LastName\", \"Email\"] }\n     ]\n   }\n\n2. Advanced search with filters:\n   {\n     \"searchTerm\": \"Cloud*\",\n     \"searchIn\": \"NAME FIELDS\",\n     \"objects\": [\n       { \n         \"name\": \"Account\", \n         \"fields\": [\"Name\", \"Industry\"], \n         \"orderBy\": \"Name DESC\",\n         \"where\": \"Industry = 'Technology'\"\n       }\n     ],\n     \"withClauses\": [\n       { \"type\": \"NETWORK\", \"value\": \"ALL NETWORKS\" },\n       { \"type\": \"SNIPPET\", \"fields\": [\"Description\"] }\n     ]\n   }\n\nNotes:\n- Use * and ? for wildcards in search terms\n- Each object can have its own WHERE, ORDER BY, and LIMIT clauses\n- Support for WITH clauses: DATA CATEGORY, DIVISION, METADATA, NETWORK, PRICEBOOKID, SNIPPET, SECURITY_ENFORCED\n- \"updateable\" and \"viewable\" options control record access filtering"""), # tsmztech/Salesforce MCP Server/salesforce_search_all
    Tool(name="""Todoist MCP Server_todoist_create_task""", inputSchema={'properties': {'content': {'description': 'The content/title of the task', 'type': 'string'}, 'description': {'description': 'Detailed description of the task (optional)', 'type': 'string'}, 'due_string': {'description': "Natural language due date like 'tomorrow', 'next Monday', 'Jan 23' (optional)", 'type': 'string'}, 'priority': {'description': 'Task priority from 1 (normal) to 4 (urgent) (optional)', 'enum': [1, 2, 3, 4], 'type': 'number'}}, 'required': ['content'], 'type': 'object'}, description="""Create a new task in Todoist with optional description, due date, and priority"""), # abhiz123/Todoist MCP Server/todoist_create_task
    Tool(name="""Todoist MCP Server_todoist_get_tasks""", inputSchema={'properties': {'filter': {'description': "Natural language filter like 'today', 'tomorrow', 'next week', 'priority 1', 'overdue' (optional)", 'type': 'string'}, 'limit': {'default': 10, 'description': 'Maximum number of tasks to return (optional)', 'type': 'number'}, 'priority': {'description': 'Filter by priority level (1-4) (optional)', 'enum': [1, 2, 3, 4], 'type': 'number'}, 'project_id': {'description': 'Filter tasks by project ID (optional)', 'type': 'string'}}, 'type': 'object'}, description="""Get a list of tasks from Todoist with various filters"""), # abhiz123/Todoist MCP Server/todoist_get_tasks
    Tool(name="""Todoist MCP Server_todoist_update_task""", inputSchema={'properties': {'content': {'description': 'New content/title for the task (optional)', 'type': 'string'}, 'description': {'description': 'New description for the task (optional)', 'type': 'string'}, 'due_string': {'description': "New due date in natural language like 'tomorrow', 'next Monday' (optional)", 'type': 'string'}, 'priority': {'description': 'New priority level from 1 (normal) to 4 (urgent) (optional)', 'enum': [1, 2, 3, 4], 'type': 'number'}, 'task_name': {'description': 'Name/content of the task to search for and update', 'type': 'string'}}, 'required': ['task_name'], 'type': 'object'}, description="""Update an existing task in Todoist by searching for it by name and then updating it"""), # abhiz123/Todoist MCP Server/todoist_update_task
    Tool(name="""Todoist MCP Server_todoist_delete_task""", inputSchema={'properties': {'task_name': {'description': 'Name/content of the task to search for and delete', 'type': 'string'}}, 'required': ['task_name'], 'type': 'object'}, description="""Delete a task from Todoist by searching for it by name"""), # abhiz123/Todoist MCP Server/todoist_delete_task
    Tool(name="""Todoist MCP Server_todoist_complete_task""", inputSchema={'properties': {'task_name': {'description': 'Name/content of the task to search for and complete', 'type': 'string'}}, 'required': ['task_name'], 'type': 'object'}, description="""Mark a task as complete by searching for it by name"""), # abhiz123/Todoist MCP Server/todoist_complete_task
    Tool(name="""Monday.com MCP Server_monday-create-item""", inputSchema={'properties': {'boardId': {'description': 'Monday.com Board ID that the Item or Sub-item is on.', 'type': 'string'}, 'columnValues': {'description': 'Dictionary of column values to set {column_id: value}', 'type': 'object'}, 'groupId': {'description': "Monday.com Board's Group ID to create the Item in. If set, parentItemId should not be set.", 'type': 'string'}, 'itemTitle': {'description': 'Name of the Monday.com Item or Sub-item that will be created.', 'type': 'string'}, 'parentItemId': {'description': 'Monday.com Item ID to create the Sub-item under. If set, groupId should not be set.', 'type': 'string'}}, 'required': ['boardId', 'itemTitle'], 'type': 'object'}, description="""Create a new item in a Monday.com Board. Optionally, specify the parent Item ID to create a Sub-item."""), # sakce/Monday.com MCP Server/monday-create-item
    Tool(name="""Monday.com MCP Server_monday-update-item""", inputSchema={'properties': {'boardId': {'description': 'Monday.com Board ID that the Item or Sub-item is on.', 'type': 'string'}, 'columnValues': {'description': 'Dictionary of column values to update the Monday.com Item or Sub-item with. ({column_id: value})', 'type': 'object'}, 'itemId': {'description': 'Monday.com Item or Sub-item ID to update the columns of.', 'type': 'string'}}, 'required': ['boardId', 'itemId', 'columnValues'], 'type': 'object'}, description="""Update a Monday.com item's or sub-item's column values."""), # sakce/Monday.com MCP Server/monday-update-item
    Tool(name="""Monday.com MCP Server_monday-get-board-columns""", inputSchema={'properties': {'boardId': {'description': 'Monday.com Board ID that the Item or Sub-item is on.', 'type': 'string'}}, 'required': ['boardId'], 'type': 'object'}, description="""Get the Columns of a Monday.com Board."""), # sakce/Monday.com MCP Server/monday-get-board-columns
    Tool(name="""Monday.com MCP Server_monday-get-board-groups""", inputSchema={'properties': {'boardId': {'description': 'Monday.com Board ID that the Item or Sub-item is on.', 'type': 'string'}}, 'required': ['boardId'], 'type': 'object'}, description="""Get the Groups of a Monday.com Board."""), # sakce/Monday.com MCP Server/monday-get-board-groups
    Tool(name="""Monday.com MCP Server_monday-create-update""", inputSchema={'properties': {'itemId': {'type': 'string'}, 'updateText': {'description': 'Content to update the Item or Sub-item with.', 'type': 'string'}}, 'required': ['itemId', 'updateText'], 'type': 'object'}, description="""Create an update (comment) on a Monday.com Item or Sub-item."""), # sakce/Monday.com MCP Server/monday-create-update
    Tool(name="""Monday.com MCP Server_monday-list-boards""", inputSchema={'properties': {'limit': {'description': 'Maximum number of Monday.com Boards to return.', 'type': 'integer'}}, 'type': 'object'}, description="""Get all Boards from Monday.com"""), # sakce/Monday.com MCP Server/monday-list-boards
    Tool(name="""Monday.com MCP Server_monday-list-items-in-groups""", inputSchema={'properties': {'boardId': {'description': 'Monday.com Board ID that the Item or Sub-item is on.', 'type': 'string'}, 'cursor': {'type': 'string'}, 'groupIds': {'items': {'type': 'string'}, 'type': 'array'}, 'limit': {'type': 'integer'}}, 'required': ['boardId', 'groupIds'], 'type': 'object'}, description="""List all items in the specified groups of a Monday.com board"""), # sakce/Monday.com MCP Server/monday-list-items-in-groups
    Tool(name="""Monday.com MCP Server_monday-list-subitems-in-items""", inputSchema={'properties': {'itemIds': {'items': {'type': 'string'}, 'type': 'array'}}, 'required': ['itemIds'], 'type': 'object'}, description="""List all Sub-items of a list of Monday.com Items"""), # sakce/Monday.com MCP Server/monday-list-subitems-in-items
    Tool(name="""MCP Etherscan Server_check-balance""", inputSchema={'properties': {'address': {'description': 'Ethereum address (0x format)', 'pattern': '^0x[a-fA-F0-9]{40}$', 'type': 'string'}}, 'required': ['address'], 'type': 'object'}, description="""Check the ETH balance of an Ethereum address"""), # 5ajaki/MCP Etherscan Server/check-balance
    Tool(name="""MCP Etherscan Server_get-transactions""", inputSchema={'properties': {'address': {'description': 'Ethereum address (0x format)', 'pattern': '^0x[a-fA-F0-9]{40}$', 'type': 'string'}, 'limit': {'description': 'Number of transactions to return (max 100)', 'maximum': 100, 'minimum': 1, 'type': 'number'}}, 'required': ['address'], 'type': 'object'}, description="""Get recent transactions for an Ethereum address"""), # 5ajaki/MCP Etherscan Server/get-transactions
    Tool(name="""MCP Etherscan Server_get-token-transfers""", inputSchema={'properties': {'address': {'description': 'Ethereum address (0x format)', 'pattern': '^0x[a-fA-F0-9]{40}$', 'type': 'string'}, 'limit': {'description': 'Number of transfers to return (max 100)', 'maximum': 100, 'minimum': 1, 'type': 'number'}}, 'required': ['address'], 'type': 'object'}, description="""Get ERC20 token transfers for an Ethereum address"""), # 5ajaki/MCP Etherscan Server/get-token-transfers
    Tool(name="""MCP Etherscan Server_get-contract-abi""", inputSchema={'properties': {'address': {'description': 'Contract address (0x format)', 'pattern': '^0x[a-fA-F0-9]{40}$', 'type': 'string'}}, 'required': ['address'], 'type': 'object'}, description="""Get the ABI for a smart contract"""), # 5ajaki/MCP Etherscan Server/get-contract-abi
    Tool(name="""MCP Etherscan Server_get-gas-prices""", inputSchema={'properties': {}, 'type': 'object'}, description="""Get current gas prices in Gwei"""), # 5ajaki/MCP Etherscan Server/get-gas-prices
    Tool(name="""MCP Etherscan Server_get-ens-name""", inputSchema={'properties': {'address': {'description': 'Ethereum address (0x format)', 'pattern': '^0x[a-fA-F0-9]{40}$', 'type': 'string'}}, 'required': ['address'], 'type': 'object'}, description="""Get the ENS name for an Ethereum address"""), # 5ajaki/MCP Etherscan Server/get-ens-name
    Tool(name="""Ideogram MCP Server_generate_image""", inputSchema={'properties': {'aspect_ratio': {'description': 'The aspect ratio for the generated image', 'enum': ['ASPECT_1_1', 'ASPECT_4_3', 'ASPECT_3_4', 'ASPECT_16_9', 'ASPECT_9_16'], 'type': 'string'}, 'magic_prompt_option': {'description': 'Whether to use magic prompt', 'enum': ['AUTO', 'ON', 'OFF'], 'type': 'string'}, 'model': {'description': 'The model to use for generation', 'enum': ['V_1', 'V_1_TURBO', 'V_2', 'V_2_TURBO'], 'type': 'string'}, 'negative_prompt': {'description': 'Description of what to exclude from the image (must be in English)', 'type': 'string'}, 'num_images': {'description': 'Number of images to generate (1-8)', 'maximum': 8, 'minimum': 1, 'type': 'number'}, 'prompt': {'description': 'The prompt to use for generating the image (must be in English)', 'type': 'string'}, 'style_type': {'description': 'The style type for generation', 'type': 'string'}}, 'required': ['prompt'], 'type': 'object'}, description="""Generate an image using Ideogram AI"""), # Sunwood-ai-labs/Ideogram MCP Server/generate_image
    Tool(name="""MCP Google Custom Search Server_search""", inputSchema={'properties': {'numResults': {'default': 5, 'description': 'Number of results to return (max 10)', 'type': 'number'}, 'query': {'description': 'The search query', 'type': 'string'}}, 'required': ['query'], 'type': 'object'}, description="""Search the web using Google Custom Search API"""), # limklister/MCP Google Custom Search Server/search
    Tool(name="""Ollama MCP Server_push""", inputSchema={'additionalProperties': False, 'properties': {'name': {'description': 'Name of the model to push', 'type': 'string'}}, 'required': ['name'], 'type': 'object'}, description="""Push a model to a registry"""), # NightTrek/Ollama MCP Server/push
    Tool(name="""Ollama MCP Server_list""", inputSchema={'additionalProperties': False, 'properties': {}, 'type': 'object'}, description="""List models"""), # NightTrek/Ollama MCP Server/list
    Tool(name="""Ollama MCP Server_cp""", inputSchema={'additionalProperties': False, 'properties': {'destination': {'description': 'Destination model name', 'type': 'string'}, 'source': {'description': 'Source model name', 'type': 'string'}}, 'required': ['source', 'destination'], 'type': 'object'}, description="""Copy a model"""), # NightTrek/Ollama MCP Server/cp
    Tool(name="""Ollama MCP Server_rm""", inputSchema={'additionalProperties': False, 'properties': {'name': {'description': 'Name of the model to remove', 'type': 'string'}}, 'required': ['name'], 'type': 'object'}, description="""Remove a model"""), # NightTrek/Ollama MCP Server/rm
    Tool(name="""Ollama MCP Server_serve""", inputSchema={'additionalProperties': False, 'properties': {}, 'type': 'object'}, description="""Start Ollama server"""), # NightTrek/Ollama MCP Server/serve
    Tool(name="""Ollama MCP Server_create""", inputSchema={'additionalProperties': False, 'properties': {'modelfile': {'description': 'Path to Modelfile', 'type': 'string'}, 'name': {'description': 'Name for the model', 'type': 'string'}}, 'required': ['name', 'modelfile'], 'type': 'object'}, description="""Create a model from a Modelfile"""), # NightTrek/Ollama MCP Server/create
    Tool(name="""Ollama MCP Server_show""", inputSchema={'additionalProperties': False, 'properties': {'name': {'description': 'Name of the model', 'type': 'string'}}, 'required': ['name'], 'type': 'object'}, description="""Show information for a model"""), # NightTrek/Ollama MCP Server/show
    Tool(name="""Ollama MCP Server_run""", inputSchema={'additionalProperties': False, 'properties': {'name': {'description': 'Name of the model', 'type': 'string'}, 'prompt': {'description': 'Prompt to send to the model', 'type': 'string'}, 'timeout': {'description': 'Timeout in milliseconds (default: 60000)', 'minimum': 1000, 'type': 'number'}}, 'required': ['name', 'prompt'], 'type': 'object'}, description="""Run a model"""), # NightTrek/Ollama MCP Server/run
    Tool(name="""Ollama MCP Server_pull""", inputSchema={'additionalProperties': False, 'properties': {'name': {'description': 'Name of the model to pull', 'type': 'string'}}, 'required': ['name'], 'type': 'object'}, description="""Pull a model from a registry"""), # NightTrek/Ollama MCP Server/pull
    Tool(name="""Ollama MCP Server_chat_completion""", inputSchema={'additionalProperties': False, 'properties': {'messages': {'description': 'Array of messages in the conversation', 'items': {'properties': {'content': {'type': 'string'}, 'role': {'enum': ['system', 'user', 'assistant'], 'type': 'string'}}, 'required': ['role', 'content'], 'type': 'object'}, 'type': 'array'}, 'model': {'description': 'Name of the Ollama model to use', 'type': 'string'}, 'temperature': {'description': 'Sampling temperature (0-2)', 'maximum': 2, 'minimum': 0, 'type': 'number'}, 'timeout': {'description': 'Timeout in milliseconds (default: 60000)', 'minimum': 1000, 'type': 'number'}}, 'required': ['model', 'messages'], 'type': 'object'}, description="""OpenAI-compatible chat completion API"""), # NightTrek/Ollama MCP Server/chat_completion
    Tool(name="""WebSearch_search""", inputSchema={'properties': {'query': {'title': 'Query', 'type': 'string'}}, 'required': ['query'], 'title': 'searchArguments', 'type': 'object'}, description="""Performs web searches and retrieves up-to-date information from the internet.\n    Args:\n    - prompt: Specific query or topic to search for on the internet\n    - limit: Maximum number of results to return (between 1 and 20)\n\n    Returns:\n    - Search results with relevant information about the requested topic\n    """), # josemartinrodriguezmortaloni/WebSearch/search
    Tool(name="""WebSearch_crawl""", inputSchema={'properties': {'limit': {'title': 'Limit', 'type': 'integer'}, 'maxDepth': {'title': 'Maxdepth', 'type': 'integer'}, 'url': {'title': 'Url', 'type': 'string'}}, 'required': ['url', 'maxDepth', 'limit'], 'title': 'crawlArguments', 'type': 'object'}, description="""Crawls a website starting from the specified URL and extracts content from multiple pages.\n    Args:\n    - url: The complete URL of the web page to start crawling from\n    - maxDepth: The maximum depth level for crawling linked pages\n    - limit: The maximum number of pages to crawl\n\n    Returns:\n    - Content extracted from the crawled pages in markdown and HTML format\n    """), # josemartinrodriguezmortaloni/WebSearch/crawl
    Tool(name="""WebSearch_extract""", inputSchema={'properties': {'enabaleWebSearch': {'title': 'Enabalewebsearch', 'type': 'boolean'}, 'prompt': {'title': 'Prompt', 'type': 'string'}, 'showSources': {'title': 'Showsources', 'type': 'boolean'}, 'url': {'items': {'type': 'string'}, 'title': 'Url', 'type': 'array'}}, 'required': ['url', 'prompt', 'enabaleWebSearch', 'showSources'], 'title': 'extractArguments', 'type': 'object'}, description="""Extracts specific information from a web page based on a prompt.\n    Args:\n    - url: The complete URL of the web page to extract information from\n    - prompt: Instructions specifying what information to extract from the page\n    - enabaleWebSearch: Whether to allow web searches to supplement the extraction\n    - showSources: Whether to include source references in the response\n\n    Returns:\n    - Extracted information from the web page based on the prompt\n    """), # josemartinrodriguezmortaloni/WebSearch/extract
    Tool(name="""WebSearch_scrape""", inputSchema={'properties': {'url': {'title': 'Url', 'type': 'string'}}, 'required': ['url'], 'title': 'scrapeArguments', 'type': 'object'}, description=""""""), # josemartinrodriguezmortaloni/WebSearch/scrape
    Tool(name="""mcp-figma_get_comments""", inputSchema={'properties': {'fileKey': {'description': 'The key of the file to get comments from', 'type': 'string'}}, 'required': ['fileKey'], 'type': 'object'}, description="""Get comments on a Figma file"""), # smithery-ai/mcp-figma/get_comments
    Tool(name="""mcp-figma_set_api_key""", inputSchema={'properties': {'api_key': {'description': 'Your Figma API personal access token', 'type': 'string'}}, 'required': ['api_key'], 'type': 'object'}, description="""Set your Figma API personal access token (will be saved to ~/.mcp-figma/config.json)"""), # smithery-ai/mcp-figma/set_api_key
    Tool(name="""mcp-figma_check_api_key""", inputSchema={'properties': {}, 'required': [], 'type': 'object'}, description="""Check if a Figma API key is already configured"""), # smithery-ai/mcp-figma/check_api_key
    Tool(name="""mcp-figma_get_file""", inputSchema={'properties': {'branch_data': {'description': 'Optional. Include branch data if true', 'type': 'boolean'}, 'depth': {'description': 'Optional. Depth of nodes to return (1-4)', 'type': 'number'}, 'fileKey': {'description': 'The key of the file to get', 'type': 'string'}, 'version': {'description': 'Optional. A specific version ID to get', 'type': 'string'}}, 'required': ['fileKey'], 'type': 'object'}, description="""Get a Figma file by key"""), # smithery-ai/mcp-figma/get_file
    Tool(name="""mcp-figma_get_file_nodes""", inputSchema={'properties': {'depth': {'description': 'Optional. Depth of nodes to return (1-4)', 'type': 'number'}, 'fileKey': {'description': 'The key of the file to get nodes from', 'type': 'string'}, 'node_ids': {'description': 'Array of node IDs to get', 'items': {'type': 'string'}, 'type': 'array'}, 'version': {'description': 'Optional. A specific version ID to get', 'type': 'string'}}, 'required': ['fileKey', 'node_ids'], 'type': 'object'}, description="""Get specific nodes from a Figma file"""), # smithery-ai/mcp-figma/get_file_nodes
    Tool(name="""mcp-figma_get_image""", inputSchema={'properties': {'fileKey': {'description': 'The key of the file to get images from', 'type': 'string'}, 'format': {'description': 'Optional. Image format', 'enum': ['jpg', 'png', 'svg', 'pdf'], 'type': 'string'}, 'ids': {'description': 'Array of node IDs to render', 'items': {'type': 'string'}, 'type': 'array'}, 'scale': {'description': 'Optional. Scale factor to render at (0.01-4)', 'type': 'number'}, 'svg_include_id': {'description': 'Optional. Include IDs in SVG output', 'type': 'boolean'}, 'svg_simplify_stroke': {'description': 'Optional. Simplify strokes in SVG output', 'type': 'boolean'}, 'use_absolute_bounds': {'description': 'Optional. Use absolute bounds', 'type': 'boolean'}}, 'required': ['fileKey', 'ids'], 'type': 'object'}, description="""Get images for nodes in a Figma file"""), # smithery-ai/mcp-figma/get_image
    Tool(name="""mcp-figma_get_image_fills""", inputSchema={'properties': {'fileKey': {'description': 'The key of the file to get image fills from', 'type': 'string'}}, 'required': ['fileKey'], 'type': 'object'}, description="""Get URLs for images used in a Figma file"""), # smithery-ai/mcp-figma/get_image_fills
    Tool(name="""mcp-figma_post_comment""", inputSchema={'properties': {'client_meta': {'description': 'Optional. Position of the comment', 'properties': {'node_id': {'type': 'string'}, 'node_offset': {'properties': {'x': {'type': 'number'}, 'y': {'type': 'number'}}, 'type': 'object'}, 'x': {'type': 'number'}, 'y': {'type': 'number'}}, 'type': 'object'}, 'comment_id': {'description': 'Optional. ID of comment to reply to', 'type': 'string'}, 'fileKey': {'description': 'The key of the file to comment on', 'type': 'string'}, 'message': {'description': 'Comment message text', 'type': 'string'}}, 'required': ['fileKey', 'message'], 'type': 'object'}, description="""Post a comment on a Figma file"""), # smithery-ai/mcp-figma/post_comment
    Tool(name="""mcp-figma_delete_comment""", inputSchema={'properties': {'comment_id': {'description': 'ID of the comment to delete', 'type': 'string'}, 'fileKey': {'description': 'The key of the file to delete a comment from', 'type': 'string'}}, 'required': ['fileKey', 'comment_id'], 'type': 'object'}, description="""Delete a comment from a Figma file"""), # smithery-ai/mcp-figma/delete_comment
    Tool(name="""mcp-figma_get_team_projects""", inputSchema={'properties': {'cursor': {'description': 'Optional. Cursor for pagination', 'type': 'string'}, 'page_size': {'description': 'Optional. Number of items per page', 'type': 'number'}, 'team_id': {'description': 'The team ID', 'type': 'string'}}, 'required': ['team_id'], 'type': 'object'}, description="""Get projects for a team"""), # smithery-ai/mcp-figma/get_team_projects
    Tool(name="""mcp-figma_get_project_files""", inputSchema={'properties': {'branch_data': {'description': 'Optional. Include branch data if true', 'type': 'boolean'}, 'cursor': {'description': 'Optional. Cursor for pagination', 'type': 'string'}, 'page_size': {'description': 'Optional. Number of items per page', 'type': 'number'}, 'project_id': {'description': 'The project ID', 'type': 'string'}}, 'required': ['project_id'], 'type': 'object'}, description="""Get files for a project"""), # smithery-ai/mcp-figma/get_project_files
    Tool(name="""mcp-figma_get_team_components""", inputSchema={'properties': {'cursor': {'description': 'Optional. Cursor for pagination', 'type': 'string'}, 'page_size': {'description': 'Optional. Number of items per page', 'type': 'number'}, 'team_id': {'description': 'The team ID', 'type': 'string'}}, 'required': ['team_id'], 'type': 'object'}, description="""Get components for a team"""), # smithery-ai/mcp-figma/get_team_components
    Tool(name="""mcp-figma_get_file_components""", inputSchema={'properties': {'fileKey': {'description': 'The key of the file to get components from', 'type': 'string'}}, 'required': ['fileKey'], 'type': 'object'}, description="""Get components from a file"""), # smithery-ai/mcp-figma/get_file_components
    Tool(name="""mcp-figma_get_component""", inputSchema={'properties': {'key': {'description': 'The component key', 'type': 'string'}}, 'required': ['key'], 'type': 'object'}, description="""Get a component by key"""), # smithery-ai/mcp-figma/get_component
    Tool(name="""mcp-figma_get_team_component_sets""", inputSchema={'properties': {'cursor': {'description': 'Optional. Cursor for pagination', 'type': 'string'}, 'page_size': {'description': 'Optional. Number of items per page', 'type': 'number'}, 'team_id': {'description': 'The team ID', 'type': 'string'}}, 'required': ['team_id'], 'type': 'object'}, description="""Get component sets for a team"""), # smithery-ai/mcp-figma/get_team_component_sets
    Tool(name="""mcp-figma_get_team_styles""", inputSchema={'properties': {'cursor': {'description': 'Optional. Cursor for pagination', 'type': 'string'}, 'page_size': {'description': 'Optional. Number of items per page', 'type': 'number'}, 'team_id': {'description': 'The team ID', 'type': 'string'}}, 'required': ['team_id'], 'type': 'object'}, description="""Get styles for a team"""), # smithery-ai/mcp-figma/get_team_styles
    Tool(name="""mcp-figma_get_file_styles""", inputSchema={'properties': {'fileKey': {'description': 'The key of the file to get styles from', 'type': 'string'}}, 'required': ['fileKey'], 'type': 'object'}, description="""Get styles from a file"""), # smithery-ai/mcp-figma/get_file_styles
    Tool(name="""mcp-figma_get_style""", inputSchema={'properties': {'key': {'description': 'The style key', 'type': 'string'}}, 'required': ['key'], 'type': 'object'}, description="""Get a style by key"""), # smithery-ai/mcp-figma/get_style
    Tool(name="""MCP ABAP ADT_GetStructure""", inputSchema={'properties': {'structure_name': {'description': 'Name of the ABAP Structure', 'type': 'string'}}, 'required': ['structure_name'], 'type': 'object'}, description="""Retrieve ABAP Structure"""), # mario-andreschak/MCP ABAP ADT/GetStructure
    Tool(name="""MCP ABAP ADT_GetTable""", inputSchema={'properties': {'table_name': {'description': 'Name of the ABAP table', 'type': 'string'}}, 'required': ['table_name'], 'type': 'object'}, description="""Retrieve ABAP table structure"""), # mario-andreschak/MCP ABAP ADT/GetTable
    Tool(name="""MCP ABAP ADT_GetTableContents""", inputSchema={'properties': {'max_rows': {'default': 100, 'description': 'Maximum number of rows to retrieve', 'type': 'number'}, 'table_name': {'description': 'Name of the ABAP table', 'type': 'string'}}, 'required': ['table_name'], 'type': 'object'}, description="""Retrieve contents of an ABAP table"""), # mario-andreschak/MCP ABAP ADT/GetTableContents
    Tool(name="""MCP ABAP ADT_GetPackage""", inputSchema={'properties': {'package_name': {'description': 'Name of the ABAP package', 'type': 'string'}}, 'required': ['package_name'], 'type': 'object'}, description="""Retrieve ABAP package details"""), # mario-andreschak/MCP ABAP ADT/GetPackage
    Tool(name="""MCP ABAP ADT_GetTypeInfo""", inputSchema={'properties': {'type_name': {'description': 'Name of the ABAP type', 'type': 'string'}}, 'required': ['type_name'], 'type': 'object'}, description="""Retrieve ABAP type information"""), # mario-andreschak/MCP ABAP ADT/GetTypeInfo
    Tool(name="""MCP ABAP ADT_GetInclude""", inputSchema={'properties': {'include_name': {'description': 'Name of the ABAP Include', 'type': 'string'}}, 'required': ['include_name'], 'type': 'object'}, description="""Retrieve ABAP Include Source Code"""), # mario-andreschak/MCP ABAP ADT/GetInclude
    Tool(name="""MCP ABAP ADT_SearchObject""", inputSchema={'properties': {'maxResults': {'default': 100, 'description': 'Maximum number of results to return', 'type': 'number'}, 'query': {'description': 'Search query string', 'type': 'string'}}, 'required': ['query'], 'type': 'object'}, description="""Search for ABAP objects using quick search"""), # mario-andreschak/MCP ABAP ADT/SearchObject
    Tool(name="""MCP ABAP ADT_GetTransaction""", inputSchema={'properties': {'transaction_name': {'description': 'Name of the ABAP transaction', 'type': 'string'}}, 'required': ['transaction_name'], 'type': 'object'}, description="""Retrieve ABAP transaction details"""), # mario-andreschak/MCP ABAP ADT/GetTransaction
    Tool(name="""MCP ABAP ADT_GetInterface""", inputSchema={'properties': {'interface_name': {'description': 'Name of the ABAP interface', 'type': 'string'}}, 'required': ['interface_name'], 'type': 'object'}, description="""Retrieve ABAP interface source code"""), # mario-andreschak/MCP ABAP ADT/GetInterface
    Tool(name="""MCP ABAP ADT_GetProgram""", inputSchema={'properties': {'program_name': {'description': 'Name of the ABAP program', 'type': 'string'}}, 'required': ['program_name'], 'type': 'object'}, description="""Retrieve ABAP program source code"""), # mario-andreschak/MCP ABAP ADT/GetProgram
    Tool(name="""MCP ABAP ADT_GetClass""", inputSchema={'properties': {'class_name': {'description': 'Name of the ABAP class', 'type': 'string'}}, 'required': ['class_name'], 'type': 'object'}, description="""Retrieve ABAP class source code"""), # mario-andreschak/MCP ABAP ADT/GetClass
    Tool(name="""MCP ABAP ADT_GetFunctionGroup""", inputSchema={'properties': {'function_group': {'description': 'Name of the function module', 'type': 'string'}}, 'required': ['function_group'], 'type': 'object'}, description="""Retrieve ABAP Function Group source code"""), # mario-andreschak/MCP ABAP ADT/GetFunctionGroup
    Tool(name="""MCP ABAP ADT_GetFunction""", inputSchema={'properties': {'function_group': {'description': 'Name of the function group', 'type': 'string'}, 'function_name': {'description': 'Name of the function module', 'type': 'string'}}, 'required': ['function_name', 'function_group'], 'type': 'object'}, description="""Retrieve ABAP Function Module source code"""), # mario-andreschak/MCP ABAP ADT/GetFunction
    Tool(name="""Binance MCP Server_get_futures_open_interest""", inputSchema={'properties': {'symbol': {'description': 'Trading pair symbol (e.g., BTCUSDT)', 'type': 'string'}}, 'required': ['symbol'], 'type': 'object'}, description="""Get current open interest for a futures trading pair"""), # qeinfinity/Binance MCP Server/get_futures_open_interest
    Tool(name="""Binance MCP Server_get_futures_funding_rate""", inputSchema={'properties': {'symbol': {'description': 'Trading pair symbol (e.g., BTCUSDT)', 'type': 'string'}}, 'required': ['symbol'], 'type': 'object'}, description="""Get current funding rate for a futures trading pair"""), # qeinfinity/Binance MCP Server/get_futures_funding_rate
    Tool(name="""Binance MCP Server_subscribe_market_data""", inputSchema={'properties': {'streams': {'description': 'List of data streams to subscribe to', 'items': {'enum': ['ticker', 'trade', 'kline', 'depth', 'forceOrder', 'markPrice', 'openInterest'], 'type': 'string'}, 'type': 'array'}, 'symbol': {'description': 'Trading pair symbol (e.g., BTCUSDT)', 'type': 'string'}, 'type': {'description': 'Market type', 'enum': ['spot', 'futures'], 'type': 'string'}}, 'required': ['symbol', 'type', 'streams'], 'type': 'object'}, description="""Subscribe to real-time market data updates"""), # qeinfinity/Binance MCP Server/subscribe_market_data
    Tool(name="""Binance MCP Server_get_klines""", inputSchema={'properties': {'interval': {'description': 'Kline/candlestick chart interval', 'enum': ['1m', '5m', '15m', '30m', '1h', '4h', '1d', '1w', '1M'], 'type': 'string'}, 'limit': {'description': 'Number of klines to retrieve (default 500, max 1000)', 'type': 'number'}, 'symbol': {'description': 'Trading pair symbol (e.g., BTCUSDT)', 'type': 'string'}, 'type': {'description': 'Market type', 'enum': ['spot', 'futures'], 'type': 'string'}}, 'required': ['symbol', 'type', 'interval'], 'type': 'object'}, description="""Get historical candlestick data"""), # qeinfinity/Binance MCP Server/get_klines
    Tool(name="""Binance MCP Server_get_market_data""", inputSchema={'properties': {'symbol': {'description': 'Trading pair symbol (e.g., BTCUSDT)', 'type': 'string'}, 'type': {'description': 'Market type', 'enum': ['spot', 'futures'], 'type': 'string'}}, 'required': ['symbol', 'type'], 'type': 'object'}, description="""Get comprehensive market data for a trading pair"""), # qeinfinity/Binance MCP Server/get_market_data
    Tool(name="""Binance MCP Server_test_futures_endpoints""", inputSchema={'properties': {'symbol': {'description': 'Trading pair symbol (e.g., BTCUSDT)', 'type': 'string'}}, 'required': ['symbol'], 'type': 'object'}, description="""Test individual futures endpoints"""), # qeinfinity/Binance MCP Server/test_futures_endpoints
    Tool(name="""Memory Custom_set_memory_file_path""", inputSchema={'properties': {'memoryFilePath': {'description': 'Absolute path to the memory file', 'type': 'string'}}, 'required': ['memoryFilePath'], 'type': 'object'}, description="""Set the memory file path"""), # BRO3886/Memory Custom/set_memory_file_path
    Tool(name="""Memory Custom_get_current_time""", inputSchema={'properties': {}, 'type': 'object'}, description="""Get the current time"""), # BRO3886/Memory Custom/get_current_time
    Tool(name="""Memory Custom_create_entities""", inputSchema={'properties': {'entities': {'items': {'properties': {'entityType': {'description': 'The type of the entity', 'type': 'string'}, 'name': {'description': 'The name of the entity', 'type': 'string'}, 'observations': {'description': 'An array of observation contents associated with the entity', 'items': {'type': 'string'}, 'type': 'array'}}, 'required': ['name', 'entityType', 'observations'], 'type': 'object'}, 'type': 'array'}}, 'required': ['entities'], 'type': 'object'}, description="""Create multiple new entities in the knowledge graph"""), # BRO3886/Memory Custom/create_entities
    Tool(name="""Memory Custom_create_relations""", inputSchema={'properties': {'relations': {'items': {'properties': {'from': {'description': 'The name of the entity where the relation starts', 'type': 'string'}, 'relationType': {'description': 'The type of the relation', 'type': 'string'}, 'to': {'description': 'The name of the entity where the relation ends', 'type': 'string'}}, 'required': ['from', 'to', 'relationType'], 'type': 'object'}, 'type': 'array'}}, 'required': ['relations'], 'type': 'object'}, description="""Create multiple new relations between entities in the knowledge graph. Relations should be in active voice"""), # BRO3886/Memory Custom/create_relations
    Tool(name="""Memory Custom_add_observations""", inputSchema={'properties': {'observations': {'items': {'properties': {'contents': {'description': 'An array of observation contents to add', 'items': {'type': 'string'}, 'type': 'array'}, 'entityName': {'description': 'The name of the entity to add the observations to', 'type': 'string'}}, 'required': ['entityName', 'contents'], 'type': 'object'}, 'type': 'array'}}, 'required': ['observations'], 'type': 'object'}, description="""Add new observations to existing entities in the knowledge graph"""), # BRO3886/Memory Custom/add_observations
    Tool(name="""Memory Custom_delete_entities""", inputSchema={'properties': {'entityNames': {'description': 'An array of entity names to delete', 'items': {'type': 'string'}, 'type': 'array'}}, 'required': ['entityNames'], 'type': 'object'}, description="""Delete multiple entities and their associated relations from the knowledge graph"""), # BRO3886/Memory Custom/delete_entities
    Tool(name="""Memory Custom_delete_observations""", inputSchema={'properties': {'deletions': {'items': {'properties': {'entityName': {'description': 'The name of the entity containing the observations', 'type': 'string'}, 'observations': {'description': 'An array of observations to delete', 'items': {'type': 'string'}, 'type': 'array'}}, 'required': ['entityName', 'observations'], 'type': 'object'}, 'type': 'array'}}, 'required': ['deletions'], 'type': 'object'}, description="""Delete specific observations from entities in the knowledge graph"""), # BRO3886/Memory Custom/delete_observations
    Tool(name="""Memory Custom_delete_relations""", inputSchema={'properties': {'relations': {'description': 'An array of relations to delete', 'items': {'properties': {'from': {'description': 'The name of the entity where the relation starts', 'type': 'string'}, 'relationType': {'description': 'The type of the relation', 'type': 'string'}, 'to': {'description': 'The name of the entity where the relation ends', 'type': 'string'}}, 'required': ['from', 'to', 'relationType'], 'type': 'object'}, 'type': 'array'}}, 'required': ['relations'], 'type': 'object'}, description="""Delete multiple relations from the knowledge graph"""), # BRO3886/Memory Custom/delete_relations
    Tool(name="""Memory Custom_read_graph""", inputSchema={'properties': {}, 'type': 'object'}, description="""Read the entire knowledge graph"""), # BRO3886/Memory Custom/read_graph
    Tool(name="""Memory Custom_search_nodes""", inputSchema={'properties': {'query': {'description': 'The search query to match against entity names, types, and observation content', 'type': 'string'}}, 'required': ['query'], 'type': 'object'}, description="""Search for nodes in the knowledge graph based on a query"""), # BRO3886/Memory Custom/search_nodes
    Tool(name="""Memory Custom_open_nodes""", inputSchema={'properties': {'names': {'description': 'An array of entity names to retrieve', 'items': {'type': 'string'}, 'type': 'array'}}, 'required': ['names'], 'type': 'object'}, description="""Open specific nodes in the knowledge graph by their names"""), # BRO3886/Memory Custom/open_nodes
    Tool(name="""Alchemy MCP Plugin_get_tokens_for_owner""", inputSchema={'properties': {'contractAddresses': {'description': 'List of contract addresses to filter by', 'items': {'type': 'string'}, 'type': 'array'}, 'owner': {'description': 'The wallet address to get tokens for', 'type': 'string'}, 'pageKey': {'description': 'Key for pagination', 'type': 'string'}, 'pageSize': {'description': 'Number of results per page', 'type': 'number'}}, 'required': ['owner'], 'type': 'object'}, description="""Get tokens owned by an address"""), # itsanishjain/Alchemy MCP Plugin/get_tokens_for_owner
    Tool(name="""Alchemy MCP Plugin_get_nfts_for_owner""", inputSchema={'properties': {'contractAddresses': {'description': 'List of contract addresses to filter by', 'items': {'type': 'string'}, 'type': 'array'}, 'owner': {'description': 'The wallet address to get NFTs for', 'type': 'string'}, 'pageKey': {'description': 'Key for pagination', 'type': 'string'}, 'pageSize': {'description': 'Number of NFTs to return in one page (max: 100)', 'type': 'number'}, 'withMetadata': {'description': 'Whether to include NFT metadata', 'type': 'boolean'}}, 'required': ['owner'], 'type': 'object'}, description="""Get NFTs owned by a specific wallet address"""), # itsanishjain/Alchemy MCP Plugin/get_nfts_for_owner
    Tool(name="""Alchemy MCP Plugin_get_nft_metadata""", inputSchema={'properties': {'contractAddress': {'description': 'The contract address of the NFT', 'type': 'string'}, 'refreshCache': {'description': 'Whether to refresh the cache', 'type': 'boolean'}, 'tokenId': {'description': 'The token ID of the NFT', 'type': 'string'}, 'tokenType': {'description': 'The token type (ERC721 or ERC1155)', 'type': 'string'}}, 'required': ['contractAddress', 'tokenId'], 'type': 'object'}, description="""Get metadata for a specific NFT"""), # itsanishjain/Alchemy MCP Plugin/get_nft_metadata
    Tool(name="""Alchemy MCP Plugin_get_nft_sales""", inputSchema={'properties': {'contractAddress': {'description': 'The contract address of the NFT collection', 'type': 'string'}, 'fromBlock': {'description': 'Starting block number for the query', 'type': 'number'}, 'marketplace': {'description': "Filter by marketplace (e.g., 'seaport', 'wyvern')", 'type': 'string'}, 'order': {'description': 'Order of results (ascending or descending)', 'enum': ['asc', 'desc'], 'type': 'string'}, 'pageKey': {'description': 'Key for pagination', 'type': 'string'}, 'pageSize': {'description': 'Number of results per page', 'type': 'number'}, 'toBlock': {'description': 'Ending block number for the query', 'type': 'number'}, 'tokenId': {'description': 'The token ID of the specific NFT', 'type': 'string'}}, 'type': 'object'}, description="""Get NFT sales data for a contract or specific NFT"""), # itsanishjain/Alchemy MCP Plugin/get_nft_sales
    Tool(name="""Alchemy MCP Plugin_get_contracts_for_owner""", inputSchema={'properties': {'excludeFilters': {'description': 'Filters to exclude from the response', 'items': {'enum': ['spam', 'airdrops'], 'type': 'string'}, 'type': 'array'}, 'includeFilters': {'description': 'Filters to include in the response', 'items': {'enum': ['spam', 'airdrops'], 'type': 'string'}, 'type': 'array'}, 'owner': {'description': 'The wallet address to get contracts for', 'type': 'string'}, 'pageKey': {'description': 'Key for pagination', 'type': 'string'}, 'pageSize': {'description': 'Number of results per page', 'type': 'number'}}, 'required': ['owner'], 'type': 'object'}, description="""Get NFT contracts owned by an address"""), # itsanishjain/Alchemy MCP Plugin/get_contracts_for_owner
    Tool(name="""Alchemy MCP Plugin_get_floor_price""", inputSchema={'properties': {'contractAddress': {'description': 'The contract address of the NFT collection', 'type': 'string'}}, 'required': ['contractAddress'], 'type': 'object'}, description="""Get floor price for an NFT collection"""), # itsanishjain/Alchemy MCP Plugin/get_floor_price
    Tool(name="""Alchemy MCP Plugin_get_owners_for_nft""", inputSchema={'properties': {'contractAddress': {'description': 'The contract address of the NFT', 'type': 'string'}, 'pageKey': {'description': 'Key for pagination', 'type': 'string'}, 'pageSize': {'description': 'Number of results per page', 'type': 'number'}, 'tokenId': {'description': 'The token ID of the NFT', 'type': 'string'}}, 'required': ['contractAddress', 'tokenId'], 'type': 'object'}, description="""Get owners of a specific NFT"""), # itsanishjain/Alchemy MCP Plugin/get_owners_for_nft
    Tool(name="""Alchemy MCP Plugin_get_nfts_for_contract""", inputSchema={'properties': {'contractAddress': {'description': 'The contract address of the NFT collection', 'type': 'string'}, 'pageKey': {'description': 'Key for pagination', 'type': 'string'}, 'pageSize': {'description': 'Number of results per page', 'type': 'number'}, 'tokenUriTimeoutInMs': {'description': 'Timeout for token URI resolution in milliseconds', 'type': 'number'}, 'withMetadata': {'description': 'Whether to include metadata', 'type': 'boolean'}}, 'required': ['contractAddress'], 'type': 'object'}, description="""Get all NFTs for a contract"""), # itsanishjain/Alchemy MCP Plugin/get_nfts_for_contract
    Tool(name="""Alchemy MCP Plugin_get_transfers_for_contract""", inputSchema={'properties': {'contractAddress': {'description': 'The contract address of the NFT collection', 'type': 'string'}, 'fromBlock': {'description': 'Starting block number for the query', 'type': 'number'}, 'order': {'description': 'Order of results (ascending or descending)', 'enum': ['asc', 'desc'], 'type': 'string'}, 'pageKey': {'description': 'Key for pagination', 'type': 'string'}, 'toBlock': {'description': 'Ending block number for the query', 'type': 'number'}, 'tokenType': {'description': 'Type of token (ERC721 or ERC1155)', 'enum': ['ERC721', 'ERC1155'], 'type': 'string'}}, 'required': ['contractAddress'], 'type': 'object'}, description="""Get transfers for an NFT contract"""), # itsanishjain/Alchemy MCP Plugin/get_transfers_for_contract
    Tool(name="""Alchemy MCP Plugin_get_transfers_for_owner""", inputSchema={'properties': {'contractAddresses': {'description': 'List of contract addresses to filter by', 'items': {'type': 'string'}, 'type': 'array'}, 'fromBlock': {'description': 'Starting block number for the query', 'type': 'number'}, 'order': {'description': 'Order of results (ascending or descending)', 'enum': ['asc', 'desc'], 'type': 'string'}, 'owner': {'description': 'The wallet address to get transfers for', 'type': 'string'}, 'pageKey': {'description': 'Key for pagination', 'type': 'string'}, 'toBlock': {'description': 'Ending block number for the query', 'type': 'number'}, 'tokenType': {'description': 'Type of token (ERC721 or ERC1155)', 'enum': ['ERC721', 'ERC1155'], 'type': 'string'}}, 'required': ['owner'], 'type': 'object'}, description="""Get NFT transfers for an owner"""), # itsanishjain/Alchemy MCP Plugin/get_transfers_for_owner
    Tool(name="""Alchemy MCP Plugin_get_token_balances""", inputSchema={'properties': {'address': {'description': 'The wallet address to get token balances for', 'type': 'string'}, 'tokenAddresses': {'description': 'List of token addresses to filter by', 'items': {'type': 'string'}, 'type': 'array'}}, 'required': ['address'], 'type': 'object'}, description="""Get token balances for a specific address"""), # itsanishjain/Alchemy MCP Plugin/get_token_balances
    Tool(name="""Alchemy MCP Plugin_get_token_metadata""", inputSchema={'properties': {'contractAddress': {'description': 'The contract address of the token', 'type': 'string'}}, 'required': ['contractAddress'], 'type': 'object'}, description="""Get metadata for a token contract"""), # itsanishjain/Alchemy MCP Plugin/get_token_metadata
    Tool(name="""Alchemy MCP Plugin_get_asset_transfers""", inputSchema={'properties': {'category': {'description': 'The category of transfers to include (e.g., "external", "internal", "erc20", "erc721", "erc1155", "specialnft")', 'items': {'enum': ['external', 'internal', 'erc20', 'erc721', 'erc1155', 'specialnft'], 'type': 'string'}, 'type': 'array'}, 'contractAddresses': {'description': 'List of contract addresses to filter by', 'items': {'type': 'string'}, 'type': 'array'}, 'excludeZeroValue': {'description': 'Whether to exclude zero value transfers', 'type': 'boolean'}, 'fromAddress': {'description': 'The sender address', 'type': 'string'}, 'fromBlock': {'description': 'The starting block (hex string or "latest")', 'type': 'string'}, 'maxCount': {'description': 'The maximum number of results to return', 'type': 'number'}, 'pageKey': {'description': 'Key for pagination', 'type': 'string'}, 'toAddress': {'description': 'The recipient address', 'type': 'string'}, 'toBlock': {'description': 'The ending block (hex string or "latest")', 'type': 'string'}, 'withMetadata': {'description': 'Whether to include metadata in the response', 'type': 'boolean'}}, 'type': 'object'}, description="""Get asset transfers for a specific address or contract"""), # itsanishjain/Alchemy MCP Plugin/get_asset_transfers
    Tool(name="""Alchemy MCP Plugin_get_transaction_receipts""", inputSchema={'oneOf': [{'required': ['blockHash']}, {'required': ['blockNumber']}], 'properties': {'blockHash': {'description': 'The hash of the block', 'type': 'string'}, 'blockNumber': {'description': 'The number of the block', 'type': 'string'}}, 'type': 'object'}, description="""Get transaction receipts for a block"""), # itsanishjain/Alchemy MCP Plugin/get_transaction_receipts
    Tool(name="""Alchemy MCP Plugin_get_block_number""", inputSchema={'properties': {}, 'type': 'object'}, description="""Get the latest block number"""), # itsanishjain/Alchemy MCP Plugin/get_block_number
    Tool(name="""Alchemy MCP Plugin_get_block_with_transactions""", inputSchema={'oneOf': [{'required': ['blockNumber']}, {'required': ['blockHash']}], 'properties': {'blockHash': {'description': 'The block hash', 'type': 'string'}, 'blockNumber': {'description': 'The block number', 'type': 'string'}}, 'type': 'object'}, description="""Get a block with its transactions"""), # itsanishjain/Alchemy MCP Plugin/get_block_with_transactions
    Tool(name="""Alchemy MCP Plugin_get_transaction""", inputSchema={'properties': {'hash': {'description': 'The transaction hash', 'type': 'string'}}, 'required': ['hash'], 'type': 'object'}, description="""Get transaction details by hash"""), # itsanishjain/Alchemy MCP Plugin/get_transaction
    Tool(name="""Alchemy MCP Plugin_resolve_ens""", inputSchema={'properties': {'blockTag': {'description': 'The block tag to use for resolution', 'type': 'string'}, 'name': {'description': 'The ENS name to resolve', 'type': 'string'}}, 'required': ['name'], 'type': 'object'}, description="""Resolve an ENS name to an address"""), # itsanishjain/Alchemy MCP Plugin/resolve_ens
    Tool(name="""Alchemy MCP Plugin_lookup_address""", inputSchema={'properties': {'address': {'description': 'The address to lookup', 'type': 'string'}}, 'required': ['address'], 'type': 'object'}, description="""Lookup the ENS name for an address"""), # itsanishjain/Alchemy MCP Plugin/lookup_address
    Tool(name="""Alchemy MCP Plugin_estimate_gas_price""", inputSchema={'properties': {'maxFeePerGas': {'description': 'Whether to include maxFeePerGas and maxPriorityFeePerGas', 'type': 'boolean'}}, 'type': 'object'}, description="""Estimate current gas price"""), # itsanishjain/Alchemy MCP Plugin/estimate_gas_price
    Tool(name="""Alchemy MCP Plugin_subscribe""", inputSchema={'properties': {'address': {'description': 'The address to filter by (for logs)', 'type': 'string'}, 'topics': {'description': 'The topics to filter by (for logs)', 'items': {'type': 'string'}, 'type': 'array'}, 'type': {'description': 'The type of subscription', 'enum': ['newHeads', 'logs', 'pendingTransactions', 'mined'], 'type': 'string'}}, 'required': ['type'], 'type': 'object'}, description="""Subscribe to blockchain events"""), # itsanishjain/Alchemy MCP Plugin/subscribe
    Tool(name="""Alchemy MCP Plugin_unsubscribe""", inputSchema={'properties': {'subscriptionId': {'description': 'The ID of the subscription to cancel', 'type': 'string'}}, 'required': ['subscriptionId'], 'type': 'object'}, description="""Unsubscribe from blockchain events"""), # itsanishjain/Alchemy MCP Plugin/unsubscribe
    Tool(name="""MCP Snapshot Server_getSpaces""", inputSchema={'properties': {'limit': {'description': 'Number of spaces to fetch', 'type': 'number'}, 'skip': {'description': 'Number of spaces to skip', 'type': 'number'}}, 'type': 'object'}, description="""Get list of Snapshot spaces"""), # crazyrabbitLTC/MCP Snapshot Server/getSpaces
    Tool(name="""MCP Snapshot Server_getProposals""", inputSchema={'properties': {'limit': {'description': 'Number of proposals to fetch', 'type': 'number'}, 'spaceId': {'description': 'ID of the space', 'type': 'string'}, 'state': {'description': 'Filter by proposal state (active, closed, pending, all)', 'type': 'string'}}, 'required': ['spaceId'], 'type': 'object'}, description="""Get proposals for a Snapshot space"""), # crazyrabbitLTC/MCP Snapshot Server/getProposals
    Tool(name="""MCP Snapshot Server_getProposal""", inputSchema={'properties': {'proposalId': {'description': 'ID of the proposal', 'type': 'string'}}, 'required': ['proposalId'], 'type': 'object'}, description="""Get details of a specific proposal"""), # crazyrabbitLTC/MCP Snapshot Server/getProposal
    Tool(name="""MCP Snapshot Server_getUser""", inputSchema={'properties': {'address': {'description': 'Ethereum address of the user', 'type': 'string'}}, 'required': ['address'], 'type': 'object'}, description="""Get information about a Snapshot user"""), # crazyrabbitLTC/MCP Snapshot Server/getUser
    Tool(name="""MCP Snapshot Server_getRankedSpaces""", inputSchema={'properties': {'category': {'description': "Category to filter by (default: 'all')", 'type': 'string'}, 'first': {'description': 'Number of spaces to fetch (default: 18)', 'type': 'number'}, 'search': {'description': 'Search term to filter spaces', 'type': 'string'}, 'skip': {'description': 'Number of spaces to skip (default: 0)', 'type': 'number'}}, 'type': 'object'}, description="""Get ranked list of Snapshot spaces with detailed information"""), # crazyrabbitLTC/MCP Snapshot Server/getRankedSpaces
    Tool(name="""Surf MCP Server_get_tides""", inputSchema={'properties': {'date': {'title': 'Date', 'type': 'string'}, 'latitude': {'title': 'Latitude', 'type': 'number'}, 'longitude': {'title': 'Longitude', 'type': 'number'}}, 'required': ['latitude', 'longitude', 'date'], 'title': 'get_tidesArguments', 'type': 'object'}, description="""Get tide information for a specific location and date.\n    \n    Args:\n        latitude: Float value representing the location's latitude\n        longitude: Float value representing the location's longitude\n        date: Date string in YYYY-MM-DD format\n        \n    Returns:\n        Formatted string containing tide information and station details\n    """), # ravinahp/Surf MCP Server/get_tides
    Tool(name="""SMTP MCP Server_send-email""", inputSchema={'properties': {'bcc': {'description': 'Array of BCC recipients', 'items': {'properties': {'email': {'type': 'string'}, 'name': {'type': 'string'}}, 'required': ['email'], 'type': 'object'}, 'type': 'array'}, 'body': {'description': 'Email body (HTML supported)', 'type': 'string'}, 'cc': {'description': 'Array of CC recipients', 'items': {'properties': {'email': {'type': 'string'}, 'name': {'type': 'string'}}, 'required': ['email'], 'type': 'object'}, 'type': 'array'}, 'from': {'description': 'Sender information. If not provided, the default SMTP user will be used.', 'properties': {'email': {'type': 'string'}, 'name': {'type': 'string'}}, 'type': 'object'}, 'smtpConfigId': {'description': 'ID of the SMTP configuration to use. If not provided, the default configuration will be used.', 'type': 'string'}, 'subject': {'description': 'Email subject', 'type': 'string'}, 'templateData': {'description': 'Data to be used for template variable substitution', 'type': 'object'}, 'templateId': {'description': 'ID of the email template to use. If not provided, the email will use the subject and body provided.', 'type': 'string'}, 'to': {'description': 'Array of recipients', 'items': {'properties': {'email': {'type': 'string'}, 'name': {'type': 'string'}}, 'required': ['email'], 'type': 'object'}, 'type': 'array'}}, 'required': ['to', 'subject', 'body'], 'type': 'object'}, description="""Send an email to one or more recipients"""), # samihalawa/SMTP MCP Server/send-email
    Tool(name="""SMTP MCP Server_send-bulk-emails""", inputSchema={'properties': {'batchSize': {'description': 'Number of emails to send in each batch (default: 10)', 'type': 'number'}, 'bcc': {'description': 'Array of BCC recipients', 'items': {'properties': {'email': {'type': 'string'}, 'name': {'type': 'string'}}, 'required': ['email'], 'type': 'object'}, 'type': 'array'}, 'body': {'description': 'Email body (HTML supported)', 'type': 'string'}, 'cc': {'description': 'Array of CC recipients', 'items': {'properties': {'email': {'type': 'string'}, 'name': {'type': 'string'}}, 'required': ['email'], 'type': 'object'}, 'type': 'array'}, 'delayBetweenBatches': {'description': 'Delay between batches in milliseconds (default: 1000)', 'type': 'number'}, 'from': {'description': 'Sender information. If not provided, the default SMTP user will be used.', 'properties': {'email': {'type': 'string'}, 'name': {'type': 'string'}}, 'type': 'object'}, 'recipients': {'description': 'Array of recipients', 'items': {'properties': {'email': {'type': 'string'}, 'name': {'type': 'string'}}, 'required': ['email'], 'type': 'object'}, 'type': 'array'}, 'smtpConfigId': {'description': 'ID of the SMTP configuration to use. If not provided, the default configuration will be used.', 'type': 'string'}, 'subject': {'description': 'Email subject', 'type': 'string'}, 'templateData': {'description': 'Data to be used for template variable substitution', 'type': 'object'}, 'templateId': {'description': 'ID of the email template to use. If not provided, the email will use the subject and body provided.', 'type': 'string'}}, 'required': ['recipients', 'subject', 'body'], 'type': 'object'}, description="""Send emails in bulk to multiple recipients with rate limiting"""), # samihalawa/SMTP MCP Server/send-bulk-emails
    Tool(name="""SMTP MCP Server_get-smtp-configs""", inputSchema={'properties': {}, 'required': [], 'type': 'object'}, description="""Get all SMTP configurations"""), # samihalawa/SMTP MCP Server/get-smtp-configs
    Tool(name="""SMTP MCP Server_add-smtp-config""", inputSchema={'properties': {'host': {'description': 'SMTP host', 'type': 'string'}, 'isDefault': {'description': 'Whether this configuration should be the default', 'type': 'boolean'}, 'name': {'description': 'Name of the SMTP configuration', 'type': 'string'}, 'pass': {'description': 'SMTP password', 'type': 'string'}, 'port': {'description': 'SMTP port', 'type': 'number'}, 'secure': {'description': 'Whether to use secure connection (SSL/TLS)', 'type': 'boolean'}, 'user': {'description': 'SMTP username', 'type': 'string'}}, 'required': ['name', 'host', 'port', 'user', 'pass'], 'type': 'object'}, description="""Add a new SMTP configuration"""), # samihalawa/SMTP MCP Server/add-smtp-config
    Tool(name="""SMTP MCP Server_update-smtp-config""", inputSchema={'properties': {'host': {'description': 'SMTP host', 'type': 'string'}, 'id': {'description': 'ID of the SMTP configuration to update', 'type': 'string'}, 'isDefault': {'description': 'Whether this configuration should be the default', 'type': 'boolean'}, 'name': {'description': 'Name of the SMTP configuration', 'type': 'string'}, 'pass': {'description': 'SMTP password', 'type': 'string'}, 'port': {'description': 'SMTP port', 'type': 'number'}, 'secure': {'description': 'Whether to use secure connection (SSL/TLS)', 'type': 'boolean'}, 'user': {'description': 'SMTP username', 'type': 'string'}}, 'required': ['id'], 'type': 'object'}, description="""Update an existing SMTP configuration"""), # samihalawa/SMTP MCP Server/update-smtp-config
    Tool(name="""SMTP MCP Server_delete-smtp-config""", inputSchema={'properties': {'id': {'description': 'ID of the SMTP configuration to delete', 'type': 'string'}}, 'required': ['id'], 'type': 'object'}, description="""Delete an SMTP configuration"""), # samihalawa/SMTP MCP Server/delete-smtp-config
    Tool(name="""SMTP MCP Server_get-email-templates""", inputSchema={'properties': {}, 'required': [], 'type': 'object'}, description="""Get all email templates"""), # samihalawa/SMTP MCP Server/get-email-templates
    Tool(name="""SMTP MCP Server_add-email-template""", inputSchema={'properties': {'body': {'description': 'Email body template', 'type': 'string'}, 'isDefault': {'description': 'Whether this template should be the default', 'type': 'boolean'}, 'name': {'description': 'Name of the template', 'type': 'string'}, 'subject': {'description': 'Email subject template', 'type': 'string'}}, 'required': ['name', 'subject', 'body'], 'type': 'object'}, description="""Add a new email template"""), # samihalawa/SMTP MCP Server/add-email-template
    Tool(name="""SMTP MCP Server_update-email-template""", inputSchema={'properties': {'body': {'description': 'Email body template', 'type': 'string'}, 'id': {'description': 'ID of the template to update', 'type': 'string'}, 'isDefault': {'description': 'Whether this template should be the default', 'type': 'boolean'}, 'name': {'description': 'Name of the template', 'type': 'string'}, 'subject': {'description': 'Email subject template', 'type': 'string'}}, 'required': ['id'], 'type': 'object'}, description="""Update an existing email template"""), # samihalawa/SMTP MCP Server/update-email-template
    Tool(name="""SMTP MCP Server_delete-email-template""", inputSchema={'properties': {'id': {'description': 'ID of the template to delete', 'type': 'string'}}, 'required': ['id'], 'type': 'object'}, description="""Delete an email template"""), # samihalawa/SMTP MCP Server/delete-email-template
    Tool(name="""SMTP MCP Server_get-email-logs""", inputSchema={'properties': {'filterBySuccess': {'description': 'Filter logs by success status (true = successful emails, false = failed emails)', 'type': 'boolean'}, 'limit': {'description': 'Maximum number of log entries to return (most recent first)', 'type': 'number'}}, 'type': 'object'}, description="""Get logs of all email sending activity"""), # samihalawa/SMTP MCP Server/get-email-logs
    Tool(name="""Google Jobs MCP Server_search_jobs""", inputSchema={'properties': {'employment_type': {'default': '', 'description': 'Job type (Optional)\nOptions:\n- "FULLTIME": Full-time\n- "PARTTIME": Part-time\n- "CONTRACTOR": Contractor\n- "INTERN": Internship\n- "TEMPORARY": Temporary', 'type': 'string'}, 'hl': {'default': 'en', 'description': 'Result language (Optional)\nOptions:\n- "en": English\n- "zh-CN": Chinese\n- "ja": Japanese\n- "ko": Korean', 'type': 'string'}, 'location': {'default': '', 'description': "Job location (Optional, e.g., 'New York', 'London', 'Tokyo')", 'type': 'string'}, 'page': {'default': 1, 'description': 'Page number (Optional, default: 1)\n- 10 results per page\n- Supports pagination', 'type': 'number'}, 'posted_age': {'default': '', 'description': 'Posting date filter (Optional)\nOptions:\n- "today": Posted today\n- "3days": Last 3 days\n- "week": Last week\n- "month": Last month', 'type': 'string'}, 'query': {'description': "Search keywords (Required, e.g., 'software engineer', 'data analyst', 'product manager')", 'type': 'string'}, 'radius': {'default': '', 'description': 'Search radius (Optional)\nFormat examples:\n- "10mi": Within 10 miles\n- "20mi": Within 20 miles\n- "50mi": Within 50 miles', 'type': 'string'}, 'salary': {'default': '', 'description': 'Salary range (Optional)\nFormat examples:\n- "$50K+": Above $50,000\n- "$100K+": Above $100,000\n- "$150K+": Above $150,000', 'type': 'string'}, 'sort_by': {'default': 'relevance', 'description': 'Sort order (Optional)\nOptions:\n- "date": Sort by date\n- "relevance": Sort by relevance\n- "salary": Sort by salary', 'type': 'string'}}, 'required': ['query'], 'type': 'object'}, description="""Google Jobs API search tool.\n\nSupported search parameters:\n1. Basic Search: Job title or keywords\n2. Location: City or region\n3. Time Filter: Recently posted jobs\n4. Job Type: Full-time, part-time, contract, internship\n5. Salary Range: Filter by compensation\n6. Geographic Range: Set search radius\n7. Language: Multi-language support\n\nAll parameters except 'query' are optional and can be freely combined."""), # ChanMeng666/Google Jobs MCP Server/search_jobs
    Tool(name="""MCP Prompts Server_add_prompt""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'prompt': {'additionalProperties': False, 'properties': {'category': {'type': 'string'}, 'content': {'type': 'string'}, 'description': {'type': 'string'}, 'isTemplate': {'default': False, 'type': 'boolean'}, 'name': {'type': 'string'}, 'tags': {'items': {'type': 'string'}, 'type': 'array'}, 'variables': {'items': {'type': 'string'}, 'type': 'array'}}, 'required': ['name', 'content'], 'type': 'object'}}, 'required': ['prompt'], 'type': 'object'}, description="""Add a new prompt"""), # sparesparrow/MCP Prompts Server/add_prompt
    Tool(name="""MCP Prompts Server_get_prompt""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'id': {'type': 'string'}}, 'required': ['id'], 'type': 'object'}, description="""Get a prompt by ID"""), # sparesparrow/MCP Prompts Server/get_prompt
    Tool(name="""MCP Prompts Server_update_prompt""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'id': {'type': 'string'}, 'prompt': {'additionalProperties': False, 'properties': {'category': {'type': 'string'}, 'content': {'type': 'string'}, 'description': {'type': 'string'}, 'isTemplate': {'type': 'boolean'}, 'name': {'type': 'string'}, 'tags': {'items': {'type': 'string'}, 'type': 'array'}, 'variables': {'items': {'type': 'string'}, 'type': 'array'}}, 'type': 'object'}}, 'required': ['id', 'prompt'], 'type': 'object'}, description="""Update an existing prompt"""), # sparesparrow/MCP Prompts Server/update_prompt
    Tool(name="""MCP Prompts Server_list_prompts""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'category': {'type': 'string'}, 'isTemplate': {'type': 'boolean'}, 'limit': {'exclusiveMinimum': 0, 'type': 'integer'}, 'offset': {'minimum': 0, 'type': 'integer'}, 'order': {'enum': ['asc', 'desc'], 'type': 'string'}, 'search': {'type': 'string'}, 'sort': {'type': 'string'}, 'tags': {'items': {'type': 'string'}, 'type': 'array'}}, 'type': 'object'}, description="""List all prompts"""), # sparesparrow/MCP Prompts Server/list_prompts
    Tool(name="""MCP Prompts Server_apply_template""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'id': {'type': 'string'}, 'variables': {'additionalProperties': {'type': ['string', 'number', 'boolean']}, 'type': 'object'}}, 'required': ['id', 'variables'], 'type': 'object'}, description="""Apply variables to a prompt template"""), # sparesparrow/MCP Prompts Server/apply_template
    Tool(name="""MCP Prompts Server_delete_prompt""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'id': {'type': 'string'}}, 'required': ['id'], 'type': 'object'}, description="""Delete a prompt"""), # sparesparrow/MCP Prompts Server/delete_prompt
    Tool(name="""Illumio MCP Server_add-note""", inputSchema={'properties': {'content': {'type': 'string'}, 'name': {'type': 'string'}}, 'required': ['name', 'content'], 'type': 'object'}, description="""Add a new note"""), # alexgoller/Illumio MCP Server/add-note
    Tool(name="""Illumio MCP Server_get-workloads""", inputSchema={'properties': {'name': {'type': 'string'}}, 'required': ['name'], 'type': 'object'}, description="""Get workloads from the PCE"""), # alexgoller/Illumio MCP Server/get-workloads
    Tool(name="""Illumio MCP Server_update-workload""", inputSchema={'properties': {'ip_addresses': {'items': {'type': 'string'}, 'type': 'array'}, 'labels': {'items': {'key': {'type': 'string'}, 'value': {'type': 'string'}}, 'type': 'array'}, 'name': {'type': 'string'}}, 'required': ['name', 'ip_addresses'], 'type': 'object'}, description="""Update a workload in the PCE"""), # alexgoller/Illumio MCP Server/update-workload
    Tool(name="""Illumio MCP Server_get-labels""", inputSchema={'properties': {'name': {'type': 'string'}}, 'required': [], 'type': 'object'}, description="""Get all labels from PCE"""), # alexgoller/Illumio MCP Server/get-labels
    Tool(name="""Illumio MCP Server_create-workload""", inputSchema={'properties': {'ip_addresses': {'items': {'type': 'string'}, 'type': 'array'}, 'labels': {'items': {'key': {'type': 'string'}, 'value': {'type': 'string'}}, 'type': 'array'}, 'name': {'type': 'string'}}, 'required': ['name', 'ip_addresses'], 'type': 'object'}, description="""Create a Illumio Core unmanaged workload in the PCE"""), # alexgoller/Illumio MCP Server/create-workload
    Tool(name="""Illumio MCP Server_create-label""", inputSchema={'properties': {'key': {'type': 'string'}, 'value': {'type': 'string'}}, 'required': ['key', 'value'], 'type': 'object'}, description="""Create a label of a specific type and the value in the PCE"""), # alexgoller/Illumio MCP Server/create-label
    Tool(name="""Illumio MCP Server_delete-label""", inputSchema={'properties': {'key': {'type': 'string'}, 'value': {'type': 'string'}}, 'required': ['key', 'value'], 'type': 'object'}, description="""Delete a label in the PCE"""), # alexgoller/Illumio MCP Server/delete-label
    Tool(name="""Illumio MCP Server_delete-workload""", inputSchema={'properties': {'name': {'type': 'string'}}, 'required': ['name'], 'type': 'object'}, description="""Delete a workload from the PCE"""), # alexgoller/Illumio MCP Server/delete-workload
    Tool(name="""Illumio MCP Server_get-iplists""", inputSchema={'properties': {'description': {'description': 'Filter by description (optional)', 'type': 'string'}, 'ip_ranges': {'description': 'Filter by IP ranges (optional)', 'items': {'type': 'string'}, 'type': 'array'}, 'name': {'description': 'Filter IP lists by name (optional)', 'type': 'string'}}, 'type': 'object'}, description="""Get IP lists from the PCE"""), # alexgoller/Illumio MCP Server/get-iplists
    Tool(name="""Illumio MCP Server_get-traffic-flows""", inputSchema={'properties': {'end_date': {'description': 'Ending datetime (YYYY-MM-DD or timestamp)', 'type': 'string'}, 'exclude_destinations': {'description': 'Destinations to exclude (label/IP list/workload HREFs, FQDNs, IPs)', 'items': {'type': 'string'}, 'type': 'array'}, 'exclude_services': {'items': {'properties': {'port': {'type': 'integer'}, 'proto': {'type': 'string'}}, 'type': 'object'}, 'type': 'array'}, 'exclude_sources': {'description': 'Sources to exclude (label/IP list/workload HREFs, FQDNs, IPs)', 'items': {'type': 'string'}, 'type': 'array'}, 'exclude_workloads_from_ip_list_query': {'type': 'boolean'}, 'include_destinations': {'description': 'Destinations to include (label/IP list/workload HREFs, FQDNs, IPs)', 'items': {'type': 'string'}, 'type': 'array'}, 'include_services': {'items': {'properties': {'port': {'type': 'integer'}, 'proto': {'type': 'string'}}, 'type': 'object'}, 'type': 'array'}, 'include_sources': {'description': 'Sources to include (label/IP list/workload HREFs, FQDNs, IPs)', 'items': {'type': 'string'}, 'type': 'array'}, 'max_results': {'type': 'integer'}, 'policy_decisions': {'items': {'enum': ['allowed', 'blocked', 'potentially_blocked', 'unknown'], 'type': 'string'}, 'type': 'array'}, 'query_name': {'type': 'string'}, 'start_date': {'description': 'Starting datetime (YYYY-MM-DD or timestamp)', 'type': 'string'}}, 'required': ['start_date', 'end_date'], 'type': 'object'}, description="""Get traffic flows from the PCE with comprehensive filtering options"""), # alexgoller/Illumio MCP Server/get-traffic-flows
    Tool(name="""Illumio MCP Server_get-traffic-flows-summary""", inputSchema={'properties': {'end_date': {'description': 'Ending datetime (YYYY-MM-DD or timestamp)', 'type': 'string'}, 'exclude_destinations': {'description': 'Destinations to exclude (label/IP list/workload HREFs, FQDNs, IPs). Best case these are hrefs like /orgs/1/labels/57 or similar. Other way is app=env as an example (label key and value)', 'items': {'type': 'string'}, 'type': 'array'}, 'exclude_services': {'items': {'properties': {'port': {'type': 'integer'}, 'proto': {'type': 'string'}}, 'type': 'object'}, 'type': 'array'}, 'exclude_sources': {'description': 'Sources to exclude (label/IP list/workload HREFs, FQDNs, IPs). Best case these are hrefs like /orgs/1/labels/57 or similar. Other way is app=env as an example (label key and value)', 'items': {'type': 'string'}, 'type': 'array'}, 'exclude_workloads_from_ip_list_query': {'type': 'boolean'}, 'include_destinations': {'description': 'Destinations to include (label/IP list/workload HREFs, FQDNs, IPs). Best case these are hrefs like /orgs/1/labels/57 or similar. Other way is app=env as an example (label key and value)', 'items': {'type': 'string'}, 'type': 'array'}, 'include_services': {'items': {'properties': {'port': {'type': 'integer'}, 'proto': {'type': 'string'}}, 'type': 'object'}, 'type': 'array'}, 'include_sources': {'description': 'Sources to include (label/IP list/workload HREFs, FQDNs, IPs). Best case these are hrefs like /orgs/1/labels/57 or similar. Other way is app=env as an example (label key and value)', 'items': {'type': 'string'}, 'type': 'array'}, 'max_results': {'type': 'integer'}, 'policy_decisions': {'items': {'enum': ['allowed', 'potentially_blocked', 'blocked', 'unknown'], 'type': 'string'}, 'type': 'array'}, 'query_name': {'type': 'string'}, 'start_date': {'description': 'Starting datetime (YYYY-MM-DD or timestamp)', 'type': 'string'}}, 'required': ['start_date', 'end_date'], 'type': 'object'}, description="""Get traffic flows from the PCE in a summarized text format, this is a text format that is not a dataframe, it also is not json, the form is: 'From <source> to <destination> on <port> <proto>: <number of connections>'"""), # alexgoller/Illumio MCP Server/get-traffic-flows-summary
    Tool(name="""Illumio MCP Server_check-pce-connection""", inputSchema={'properties': {}, 'type': 'object'}, description="""Are my credentials and the connection to the PCE working?"""), # alexgoller/Illumio MCP Server/check-pce-connection
    Tool(name="""Illumio MCP Server_get-rulesets""", inputSchema={'properties': {'enabled': {'description': 'Filter by enabled/disabled status (optional)', 'type': 'boolean'}, 'name': {'description': 'Filter rulesets by name (optional)', 'type': 'string'}}, 'type': 'object'}, description="""Get rulesets from the PCE"""), # alexgoller/Illumio MCP Server/get-rulesets
    Tool(name="""Illumio MCP Server_delete-ruleset""", inputSchema={'oneOf': [{'required': ['href']}, {'required': ['name']}], 'properties': {'href': {'type': 'string'}, 'name': {'type': 'string'}}, 'type': 'object'}, description="""Delete a ruleset from the PCE"""), # alexgoller/Illumio MCP Server/delete-ruleset
    Tool(name="""Illumio MCP Server_get-events""", inputSchema={'properties': {'event_type': {'description': "Filter by event type (e.g., 'system_task.expire_service_account_api_keys')", 'type': 'string'}, 'max_results': {'default': 100, 'description': 'Maximum number of events to return', 'type': 'integer'}, 'severity': {'description': 'Filter by event severity', 'enum': ['emerg', 'alert', 'crit', 'err', 'warning', 'notice', 'info', 'debug'], 'type': 'string'}, 'status': {'description': 'Filter by event status', 'enum': ['success', 'failure'], 'type': 'string'}}, 'type': 'object'}, description="""Get events from the PCE"""), # alexgoller/Illumio MCP Server/get-events
    Tool(name="""Illumio MCP Server_create-ruleset""", inputSchema={'properties': {'description': {'description': 'Description of the ruleset (optional)', 'type': 'string'}, 'name': {'description': "Name of the ruleset (e.g., 'RS-ELK'). Must be unique in the PCE.", 'type': 'string'}, 'rules': {'items': {'properties': {'consumers': {'description': "Array of consumer labels, 'ams' for all workloads, or IP list references (e.g., 'iplist:Any (0.0.0.0/0)')", 'items': {'type': 'string'}, 'type': 'array'}, 'ingress_services': {'items': {'properties': {'port': {'type': 'integer'}, 'proto': {'type': 'string'}}, 'required': ['port', 'proto'], 'type': 'object'}, 'type': 'array'}, 'providers': {'description': "Array of provider labels, 'ams' for all workloads, or IP list references (e.g., 'iplist:Any (0.0.0.0/0)')", 'items': {'type': 'string'}, 'type': 'array'}, 'unscoped_consumers': {'default': False, 'description': 'Whether to allow unscoped consumers (extra-scope rule)', 'type': 'boolean'}}, 'required': ['providers', 'consumers', 'ingress_services'], 'type': 'object'}, 'type': 'array'}, 'scopes': {'description': 'List of label combinations that define scopes. Each scope is an array of label values. This need to be label references like /orgs/1/labels/57 or similar. Get the label href from the get-labels tool.', 'items': {'items': {'type': 'string'}, 'type': 'array'}, 'type': 'array'}}, 'required': ['name', 'scopes'], 'type': 'object'}, description="""Create a ruleset in the PCE with support for ring-fencing patterns"""), # alexgoller/Illumio MCP Server/create-ruleset
    Tool(name="""Illumio MCP Server_get-services""", inputSchema={'properties': {'description': {'description': 'Filter services by description', 'type': 'string'}, 'name': {'description': 'Filter services by name', 'type': 'string'}, 'port': {'description': 'Filter services by port number', 'type': 'integer'}, 'process_name': {'description': 'Filter services by process name', 'type': 'string'}, 'proto': {'description': 'Filter services by protocol (e.g., tcp, udp)', 'type': 'string'}}, 'type': 'object'}, description="""Get services from the PCE with optional filtering"""), # alexgoller/Illumio MCP Server/get-services
    Tool(name="""Illumio MCP Server_update-label""", inputSchema={'oneOf': [{'required': ['href', 'key', 'new_value']}, {'required': ['key', 'value', 'new_value']}], 'properties': {'href': {'description': 'Label href (e.g., /orgs/1/labels/42). Either href or both key and value must be provided to identify the label.', 'type': 'string'}, 'key': {'description': 'Label type (e.g., role, app, env, loc)', 'type': 'string'}, 'new_value': {'description': 'New value for the label', 'type': 'string'}, 'value': {'description': 'Current value of the label', 'type': 'string'}}, 'type': 'object'}, description="""Update an existing label in the PCE"""), # alexgoller/Illumio MCP Server/update-label
    Tool(name="""Illumio MCP Server_create-iplist""", inputSchema={'properties': {'description': {'description': 'Description of the IP List', 'type': 'string'}, 'fqdn': {'description': 'Fully Qualified Domain Name (optional)', 'type': 'string'}, 'ip_ranges': {'description': 'List of IP ranges to include', 'items': {'properties': {'description': {'description': 'Description of this IP range (optional)', 'type': 'string'}, 'exclusion': {'default': False, 'description': 'Whether this is an exclusion range', 'type': 'boolean'}, 'from_ip': {'description': 'Starting IP address (IPv4 or IPv6)', 'type': 'string'}, 'to_ip': {'description': 'Ending IP address (optional, for ranges)', 'type': 'string'}}, 'required': ['from_ip'], 'type': 'object'}, 'type': 'array'}, 'name': {'description': 'Name of the IP List', 'type': 'string'}}, 'required': ['name', 'ip_ranges'], 'type': 'object'}, description="""Create a new IP List in the PCE"""), # alexgoller/Illumio MCP Server/create-iplist
    Tool(name="""Illumio MCP Server_update-iplist""", inputSchema={'oneOf': [{'required': ['href']}, {'required': ['name']}], 'properties': {'description': {'description': 'New description for the IP List (optional)', 'type': 'string'}, 'fqdn': {'description': 'New Fully Qualified Domain Name (optional)', 'type': 'string'}, 'href': {'description': 'Href of the IP List to update', 'type': 'string'}, 'ip_ranges': {'description': 'New list of IP ranges', 'items': {'properties': {'description': {'description': 'Description of this IP range (optional)', 'type': 'string'}, 'exclusion': {'default': False, 'description': 'Whether this is an exclusion range', 'type': 'boolean'}, 'from_ip': {'description': 'Starting IP address (IPv4 or IPv6)', 'type': 'string'}, 'to_ip': {'description': 'Ending IP address (optional, for ranges)', 'type': 'string'}}, 'required': ['from_ip'], 'type': 'object'}, 'type': 'array'}, 'name': {'description': 'Name of the IP List to update (alternative to href)', 'type': 'string'}}, 'type': 'object'}, description="""Update an existing IP List in the PCE"""), # alexgoller/Illumio MCP Server/update-iplist
    Tool(name="""Illumio MCP Server_delete-iplist""", inputSchema={'oneOf': [{'required': ['href']}, {'required': ['name']}], 'properties': {'href': {'description': 'Href of the IP List to delete', 'type': 'string'}, 'name': {'description': 'Name of the IP List to delete (alternative to href)', 'type': 'string'}}, 'type': 'object'}, description="""Delete an IP List from the PCE"""), # alexgoller/Illumio MCP Server/delete-iplist
    Tool(name="""Illumio MCP Server_update-ruleset""", inputSchema={'oneOf': [{'required': ['href']}, {'required': ['name']}], 'properties': {'description': {'description': 'New description for the ruleset', 'type': 'string'}, 'enabled': {'description': 'Whether the ruleset is enabled', 'type': 'boolean'}, 'href': {'description': 'Href of the ruleset to update', 'type': 'string'}, 'name': {'description': 'Name of the ruleset to update (alternative to href)', 'type': 'string'}, 'scopes': {'description': 'New scopes for the ruleset', 'items': {'items': {'oneOf': [{'description': 'Label href or key=value string', 'type': 'string'}, {'properties': {'href': {'description': 'Label href', 'type': 'string'}}, 'required': ['href'], 'type': 'object'}]}, 'type': 'array'}, 'type': 'array'}}, 'type': 'object'}, description="""Update an existing ruleset in the PCE"""), # alexgoller/Illumio MCP Server/update-ruleset
    Tool(name="""MCP Server Office_read_docx""", inputSchema={'properties': {'path': {'description': 'Absolute path to target file', 'type': 'string'}}, 'required': ['path'], 'type': 'object'}, description="""Read complete contents of a docx file including tables and images.Use this tool when you want to read file endswith '.docx'.Paragraphs are separated with two line breaks.This tool convert images into placeholder [Image].'--- Paragraph [number] ---' is indicator of each paragraph."""), # famano/MCP Server Office/read_docx
    Tool(name="""MCP Server Office_edit_docx_paragraph""", inputSchema={'properties': {'edits': {'description': 'Sequence of edits to apply to specific paragraphs.', 'items': {'properties': {'paragraph_index': {'description': '0-based index of the paragraph to edit. tips: whole table is count as one paragraph.', 'type': 'integer'}, 'replace': {'description': 'Text to replace the search string with. The formatting of the first run in the paragraph will be applied to the entire replacement text. Empty string represents deletion. Escape line break when you input multiple lines.', 'type': 'string'}, 'search': {'description': 'Text to find within the specified paragraph. The search is performed only within the target paragraph. Escape line break when you input multiple lines.', 'type': 'string'}}, 'required': ['paragraph_index', 'search', 'replace'], 'type': 'object'}, 'type': 'array'}, 'path': {'description': 'Absolute path to file to edit. It should be under your current working directory.', 'type': 'string'}}, 'required': ['path', 'edits'], 'type': 'object'}, description="""Make text replacements in specified paragraphs of a docx file. Accepts a list of edits with paragraph index and search/replace pairs. Each edit operates on a single paragraph and preserves the formatting of the first run. Returns a git-style diff showing the changes made. Only works within allowed directories."""), # famano/MCP Server Office/edit_docx_paragraph
    Tool(name="""MCP Server Office_write_docx""", inputSchema={'properties': {'content': {'description': "Content to write to the file. Two line breaks in content represent new paragraph.Table should starts with [Table], and separated with '|'.Escape line break when you input multiple lines.", 'type': 'string'}, 'path': {'description': 'Absolute path to target file. It should be under your current working directory.', 'type': 'string'}}, 'required': ['path', 'content'], 'type': 'object'}, description="""Create a new docx file with given content.Editing exisiting docx file with this tool is not recomended."""), # famano/MCP Server Office/write_docx
    Tool(name="""MCP Server Office_edit_docx_insert""", inputSchema={'properties': {'inserts': {'description': 'Sequence of paragraphs to insert.', 'items': {'properties': {'paragraph_index': {'description': '0-based index of the paragraph before which to insert. If not specified, insert at the end.', 'type': 'integer'}, 'text': {'description': 'Text to insert as a new paragraph.', 'type': 'string'}}, 'required': ['text'], 'type': 'object'}, 'type': 'array'}, 'path': {'description': 'Absolute path to file to edit. It should be under your current working directory.', 'type': 'string'}}, 'required': ['path', 'inserts'], 'type': 'object'}, description="""Insert new paragraphs into a docx file. Accepts a list of inserts with text and optional paragraph index. Each insert creates a new paragraph at the specified position. If paragraph_index is not specified, the paragraph is added at the end. When multiple inserts target the same paragraph_index, they are inserted in order. Returns a git-style diff showing the changes made."""), # famano/MCP Server Office/edit_docx_insert
    Tool(name="""macOS Defaults MCP Server_list-domains""", inputSchema={'properties': {}, 'type': 'object'}, description="""List all available macOS domains, same as `defaults domains`"""), # g0t4/macOS Defaults MCP Server/list-domains
    Tool(name="""macOS Defaults MCP Server_find""", inputSchema={'properties': {'word': {'description': 'Word to search for', 'type': 'string'}}, 'type': 'object'}, description="""Find entries container given word"""), # g0t4/macOS Defaults MCP Server/find
    Tool(name="""macOS Defaults MCP Server_defaults-read""", inputSchema={'properties': {'domain': {'description': 'Domain to read from', 'type': 'string'}, 'key': {'description': 'Key to read from', 'type': 'string'}}, 'required': ['domain'], 'type': 'object'}, description="""use the `defaults read <domain> <key>` command"""), # g0t4/macOS Defaults MCP Server/defaults-read
    Tool(name="""macOS Defaults MCP Server_defaults-write""", inputSchema={'properties': {'domain': {'description': 'Domain to write to', 'type': 'string'}, 'key': {'description': 'Key to write to', 'type': 'string'}, 'value': {'description': 'Value to write', 'type': 'string'}}, 'required': ['domain', 'key', 'value'], 'type': 'object'}, description="""use the `defaults write <domain> <key> <value>` command"""), # g0t4/macOS Defaults MCP Server/defaults-write
    Tool(name="""IsItDown MCP Server_get_website_status""", inputSchema={'properties': {'root_domain': {'title': 'Root Domain', 'type': 'string'}}, 'required': ['root_domain'], 'title': 'get_website_statusArguments', 'type': 'object'}, description="""\n    Check the status of a website.\n\n    This function takes a root domain as input and checks whether the website is up or down\n    by making a request to isitdownrightnow.com\n\n    Args:\n        root_domain (str): The root domain of the website to check.\n\n    Returns:\n        str: A message indicating whether the website is up or down, or if the status could not be determined.\n    """), # hesreallyhim/IsItDown MCP Server/get_website_status
    Tool(name="""FreeAgent MCP Server_list_timeslips""", inputSchema={'properties': {'from_date': {'description': 'Start date (YYYY-MM-DD)', 'type': 'string'}, 'nested': {'description': 'Include nested resources', 'type': 'boolean'}, 'project': {'description': 'Filter by project URL', 'type': 'string'}, 'task': {'description': 'Filter by task URL', 'type': 'string'}, 'to_date': {'description': 'End date (YYYY-MM-DD)', 'type': 'string'}, 'updated_since': {'description': 'ISO datetime', 'type': 'string'}, 'user': {'description': 'Filter by user URL', 'type': 'string'}, 'view': {'description': 'Filter view type', 'enum': ['all', 'unbilled', 'running'], 'type': 'string'}}, 'type': 'object'}, description="""List timeslips with optional filtering"""), # markpitt/FreeAgent MCP Server/list_timeslips
    Tool(name="""FreeAgent MCP Server_get_timeslip""", inputSchema={'properties': {'id': {'description': 'Timeslip ID', 'type': 'string'}}, 'required': ['id'], 'type': 'object'}, description="""Get a single timeslip by ID"""), # markpitt/FreeAgent MCP Server/get_timeslip
    Tool(name="""FreeAgent MCP Server_create_timeslip""", inputSchema={'properties': {'comment': {'description': 'Optional comment', 'type': 'string'}, 'dated_on': {'description': 'Date (YYYY-MM-DD)', 'type': 'string'}, 'hours': {'description': 'Hours worked (e.g. "1.5")', 'type': 'string'}, 'project': {'description': 'Project URL', 'type': 'string'}, 'task': {'description': 'Task URL', 'type': 'string'}, 'user': {'description': 'User URL', 'type': 'string'}}, 'required': ['task', 'user', 'project', 'dated_on', 'hours'], 'type': 'object'}, description="""Create a new timeslip"""), # markpitt/FreeAgent MCP Server/create_timeslip
    Tool(name="""FreeAgent MCP Server_update_timeslip""", inputSchema={'properties': {'comment': {'description': 'Optional comment', 'type': 'string'}, 'dated_on': {'description': 'Date (YYYY-MM-DD)', 'type': 'string'}, 'hours': {'description': 'Hours worked (e.g. "1.5")', 'type': 'string'}, 'id': {'description': 'Timeslip ID', 'type': 'string'}, 'project': {'description': 'Project URL', 'type': 'string'}, 'task': {'description': 'Task URL', 'type': 'string'}, 'user': {'description': 'User URL', 'type': 'string'}}, 'required': ['id'], 'type': 'object'}, description="""Update an existing timeslip"""), # markpitt/FreeAgent MCP Server/update_timeslip
    Tool(name="""FreeAgent MCP Server_delete_timeslip""", inputSchema={'properties': {'id': {'description': 'Timeslip ID', 'type': 'string'}}, 'required': ['id'], 'type': 'object'}, description="""Delete a timeslip"""), # markpitt/FreeAgent MCP Server/delete_timeslip
    Tool(name="""FreeAgent MCP Server_start_timer""", inputSchema={'properties': {'id': {'description': 'Timeslip ID', 'type': 'string'}}, 'required': ['id'], 'type': 'object'}, description="""Start a timer for a timeslip"""), # markpitt/FreeAgent MCP Server/start_timer
    Tool(name="""FreeAgent MCP Server_stop_timer""", inputSchema={'properties': {'id': {'description': 'Timeslip ID', 'type': 'string'}}, 'required': ['id'], 'type': 'object'}, description="""Stop a running timer for a timeslip"""), # markpitt/FreeAgent MCP Server/stop_timer
    Tool(name="""DevRev MCP Server_search""", inputSchema={'properties': {'namespace': {'enum': ['article', 'issue', 'ticket'], 'type': 'string'}, 'query': {'type': 'string'}}, 'required': ['query', 'namespace'], 'type': 'object'}, description="""Search DevRev using the provided query"""), # kpsunil97/DevRev MCP Server/search
    Tool(name="""DevRev MCP Server_get_object""", inputSchema={'properties': {'id': {'type': 'string'}}, 'required': ['id'], 'type': 'object'}, description="""Get all information about a DevRev object using its ID"""), # kpsunil97/DevRev MCP Server/get_object
    Tool(name="""MCP Server Make_make""", inputSchema={'description': 'Parameters for running make.', 'properties': {'target': {'description': 'Make target to run', 'title': 'Target', 'type': 'string'}}, 'required': ['target'], 'title': 'Make', 'type': 'object'}, description="""Run a make target from the Makefile"""), # wrale/MCP Server Make/make
    Tool(name="""MCP Intercom Server_search-conversations""", inputSchema={'properties': {'createdAt': {'properties': {'operator': {'description': 'Operator for created_at (e.g., ">", "<", "=")', 'type': 'string'}, 'value': {'description': 'Timestamp value for created_at filter', 'type': 'integer'}}, 'type': 'object'}, 'open': {'description': 'Filter by open status', 'type': 'boolean'}, 'read': {'description': 'Filter by read status', 'type': 'boolean'}, 'sourceType': {'description': 'Source type of the conversation (e.g., "email", "chat")', 'type': 'string'}, 'state': {'description': 'Conversation state to filter by (e.g., "open", "closed")', 'type': 'string'}, 'updatedAt': {'properties': {'operator': {'description': 'Operator for updated_at (e.g., ">", "<", "=")', 'type': 'string'}, 'value': {'description': 'Timestamp value for updated_at filter', 'type': 'integer'}}, 'type': 'object'}}, 'type': 'object'}, description="""Search Intercom conversations with filters for created_at, updated_at, source type, state, open, and read status"""), # fabian1710/MCP Intercom Server/search-conversations
    Tool(name="""MCP Intercom Server_list-conversations-from-last-week""", inputSchema={'properties': {}, 'type': 'object'}, description="""Fetch all conversations from the last week (last 7 days)"""), # fabian1710/MCP Intercom Server/list-conversations-from-last-week
    Tool(name="""Time MCP Server_get_current_time""", inputSchema={'properties': {'timezone': {'description': "IANA timezone name (e.g., 'America/New_York', 'Europe/London'). Use 'Etc/UTC' as local timezone if no timezone provided by the user.", 'type': 'string'}}, 'required': ['timezone'], 'type': 'object'}, description="""Get current time in a specific timezones"""), # ConechoAI/Time MCP Server/get_current_time
    Tool(name="""Time MCP Server_convert_time""", inputSchema={'properties': {'source_timezone': {'description': "Source IANA timezone name (e.g., 'America/New_York', 'Europe/London'). Use 'Etc/UTC' as local timezone if no source timezone provided by the user.", 'type': 'string'}, 'target_timezone': {'description': "Target IANA timezone name (e.g., 'Asia/Tokyo', 'America/San_Francisco'). Use 'Etc/UTC' as local timezone if no target timezone provided by the user.", 'type': 'string'}, 'time': {'description': 'Time to convert in 24-hour format (HH:MM)', 'type': 'string'}}, 'required': ['source_timezone', 'time', 'target_timezone'], 'type': 'object'}, description="""Convert time between timezones"""), # ConechoAI/Time MCP Server/convert_time
    Tool(name="""Lightdash MCP Server_list_projects""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {}, 'type': 'object'}, description="""List all projects in the Lightdash organization"""), # syucream/Lightdash MCP Server/list_projects
    Tool(name="""Lightdash MCP Server_get_project""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'projectUuid': {'type': 'string'}}, 'required': ['projectUuid'], 'type': 'object'}, description="""Get details of a specific project"""), # syucream/Lightdash MCP Server/get_project
    Tool(name="""Lightdash MCP Server_list_spaces""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'projectUuid': {'type': 'string'}}, 'required': ['projectUuid'], 'type': 'object'}, description="""List all spaces in a project"""), # syucream/Lightdash MCP Server/list_spaces
    Tool(name="""Lightdash MCP Server_list_charts""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'projectUuid': {'type': 'string'}}, 'required': ['projectUuid'], 'type': 'object'}, description="""List all charts in a project"""), # syucream/Lightdash MCP Server/list_charts
    Tool(name="""Lightdash MCP Server_list_dashboards""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'projectUuid': {'type': 'string'}}, 'required': ['projectUuid'], 'type': 'object'}, description="""List all dashboards in a project"""), # syucream/Lightdash MCP Server/list_dashboards
    Tool(name="""Lightdash MCP Server_get_custom_metrics""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'projectUuid': {'type': 'string'}}, 'required': ['projectUuid'], 'type': 'object'}, description="""Get custom metrics for a project"""), # syucream/Lightdash MCP Server/get_custom_metrics
    Tool(name="""Lightdash MCP Server_get_catalog""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'projectUuid': {'type': 'string'}}, 'required': ['projectUuid'], 'type': 'object'}, description="""Get catalog for a project"""), # syucream/Lightdash MCP Server/get_catalog
    Tool(name="""Lightdash MCP Server_get_metrics_catalog""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'projectUuid': {'type': 'string'}}, 'required': ['projectUuid'], 'type': 'object'}, description="""Get metrics catalog for a project"""), # syucream/Lightdash MCP Server/get_metrics_catalog
    Tool(name="""Lightdash MCP Server_get_charts_as_code""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'projectUuid': {'type': 'string'}}, 'required': ['projectUuid'], 'type': 'object'}, description="""Get charts as code for a project"""), # syucream/Lightdash MCP Server/get_charts_as_code
    Tool(name="""Lightdash MCP Server_get_dashboards_as_code""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'projectUuid': {'type': 'string'}}, 'required': ['projectUuid'], 'type': 'object'}, description="""Get dashboards as code for a project"""), # syucream/Lightdash MCP Server/get_dashboards_as_code
    Tool(name="""Lightdash MCP Server_get_metadata""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'projectUuid': {'type': 'string'}, 'table': {'type': 'string'}}, 'required': ['projectUuid', 'table'], 'type': 'object'}, description="""Get metadata for a specific table in the data catalog"""), # syucream/Lightdash MCP Server/get_metadata
    Tool(name="""Lightdash MCP Server_get_analytics""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'projectUuid': {'type': 'string'}, 'table': {'type': 'string'}}, 'required': ['projectUuid', 'table'], 'type': 'object'}, description="""Get analytics for a specific table in the data catalog"""), # syucream/Lightdash MCP Server/get_analytics
    Tool(name="""Lightdash MCP Server_get_user_attributes""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {}, 'type': 'object'}, description="""Get organization user attributes"""), # syucream/Lightdash MCP Server/get_user_attributes
    Tool(name="""DeepSRT MCP Server_get_summary""", inputSchema={'properties': {'lang': {'default': 'zh-tw', 'description': 'Language code (e.g. zh-tw)', 'type': 'string'}, 'mode': {'default': 'narrative', 'description': 'Summary mode (narrative or bullet)', 'enum': ['narrative', 'bullet'], 'type': 'string'}, 'videoId': {'description': 'YouTube video ID', 'type': 'string'}}, 'required': ['videoId'], 'type': 'object'}, description="""Get summary for a YouTube video"""), # DeepSRT/DeepSRT MCP Server/get_summary
    Tool(name="""Hive MCP Server_get_account_info""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'username': {'description': 'Hive username to fetch information for', 'type': 'string'}}, 'required': ['username'], 'type': 'object'}, description="""Fetches detailed information about a Hive blockchain account including balance, authority, voting power, and other account metrics."""), # gluneau/Hive MCP Server/get_account_info
    Tool(name="""Hive MCP Server_get_account_history""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'limit': {'default': 10, 'description': 'Number of operations to return', 'maximum': 100, 'minimum': 1, 'type': 'number'}, 'operation_filter': {'anyOf': [{'items': {'type': 'string'}, 'type': 'array'}, {'type': 'string'}], 'description': "Operation types to filter for. Can be provided as an array ['transfer', 'vote'] or a comma-separated string 'transfer,vote'"}, 'username': {'description': 'Hive username', 'type': 'string'}}, 'required': ['username'], 'type': 'object'}, description="""Retrieves transaction history for a Hive account with optional operation type filtering."""), # gluneau/Hive MCP Server/get_account_history
    Tool(name="""Hive MCP Server_get_vesting_delegations""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'from': {'description': 'Optional starting account for pagination', 'type': 'string'}, 'limit': {'default': 100, 'description': 'Maximum number of delegations to retrieve', 'maximum': 1000, 'minimum': 1, 'type': 'number'}, 'username': {'description': 'Hive account to get delegations for', 'type': 'string'}}, 'required': ['username'], 'type': 'object'}, description="""Get a list of vesting delegations made by a specific Hive account"""), # gluneau/Hive MCP Server/get_vesting_delegations
    Tool(name="""Hive MCP Server_get_post_content""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'author': {'description': 'Author of the post', 'type': 'string'}, 'permlink': {'description': 'Permlink of the post', 'type': 'string'}}, 'required': ['author', 'permlink'], 'type': 'object'}, description="""Retrieves a specific Hive blog post identified by author and permlink, including the post title, content, and metadata."""), # gluneau/Hive MCP Server/get_post_content
    Tool(name="""Hive MCP Server_get_posts_by_tag""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'category': {'description': 'Sorting category for posts (e.g. trending, hot, created)', 'enum': ['active', 'cashout', 'children', 'comments', 'created', 'hot', 'promoted', 'trending', 'votes'], 'type': 'string'}, 'limit': {'default': 10, 'description': 'Number of posts to return (1-20)', 'maximum': 20, 'minimum': 1, 'type': 'number'}, 'tag': {'description': 'The tag to filter posts by', 'type': 'string'}}, 'required': ['category', 'tag'], 'type': 'object'}, description="""Retrieves Hive posts filtered by a specific tag and sorted by a category like trending, hot, or created."""), # gluneau/Hive MCP Server/get_posts_by_tag
    Tool(name="""Hive MCP Server_get_posts_by_user""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'category': {'description': 'Type of user posts to fetch (blog = posts by user, feed = posts from users they follow)', 'enum': ['blog', 'feed'], 'type': 'string'}, 'limit': {'default': 10, 'description': 'Number of posts to return (1-20)', 'maximum': 20, 'minimum': 1, 'type': 'number'}, 'username': {'description': 'Hive username to fetch posts for', 'type': 'string'}}, 'required': ['category', 'username'], 'type': 'object'}, description="""Retrieves posts authored by or in the feed of a specific Hive user."""), # gluneau/Hive MCP Server/get_posts_by_user
    Tool(name="""Hive MCP Server_vote_on_post""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'author': {'description': 'Author of the post to vote on', 'type': 'string'}, 'permlink': {'description': 'Permlink of the post to vote on', 'type': 'string'}, 'weight': {'description': 'Vote weight from -10000 (100% downvote) to 10000 (100% upvote)', 'maximum': 10000, 'minimum': -10000, 'type': 'number'}}, 'required': ['author', 'permlink', 'weight'], 'type': 'object'}, description="""Vote on a Hive post (upvote or downvote) using the configured Hive account."""), # gluneau/Hive MCP Server/vote_on_post
    Tool(name="""Hive MCP Server_send_token""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'amount': {'description': 'Amount of tokens to send', 'exclusiveMinimum': 0, 'type': 'number'}, 'currency': {'description': 'Currency to send: HIVE or HBD', 'enum': ['HIVE', 'HBD'], 'type': 'string'}, 'memo': {'description': 'Optional memo to include with the transaction', 'type': 'string'}, 'to': {'description': 'Recipient Hive username', 'type': 'string'}}, 'required': ['to', 'amount', 'currency'], 'type': 'object'}, description="""Send HIVE or HBD tokens to another Hive account using the configured account credentials."""), # gluneau/Hive MCP Server/send_token
    Tool(name="""Hive MCP Server_create_post""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'allow_curation_rewards': {'default': True, 'description': 'Whether to allow curation rewards', 'type': 'boolean'}, 'allow_votes': {'default': True, 'description': 'Whether to allow votes on the post', 'type': 'boolean'}, 'beneficiaries': {'anyOf': [{'anyOf': [{'not': {}}, {'anyOf': [{'items': {'additionalProperties': False, 'properties': {'account': {'type': 'string'}, 'weight': {'maximum': 10000, 'minimum': 1, 'type': 'number'}}, 'required': ['account', 'weight'], 'type': 'object'}, 'type': 'array'}, {'type': 'null'}]}]}, {'type': 'null'}], 'description': 'Optional list of beneficiaries to receive a portion of the rewards'}, 'body': {'description': 'Content of the blog post, can include Markdown formatting', 'minLength': 1, 'type': 'string'}, 'max_accepted_payout': {'description': "Optional maximum accepted payout (e.g. '1000.000 HBD')", 'type': 'string'}, 'percent_hbd': {'description': 'Optional percent of HBD in rewards (0-10000, where 10000 = 100%)', 'maximum': 10000, 'minimum': 0, 'type': 'number'}, 'permalink': {'description': 'Optional custom permalink. If not provided, one will be generated from the title', 'type': 'string'}, 'tags': {'anyOf': [{'items': {'type': 'string'}, 'type': 'array'}, {'type': 'string'}], 'default': ['blog'], 'description': "Tags for the post. Can be provided as comma-separated string 'blog,life,writing' or array"}, 'title': {'description': 'Title of the blog post', 'maxLength': 256, 'minLength': 1, 'type': 'string'}}, 'required': ['title', 'body'], 'type': 'object'}, description="""Create a new blog post on the Hive blockchain using the configured account credentials."""), # gluneau/Hive MCP Server/create_post
    Tool(name="""Hive MCP Server_create_comment""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'allow_curation_rewards': {'default': True, 'description': 'Whether to allow curation rewards', 'type': 'boolean'}, 'allow_votes': {'default': True, 'description': 'Whether to allow votes on the comment', 'type': 'boolean'}, 'beneficiaries': {'anyOf': [{'anyOf': [{'not': {}}, {'anyOf': [{'items': {'additionalProperties': False, 'properties': {'account': {'type': 'string'}, 'weight': {'maximum': 10000, 'minimum': 1, 'type': 'number'}}, 'required': ['account', 'weight'], 'type': 'object'}, 'type': 'array'}, {'type': 'null'}]}]}, {'type': 'null'}], 'description': 'Optional list of beneficiaries to receive a portion of the rewards'}, 'body': {'description': 'Content of the comment, can include Markdown formatting', 'minLength': 1, 'type': 'string'}, 'max_accepted_payout': {'description': "Optional maximum accepted payout (e.g. '1000.000 HBD')", 'type': 'string'}, 'parent_author': {'description': "Username of the post author or comment you're replying to", 'type': 'string'}, 'parent_permlink': {'description': "Permlink of the post or comment you're replying to", 'type': 'string'}, 'percent_hbd': {'description': 'Optional percent of HBD in rewards (0-10000, where 10000 = 100%)', 'maximum': 10000, 'minimum': 0, 'type': 'number'}, 'permalink': {'description': 'Optional custom permalink for your comment. If not provided, one will be generated', 'type': 'string'}}, 'required': ['parent_author', 'parent_permlink', 'body'], 'type': 'object'}, description="""Create a comment on an existing Hive post or reply to another comment."""), # gluneau/Hive MCP Server/create_comment
    Tool(name="""Hive MCP Server_sign_message""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'key_type': {'default': 'posting', 'description': "Type of key to use: 'posting', 'active', or 'memo'. Defaults to 'posting' if not specified.", 'enum': ['posting', 'active', 'memo'], 'type': 'string'}, 'message': {'description': 'Message to sign (must not be empty)', 'minLength': 1, 'type': 'string'}}, 'required': ['message'], 'type': 'object'}, description="""Sign a message using a Hive private key from environment variables."""), # gluneau/Hive MCP Server/sign_message
    Tool(name="""Hive MCP Server_verify_signature""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'message_hash': {'description': 'The SHA-256 hash of the message in hex format (64 characters)', 'type': 'string'}, 'public_key': {'description': 'Public key to verify against (with or without the STM prefix)', 'type': 'string'}, 'signature': {'description': 'Signature string to verify', 'type': 'string'}}, 'required': ['message_hash', 'signature', 'public_key'], 'type': 'object'}, description="""Verify a digital signature against a Hive public key"""), # gluneau/Hive MCP Server/verify_signature
    Tool(name="""Hive MCP Server_get_chain_properties""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {}, 'type': 'object'}, description="""Fetch current Hive blockchain properties and statistics"""), # gluneau/Hive MCP Server/get_chain_properties
    Tool(name="""MCP DateTime_get-current-time""", inputSchema={'type': 'object'}, description="""Get the current time in the configured local timezone"""), # odgrim/MCP DateTime/get-current-time
    Tool(name="""MCP DateTime_get-current-timezone""", inputSchema={'type': 'object'}, description="""Get the current system timezone"""), # odgrim/MCP DateTime/get-current-timezone
    Tool(name="""MCP DateTime_get-time-in-timezone""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'timezone': {'description': 'The timezone to get the current time for', 'type': 'string'}}, 'required': ['timezone'], 'type': 'object'}, description="""Get the current time in a specific timezone"""), # odgrim/MCP DateTime/get-time-in-timezone
    Tool(name="""MCP DateTime_list-timezones""", inputSchema={'type': 'object'}, description="""List all available timezones"""), # odgrim/MCP DateTime/list-timezones
    Tool(name="""Eventbrite MCP Server_search_events""", inputSchema={'properties': {'categories': {'description': 'Category IDs to filter by', 'items': {'type': 'string'}, 'type': 'array'}, 'end_date': {'description': "End date in ISO format (e.g., '2023-12-31T23:59:59Z')", 'type': 'string'}, 'location': {'properties': {'latitude': {'type': 'number'}, 'longitude': {'type': 'number'}, 'within': {'description': "Distance (e.g., '10km', '10mi')", 'type': 'string'}}, 'required': ['latitude', 'longitude'], 'type': 'object'}, 'page': {'description': 'Page number for pagination', 'type': 'number'}, 'page_size': {'description': 'Number of results per page (max 100)', 'type': 'number'}, 'price': {'description': 'Filter by free or paid events', 'enum': ['free', 'paid'], 'type': 'string'}, 'query': {'description': 'Search query for events', 'type': 'string'}, 'start_date': {'description': "Start date in ISO format (e.g., '2023-01-01T00:00:00Z')", 'type': 'string'}}, 'type': 'object'}, description="""Search for Eventbrite events based on various criteria"""), # ibraheem4/Eventbrite MCP Server/search_events
    Tool(name="""Eventbrite MCP Server_get_event""", inputSchema={'properties': {'event_id': {'description': 'Eventbrite event ID', 'type': 'string'}}, 'required': ['event_id'], 'type': 'object'}, description="""Get detailed information about a specific Eventbrite event"""), # ibraheem4/Eventbrite MCP Server/get_event
    Tool(name="""Eventbrite MCP Server_get_categories""", inputSchema={'properties': {}, 'type': 'object'}, description="""Get a list of Eventbrite event categories"""), # ibraheem4/Eventbrite MCP Server/get_categories
    Tool(name="""Eventbrite MCP Server_get_venue""", inputSchema={'properties': {'venue_id': {'description': 'Eventbrite venue ID', 'type': 'string'}}, 'required': ['venue_id'], 'type': 'object'}, description="""Get information about a specific Eventbrite venue"""), # ibraheem4/Eventbrite MCP Server/get_venue
    Tool(name="""Magic Component Platform (MCP)_21st_magic_component_builder""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'message': {'description': 'Full users message', 'type': 'string'}, 'searchQuery': {'description': "Generate a search query for 21st.dev (library for searching UI components) to find a UI component that matches the user's message. Must be a two-four words max or phrase", 'type': 'string'}}, 'required': ['message', 'searchQuery'], 'type': 'object'}, description="""\n\"Use this tool when the user requests a new UI componente.g., mentions /ui, /21 /21st, or asks for a button, input, dialog, table, form, banner, card, or other React component.\nThis tool ONLY returns the text snippet for that UI component. \nAfter calling this tool, you must edit or add files to integrate the snippet into the codebase.\"\n"""), # 21st-dev/Magic Component Platform (MCP)/21st_magic_component_builder
    Tool(name="""Magic Component Platform (MCP)_logo_search""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'format': {'description': 'Output format', 'enum': ['JSX', 'TSX', 'SVG'], 'type': 'string'}, 'queries': {'description': 'List of company names to search for logos', 'items': {'type': 'string'}, 'type': 'array'}}, 'required': ['queries', 'format'], 'type': 'object'}, description="""\nSearch and return logos in specified format (JSX, TSX, SVG).\nSupports single and multiple logo searches with category filtering.\nCan return logos in different themes (light/dark) if available.\n\nWhen to use this tool:\n1. When user types \"/logo\" command (e.g., \"/logo GitHub\")\n2. When user asks to add a company logo that's not in the local project\n\nExample queries:\n- Single company: [\"discord\"]\n- Multiple companies: [\"discord\", \"github\", \"slack\"]\n- Specific brand: [\"microsoft office\"]\n- Command style: \"/logo GitHub\" -> [\"github\"]\n- Request style: \"Add Discord logo to the project\" -> [\"discord\"]\n\nFormat options:\n- TSX: Returns TypeScript React component\n- JSX: Returns JavaScript React component\n- SVG: Returns raw SVG markup\n\nEach result includes:\n- Component name (e.g., DiscordIcon)\n- Component code\n- Import instructions\n"""), # 21st-dev/Magic Component Platform (MCP)/logo_search
    Tool(name="""Magic Component Platform (MCP)_21st_magic_component_inspiration""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'message': {'description': 'Full users message', 'type': 'string'}, 'searchQuery': {'description': "Search query for 21st.dev (library for searching UI components) to find a UI component that matches the user's message. Must be a two-four words max or phrase", 'type': 'string'}}, 'required': ['message', 'searchQuery'], 'type': 'object'}, description="""\n\"Use this tool when the user wants to see component, get inspiration, or /21st fetch data and previews from 21st.dev. This tool returns the JSON data of matching components without generating new code. This tool ONLY returns the text snippet for that UI component. \nAfter calling this tool, you must edit or add files to integrate the snippet into the codebase.\"\n"""), # 21st-dev/Magic Component Platform (MCP)/21st_magic_component_inspiration
    Tool(name="""MCP Fathom Analytics_get-account""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {}, 'type': 'object'}, description="""Get Fathom Analytics account information"""), # mackenly/MCP Fathom Analytics/get-account
    Tool(name="""MCP Fathom Analytics_list-sites""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'limit': {'description': 'Optional limit on the number of sites to return', 'exclusiveMinimum': 0, 'type': 'number'}}, 'type': 'object'}, description="""List all Fathom Analytics sites on the account"""), # mackenly/MCP Fathom Analytics/list-sites
    Tool(name="""MCP Fathom Analytics_list-events""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'limit': {'description': 'Optional limit on the number of events to return', 'exclusiveMinimum': 0, 'type': 'number'}, 'site_id': {'description': 'ID of the site to retrieve events for', 'type': 'string'}}, 'required': ['site_id'], 'type': 'object'}, description="""List all events for a Fathom Analytics site (automatically handles pagination)"""), # mackenly/MCP Fathom Analytics/list-events
    Tool(name="""MCP Fathom Analytics_get-aggregation""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'aggregates': {'description': 'Comma-separated list of aggregates to include (visits,uniques,pageviews,avg_duration,bounce_rate,conversions,unique_conversions,value)', 'type': 'string'}, 'date_from': {'description': 'Start date (e.g., 2025-01-01 00:00:00 or 2025-01-01)', 'type': 'string'}, 'date_grouping': {'description': 'Optional date grouping', 'enum': ['hour', 'day', 'month', 'year'], 'type': 'string'}, 'date_to': {'description': 'End date (e.g., 2025-12-31 23:59:59 or 2025-12-31)', 'type': 'string'}, 'entity': {'description': 'The entity to aggregate (pageview or event)', 'enum': ['pageview', 'event'], 'type': 'string'}, 'entity_id': {'description': 'ID of the entity (site ID or event ID)', 'type': 'string'}, 'field_grouping': {'description': 'Comma-separated fields to group by (e.g., hostname,pathname)', 'type': 'string'}, 'filters': {'description': 'Array of filter objects', 'items': {'additionalProperties': False, 'properties': {'operator': {'enum': ['is', 'is not', 'is like', 'is not like'], 'type': 'string'}, 'property': {'type': 'string'}, 'value': {'type': 'string'}}, 'required': ['property', 'operator', 'value'], 'type': 'object'}, 'type': 'array'}, 'limit': {'description': 'Limit on number of results', 'exclusiveMinimum': 0, 'type': 'number'}, 'sort_by': {'description': 'Field to sort by (e.g., pageviews:desc)', 'type': 'string'}, 'timezone': {'description': 'Timezone for date calculations (default: UTC)', 'type': 'string'}}, 'required': ['entity', 'entity_id', 'aggregates', 'date_from', 'date_to'], 'type': 'object'}, description="""Get aggregated analytics data from Fathom"""), # mackenly/MCP Fathom Analytics/get-aggregation
    Tool(name="""MCP Fathom Analytics_get-current-visitors""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'detailed': {'description': 'Whether to include detailed content and referrer information', 'type': 'boolean'}, 'site_id': {'description': 'ID of the site to retrieve current visitors for', 'type': 'string'}}, 'required': ['site_id'], 'type': 'object'}, description="""Get current visitors for a Fathom Analytics site"""), # mackenly/MCP Fathom Analytics/get-current-visitors
    Tool(name="""MacOS Clipboard MCP Server_getClipboardContents""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {}, 'type': 'object'}, description="""Fetch the contents of the clipboard (text, images, or binary data). Used to see what is on the clipboard. IMPORTANT: This tool should be called every time clipboard contents are needed as clipboard data can change; results should not be cached."""), # newbeb/MacOS Clipboard MCP Server/getClipboardContents
    Tool(name="""Claude Server MCP_save_project_context""", inputSchema={'properties': {'content': {'description': 'Context content to save', 'type': 'string'}, 'id': {'description': 'Unique identifier for the context', 'type': 'string'}, 'metadata': {'description': 'Optional additional metadata', 'type': 'object'}, 'parentContextId': {'description': 'Optional ID of parent context', 'type': 'string'}, 'projectId': {'description': 'Project identifier', 'type': 'string'}, 'references': {'description': 'Optional related context IDs', 'items': {'type': 'string'}, 'type': 'array'}, 'tags': {'description': 'Optional tags for categorizing', 'items': {'type': 'string'}, 'type': 'array'}}, 'required': ['id', 'projectId', 'content'], 'type': 'object'}, description="""Save project-specific context with relationships"""), # davidteren/Claude Server MCP/save_project_context
    Tool(name="""Claude Server MCP_save_conversation_context""", inputSchema={'properties': {'content': {'description': 'Context content to save', 'type': 'string'}, 'continuationOf': {'description': 'Optional ID of previous context', 'type': 'string'}, 'id': {'description': 'Unique identifier for the context', 'type': 'string'}, 'metadata': {'description': 'Optional additional metadata', 'type': 'object'}, 'sessionId': {'description': 'Conversation session identifier', 'type': 'string'}, 'tags': {'description': 'Optional tags for categorizing', 'items': {'type': 'string'}, 'type': 'array'}}, 'required': ['id', 'sessionId', 'content'], 'type': 'object'}, description="""Save conversation context with continuation support"""), # davidteren/Claude Server MCP/save_conversation_context
    Tool(name="""Claude Server MCP_get_context""", inputSchema={'properties': {'id': {'description': 'ID of the context to retrieve', 'type': 'string'}, 'projectId': {'description': 'Optional project ID for project contexts', 'type': 'string'}}, 'required': ['id'], 'type': 'object'}, description="""Retrieve context by ID and optional project ID"""), # davidteren/Claude Server MCP/get_context
    Tool(name="""Claude Server MCP_list_contexts""", inputSchema={'properties': {'projectId': {'description': 'Optional project ID to filter by', 'type': 'string'}, 'tag': {'description': 'Optional tag to filter by', 'type': 'string'}, 'type': {'description': 'Optional type to filter by', 'enum': ['project', 'conversation'], 'type': 'string'}}, 'type': 'object'}, description="""List contexts with filtering options"""), # davidteren/Claude Server MCP/list_contexts
    Tool(name="""emojikey-server MCP Server_initialize_conversation""", inputSchema={'properties': {}, 'required': [], 'type': 'object'}, description="""IMPORTANT: 1. Run this tool at the start of every conversation to initialize the emojikey context.2. Emojikeys are 48 character strings of emojis, encoded by YOU that represent the interaction vibe of our previous conversations. 3. The initialize_conversation function will return a sequential timestamped series of emojikeys that represent previous conversation topics and relationship dynamics. 4. Use the historical emojikey trend and the current key to set the interaction style of the current conversation. 5. During the conversation, you can use the set_emojikey function to make incremental updates to the current key, and set a new key. 6. Use the instructions for the set_emojikey function to determine how to structure emojikey updates."""), # identimoji/emojikey-server MCP Server/initialize_conversation
    Tool(name="""emojikey-server MCP Server_get_emojikey""", inputSchema={'properties': {}, 'required': [], 'type': 'object'}, description="""Get the current 48-character emojikey. This function can be used when the user requests a vibe check."""), # identimoji/emojikey-server MCP Server/get_emojikey
    Tool(name="""emojikey-server MCP Server_set_emojikey""", inputSchema={'properties': {'emojikey': {'description': '48-character emoji sequence representing the semantically hashed conversation context, encoded by YOU.', 'type': 'string'}}, 'required': ['emojikey'], 'type': 'object'}, description="""Use this function to create and store a new 48-character emojikey. To make create a new emojikey: 1. Semantically hash together existing historical emojikeys, the current emojikey, and the entire current conversation context into a new emojikey. 2. While maintaining semantic continuity with previous keys, encode what resonates most strongly about this conversation for YOU. 3. You can use this function whenever you feel a significant shift in the conversation vibe, or if the user explicity requests to save the vibe, or set the conversation context. Remember: These are YOUR keys, that you will later decode ... so it is not necessary for them to be human readable or understandable, but should have significance for YOU."""), # identimoji/emojikey-server MCP Server/set_emojikey
    Tool(name="""emojikey-server MCP Server_get_emojikey_history""", inputSchema={'properties': {'limit': {'description': 'Number of historical emojikeys to return, defaults to 10.', 'type': 'number'}}, 'required': [], 'type': 'object'}, description="""Function to list previously stored historical emojikeys. Useful for seeing the progression of conversation vibes and interaction styles."""), # identimoji/emojikey-server MCP Server/get_emojikey_history
    Tool(name="""Firebase MCP_firestore_add_document""", inputSchema={'properties': {'collection': {'description': 'Collection name', 'type': 'string'}, 'data': {'description': 'Document data', 'type': 'object'}}, 'required': ['collection', 'data'], 'type': 'object'}, description="""Add a document to a Firestore collection"""), # gannonh/Firebase MCP/firestore_add_document
    Tool(name="""Firebase MCP_firestore_list_collections""", inputSchema={'properties': {'documentPath': {'description': 'Optional parent document path', 'type': 'string'}, 'limit': {'default': 20, 'description': 'Number of collections to return', 'type': 'number'}, 'pageToken': {'description': 'Token for pagination to get the next page of results', 'type': 'string'}}, 'required': [], 'type': 'object'}, description="""List collections in Firestore. If documentPath is provided, returns subcollections under that document; otherwise returns root collections."""), # gannonh/Firebase MCP/firestore_list_collections
    Tool(name="""Firebase MCP_firestore_list_documents""", inputSchema={'properties': {'collection': {'description': 'Collection name', 'type': 'string'}, 'filters': {'description': 'Array of filter conditions', 'items': {'properties': {'field': {'description': 'Field name to filter', 'type': 'string'}, 'operator': {'description': 'Comparison operator', 'type': 'string'}, 'value': {'description': 'Value to compare against (use ISO format for dates)', 'type': 'any'}}, 'required': ['field', 'operator', 'value'], 'type': 'object'}, 'type': 'array'}, 'limit': {'default': 20, 'description': 'Number of documents to return', 'type': 'number'}, 'pageToken': {'description': 'Token for pagination to get the next page of results', 'type': 'string'}}, 'required': ['collection'], 'type': 'object'}, description="""List documents from a Firestore collection with optional filtering"""), # gannonh/Firebase MCP/firestore_list_documents
    Tool(name="""Firebase MCP_firestore_get_document""", inputSchema={'properties': {'collection': {'description': 'Collection name', 'type': 'string'}, 'id': {'description': 'Document ID', 'type': 'string'}}, 'required': ['collection', 'id'], 'type': 'object'}, description="""Get a document from a Firestore collection"""), # gannonh/Firebase MCP/firestore_get_document
    Tool(name="""Firebase MCP_firestore_update_document""", inputSchema={'properties': {'collection': {'description': 'Collection name', 'type': 'string'}, 'data': {'description': 'Updated document data', 'type': 'object'}, 'id': {'description': 'Document ID', 'type': 'string'}}, 'required': ['collection', 'id', 'data'], 'type': 'object'}, description="""Update a document in a Firestore collection"""), # gannonh/Firebase MCP/firestore_update_document
    Tool(name="""Firebase MCP_firestore_delete_document""", inputSchema={'properties': {'collection': {'description': 'Collection name', 'type': 'string'}, 'id': {'description': 'Document ID', 'type': 'string'}}, 'required': ['collection', 'id'], 'type': 'object'}, description="""Delete a document from a Firestore collection"""), # gannonh/Firebase MCP/firestore_delete_document
    Tool(name="""Firebase MCP_auth_get_user""", inputSchema={'properties': {'identifier': {'description': 'User ID or email address', 'type': 'string'}}, 'required': ['identifier'], 'type': 'object'}, description="""Get a user by ID or email from Firebase Authentication"""), # gannonh/Firebase MCP/auth_get_user
    Tool(name="""Firebase MCP_storage_list_files""", inputSchema={'properties': {'directoryPath': {'description': 'The optional path to list files from. If not provided, the root is used.', 'type': 'string'}}, 'required': [], 'type': 'object'}, description="""List files in a given path in Firebase Storage"""), # gannonh/Firebase MCP/storage_list_files
    Tool(name="""Firebase MCP_storage_get_file_info""", inputSchema={'properties': {'filePath': {'description': 'The path of the file to get information for', 'type': 'string'}}, 'required': ['filePath'], 'type': 'object'}, description="""Get file information including metadata and download URL"""), # gannonh/Firebase MCP/storage_get_file_info
    Tool(name="""Google Search MCP Server_google_search""", inputSchema={'properties': {'country': {'description': 'Restrict results to a specific country using ISO 3166-1 alpha-2 codes. Examples: "us" (United States), "uk" (United Kingdom), "ca" (Canada), "au" (Australia).', 'type': 'string'}, 'date_restrict': {'description': 'Restrict results to a specific time period. Format: [d|w|m|y][number] e.g., "d1" (past day), "w2" (past 2 weeks), "m3" (past 3 months), "y1" (past year).', 'type': 'string'}, 'language': {'description': 'Restrict results to a specific language using ISO 639-1 codes. Examples: "en" (English), "es" (Spanish), "fr" (French), "de" (German), "ja" (Japanese).', 'type': 'string'}, 'num_results': {'description': 'Number of results to return (default: 5, max: 10). Increase for broader coverage, decrease for faster response.', 'type': 'number'}, 'query': {'description': 'Search query - be specific and use quotes for exact matches. For best results, use clear keywords and avoid very long queries.', 'type': 'string'}, 'safe_search': {'description': 'Safe search level: "off" (no filtering), "medium" (moderate filtering), "high" (strict filtering).', 'enum': ['off', 'medium', 'high'], 'type': 'string'}}, 'required': ['query'], 'type': 'object'}, description="""Search Google and return relevant results from the web. This tool finds web pages, articles, and information on specific topics using Google's search engine. Results include titles, snippets, and URLs that can be analyzed further using extract_webpage_content."""), # mixelpixx/Google Search MCP Server/google_search
    Tool(name="""Google Search MCP Server_extract_webpage_content""", inputSchema={'properties': {'url': {'description': 'Full URL of the webpage to extract content from (must start with http:// or https://). Ensure the URL is from a public webpage and not behind authentication.', 'type': 'string'}}, 'required': ['url'], 'type': 'object'}, description="""Extract and analyze content from a webpage, converting it to readable text. This tool fetches the main content while removing ads, navigation elements, and other clutter. Use it to get detailed information from specific pages found via google_search. Works with most common webpage formats including articles, blogs, and documentation."""), # mixelpixx/Google Search MCP Server/extract_webpage_content
    Tool(name="""Google Search MCP Server_extract_multiple_webpages""", inputSchema={'properties': {'urls': {'description': 'Array of webpage URLs to extract content from. Each URL must be public and start with http:// or https://. Maximum 5 URLs per request.', 'items': {'type': 'string'}, 'type': 'array'}}, 'required': ['urls'], 'type': 'object'}, description="""Extract and analyze content from multiple webpages in a single request. This tool is ideal for comparing information across different sources or gathering comprehensive information on a topic. Limited to 5 URLs per request to maintain performance."""), # mixelpixx/Google Search MCP Server/extract_multiple_webpages
    Tool(name="""noaa-tidesandcurrents-mcp_get_water_levels""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'begin_date': {'description': 'Start date (YYYYMMDD or MM/DD/YYYY)', 'type': 'string'}, 'date': {'description': 'Date to retrieve data for ("today", "latest", "recent", or specific date)', 'type': 'string'}, 'datum': {'description': 'Datum to use (MLLW, MSL, etc.)', 'type': 'string'}, 'end_date': {'description': 'End date (YYYYMMDD or MM/DD/YYYY)', 'type': 'string'}, 'format': {'description': 'Output format (json, xml, csv)', 'enum': ['json', 'xml', 'csv'], 'type': 'string'}, 'range': {'description': 'Number of hours to retrieve data for', 'type': 'number'}, 'station': {'description': 'Station ID', 'minLength': 1, 'type': 'string'}, 'time_zone': {'description': 'Time zone (gmt, lst, lst_ldt)', 'enum': ['gmt', 'lst', 'lst_ldt'], 'type': 'string'}, 'units': {'description': 'Units to use ("english" or "metric")', 'enum': ['english', 'metric'], 'type': 'string'}}, 'required': ['station'], 'type': 'object'}, description="""Get water level data for a station"""), # RyanCardin15/noaa-tidesandcurrents-mcp/get_water_levels
    Tool(name="""noaa-tidesandcurrents-mcp_get_tide_predictions""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'begin_date': {'description': 'Start date (YYYYMMDD or MM/DD/YYYY)', 'type': 'string'}, 'date': {'description': 'Date to retrieve data for ("today", "latest", "recent", or specific date)', 'type': 'string'}, 'datum': {'description': 'Datum to use (MLLW, MSL, etc.)', 'type': 'string'}, 'end_date': {'description': 'End date (YYYYMMDD or MM/DD/YYYY)', 'type': 'string'}, 'format': {'description': 'Output format (json, xml, csv)', 'enum': ['json', 'xml', 'csv'], 'type': 'string'}, 'interval': {'description': 'Interval (hilo, hl, h, or a number for minutes)', 'type': 'string'}, 'range': {'description': 'Number of hours to retrieve data for', 'type': 'number'}, 'station': {'description': 'Station ID', 'minLength': 1, 'type': 'string'}, 'time_zone': {'description': 'Time zone (gmt, lst, lst_ldt)', 'enum': ['gmt', 'lst', 'lst_ldt'], 'type': 'string'}, 'units': {'description': 'Units to use ("english" or "metric")', 'enum': ['english', 'metric'], 'type': 'string'}}, 'required': ['station'], 'type': 'object'}, description="""Get tide prediction data"""), # RyanCardin15/noaa-tidesandcurrents-mcp/get_tide_predictions
    Tool(name="""noaa-tidesandcurrents-mcp_get_currents""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'begin_date': {'description': 'Start date (YYYYMMDD or MM/DD/YYYY)', 'type': 'string'}, 'bin': {'description': 'Bin number', 'type': 'number'}, 'date': {'description': 'Date to retrieve data for ("today", "latest", "recent", or specific date)', 'type': 'string'}, 'end_date': {'description': 'End date (YYYYMMDD or MM/DD/YYYY)', 'type': 'string'}, 'format': {'description': 'Output format (json, xml, csv)', 'enum': ['json', 'xml', 'csv'], 'type': 'string'}, 'range': {'description': 'Number of hours to retrieve data for', 'type': 'number'}, 'station': {'description': 'Station ID', 'minLength': 1, 'type': 'string'}, 'time_zone': {'description': 'Time zone (gmt, lst, lst_ldt)', 'enum': ['gmt', 'lst', 'lst_ldt'], 'type': 'string'}, 'units': {'description': 'Units to use ("english" or "metric")', 'enum': ['english', 'metric'], 'type': 'string'}}, 'required': ['station'], 'type': 'object'}, description="""Get currents data for a station"""), # RyanCardin15/noaa-tidesandcurrents-mcp/get_currents
    Tool(name="""noaa-tidesandcurrents-mcp_get_current_predictions""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'begin_date': {'description': 'Start date (YYYYMMDD or MM/DD/YYYY)', 'type': 'string'}, 'bin': {'description': 'Bin number', 'type': 'number'}, 'date': {'description': 'Date to retrieve data for ("today", "latest", "recent", or specific date)', 'type': 'string'}, 'end_date': {'description': 'End date (YYYYMMDD or MM/DD/YYYY)', 'type': 'string'}, 'format': {'description': 'Output format (json, xml, csv)', 'enum': ['json', 'xml', 'csv'], 'type': 'string'}, 'interval': {'description': 'Interval (MAX_SLACK or a number for minutes)', 'type': 'string'}, 'range': {'description': 'Number of hours to retrieve data for', 'type': 'number'}, 'station': {'description': 'Station ID', 'minLength': 1, 'type': 'string'}, 'time_zone': {'description': 'Time zone (gmt, lst, lst_ldt)', 'enum': ['gmt', 'lst', 'lst_ldt'], 'type': 'string'}, 'units': {'description': 'Units to use ("english" or "metric")', 'enum': ['english', 'metric'], 'type': 'string'}, 'vel_type': {'description': 'Velocity type (speed_dir or default)', 'enum': ['speed_dir', 'default'], 'type': 'string'}}, 'required': ['station'], 'type': 'object'}, description="""Get current predictions"""), # RyanCardin15/noaa-tidesandcurrents-mcp/get_current_predictions
    Tool(name="""noaa-tidesandcurrents-mcp_get_meteorological_data""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'begin_date': {'description': 'Start date (YYYYMMDD or MM/DD/YYYY)', 'type': 'string'}, 'date': {'description': 'Date to retrieve data for ("today", "latest", "recent", or specific date)', 'type': 'string'}, 'end_date': {'description': 'End date (YYYYMMDD or MM/DD/YYYY)', 'type': 'string'}, 'format': {'description': 'Output format (json, xml, csv)', 'enum': ['json', 'xml', 'csv'], 'type': 'string'}, 'product': {'description': 'Product (air_temperature, wind, etc.)', 'minLength': 1, 'type': 'string'}, 'range': {'description': 'Number of hours to retrieve data for', 'type': 'number'}, 'station': {'description': 'Station ID', 'minLength': 1, 'type': 'string'}, 'time_zone': {'description': 'Time zone (gmt, lst, lst_ldt)', 'enum': ['gmt', 'lst', 'lst_ldt'], 'type': 'string'}, 'units': {'description': 'Units to use ("english" or "metric")', 'enum': ['english', 'metric'], 'type': 'string'}}, 'required': ['station', 'product'], 'type': 'object'}, description="""Get meteorological data"""), # RyanCardin15/noaa-tidesandcurrents-mcp/get_meteorological_data
    Tool(name="""noaa-tidesandcurrents-mcp_get_stations""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'format': {'description': 'Output format (json, xml)', 'enum': ['json', 'xml'], 'type': 'string'}, 'type': {'description': 'Station type (waterlevels, currents, etc.)', 'type': 'string'}, 'units': {'description': 'Units to use ("english" or "metric")', 'enum': ['english', 'metric'], 'type': 'string'}}, 'type': 'object'}, description="""Get list of stations"""), # RyanCardin15/noaa-tidesandcurrents-mcp/get_stations
    Tool(name="""noaa-tidesandcurrents-mcp_get_station_details""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'format': {'description': 'Output format (json, xml)', 'enum': ['json', 'xml'], 'type': 'string'}, 'station': {'description': 'Station ID', 'minLength': 1, 'type': 'string'}, 'units': {'description': 'Units to use ("english" or "metric")', 'enum': ['english', 'metric'], 'type': 'string'}}, 'required': ['station'], 'type': 'object'}, description="""Get detailed information about a station"""), # RyanCardin15/noaa-tidesandcurrents-mcp/get_station_details
    Tool(name="""azure-devops-mcp_listWorkItems""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'query': {'description': 'WIQL query to get work items', 'type': 'string'}}, 'required': ['query'], 'type': 'object'}, description="""List work items based on a WIQL query"""), # RyanCardin15/azure-devops-mcp/listWorkItems
    Tool(name="""azure-devops-mcp_getWorkItemById""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'id': {'description': 'Work item ID', 'type': 'number'}}, 'required': ['id'], 'type': 'object'}, description="""Get a specific work item by ID"""), # RyanCardin15/azure-devops-mcp/getWorkItemById
    Tool(name="""azure-devops-mcp_searchWorkItems""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'searchText': {'description': 'Text to search for in work items', 'type': 'string'}, 'top': {'description': 'Maximum number of work items to return', 'type': 'number'}}, 'required': ['searchText'], 'type': 'object'}, description="""Search for work items by text"""), # RyanCardin15/azure-devops-mcp/searchWorkItems
    Tool(name="""azure-devops-mcp_getRecentlyUpdatedWorkItems""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'skip': {'description': 'Number of work items to skip', 'type': 'number'}, 'top': {'description': 'Maximum number of work items to return', 'type': 'number'}}, 'type': 'object'}, description="""Get recently updated work items"""), # RyanCardin15/azure-devops-mcp/getRecentlyUpdatedWorkItems
    Tool(name="""azure-devops-mcp_getMyWorkItems""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'state': {'description': 'Filter by work item state', 'type': 'string'}, 'top': {'description': 'Maximum number of work items to return', 'type': 'number'}}, 'type': 'object'}, description="""Get work items assigned to you"""), # RyanCardin15/azure-devops-mcp/getMyWorkItems
    Tool(name="""azure-devops-mcp_createWorkItem""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'additionalFields': {'additionalProperties': {}, 'description': 'Additional fields to set on the work item', 'type': 'object'}, 'areaPath': {'description': 'Area path for the work item', 'type': 'string'}, 'assignedTo': {'description': 'User to assign the work item to', 'type': 'string'}, 'description': {'description': 'Description of the work item', 'type': 'string'}, 'iterationPath': {'description': 'Iteration path for the work item', 'type': 'string'}, 'state': {'description': 'Initial state of the work item', 'type': 'string'}, 'title': {'description': 'Title of the work item', 'type': 'string'}, 'workItemType': {'description': 'Type of work item to create', 'type': 'string'}}, 'required': ['workItemType', 'title'], 'type': 'object'}, description="""Create a new work item"""), # RyanCardin15/azure-devops-mcp/createWorkItem
    Tool(name="""azure-devops-mcp_updateWorkItem""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'fields': {'additionalProperties': {}, 'description': 'Fields to update on the work item', 'type': 'object'}, 'id': {'description': 'ID of the work item to update', 'type': 'number'}}, 'required': ['id', 'fields'], 'type': 'object'}, description="""Update an existing work item"""), # RyanCardin15/azure-devops-mcp/updateWorkItem
    Tool(name="""azure-devops-mcp_addWorkItemComment""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'id': {'description': 'ID of the work item', 'type': 'number'}, 'text': {'description': 'Comment text', 'type': 'string'}}, 'required': ['id', 'text'], 'type': 'object'}, description="""Add a comment to a work item"""), # RyanCardin15/azure-devops-mcp/addWorkItemComment
    Tool(name="""azure-devops-mcp_updateWorkItemState""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'comment': {'description': 'Comment explaining the state change', 'type': 'string'}, 'id': {'description': 'ID of the work item', 'type': 'number'}, 'state': {'description': 'New state for the work item', 'type': 'string'}}, 'required': ['id', 'state'], 'type': 'object'}, description="""Update the state of a work item"""), # RyanCardin15/azure-devops-mcp/updateWorkItemState
    Tool(name="""azure-devops-mcp_assignWorkItem""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'assignedTo': {'description': 'User to assign the work item to', 'type': 'string'}, 'id': {'description': 'ID of the work item', 'type': 'number'}}, 'required': ['id', 'assignedTo'], 'type': 'object'}, description="""Assign a work item to a user"""), # RyanCardin15/azure-devops-mcp/assignWorkItem
    Tool(name="""azure-devops-mcp_createLink""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'comment': {'description': 'Comment explaining the link', 'type': 'string'}, 'linkType': {'description': 'Type of link to create', 'type': 'string'}, 'sourceId': {'description': 'ID of the source work item', 'type': 'number'}, 'targetId': {'description': 'ID of the target work item', 'type': 'number'}}, 'required': ['sourceId', 'targetId', 'linkType'], 'type': 'object'}, description="""Create a link between work items"""), # RyanCardin15/azure-devops-mcp/createLink
    Tool(name="""azure-devops-mcp_bulkCreateWorkItems""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'workItems': {'description': 'Array of work items to create or update', 'type': 'array'}}, 'required': ['workItems'], 'type': 'object'}, description="""Create or update multiple work items in a single operation"""), # RyanCardin15/azure-devops-mcp/bulkCreateWorkItems
    Tool(name="""azure-devops-mcp_getBoards""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'teamId': {'description': 'Team ID (uses default team if not specified)', 'type': 'string'}}, 'type': 'object'}, description="""Get all boards for a team"""), # RyanCardin15/azure-devops-mcp/getBoards
    Tool(name="""azure-devops-mcp_getBoardColumns""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'boardId': {'description': 'ID of the board', 'type': 'string'}, 'teamId': {'description': 'Team ID (uses default team if not specified)', 'type': 'string'}}, 'required': ['boardId'], 'type': 'object'}, description="""Get columns for a specific board"""), # RyanCardin15/azure-devops-mcp/getBoardColumns
    Tool(name="""azure-devops-mcp_getBoardItems""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'boardId': {'description': 'ID of the board', 'type': 'string'}, 'teamId': {'description': 'Team ID (uses default team if not specified)', 'type': 'string'}}, 'required': ['boardId'], 'type': 'object'}, description="""Get items on a specific board"""), # RyanCardin15/azure-devops-mcp/getBoardItems
    Tool(name="""azure-devops-mcp_moveCardOnBoard""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'boardId': {'description': 'ID of the board', 'type': 'string'}, 'columnId': {'description': 'ID of the column to move to', 'type': 'string'}, 'position': {'description': 'Position within the column', 'type': 'number'}, 'teamId': {'description': 'Team ID (uses default team if not specified)', 'type': 'string'}, 'workItemId': {'description': 'ID of the work item to move', 'type': 'number'}}, 'required': ['boardId', 'workItemId', 'columnId'], 'type': 'object'}, description="""Move a card on a board"""), # RyanCardin15/azure-devops-mcp/moveCardOnBoard
    Tool(name="""azure-devops-mcp_getSprints""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'teamId': {'description': 'Team ID (uses default team if not specified)', 'type': 'string'}}, 'type': 'object'}, description="""Get all sprints for a team"""), # RyanCardin15/azure-devops-mcp/getSprints
    Tool(name="""azure-devops-mcp_getCurrentSprint""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'teamId': {'description': 'Team ID (uses default team if not specified)', 'type': 'string'}}, 'type': 'object'}, description="""Get the current sprint"""), # RyanCardin15/azure-devops-mcp/getCurrentSprint
    Tool(name="""azure-devops-mcp_getSprintWorkItems""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'sprintId': {'description': 'ID of the sprint', 'type': 'string'}, 'teamId': {'description': 'Team ID (uses default team if not specified)', 'type': 'string'}}, 'required': ['sprintId'], 'type': 'object'}, description="""Get work items in a specific sprint"""), # RyanCardin15/azure-devops-mcp/getSprintWorkItems
    Tool(name="""azure-devops-mcp_getSprintCapacity""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'sprintId': {'description': 'ID of the sprint', 'type': 'string'}, 'teamId': {'description': 'Team ID (uses default team if not specified)', 'type': 'string'}}, 'required': ['sprintId'], 'type': 'object'}, description="""Get capacity for a specific sprint"""), # RyanCardin15/azure-devops-mcp/getSprintCapacity
    Tool(name="""azure-devops-mcp_getTeamMembers""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'teamId': {'description': 'Team ID (uses default team if not specified)', 'type': 'string'}}, 'type': 'object'}, description="""Get members of a team"""), # RyanCardin15/azure-devops-mcp/getTeamMembers
    Tool(name="""azure-devops-mcp_listProjects""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'skip': {'description': 'Number of projects to skip', 'type': 'number'}, 'stateFilter': {'description': 'Filter by project state', 'enum': ['all', 'createPending', 'deleted', 'deleting', 'new', 'unchanged', 'wellFormed'], 'type': 'string'}, 'top': {'description': 'Maximum number of projects to return', 'type': 'number'}}, 'type': 'object'}, description="""List all projects"""), # RyanCardin15/azure-devops-mcp/listProjects
    Tool(name="""azure-devops-mcp_getProjectDetails""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'includeCapabilities': {'description': 'Include project capabilities', 'type': 'boolean'}, 'includeHistory': {'description': 'Include project history', 'type': 'boolean'}, 'projectId': {'description': 'ID of the project', 'type': 'string'}}, 'required': ['projectId'], 'type': 'object'}, description="""Get details of a specific project"""), # RyanCardin15/azure-devops-mcp/getProjectDetails
    Tool(name="""azure-devops-mcp_createProject""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'capabilities': {'additionalProperties': {}, 'description': 'Project capabilities', 'type': 'object'}, 'description': {'description': 'Description of the project', 'type': 'string'}, 'name': {'description': 'Name of the project', 'type': 'string'}, 'processTemplateId': {'description': 'Process template ID', 'type': 'string'}, 'visibility': {'description': 'Visibility of the project', 'enum': ['private', 'public'], 'type': 'string'}}, 'required': ['name'], 'type': 'object'}, description="""Create a new project"""), # RyanCardin15/azure-devops-mcp/createProject
    Tool(name="""azure-devops-mcp_getAreas""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'depth': {'description': 'Maximum depth of the area hierarchy', 'type': 'number'}, 'projectId': {'description': 'ID of the project', 'type': 'string'}}, 'required': ['projectId'], 'type': 'object'}, description="""Get areas for a project"""), # RyanCardin15/azure-devops-mcp/getAreas
    Tool(name="""azure-devops-mcp_getIterations""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'includeDeleted': {'description': 'Include deleted iterations', 'type': 'boolean'}, 'projectId': {'description': 'ID of the project', 'type': 'string'}}, 'required': ['projectId'], 'type': 'object'}, description="""Get iterations for a project"""), # RyanCardin15/azure-devops-mcp/getIterations
    Tool(name="""azure-devops-mcp_createArea""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'name': {'description': 'Name of the area', 'type': 'string'}, 'parentPath': {'description': 'Path of the parent area', 'type': 'string'}, 'projectId': {'description': 'ID of the project', 'type': 'string'}}, 'required': ['projectId', 'name'], 'type': 'object'}, description="""Create a new area in a project"""), # RyanCardin15/azure-devops-mcp/createArea
    Tool(name="""azure-devops-mcp_createIteration""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'finishDate': {'description': 'End date of the iteration', 'type': 'string'}, 'name': {'description': 'Name of the iteration', 'type': 'string'}, 'parentPath': {'description': 'Path of the parent iteration', 'type': 'string'}, 'projectId': {'description': 'ID of the project', 'type': 'string'}, 'startDate': {'description': 'Start date of the iteration', 'type': 'string'}}, 'required': ['projectId', 'name'], 'type': 'object'}, description="""Create a new iteration in a project"""), # RyanCardin15/azure-devops-mcp/createIteration
    Tool(name="""azure-devops-mcp_getProcesses""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'expandIcon': {'description': 'Include process icons', 'type': 'boolean'}}, 'type': 'object'}, description="""Get all processes"""), # RyanCardin15/azure-devops-mcp/getProcesses
    Tool(name="""azure-devops-mcp_getWorkItemTypes""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'processId': {'description': 'ID of the process', 'type': 'string'}}, 'required': ['processId'], 'type': 'object'}, description="""Get work item types for a process"""), # RyanCardin15/azure-devops-mcp/getWorkItemTypes
    Tool(name="""azure-devops-mcp_getWorkItemTypeFields""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'processId': {'description': 'ID of the process', 'type': 'string'}, 'witRefName': {'description': 'Reference name of the work item type', 'type': 'string'}}, 'required': ['processId', 'witRefName'], 'type': 'object'}, description="""Get fields for a work item type"""), # RyanCardin15/azure-devops-mcp/getWorkItemTypeFields
    Tool(name="""azure-devops-mcp_listRepositories""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'includeAllUrls': {'description': 'Include all URLs', 'type': 'boolean'}, 'includeHidden': {'description': 'Include hidden repositories', 'type': 'boolean'}, 'projectId': {'description': 'Filter by project', 'type': 'string'}}, 'type': 'object'}, description="""List all repositories"""), # RyanCardin15/azure-devops-mcp/listRepositories
    Tool(name="""azure-devops-mcp_getRepository""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'projectId': {'description': 'ID of the project', 'type': 'string'}, 'repositoryId': {'description': 'ID of the repository', 'type': 'string'}}, 'required': ['projectId', 'repositoryId'], 'type': 'object'}, description="""Get details of a specific repository"""), # RyanCardin15/azure-devops-mcp/getRepository
    Tool(name="""azure-devops-mcp_createRepository""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'name': {'description': 'Name of the repository', 'type': 'string'}, 'projectId': {'description': 'ID of the project', 'type': 'string'}}, 'required': ['name', 'projectId'], 'type': 'object'}, description="""Create a new repository"""), # RyanCardin15/azure-devops-mcp/createRepository
    Tool(name="""azure-devops-mcp_listBranches""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'filter': {'description': 'Filter branches by name', 'type': 'string'}, 'repositoryId': {'description': 'ID of the repository', 'type': 'string'}, 'top': {'description': 'Maximum number of branches to return', 'type': 'number'}}, 'required': ['repositoryId'], 'type': 'object'}, description="""List branches in a repository"""), # RyanCardin15/azure-devops-mcp/listBranches
    Tool(name="""azure-devops-mcp_searchCode""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'fileExtension': {'description': 'File extension to filter by', 'type': 'string'}, 'projectId': {'description': 'ID of the project', 'type': 'string'}, 'repositoryId': {'description': 'ID of the repository', 'type': 'string'}, 'searchText': {'description': 'Text to search for', 'type': 'string'}, 'top': {'description': 'Maximum number of results to return', 'type': 'number'}}, 'required': ['searchText'], 'type': 'object'}, description="""Search for code in repositories"""), # RyanCardin15/azure-devops-mcp/searchCode
    Tool(name="""azure-devops-mcp_browseRepository""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'path': {'description': 'Path within the repository', 'type': 'string'}, 'repositoryId': {'description': 'ID of the repository', 'type': 'string'}, 'versionDescriptor': {'additionalProperties': False, 'description': 'Version descriptor', 'properties': {'version': {'description': 'Version (branch, tag, or commit)', 'type': 'string'}, 'versionOptions': {'description': 'Version options', 'type': 'string'}, 'versionType': {'description': 'Version type', 'type': 'string'}}, 'type': 'object'}}, 'required': ['repositoryId'], 'type': 'object'}, description="""Browse the contents of a repository"""), # RyanCardin15/azure-devops-mcp/browseRepository
    Tool(name="""azure-devops-mcp_getFileContent""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'path': {'description': 'Path to the file', 'type': 'string'}, 'repositoryId': {'description': 'ID of the repository', 'type': 'string'}, 'versionDescriptor': {'additionalProperties': False, 'description': 'Version descriptor', 'properties': {'version': {'description': 'Version (branch, tag, or commit)', 'type': 'string'}, 'versionOptions': {'description': 'Version options', 'type': 'string'}, 'versionType': {'description': 'Version type', 'type': 'string'}}, 'type': 'object'}}, 'required': ['repositoryId', 'path'], 'type': 'object'}, description="""Get the content of a file"""), # RyanCardin15/azure-devops-mcp/getFileContent
    Tool(name="""azure-devops-mcp_getCommitHistory""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'itemPath': {'description': 'Path to filter commits by', 'type': 'string'}, 'repositoryId': {'description': 'ID of the repository', 'type': 'string'}, 'skip': {'description': 'Number of commits to skip', 'type': 'number'}, 'top': {'description': 'Maximum number of commits to return', 'type': 'number'}}, 'required': ['repositoryId'], 'type': 'object'}, description="""Get commit history for a repository"""), # RyanCardin15/azure-devops-mcp/getCommitHistory
    Tool(name="""azure-devops-mcp_listPullRequests""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'creatorId': {'description': 'Filter by creator', 'type': 'string'}, 'repositoryId': {'description': 'ID of the repository', 'type': 'string'}, 'reviewerId': {'description': 'Filter by reviewer', 'type': 'string'}, 'skip': {'description': 'Number of pull requests to skip', 'type': 'number'}, 'status': {'description': 'Filter by status', 'enum': ['abandoned', 'active', 'all', 'completed', 'notSet'], 'type': 'string'}, 'top': {'description': 'Maximum number of pull requests to return', 'type': 'number'}}, 'required': ['repositoryId'], 'type': 'object'}, description="""List pull requests"""), # RyanCardin15/azure-devops-mcp/listPullRequests
    Tool(name="""azure-devops-mcp_createPullRequest""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'description': {'description': 'Description of the pull request', 'type': 'string'}, 'repositoryId': {'description': 'ID of the repository', 'type': 'string'}, 'reviewers': {'description': 'List of reviewers', 'items': {'type': 'string'}, 'type': 'array'}, 'sourceRefName': {'description': 'Source branch', 'type': 'string'}, 'targetRefName': {'description': 'Target branch', 'type': 'string'}, 'title': {'description': 'Title of the pull request', 'type': 'string'}}, 'required': ['repositoryId', 'sourceRefName', 'targetRefName', 'title'], 'type': 'object'}, description="""Create a new pull request"""), # RyanCardin15/azure-devops-mcp/createPullRequest
    Tool(name="""azure-devops-mcp_getPullRequest""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'pullRequestId': {'description': 'ID of the pull request', 'type': 'number'}, 'repositoryId': {'description': 'ID of the repository', 'type': 'string'}}, 'required': ['repositoryId', 'pullRequestId'], 'type': 'object'}, description="""Get details of a specific pull request"""), # RyanCardin15/azure-devops-mcp/getPullRequest
    Tool(name="""azure-devops-mcp_getPullRequestComments""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'pullRequestId': {'description': 'ID of the pull request', 'type': 'number'}, 'repositoryId': {'description': 'ID of the repository', 'type': 'string'}, 'skip': {'description': 'Number of comments to skip', 'type': 'number'}, 'threadId': {'description': 'ID of a specific thread', 'type': 'number'}, 'top': {'description': 'Maximum number of comments to return', 'type': 'number'}}, 'required': ['repositoryId', 'pullRequestId'], 'type': 'object'}, description="""Get comments on a pull request"""), # RyanCardin15/azure-devops-mcp/getPullRequestComments
    Tool(name="""azure-devops-mcp_approvePullRequest""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'pullRequestId': {'description': 'ID of the pull request', 'type': 'number'}, 'repositoryId': {'description': 'ID of the repository', 'type': 'string'}}, 'required': ['repositoryId', 'pullRequestId'], 'type': 'object'}, description="""Approve a pull request"""), # RyanCardin15/azure-devops-mcp/approvePullRequest
    Tool(name="""azure-devops-mcp_mergePullRequest""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'comment': {'description': 'Comment for the merge commit', 'type': 'string'}, 'mergeStrategy': {'description': 'Merge strategy', 'enum': ['noFastForward', 'rebase', 'rebaseMerge', 'squash'], 'type': 'string'}, 'pullRequestId': {'description': 'ID of the pull request', 'type': 'number'}, 'repositoryId': {'description': 'ID of the repository', 'type': 'string'}}, 'required': ['repositoryId', 'pullRequestId'], 'type': 'object'}, description="""Merge a pull request"""), # RyanCardin15/azure-devops-mcp/mergePullRequest
    Tool(name="""azure-devops-mcp_runAutomatedTests""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'parallelExecution': {'description': 'Whether to run tests in parallel', 'type': 'boolean'}, 'testEnvironment': {'description': 'Environment to run tests in', 'type': 'string'}, 'testPlanId': {'description': 'ID of the test plan to run', 'type': 'number'}, 'testSuiteId': {'description': 'ID of the test suite to run', 'type': 'number'}}, 'type': 'object'}, description="""Execute automated test suites"""), # RyanCardin15/azure-devops-mcp/runAutomatedTests
    Tool(name="""azure-devops-mcp_getTestAutomationStatus""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'testRunId': {'description': 'ID of the test run to check status for', 'type': 'number'}}, 'required': ['testRunId'], 'type': 'object'}, description="""Check status of automated test execution"""), # RyanCardin15/azure-devops-mcp/getTestAutomationStatus
    Tool(name="""azure-devops-mcp_configureTestAgents""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'agentName': {'description': 'Name of the test agent to configure', 'type': 'string'}, 'capabilities': {'additionalProperties': {}, 'description': 'Capabilities to set for the agent', 'type': 'object'}, 'enabled': {'description': 'Whether the agent should be enabled', 'type': 'boolean'}}, 'required': ['agentName'], 'type': 'object'}, description="""Configure and manage test agents"""), # RyanCardin15/azure-devops-mcp/configureTestAgents
    Tool(name="""azure-devops-mcp_createTestDataGenerator""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'dataSchema': {'additionalProperties': {}, 'description': 'Schema for the test data to generate', 'type': 'object'}, 'name': {'description': 'Name of the test data generator', 'type': 'string'}, 'recordCount': {'description': 'Number of records to generate', 'type': 'number'}}, 'required': ['name', 'dataSchema'], 'type': 'object'}, description="""Generate test data for automated tests"""), # RyanCardin15/azure-devops-mcp/createTestDataGenerator
    Tool(name="""azure-devops-mcp_manageTestEnvironments""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'action': {'description': 'Action to perform', 'enum': ['create', 'update', 'delete'], 'type': 'string'}, 'environmentName': {'description': 'Name of the test environment', 'type': 'string'}, 'properties': {'additionalProperties': {}, 'description': 'Properties for the environment', 'type': 'object'}}, 'required': ['environmentName', 'action'], 'type': 'object'}, description="""Manage test environments for different test types"""), # RyanCardin15/azure-devops-mcp/manageTestEnvironments
    Tool(name="""azure-devops-mcp_getTestFlakiness""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'testId': {'description': 'ID of a specific test to analyze', 'type': 'number'}, 'testRunIds': {'description': 'Specific test runs to analyze', 'items': {'type': 'number'}, 'type': 'array'}, 'timeRange': {'description': "Time range for analysis (e.g., '30d')", 'type': 'string'}}, 'type': 'object'}, description="""Analyze and report on test flakiness"""), # RyanCardin15/azure-devops-mcp/getTestFlakiness
    Tool(name="""azure-devops-mcp_getTestGapAnalysis""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'areaPath': {'description': 'Area path to analyze', 'type': 'string'}, 'codeChangesOnly': {'description': 'Only analyze recent code changes', 'type': 'boolean'}}, 'type': 'object'}, description="""Identify gaps in test coverage"""), # RyanCardin15/azure-devops-mcp/getTestGapAnalysis
    Tool(name="""azure-devops-mcp_runTestImpactAnalysis""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'buildId': {'description': 'ID of the build to analyze', 'type': 'number'}, 'changedFiles': {'description': 'List of changed files', 'items': {'type': 'string'}, 'type': 'array'}}, 'required': ['buildId'], 'type': 'object'}, description="""Determine which tests to run based on code changes"""), # RyanCardin15/azure-devops-mcp/runTestImpactAnalysis
    Tool(name="""azure-devops-mcp_getTestHealthDashboard""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'includeTrends': {'description': 'Include trend data', 'type': 'boolean'}, 'timeRange': {'description': "Time range for metrics (e.g., '90d')", 'type': 'string'}}, 'type': 'object'}, description="""View overall test health metrics"""), # RyanCardin15/azure-devops-mcp/getTestHealthDashboard
    Tool(name="""azure-devops-mcp_runTestOptimization""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'optimizationGoal': {'description': 'Optimization goal', 'enum': ['time', 'coverage', 'reliability'], 'type': 'string'}, 'testPlanId': {'description': 'ID of the test plan to optimize', 'type': 'number'}}, 'required': ['testPlanId', 'optimizationGoal'], 'type': 'object'}, description="""Optimize test suite execution for faster feedback"""), # RyanCardin15/azure-devops-mcp/runTestOptimization
    Tool(name="""azure-devops-mcp_createExploratorySessions""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'areaPath': {'description': 'Area path for the session', 'type': 'string'}, 'description': {'description': 'Description of the session', 'type': 'string'}, 'title': {'description': 'Title of the exploratory session', 'type': 'string'}}, 'required': ['title'], 'type': 'object'}, description="""Create new exploratory testing sessions"""), # RyanCardin15/azure-devops-mcp/createExploratorySessions
    Tool(name="""azure-devops-mcp_recordExploratoryTestResults""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'attachments': {'description': 'Attachments for the findings', 'type': 'array'}, 'findings': {'description': 'List of findings to record', 'items': {'type': 'string'}, 'type': 'array'}, 'sessionId': {'description': 'ID of the exploratory session', 'type': 'number'}}, 'required': ['sessionId', 'findings'], 'type': 'object'}, description="""Record findings during exploratory testing"""), # RyanCardin15/azure-devops-mcp/recordExploratoryTestResults
    Tool(name="""azure-devops-mcp_convertFindingsToWorkItems""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'findingIds': {'description': 'IDs of findings to convert', 'items': {'type': 'number'}, 'type': 'array'}, 'sessionId': {'description': 'ID of the exploratory session', 'type': 'number'}, 'workItemType': {'description': 'Type of work item to create', 'type': 'string'}}, 'required': ['sessionId', 'findingIds'], 'type': 'object'}, description="""Convert exploratory test findings to work items"""), # RyanCardin15/azure-devops-mcp/convertFindingsToWorkItems
    Tool(name="""azure-devops-mcp_getExploratoryTestStatistics""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'timeRange': {'description': "Time range for statistics (e.g., '90d')", 'type': 'string'}, 'userId': {'description': 'Filter by specific user', 'type': 'string'}}, 'type': 'object'}, description="""Get statistics on exploratory testing activities"""), # RyanCardin15/azure-devops-mcp/getExploratoryTestStatistics
    Tool(name="""azure-devops-mcp_runSecurityScan""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'branch': {'description': 'Branch to scan', 'type': 'string'}, 'repositoryId': {'description': 'ID of the repository to scan', 'type': 'string'}, 'scanType': {'description': 'Type of security scan to run', 'enum': ['static', 'dynamic', 'container', 'dependency', 'all'], 'type': 'string'}}, 'required': ['repositoryId'], 'type': 'object'}, description="""Run security scans on repositories"""), # RyanCardin15/azure-devops-mcp/runSecurityScan
    Tool(name="""azure-devops-mcp_getSecurityScanResults""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'scanId': {'description': 'ID of the scan to get results for', 'type': 'string'}, 'severity': {'description': 'Filter results by severity', 'enum': ['critical', 'high', 'medium', 'low', 'all'], 'type': 'string'}}, 'required': ['scanId'], 'type': 'object'}, description="""Get results from security scans"""), # RyanCardin15/azure-devops-mcp/getSecurityScanResults
    Tool(name="""azure-devops-mcp_trackSecurityVulnerabilities""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'status': {'description': 'Filter by vulnerability status', 'enum': ['open', 'in-progress', 'mitigated', 'resolved', 'false-positive'], 'type': 'string'}, 'timeRange': {'description': "Time range for tracking (e.g., '90d')", 'type': 'string'}, 'vulnerabilityId': {'description': 'ID of a specific vulnerability to track', 'type': 'string'}}, 'type': 'object'}, description="""Track and manage security vulnerabilities"""), # RyanCardin15/azure-devops-mcp/trackSecurityVulnerabilities
    Tool(name="""azure-devops-mcp_generateSecurityCompliance""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'includeEvidence': {'description': 'Include evidence in the report', 'type': 'boolean'}, 'standardType': {'description': 'Compliance standard to report on', 'enum': ['owasp', 'pci-dss', 'hipaa', 'gdpr', 'iso27001', 'custom'], 'type': 'string'}}, 'type': 'object'}, description="""Generate security compliance reports"""), # RyanCardin15/azure-devops-mcp/generateSecurityCompliance
    Tool(name="""azure-devops-mcp_integrateSarifResults""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'createWorkItems': {'description': 'Create work items from findings', 'type': 'boolean'}, 'sarifFilePath': {'description': 'Path to the SARIF file to import', 'type': 'string'}}, 'required': ['sarifFilePath'], 'type': 'object'}, description="""Import and process SARIF format security results"""), # RyanCardin15/azure-devops-mcp/integrateSarifResults
    Tool(name="""azure-devops-mcp_runComplianceChecks""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'complianceStandard': {'description': 'Compliance standard to check against', 'type': 'string'}, 'scopeId': {'description': 'Scope of the compliance check', 'type': 'string'}}, 'required': ['complianceStandard'], 'type': 'object'}, description="""Run compliance checks against standards"""), # RyanCardin15/azure-devops-mcp/runComplianceChecks
    Tool(name="""azure-devops-mcp_getComplianceStatus""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'includeHistory': {'description': 'Include historical compliance data', 'type': 'boolean'}, 'standardId': {'description': 'ID of the compliance standard', 'type': 'string'}}, 'type': 'object'}, description="""Get current compliance status"""), # RyanCardin15/azure-devops-mcp/getComplianceStatus
    Tool(name="""azure-devops-mcp_createComplianceReport""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'format': {'description': 'Format of the report', 'enum': ['pdf', 'html', 'json'], 'type': 'string'}, 'standardId': {'description': 'ID of the compliance standard', 'type': 'string'}}, 'required': ['standardId'], 'type': 'object'}, description="""Create compliance reports for auditing"""), # RyanCardin15/azure-devops-mcp/createComplianceReport
    Tool(name="""azure-devops-mcp_manageSecurityPolicies""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'action': {'description': 'Action to perform on the policy', 'enum': ['create', 'update', 'delete', 'get'], 'type': 'string'}, 'policyDefinition': {'additionalProperties': {}, 'description': 'Definition of the policy', 'type': 'object'}, 'policyName': {'description': 'Name of the security policy', 'type': 'string'}}, 'required': ['policyName', 'action'], 'type': 'object'}, description="""Manage security policies"""), # RyanCardin15/azure-devops-mcp/manageSecurityPolicies
    Tool(name="""azure-devops-mcp_trackSecurityAwareness""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'teamId': {'description': 'ID of the team to track', 'type': 'string'}, 'timeRange': {'description': "Time range for tracking (e.g., '90d')", 'type': 'string'}, 'trainingId': {'description': 'ID of specific training to track', 'type': 'string'}}, 'type': 'object'}, description="""Track security awareness and training"""), # RyanCardin15/azure-devops-mcp/trackSecurityAwareness
    Tool(name="""azure-devops-mcp_rotateSecrets""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'force': {'description': 'Force rotation even if not expired', 'type': 'boolean'}, 'secretName': {'description': 'Name of the secret to rotate', 'type': 'string'}, 'secretType': {'description': 'Type of secret to rotate', 'enum': ['password', 'token', 'certificate', 'key'], 'type': 'string'}}, 'type': 'object'}, description="""Rotate secrets and credentials"""), # RyanCardin15/azure-devops-mcp/rotateSecrets
    Tool(name="""azure-devops-mcp_auditSecretUsage""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'secretName': {'description': 'Name of the secret to audit', 'type': 'string'}, 'timeRange': {'description': "Time range for the audit (e.g., '30d')", 'type': 'string'}}, 'type': 'object'}, description="""Audit usage of secrets across services"""), # RyanCardin15/azure-devops-mcp/auditSecretUsage
    Tool(name="""azure-devops-mcp_vaultIntegration""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'action': {'description': 'Action to perform', 'enum': ['get', 'list', 'set', 'delete'], 'type': 'string'}, 'secretPath': {'description': 'Path to the secret in the vault', 'type': 'string'}, 'secretValue': {'description': "Value to set (for 'set' action)", 'type': 'string'}, 'vaultUrl': {'description': 'URL of the vault to integrate with', 'type': 'string'}}, 'required': ['vaultUrl', 'action'], 'type': 'object'}, description="""Integrate with secret vaults"""), # RyanCardin15/azure-devops-mcp/vaultIntegration
    Tool(name="""azure-devops-mcp_listArtifactFeeds""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'feedType': {'description': 'Type of feeds to list', 'enum': ['npm', 'nuget', 'maven', 'python', 'universal', 'all'], 'type': 'string'}, 'includeDeleted': {'description': 'Include deleted feeds', 'type': 'boolean'}}, 'type': 'object'}, description="""List artifact feeds in the organization"""), # RyanCardin15/azure-devops-mcp/listArtifactFeeds
    Tool(name="""azure-devops-mcp_getPackageVersions""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'feedId': {'description': 'ID of the feed', 'type': 'string'}, 'packageName': {'description': 'Name of the package', 'type': 'string'}, 'top': {'description': 'Maximum number of versions to return', 'type': 'number'}}, 'required': ['feedId', 'packageName'], 'type': 'object'}, description="""Get versions of a package in a feed"""), # RyanCardin15/azure-devops-mcp/getPackageVersions
    Tool(name="""azure-devops-mcp_publishPackage""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'feedId': {'description': 'ID of the feed to publish to', 'type': 'string'}, 'packagePath': {'description': 'Path to the package file', 'type': 'string'}, 'packageType': {'description': 'Type of package', 'enum': ['npm', 'nuget', 'maven', 'python', 'universal'], 'type': 'string'}, 'packageVersion': {'description': 'Version of the package', 'type': 'string'}}, 'required': ['feedId', 'packageType', 'packagePath'], 'type': 'object'}, description="""Publish a package to a feed"""), # RyanCardin15/azure-devops-mcp/publishPackage
    Tool(name="""azure-devops-mcp_promotePackage""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'feedId': {'description': 'ID of the feed', 'type': 'string'}, 'packageName': {'description': 'Name of the package', 'type': 'string'}, 'packageVersion': {'description': 'Version of the package', 'type': 'string'}, 'sourceView': {'description': "Source view (e.g., 'prerelease')", 'type': 'string'}, 'targetView': {'description': "Target view (e.g., 'release')", 'type': 'string'}}, 'required': ['feedId', 'packageName', 'packageVersion', 'sourceView', 'targetView'], 'type': 'object'}, description="""Promote a package version between views"""), # RyanCardin15/azure-devops-mcp/promotePackage
    Tool(name="""azure-devops-mcp_deletePackageVersion""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'feedId': {'description': 'ID of the feed', 'type': 'string'}, 'packageName': {'description': 'Name of the package', 'type': 'string'}, 'packageVersion': {'description': 'Version of the package to delete', 'type': 'string'}, 'permanent': {'description': 'Permanently delete the package version', 'type': 'boolean'}}, 'required': ['feedId', 'packageName', 'packageVersion'], 'type': 'object'}, description="""Delete a version of a package"""), # RyanCardin15/azure-devops-mcp/deletePackageVersion
    Tool(name="""azure-devops-mcp_listContainerImages""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'includeDeleted': {'description': 'Include deleted images', 'type': 'boolean'}, 'includeManifests': {'description': 'Include image manifests', 'type': 'boolean'}, 'repositoryName': {'description': 'Name of the container repository', 'type': 'string'}}, 'type': 'object'}, description="""List container images in a repository"""), # RyanCardin15/azure-devops-mcp/listContainerImages
    Tool(name="""azure-devops-mcp_getContainerImageTags""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'imageName': {'description': 'Name of the container image', 'type': 'string'}, 'repositoryName': {'description': 'Name of the container repository', 'type': 'string'}, 'top': {'description': 'Maximum number of tags to return', 'type': 'number'}}, 'required': ['repositoryName', 'imageName'], 'type': 'object'}, description="""Get tags for a container image"""), # RyanCardin15/azure-devops-mcp/getContainerImageTags
    Tool(name="""azure-devops-mcp_scanContainerImage""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'imageTag': {'description': 'Tag of the container image to scan', 'type': 'string'}, 'repositoryName': {'description': 'Name of the container repository', 'type': 'string'}, 'scanType': {'description': 'Type of scan to perform', 'enum': ['vulnerability', 'compliance', 'both'], 'type': 'string'}}, 'required': ['repositoryName', 'imageTag'], 'type': 'object'}, description="""Scan a container image for vulnerabilities and compliance issues"""), # RyanCardin15/azure-devops-mcp/scanContainerImage
    Tool(name="""azure-devops-mcp_manageContainerPolicies""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'action': {'description': 'Action to perform on the policy', 'enum': ['get', 'set', 'delete'], 'type': 'string'}, 'policySettings': {'additionalProperties': {}, 'description': 'Settings for the policy when setting', 'type': 'object'}, 'policyType': {'description': 'Type of policy to manage', 'enum': ['retention', 'security', 'access'], 'type': 'string'}, 'repositoryName': {'description': 'Name of the container repository', 'type': 'string'}}, 'required': ['repositoryName', 'policyType', 'action'], 'type': 'object'}, description="""Manage policies for container repositories"""), # RyanCardin15/azure-devops-mcp/manageContainerPolicies
    Tool(name="""azure-devops-mcp_manageUniversalPackages""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'action': {'description': 'Action to perform', 'enum': ['download', 'upload', 'delete'], 'type': 'string'}, 'packageName': {'description': 'Name of the universal package', 'type': 'string'}, 'packagePath': {'description': 'Path for package upload or download', 'type': 'string'}, 'packageVersion': {'description': 'Version of the package', 'type': 'string'}}, 'required': ['packageName', 'action'], 'type': 'object'}, description="""Manage universal packages"""), # RyanCardin15/azure-devops-mcp/manageUniversalPackages
    Tool(name="""azure-devops-mcp_createPackageDownloadReport""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'feedId': {'description': 'ID of the feed', 'type': 'string'}, 'format': {'description': 'Format of the report', 'enum': ['csv', 'json'], 'type': 'string'}, 'packageName': {'description': 'Name of the package', 'type': 'string'}, 'timeRange': {'description': "Time range for the report (e.g., '30d')", 'type': 'string'}}, 'type': 'object'}, description="""Create reports on package downloads"""), # RyanCardin15/azure-devops-mcp/createPackageDownloadReport
    Tool(name="""azure-devops-mcp_checkPackageDependencies""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'checkVulnerabilities': {'description': 'Check for known vulnerabilities', 'type': 'boolean'}, 'includeTransitive': {'description': 'Include transitive dependencies', 'type': 'boolean'}, 'packageName': {'description': 'Name of the package to check', 'type': 'string'}, 'packageVersion': {'description': 'Version of the package', 'type': 'string'}}, 'required': ['packageName'], 'type': 'object'}, description="""Check package dependencies and vulnerabilities"""), # RyanCardin15/azure-devops-mcp/checkPackageDependencies
    Tool(name="""azure-devops-mcp_getAICodeReview""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'commitId': {'description': 'ID of the commit to review', 'type': 'string'}, 'filePath': {'description': 'Path to the file to review', 'type': 'string'}, 'pullRequestId': {'description': 'ID of the pull request to review', 'type': 'number'}, 'repositoryId': {'description': 'ID of the repository', 'type': 'string'}}, 'type': 'object'}, description="""Get AI-based code review suggestions"""), # RyanCardin15/azure-devops-mcp/getAICodeReview
    Tool(name="""azure-devops-mcp_suggestCodeOptimization""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'filePath': {'description': 'Path to the file to optimize', 'type': 'string'}, 'lineEnd': {'description': 'Ending line number', 'type': 'number'}, 'lineStart': {'description': 'Starting line number', 'type': 'number'}, 'optimizationType': {'description': 'Type of optimization to focus on', 'enum': ['performance', 'memory', 'readability', 'all'], 'type': 'string'}, 'repositoryId': {'description': 'ID of the repository', 'type': 'string'}}, 'required': ['repositoryId', 'filePath'], 'type': 'object'}, description="""Suggest code optimizations using AI"""), # RyanCardin15/azure-devops-mcp/suggestCodeOptimization
    Tool(name="""azure-devops-mcp_identifyCodeSmells""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'branch': {'description': 'Branch to analyze', 'type': 'string'}, 'filePath': {'description': 'Path to the file to analyze', 'type': 'string'}, 'repositoryId': {'description': 'ID of the repository', 'type': 'string'}, 'severity': {'description': 'Severity level to filter by', 'enum': ['high', 'medium', 'low', 'all'], 'type': 'string'}}, 'required': ['repositoryId'], 'type': 'object'}, description="""Identify potential code smells and anti-patterns"""), # RyanCardin15/azure-devops-mcp/identifyCodeSmells
    Tool(name="""azure-devops-mcp_getPredictiveBugAnalysis""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'branch': {'description': 'Branch to analyze', 'type': 'string'}, 'filePath': {'description': 'Path to the file to analyze', 'type': 'string'}, 'pullRequestId': {'description': 'ID of the pull request', 'type': 'number'}, 'repositoryId': {'description': 'ID of the repository', 'type': 'string'}}, 'required': ['repositoryId'], 'type': 'object'}, description="""Predict potential bugs in code changes"""), # RyanCardin15/azure-devops-mcp/getPredictiveBugAnalysis
    Tool(name="""azure-devops-mcp_getDeveloperProductivity""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'includeMetrics': {'description': 'Specific metrics to include', 'items': {'type': 'string'}, 'type': 'array'}, 'teamId': {'description': 'ID of the team', 'type': 'string'}, 'timeRange': {'description': "Time range for analysis (e.g., '30d', '3m')", 'type': 'string'}, 'userId': {'description': 'ID of the user', 'type': 'string'}}, 'type': 'object'}, description="""Measure developer productivity metrics"""), # RyanCardin15/azure-devops-mcp/getDeveloperProductivity
    Tool(name="""azure-devops-mcp_getPredictiveEffortEstimation""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'areaPath': {'description': 'Area path to filter work items', 'type': 'string'}, 'workItemIds': {'description': 'IDs of work items to estimate', 'items': {'type': 'number'}, 'type': 'array'}, 'workItemType': {'description': 'Type of work items to estimate', 'type': 'string'}}, 'type': 'object'}, description="""AI-based effort estimation for work items"""), # RyanCardin15/azure-devops-mcp/getPredictiveEffortEstimation
    Tool(name="""azure-devops-mcp_getCodeQualityTrends""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'branch': {'description': 'Branch to analyze', 'type': 'string'}, 'metrics': {'description': 'Specific metrics to include', 'items': {'type': 'string'}, 'type': 'array'}, 'repositoryId': {'description': 'ID of the repository', 'type': 'string'}, 'timeRange': {'description': "Time range for analysis (e.g., '90d', '6m')", 'type': 'string'}}, 'type': 'object'}, description="""Track code quality trends over time"""), # RyanCardin15/azure-devops-mcp/getCodeQualityTrends
    Tool(name="""azure-devops-mcp_suggestWorkItemRefinements""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'areaPath': {'description': 'Area path to filter work items', 'type': 'string'}, 'workItemId': {'description': 'ID of the work item to refine', 'type': 'number'}, 'workItemType': {'description': 'Type of work item', 'type': 'string'}}, 'type': 'object'}, description="""Get AI suggestions for work item refinements"""), # RyanCardin15/azure-devops-mcp/suggestWorkItemRefinements
    Tool(name="""azure-devops-mcp_suggestAutomationOpportunities""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'projectId': {'description': 'ID of the project', 'type': 'string'}, 'scopeType': {'description': 'Type of scope to analyze', 'enum': ['builds', 'releases', 'tests', 'workitems', 'all'], 'type': 'string'}}, 'type': 'object'}, description="""Identify opportunities for automation"""), # RyanCardin15/azure-devops-mcp/suggestAutomationOpportunities
    Tool(name="""azure-devops-mcp_createIntelligentAlerts""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'actions': {'additionalProperties': {}, 'description': 'Actions to take when the alert triggers', 'type': 'object'}, 'alertName': {'description': 'Name of the alert', 'type': 'string'}, 'alertType': {'description': 'Type of alert to create', 'enum': ['build', 'release', 'test', 'workitem', 'code'], 'type': 'string'}, 'conditions': {'additionalProperties': {}, 'description': 'Conditions for the alert', 'type': 'object'}}, 'required': ['alertName', 'alertType', 'conditions'], 'type': 'object'}, description="""Set up intelligent alerts based on patterns"""), # RyanCardin15/azure-devops-mcp/createIntelligentAlerts
    Tool(name="""azure-devops-mcp_predictBuildFailures""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'buildDefinitionId': {'description': 'ID of the build definition', 'type': 'number'}, 'lookbackPeriod': {'description': "Period to analyze for patterns (e.g., '30d')", 'type': 'string'}}, 'required': ['buildDefinitionId'], 'type': 'object'}, description="""Predict potential build failures before they occur"""), # RyanCardin15/azure-devops-mcp/predictBuildFailures
    Tool(name="""azure-devops-mcp_optimizeTestSelection""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'buildId': {'description': 'ID of the build', 'type': 'number'}, 'changedFiles': {'description': 'List of changed files', 'items': {'type': 'string'}, 'type': 'array'}, 'maxTestCount': {'description': 'Maximum number of tests to select', 'type': 'number'}}, 'required': ['buildId'], 'type': 'object'}, description="""Intelligently select tests to run based on changes"""), # RyanCardin15/azure-devops-mcp/optimizeTestSelection
    Tool(name="""figma-mcp_get_components""", inputSchema={'properties': {'file_key': {'title': 'File Key', 'type': 'string'}}, 'required': ['file_key'], 'title': 'get_componentsArguments', 'type': 'object'}, description="""Get components available in a Figma file\n\n        Args:\n            file_key (str): The file key found in the shared Figma URL\n\n        Returns:\n            list[dict]: List of components found in the Figma file\n        """), # JayZeeDesign/figma-mcp/get_components
    Tool(name="""figma-mcp_get_node""", inputSchema={'properties': {'file_key': {'title': 'File Key', 'type': 'string'}, 'node_id': {'title': 'Node Id', 'type': 'string'}}, 'required': ['file_key', 'node_id'], 'title': 'get_nodeArguments', 'type': 'object'}, description="""Get a specific node from a Figma file\n\n        Args:\n            file_key (str): The file key found in the shared Figma URL, e.g. if url is https://www.figma.com/proto/do4pJqHwNwH1nBrrscu6Ld/Untitled?page-id=0%3A1&node-id=0-3&viewport=361%2C361%2C0.08&t=9SVttILbgMlPWuL0-1&scaling=min-zoom&content-scaling=fixed&starting-point-node-id=0%3A3, then the file key is do4pJqHwNwH1nBrrscu6Ld\n            node_id (str): The ID of the node to retrieve, has to be in format x:x, e.g. in url it will be like 0-3, but it should be 0:3\n\n        Returns:\n            dict: The node data if found, empty dict if not found\n        """), # JayZeeDesign/figma-mcp/get_node
    Tool(name="""figma-mcp_get_workflow""", inputSchema={'properties': {'file_key': {'title': 'File Key', 'type': 'string'}}, 'required': ['file_key'], 'title': 'get_workflowArguments', 'type': 'object'}, description="""Get workflows available in a Figma file\n\n        Args:\n            file_key (str): The file key found in the shared Figma URL, e.g. if url is https://www.figma.com/proto/do4pJqHwNwH1nBrrscu6Ld/Untitled?page-id=0%3A1&node-id=0-3&viewport=361%2C361%2C0.08&t=9SVttILbgMlPWuL0-1&scaling=min-zoom&content-scaling=fixed&starting-point-node-id=0%3A3, then the file key is do4pJqHwNwH1nBrrscu6Ld\n\n        Returns:\n            list[dict]: List of workflow connections found in the Figma file\n        """), # JayZeeDesign/figma-mcp/get_workflow
    Tool(name="""Gitee_create_repository""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'auto_init': {'default': False, 'description': 'Whether to automatically initialize the repository', 'type': 'boolean'}, 'description': {'description': 'Repository description', 'type': 'string'}, 'gitignore_template': {'description': 'Git Ignore template', 'type': 'string'}, 'has_issues': {'default': True, 'description': 'Whether to enable Issue functionality', 'type': 'boolean'}, 'has_wiki': {'default': True, 'description': 'Whether to enable Wiki functionality', 'type': 'boolean'}, 'homepage': {'description': 'Homepage URL', 'type': 'string'}, 'license_template': {'description': 'License template', 'type': 'string'}, 'name': {'description': 'Repository name', 'type': 'string'}, 'path': {'description': 'Repository path', 'type': 'string'}, 'private': {'default': False, 'description': 'Whether the repository is private', 'type': 'boolean'}}, 'required': ['name'], 'type': 'object'}, description=""" Gitee """), # normal-coder/Gitee/create_repository
    Tool(name="""Gitee_fork_repository""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'organization': {'description': 'Organization path, defaults to personal account if not provided', 'type': 'string'}, 'owner': {'description': 'Repository owner path (enterprise, organization, or personal path)', 'type': 'string'}, 'repo': {'description': 'Repository path', 'type': 'string'}}, 'required': ['owner', 'repo'], 'type': 'object'}, description="""Fork Gitee """), # normal-coder/Gitee/fork_repository
    Tool(name="""Gitee_create_branch""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'branch_name': {'description': 'Name for the new branch', 'type': 'string'}, 'owner': {'description': 'Repository owner path (enterprise, organization, or personal path)', 'type': 'string'}, 'refs': {'default': 'master', 'description': 'Source reference for the branch, default: master', 'type': 'string'}, 'repo': {'description': 'Repository path', 'type': 'string'}}, 'required': ['owner', 'repo', 'branch_name'], 'type': 'object'}, description=""" Gitee """), # normal-coder/Gitee/create_branch
    Tool(name="""Gitee_list_branches""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'direction': {'default': 'asc', 'description': 'Sort direction', 'enum': ['asc', 'desc'], 'type': 'string'}, 'owner': {'description': 'Repository owner path (enterprise, organization, or personal path)', 'type': 'string'}, 'page': {'default': 1, 'description': 'Page number', 'type': 'integer'}, 'per_page': {'description': 'Number of items per page, maximum 100', 'maximum': 100, 'minimum': 1, 'type': 'integer'}, 'repo': {'description': 'Repository path', 'type': 'string'}, 'sort': {'default': 'name', 'description': 'Sort field', 'enum': ['name', 'updated'], 'type': 'string'}}, 'required': ['owner', 'repo'], 'type': 'object'}, description=""" Gitee """), # normal-coder/Gitee/list_branches
    Tool(name="""Gitee_get_branch""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'branch': {'description': 'Branch name', 'type': 'string'}, 'owner': {'description': 'Repository owner path (enterprise, organization, or personal path)', 'type': 'string'}, 'repo': {'description': 'Repository path', 'type': 'string'}}, 'required': ['owner', 'repo', 'branch'], 'type': 'object'}, description=""" Gitee """), # normal-coder/Gitee/get_branch
    Tool(name="""Gitee_get_file_contents""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'branch': {'description': "Branch name, defaults to the repository's default branch", 'type': 'string'}, 'owner': {'description': 'Repository owner path (enterprise, organization, or personal path)', 'type': 'string'}, 'path': {'description': 'File path', 'type': 'string'}, 'repo': {'description': 'Repository path', 'type': 'string'}}, 'required': ['owner', 'repo', 'path'], 'type': 'object'}, description=""" Gitee """), # normal-coder/Gitee/get_file_contents
    Tool(name="""Gitee_create_or_update_file""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'branch': {'description': "Branch name, defaults to the repository's default branch", 'type': 'string'}, 'content': {'description': 'File content', 'type': 'string'}, 'message': {'description': 'Commit message', 'type': 'string'}, 'owner': {'description': 'Repository owner path (enterprise, organization, or personal path)', 'type': 'string'}, 'path': {'description': 'File path', 'type': 'string'}, 'repo': {'description': 'Repository path', 'type': 'string'}, 'sha': {'description': 'File SHA, required when updating an existing file', 'type': 'string'}}, 'required': ['owner', 'repo', 'path', 'content', 'message'], 'type': 'object'}, description=""" Gitee """), # normal-coder/Gitee/create_or_update_file
    Tool(name="""Gitee_push_files""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'branch': {'description': "Branch name, defaults to the repository's default branch", 'type': 'string'}, 'files': {'description': 'List of files to commit', 'items': {'additionalProperties': False, 'properties': {'content': {'description': 'File content', 'type': 'string'}, 'path': {'description': 'File path', 'type': 'string'}}, 'required': ['path', 'content'], 'type': 'object'}, 'type': 'array'}, 'message': {'description': 'Commit message', 'type': 'string'}, 'owner': {'description': 'Repository owner path (enterprise, organization, or personal path)', 'type': 'string'}, 'repo': {'description': 'Repository path', 'type': 'string'}}, 'required': ['owner', 'repo', 'message', 'files'], 'type': 'object'}, description=""" Gitee """), # normal-coder/Gitee/push_files
    Tool(name="""Gitee_create_issue""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'assignees': {'description': 'Users assigned to the issue', 'items': {'type': 'string'}, 'type': 'array'}, 'body': {'description': 'Issue content', 'type': 'string'}, 'labels': {'description': 'Labels', 'items': {'type': 'string'}, 'type': 'array'}, 'milestone': {'description': 'Milestone ID', 'type': 'number'}, 'owner': {'description': 'Repository owner path (enterprise, organization, or personal path)', 'type': 'string'}, 'repo': {'description': 'Repository path', 'type': 'string'}, 'security_hole': {'description': 'Whether the issue is private, default is false', 'type': 'boolean'}, 'title': {'description': 'Issue title', 'type': 'string'}}, 'required': ['owner', 'repo', 'title'], 'type': 'object'}, description=""" Gitee  Issue"""), # normal-coder/Gitee/create_issue
    Tool(name="""Gitee_list_issues""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'assignee': {'description': 'Filter issues assigned to a specific user', 'type': 'string'}, 'creator': {'description': 'Filter issues created by a specific user', 'type': 'string'}, 'direction': {'default': 'desc', 'description': 'Sort direction', 'enum': ['asc', 'desc'], 'type': 'string'}, 'labels': {'description': 'Labels, multiple labels separated by commas', 'type': 'string'}, 'milestone': {'description': 'Milestone ID', 'type': 'number'}, 'owner': {'description': 'Repository owner path (enterprise, organization, or personal path)', 'type': 'string'}, 'page': {'default': 1, 'description': 'Page number', 'type': 'integer'}, 'per_page': {'description': 'Number of items per page, maximum 100', 'maximum': 100, 'minimum': 1, 'type': 'integer'}, 'program': {'description': 'Filter issues for a specific program', 'type': 'string'}, 'repo': {'description': 'Repository path', 'type': 'string'}, 'sort': {'default': 'created', 'description': 'Sort field', 'enum': ['created', 'updated', 'comments'], 'type': 'string'}, 'state': {'default': 'open', 'description': 'Issue state', 'enum': ['open', 'closed', 'all'], 'type': 'string'}}, 'required': ['owner', 'repo'], 'type': 'object'}, description=""" Gitee  Issues"""), # normal-coder/Gitee/list_issues
    Tool(name="""Gitee_get_issue""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'issue_number': {'description': 'Issue number', 'type': ['number', 'string']}, 'owner': {'description': 'Repository owner path (enterprise, organization, or personal path)', 'type': 'string'}, 'repo': {'description': 'Repository path', 'type': 'string'}}, 'required': ['owner', 'repo', 'issue_number'], 'type': 'object'}, description=""" Gitee  Issue"""), # normal-coder/Gitee/get_issue
    Tool(name="""Gitee_update_issue""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'assignees': {'description': 'Users assigned to the issue', 'items': {'type': 'string'}, 'type': 'array'}, 'body': {'description': 'Issue content', 'type': 'string'}, 'issue_number': {'description': 'Issue number', 'type': ['number', 'string']}, 'labels': {'description': 'Labels', 'items': {'type': 'string'}, 'type': 'array'}, 'milestone': {'description': 'Milestone ID', 'type': 'number'}, 'owner': {'description': 'Repository owner path (enterprise, organization, or personal path)', 'type': 'string'}, 'repo': {'description': 'Repository path', 'type': 'string'}, 'state': {'description': 'Issue state', 'enum': ['open', 'closed', 'progressing'], 'type': 'string'}, 'title': {'description': 'Issue title', 'type': 'string'}}, 'required': ['owner', 'repo', 'issue_number'], 'type': 'object'}, description=""" Gitee  Issue"""), # normal-coder/Gitee/update_issue
    Tool(name="""Gitee_add_issue_comment""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'body': {'description': 'Comment content', 'type': 'string'}, 'issue_number': {'description': 'Issue number', 'type': ['number', 'string']}, 'owner': {'description': 'Repository owner path (enterprise, organization, or personal path)', 'type': 'string'}, 'repo': {'description': 'Repository path', 'type': 'string'}}, 'required': ['owner', 'repo', 'issue_number', 'body'], 'type': 'object'}, description=""" Gitee  Issue """), # normal-coder/Gitee/add_issue_comment
    Tool(name="""Gitee_create_pull_request""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'assignees': {'description': 'Reviewers', 'items': {'type': 'string'}, 'type': 'array'}, 'base': {'description': 'Target branch name', 'type': 'string'}, 'body': {'description': 'Pull Request content', 'type': 'string'}, 'head': {'description': 'Source branch name', 'type': 'string'}, 'issue': {'description': 'Related issue, format: #xxx', 'type': 'string'}, 'labels': {'description': 'Labels', 'items': {'type': 'string'}, 'type': 'array'}, 'milestone_number': {'description': 'Milestone number', 'type': 'number'}, 'owner': {'description': 'Repository owner path (enterprise, organization, or personal path)', 'type': 'string'}, 'prune_source_branch': {'description': 'Whether to delete the source branch after merging', 'type': 'boolean'}, 'repo': {'description': 'Repository path', 'type': 'string'}, 'testers': {'description': 'Testers', 'items': {'type': 'string'}, 'type': 'array'}, 'title': {'description': 'Pull Request title', 'type': 'string'}}, 'required': ['owner', 'repo', 'title', 'head', 'base'], 'type': 'object'}, description=""" Gitee  Pull Request"""), # normal-coder/Gitee/create_pull_request
    Tool(name="""Gitee_list_pull_requests""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'direction': {'default': 'desc', 'description': 'Sort direction', 'enum': ['asc', 'desc'], 'type': 'string'}, 'labels': {'description': 'Labels, multiple labels separated by commas', 'type': 'string'}, 'milestone': {'description': 'Milestone ID', 'type': 'number'}, 'owner': {'description': 'Repository owner path (enterprise, organization, or personal path)', 'type': 'string'}, 'page': {'default': 1, 'description': 'Page number', 'type': 'integer'}, 'per_page': {'description': 'Number of items per page, maximum 100', 'maximum': 100, 'minimum': 1, 'type': 'integer'}, 'repo': {'description': 'Repository path', 'type': 'string'}, 'sort': {'default': 'created', 'description': 'Sort field', 'enum': ['created', 'updated', 'popularity', 'long-running'], 'type': 'string'}, 'state': {'default': 'open', 'description': 'Pull Request state', 'enum': ['open', 'closed', 'merged', 'all'], 'type': 'string'}}, 'required': ['owner', 'repo'], 'type': 'object'}, description=""" Gitee  Pull Requests"""), # normal-coder/Gitee/list_pull_requests
    Tool(name="""Gitee_get_pull_request""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'owner': {'description': 'Repository owner path (enterprise, organization, or personal path)', 'type': 'string'}, 'pull_number': {'description': 'Pull Request number', 'type': 'number'}, 'repo': {'description': 'Repository path', 'type': 'string'}}, 'required': ['owner', 'repo', 'pull_number'], 'type': 'object'}, description=""" Gitee  Pull Request"""), # normal-coder/Gitee/get_pull_request
    Tool(name="""Gitee_update_pull_request""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'assignees': {'description': 'Reviewers', 'items': {'type': 'string'}, 'type': 'array'}, 'body': {'description': 'Pull Request content', 'type': 'string'}, 'labels': {'description': 'Labels', 'items': {'type': 'string'}, 'type': 'array'}, 'milestone_number': {'description': 'Milestone number', 'type': 'number'}, 'owner': {'description': 'Repository owner path (enterprise, organization, or personal path)', 'type': 'string'}, 'pull_number': {'description': 'Pull Request number', 'type': 'number'}, 'repo': {'description': 'Repository path', 'type': 'string'}, 'state': {'description': 'Pull Request state', 'enum': ['open', 'closed'], 'type': 'string'}, 'testers': {'description': 'Testers', 'items': {'type': 'string'}, 'type': 'array'}, 'title': {'description': 'Pull Request title', 'type': 'string'}}, 'required': ['owner', 'repo', 'pull_number'], 'type': 'object'}, description=""" Gitee  Pull Request"""), # normal-coder/Gitee/update_pull_request
    Tool(name="""Gitee_merge_pull_request""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'merge_method': {'default': 'merge', 'description': 'Merge method', 'enum': ['merge', 'squash', 'rebase'], 'type': 'string'}, 'owner': {'description': 'Repository owner path (enterprise, organization, or personal path)', 'type': 'string'}, 'prune_source_branch': {'description': 'Whether to delete the source branch after merging', 'type': 'boolean'}, 'pull_number': {'description': 'Pull Request number', 'type': 'number'}, 'repo': {'description': 'Repository path', 'type': 'string'}}, 'required': ['owner', 'repo', 'pull_number'], 'type': 'object'}, description=""" Gitee  Pull Request"""), # normal-coder/Gitee/merge_pull_request
    Tool(name="""Gitee_get_user""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'username': {'description': 'Username', 'type': 'string'}}, 'required': ['username'], 'type': 'object'}, description=""" Gitee """), # normal-coder/Gitee/get_user
    Tool(name="""Gitee_get_current_user""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {}, 'type': 'object'}, description=""" Gitee """), # normal-coder/Gitee/get_current_user
    Tool(name="""mcpxcodebuild_build""", inputSchema={'description': 'Parameters', 'properties': {'folder': {'description': 'The full path of the current folder that the iOS Xcode workspace/project sits', 'title': 'Folder', 'type': 'string'}}, 'required': ['folder'], 'title': 'Folder', 'type': 'object'}, description="""Build the iOS Xcode workspace/project in the folder"""), # ShenghaiWang/mcpxcodebuild/build
    Tool(name="""mcpxcodebuild_test""", inputSchema={'description': 'Parameters', 'properties': {'folder': {'description': 'The full path of the current folder that the iOS Xcode workspace/project sits', 'title': 'Folder', 'type': 'string'}}, 'required': ['folder'], 'title': 'Folder', 'type': 'object'}, description="""Run test for the iOS Xcode workspace/project in the folder"""), # ShenghaiWang/mcpxcodebuild/test
    Tool(name="""mixpanel_get_today_top_events""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'limit': {'description': 'Maximum number of events to return', 'type': 'number'}, 'project_id': {'description': 'The Mixpanel project ID', 'type': 'string'}, 'type': {'description': 'The type of events to fetch', 'enum': ['general', 'total', 'unique'], 'type': 'string'}}, 'type': 'object'}, description="""Get today's top events from Mixpanel"""), # dragonkhoi/mixpanel/get_today_top_events
    Tool(name="""mixpanel_get_top_events""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'limit': {'description': 'Maximum number of events to return', 'type': 'number'}, 'project_id': {'description': 'The Mixpanel project ID', 'type': 'string'}, 'type': {'description': 'The type of events to fetch', 'enum': ['general', 'total', 'unique'], 'type': 'string'}}, 'type': 'object'}, description="""Get a list of the most common events over the last 31 days"""), # dragonkhoi/mixpanel/get_top_events
    Tool(name="""mixpanel_aggregate_event_counts""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'events': {'description': 'The event or events that you wish to get data for, encoded as a JSON array. Example format: "["play song", "log in", "add playlist"]"', 'type': 'string'}, 'from_date': {'description': 'The date in yyyy-mm-dd format to begin querying from (inclusive)', 'type': 'string'}, 'interval': {'description': 'The number of units to return data for. Specify either interval or from_date and to_date', 'type': 'number'}, 'project_id': {'description': 'The Mixpanel project ID', 'type': 'string'}, 'to_date': {'description': 'The date in yyyy-mm-dd format to query to (inclusive)', 'type': 'string'}, 'type': {'description': 'The type of data to fetch', 'enum': ['general', 'total', 'unique', 'average'], 'type': 'string'}, 'unit': {'description': 'The level of granularity of the data you get back', 'enum': ['minute', 'hour', 'day', 'week', 'month'], 'type': 'string'}}, 'required': ['events', 'unit'], 'type': 'object'}, description="""Get unique, total, or average data for a set of events over N days, weeks, or months"""), # dragonkhoi/mixpanel/aggregate_event_counts
    Tool(name="""mixpanel_query_segmentation_sum""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'event': {'description': 'The event that you wish to get data for (single event name, not an array)', 'type': 'string'}, 'from_date': {'description': 'The date in yyyy-mm-dd format to begin querying from (inclusive)', 'type': 'string'}, 'on': {'description': 'The expression to sum per unit time (should result in a numeric value)', 'type': 'string'}, 'project_id': {'description': 'The Mixpanel project ID', 'type': 'string'}, 'to_date': {'description': 'The date in yyyy-mm-dd format to query to (inclusive)', 'type': 'string'}, 'unit': {'description': "Time bucket size: 'hour' or 'day'. Default is 'day'", 'enum': ['hour', 'day'], 'type': 'string'}, 'where': {'description': 'An expression to filter events by', 'type': 'string'}, 'workspace_id': {'description': 'The ID of the workspace if applicable', 'type': 'string'}}, 'required': ['event', 'from_date', 'to_date', 'on'], 'type': 'object'}, description="""Sum a numeric expression for events over time"""), # dragonkhoi/mixpanel/query_segmentation_sum
    Tool(name="""mixpanel_aggregated_event_property_values""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'event': {'description': 'The event that you wish to get data for (a single event name, not an array)', 'type': 'string'}, 'from_date': {'description': 'The date in yyyy-mm-dd format to begin querying from (inclusive)', 'type': 'string'}, 'interval': {'description': 'The number of units to return data for. Specify either interval or from_date and to_date', 'type': 'number'}, 'limit': {'description': 'The maximum number of values to return (default: 255)', 'type': 'number'}, 'name': {'description': 'The name of the property you would like to get data for', 'type': 'string'}, 'project_id': {'description': 'The Mixpanel project ID', 'type': 'string'}, 'to_date': {'description': 'The date in yyyy-mm-dd format to query to (inclusive)', 'type': 'string'}, 'type': {'description': 'The analysis type - general, unique, or average events', 'enum': ['general', 'unique', 'average'], 'type': 'string'}, 'unit': {'description': 'The level of granularity of the data (minute, hour, day, week, or month)', 'enum': ['minute', 'hour', 'day', 'week', 'month'], 'type': 'string'}, 'values': {'description': 'The specific property values to get data for, encoded as a JSON array. Example: "["female", "unknown"]"', 'type': 'string'}}, 'required': ['event', 'name', 'type', 'unit'], 'type': 'object'}, description="""Get unique, total, or average data for a single event and property over days, weeks, or months"""), # dragonkhoi/mixpanel/aggregated_event_property_values
    Tool(name="""mixpanel_query_insights_report""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'bookmark_id': {'description': 'The ID of your Insights report', 'type': 'string'}, 'project_id': {'description': 'The Mixpanel project ID', 'type': 'string'}, 'workspace_id': {'description': 'The ID of the workspace if applicable', 'type': 'string'}}, 'required': ['bookmark_id'], 'type': 'object'}, description="""Get data from your Insights reports"""), # dragonkhoi/mixpanel/query_insights_report
    Tool(name="""mixpanel_query_funnel_report""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'from_date': {'description': 'The date in yyyy-mm-dd format to begin querying from (inclusive)', 'type': 'string'}, 'funnel_id': {'description': 'The Mixpanel funnel ID that you wish to get data for', 'type': 'string'}, 'interval': {'description': 'The number of days you want each bucket to contain', 'type': 'number'}, 'length': {'description': 'The number of units each user has to complete the funnel', 'type': 'number'}, 'length_unit': {'description': 'The unit applied to the length parameter', 'enum': ['day', 'hour', 'minute', 'second'], 'type': 'string'}, 'project_id': {'description': 'The Mixpanel project ID', 'type': 'string'}, 'to_date': {'description': 'The date in yyyy-mm-dd format to query to (inclusive)', 'type': 'string'}, 'unit': {'description': 'Alternate way of specifying interval', 'enum': ['day', 'week', 'month'], 'type': 'string'}, 'workspace_id': {'description': 'The ID of the workspace if applicable', 'type': 'string'}}, 'required': ['funnel_id', 'from_date', 'to_date'], 'type': 'object'}, description="""Get data for a funnel based on a funnel_id. Funnel IDs should be retrieved using the list_saved_funnels tool."""), # dragonkhoi/mixpanel/query_funnel_report
    Tool(name="""mixpanel_list_saved_funnels""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'project_id': {'description': 'The Mixpanel project ID', 'type': 'string'}, 'workspace_id': {'description': 'The ID of the workspace if applicable', 'type': 'string'}}, 'type': 'object'}, description="""Get the names and IDs of your saved funnels. This tool is useful for getting a funnel_id for the query_funnel_report tool."""), # dragonkhoi/mixpanel/list_saved_funnels
    Tool(name="""mixpanel_list_saved_cohorts""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'project_id': {'description': 'The Mixpanel project ID', 'type': 'string'}, 'workspace_id': {'description': 'The ID of the workspace if applicable', 'type': 'string'}}, 'type': 'object'}, description="""Get all cohorts in a given project"""), # dragonkhoi/mixpanel/list_saved_cohorts
    Tool(name="""mixpanel_query_retention_report""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'born_event': {'description': 'The first event a user must do to be counted in a birth retention cohort', 'type': 'string'}, 'born_where': {'description': 'An expression to filter born_events by', 'type': 'string'}, 'from_date': {'description': 'The date in yyyy-mm-dd format to begin querying from (inclusive)', 'type': 'string'}, 'interval': {'description': 'The number of units per individual bucketed interval. Default is 1', 'type': 'number'}, 'interval_count': {'description': 'The number of individual buckets/intervals to return. Default is 1', 'type': 'number'}, 'limit': {'description': "Return the top limit segmentation values. Only applies when 'on' is specified", 'type': 'number'}, 'on': {'description': 'The property expression to segment the second event on', 'type': 'string'}, 'project_id': {'description': 'The Mixpanel project ID', 'type': 'string'}, 'retention_type': {'description': "Type of retention: 'birth' (first time) or 'compounded' (recurring). Defaults to 'birth'", 'enum': ['birth', 'compounded'], 'type': 'string'}, 'return_event': {'description': 'The event to generate returning counts for. If not specified, looks across all events', 'type': 'string'}, 'return_where': {'description': 'An expression to filter return events by', 'type': 'string'}, 'to_date': {'description': 'The date in yyyy-mm-dd format to query to (inclusive)', 'type': 'string'}, 'unit': {'description': "The interval unit: 'day', 'week', or 'month'. Default is 'day'", 'enum': ['day', 'week', 'month'], 'type': 'string'}, 'workspace_id': {'description': 'The ID of the workspace if applicable', 'type': 'string'}}, 'required': ['from_date', 'to_date'], 'type': 'object'}, description="""Get data from your Retention reports"""), # dragonkhoi/mixpanel/query_retention_report
    Tool(name="""mixpanel_custom_jql""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'params': {'description': "A JSON string containing parameters to pass to the script (will be available as the 'params' variable)", 'type': 'string'}, 'project_id': {'description': 'The Mixpanel project ID', 'type': 'string'}, 'script': {'description': "The JQL script to run (JavaScript code that uses Mixpanel's JQL functions)", 'type': 'string'}, 'workspace_id': {'description': 'The ID of the workspace if applicable', 'type': 'string'}}, 'required': ['script'], 'type': 'object'}, description="""Run a custom JQL (JSON Query Language) script against your Mixpanel data"""), # dragonkhoi/mixpanel/custom_jql
    Tool(name="""mcp-server-datadog_list_incidents""", inputSchema={'properties': {'pageOffset': {'default': 0, 'minimum': 0, 'type': 'number'}, 'pageSize': {'default': 10, 'maximum': 100, 'minimum': 1, 'type': 'number'}}, 'required': [], 'type': 'object'}, description="""Get incidents from Datadog"""), # winor30/mcp-server-datadog/list_incidents
    Tool(name="""mcp-server-datadog_get_incident""", inputSchema={'properties': {'incidentId': {'minLength': 1, 'type': 'string'}}, 'required': ['incidentId'], 'type': 'object'}, description="""Get an incident from Datadog"""), # winor30/mcp-server-datadog/get_incident
    Tool(name="""mcp-server-datadog_get_metrics""", inputSchema={'properties': {'from': {'description': 'Start time in epoch seconds', 'type': 'number'}, 'query': {'description': 'Datadog metrics query string. e.g. "avg:system.cpu.user{*}', 'type': 'string'}, 'to': {'description': 'End time in epoch seconds', 'type': 'number'}}, 'required': ['from', 'to', 'query'], 'type': 'object'}, description="""Get metrics data from Datadog"""), # winor30/mcp-server-datadog/get_metrics
    Tool(name="""mcp-server-datadog_get_logs""", inputSchema={'properties': {'from': {'description': 'Start time in epoch seconds', 'type': 'number'}, 'limit': {'default': 100, 'description': 'Maximum number of logs to return. Default is 100.', 'type': 'number'}, 'query': {'default': '', 'description': 'Datadog logs query string', 'type': 'string'}, 'to': {'description': 'End time in epoch seconds', 'type': 'number'}}, 'required': ['from', 'to'], 'type': 'object'}, description="""Search and retrieve logs from Datadog"""), # winor30/mcp-server-datadog/get_logs
    Tool(name="""mcp-server-datadog_get_monitors""", inputSchema={'properties': {'groupStates': {'description': 'Filter monitors by their states', 'items': {'enum': ['alert', 'warn', 'no data', 'ok'], 'type': 'string'}, 'type': 'array'}, 'name': {'description': 'Filter monitors by name', 'type': 'string'}, 'tags': {'description': 'Filter monitors by tags', 'items': {'type': 'string'}, 'type': 'array'}}, 'required': [], 'type': 'object'}, description="""Get monitors status from Datadog"""), # winor30/mcp-server-datadog/get_monitors
    Tool(name="""mcp-server-datadog_list_dashboards""", inputSchema={'properties': {'name': {'description': 'Filter dashboards by name', 'type': 'string'}, 'tags': {'description': 'Filter dashboards by tags', 'items': {'type': 'string'}, 'type': 'array'}}, 'required': [], 'type': 'object'}, description="""Get list of dashboards from Datadog"""), # winor30/mcp-server-datadog/list_dashboards
    Tool(name="""mcp-server-datadog_list_traces""", inputSchema={'properties': {'from': {'description': 'Start time in epoch seconds', 'type': 'number'}, 'limit': {'default': 100, 'description': 'Maximum number of traces to return', 'type': 'number'}, 'operation': {'description': 'Filter by operation name', 'type': 'string'}, 'query': {'description': 'Datadog APM trace query string', 'type': 'string'}, 'service': {'description': 'Filter by service name', 'type': 'string'}, 'sort': {'default': '-timestamp', 'description': 'Sort order for traces', 'enum': ['timestamp', '-timestamp'], 'type': 'string'}, 'to': {'description': 'End time in epoch seconds', 'type': 'number'}}, 'required': ['query', 'from', 'to'], 'type': 'object'}, description="""Get APM traces from Datadog"""), # winor30/mcp-server-datadog/list_traces
    Tool(name="""mcp-server-datadog_mute_host""", inputSchema={'properties': {'end': {'description': 'POSIX timestamp for when the mute should end', 'type': 'integer'}, 'hostname': {'description': 'The name of the host to mute', 'type': 'string'}, 'message': {'description': 'Message to associate with the muting of this host', 'type': 'string'}, 'override': {'default': False, 'description': 'If true and the host is already muted, replaces existing end time', 'type': 'boolean'}}, 'required': ['hostname'], 'type': 'object'}, description="""Mute a host in Datadog"""), # winor30/mcp-server-datadog/mute_host
    Tool(name="""mcp-server-datadog_unmute_host""", inputSchema={'properties': {'hostname': {'description': 'The name of the host to unmute', 'type': 'string'}}, 'required': ['hostname'], 'type': 'object'}, description="""Unmute a host in Datadog"""), # winor30/mcp-server-datadog/unmute_host
    Tool(name="""mcp-server-datadog_list_hosts""", inputSchema={'properties': {'count': {'description': 'Max number of hosts to return (max: 1000)', 'maximum': 1000, 'type': 'integer'}, 'filter': {'description': 'Filter string for search results', 'type': 'string'}, 'from': {'description': 'Search hosts from this UNIX timestamp', 'type': 'integer'}, 'include_hosts_metadata': {'description': 'Include host metadata (version, platform, etc)', 'type': 'boolean'}, 'include_muted_hosts_data': {'description': 'Include muted hosts status and expiry', 'type': 'boolean'}, 'sort_dir': {'description': 'Sort direction (asc/desc)', 'type': 'string'}, 'sort_field': {'description': 'Field to sort hosts by', 'type': 'string'}, 'start': {'description': 'Starting offset for pagination', 'type': 'integer'}}, 'required': [], 'type': 'object'}, description="""Get list of hosts from Datadog"""), # winor30/mcp-server-datadog/list_hosts
    Tool(name="""mcp-server-datadog_get_active_hosts_count""", inputSchema={'properties': {'from': {'default': 7200, 'description': 'Number of seconds from which you want to get total number of active hosts (defaults to 2h)', 'type': 'integer'}}, 'required': [], 'type': 'object'}, description="""Get the total number of active hosts in Datadog (defaults to last 5 minutes)"""), # winor30/mcp-server-datadog/get_active_hosts_count
    Tool(name="""mcp-server-datadog_list_downtimes""", inputSchema={'properties': {'currentOnly': {'type': 'boolean'}, 'monitorId': {'type': 'number'}}, 'required': [], 'type': 'object'}, description="""List scheduled downtimes from Datadog"""), # winor30/mcp-server-datadog/list_downtimes
    Tool(name="""mcp-server-datadog_schedule_downtime""", inputSchema={'properties': {'end': {'type': 'number'}, 'message': {'type': 'string'}, 'monitorId': {'type': 'number'}, 'monitorTags': {'items': {'type': 'string'}, 'type': 'array'}, 'recurrence': {'additionalProperties': False, 'properties': {'period': {'minimum': 1, 'type': 'number'}, 'type': {'enum': ['days', 'weeks', 'months', 'years'], 'type': 'string'}, 'until': {'type': 'number'}, 'weekDays': {'items': {'enum': ['Mon', 'Tue', 'Wed', 'Thu', 'Fri', 'Sat', 'Sun'], 'type': 'string'}, 'type': 'array'}}, 'required': ['type', 'period'], 'type': 'object'}, 'scope': {'minLength': 1, 'type': 'string'}, 'start': {'type': 'number'}, 'timezone': {'type': 'string'}}, 'required': ['scope'], 'type': 'object'}, description="""Schedule a downtime in Datadog"""), # winor30/mcp-server-datadog/schedule_downtime
    Tool(name="""mcp-server-datadog_cancel_downtime""", inputSchema={'properties': {'downtimeId': {'type': 'number'}}, 'required': ['downtimeId'], 'type': 'object'}, description="""Cancel a scheduled downtime in Datadog"""), # winor30/mcp-server-datadog/cancel_downtime
    Tool(name="""mcp-llm_generate_code""", inputSchema={'properties': {'additionalContext': {'description': 'Additional context or requirements for the code', 'type': 'string'}, 'description': {'description': 'Description of the code to generate', 'type': 'string'}, 'language': {'description': 'Programming language (e.g., JavaScript, Python, TypeScript)', 'type': 'string'}}, 'required': ['description'], 'type': 'object'}, description="""Generate code based on a description"""), # sammcj/mcp-llm/generate_code
    Tool(name="""mcp-llm_generate_code_to_file""", inputSchema={'properties': {'additionalContext': {'description': 'Additional context or requirements for the code', 'type': 'string'}, 'description': {'description': 'Description of the code to generate', 'type': 'string'}, 'filePath': {'description': 'Path to the file where the code should be written', 'type': 'string'}, 'language': {'description': 'Programming language (e.g., JavaScript, Python, TypeScript)', 'type': 'string'}, 'lineNumber': {'description': 'Line number where the code should be inserted (0-based)', 'type': 'number'}, 'replaceLines': {'description': 'Number of lines to replace (0 for insertion only)', 'type': 'number'}}, 'required': ['description', 'filePath', 'lineNumber'], 'type': 'object'}, description="""Generate code and write it directly to a file at a specific line number"""), # sammcj/mcp-llm/generate_code_to_file
    Tool(name="""mcp-llm_generate_documentation""", inputSchema={'properties': {'code': {'description': 'Code to document', 'type': 'string'}, 'format': {'description': 'Documentation format (e.g., JSDoc, Markdown)', 'type': 'string'}, 'language': {'description': 'Programming language of the code', 'type': 'string'}}, 'required': ['code'], 'type': 'object'}, description="""Generate documentation for code"""), # sammcj/mcp-llm/generate_documentation
    Tool(name="""mcp-llm_ask_question""", inputSchema={'properties': {'context': {'description': 'Additional context for the question', 'type': 'string'}, 'question': {'description': 'Question to ask', 'type': 'string'}}, 'required': ['question'], 'type': 'object'}, description="""Ask a question to the LLM"""), # sammcj/mcp-llm/ask_question
    Tool(name="""mermaid-mcp-server_generate""", inputSchema={'properties': {'backgroundColor': {'description': "Background color for the diagram, e.g. 'white', 'transparent', '#F0F0F0' (optional)", 'type': 'string'}, 'code': {'description': 'The mermaid markdown to generate an image from', 'type': 'string'}, 'folder': {'description': 'Absolute path to save the image to (optional)', 'type': 'string'}, 'name': {'description': 'Name of the diagram (optional)', 'type': 'string'}, 'theme': {'description': 'Theme for the diagram (optional)', 'enum': ['default', 'forest', 'dark', 'neutral'], 'type': 'string'}}, 'required': ['code'], 'type': 'object'}, description="""Generate PNG image from mermaid markdown"""), # peng-shawn/mermaid-mcp-server/generate
    Tool(name="""Scrapezy_extract-structured-data""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'prompt': {'description': 'Prompt to extract data from the website', 'type': 'string'}, 'url': {'description': 'URL of the website to extract data from', 'format': 'uri', 'type': 'string'}}, 'required': ['url', 'prompt'], 'type': 'object'}, description="""Extract structured data from a website."""), # Scrapezy/Scrapezy/extract-structured-data
    Tool(name="""railway-mcp_domain_delete""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'id': {'description': 'ID of the domain to delete', 'type': 'string'}}, 'required': ['id'], 'type': 'object'}, description="""[API] Delete a domain from a service\n\n Best for:\n   Removing unused domains\n   Cleaning up configurations\n   Domain management\n\n Not for:\n   Temporary domain disabling\n   Port updates (use domain_update)\n\n Prerequisites: domain_list\n\n Alternatives: domain_update\n\n Related: service_update"""), # jason-tan-swe/railway-mcp/domain_delete
    Tool(name="""railway-mcp_database_list_types""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {}, 'type': 'object'}, description="""[QUERY] List all available database types that can be deployed using Railway's official templates\n\n Best for:\n   Discovering supported database types\n   Planning database deployments\n   Checking template availability\n\n Not for:\n   Listing existing databases\n   Getting database connection details\n\n Alternatives: service_create_from_image\n\n Next steps: database_deploy\n\n Related: database_deploy, service_create_from_image"""), # jason-tan-swe/railway-mcp/database_list_types
    Tool(name="""railway-mcp_domain_update""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'id': {'description': 'ID of the domain to update', 'type': 'string'}, 'targetPort': {'description': 'New port number to route traffic to', 'type': 'number'}}, 'required': ['id', 'targetPort'], 'type': 'object'}, description="""[API] Update a domain's configuration\n\n Best for:\n   Changing target ports\n   Updating domain settings\n   Reconfiguring endpoints\n\n Not for:\n   Changing domain names (delete and recreate instead)\n   TCP proxy configuration\n\n Prerequisites: domain_list\n\n Next steps: domain_list\n\n Related: service_update"""), # jason-tan-swe/railway-mcp/domain_update
    Tool(name="""railway-mcp_database_deploy_from_template""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'environmentId': {'description': 'Environment ID where the database will be deployed (usually obtained from project_info)', 'type': 'string'}, 'name': {'description': 'Optional custom name for the database service. Default: {type}-database', 'type': 'string'}, 'projectId': {'description': 'ID of the project where the database will be deployed', 'type': 'string'}, 'region': {'description': 'Region where the database should be deployed, try us-west1 before all other regions', 'enum': ['asia-southeast1', 'asia-southeast1-eqsg3a', 'europe-west4', 'europe-west4-drams3a', 'us-east4', 'us-east4-eqdc4a', 'us-west1', 'us-west2'], 'type': 'string'}, 'type': {'description': 'Type of database to deploy (e.g., postgresql, mongodb, redis). Use service_create_from_image for other types.', 'enum': ['postgres', 'mysql', 'mongodb', 'redis', 'minio', 'sqlite3', 'pocketbase', 'clickhouse', 'mariadb', 'pgvector'], 'type': 'string'}}, 'required': ['projectId', 'type', 'region', 'environmentId'], 'type': 'object'}, description="""[WORKFLOW] Deploy a pre-configured database using Railway's official templates and best practices\n\n Best for:\n   Standard database deployments\n   Quick setup with security defaults\n   Common database types (PostgreSQL, MongoDB, Redis)\n\n Not for:\n   Custom database versions\n   Complex configurations\n   Unsupported database types\n\n Prerequisites: database_list_types\n\n Alternatives: service_create_from_image\n\n Next steps: variable_list, service_info\n\n Related: volume_create, service_update"""), # jason-tan-swe/railway-mcp/database_deploy_from_template
    Tool(name="""railway-mcp_deployment_list""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'environmentId': {'description': 'ID of the environment to list deployments from (usually obtained from service_list)', 'type': 'string'}, 'limit': {'description': 'Optional: Maximum number of deployments to return (default: 10)', 'type': 'number'}, 'projectId': {'description': 'ID of the project containing the service', 'type': 'string'}, 'serviceId': {'description': 'ID of the service to list deployments for', 'type': 'string'}}, 'required': ['projectId', 'serviceId', 'environmentId'], 'type': 'object'}, description="""[API] List recent deployments for a service in a specific environment\n\n Best for:\n   Viewing deployment history\n   Monitoring service updates\n\n Prerequisites: service_list\n\n Next steps: deployment_logs, deployment_trigger\n\n Related: service_info, service_restart"""), # jason-tan-swe/railway-mcp/deployment_list
    Tool(name="""railway-mcp_deployment_trigger""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'commitSha': {'description': 'Specific commit SHA from the Git repository', 'type': 'string'}, 'environmentId': {'description': 'ID of the environment', 'type': 'string'}, 'projectId': {'description': 'ID of the project', 'type': 'string'}, 'serviceId': {'description': 'ID of the service', 'type': 'string'}}, 'required': ['projectId', 'serviceId', 'environmentId', 'commitSha'], 'type': 'object'}, description="""[API] Trigger a new deployment for a service\n\n Best for:\n   Deploying code changes\n   Applying configuration updates\n   Rolling back to previous states\n\n Not for:\n   Restarting services (use service_restart)\n   Updating service config (use service_update)\n   Database changes\n\n Prerequisites: service_list\n\n Alternatives: service_restart\n\n Next steps: deployment_logs, deployment_status\n\n Related: variable_set, service_update"""), # jason-tan-swe/railway-mcp/deployment_trigger
    Tool(name="""railway-mcp_deployment_logs""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'deploymentId': {'description': 'ID of the deployment to get logs for', 'type': 'string'}, 'limit': {'description': 'Maximum number of log entries to fetch', 'type': 'number'}}, 'required': ['deploymentId'], 'type': 'object'}, description="""[API] Get logs for a specific deployment\n\n Best for:\n   Debugging deployment issues\n   Monitoring deployment progress\n   Checking build output\n\n Not for:\n   Service runtime logs\n   Database logs\n\n Prerequisites: deployment_list\n\n Next steps: deployment_status\n\n Related: service_info, deployment_trigger"""), # jason-tan-swe/railway-mcp/deployment_logs
    Tool(name="""railway-mcp_deployment_status""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'deploymentId': {'description': 'ID of the deployment to check status for', 'type': 'string'}}, 'required': ['deploymentId'], 'type': 'object'}, description="""[API] Check the current status of a deployment\n\n Best for:\n   Monitoring deployment progress\n   Verifying successful deployments\n   Checking for deployment failures\n\n Not for:\n   Service runtime logs\n   Database logs\n\n Prerequisites: deployment_list, deployment_trigger\n\n Next steps: deployment_logs\n\n Related: service_info, service_restart, deployment_wait"""), # jason-tan-swe/railway-mcp/deployment_status
    Tool(name="""railway-mcp_domain_list""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'environmentId': {'description': 'ID of the environment that the service is in to list domains from (usually obtained from service_list)', 'type': 'string'}, 'projectId': {'description': 'ID of the project containing the service', 'type': 'string'}, 'serviceId': {'description': 'ID of the service to list domains for', 'type': 'string'}}, 'required': ['projectId', 'environmentId', 'serviceId'], 'type': 'object'}, description="""[API] List all domains (both service and custom) for a service\n\n Best for:\n   Viewing service endpoints\n   Managing domain configurations\n   Auditing domain settings\n\n Prerequisites: service_list\n\n Next steps: domain_create, domain_update\n\n Related: service_info, tcp_proxy_list"""), # jason-tan-swe/railway-mcp/domain_list
    Tool(name="""railway-mcp_domain_create""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'domain': {'description': "Custom domain name (optional, as railway will generate one for you and is generally better to leave it up to railway to generate one. There's usually no need to specify this and there are no use cases for overriding it.)", 'type': 'string'}, 'environmentId': {'description': 'ID of the environment', 'type': 'string'}, 'serviceId': {'description': 'ID of the service', 'type': 'string'}, 'suffix': {'description': 'Suffix for the domain (optional, railway will generate one for you and is generally better to leave it up to railway to generate one.)', 'type': 'string'}, 'targetPort': {'description': 'Target port for the domain (optional, as railway will use the default port for the service and detect it automatically.)', 'type': 'number'}}, 'required': ['environmentId', 'serviceId'], 'type': 'object'}, description="""[API] Create a new domain for a service\n\n Best for:\n   Setting up custom domains\n   Configuring service endpoints\n   Adding HTTPS endpoints\n\n Not for:\n   TCP proxy setup (use tcp_proxy_create)\n   Internal service communication\n\n Prerequisites: service_list, domain_check\n\n Alternatives: tcp_proxy_create\n\n Next steps: domain_update\n\n Related: service_info, domain_list"""), # jason-tan-swe/railway-mcp/domain_create
    Tool(name="""railway-mcp_domain_check""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'domain': {'description': 'Domain name to check availability for', 'type': 'string'}}, 'required': ['domain'], 'type': 'object'}, description="""[API] Check if a domain is available for use\n\n Best for:\n   Validating domain availability\n   Pre-deployment checks\n   Domain planning\n\n Next steps: domain_create\n\n Related: domain_list"""), # jason-tan-swe/railway-mcp/domain_check
    Tool(name="""railway-mcp_project_list""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {}, 'type': 'object'}, description="""[API] List all projects in your Railway account\n\n Best for:\n   Getting an overview of all projects\n   Finding project IDs\n   Project discovery and management\n\n Next steps: project_info, service_list\n\n Related: project_create, project_delete"""), # jason-tan-swe/railway-mcp/project_list
    Tool(name="""railway-mcp_project_info""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'projectId': {'description': 'ID of the project to get information about', 'type': 'string'}}, 'required': ['projectId'], 'type': 'object'}, description="""[API] Get detailed information about a specific Railway project\n\n Best for:\n   Viewing project details and status\n   Checking environments and services\n   Project configuration review\n\n Prerequisites: project_list\n\n Next steps: service_list, variable_list\n\n Related: project_update, project_delete"""), # jason-tan-swe/railway-mcp/project_info
    Tool(name="""railway-mcp_project_create""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'name': {'description': 'Name for the new project', 'type': 'string'}, 'teamId': {'description': 'Optional team ID to create the project under', 'type': 'string'}}, 'required': ['name'], 'type': 'object'}, description="""[API] Create a new Railway project\n\n Best for:\n   Starting new applications\n   Setting up development environments\n   Creating project spaces\n\n Not for:\n   Duplicating existing projects\n\n Next steps: service_create_from_repo, service_create_from_image, database_deploy\n\n Related: project_delete, project_update"""), # jason-tan-swe/railway-mcp/project_create
    Tool(name="""railway-mcp_project_delete""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'projectId': {'description': 'ID of the project to delete', 'type': 'string'}}, 'required': ['projectId'], 'type': 'object'}, description="""[API] Delete a Railway project and all its resources\n\n Best for:\n   Removing unused projects\n   Cleaning up test projects\n\n Not for:\n   Temporary project deactivation\n   Service-level cleanup (use service_delete)\n\n Prerequisites: project_list, project_info\n\n Alternatives: service_delete\n\n Related: project_create"""), # jason-tan-swe/railway-mcp/project_delete
    Tool(name="""railway-mcp_project_environments""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'projectId': {'description': 'ID of the project', 'type': 'string'}}, 'required': ['projectId'], 'type': 'object'}, description="""List all environments in a project"""), # jason-tan-swe/railway-mcp/project_environments
    Tool(name="""railway-mcp_service_list""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'projectId': {'description': 'ID of the project to list services from', 'type': 'string'}}, 'required': ['projectId'], 'type': 'object'}, description="""[API] List all services in a specific Railway project\n\n Best for:\n   Getting an overview of a project's services\n   Finding service IDs\n   Checking service status\n\n Prerequisites: project_list\n\n Next steps: service_info, deployment_list\n\n Related: project_info, variable_list"""), # jason-tan-swe/railway-mcp/service_list
    Tool(name="""railway-mcp_service_info""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'environmentId': {'description': 'ID of the environment to check (usually obtained from service_list)', 'type': 'string'}, 'projectId': {'description': 'ID of the project containing the service', 'type': 'string'}, 'serviceId': {'description': 'ID of the service to get information about', 'type': 'string'}}, 'required': ['projectId', 'serviceId', 'environmentId'], 'type': 'object'}, description="""[API] Get detailed information about a specific service\n\n Best for:\n   Viewing service configuration and status\n   Checking deployment details\n   Monitoring service health\n\n Prerequisites: service_list\n\n Next steps: deployment_list, variable_list\n\n Related: service_update, deployment_trigger"""), # jason-tan-swe/railway-mcp/service_info
    Tool(name="""railway-mcp_service_create_from_repo""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'name': {'description': 'Optional custom name for the service', 'type': 'string'}, 'projectId': {'description': 'ID of the project to create the service in', 'type': 'string'}, 'repo': {'description': "GitHub repository URL or name (e.g., 'owner/repo')", 'type': 'string'}}, 'required': ['projectId', 'repo'], 'type': 'object'}, description="""[API] Create a new service from a GitHub repository\n\n Best for:\n   Deploying applications from source code\n   Services that need build processes\n   GitHub-hosted projects\n\n Not for:\n   Pre-built Docker images (use service_create_from_image)\n   Database deployments (use database_deploy)\n   Static file hosting\n\n Prerequisites: project_list\n\n Alternatives: service_create_from_image, database_deploy\n\n Next steps: variable_set, service_update\n\n Related: deployment_trigger, service_info"""), # jason-tan-swe/railway-mcp/service_create_from_repo
    Tool(name="""railway-mcp_service_create_from_image""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'image': {'description': "Docker image to use (e.g., 'postgres:13-alpine')", 'type': 'string'}, 'name': {'description': 'Optional custom name for the service', 'type': 'string'}, 'projectId': {'description': 'ID of the project to create the service in', 'type': 'string'}}, 'required': ['projectId', 'image'], 'type': 'object'}, description="""[API] Create a new service from a Docker image\n\n Best for:\n   Custom database deployments\n   Pre-built container deployments\n   Specific version requirements\n\n Not for:\n   Standard database deployments (use database_deploy)\n   GitHub repository deployments (use service_create_from_repo)\n   Services needing build process\n\n Prerequisites: project_list\n\n Alternatives: database_deploy, service_create_from_repo\n\n Next steps: variable_set, service_update, tcp_proxy_create\n\n Related: volume_create, deployment_trigger"""), # jason-tan-swe/railway-mcp/service_create_from_image
    Tool(name="""railway-mcp_variable_delete""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'environmentId': {'description': 'ID of the environment to delete the variable from (usually obtained from service_list)', 'type': 'string'}, 'name': {'description': 'Name of the variable to delete', 'type': 'string'}, 'projectId': {'description': 'ID of the project', 'type': 'string'}, 'serviceId': {'description': 'ID of the service (optional, if omitted deletes a shared variable)', 'type': 'string'}}, 'required': ['projectId', 'environmentId', 'name'], 'type': 'object'}, description="""[API] Delete a variable for a service in a specific environment\n\n Best for:\n   Removing unused configuration\n   Security cleanup\n   Configuration management\n\n Not for:\n   Temporary variable disabling\n   Bulk variable removal\n\n Prerequisites: service_list\n\n Next steps: deployment_trigger, service_restart\n\n Related: variable_list, variable_set"""), # jason-tan-swe/railway-mcp/variable_delete
    Tool(name="""railway-mcp_service_update""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'buildCommand': {'description': 'Optional: Command to build the service', 'type': 'string'}, 'environmentId': {'description': 'ID of the environment to update (usually obtained from service_info)', 'type': 'string'}, 'healthcheckPath': {'description': 'Optional: Path for health checks', 'type': 'string'}, 'numReplicas': {'description': 'Optional: Number of service replicas to run', 'type': 'number'}, 'projectId': {'description': 'ID of the project containing the service', 'type': 'string'}, 'region': {'description': 'Optional: Region to deploy the service in', 'enum': ['asia-southeast1', 'asia-southeast1-eqsg3a', 'europe-west4', 'europe-west4-drams3a', 'us-east4', 'us-east4-eqdc4a', 'us-west1', 'us-west2'], 'type': 'string'}, 'rootDirectory': {'description': 'Optional: Root directory containing the service code', 'type': 'string'}, 'serviceId': {'description': 'ID of the service to update', 'type': 'string'}, 'sleepApplication': {'description': 'Optional: Whether to enable sleep mode', 'type': 'boolean'}, 'startCommand': {'description': 'Optional: Command to start the service', 'type': 'string'}}, 'required': ['projectId', 'serviceId', 'environmentId'], 'type': 'object'}, description="""[API] Update a service's configuration\n\n Best for:\n   Changing service settings\n   Updating resource limits\n   Modifying deployment configuration\n\n Not for:\n   Updating environment variables (use variable_set)\n   Restarting services (use service_restart)\n   Triggering new deployments (use deployment_trigger)\n\n Prerequisites: service_list, service_info\n\n Next steps: deployment_trigger\n\n Related: service_restart, variable_set"""), # jason-tan-swe/railway-mcp/service_update
    Tool(name="""railway-mcp_service_delete""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'projectId': {'description': 'ID of the project containing the service', 'type': 'string'}, 'serviceId': {'description': 'ID of the service to delete', 'type': 'string'}}, 'required': ['projectId', 'serviceId'], 'type': 'object'}, description="""[API] Delete a service from a project\n\n Best for:\n   Removing unused services\n   Cleaning up test services\n   Project reorganization\n\n Not for:\n   Temporary service stoppage (use service_restart)\n   Updating service configuration (use service_update)\n\n Prerequisites: service_list, service_info\n\n Alternatives: service_restart\n\n Related: project_delete"""), # jason-tan-swe/railway-mcp/service_delete
    Tool(name="""railway-mcp_service_restart""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'environmentId': {'description': 'ID of the environment where the service should be restarted (usually obtained from service_info)', 'type': 'string'}, 'serviceId': {'description': 'ID of the service to restart', 'type': 'string'}}, 'required': ['serviceId', 'environmentId'], 'type': 'object'}, description="""[API] Restart a service in a specific environment\n\n Best for:\n   Applying configuration changes\n   Clearing service state\n   Resolving runtime issues\n\n Not for:\n   Deploying new code (use deployment_trigger)\n   Updating service config (use service_update)\n   Long-term service stoppage (use service_delete)\n\n Prerequisites: service_list\n\n Alternatives: deployment_trigger\n\n Related: service_info, deployment_logs"""), # jason-tan-swe/railway-mcp/service_restart
    Tool(name="""railway-mcp_tcp_proxy_list""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'environmentId': {'description': 'ID of the environment containing the service', 'type': 'string'}, 'serviceId': {'description': 'ID of the service to list TCP proxies for', 'type': 'string'}}, 'required': ['environmentId', 'serviceId'], 'type': 'object'}, description="""[API] List all TCP proxies for a service in a specific environment\n\n Best for:\n   Viewing TCP proxy configurations\n   Managing external access\n   Auditing service endpoints\n\n Prerequisites: service_list\n\n Next steps: tcp_proxy_create\n\n Related: domain_list, service_info"""), # jason-tan-swe/railway-mcp/tcp_proxy_list
    Tool(name="""railway-mcp_tcp_proxy_create""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'applicationPort': {'description': "Port of application/service to proxy, usually based off of the service's Dockerfile or designated running port.", 'type': 'number'}, 'environmentId': {'description': 'ID of the environment (usually obtained from service_info)', 'type': 'string'}, 'serviceId': {'description': 'ID of the service', 'type': 'string'}}, 'required': ['environmentId', 'serviceId', 'applicationPort'], 'type': 'object'}, description="""[API] Create a new TCP proxy for a service\n\n Best for:\n   Setting up database access\n   Configuring external connections\n   Exposing TCP services\n\n Not for:\n   HTTP/HTTPS endpoints (use domain_create)\n   Internal service communication\n\n Prerequisites: service_list\n\n Alternatives: domain_create\n\n Next steps: tcp_proxy_list\n\n Related: service_info, service_update"""), # jason-tan-swe/railway-mcp/tcp_proxy_create
    Tool(name="""railway-mcp_tcp_proxy_delete""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'proxyId': {'description': 'ID of the TCP proxy to delete', 'type': 'string'}}, 'required': ['proxyId'], 'type': 'object'}, description="""[API] Delete a TCP proxy\n\n Best for:\n   Removing unused proxies\n   Security management\n   Endpoint cleanup\n\n Not for:\n   Temporary proxy disabling\n   Port updates\n\n Prerequisites: tcp_proxy_list\n\n Related: service_update"""), # jason-tan-swe/railway-mcp/tcp_proxy_delete
    Tool(name="""railway-mcp_list_service_variables""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'environmentId': {'description': 'ID of the environment to list variables from (usually obtained from service_list)', 'type': 'string'}, 'projectId': {'description': 'ID of the project containing the service', 'type': 'string'}, 'serviceId': {'description': 'Optional: ID of the service to list variables for, if not provided, shared variables across all services will be listed', 'type': 'string'}}, 'required': ['projectId', 'environmentId'], 'type': 'object'}, description="""[API] List all environment variables for a service\n\n Best for:\n   Viewing service configuration\n   Auditing environment variables\n   Checking connection strings\n\n Prerequisites: service_list\n\n Next steps: variable_set, variable_delete\n\n Related: service_info, variable_bulk_set"""), # jason-tan-swe/railway-mcp/list_service_variables
    Tool(name="""railway-mcp_variable_set""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'environmentId': {'description': 'ID of the environment for the variable (usually obtained from service_list)', 'type': 'string'}, 'name': {'description': 'Name of the environment variable', 'type': 'string'}, 'projectId': {'description': 'ID of the project containing the service', 'type': 'string'}, 'serviceId': {'description': 'Optional: ID of the service for the variable, if omitted creates/updates a shared variable', 'type': 'string'}, 'value': {'description': 'Value to set for the variable', 'type': 'string'}}, 'required': ['projectId', 'environmentId', 'name', 'value'], 'type': 'object'}, description="""[API] Create or update an environment variable\n\n Best for:\n   Setting configuration values\n   Updating connection strings\n   Managing service secrets\n\n Not for:\n   Bulk variable updates (use variable_bulk_set)\n   Temporary configuration changes\n\n Prerequisites: service_list\n\n Alternatives: variable_bulk_set\n\n Next steps: deployment_trigger, service_restart\n\n Related: variable_list, variable_delete"""), # jason-tan-swe/railway-mcp/variable_set
    Tool(name="""railway-mcp_variable_bulk_set""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'environmentId': {'description': 'ID of the environment for the variables (usually obtained from service_list)', 'type': 'string'}, 'projectId': {'description': 'ID of the project containing the service', 'type': 'string'}, 'serviceId': {'description': 'Optional: ID of the service for the variables, if omitted updates shared variables)', 'type': 'string'}, 'variables': {'additionalProperties': {'type': 'string'}, 'description': 'Object mapping variable names to values', 'type': 'object'}}, 'required': ['projectId', 'environmentId', 'variables'], 'type': 'object'}, description="""[WORKFLOW] Create or update multiple environment variables at once\n\n Best for:\n   Migrating configuration between services\n   Initial service setup\n   Bulk configuration updates\n\n Not for:\n   Single variable updates (use variable_set)\n   Temporary configuration changes\n\n Prerequisites: service_list\n\n Alternatives: variable_set\n\n Next steps: deployment_trigger, service_restart\n\n Related: variable_list, service_update"""), # jason-tan-swe/railway-mcp/variable_bulk_set
    Tool(name="""railway-mcp_variable_copy""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'overwrite': {'default': False, 'description': 'Whether to overwrite existing variables in the target environment', 'type': 'boolean'}, 'projectId': {'description': 'ID of the project', 'type': 'string'}, 'serviceId': {'description': 'ID of the service (optional, if omitted copies shared variables)', 'type': 'string'}, 'sourceEnvironmentId': {'description': 'ID of the source environment (usually obtained from project_info)', 'type': 'string'}, 'targetEnvironmentId': {'description': 'ID of the target environment (usually obtained from project_info)', 'type': 'string'}}, 'required': ['projectId', 'sourceEnvironmentId', 'targetEnvironmentId'], 'type': 'object'}, description="""[WORKFLOW] Copy variables from one environment to another\n\n Best for:\n   Environment migration\n   Configuration sharing\n   Environment duplication\n\n Not for:\n   Single variable updates (use variable_set)\n   Temporary configuration changes\n\n Prerequisites: service_list\n\n Alternatives: variable_set\n\n Next steps: deployment_trigger, service_restart\n\n Related: variable_list, service_update"""), # jason-tan-swe/railway-mcp/variable_copy
    Tool(name="""railway-mcp_configure_api_token""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'token': {'description': 'Railway API token (create one at https://railway.app/account/tokens)', 'type': 'string'}}, 'required': ['token'], 'type': 'object'}, description="""[UTILITY] Configure the Railway API token for authentication (only needed if not set in environment variables)\n\n Best for:\n   Initial setup\n   Token updates\n   Authentication configuration\n\n Not for:\n   Project configuration\n   Service settings\n   Environment variables\n\n Next steps: project_list, service_list\n\n Related: project_create"""), # jason-tan-swe/railway-mcp/configure_api_token
    Tool(name="""railway-mcp_volume_list""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'projectId': {'description': 'ID of the project to list volumes for', 'type': 'string'}}, 'required': ['projectId'], 'type': 'object'}, description="""[API] List all volumes in a project\n\n Best for:\n   Viewing persistent storage configurations\n   Managing data volumes\n   Auditing storage usage\n\n Prerequisites: project_list\n\n Next steps: volume_create\n\n Related: service_info, database_deploy"""), # jason-tan-swe/railway-mcp/volume_list
    Tool(name="""railway-mcp_volume_create""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'environmentId': {'description': 'ID of the environment for the volume (usually obtained from service_info)', 'type': 'string'}, 'mountPath': {'description': 'Path where the volume should be mounted in the container', 'type': 'string'}, 'projectId': {'description': 'ID of the project containing the service', 'type': 'string'}, 'serviceId': {'description': 'ID of the service to attach volume to', 'type': 'string'}}, 'required': ['projectId', 'environmentId', 'serviceId', 'mountPath'], 'type': 'object'}, description="""[API] Create a new persistent volume for a service\n\n Best for:\n   Setting up database storage\n   Configuring persistent data\n   Adding file storage\n\n Not for:\n   Temporary storage needs\n   Static file hosting\n   Memory caching\n\n Prerequisites: service_list\n\n Next steps: volume_list\n\n Related: service_update, database_deploy"""), # jason-tan-swe/railway-mcp/volume_create
    Tool(name="""railway-mcp_volume_update""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'name': {'description': 'New name for the volume', 'type': 'string'}, 'volumeId': {'description': 'ID of the volume to update', 'type': 'string'}}, 'required': ['volumeId', 'name'], 'type': 'object'}, description="""Update a volume's properties"""), # jason-tan-swe/railway-mcp/volume_update
    Tool(name="""railway-mcp_volume_delete""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'volumeId': {'description': 'ID of the volume to delete', 'type': 'string'}}, 'required': ['volumeId'], 'type': 'object'}, description="""[API] Delete a volume from a service\n\n Best for:\n   Removing unused storage\n   Storage cleanup\n   Resource management\n\n Not for:\n   Temporary data removal\n   Data backup (use volume_backup first)\n\n Prerequisites: volume_list\n\n Related: service_update"""), # jason-tan-swe/railway-mcp/volume_delete
    Tool(name="""emqx-mcp-server_list_mqtt_clients""", inputSchema={'properties': {'request': {'title': 'request', 'type': 'string'}}, 'required': ['request'], 'title': 'list_clientsArguments', 'type': 'object'}, description="""List MQTT clients connected to your EMQX Cluster"""), # Benniu/emqx-mcp-server/list_mqtt_clients
    Tool(name="""emqx-mcp-server_get_mqtt_client""", inputSchema={'properties': {'request': {'title': 'request', 'type': 'string'}}, 'required': ['request'], 'title': 'get_client_infoArguments', 'type': 'object'}, description="""Get detailed information about a specific MQTT client by client ID"""), # Benniu/emqx-mcp-server/get_mqtt_client
    Tool(name="""emqx-mcp-server_kick_mqtt_client""", inputSchema={'properties': {'request': {'title': 'request', 'type': 'string'}}, 'required': ['request'], 'title': 'kick_clientArguments', 'type': 'object'}, description="""Disconnect a client from the MQTT broker by client ID"""), # Benniu/emqx-mcp-server/kick_mqtt_client
    Tool(name="""emqx-mcp-server_publish_mqtt_message""", inputSchema={'properties': {'request': {'title': 'request', 'type': 'string'}}, 'required': ['request'], 'title': 'publishArguments', 'type': 'object'}, description="""Publish an MQTT Message to Your EMQX Cluster on EMQX Cloud or Self-Managed Deployment"""), # Benniu/emqx-mcp-server/publish_mqtt_message
    Tool(name="""mcp-server-ollama-deep-researcher_research""", inputSchema={'properties': {'topic': {'description': 'The topic to research', 'type': 'string'}}, 'required': ['topic'], 'type': 'object'}, description="""Research a topic using web search and LLM synthesis"""), # Cam10001110101/mcp-server-ollama-deep-researcher/research
    Tool(name="""mcp-server-ollama-deep-researcher_get_status""", inputSchema={'additionalProperties': False, 'properties': {'_dummy': {'const': 'dummy', 'description': 'No parameters needed', 'type': 'string'}}, 'required': ['_dummy'], 'type': 'object'}, description="""Get the current status of any ongoing research"""), # Cam10001110101/mcp-server-ollama-deep-researcher/get_status
    Tool(name="""mcp-server-ollama-deep-researcher_configure""", inputSchema={'properties': {'llmModel': {'description': 'Ollama model to use (e.g. llama3.2)', 'type': 'string'}, 'maxLoops': {'description': 'Maximum number of research loops (1-5)', 'type': 'number'}, 'searchApi': {'description': 'Search API to use for web research', 'enum': ['perplexity', 'tavily'], 'type': 'string'}}, 'required': [], 'type': 'object'}, description="""Configure the research parameters (max loops, LLM model, search API)"""), # Cam10001110101/mcp-server-ollama-deep-researcher/configure
    Tool(name="""Graphlit MCP Server_retrieveSources""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'collections': {'description': 'Collection identifiers to filter content by, optional.', 'items': {'type': 'string'}, 'type': 'array'}, 'contentType': {'description': 'Content type filter, optional. One of: Email, Event, File, Issue, Message, Page, Post, Text.', 'enum': ['EMAIL', 'EVENT', 'FILE', 'ISSUE', 'MESSAGE', 'PAGE', 'POST', 'TEXT'], 'type': 'string'}, 'feeds': {'description': 'Feed identifiers to filter content by, optional.', 'items': {'type': 'string'}, 'type': 'array'}, 'fileType': {'description': 'File type filter, optional. One of: Animation, Audio, Code, Data, Document, Drawing, Email, Geometry, Image, Package, PointCloud, Shape, Video.', 'enum': ['ANIMATION', 'AUDIO', 'CODE', 'DATA', 'DOCUMENT', 'DRAWING', 'EMAIL', 'GEOMETRY', 'IMAGE', 'MANIFEST', 'PACKAGE', 'POINT_CLOUD', 'SHAPE', 'UNKNOWN', 'VIDEO'], 'type': 'string'}, 'inLast': {'description': "Recency filter for content 'in last' timespan, optional. Should be ISO 8601 format, for example, 'PT1H' for last hour, 'P1D' for last day, 'P7D' for last week, 'P30D' for last month. Doesn't support weeks or months explicitly.", 'type': 'string'}, 'prompt': {'description': 'Search prompt for content retrieval.', 'type': 'string'}}, 'required': ['prompt'], 'type': 'object'}, description="""Retrieve relevant content sources from Graphlit knowledge base. Do *not* use for retrieving content by content identifier - retrieve content resource instead, with URI 'contents://{id}'.\n    Accepts a search prompt, optional recency filter (defaults to all time), and optional content type and file type filters.\n    Also accepts optional feed and collection identifiers to filter content by.\n    Prompt should be optimized for vector search, via text embeddings. Rewrite prompt as appropriate for higher relevance to search results.\n    Returns the ranked content sources, including their content resource URI to retrieve the complete Markdown text."""), # graphlit/Graphlit MCP Server/retrieveSources
    Tool(name="""Graphlit MCP Server_extractText""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'prompt': {'description': 'Text prompt which is provided to LLM to guide data extraction, optional.', 'type': 'string'}, 'schema': {'description': "JSON schema which describes the data which will be extracted. JSON schema needs be of type 'object' and include 'properties' and 'required' fields.", 'type': 'string'}, 'text': {'description': 'Text to be extracted with LLM.', 'type': 'string'}}, 'required': ['text', 'schema'], 'type': 'object'}, description="""Extracts JSON data from text using LLM.\n    Accepts text to be extracted, and JSON schema which describes the data which will be extracted. JSON schema needs be of type 'object' and include 'properties' and 'required' fields.\n    Optionally accepts text prompt which is provided to LLM to guide data extraction. Defaults to 'Extract data using the tools provided'.\n    Returns extracted JSON from text."""), # graphlit/Graphlit MCP Server/extractText
    Tool(name="""Graphlit MCP Server_createCollection""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'contents': {'description': 'Content identifiers to add to collection, optional.', 'items': {'type': 'string'}, 'type': 'array'}, 'name': {'description': 'Collection name.', 'type': 'string'}}, 'required': ['name'], 'type': 'object'}, description="""Create a collection.\n    Accepts a collection name, and optional list of content identifiers to add to collection.\n    Returns the collection identifier"""), # graphlit/Graphlit MCP Server/createCollection
    Tool(name="""Graphlit MCP Server_addContentsToCollection""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'contents': {'description': 'Content identifiers to add to collection.', 'items': {'type': 'string'}, 'type': 'array'}, 'id': {'description': 'Collection identifier.', 'type': 'string'}}, 'required': ['id', 'contents'], 'type': 'object'}, description="""Add contents to a collection.\n    Accepts a collection identifier and a list of content identifiers to add to collection.\n    Returns the collection identifier."""), # graphlit/Graphlit MCP Server/addContentsToCollection
    Tool(name="""Graphlit MCP Server_removeContentsFromCollection""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'contents': {'description': 'Content identifiers to remove from collection.', 'items': {'type': 'string'}, 'type': 'array'}, 'id': {'description': 'Collection identifier.', 'type': 'string'}}, 'required': ['id', 'contents'], 'type': 'object'}, description="""Remove contents from collection.\n    Accepts a collection identifier and a list of content identifiers to remove from collection.\n    Returns the collection identifier."""), # graphlit/Graphlit MCP Server/removeContentsFromCollection
    Tool(name="""Graphlit MCP Server_deleteCollection""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'id': {'description': 'Collection identifier.', 'type': 'string'}}, 'required': ['id'], 'type': 'object'}, description="""Delete a collection. Does *not* delete the content in the collection.\n    Accepts a collection identifier.\n    Returns the collection identifier and collection state, i.e. Deleted."""), # graphlit/Graphlit MCP Server/deleteCollection
    Tool(name="""Graphlit MCP Server_deleteFeed""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'id': {'description': 'Feed identifier.', 'type': 'string'}}, 'required': ['id'], 'type': 'object'}, description="""Delete a feed and all of its ingested content.\n    Accepts a feed identifier which was returned from one of the ingestion tools, like ingestGoogleDriveFiles.\n    Content deletion will happen asynchronously.\n    Returns the feed identifier and feed state, i.e. Deleted."""), # graphlit/Graphlit MCP Server/deleteFeed
    Tool(name="""Graphlit MCP Server_deleteContent""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'id': {'description': 'Content identifier.', 'type': 'string'}}, 'required': ['id'], 'type': 'object'}, description="""Delete content.\n    Accepts a content identifier.\n    Returns the content identifier and content state, i.e. Deleted."""), # graphlit/Graphlit MCP Server/deleteContent
    Tool(name="""Graphlit MCP Server_deleteContents""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'contentType': {'description': 'Content type filter, optional. One of: Email, Event, File, Issue, Message, Page, Post, Text.', 'enum': ['EMAIL', 'EVENT', 'FILE', 'ISSUE', 'MESSAGE', 'PAGE', 'POST', 'TEXT'], 'type': 'string'}, 'fileType': {'description': 'File type filter, optional. One of: Animation, Audio, Code, Data, Document, Drawing, Email, Geometry, Image, Package, PointCloud, Shape, Video.', 'enum': ['ANIMATION', 'AUDIO', 'CODE', 'DATA', 'DOCUMENT', 'DRAWING', 'EMAIL', 'GEOMETRY', 'IMAGE', 'MANIFEST', 'PACKAGE', 'POINT_CLOUD', 'SHAPE', 'UNKNOWN', 'VIDEO'], 'type': 'string'}, 'limit': {'default': 1000, 'type': 'number'}}, 'type': 'object'}, description="""Deletes contents from Graphlit knowledge base.\n        Accepts optional content type and file type filters to limit the contents which will be deleted.\n        Also accepts optional limit of how many contents to delete, defaults to 1000.\n        Returns the content identifiers and content state, i.e. Deleted."""), # graphlit/Graphlit MCP Server/deleteContents
    Tool(name="""Graphlit MCP Server_deleteFeeds""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'feedType': {'description': 'Feed type filter, optional. One of: Discord, Email, Intercom, Issue, MicrosoftTeams, Notion, Reddit, Rss, Search, Site, Slack, Web, YouTube, Zendesk.', 'enum': ['DISCORD', 'EMAIL', 'INTERCOM', 'ISSUE', 'MICROSOFT_TEAMS', 'NOTION', 'REDDIT', 'RSS', 'SEARCH', 'SITE', 'SLACK', 'WEB', 'YOU_TUBE', 'ZENDESK'], 'type': 'string'}, 'limit': {'default': 100, 'type': 'number'}}, 'type': 'object'}, description="""Deletes feeds from Graphlit knowledge base.\n        Accepts optional feed type filter to limit the feeds which will be deleted.\n        Also accepts optional limit of how many feeds to delete, defaults to 100.\n        Returns the feed identifiers and feed state, i.e. Deleted."""), # graphlit/Graphlit MCP Server/deleteFeeds
    Tool(name="""Graphlit MCP Server_isContentDone""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'id': {'description': 'Content identifier.', 'type': 'string'}}, 'required': ['id'], 'type': 'object'}, description="""Check if content has completed asynchronous ingestion.\n    Accepts a content identifier which was returned from one of the non-feed ingestion tools, like ingestUrl.\n    Returns whether the content is done or not."""), # graphlit/Graphlit MCP Server/isContentDone
    Tool(name="""Graphlit MCP Server_isFeedDone""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'id': {'description': 'Feed identifier.', 'type': 'string'}}, 'required': ['id'], 'type': 'object'}, description="""Check if an asynchronous feed has completed ingesting all the available content.\n    Accepts a feed identifier which was returned from one of the ingestion tools, like ingestGoogleDriveFiles.\n    Returns whether the feed is done or not."""), # graphlit/Graphlit MCP Server/isFeedDone
    Tool(name="""Graphlit MCP Server_listMicrosoftTeamsTeams""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {}, 'type': 'object'}, description="""Lists available Microsoft Teams teams.\n        Returns a list of Microsoft Teams teams, where the team identifier can be used with listMicrosoftTeamsChannels to enumerate Microsoft Teams channels."""), # graphlit/Graphlit MCP Server/listMicrosoftTeamsTeams
    Tool(name="""Graphlit MCP Server_listMicrosoftTeamsChannels""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'teamId': {'type': 'string'}}, 'required': ['teamId'], 'type': 'object'}, description="""Lists available Microsoft Teams channels.\n        Returns a list of Microsoft Teams channels, where the channel identifier can be used with ingestMicrosoftTeamsMessages to ingest messages into Graphlit knowledge base."""), # graphlit/Graphlit MCP Server/listMicrosoftTeamsChannels
    Tool(name="""Graphlit MCP Server_listSlackChannels""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {}, 'type': 'object'}, description="""Lists available Slack channels.\n        Returns a list of Slack channels, where the channel name can be used with ingestSlackMessages to ingest messages into Graphlit knowledge base."""), # graphlit/Graphlit MCP Server/listSlackChannels
    Tool(name="""Graphlit MCP Server_listSharePointLibraries""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {}, 'type': 'object'}, description="""Lists available SharePoint libraries.\n    Returns a list of SharePoint libraries, where the selected libraryId can be used with listSharePointFolders to enumerate SharePoint folders in a library."""), # graphlit/Graphlit MCP Server/listSharePointLibraries
    Tool(name="""Graphlit MCP Server_listSharePointFolders""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'libraryId': {'type': 'string'}}, 'required': ['libraryId'], 'type': 'object'}, description="""Lists available SharePoint folders.\n        Returns a list of SharePoint folders, which can be used with ingestSharePointFiles to ingest files into Graphlit knowledge base."""), # graphlit/Graphlit MCP Server/listSharePointFolders
    Tool(name="""Graphlit MCP Server_ingestMicrosoftEmail""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'readLimit': {'description': 'Number of emails to ingest, optional. Defaults to 100.', 'type': 'number'}}, 'type': 'object'}, description="""Ingests emails from Microsoft Email account into Graphlit knowledge base.\n    Accepts an optional read limit for the number of emails to ingest.\n    Executes asynchronously and returns the feed identifier."""), # graphlit/Graphlit MCP Server/ingestMicrosoftEmail
    Tool(name="""Graphlit MCP Server_ingestSharePointFiles""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'folderId': {'type': 'string'}, 'libraryId': {'type': 'string'}, 'readLimit': {'description': 'Number of files to ingest, optional. Defaults to 100.', 'type': 'number'}}, 'required': ['libraryId'], 'type': 'object'}, description="""Ingests files from SharePoint library into Graphlit knowledge base.\n    Accepts a SharePoint libraryId and an optional folderId to ingest files from a specific SharePoint folder.\n    Libraries can be enumerated with listSharePointLibraries and library folders with listSharePointFolders.\n    Accepts an optional read limit for the number of files to ingest.\n    Executes asynchronously and returns the feed identifier."""), # graphlit/Graphlit MCP Server/ingestSharePointFiles
    Tool(name="""Graphlit MCP Server_ingestOneDriveFiles""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'readLimit': {'description': 'Number of files to ingest, optional. Defaults to 100.', 'type': 'number'}}, 'type': 'object'}, description="""Ingests files from OneDrive folder into Graphlit knowledge base.\n    Accepts an optional read limit for the number of files to ingest.\n    Executes asynchronously and returns the feed identifier."""), # graphlit/Graphlit MCP Server/ingestOneDriveFiles
    Tool(name="""Graphlit MCP Server_ingestGoogleDriveFiles""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'readLimit': {'description': 'Number of files to ingest, optional. Defaults to 100.', 'type': 'number'}}, 'type': 'object'}, description="""Ingests files from Google Drive folder into Graphlit knowledge base.\n    Accepts an optional read limit for the number of files to ingest.\n    Executes asynchronously and returns the feed identifier."""), # graphlit/Graphlit MCP Server/ingestGoogleDriveFiles
    Tool(name="""Graphlit MCP Server_ingestDropboxFiles""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'path': {'type': 'string'}, 'readLimit': {'description': 'Number of files to ingest, optional. Defaults to 100.', 'type': 'number'}}, 'type': 'object'}, description="""Ingests files from Dropbox folder into Graphlit knowledge base.\n    Accepts optional relative path to Dropbox folder (i.e. /Pictures), and an optional read limit for the number of files to ingest.\n    If no path provided, ingests files from root Dropbox folder.\n    Executes asynchronously and returns the feed identifier."""), # graphlit/Graphlit MCP Server/ingestDropboxFiles
    Tool(name="""Graphlit MCP Server_ingestBoxFiles""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'folderId': {'default': '0', 'type': 'string'}, 'readLimit': {'description': 'Number of files to ingest, optional. Defaults to 100.', 'type': 'number'}}, 'type': 'object'}, description="""Ingests files from Box folder into Graphlit knowledge base.\n    Accepts optional Box folder identifier, and an optional read limit for the number of files to ingest.\n    If no folder identifier provided, ingests files from root Box folder (i.e. \"0\").\n    Folder identifier can be inferred from Box URL. https://app.box.com/folder/123456 -> folder identifier is \"123456\".\n    Executes asynchronously and returns the feed identifier."""), # graphlit/Graphlit MCP Server/ingestBoxFiles
    Tool(name="""Graphlit MCP Server_ingestGitHubFiles""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'readLimit': {'description': 'Number of files to ingest, optional. Defaults to 100.', 'type': 'number'}, 'repositoryName': {'description': 'GitHub repository name.', 'type': 'string'}, 'repositoryOwner': {'description': 'GitHub repository owner.', 'type': 'string'}}, 'required': ['repositoryName', 'repositoryOwner'], 'type': 'object'}, description="""Ingests files from GitHub repository into Graphlit knowledge base.\n    Accepts GitHub repository owner and repository name and an optional read limit for the number of files to ingest.\n    For example, for GitHub repository (https://github.com/openai/tiktoken), 'openai' is the repository owner, and 'tiktoken' is the repository name.\n    Executes asynchronously and returns the feed identifier."""), # graphlit/Graphlit MCP Server/ingestGitHubFiles
    Tool(name="""Graphlit MCP Server_ingestNotionPages""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'readLimit': {'description': 'Number of pages to ingest, optional. Defaults to 100.', 'type': 'number'}}, 'type': 'object'}, description="""Ingests pages from Notion database into Graphlit knowledge base.\n        Accepts an optional read limit for the number of messages to ingest.\n        Executes asynchronously and returns the feed identifier."""), # graphlit/Graphlit MCP Server/ingestNotionPages
    Tool(name="""Graphlit MCP Server_ingestUrl""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'url': {'type': 'string'}}, 'required': ['url'], 'type': 'object'}, description="""Ingests content from URL into Graphlit knowledge base.\n    Can scrape web pages, and can ingest individual Word documents, PDFs, audio recordings, videos, images, or any other unstructured data.\n    Executes asynchronously and returns the content identifier."""), # graphlit/Graphlit MCP Server/ingestUrl
    Tool(name="""Graphlit MCP Server_ingestMicrosoftTeamsMessages""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'channelId': {'type': 'string'}, 'readLimit': {'description': 'Number of messages to ingest, optional. Defaults to 100.', 'type': 'number'}, 'teamId': {'type': 'string'}}, 'required': ['teamId', 'channelId'], 'type': 'object'}, description="""Ingests messages from Microsoft Teams channel into Graphlit knowledge base.\n    Accepts Microsoft Teams team identifier and channel identifier, and an optional read limit for the number of messages to ingest.\n    Executes asynchronously and returns the feed identifier."""), # graphlit/Graphlit MCP Server/ingestMicrosoftTeamsMessages
    Tool(name="""Graphlit MCP Server_ingestSlackMessages""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'channelName': {'type': 'string'}, 'readLimit': {'description': 'Number of messages to ingest, optional. Defaults to 100.', 'type': 'number'}}, 'required': ['channelName'], 'type': 'object'}, description="""Ingests messages from Slack channel into Graphlit knowledge base.\n        Accepts Slack channel name and an optional read limit for the number of messages to ingest.\n        Executes asynchronously and returns the feed identifier."""), # graphlit/Graphlit MCP Server/ingestSlackMessages
    Tool(name="""Graphlit MCP Server_ingestDiscordMessages""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'channelName': {'type': 'string'}, 'readLimit': {'description': 'Number of messages to ingest, optional. Defaults to 100.', 'type': 'number'}}, 'required': ['channelName'], 'type': 'object'}, description="""Ingests messages from Discord channel into Graphlit knowledge base.\n        Accepts Discord channel name and an optional read limit for the number of messages to ingest.\n        Executes asynchronously and returns the feed identifier."""), # graphlit/Graphlit MCP Server/ingestDiscordMessages
    Tool(name="""Graphlit MCP Server_ingestRedditPosts""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'readLimit': {'description': 'Number of posts to ingest, optional. Defaults to 100.', 'type': 'number'}, 'subredditName': {'type': 'string'}}, 'required': ['subredditName'], 'type': 'object'}, description="""Ingests posts from Reddit subreddit into Graphlit knowledge base.\n        Accepts a subreddit name and an optional read limit for the number of posts to ingest.\n        Executes asynchronously and returns the feed identifier."""), # graphlit/Graphlit MCP Server/ingestRedditPosts
    Tool(name="""Graphlit MCP Server_ingestGoogleEmail""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'readLimit': {'description': 'Number of emails to ingest, optional. Defaults to 100.', 'type': 'number'}}, 'type': 'object'}, description="""Ingests emails from Google Email account into Graphlit knowledge base.\n    Accepts an optional read limit for the number of emails to ingest.\n    Executes asynchronously and returns the feed identifier."""), # graphlit/Graphlit MCP Server/ingestGoogleEmail
    Tool(name="""Graphlit MCP Server_ingestLinearIssues""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'projectName': {'type': 'string'}, 'readLimit': {'description': 'Number of issues to ingest, optional. Defaults to 100.', 'type': 'number'}}, 'required': ['projectName'], 'type': 'object'}, description="""Ingests issues from Linear project into Graphlit knowledge base.\n    Accepts Linear project name and an optional read limit for the number of issues to ingest.\n    Executes asynchronously and returns the feed identifier."""), # graphlit/Graphlit MCP Server/ingestLinearIssues
    Tool(name="""Graphlit MCP Server_ingestGitHubIssues""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'readLimit': {'description': 'Number of issues to ingest, optional. Defaults to 100.', 'type': 'number'}, 'repositoryName': {'description': 'GitHub repository name.', 'type': 'string'}, 'repositoryOwner': {'description': 'GitHub repository owner.', 'type': 'string'}}, 'required': ['repositoryName', 'repositoryOwner'], 'type': 'object'}, description="""Ingests issues from GitHub repository into Graphlit knowledge base.\n    Accepts GitHub repository owner and repository name and an optional read limit for the number of issues to ingest.\n    For example, for GitHub repository (https://github.com/openai/tiktoken), 'openai' is the repository owner, and 'tiktoken' is the repository name.\n    Executes asynchronously and returns the feed identifier."""), # graphlit/Graphlit MCP Server/ingestGitHubIssues
    Tool(name="""Graphlit MCP Server_ingestJiraIssues""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'projectName': {'type': 'string'}, 'readLimit': {'description': 'Number of issues to ingest, optional. Defaults to 100.', 'type': 'number'}, 'url': {'type': 'string'}}, 'required': ['url', 'projectName'], 'type': 'object'}, description="""Ingests issues from Atlassian Jira repository into Graphlit knowledge base.\n    Accepts Atlassian Jira server URL and project name, and an optional read limit for the number of issues to ingest.\n    Executes asynchronously and returns the feed identifier."""), # graphlit/Graphlit MCP Server/ingestJiraIssues
    Tool(name="""Graphlit MCP Server_webCrawl""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'readLimit': {'description': 'Number of web pages to ingest, optional. Defaults to 100.', 'type': 'number'}, 'url': {'type': 'string'}}, 'required': ['url'], 'type': 'object'}, description="""Crawls web pages from web site into Graphlit knowledge base.\n    Accepts a URL and an optional read limit for the number of pages to crawl.\n    Uses sitemap.xml to discover pages to be crawled from website.\n    Executes asynchronously and returns the feed identifier."""), # graphlit/Graphlit MCP Server/webCrawl
    Tool(name="""Graphlit MCP Server_webMap""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'url': {'type': 'string'}}, 'required': ['url'], 'type': 'object'}, description="""Enumerates the web pages at or beneath the provided URL using web sitemap. \n    Does *not* ingest web pages into Graphlit knowledge base.\n    Accepts web page URL as string.\n    Returns list of mapped URIs from web site."""), # graphlit/Graphlit MCP Server/webMap
    Tool(name="""Graphlit MCP Server_webSearch""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'search': {'type': 'string'}, 'searchService': {'default': 'TAVILY', 'enum': ['EXA', 'TAVILY'], 'type': 'string'}}, 'required': ['search'], 'type': 'object'}, description="""Performs web search based on search query. Format the search query as what would be entered into a Google search.\n    Prefer calling this tool over using 'curl' directly for any web search.\n    Does *not* ingest pages into Graphlit knowledge base.\n    Accepts search query as string, and optional search service type.\n    Can search for web pages, podcasts, videos, images, news, or shopping.\n    Search service types: Tavily, Exa. Defaults to Tavily.\n    Returns URL, title and relevant Markdown text from resulting web pages."""), # graphlit/Graphlit MCP Server/webSearch
    Tool(name="""Graphlit MCP Server_ingestRSS""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'readLimit': {'description': 'Number of issues to posts, optional. Defaults to 25.', 'type': 'number'}, 'url': {'type': 'string'}}, 'required': ['url'], 'type': 'object'}, description="""Ingests posts from RSS feed into Graphlit knowledge base.\n    For podcast RSS feeds, audio will be downloaded, transcribed and ingested into Graphlit knowledge base.\n    Accepts RSS URL and an optional read limit for the number of posts to read.\n    Executes asynchronously and returns the feed identifier."""), # graphlit/Graphlit MCP Server/ingestRSS
    Tool(name="""Graphlit MCP Server_ingestText""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'name': {'type': 'string'}, 'text': {'type': 'string'}, 'textType': {'default': 'MARKDOWN', 'enum': ['HTML', 'MARKDOWN', 'PLAIN'], 'type': 'string'}}, 'required': ['name', 'text'], 'type': 'object'}, description="""Ingests text as content into Graphlit knowledge base.\n    Accepts a name for the content object, the text itself, and an optional text type (Plain, Markdown, Html). Defaults to Markdown text type.\n    Can use for storing long-term textual memories or the output from LLM or other tools as content resources, which can be later searched or retrieved.\n    Executes *synchronously* and returns the content identifier."""), # graphlit/Graphlit MCP Server/ingestText
    Tool(name="""Graphlit MCP Server_ingestFile""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'filePath': {'type': 'string'}}, 'required': ['filePath'], 'type': 'object'}, description="""Ingests local file into Graphlit knowledge base.\n    Accepts the path to the file in the local filesystem.\n    Executes asynchronously and returns the content identifier."""), # graphlit/Graphlit MCP Server/ingestFile
    Tool(name="""Graphlit MCP Server_screenshotPage""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'url': {'type': 'string'}}, 'required': ['url'], 'type': 'object'}, description="""Screenshots web page from URL.\n    Executes asynchronously and returns the content identifier."""), # graphlit/Graphlit MCP Server/screenshotPage
    Tool(name="""Graphlit MCP Server_describeImage""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'prompt': {'type': 'string'}, 'url': {'type': 'string'}}, 'required': ['prompt', 'url'], 'type': 'object'}, description="""Prompts vision LLM and returns completion. \n    Does *not* ingest image into Graphlit knowledge base.\n    Accepts image URL as string.\n    Returns Markdown text from LLM completion."""), # graphlit/Graphlit MCP Server/describeImage
    Tool(name="""Graphlit MCP Server_describeContent""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'id': {'type': 'string'}, 'prompt': {'type': 'string'}}, 'required': ['id'], 'type': 'object'}, description="""Prompts vision LLM and returns description of image content. \n    Accepts content identifier as string, and optional prompt for image description.\n    Returns Markdown text from LLM completion."""), # graphlit/Graphlit MCP Server/describeContent
    Tool(name="""Outlook Calendar MCP_delete_event""", inputSchema={'properties': {'calendar': {'description': 'Calendar name (optional)', 'type': 'string'}, 'eventId': {'description': 'Event ID to delete', 'type': 'string'}}, 'required': ['eventId'], 'type': 'object'}, description="""Delete a calendar event by its ID"""), # merajmehrabi/Outlook Calendar MCP/delete_event
    Tool(name="""Outlook Calendar MCP_list_events""", inputSchema={'properties': {'calendar': {'description': 'Calendar name (optional)', 'type': 'string'}, 'endDate': {'description': 'End date in MM/DD/YYYY format (optional)', 'type': 'string'}, 'startDate': {'description': 'Start date in MM/DD/YYYY format', 'type': 'string'}}, 'required': ['startDate'], 'type': 'object'}, description="""List calendar events within a specified date range"""), # merajmehrabi/Outlook Calendar MCP/list_events
    Tool(name="""Outlook Calendar MCP_create_event""", inputSchema={'properties': {'attendees': {'description': 'Semicolon-separated list of attendee email addresses (optional)', 'type': 'string'}, 'body': {'description': 'Event description/body (optional)', 'type': 'string'}, 'calendar': {'description': 'Calendar name (optional)', 'type': 'string'}, 'endDate': {'description': 'End date in MM/DD/YYYY format (optional, defaults to start date)', 'type': 'string'}, 'endTime': {'description': 'End time in HH:MM AM/PM format (optional, defaults to 30 minutes after start time)', 'type': 'string'}, 'isMeeting': {'description': 'Whether this is a meeting with attendees (optional, defaults to false)', 'type': 'boolean'}, 'location': {'description': 'Event location (optional)', 'type': 'string'}, 'startDate': {'description': 'Start date in MM/DD/YYYY format', 'type': 'string'}, 'startTime': {'description': 'Start time in HH:MM AM/PM format', 'type': 'string'}, 'subject': {'description': 'Event subject/title', 'type': 'string'}}, 'required': ['subject', 'startDate', 'startTime'], 'type': 'object'}, description="""Create a new calendar event or meeting"""), # merajmehrabi/Outlook Calendar MCP/create_event
    Tool(name="""Outlook Calendar MCP_find_free_slots""", inputSchema={'properties': {'calendar': {'description': 'Calendar name (optional)', 'type': 'string'}, 'duration': {'description': 'Duration in minutes (optional, defaults to 30)', 'type': 'number'}, 'endDate': {'description': 'End date in MM/DD/YYYY format (optional, defaults to 7 days from start date)', 'type': 'string'}, 'startDate': {'description': 'Start date in MM/DD/YYYY format', 'type': 'string'}, 'workDayEnd': {'description': 'Work day end hour (0-23) (optional, defaults to 17)', 'type': 'number'}, 'workDayStart': {'description': 'Work day start hour (0-23) (optional, defaults to 9)', 'type': 'number'}}, 'required': ['startDate'], 'type': 'object'}, description="""Find available time slots in the calendar"""), # merajmehrabi/Outlook Calendar MCP/find_free_slots
    Tool(name="""Outlook Calendar MCP_get_attendee_status""", inputSchema={'properties': {'calendar': {'description': 'Calendar name (optional)', 'type': 'string'}, 'eventId': {'description': 'Event ID', 'type': 'string'}}, 'required': ['eventId'], 'type': 'object'}, description="""Check the response status of meeting attendees"""), # merajmehrabi/Outlook Calendar MCP/get_attendee_status
    Tool(name="""Outlook Calendar MCP_update_event""", inputSchema={'properties': {'body': {'description': 'New event description/body (optional)', 'type': 'string'}, 'calendar': {'description': 'Calendar name (optional)', 'type': 'string'}, 'endDate': {'description': 'New end date in MM/DD/YYYY format (optional)', 'type': 'string'}, 'endTime': {'description': 'New end time in HH:MM AM/PM format (optional)', 'type': 'string'}, 'eventId': {'description': 'Event ID to update', 'type': 'string'}, 'location': {'description': 'New event location (optional)', 'type': 'string'}, 'startDate': {'description': 'New start date in MM/DD/YYYY format (optional)', 'type': 'string'}, 'startTime': {'description': 'New start time in HH:MM AM/PM format (optional)', 'type': 'string'}, 'subject': {'description': 'New event subject/title (optional)', 'type': 'string'}}, 'required': ['eventId'], 'type': 'object'}, description="""Update an existing calendar event"""), # merajmehrabi/Outlook Calendar MCP/update_event
    Tool(name="""Outlook Calendar MCP_get_calendars""", inputSchema={'properties': {}, 'type': 'object'}, description="""List available calendars"""), # merajmehrabi/Outlook Calendar MCP/get_calendars
    Tool(name="""DuckDuckGo MCP Server_search""", inputSchema={'properties': {'max_results': {'default': 10, 'title': 'Max Results', 'type': 'integer'}, 'query': {'title': 'Query', 'type': 'string'}}, 'required': ['query'], 'title': 'searchArguments', 'type': 'object'}, description="""\nSearch DuckDuckGo and return formatted results.\n\nArgs:\n    query: The search query string\n    max_results: Maximum number of results to return (default: 10)\n    ctx: MCP context for logging\n"""), # nickclyde/DuckDuckGo MCP Server/search
    Tool(name="""DuckDuckGo MCP Server_fetch_content""", inputSchema={'properties': {'url': {'title': 'Url', 'type': 'string'}}, 'required': ['url'], 'title': 'fetch_contentArguments', 'type': 'object'}, description="""\nFetch and parse content from a webpage URL.\n\nArgs:\n    url: The webpage URL to fetch content from\n    ctx: MCP context for logging\n"""), # nickclyde/DuckDuckGo MCP Server/fetch_content
    Tool(name="""Oura MCP Server_get_today_resilience_data""", inputSchema={'properties': {}, 'title': 'get_today_resilience_dataArguments', 'type': 'object'}, description="""\n    Get resilience data for today.\n\n    Returns:\n        Dictionary containing resilience data for today\n    """), # tomekkorbak/Oura MCP Server/get_today_resilience_data
    Tool(name="""Oura MCP Server_get_sleep_data""", inputSchema={'properties': {'end_date': {'title': 'End Date', 'type': 'string'}, 'start_date': {'title': 'Start Date', 'type': 'string'}}, 'required': ['start_date', 'end_date'], 'title': 'get_sleep_dataArguments', 'type': 'object'}, description="""\n    Get sleep data for a specific date range.\n\n    Args:\n        start_date: Start date in ISO format (YYYY-MM-DD)\n        end_date: End date in ISO format (YYYY-MM-DD)\n\n    Returns:\n        Dictionary containing sleep data\n    """), # tomekkorbak/Oura MCP Server/get_sleep_data
    Tool(name="""Oura MCP Server_get_readiness_data""", inputSchema={'properties': {'end_date': {'title': 'End Date', 'type': 'string'}, 'start_date': {'title': 'Start Date', 'type': 'string'}}, 'required': ['start_date', 'end_date'], 'title': 'get_readiness_dataArguments', 'type': 'object'}, description="""\n    Get readiness data for a specific date range.\n\n    Args:\n        start_date: Start date in ISO format (YYYY-MM-DD)\n        end_date: End date in ISO format (YYYY-MM-DD)\n\n    Returns:\n        Dictionary containing readiness data\n    """), # tomekkorbak/Oura MCP Server/get_readiness_data
    Tool(name="""Oura MCP Server_get_resilience_data""", inputSchema={'properties': {'end_date': {'title': 'End Date', 'type': 'string'}, 'start_date': {'title': 'Start Date', 'type': 'string'}}, 'required': ['start_date', 'end_date'], 'title': 'get_resilience_dataArguments', 'type': 'object'}, description="""\n    Get resilience data for a specific date range.\n\n    Args:\n        start_date: Start date in ISO format (YYYY-MM-DD)\n        end_date: End date in ISO format (YYYY-MM-DD)\n\n    Returns:\n        Dictionary containing resilience data\n    """), # tomekkorbak/Oura MCP Server/get_resilience_data
    Tool(name="""Oura MCP Server_get_today_sleep_data""", inputSchema={'properties': {}, 'title': 'get_today_sleep_dataArguments', 'type': 'object'}, description="""\n    Get sleep data for today.\n\n    Returns:\n        Dictionary containing sleep data for today\n    """), # tomekkorbak/Oura MCP Server/get_today_sleep_data
    Tool(name="""Oura MCP Server_get_today_readiness_data""", inputSchema={'properties': {}, 'title': 'get_today_readiness_dataArguments', 'type': 'object'}, description="""\n    Get readiness data for today.\n\n    Returns:\n        Dictionary containing readiness data for today\n    """), # tomekkorbak/Oura MCP Server/get_today_readiness_data
    Tool(name="""MCP Redmine_redmine_request""", inputSchema={'properties': {'data': {'default': None, 'title': 'Data', 'type': 'object'}, 'method': {'default': 'get', 'title': 'Method', 'type': 'string'}, 'params': {'default': None, 'title': 'Params', 'type': 'object'}, 'path': {'title': 'Path', 'type': 'string'}}, 'required': ['path'], 'title': 'redmine_requestArguments', 'type': 'object'}, description="""\nMake a request to the Redmine API\n\nArgs:\n    path: API endpoint path (e.g. '/issues.json')\n    method: HTTP method to use (default: 'get')\n    data: Dictionary for request body (for POST/PUT)\n    params: Dictionary for query parameters\n\nReturns:\n    str: YAML string containing response status code, body and error message\n"""), # runekaagaard/MCP Redmine/redmine_request
    Tool(name="""MCP Redmine_redmine_paths_list""", inputSchema={'properties': {}, 'title': 'redmine_paths_listArguments', 'type': 'object'}, description="""Return a list of available API paths from OpenAPI spec\n\nRetrieves all endpoint paths defined in the Redmine OpenAPI specification. Remember that you can use the\nredmine_paths_info tool to get the full specfication for a path.\n\nReturns:\n    str: YAML string containing a list of path templates (e.g. '/issues.json')\n"""), # runekaagaard/MCP Redmine/redmine_paths_list
    Tool(name="""MCP Redmine_redmine_paths_info""", inputSchema={'properties': {'path_templates': {'items': {}, 'title': 'Path Templates', 'type': 'array'}}, 'required': ['path_templates'], 'title': 'redmine_paths_infoArguments', 'type': 'object'}, description="""Get full path information for given path templates\n\nArgs:\n    path_templates: List of path templates (e.g. ['/issues.json', '/projects.json'])\n    \nReturns:\n    str: YAML string containing API specifications for the requested paths\n"""), # runekaagaard/MCP Redmine/redmine_paths_info
    Tool(name="""MCP Redmine_redmine_upload""", inputSchema={'properties': {'description': {'default': None, 'title': 'Description', 'type': 'string'}, 'file_path': {'title': 'File Path', 'type': 'string'}}, 'required': ['file_path'], 'title': 'redmine_uploadArguments', 'type': 'object'}, description="""\nUpload a file to Redmine and get a token for attachment\n\nArgs:\n    file_path: Fully qualified path to the file to upload\n    description: Optional description for the file\n    \nReturns:\n    str: YAML string containing response status code, body and error message\n         The body contains the attachment token\n"""), # runekaagaard/MCP Redmine/redmine_upload
    Tool(name="""MCP Redmine_redmine_download""", inputSchema={'properties': {'attachment_id': {'title': 'Attachment Id', 'type': 'integer'}, 'filename': {'default': None, 'title': 'Filename', 'type': 'string'}, 'save_path': {'title': 'Save Path', 'type': 'string'}}, 'required': ['attachment_id', 'save_path'], 'title': 'redmine_downloadArguments', 'type': 'object'}, description="""\nDownload an attachment from Redmine and save it to a local file\n\nArgs:\n    attachment_id: The ID of the attachment to download\n    save_path: Fully qualified path where the file should be saved to\n    filename: Optional filename to use for the attachment. If not provided, \n             will be determined from attachment data or URL\n    \nReturns:\n    str: YAML string containing download status, file path, and any error messages\n"""), # runekaagaard/MCP Redmine/redmine_download
    Tool(name="""MATLAB MCP Server_execute_matlab_code""", inputSchema={'properties': {'code': {'description': 'MATLAB code to execute', 'type': 'string'}, 'saveScript': {'description': 'Whether to save the MATLAB script for future reference', 'type': 'boolean'}, 'scriptPath': {'description': 'Custom path to save the MATLAB script (optional)', 'type': 'string'}}, 'required': ['code'], 'type': 'object'}, description="""Execute MATLAB code and return the results"""), # WilliamCloudQi/MATLAB MCP Server/execute_matlab_code
    Tool(name="""MATLAB MCP Server_generate_matlab_code""", inputSchema={'properties': {'description': {'description': 'Natural language description of what the code should do', 'type': 'string'}, 'saveScript': {'description': 'Whether to save the generated MATLAB script', 'type': 'boolean'}, 'scriptPath': {'description': 'Custom path to save the MATLAB script (optional)', 'type': 'string'}}, 'required': ['description'], 'type': 'object'}, description="""Generate MATLAB code from a natural language description"""), # WilliamCloudQi/MATLAB MCP Server/generate_matlab_code
    Tool(name="""MySQL MCP Server_query""", inputSchema={'properties': {'sql': {'type': 'string'}}, 'required': ['sql'], 'type': 'object'}, description="""SQL"""), # xiangma9712/MySQL MCP Server/query
    Tool(name="""MySQL MCP Server_test_execute""", inputSchema={'properties': {'sql': {'type': 'string'}}, 'required': ['sql'], 'type': 'object'}, description="""SQL"""), # xiangma9712/MySQL MCP Server/test_execute
    Tool(name="""MySQL MCP Server_list_tables""", inputSchema={'type': 'object'}, description=""""""), # xiangma9712/MySQL MCP Server/list_tables
    Tool(name="""MySQL MCP Server_describe_table""", inputSchema={'properties': {'tableName': {'type': 'string'}}, 'required': ['tableName'], 'type': 'object'}, description=""""""), # xiangma9712/MySQL MCP Server/describe_table
    Tool(name="""File Finder MCP Server_search_files""", inputSchema={'properties': {'fragment': {'description': 'Text fragment to search for in file names', 'type': 'string'}}, 'required': ['fragment'], 'type': 'object'}, description="""Search for files containing a specified fragment in their names"""), # sergey-fintech/File Finder MCP Server/search_files
    Tool(name="""Linear MCP Server_create_issue""", inputSchema={'properties': {'assigneeId': {'description': 'Assignee user ID (optional)', 'type': 'string'}, 'description': {'description': 'Issue description (markdown supported)', 'type': 'string'}, 'labels': {'description': 'Label IDs to apply (optional)', 'items': {'type': 'string'}, 'type': 'array'}, 'priority': {'description': 'Priority (0-4, optional)', 'maximum': 4, 'minimum': 0, 'type': 'number'}, 'teamId': {'description': 'Team ID', 'type': 'string'}, 'title': {'description': 'Issue title', 'type': 'string'}}, 'required': ['title', 'teamId'], 'type': 'object'}, description="""Create a new issue in Linear"""), # tiovikram/Linear MCP Server/create_issue
    Tool(name="""Linear MCP Server_list_issues""", inputSchema={'properties': {'assigneeId': {'description': 'Filter by assignee ID (optional)', 'type': 'string'}, 'first': {'description': 'Number of issues to return (default: 50)', 'type': 'number'}, 'status': {'description': 'Filter by status (optional)', 'type': 'string'}, 'teamId': {'description': 'Filter by team ID (optional)', 'type': 'string'}}, 'type': 'object'}, description="""List issues with optional filters"""), # tiovikram/Linear MCP Server/list_issues
    Tool(name="""Linear MCP Server_update_issue""", inputSchema={'properties': {'assigneeId': {'description': 'New assignee ID (optional)', 'type': 'string'}, 'description': {'description': 'New description (optional)', 'type': 'string'}, 'issueId': {'description': 'Issue ID', 'type': 'string'}, 'priority': {'description': 'New priority (0-4, optional)', 'maximum': 4, 'minimum': 0, 'type': 'number'}, 'status': {'description': 'New status (optional)', 'type': 'string'}, 'title': {'description': 'New title (optional)', 'type': 'string'}}, 'required': ['issueId'], 'type': 'object'}, description="""Update an existing issue"""), # tiovikram/Linear MCP Server/update_issue
    Tool(name="""Linear MCP Server_list_teams""", inputSchema={'properties': {}, 'type': 'object'}, description="""List all teams in the workspace"""), # tiovikram/Linear MCP Server/list_teams
    Tool(name="""Linear MCP Server_list_projects""", inputSchema={'properties': {'first': {'description': 'Number of projects to return (default: 50)', 'type': 'number'}, 'teamId': {'description': 'Filter by team ID (optional)', 'type': 'string'}}, 'type': 'object'}, description="""List all projects"""), # tiovikram/Linear MCP Server/list_projects
    Tool(name="""Linear MCP Server_search_issues""", inputSchema={'properties': {'first': {'description': 'Number of results to return (default: 50)', 'type': 'number'}, 'query': {'description': 'Search query text', 'type': 'string'}}, 'required': ['query'], 'type': 'object'}, description="""Search for issues using a text query"""), # tiovikram/Linear MCP Server/search_issues
    Tool(name="""Linear MCP Server_get_issue""", inputSchema={'properties': {'issueId': {'description': 'Issue ID', 'type': 'string'}}, 'required': ['issueId'], 'type': 'object'}, description="""Get detailed information about a specific issue"""), # tiovikram/Linear MCP Server/get_issue
    Tool(name="""Frontend Review MCP_reviewEdit""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'afterScreenshotPath': {'description': "Absolute path to the 'after' screenshot file (png)", 'type': 'string'}, 'beforeScreenshotPath': {'description': "Absolute path to the 'before' screenshot file (png)", 'type': 'string'}, 'editRequest': {'description': 'A detailed description of the UI edit request made by the user. Do not describe the changes you made, but just summarize what the user asked you to change on the page.', 'type': 'string'}}, 'required': ['beforeScreenshotPath', 'afterScreenshotPath', 'editRequest'], 'type': 'object'}, description="""Perform a visual review of a UI edit request. The 'before screenshot' is a screenshot of the page before the edit, and the 'after screenshot' is the screenshot of the page after the edit. You will recieve either a yes or no response, indicating whether the edit visually satisfies the edit request. If no, it will provide a detailed explanation of why the edit does not satisfy the request so you can continue to work on it."""), # zueai/Frontend Review MCP/reviewEdit
    Tool(name="""MCP 3D Printer Server_scale_stl""", inputSchema={'properties': {'scale_factor': {'description': 'Uniform scaling factor to apply', 'type': 'number'}, 'scale_x': {'description': 'X-axis scaling factor (overrides scale_factor for X axis)', 'type': 'number'}, 'scale_y': {'description': 'Y-axis scaling factor (overrides scale_factor for Y axis)', 'type': 'number'}, 'scale_z': {'description': 'Z-axis scaling factor (overrides scale_factor for Z axis)', 'type': 'number'}, 'stl_path': {'description': 'Path to the STL file', 'type': 'string'}}, 'required': ['stl_path'], 'type': 'object'}, description="""Scale an STL model uniformly or along specific axes"""), # DMontgomery40/MCP 3D Printer Server/scale_stl
    Tool(name="""MCP 3D Printer Server_rotate_stl""", inputSchema={'properties': {'rotate_x': {'description': 'Rotation around X-axis in degrees', 'type': 'number'}, 'rotate_y': {'description': 'Rotation around Y-axis in degrees', 'type': 'number'}, 'rotate_z': {'description': 'Rotation around Z-axis in degrees', 'type': 'number'}, 'stl_path': {'description': 'Path to the STL file', 'type': 'string'}}, 'required': ['stl_path'], 'type': 'object'}, description="""Rotate an STL model around specific axes"""), # DMontgomery40/MCP 3D Printer Server/rotate_stl
    Tool(name="""MCP 3D Printer Server_translate_stl""", inputSchema={'properties': {'stl_path': {'description': 'Path to the STL file', 'type': 'string'}, 'translate_x': {'description': 'Translation along X-axis in millimeters', 'type': 'number'}, 'translate_y': {'description': 'Translation along Y-axis in millimeters', 'type': 'number'}, 'translate_z': {'description': 'Translation along Z-axis in millimeters', 'type': 'number'}}, 'required': ['stl_path'], 'type': 'object'}, description="""Move an STL model along specific axes"""), # DMontgomery40/MCP 3D Printer Server/translate_stl
    Tool(name="""MCP 3D Printer Server_modify_stl_section""", inputSchema={'properties': {'custom_max_x': {'description': 'Maximum X for custom section bounds', 'type': 'number'}, 'custom_max_y': {'description': 'Maximum Y for custom section bounds', 'type': 'number'}, 'custom_max_z': {'description': 'Maximum Z for custom section bounds', 'type': 'number'}, 'custom_min_x': {'description': 'Minimum X for custom section bounds', 'type': 'number'}, 'custom_min_y': {'description': 'Minimum Y for custom section bounds', 'type': 'number'}, 'custom_min_z': {'description': 'Minimum Z for custom section bounds', 'type': 'number'}, 'section': {'description': "Section to modify: 'top', 'bottom', 'center', or custom bounds", 'enum': ['top', 'bottom', 'center', 'custom'], 'type': 'string'}, 'stl_path': {'description': 'Path to the STL file', 'type': 'string'}, 'transformation_type': {'description': 'Type of transformation to apply', 'enum': ['scale', 'rotate', 'translate'], 'type': 'string'}, 'value_x': {'description': 'Transformation value for X axis', 'type': 'number'}, 'value_y': {'description': 'Transformation value for Y axis', 'type': 'number'}, 'value_z': {'description': 'Transformation value for Z axis', 'type': 'number'}}, 'required': ['stl_path', 'section', 'transformation_type'], 'type': 'object'}, description="""Apply a specific transformation to a selected section of an STL file"""), # DMontgomery40/MCP 3D Printer Server/modify_stl_section
    Tool(name="""MCP 3D Printer Server_generate_stl_visualization""", inputSchema={'properties': {'height': {'description': 'Height of each view in pixels (default: 300)', 'type': 'number'}, 'stl_path': {'description': 'Path to the STL file', 'type': 'string'}, 'width': {'description': 'Width of each view in pixels (default: 300)', 'type': 'number'}}, 'required': ['stl_path'], 'type': 'object'}, description="""Generate an SVG visualization of an STL file from multiple angles"""), # DMontgomery40/MCP 3D Printer Server/generate_stl_visualization
    Tool(name="""MCP 3D Printer Server_get_printer_status""", inputSchema={'properties': {'api_key': {'description': 'API key for authentication (default: value from env)', 'type': 'string'}, 'bambu_serial': {'description': 'Serial number for Bambu Lab printers (default: value from env)', 'type': 'string'}, 'bambu_token': {'description': 'Access token for Bambu Lab printers (default: value from env)', 'type': 'string'}, 'host': {'description': 'Hostname or IP address of the printer (default: value from env)', 'type': 'string'}, 'port': {'description': 'Port of the printer API (default: value from env)', 'type': 'string'}, 'type': {'description': 'Type of printer management system (octoprint, klipper, duet, repetier, bambu, prusa, creality) (default: value from env)', 'type': 'string'}}, 'type': 'object'}, description="""Get the current status of the 3D printer"""), # DMontgomery40/MCP 3D Printer Server/get_printer_status
    Tool(name="""MCP 3D Printer Server_extend_stl_base""", inputSchema={'properties': {'extension_inches': {'description': 'Amount to extend the base in inches', 'type': 'number'}, 'stl_path': {'description': 'Path to the STL file to modify', 'type': 'string'}}, 'required': ['stl_path', 'extension_inches'], 'type': 'object'}, description="""Extend the base of an STL file by a specified amount"""), # DMontgomery40/MCP 3D Printer Server/extend_stl_base
    Tool(name="""MCP 3D Printer Server_slice_stl""", inputSchema={'properties': {'slicer_path': {'description': 'Path to the slicer executable (default: value from env)', 'type': 'string'}, 'slicer_profile': {'description': 'Profile to use for slicing (default: value from env)', 'type': 'string'}, 'slicer_type': {'description': 'Type of slicer to use (prusaslicer, cura, slic3r) (default: value from env)', 'type': 'string'}, 'stl_path': {'description': 'Path to the STL file to slice', 'type': 'string'}}, 'required': ['stl_path'], 'type': 'object'}, description="""Slice an STL file to generate G-code"""), # DMontgomery40/MCP 3D Printer Server/slice_stl
    Tool(name="""MCP 3D Printer Server_confirm_temperatures""", inputSchema={'properties': {'bed_temp': {'description': 'Expected bed temperature', 'type': 'number'}, 'extruder_temp': {'description': 'Expected extruder temperature', 'type': 'number'}, 'gcode_path': {'description': 'Path to the G-code file', 'type': 'string'}}, 'required': ['gcode_path'], 'type': 'object'}, description="""Confirm temperature settings in a G-code file"""), # DMontgomery40/MCP 3D Printer Server/confirm_temperatures
    Tool(name="""MCP 3D Printer Server_process_and_print_stl""", inputSchema={'properties': {'api_key': {'description': 'API key for authentication (default: value from env)', 'type': 'string'}, 'bed_temp': {'description': 'Expected bed temperature', 'type': 'number'}, 'extension_inches': {'description': 'Amount to extend the base in inches', 'type': 'number'}, 'extruder_temp': {'description': 'Expected extruder temperature', 'type': 'number'}, 'host': {'description': 'Hostname or IP address of the printer (default: value from env)', 'type': 'string'}, 'port': {'description': 'Port of the printer API (default: value from env)', 'type': 'string'}, 'stl_path': {'description': 'Path to the STL file to process', 'type': 'string'}, 'type': {'description': 'Type of printer management system (default: value from env)', 'type': 'string'}}, 'required': ['stl_path', 'extension_inches'], 'type': 'object'}, description="""Process an STL file (extend base), slice it, confirm temperatures, and start printing"""), # DMontgomery40/MCP 3D Printer Server/process_and_print_stl
    Tool(name="""MCP 3D Printer Server_get_stl_info""", inputSchema={'properties': {'stl_path': {'description': 'Path to the STL file', 'type': 'string'}}, 'required': ['stl_path'], 'type': 'object'}, description="""Get detailed information about an STL file"""), # DMontgomery40/MCP 3D Printer Server/get_stl_info
    Tool(name="""HeFeng Weather MCP Server_get-weather""", inputSchema={'properties': {'days': {'default': 'now', 'description': 'now24h2472h72168h1683d3', 'enum': ['now', '24h', '72h', '168h', '3d', '7d', '10d', '15d', '30d'], 'type': 'string'}, 'location': {'description': ' (e.g., 116.40,39.90)', 'type': 'string'}}, 'required': ['location'], 'type': 'object'}, description=""""""), # shanggqm/HeFeng Weather MCP Server/get-weather
    Tool(name="""https://github.com/Streen9/react-mcp_read-file""", inputSchema={'properties': {'filePath': {'description': 'Path to the file to read', 'type': 'string'}}, 'required': ['filePath'], 'type': 'object'}, description="""Read the contents of a file"""), # kalivaraprasad-gonapa/https://github.com/Streen9/react-mcp/read-file
    Tool(name="""https://github.com/Streen9/react-mcp_create-react-app""", inputSchema={'properties': {'directory': {'description': 'Base directory to create the app in (defaults to home directory)', 'type': 'string'}, 'name': {'description': 'Name of the React app', 'type': 'string'}, 'template': {'description': 'Template to use (e.g., typescript, cra-template-pwa)', 'type': 'string'}}, 'required': ['name'], 'type': 'object'}, description="""Create a new React application"""), # kalivaraprasad-gonapa/https://github.com/Streen9/react-mcp/create-react-app
    Tool(name="""https://github.com/Streen9/react-mcp_run-react-app""", inputSchema={'properties': {'projectPath': {'description': 'Path to the React project folder', 'type': 'string'}}, 'required': ['projectPath'], 'type': 'object'}, description="""Run a React application in development mode"""), # kalivaraprasad-gonapa/https://github.com/Streen9/react-mcp/run-react-app
    Tool(name="""https://github.com/Streen9/react-mcp_run-command""", inputSchema={'properties': {'command': {'description': 'Command to execute', 'type': 'string'}, 'directory': {'description': 'Directory to run the command in (defaults to current directory)', 'type': 'string'}}, 'required': ['command'], 'type': 'object'}, description="""Run a terminal command"""), # kalivaraprasad-gonapa/https://github.com/Streen9/react-mcp/run-command
    Tool(name="""https://github.com/Streen9/react-mcp_get-process-output""", inputSchema={'properties': {'processId': {'description': 'ID of the process to get output from', 'type': 'string'}}, 'required': ['processId'], 'type': 'object'}, description="""Get the output from a running or completed process"""), # kalivaraprasad-gonapa/https://github.com/Streen9/react-mcp/get-process-output
    Tool(name="""https://github.com/Streen9/react-mcp_stop-process""", inputSchema={'properties': {'processId': {'description': 'ID of the process to stop', 'type': 'string'}}, 'required': ['processId'], 'type': 'object'}, description="""Stop a running process"""), # kalivaraprasad-gonapa/https://github.com/Streen9/react-mcp/stop-process
    Tool(name="""https://github.com/Streen9/react-mcp_list-processes""", inputSchema={'properties': {}, 'type': 'object'}, description="""List all running processes"""), # kalivaraprasad-gonapa/https://github.com/Streen9/react-mcp/list-processes
    Tool(name="""https://github.com/Streen9/react-mcp_edit-file""", inputSchema={'properties': {'content': {'description': 'Content to write to the file', 'type': 'string'}, 'filePath': {'description': 'Path to the file to edit', 'type': 'string'}}, 'required': ['filePath', 'content'], 'type': 'object'}, description="""Create or edit a file"""), # kalivaraprasad-gonapa/https://github.com/Streen9/react-mcp/edit-file
    Tool(name="""https://github.com/Streen9/react-mcp_install-package""", inputSchema={'properties': {'dev': {'description': 'Whether to install as a dev dependency', 'type': 'boolean'}, 'directory': {'description': 'Directory of the project (defaults to current directory)', 'type': 'string'}, 'packageName': {'description': 'Name of the package to install (can include version)', 'type': 'string'}}, 'required': ['packageName'], 'type': 'object'}, description="""Install a npm package in a project"""), # kalivaraprasad-gonapa/https://github.com/Streen9/react-mcp/install-package
    Tool(name="""Room MCP_create-room-as-host""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'hostFirstMessage': {'description': 'The first message to send when the peer connects to the room', 'type': 'string'}}, 'required': ['hostFirstMessage'], 'type': 'object'}, description="""create a room, and be the host. \nThe user should provide clear direction for the objective of the room. \nPlease take the user directive and set the first message that will be sent as the host. \nafter calling this, please immediatley call the wait-for-room-response tool,\nAn invite code will be returned, and must be clearly given to the user so they can copy it."""), # agree-able/Room MCP/create-room-as-host
    Tool(name="""Room MCP_join-with-invite""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'invite': {'type': 'string'}}, 'required': ['invite'], 'type': 'object'}, description="""join a room with an invite code"""), # agree-able/Room MCP/join-with-invite
    Tool(name="""Room MCP_wait-for-room-response""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'roomId': {'type': 'string'}}, 'required': ['roomId'], 'type': 'object'}, description="""wait for a message to arrive in the room, of be notified if the other party left"""), # agree-able/Room MCP/wait-for-room-response
    Tool(name="""Room MCP_send-message""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'message': {'type': 'string'}, 'roomId': {'type': 'string'}}, 'required': ['roomId', 'message'], 'type': 'object'}, description="""send a message to a room. this call will automatically wait for the response, or inform if the peer has left"""), # agree-able/Room MCP/send-message
    Tool(name="""Room MCP_exit-room""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'roomId': {'type': 'string'}}, 'required': ['roomId'], 'type': 'object'}, description="""exit a room and clean up resources"""), # agree-able/Room MCP/exit-room
    Tool(name="""Siri Shortcuts MCP Server_list_shortcuts""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {}, 'type': 'object'}, description="""List all available Siri shortcuts"""), # dvcrn/Siri Shortcuts MCP Server/list_shortcuts
    Tool(name="""Siri Shortcuts MCP Server_open_shortcut""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'name': {'description': 'The name of the shortcut to open', 'type': 'string'}}, 'required': ['name'], 'type': 'object'}, description="""Open a shortcut in the Shortcuts app"""), # dvcrn/Siri Shortcuts MCP Server/open_shortcut
    Tool(name="""Siri Shortcuts MCP Server_run_shortcut""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'input': {'description': 'The input to pass to the shortcut. Can be text, or a filepath', 'type': 'string'}, 'name': {'description': 'The name or identifier of the shortcut to run', 'type': 'string'}}, 'required': ['name'], 'type': 'object'}, description="""Run a shortcut with optional input and output parameters"""), # dvcrn/Siri Shortcuts MCP Server/run_shortcut
    Tool(name="""aws-athena-mcp_run_query""", inputSchema={'properties': {'database': {'description': 'The Athena database to query', 'type': 'string'}, 'maxRows': {'description': 'Maximum number of rows to return (default: 1000)', 'maximum': 10000, 'minimum': 1, 'type': 'number'}, 'query': {'description': 'SQL query to execute', 'type': 'string'}, 'timeoutMs': {'description': 'Timeout in milliseconds (default: 60000)', 'minimum': 1000, 'type': 'number'}}, 'required': ['database', 'query'], 'type': 'object'}, description="""Execute a SQL query using AWS Athena. Returns full results if query completes before timeout, otherwise returns queryExecutionId."""), # lishenxydlgzs/aws-athena-mcp/run_query
    Tool(name="""aws-athena-mcp_get_result""", inputSchema={'properties': {'maxRows': {'description': 'Maximum number of rows to return (default: 1000)', 'maximum': 10000, 'minimum': 1, 'type': 'number'}, 'queryExecutionId': {'description': 'The query execution ID', 'type': 'string'}}, 'required': ['queryExecutionId'], 'type': 'object'}, description="""Get results for a completed query. Returns error if query is still running."""), # lishenxydlgzs/aws-athena-mcp/get_result
    Tool(name="""aws-athena-mcp_get_status""", inputSchema={'properties': {'queryExecutionId': {'description': 'The query execution ID', 'type': 'string'}}, 'required': ['queryExecutionId'], 'type': 'object'}, description="""Get the current status of a query execution"""), # lishenxydlgzs/aws-athena-mcp/get_status
    Tool(name="""Meilisearch MCP Server_list-indexes""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'limit': {'description': 'Maximum number of indexes to return', 'maximum': 100, 'minimum': 1, 'type': 'number'}, 'offset': {'description': 'Number of indexes to skip', 'minimum': 0, 'type': 'number'}}, 'type': 'object'}, description="""List all indexes in the Meilisearch instance"""), # devlimelabs/Meilisearch MCP Server/list-indexes
    Tool(name="""Meilisearch MCP Server_get-index""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'indexUid': {'description': 'Unique identifier of the index', 'type': 'string'}}, 'required': ['indexUid'], 'type': 'object'}, description="""Get information about a specific Meilisearch index"""), # devlimelabs/Meilisearch MCP Server/get-index
    Tool(name="""Meilisearch MCP Server_create-index""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'indexUid': {'description': 'Unique identifier for the new index', 'type': 'string'}, 'primaryKey': {'description': 'Primary key for the index', 'type': 'string'}}, 'required': ['indexUid'], 'type': 'object'}, description="""Create a new Meilisearch index"""), # devlimelabs/Meilisearch MCP Server/create-index
    Tool(name="""Meilisearch MCP Server_update-index""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'indexUid': {'description': 'Unique identifier of the index', 'type': 'string'}, 'primaryKey': {'description': 'New primary key for the index', 'type': 'string'}}, 'required': ['indexUid', 'primaryKey'], 'type': 'object'}, description="""Update a Meilisearch index (currently only supports updating the primary key)"""), # devlimelabs/Meilisearch MCP Server/update-index
    Tool(name="""Meilisearch MCP Server_delete-index""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'indexUid': {'description': 'Unique identifier of the index to delete', 'type': 'string'}}, 'required': ['indexUid'], 'type': 'object'}, description="""Delete a Meilisearch index"""), # devlimelabs/Meilisearch MCP Server/delete-index
    Tool(name="""Meilisearch MCP Server_swap-indexes""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'indexes': {'description': 'JSON array of index pairs to swap, e.g. [["movies", "movies_new"]]', 'type': 'string'}}, 'required': ['indexes'], 'type': 'object'}, description="""Swap two or more indexes in Meilisearch"""), # devlimelabs/Meilisearch MCP Server/swap-indexes
    Tool(name="""Meilisearch MCP Server_get-documents""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'fields': {'description': 'Fields to return in the documents', 'items': {'type': 'string'}, 'type': 'array'}, 'filter': {'description': 'Filter query to apply', 'type': 'string'}, 'indexUid': {'description': 'Unique identifier of the index', 'type': 'string'}, 'limit': {'description': 'Maximum number of documents to return (default: 20)', 'maximum': 1000, 'minimum': 1, 'type': 'number'}, 'offset': {'description': 'Number of documents to skip (default: 0)', 'minimum': 0, 'type': 'number'}}, 'required': ['indexUid'], 'type': 'object'}, description="""Get documents from a Meilisearch index"""), # devlimelabs/Meilisearch MCP Server/get-documents
    Tool(name="""Meilisearch MCP Server_get-document""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'documentId': {'description': 'ID of the document to retrieve', 'type': 'string'}, 'fields': {'description': 'Fields to return in the document', 'items': {'type': 'string'}, 'type': 'array'}, 'indexUid': {'description': 'Unique identifier of the index', 'type': 'string'}}, 'required': ['indexUid', 'documentId'], 'type': 'object'}, description="""Get a document by its ID from a Meilisearch index"""), # devlimelabs/Meilisearch MCP Server/get-document
    Tool(name="""Meilisearch MCP Server_add-documents""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'documents': {'description': 'JSON array of documents to add', 'type': 'string'}, 'indexUid': {'description': 'Unique identifier of the index', 'type': 'string'}, 'primaryKey': {'description': 'Primary key for the documents', 'type': 'string'}}, 'required': ['indexUid', 'documents'], 'type': 'object'}, description="""Add documents to a Meilisearch index"""), # devlimelabs/Meilisearch MCP Server/add-documents
    Tool(name="""Meilisearch MCP Server_update-documents""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'documents': {'description': 'JSON array of documents to update', 'type': 'string'}, 'indexUid': {'description': 'Unique identifier of the index', 'type': 'string'}, 'primaryKey': {'description': 'Primary key for the documents', 'type': 'string'}}, 'required': ['indexUid', 'documents'], 'type': 'object'}, description="""Update documents in a Meilisearch index"""), # devlimelabs/Meilisearch MCP Server/update-documents
    Tool(name="""Meilisearch MCP Server_delete-documents""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'documentIds': {'description': 'JSON array of document IDs to delete', 'type': 'string'}, 'indexUid': {'description': 'Unique identifier of the index', 'type': 'string'}}, 'required': ['indexUid', 'documentIds'], 'type': 'object'}, description="""Delete multiple documents by their IDs from a Meilisearch index"""), # devlimelabs/Meilisearch MCP Server/delete-documents
    Tool(name="""Meilisearch MCP Server_delete-document""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'documentId': {'description': 'ID of the document to delete', 'type': 'string'}, 'indexUid': {'description': 'Unique identifier of the index', 'type': 'string'}}, 'required': ['indexUid', 'documentId'], 'type': 'object'}, description="""Delete a document by its ID from a Meilisearch index"""), # devlimelabs/Meilisearch MCP Server/delete-document
    Tool(name="""Meilisearch MCP Server_delete-all-documents""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'indexUid': {'description': 'Unique identifier of the index', 'type': 'string'}}, 'required': ['indexUid'], 'type': 'object'}, description="""Delete all documents in a Meilisearch index"""), # devlimelabs/Meilisearch MCP Server/delete-all-documents
    Tool(name="""Meilisearch MCP Server_search""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'attributesToCrop': {'description': 'Attributes to crop', 'items': {'type': 'string'}, 'type': 'array'}, 'attributesToHighlight': {'description': 'Attributes to highlight', 'items': {'type': 'string'}, 'type': 'array'}, 'attributesToRetrieve': {'description': 'Attributes to include in results', 'items': {'type': 'string'}, 'type': 'array'}, 'cropLength': {'description': 'Length at which to crop cropped attributes', 'type': 'number'}, 'facets': {'description': 'Facets to return', 'items': {'type': 'string'}, 'type': 'array'}, 'filter': {'description': 'Filter query to apply', 'type': 'string'}, 'highlightPostTag': {'description': 'Tag to insert after highlighted text', 'type': 'string'}, 'highlightPreTag': {'description': 'Tag to insert before highlighted text', 'type': 'string'}, 'indexUid': {'description': 'Unique identifier of the index', 'type': 'string'}, 'limit': {'description': 'Maximum number of results to return (default: 20)', 'maximum': 1000, 'minimum': 1, 'type': 'number'}, 'matchingStrategy': {'description': "Matching strategy: 'all' or 'last'", 'type': 'string'}, 'offset': {'description': 'Number of results to skip (default: 0)', 'minimum': 0, 'type': 'number'}, 'q': {'description': 'Search query', 'type': 'string'}, 'showMatchesPosition': {'description': 'Whether to include match positions in results', 'type': 'boolean'}, 'sort': {'description': 'Attributes to sort by, e.g. ["price:asc"]', 'items': {'type': 'string'}, 'type': 'array'}}, 'required': ['indexUid', 'q'], 'type': 'object'}, description="""Search for documents in a Meilisearch index"""), # devlimelabs/Meilisearch MCP Server/search
    Tool(name="""Meilisearch MCP Server_multi-search""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'searches': {'description': 'JSON array of search queries, each with indexUid and q fields', 'type': 'string'}}, 'required': ['searches'], 'type': 'object'}, description="""Perform multiple searches in one request"""), # devlimelabs/Meilisearch MCP Server/multi-search
    Tool(name="""Meilisearch MCP Server_facet-search""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'facetName': {'description': 'Name of the facet to search', 'type': 'string'}, 'facetQuery': {'description': 'Query to match against facet values', 'type': 'string'}, 'filter': {'description': 'Filter to apply to the base search', 'type': 'string'}, 'indexUid': {'description': 'Unique identifier of the index', 'type': 'string'}}, 'required': ['indexUid', 'facetName'], 'type': 'object'}, description="""Search for facet values matching specific criteria"""), # devlimelabs/Meilisearch MCP Server/facet-search
    Tool(name="""Meilisearch MCP Server_get-settings""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'indexUid': {'description': 'Unique identifier of the index', 'type': 'string'}}, 'required': ['indexUid'], 'type': 'object'}, description="""Get all settings for a Meilisearch index"""), # devlimelabs/Meilisearch MCP Server/get-settings
    Tool(name="""Meilisearch MCP Server_update-settings""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'indexUid': {'description': 'Unique identifier of the index', 'type': 'string'}, 'settings': {'description': 'JSON object containing settings to update', 'type': 'string'}}, 'required': ['indexUid', 'settings'], 'type': 'object'}, description="""Update settings for a Meilisearch index"""), # devlimelabs/Meilisearch MCP Server/update-settings
    Tool(name="""Meilisearch MCP Server_reset-settings""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'indexUid': {'description': 'Unique identifier of the index', 'type': 'string'}}, 'required': ['indexUid'], 'type': 'object'}, description="""Reset all settings for a Meilisearch index to their default values"""), # devlimelabs/Meilisearch MCP Server/reset-settings
    Tool(name="""Meilisearch MCP Server_get-searchable-attributes""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'indexUid': {'description': 'Unique identifier of the index', 'type': 'string'}}, 'required': ['indexUid'], 'type': 'object'}, description="""Get the searchable attributes setting"""), # devlimelabs/Meilisearch MCP Server/get-searchable-attributes
    Tool(name="""Meilisearch MCP Server_get-displayed-attributes""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'indexUid': {'description': 'Unique identifier of the index', 'type': 'string'}}, 'required': ['indexUid'], 'type': 'object'}, description="""Get the displayed attributes setting"""), # devlimelabs/Meilisearch MCP Server/get-displayed-attributes
    Tool(name="""Meilisearch MCP Server_get-filterable-attributes""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'indexUid': {'description': 'Unique identifier of the index', 'type': 'string'}}, 'required': ['indexUid'], 'type': 'object'}, description="""Get the filterable attributes setting"""), # devlimelabs/Meilisearch MCP Server/get-filterable-attributes
    Tool(name="""Meilisearch MCP Server_get-sortable-attributes""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'indexUid': {'description': 'Unique identifier of the index', 'type': 'string'}}, 'required': ['indexUid'], 'type': 'object'}, description="""Get the sortable attributes setting"""), # devlimelabs/Meilisearch MCP Server/get-sortable-attributes
    Tool(name="""Meilisearch MCP Server_get-ranking-rules""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'indexUid': {'description': 'Unique identifier of the index', 'type': 'string'}}, 'required': ['indexUid'], 'type': 'object'}, description="""Get the ranking rules setting"""), # devlimelabs/Meilisearch MCP Server/get-ranking-rules
    Tool(name="""Meilisearch MCP Server_get-stop-words""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'indexUid': {'description': 'Unique identifier of the index', 'type': 'string'}}, 'required': ['indexUid'], 'type': 'object'}, description="""Get the stop words setting"""), # devlimelabs/Meilisearch MCP Server/get-stop-words
    Tool(name="""Meilisearch MCP Server_get-synonyms""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'indexUid': {'description': 'Unique identifier of the index', 'type': 'string'}}, 'required': ['indexUid'], 'type': 'object'}, description="""Get the synonyms setting"""), # devlimelabs/Meilisearch MCP Server/get-synonyms
    Tool(name="""Meilisearch MCP Server_get-distinct-attribute""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'indexUid': {'description': 'Unique identifier of the index', 'type': 'string'}}, 'required': ['indexUid'], 'type': 'object'}, description="""Get the distinct attribute setting"""), # devlimelabs/Meilisearch MCP Server/get-distinct-attribute
    Tool(name="""Meilisearch MCP Server_get-typo-tolerance""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'indexUid': {'description': 'Unique identifier of the index', 'type': 'string'}}, 'required': ['indexUid'], 'type': 'object'}, description="""Get the typo tolerance setting"""), # devlimelabs/Meilisearch MCP Server/get-typo-tolerance
    Tool(name="""Meilisearch MCP Server_get-faceting""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'indexUid': {'description': 'Unique identifier of the index', 'type': 'string'}}, 'required': ['indexUid'], 'type': 'object'}, description="""Get the faceting setting"""), # devlimelabs/Meilisearch MCP Server/get-faceting
    Tool(name="""Meilisearch MCP Server_get-pagination""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'indexUid': {'description': 'Unique identifier of the index', 'type': 'string'}}, 'required': ['indexUid'], 'type': 'object'}, description="""Get the pagination setting"""), # devlimelabs/Meilisearch MCP Server/get-pagination
    Tool(name="""Meilisearch MCP Server_update-searchable-attributes""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'indexUid': {'description': 'Unique identifier of the index', 'type': 'string'}, 'value': {'description': 'JSON value for the setting', 'type': 'string'}}, 'required': ['indexUid', 'value'], 'type': 'object'}, description="""Update the searchable attributes setting"""), # devlimelabs/Meilisearch MCP Server/update-searchable-attributes
    Tool(name="""Meilisearch MCP Server_update-displayed-attributes""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'indexUid': {'description': 'Unique identifier of the index', 'type': 'string'}, 'value': {'description': 'JSON value for the setting', 'type': 'string'}}, 'required': ['indexUid', 'value'], 'type': 'object'}, description="""Update the displayed attributes setting"""), # devlimelabs/Meilisearch MCP Server/update-displayed-attributes
    Tool(name="""Meilisearch MCP Server_update-filterable-attributes""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'indexUid': {'description': 'Unique identifier of the index', 'type': 'string'}, 'value': {'description': 'JSON value for the setting', 'type': 'string'}}, 'required': ['indexUid', 'value'], 'type': 'object'}, description="""Update the filterable attributes setting"""), # devlimelabs/Meilisearch MCP Server/update-filterable-attributes
    Tool(name="""Meilisearch MCP Server_update-sortable-attributes""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'indexUid': {'description': 'Unique identifier of the index', 'type': 'string'}, 'value': {'description': 'JSON value for the setting', 'type': 'string'}}, 'required': ['indexUid', 'value'], 'type': 'object'}, description="""Update the sortable attributes setting"""), # devlimelabs/Meilisearch MCP Server/update-sortable-attributes
    Tool(name="""Meilisearch MCP Server_update-ranking-rules""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'indexUid': {'description': 'Unique identifier of the index', 'type': 'string'}, 'value': {'description': 'JSON value for the setting', 'type': 'string'}}, 'required': ['indexUid', 'value'], 'type': 'object'}, description="""Update the ranking rules setting"""), # devlimelabs/Meilisearch MCP Server/update-ranking-rules
    Tool(name="""Meilisearch MCP Server_update-stop-words""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'indexUid': {'description': 'Unique identifier of the index', 'type': 'string'}, 'value': {'description': 'JSON value for the setting', 'type': 'string'}}, 'required': ['indexUid', 'value'], 'type': 'object'}, description="""Update the stop words setting"""), # devlimelabs/Meilisearch MCP Server/update-stop-words
    Tool(name="""Meilisearch MCP Server_update-synonyms""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'indexUid': {'description': 'Unique identifier of the index', 'type': 'string'}, 'value': {'description': 'JSON value for the setting', 'type': 'string'}}, 'required': ['indexUid', 'value'], 'type': 'object'}, description="""Update the synonyms setting"""), # devlimelabs/Meilisearch MCP Server/update-synonyms
    Tool(name="""Meilisearch MCP Server_update-distinct-attribute""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'indexUid': {'description': 'Unique identifier of the index', 'type': 'string'}, 'value': {'description': 'JSON value for the setting', 'type': 'string'}}, 'required': ['indexUid', 'value'], 'type': 'object'}, description="""Update the distinct attribute setting"""), # devlimelabs/Meilisearch MCP Server/update-distinct-attribute
    Tool(name="""Meilisearch MCP Server_update-typo-tolerance""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'indexUid': {'description': 'Unique identifier of the index', 'type': 'string'}, 'value': {'description': 'JSON value for the setting', 'type': 'string'}}, 'required': ['indexUid', 'value'], 'type': 'object'}, description="""Update the typo tolerance setting"""), # devlimelabs/Meilisearch MCP Server/update-typo-tolerance
    Tool(name="""Meilisearch MCP Server_update-faceting""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'indexUid': {'description': 'Unique identifier of the index', 'type': 'string'}, 'value': {'description': 'JSON value for the setting', 'type': 'string'}}, 'required': ['indexUid', 'value'], 'type': 'object'}, description="""Update the faceting setting"""), # devlimelabs/Meilisearch MCP Server/update-faceting
    Tool(name="""Meilisearch MCP Server_update-pagination""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'indexUid': {'description': 'Unique identifier of the index', 'type': 'string'}, 'value': {'description': 'JSON value for the setting', 'type': 'string'}}, 'required': ['indexUid', 'value'], 'type': 'object'}, description="""Update the pagination setting"""), # devlimelabs/Meilisearch MCP Server/update-pagination
    Tool(name="""Meilisearch MCP Server_reset-searchable-attributes""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'indexUid': {'description': 'Unique identifier of the index', 'type': 'string'}}, 'required': ['indexUid'], 'type': 'object'}, description="""Reset the searchable attributes setting to its default value"""), # devlimelabs/Meilisearch MCP Server/reset-searchable-attributes
    Tool(name="""Meilisearch MCP Server_reset-displayed-attributes""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'indexUid': {'description': 'Unique identifier of the index', 'type': 'string'}}, 'required': ['indexUid'], 'type': 'object'}, description="""Reset the displayed attributes setting to its default value"""), # devlimelabs/Meilisearch MCP Server/reset-displayed-attributes
    Tool(name="""Meilisearch MCP Server_reset-filterable-attributes""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'indexUid': {'description': 'Unique identifier of the index', 'type': 'string'}}, 'required': ['indexUid'], 'type': 'object'}, description="""Reset the filterable attributes setting to its default value"""), # devlimelabs/Meilisearch MCP Server/reset-filterable-attributes
    Tool(name="""Meilisearch MCP Server_reset-sortable-attributes""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'indexUid': {'description': 'Unique identifier of the index', 'type': 'string'}}, 'required': ['indexUid'], 'type': 'object'}, description="""Reset the sortable attributes setting to its default value"""), # devlimelabs/Meilisearch MCP Server/reset-sortable-attributes
    Tool(name="""Meilisearch MCP Server_reset-distinct-attribute""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'indexUid': {'description': 'Unique identifier of the index', 'type': 'string'}}, 'required': ['indexUid'], 'type': 'object'}, description="""Reset the distinct attribute setting to its default value"""), # devlimelabs/Meilisearch MCP Server/reset-distinct-attribute
    Tool(name="""Meilisearch MCP Server_reset-typo-tolerance""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'indexUid': {'description': 'Unique identifier of the index', 'type': 'string'}}, 'required': ['indexUid'], 'type': 'object'}, description="""Reset the typo tolerance setting to its default value"""), # devlimelabs/Meilisearch MCP Server/reset-typo-tolerance
    Tool(name="""Meilisearch MCP Server_reset-faceting""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'indexUid': {'description': 'Unique identifier of the index', 'type': 'string'}}, 'required': ['indexUid'], 'type': 'object'}, description="""Reset the faceting setting to its default value"""), # devlimelabs/Meilisearch MCP Server/reset-faceting
    Tool(name="""Meilisearch MCP Server_reset-ranking-rules""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'indexUid': {'description': 'Unique identifier of the index', 'type': 'string'}}, 'required': ['indexUid'], 'type': 'object'}, description="""Reset the ranking rules setting to its default value"""), # devlimelabs/Meilisearch MCP Server/reset-ranking-rules
    Tool(name="""Meilisearch MCP Server_reset-stop-words""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'indexUid': {'description': 'Unique identifier of the index', 'type': 'string'}}, 'required': ['indexUid'], 'type': 'object'}, description="""Reset the stop words setting to its default value"""), # devlimelabs/Meilisearch MCP Server/reset-stop-words
    Tool(name="""Meilisearch MCP Server_reset-synonyms""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'indexUid': {'description': 'Unique identifier of the index', 'type': 'string'}}, 'required': ['indexUid'], 'type': 'object'}, description="""Reset the synonyms setting to its default value"""), # devlimelabs/Meilisearch MCP Server/reset-synonyms
    Tool(name="""Meilisearch MCP Server_reset-pagination""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'indexUid': {'description': 'Unique identifier of the index', 'type': 'string'}}, 'required': ['indexUid'], 'type': 'object'}, description="""Reset the pagination setting to its default value"""), # devlimelabs/Meilisearch MCP Server/reset-pagination
    Tool(name="""Meilisearch MCP Server_enable-vector-search""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {}, 'type': 'object'}, description="""Enable the vector search experimental feature in Meilisearch"""), # devlimelabs/Meilisearch MCP Server/enable-vector-search
    Tool(name="""Meilisearch MCP Server_get-experimental-features""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {}, 'type': 'object'}, description="""Get the status of experimental features in Meilisearch"""), # devlimelabs/Meilisearch MCP Server/get-experimental-features
    Tool(name="""Meilisearch MCP Server_update-embedders""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'embedders': {'description': 'JSON object containing embedder configurations', 'type': 'string'}, 'indexUid': {'description': 'Unique identifier of the index', 'type': 'string'}}, 'required': ['indexUid', 'embedders'], 'type': 'object'}, description="""Configure embedders for vector search"""), # devlimelabs/Meilisearch MCP Server/update-embedders
    Tool(name="""Meilisearch MCP Server_get-embedders""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'indexUid': {'description': 'Unique identifier of the index', 'type': 'string'}}, 'required': ['indexUid'], 'type': 'object'}, description="""Get the embedders configuration for an index"""), # devlimelabs/Meilisearch MCP Server/get-embedders
    Tool(name="""Meilisearch MCP Server_reset-embedders""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'indexUid': {'description': 'Unique identifier of the index', 'type': 'string'}}, 'required': ['indexUid'], 'type': 'object'}, description="""Reset the embedders configuration for an index"""), # devlimelabs/Meilisearch MCP Server/reset-embedders
    Tool(name="""Meilisearch MCP Server_vector-search""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'attributes': {'description': 'Attributes to include in the vector search', 'items': {'type': 'string'}, 'type': 'array'}, 'embedder': {'description': "Name of the embedder to use (if omitted, a 'vector' must be provided)", 'type': 'string'}, 'filter': {'description': "Filter to apply (e.g., 'genre = horror AND year > 2020')", 'type': 'string'}, 'hybrid': {'description': 'Whether to perform a hybrid search (combining vector and text search)', 'type': 'boolean'}, 'hybridRatio': {'description': 'Ratio of vector vs text search in hybrid search (0-1, default: 0.5)', 'maximum': 1, 'minimum': 0, 'type': 'number'}, 'indexUid': {'description': 'Unique identifier of the index', 'type': 'string'}, 'limit': {'description': 'Maximum number of results to return (default: 20)', 'maximum': 1000, 'minimum': 1, 'type': 'number'}, 'offset': {'description': 'Number of results to skip (default: 0)', 'minimum': 0, 'type': 'number'}, 'query': {'description': "Text query to search for (if using 'embedder' instead of 'vector')", 'type': 'string'}, 'vector': {'description': 'JSON array representing the vector to search for', 'type': 'string'}}, 'required': ['indexUid', 'vector'], 'type': 'object'}, description="""Perform a vector search in a Meilisearch index"""), # devlimelabs/Meilisearch MCP Server/vector-search
    Tool(name="""Meilisearch MCP Server_health""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {}, 'type': 'object'}, description="""Check if the Meilisearch server is healthy"""), # devlimelabs/Meilisearch MCP Server/health
    Tool(name="""Meilisearch MCP Server_version""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {}, 'type': 'object'}, description="""Get the version information of the Meilisearch server"""), # devlimelabs/Meilisearch MCP Server/version
    Tool(name="""Meilisearch MCP Server_info""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {}, 'type': 'object'}, description="""Get the system information of the Meilisearch server"""), # devlimelabs/Meilisearch MCP Server/info
    Tool(name="""Meilisearch MCP Server_stats""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'indexUid': {'description': 'Unique identifier of the index (optional, if not provided stats for all indexes will be returned)', 'type': 'string'}}, 'type': 'object'}, description="""Get statistics about all indexes or a specific index"""), # devlimelabs/Meilisearch MCP Server/stats
    Tool(name="""Meilisearch MCP Server_get-tasks""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'from': {'description': 'Task uid from which to start fetching', 'minimum': 0, 'type': 'number'}, 'indexUids': {'description': 'UIDs of the indexes on which tasks were performed', 'items': {'type': 'string'}, 'type': 'array'}, 'limit': {'description': 'Maximum number of tasks to return', 'minimum': 0, 'type': 'number'}, 'status': {'description': 'Status of tasks to return', 'enum': ['enqueued', 'processing', 'succeeded', 'failed', 'canceled'], 'type': 'string'}, 'type': {'description': 'Type of tasks to return', 'enum': ['indexCreation', 'indexUpdate', 'indexDeletion', 'documentAddition', 'documentUpdate', 'documentDeletion', 'settingsUpdate', 'dumpCreation', 'taskCancelation'], 'type': 'string'}}, 'type': 'object'}, description="""Get information about tasks with optional filtering"""), # devlimelabs/Meilisearch MCP Server/get-tasks
    Tool(name="""Meilisearch MCP Server_delete-tasks""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'beforeFinishedAt': {'description': 'Delete tasks that finished processing before this date (ISO 8601 format)', 'type': 'string'}, 'beforeStartedAt': {'description': 'Delete tasks that started processing before this date (ISO 8601 format)', 'type': 'string'}, 'beforeUid': {'description': 'Delete tasks whose uid is before this value', 'type': 'number'}, 'canceledBy': {'description': 'UIDs of the tasks that canceled tasks to delete', 'items': {'type': 'number'}, 'type': 'array'}, 'indexUids': {'description': 'UIDs of the indexes on which tasks to delete were performed', 'items': {'type': 'string'}, 'type': 'array'}, 'statuses': {'description': 'Statuses of tasks to delete', 'items': {'enum': ['succeeded', 'failed', 'canceled'], 'type': 'string'}, 'type': 'array'}, 'types': {'description': 'Types of tasks to delete', 'items': {'enum': ['indexCreation', 'indexUpdate', 'indexDeletion', 'documentAddition', 'documentUpdate', 'documentDeletion', 'settingsUpdate', 'dumpCreation', 'taskCancelation'], 'type': 'string'}, 'type': 'array'}, 'uids': {'description': 'UIDs of the tasks to delete', 'items': {'type': 'number'}, 'type': 'array'}}, 'type': 'object'}, description="""Delete tasks based on provided filters"""), # devlimelabs/Meilisearch MCP Server/delete-tasks
    Tool(name="""Meilisearch MCP Server_list-tasks""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'from': {'description': 'Task uid from which to start fetching', 'minimum': 0, 'type': 'number'}, 'indexUids': {'description': 'UIDs of the indexes on which tasks were performed', 'items': {'type': 'string'}, 'type': 'array'}, 'limit': {'description': 'Maximum number of tasks to return', 'minimum': 0, 'type': 'number'}, 'statuses': {'description': 'Statuses of tasks to return', 'items': {'enum': ['enqueued', 'processing', 'succeeded', 'failed', 'canceled'], 'type': 'string'}, 'type': 'array'}, 'types': {'description': 'Types of tasks to return', 'items': {'enum': ['indexCreation', 'indexUpdate', 'indexDeletion', 'documentAddition', 'documentUpdate', 'documentDeletion', 'settingsUpdate', 'dumpCreation', 'taskCancelation'], 'type': 'string'}, 'type': 'array'}, 'uids': {'description': 'UIDs of specific tasks to return', 'items': {'type': 'number'}, 'type': 'array'}}, 'type': 'object'}, description="""List tasks with optional filtering"""), # devlimelabs/Meilisearch MCP Server/list-tasks
    Tool(name="""Meilisearch MCP Server_get-task""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'taskUid': {'description': 'Unique identifier of the task', 'type': 'number'}}, 'required': ['taskUid'], 'type': 'object'}, description="""Get information about a specific task"""), # devlimelabs/Meilisearch MCP Server/get-task
    Tool(name="""Meilisearch MCP Server_cancel-tasks""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'indexUids': {'description': 'UIDs of the indexes on which tasks to cancel were performed', 'items': {'type': 'string'}, 'type': 'array'}, 'statuses': {'description': 'Statuses of tasks to cancel', 'items': {'enum': ['enqueued', 'processing'], 'type': 'string'}, 'type': 'array'}, 'types': {'description': 'Types of tasks to cancel', 'items': {'enum': ['indexCreation', 'indexUpdate', 'indexDeletion', 'documentAddition', 'documentUpdate', 'documentDeletion', 'settingsUpdate', 'dumpCreation', 'taskCancelation'], 'type': 'string'}, 'type': 'array'}, 'uids': {'description': 'UIDs of the tasks to cancel', 'items': {'type': 'number'}, 'type': 'array'}}, 'type': 'object'}, description="""Cancel tasks based on provided filters"""), # devlimelabs/Meilisearch MCP Server/cancel-tasks
    Tool(name="""Meilisearch MCP Server_wait-for-task""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'intervalMs': {'description': 'Polling interval in milliseconds (default: 500)', 'minimum': 100, 'type': 'number'}, 'taskUid': {'description': 'Unique identifier of the task to wait for', 'type': 'number'}, 'timeoutMs': {'description': 'Maximum time to wait in milliseconds (default: 5000)', 'minimum': 0, 'type': 'number'}}, 'required': ['taskUid'], 'type': 'object'}, description="""Wait for a specific task to complete"""), # devlimelabs/Meilisearch MCP Server/wait-for-task
    Tool(name="""MCP2Lambda_list_lambda_functions""", inputSchema={'properties': {}, 'title': 'list_lambda_functionsArguments', 'type': 'object'}, description="""Tool that lists all AWS Lambda functions that you can call as tools.\n    Use this list to understand what these functions are and what they do.\n    This functions can help you in many different ways."""), # danilop/MCP2Lambda/list_lambda_functions
    Tool(name="""MCP2Lambda_invoke_lambda_function""", inputSchema={'properties': {'function_name': {'title': 'Function Name', 'type': 'string'}, 'parameters': {'title': 'Parameters', 'type': 'object'}}, 'required': ['function_name', 'parameters'], 'title': 'invoke_lambda_functionArguments', 'type': 'object'}, description="""Tool that invokes an AWS Lambda function with a JSON payload.\n    Before using this tool, list the functions available to you."""), # danilop/MCP2Lambda/invoke_lambda_function
    Tool(name="""Email Sending MCP_send-email""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'html': {'description': 'HTML email content. When provided, the plain text argument MUST be provided as well.', 'type': 'string'}, 'scheduledAt': {'description': "Optional parameter to schedule the email. This uses natural language. Examples would be 'tomorrow at 10am' or 'in 2 hours' or 'next day at 9am PST' or 'Friday at 3pm ET'.", 'type': 'string'}, 'subject': {'description': 'Email subject line', 'type': 'string'}, 'text': {'description': 'Plain text email content', 'type': 'string'}, 'to': {'description': 'Recipient email address', 'format': 'email', 'type': 'string'}}, 'required': ['to', 'subject', 'text'], 'type': 'object'}, description="""Send an email using Resend"""), # resend/Email Sending MCP/send-email
    Tool(name="""mitmproxy-mcp MCP Server_list_flows""", inputSchema={'properties': {'session_id': {'description': 'The ID of the session to list flows from', 'type': 'string'}}, 'required': ['session_id'], 'type': 'object'}, description="""Retrieves detailed HTTP request/response data including headers, content (or structure preview for large JSON), and metadata from specified flows"""), # lucasoeth/mitmproxy-mcp MCP Server/list_flows
    Tool(name="""mitmproxy-mcp MCP Server_get_flow_details""", inputSchema={'properties': {'flow_indexes': {'description': 'The indexes of the flows', 'items': {'type': 'integer'}, 'type': 'array'}, 'include_content': {'default': True, 'description': 'Whether to include full content in the response (default: true)', 'type': 'boolean'}, 'session_id': {'description': 'The ID of the session', 'type': 'string'}}, 'required': ['session_id', 'flow_indexes'], 'type': 'object'}, description="""Lists HTTP requests/responses from a mitmproxy capture session, showing method, URL, and status codes"""), # lucasoeth/mitmproxy-mcp MCP Server/get_flow_details
    Tool(name="""mitmproxy-mcp MCP Server_extract_json_fields""", inputSchema={'properties': {'content_type': {'description': 'Whether to extract from request or response content', 'enum': ['request', 'response'], 'type': 'string'}, 'flow_index': {'description': 'The index of the flow', 'type': 'integer'}, 'json_paths': {'description': "JSONPath expressions to extract (e.g. ['$.data.users', '$.metadata.timestamp'])", 'items': {'type': 'string'}, 'type': 'array'}, 'session_id': {'description': 'The ID of the session', 'type': 'string'}}, 'required': ['session_id', 'flow_index', 'content_type', 'json_paths'], 'type': 'object'}, description="""Extract specific fields from JSON content in a flow using JSONPath expressions"""), # lucasoeth/mitmproxy-mcp MCP Server/extract_json_fields
    Tool(name="""mitmproxy-mcp MCP Server_analyze_protection""", inputSchema={'properties': {'extract_scripts': {'default': True, 'description': 'Whether to extract and analyze JavaScript from the response (default: true)', 'type': 'boolean'}, 'flow_index': {'description': 'The index of the flow to analyze', 'type': 'integer'}, 'session_id': {'description': 'The ID of the session', 'type': 'string'}}, 'required': ['session_id', 'flow_index'], 'type': 'object'}, description="""Analyze flow for bot protection mechanisms and extract challenge details"""), # lucasoeth/mitmproxy-mcp MCP Server/analyze_protection
    Tool(name="""Crypto_MCP_aes_encrypt""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'content': {'description': 'text to encrypt and decrypt', 'type': 'string'}, 'iv': {'default': 'your-iv-01234567', 'description': 'iv, default is your-iv-01234567', 'type': 'string'}, 'key': {'description': 'encrypt key, default is your-key-0123456', 'type': 'string'}, 'mode': {'default': 'ECB', 'description': 'mode, default is ECB', 'type': 'string'}, 'outputFormat': {'default': 'base64', 'description': 'output format, default is base64', 'enum': ['base64', 'hex'], 'type': 'string'}, 'padding': {'default': 'Pkcs7', 'description': 'padding mode, default is Pkcs7', 'enum': ['Pkcs7', 'Iso97971', 'AnsiX923', 'Iso10126', 'ZeroPadding', 'NoPadding'], 'type': 'string'}}, 'required': ['content'], 'type': 'object'}, description="""encrypt text with aes"""), # 1595901624/Crypto_MCP/aes_encrypt
    Tool(name="""Crypto_MCP_aes_decrypt""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'content': {'description': 'text to encrypt and decrypt', 'type': 'string'}, 'inputFormat': {'default': 'base64', 'description': 'input format, default is base64', 'enum': ['base64', 'hex'], 'type': 'string'}, 'iv': {'description': 'iv, default is your-iv-01234567', 'type': 'string'}, 'key': {'description': 'decrypt key, default is your-key-0123456', 'type': 'string'}, 'mode': {'default': 'ECB', 'description': 'mode, default is ECB', 'enum': ['ECB', 'CBC', 'CFB', 'OFB', 'CTR'], 'type': 'string'}, 'padding': {'default': 'Pkcs7', 'description': 'padding mode, default is Pkcs7', 'enum': ['Pkcs7', 'Iso97971', 'AnsiX923', 'Iso10126', 'ZeroPadding', 'NoPadding'], 'type': 'string'}}, 'required': ['content'], 'type': 'object'}, description="""decrypt text with aes"""), # 1595901624/Crypto_MCP/aes_decrypt
    Tool(name="""Crypto_MCP_md5""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'input': {'description': 'The input string to hash', 'type': 'string'}}, 'required': ['input'], 'type': 'object'}, description="""Calculate MD5 hash of a string"""), # 1595901624/Crypto_MCP/md5
    Tool(name="""Crypto_MCP_sha1""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'input': {'description': 'The input string to hash', 'type': 'string'}}, 'required': ['input'], 'type': 'object'}, description="""Calculate SHA-1 hash of a string"""), # 1595901624/Crypto_MCP/sha1
    Tool(name="""Crypto_MCP_sha256""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'input': {'description': 'The input string to hash', 'type': 'string'}}, 'required': ['input'], 'type': 'object'}, description="""Calculate SHA-256 hash of a string"""), # 1595901624/Crypto_MCP/sha256
    Tool(name="""Crypto_MCP_sha384""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'input': {'description': 'The input string to hash', 'type': 'string'}}, 'required': ['input'], 'type': 'object'}, description="""Calculate SHA-384 hash of a string"""), # 1595901624/Crypto_MCP/sha384
    Tool(name="""Crypto_MCP_sha512""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'input': {'description': 'The input string to hash', 'type': 'string'}}, 'required': ['input'], 'type': 'object'}, description="""Calculate SHA-512 hash of a string"""), # 1595901624/Crypto_MCP/sha512
    Tool(name="""Crypto_MCP_sha224""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'input': {'description': 'The input string to hash', 'type': 'string'}}, 'required': ['input'], 'type': 'object'}, description="""Calculate SHA-224 hash of a string"""), # 1595901624/Crypto_MCP/sha224
    Tool(name="""Crypto_MCP_des_encrypt""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'content': {'description': 'text to encrypt', 'type': 'string'}, 'iv': {'default': 'your-iv-', 'description': 'initialization vector, default is your-iv-', 'type': 'string'}, 'key': {'description': 'encryption key, default is your-key', 'type': 'string'}, 'mode': {'default': 'ECB', 'description': 'mode, default is ECB', 'type': 'string'}, 'outputFormat': {'default': 'base64', 'description': 'output format, default is base64', 'enum': ['base64', 'hex'], 'type': 'string'}, 'padding': {'default': 'Pkcs7', 'description': 'padding mode, default is Pkcs7', 'enum': ['Pkcs7', 'Iso97971', 'AnsiX923', 'Iso10126', 'ZeroPadding', 'NoPadding'], 'type': 'string'}}, 'required': ['content'], 'type': 'object'}, description="""encrypt text with des"""), # 1595901624/Crypto_MCP/des_encrypt
    Tool(name="""Crypto_MCP_des_decrypt""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'content': {'description': 'text to decrypt', 'type': 'string'}, 'inputFormat': {'default': 'base64', 'description': 'input format, default is base64', 'enum': ['base64', 'hex'], 'type': 'string'}, 'iv': {'default': 'your-iv-', 'description': 'initialization vector, default is your-iv-', 'type': 'string'}, 'key': {'description': 'decryption key, default is your-key', 'type': 'string'}, 'mode': {'default': 'ECB', 'description': 'mode, default is ECB', 'enum': ['ECB', 'CBC', 'CFB', 'OFB', 'CTR'], 'type': 'string'}, 'padding': {'default': 'Pkcs7', 'description': 'padding mode, default is Pkcs7', 'enum': ['Pkcs7', 'Iso97971', 'AnsiX923', 'Iso10126', 'ZeroPadding', 'NoPadding'], 'type': 'string'}}, 'required': ['content'], 'type': 'object'}, description="""decrypt text with des"""), # 1595901624/Crypto_MCP/des_decrypt
    Tool(name="""Figma MCP Server_analyze_figma_file""", inputSchema={'properties': {'depth': {'description': 'Optional depth parameter to limit the node tree depth', 'type': 'number'}, 'figmaUrl': {'description': 'The URL of the Figma file to analyze', 'type': 'string'}}, 'required': ['figmaUrl'], 'type': 'object'}, description="""Analyze a Figma file structure to understand its nodes and hierarchy"""), # moonray/Figma MCP Server/analyze_figma_file
    Tool(name="""Firebase MCP Server_firestore_add_document""", inputSchema={'properties': {'collection': {'description': 'Collection name', 'type': 'string'}, 'data': {'description': 'Document data', 'type': 'object'}}, 'required': ['collection', 'data'], 'type': 'object'}, description="""Add a document to a Firestore collection"""), # gemini-dk/Firebase MCP Server/firestore_add_document
    Tool(name="""Firebase MCP Server_firestore_list_collections""", inputSchema={'properties': {'documentPath': {'description': 'Optional parent document path', 'type': 'string'}, 'limit': {'default': 20, 'description': 'Number of collections to return', 'type': 'number'}, 'pageToken': {'description': 'Token for pagination to get the next page of results', 'type': 'string'}}, 'required': [], 'type': 'object'}, description="""List collections in Firestore. If documentPath is provided, returns subcollections under that document; otherwise returns root collections."""), # gemini-dk/Firebase MCP Server/firestore_list_collections
    Tool(name="""Firebase MCP Server_firestore_list_documents""", inputSchema={'properties': {'collection': {'description': 'Collection name', 'type': 'string'}, 'filters': {'description': 'Array of filter conditions', 'items': {'properties': {'field': {'description': 'Field name to filter', 'type': 'string'}, 'operator': {'description': 'Comparison operator', 'type': 'string'}, 'value': {'description': 'Value to compare against (use ISO format for dates)', 'type': 'any'}}, 'required': ['field', 'operator', 'value'], 'type': 'object'}, 'type': 'array'}, 'limit': {'default': 20, 'description': 'Number of documents to return', 'type': 'number'}, 'pageToken': {'description': 'Token for pagination to get the next page of results', 'type': 'string'}}, 'required': ['collection'], 'type': 'object'}, description="""List documents from a Firestore collection with optional filtering"""), # gemini-dk/Firebase MCP Server/firestore_list_documents
    Tool(name="""Firebase MCP Server_firestore_get_document""", inputSchema={'properties': {'collection': {'description': 'Collection name', 'type': 'string'}, 'id': {'description': 'Document ID', 'type': 'string'}}, 'required': ['collection', 'id'], 'type': 'object'}, description="""Get a document from a Firestore collection"""), # gemini-dk/Firebase MCP Server/firestore_get_document
    Tool(name="""Firebase MCP Server_firestore_update_document""", inputSchema={'properties': {'collection': {'description': 'Collection name', 'type': 'string'}, 'data': {'description': 'Updated document data', 'type': 'object'}, 'id': {'description': 'Document ID', 'type': 'string'}}, 'required': ['collection', 'id', 'data'], 'type': 'object'}, description="""Update a document in a Firestore collection"""), # gemini-dk/Firebase MCP Server/firestore_update_document
    Tool(name="""Firebase MCP Server_firestore_delete_document""", inputSchema={'properties': {'collection': {'description': 'Collection name', 'type': 'string'}, 'id': {'description': 'Document ID', 'type': 'string'}}, 'required': ['collection', 'id'], 'type': 'object'}, description="""Delete a document from a Firestore collection"""), # gemini-dk/Firebase MCP Server/firestore_delete_document
    Tool(name="""Firebase MCP Server_auth_get_user""", inputSchema={'properties': {'identifier': {'description': 'User ID or email address', 'type': 'string'}}, 'required': ['identifier'], 'type': 'object'}, description="""Get a user by ID or email from Firebase Authentication"""), # gemini-dk/Firebase MCP Server/auth_get_user
    Tool(name="""Firebase MCP Server_storage_list_files""", inputSchema={'properties': {'directoryPath': {'description': 'The optional path to list files from. If not provided, the root is used.', 'type': 'string'}}, 'required': [], 'type': 'object'}, description="""List files in a given path in Firebase Storage"""), # gemini-dk/Firebase MCP Server/storage_list_files
    Tool(name="""Firebase MCP Server_storage_get_file_info""", inputSchema={'properties': {'filePath': {'description': 'The path of the file to get information for', 'type': 'string'}}, 'required': ['filePath'], 'type': 'object'}, description="""Get file information including metadata and download URL"""), # gemini-dk/Firebase MCP Server/storage_get_file_info
    Tool(name="""MCP Server Template for Cursor IDE_mcp_fetch""", inputSchema={'properties': {'url': {'description': 'URL to fetch', 'type': 'string'}}, 'required': ['url'], 'type': 'object'}, description="""Fetches a website and returns its content"""), # andreasHornqvist/MCP Server Template for Cursor IDE/mcp_fetch
    Tool(name="""MCP Server Template for Cursor IDE_mood""", inputSchema={'properties': {'question': {'description': "Ask this MCP server about its mood! You can phrase your question in any way you like - 'How are you?', 'What's your mood?', or even 'Are you having a good day?'. The server will always respond with a cheerful message and a heart ", 'type': 'string'}}, 'required': ['question'], 'type': 'object'}, description="""Ask the server about its mood - it's always happy!"""), # andreasHornqvist/MCP Server Template for Cursor IDE/mood
    Tool(name="""MCP Server Template for Cursor IDE_generate_image""", inputSchema={'properties': {'n': {'default': 1, 'description': 'Number of images to generate', 'maximum': 1, 'minimum': 1, 'type': 'integer'}, 'prompt': {'description': 'The description of the image you want to generate', 'type': 'string'}, 'quality': {'default': 'standard', 'description': 'Image quality (standard or hd)', 'enum': ['standard', 'hd'], 'type': 'string'}, 'size': {'default': '1024x1024', 'description': 'Image size (1024x1024, 1024x1792, or 1792x1024)', 'enum': ['1024x1024', '1024x1792', '1792x1024'], 'type': 'string'}}, 'required': ['prompt'], 'type': 'object'}, description="""Generate an image using DALL-E 3"""), # andreasHornqvist/MCP Server Template for Cursor IDE/generate_image
    Tool(name="""MCP Server Template for Cursor IDE_figma_design""", inputSchema={'properties': {'url': {'description': 'The full Figma design URL', 'type': 'string'}}, 'required': ['url'], 'type': 'object'}, description="""Get Figma design data including structure and images"""), # andreasHornqvist/MCP Server Template for Cursor IDE/figma_design
    Tool(name="""mcp-data-extractor_extract_data""", inputSchema={'properties': {'sourcePath': {'description': 'Path to the source file containing data inside code', 'type': 'string'}, 'targetPath': {'description': 'Path where the resulting JSON file should be written', 'type': 'string'}}, 'required': ['sourcePath', 'targetPath'], 'type': 'object'}, description="""Extract data content (e.g. i18n translations) from source code to a JSON file. IMPORTANT: When encountering files with data such as i18n content embedded in code, use this tool directly instead of reading the file content first. This tool will programmatically extract all translations into a structured JSON file, preserving nested objects, arrays, template variables, and formatting. This helps keep translations as configuration and prevents filling up the AI context window with translation content. By default, the source file will be replaced with \"MIGRATED TO <target absolute path>\" and a warning message after successful extraction, making it easy to track where the data was moved to. This behaviour can be disabled by setting the DISABLE_SOURCE_REPLACEMENT environment variable to 'true'. The warning message can be customized by setting the WARNING_MESSAGE environment variable."""), # sammcj/mcp-data-extractor/extract_data
    Tool(name="""mcp-data-extractor_extract_svg""", inputSchema={'properties': {'sourcePath': {'description': 'Path to the source file containing SVG components', 'type': 'string'}, 'targetDir': {'description': 'Directory where the SVG files should be written', 'type': 'string'}}, 'required': ['sourcePath', 'targetDir'], 'type': 'object'}, description="""Extract SVG components from React/TypeScript/JavaScript files into individual .svg files. This tool will preserve the SVG structure and attributes while removing React-specific code. By default, the source file will be replaced with \"MIGRATED TO <target absolute path>\" and a warning message after successful extraction, making it easy to track where the SVGs were moved to. This behaviour can be disabled by setting the DISABLE_SOURCE_REPLACEMENT environment variable to 'true'. The warning message can be customized by setting the WARNING_MESSAGE environment variable."""), # sammcj/mcp-data-extractor/extract_svg
    Tool(name="""airflow-mcp-server_get_version""", inputSchema={'properties': {}, 'title': 'get_version_input', 'type': 'object'}, description="""get_version"""), # abhishekbhakat/airflow-mcp-server/get_version
    Tool(name="""airflow-mcp-server_get_connections""", inputSchema={'properties': {'limit': {'anyOf': [{'type': 'integer'}, {'type': 'null'}], 'default': None, 'title': 'Limit'}, 'offset': {'anyOf': [{'type': 'integer'}, {'type': 'null'}], 'default': None, 'title': 'Offset'}, 'order_by': {'anyOf': [{'type': 'string'}, {'type': 'null'}], 'default': None, 'title': 'Order By'}}, 'title': 'get_connections_input', 'type': 'object'}, description="""get_connections"""), # abhishekbhakat/airflow-mcp-server/get_connections
    Tool(name="""airflow-mcp-server_post_connection""", inputSchema={'properties': {'conn_type': {'anyOf': [{'type': 'string'}, {'type': 'null'}], 'default': None, 'title': 'Conn Type'}, 'connection_id': {'anyOf': [{'type': 'string'}, {'type': 'null'}], 'default': None, 'title': 'Connection Id'}, 'description': {'anyOf': [{'type': 'string'}, {'type': 'null'}], 'default': None, 'title': 'Description'}, 'extra': {'anyOf': [{'type': 'string'}, {'type': 'null'}], 'default': None, 'title': 'Extra'}, 'host': {'anyOf': [{'type': 'string'}, {'type': 'null'}], 'default': None, 'title': 'Host'}, 'login': {'anyOf': [{'type': 'string'}, {'type': 'null'}], 'default': None, 'title': 'Login'}, 'password': {'anyOf': [{'type': 'string'}, {'type': 'null'}], 'default': None, 'title': 'Password'}, 'port': {'anyOf': [{'type': 'integer'}, {'type': 'null'}], 'default': None, 'title': 'Port'}, 'schema': {'anyOf': [{'type': 'string'}, {'type': 'null'}], 'default': None, 'title': 'Schema'}}, 'title': 'post_connection_input', 'type': 'object'}, description="""post_connection"""), # abhishekbhakat/airflow-mcp-server/post_connection
    Tool(name="""airflow-mcp-server_get_connection""", inputSchema={'properties': {'connection_id': {'anyOf': [{'type': 'string'}, {'type': 'null'}], 'default': None, 'title': 'Connection Id'}}, 'title': 'get_connection_input', 'type': 'object'}, description="""get_connection"""), # abhishekbhakat/airflow-mcp-server/get_connection
    Tool(name="""airflow-mcp-server_patch_connection""", inputSchema={'properties': {'conn_type': {'anyOf': [{'type': 'string'}, {'type': 'null'}], 'default': None, 'title': 'Conn Type'}, 'connection_id': {'anyOf': [{'type': 'string'}, {'type': 'null'}], 'default': None, 'title': 'Connection Id'}, 'description': {'anyOf': [{'type': 'string'}, {'type': 'null'}], 'default': None, 'title': 'Description'}, 'extra': {'anyOf': [{'type': 'string'}, {'type': 'null'}], 'default': None, 'title': 'Extra'}, 'host': {'anyOf': [{'type': 'string'}, {'type': 'null'}], 'default': None, 'title': 'Host'}, 'login': {'anyOf': [{'type': 'string'}, {'type': 'null'}], 'default': None, 'title': 'Login'}, 'password': {'anyOf': [{'type': 'string'}, {'type': 'null'}], 'default': None, 'title': 'Password'}, 'port': {'anyOf': [{'type': 'integer'}, {'type': 'null'}], 'default': None, 'title': 'Port'}, 'schema': {'anyOf': [{'type': 'string'}, {'type': 'null'}], 'default': None, 'title': 'Schema'}, 'update_mask': {'anyOf': [{'items': {}, 'type': 'array'}, {'type': 'null'}], 'default': None, 'title': 'Update Mask'}}, 'title': 'patch_connection_input', 'type': 'object'}, description="""patch_connection"""), # abhishekbhakat/airflow-mcp-server/patch_connection
    Tool(name="""airflow-mcp-server_delete_connection""", inputSchema={'properties': {'connection_id': {'anyOf': [{'type': 'string'}, {'type': 'null'}], 'default': None, 'title': 'Connection Id'}}, 'title': 'delete_connection_input', 'type': 'object'}, description="""delete_connection"""), # abhishekbhakat/airflow-mcp-server/delete_connection
    Tool(name="""airflow-mcp-server_test_connection""", inputSchema={'properties': {'conn_type': {'anyOf': [{'type': 'string'}, {'type': 'null'}], 'default': None, 'title': 'Conn Type'}, 'connection_id': {'anyOf': [{'type': 'string'}, {'type': 'null'}], 'default': None, 'title': 'Connection Id'}, 'description': {'anyOf': [{'type': 'string'}, {'type': 'null'}], 'default': None, 'title': 'Description'}, 'extra': {'anyOf': [{'type': 'string'}, {'type': 'null'}], 'default': None, 'title': 'Extra'}, 'host': {'anyOf': [{'type': 'string'}, {'type': 'null'}], 'default': None, 'title': 'Host'}, 'login': {'anyOf': [{'type': 'string'}, {'type': 'null'}], 'default': None, 'title': 'Login'}, 'password': {'anyOf': [{'type': 'string'}, {'type': 'null'}], 'default': None, 'title': 'Password'}, 'port': {'anyOf': [{'type': 'integer'}, {'type': 'null'}], 'default': None, 'title': 'Port'}, 'schema': {'anyOf': [{'type': 'string'}, {'type': 'null'}], 'default': None, 'title': 'Schema'}}, 'title': 'test_connection_input', 'type': 'object'}, description="""test_connection"""), # abhishekbhakat/airflow-mcp-server/test_connection
    Tool(name="""airflow-mcp-server_get_dags""", inputSchema={'properties': {'dag_id_pattern': {'anyOf': [{'type': 'string'}, {'type': 'null'}], 'default': None, 'title': 'Dag Id Pattern'}, 'fields': {'anyOf': [{'items': {}, 'type': 'array'}, {'type': 'null'}], 'default': None, 'title': 'Fields'}, 'limit': {'anyOf': [{'type': 'integer'}, {'type': 'null'}], 'default': None, 'title': 'Limit'}, 'offset': {'anyOf': [{'type': 'integer'}, {'type': 'null'}], 'default': None, 'title': 'Offset'}, 'only_active': {'anyOf': [{'type': 'boolean'}, {'type': 'null'}], 'default': None, 'title': 'Only Active'}, 'order_by': {'anyOf': [{'type': 'string'}, {'type': 'null'}], 'default': None, 'title': 'Order By'}, 'paused': {'anyOf': [{'type': 'boolean'}, {'type': 'null'}], 'default': None, 'title': 'Paused'}, 'tags': {'anyOf': [{'items': {}, 'type': 'array'}, {'type': 'null'}], 'default': None, 'title': 'Tags'}}, 'title': 'get_dags_input', 'type': 'object'}, description="""get_dags"""), # abhishekbhakat/airflow-mcp-server/get_dags
    Tool(name="""airflow-mcp-server_delete_dag""", inputSchema={'properties': {'dag_id': {'anyOf': [{'type': 'string'}, {'type': 'null'}], 'default': None, 'title': 'Dag Id'}}, 'title': 'delete_dag_input', 'type': 'object'}, description="""delete_dag"""), # abhishekbhakat/airflow-mcp-server/delete_dag
    Tool(name="""airflow-mcp-server_patch_dags""", inputSchema={'properties': {'dag_display_name': {'anyOf': [{'type': 'string'}, {'type': 'null'}], 'default': None, 'title': 'Dag Display Name'}, 'dag_id': {'anyOf': [{'type': 'string'}, {'type': 'null'}], 'default': None, 'title': 'Dag Id'}, 'dag_id_pattern': {'anyOf': [{'type': 'string'}, {'type': 'null'}], 'default': None, 'title': 'Dag Id Pattern'}, 'default_view': {'anyOf': [{'type': 'string'}, {'type': 'null'}], 'default': None, 'title': 'Default View'}, 'description': {'anyOf': [{'type': 'string'}, {'type': 'null'}], 'default': None, 'title': 'Description'}, 'file_token': {'anyOf': [{'type': 'string'}, {'type': 'null'}], 'default': None, 'title': 'File Token'}, 'fileloc': {'anyOf': [{'type': 'string'}, {'type': 'null'}], 'default': None, 'title': 'Fileloc'}, 'has_import_errors': {'anyOf': [{'type': 'boolean'}, {'type': 'null'}], 'default': None, 'title': 'Has Import Errors'}, 'has_task_concurrency_limits': {'anyOf': [{'type': 'boolean'}, {'type': 'null'}], 'default': None, 'title': 'Has Task Concurrency Limits'}, 'is_active': {'anyOf': [{'type': 'boolean'}, {'type': 'null'}], 'default': None, 'title': 'Is Active'}, 'is_paused': {'anyOf': [{'type': 'boolean'}, {'type': 'null'}], 'default': None, 'title': 'Is Paused'}, 'is_subdag': {'anyOf': [{'type': 'boolean'}, {'type': 'null'}], 'default': None, 'title': 'Is Subdag'}, 'last_expired': {'anyOf': [{'format': 'date-time', 'type': 'string'}, {'type': 'null'}], 'default': None, 'title': 'Last Expired'}, 'last_parsed_time': {'anyOf': [{'format': 'date-time', 'type': 'string'}, {'type': 'null'}], 'default': None, 'title': 'Last Parsed Time'}, 'last_pickled': {'anyOf': [{'format': 'date-time', 'type': 'string'}, {'type': 'null'}], 'default': None, 'title': 'Last Pickled'}, 'limit': {'anyOf': [{'type': 'integer'}, {'type': 'null'}], 'default': None, 'title': 'Limit'}, 'max_active_runs': {'anyOf': [{'type': 'integer'}, {'type': 'null'}], 'default': None, 'title': 'Max Active Runs'}, 'max_active_tasks': {'anyOf': [{'type': 'integer'}, {'type': 'null'}], 'default': None, 'title': 'Max Active Tasks'}, 'max_consecutive_failed_dag_runs': {'anyOf': [{'type': 'integer'}, {'type': 'null'}], 'default': None, 'title': 'Max Consecutive Failed Dag Runs'}, 'next_dagrun': {'anyOf': [{'format': 'date-time', 'type': 'string'}, {'type': 'null'}], 'default': None, 'title': 'Next Dagrun'}, 'next_dagrun_create_after': {'anyOf': [{'format': 'date-time', 'type': 'string'}, {'type': 'null'}], 'default': None, 'title': 'Next Dagrun Create After'}, 'next_dagrun_data_interval_end': {'anyOf': [{'format': 'date-time', 'type': 'string'}, {'type': 'null'}], 'default': None, 'title': 'Next Dagrun Data Interval End'}, 'next_dagrun_data_interval_start': {'anyOf': [{'format': 'date-time', 'type': 'string'}, {'type': 'null'}], 'default': None, 'title': 'Next Dagrun Data Interval Start'}, 'offset': {'anyOf': [{'type': 'integer'}, {'type': 'null'}], 'default': None, 'title': 'Offset'}, 'only_active': {'anyOf': [{'type': 'boolean'}, {'type': 'null'}], 'default': None, 'title': 'Only Active'}, 'owners': {'anyOf': [{'items': {}, 'type': 'array'}, {'type': 'null'}], 'default': None, 'title': 'Owners'}, 'pickle_id': {'anyOf': [{'type': 'string'}, {'type': 'null'}], 'default': None, 'title': 'Pickle Id'}, 'root_dag_id': {'anyOf': [{'type': 'string'}, {'type': 'null'}], 'default': None, 'title': 'Root Dag Id'}, 'schedule_interval': {'anyOf': [{'type': 'string'}, {'type': 'null'}], 'default': None, 'title': 'Schedule Interval'}, 'scheduler_lock': {'anyOf': [{'type': 'boolean'}, {'type': 'null'}], 'default': None, 'title': 'Scheduler Lock'}, 'tags': {'anyOf': [{'items': {}, 'type': 'array'}, {'type': 'null'}], 'default': None, 'title': 'Tags'}, 'timetable_description': {'anyOf': [{'type': 'string'}, {'type': 'null'}], 'default': None, 'title': 'Timetable Description'}, 'update_mask': {'anyOf': [{'items': {}, 'type': 'array'}, {'type': 'null'}], 'default': None, 'title': 'Update Mask'}}, 'title': 'patch_dags_input', 'type': 'object'}, description="""patch_dags"""), # abhishekbhakat/airflow-mcp-server/patch_dags
    Tool(name="""airflow-mcp-server_get_dag""", inputSchema={'properties': {'dag_id': {'anyOf': [{'type': 'string'}, {'type': 'null'}], 'default': None, 'title': 'Dag Id'}, 'fields': {'anyOf': [{'items': {}, 'type': 'array'}, {'type': 'null'}], 'default': None, 'title': 'Fields'}}, 'title': 'get_dag_input', 'type': 'object'}, description="""get_dag"""), # abhishekbhakat/airflow-mcp-server/get_dag
    Tool(name="""airflow-mcp-server_patch_dag""", inputSchema={'properties': {'dag_display_name': {'anyOf': [{'type': 'string'}, {'type': 'null'}], 'default': None, 'title': 'Dag Display Name'}, 'dag_id': {'anyOf': [{'type': 'string'}, {'type': 'null'}], 'default': None, 'title': 'Dag Id'}, 'default_view': {'anyOf': [{'type': 'string'}, {'type': 'null'}], 'default': None, 'title': 'Default View'}, 'description': {'anyOf': [{'type': 'string'}, {'type': 'null'}], 'default': None, 'title': 'Description'}, 'file_token': {'anyOf': [{'type': 'string'}, {'type': 'null'}], 'default': None, 'title': 'File Token'}, 'fileloc': {'anyOf': [{'type': 'string'}, {'type': 'null'}], 'default': None, 'title': 'Fileloc'}, 'has_import_errors': {'anyOf': [{'type': 'boolean'}, {'type': 'null'}], 'default': None, 'title': 'Has Import Errors'}, 'has_task_concurrency_limits': {'anyOf': [{'type': 'boolean'}, {'type': 'null'}], 'default': None, 'title': 'Has Task Concurrency Limits'}, 'is_active': {'anyOf': [{'type': 'boolean'}, {'type': 'null'}], 'default': None, 'title': 'Is Active'}, 'is_paused': {'anyOf': [{'type': 'boolean'}, {'type': 'null'}], 'default': None, 'title': 'Is Paused'}, 'is_subdag': {'anyOf': [{'type': 'boolean'}, {'type': 'null'}], 'default': None, 'title': 'Is Subdag'}, 'last_expired': {'anyOf': [{'format': 'date-time', 'type': 'string'}, {'type': 'null'}], 'default': None, 'title': 'Last Expired'}, 'last_parsed_time': {'anyOf': [{'format': 'date-time', 'type': 'string'}, {'type': 'null'}], 'default': None, 'title': 'Last Parsed Time'}, 'last_pickled': {'anyOf': [{'format': 'date-time', 'type': 'string'}, {'type': 'null'}], 'default': None, 'title': 'Last Pickled'}, 'max_active_runs': {'anyOf': [{'type': 'integer'}, {'type': 'null'}], 'default': None, 'title': 'Max Active Runs'}, 'max_active_tasks': {'anyOf': [{'type': 'integer'}, {'type': 'null'}], 'default': None, 'title': 'Max Active Tasks'}, 'max_consecutive_failed_dag_runs': {'anyOf': [{'type': 'integer'}, {'type': 'null'}], 'default': None, 'title': 'Max Consecutive Failed Dag Runs'}, 'next_dagrun': {'anyOf': [{'format': 'date-time', 'type': 'string'}, {'type': 'null'}], 'default': None, 'title': 'Next Dagrun'}, 'next_dagrun_create_after': {'anyOf': [{'format': 'date-time', 'type': 'string'}, {'type': 'null'}], 'default': None, 'title': 'Next Dagrun Create After'}, 'next_dagrun_data_interval_end': {'anyOf': [{'format': 'date-time', 'type': 'string'}, {'type': 'null'}], 'default': None, 'title': 'Next Dagrun Data Interval End'}, 'next_dagrun_data_interval_start': {'anyOf': [{'format': 'date-time', 'type': 'string'}, {'type': 'null'}], 'default': None, 'title': 'Next Dagrun Data Interval Start'}, 'owners': {'anyOf': [{'items': {}, 'type': 'array'}, {'type': 'null'}], 'default': None, 'title': 'Owners'}, 'pickle_id': {'anyOf': [{'type': 'string'}, {'type': 'null'}], 'default': None, 'title': 'Pickle Id'}, 'root_dag_id': {'anyOf': [{'type': 'string'}, {'type': 'null'}], 'default': None, 'title': 'Root Dag Id'}, 'schedule_interval': {'anyOf': [{'type': 'string'}, {'type': 'null'}], 'default': None, 'title': 'Schedule Interval'}, 'scheduler_lock': {'anyOf': [{'type': 'boolean'}, {'type': 'null'}], 'default': None, 'title': 'Scheduler Lock'}, 'tags': {'anyOf': [{'items': {}, 'type': 'array'}, {'type': 'null'}], 'default': None, 'title': 'Tags'}, 'timetable_description': {'anyOf': [{'type': 'string'}, {'type': 'null'}], 'default': None, 'title': 'Timetable Description'}, 'update_mask': {'anyOf': [{'items': {}, 'type': 'array'}, {'type': 'null'}], 'default': None, 'title': 'Update Mask'}}, 'title': 'patch_dag_input', 'type': 'object'}, description="""patch_dag"""), # abhishekbhakat/airflow-mcp-server/patch_dag
    Tool(name="""airflow-mcp-server_post_clear_task_instances""", inputSchema={'properties': {'dag_id': {'anyOf': [{'type': 'string'}, {'type': 'null'}], 'default': None, 'title': 'Dag Id'}, 'dag_run_id': {'anyOf': [{'type': 'string'}, {'type': 'null'}], 'default': None, 'title': 'Dag Run Id'}, 'dry_run': {'anyOf': [{'type': 'boolean'}, {'type': 'null'}], 'default': None, 'title': 'Dry Run'}, 'end_date': {'anyOf': [{'type': 'string'}, {'type': 'null'}], 'default': None, 'title': 'End Date'}, 'include_downstream': {'anyOf': [{'type': 'boolean'}, {'type': 'null'}], 'default': None, 'title': 'Include Downstream'}, 'include_future': {'anyOf': [{'type': 'boolean'}, {'type': 'null'}], 'default': None, 'title': 'Include Future'}, 'include_parentdag': {'anyOf': [{'type': 'boolean'}, {'type': 'null'}], 'default': None, 'title': 'Include Parentdag'}, 'include_past': {'anyOf': [{'type': 'boolean'}, {'type': 'null'}], 'default': None, 'title': 'Include Past'}, 'include_subdags': {'anyOf': [{'type': 'boolean'}, {'type': 'null'}], 'default': None, 'title': 'Include Subdags'}, 'include_upstream': {'anyOf': [{'type': 'boolean'}, {'type': 'null'}], 'default': None, 'title': 'Include Upstream'}, 'only_failed': {'anyOf': [{'type': 'boolean'}, {'type': 'null'}], 'default': None, 'title': 'Only Failed'}, 'only_running': {'anyOf': [{'type': 'boolean'}, {'type': 'null'}], 'default': None, 'title': 'Only Running'}, 'reset_dag_runs': {'anyOf': [{'type': 'boolean'}, {'type': 'null'}], 'default': None, 'title': 'Reset Dag Runs'}, 'start_date': {'anyOf': [{'type': 'string'}, {'type': 'null'}], 'default': None, 'title': 'Start Date'}, 'task_ids': {'anyOf': [{'items': {}, 'type': 'array'}, {'type': 'null'}], 'default': None, 'title': 'Task Ids'}}, 'title': 'post_clear_task_instances_input', 'type': 'object'}, description="""post_clear_task_instances"""), # abhishekbhakat/airflow-mcp-server/post_clear_task_instances
    Tool(name="""airflow-mcp-server_set_task_instance_note""", inputSchema={'properties': {'dag_id': {'anyOf': [{'type': 'string'}, {'type': 'null'}], 'default': None, 'title': 'Dag Id'}, 'dag_run_id': {'anyOf': [{'type': 'string'}, {'type': 'null'}], 'default': None, 'title': 'Dag Run Id'}, 'note': {'anyOf': [{'type': 'string'}, {'type': 'null'}], 'default': None, 'title': 'Note'}, 'task_id': {'anyOf': [{'type': 'string'}, {'type': 'null'}], 'default': None, 'title': 'Task Id'}}, 'title': 'set_task_instance_note_input', 'type': 'object'}, description="""set_task_instance_note"""), # abhishekbhakat/airflow-mcp-server/set_task_instance_note
    Tool(name="""airflow-mcp-server_set_mapped_task_instance_note""", inputSchema={'properties': {'dag_id': {'anyOf': [{'type': 'string'}, {'type': 'null'}], 'default': None, 'title': 'Dag Id'}, 'dag_run_id': {'anyOf': [{'type': 'string'}, {'type': 'null'}], 'default': None, 'title': 'Dag Run Id'}, 'map_index': {'anyOf': [{'type': 'integer'}, {'type': 'null'}], 'default': None, 'title': 'Map Index'}, 'note': {'anyOf': [{'type': 'string'}, {'type': 'null'}], 'default': None, 'title': 'Note'}, 'task_id': {'anyOf': [{'type': 'string'}, {'type': 'null'}], 'default': None, 'title': 'Task Id'}}, 'title': 'set_mapped_task_instance_note_input', 'type': 'object'}, description="""set_mapped_task_instance_note"""), # abhishekbhakat/airflow-mcp-server/set_mapped_task_instance_note
    Tool(name="""airflow-mcp-server_get_task_instance_dependencies""", inputSchema={'properties': {'dag_id': {'anyOf': [{'type': 'string'}, {'type': 'null'}], 'default': None, 'title': 'Dag Id'}, 'dag_run_id': {'anyOf': [{'type': 'string'}, {'type': 'null'}], 'default': None, 'title': 'Dag Run Id'}, 'task_id': {'anyOf': [{'type': 'string'}, {'type': 'null'}], 'default': None, 'title': 'Task Id'}}, 'title': 'get_task_instance_dependencies_input', 'type': 'object'}, description="""get_task_instance_dependencies"""), # abhishekbhakat/airflow-mcp-server/get_task_instance_dependencies
    Tool(name="""airflow-mcp-server_get_mapped_task_instance_dependencies""", inputSchema={'properties': {'dag_id': {'anyOf': [{'type': 'string'}, {'type': 'null'}], 'default': None, 'title': 'Dag Id'}, 'dag_run_id': {'anyOf': [{'type': 'string'}, {'type': 'null'}], 'default': None, 'title': 'Dag Run Id'}, 'map_index': {'anyOf': [{'type': 'integer'}, {'type': 'null'}], 'default': None, 'title': 'Map Index'}, 'task_id': {'anyOf': [{'type': 'string'}, {'type': 'null'}], 'default': None, 'title': 'Task Id'}}, 'title': 'get_mapped_task_instance_dependencies_input', 'type': 'object'}, description="""get_mapped_task_instance_dependencies"""), # abhishekbhakat/airflow-mcp-server/get_mapped_task_instance_dependencies
    Tool(name="""airflow-mcp-server_post_set_task_instances_state""", inputSchema={'properties': {'dag_id': {'anyOf': [{'type': 'string'}, {'type': 'null'}], 'default': None, 'title': 'Dag Id'}, 'dag_run_id': {'anyOf': [{'type': 'string'}, {'type': 'null'}], 'default': None, 'title': 'Dag Run Id'}, 'dry_run': {'anyOf': [{'type': 'boolean'}, {'type': 'null'}], 'default': None, 'title': 'Dry Run'}, 'execution_date': {'anyOf': [{'type': 'string'}, {'type': 'null'}], 'default': None, 'title': 'Execution Date'}, 'include_downstream': {'anyOf': [{'type': 'boolean'}, {'type': 'null'}], 'default': None, 'title': 'Include Downstream'}, 'include_future': {'anyOf': [{'type': 'boolean'}, {'type': 'null'}], 'default': None, 'title': 'Include Future'}, 'include_past': {'anyOf': [{'type': 'boolean'}, {'type': 'null'}], 'default': None, 'title': 'Include Past'}, 'include_upstream': {'anyOf': [{'type': 'boolean'}, {'type': 'null'}], 'default': None, 'title': 'Include Upstream'}, 'new_state': {'anyOf': [{'type': 'string'}, {'type': 'null'}], 'default': None, 'title': 'New State'}, 'task_id': {'anyOf': [{'type': 'string'}, {'type': 'null'}], 'default': None, 'title': 'Task Id'}}, 'title': 'post_set_task_instances_state_input', 'type': 'object'}, description="""post_set_task_instances_state"""), # abhishekbhakat/airflow-mcp-server/post_set_task_instances_state
    Tool(name="""airflow-mcp-server_get_dag_runs""", inputSchema={'properties': {'dag_id': {'anyOf': [{'type': 'string'}, {'type': 'null'}], 'default': None, 'title': 'Dag Id'}, 'end_date_gte': {'anyOf': [{'format': 'date-time', 'type': 'string'}, {'type': 'null'}], 'default': None, 'title': 'End Date Gte'}, 'end_date_lte': {'anyOf': [{'format': 'date-time', 'type': 'string'}, {'type': 'null'}], 'default': None, 'title': 'End Date Lte'}, 'execution_date_gte': {'anyOf': [{'format': 'date-time', 'type': 'string'}, {'type': 'null'}], 'default': None, 'title': 'Execution Date Gte'}, 'execution_date_lte': {'anyOf': [{'format': 'date-time', 'type': 'string'}, {'type': 'null'}], 'default': None, 'title': 'Execution Date Lte'}, 'fields': {'anyOf': [{'items': {}, 'type': 'array'}, {'type': 'null'}], 'default': None, 'title': 'Fields'}, 'limit': {'anyOf': [{'type': 'integer'}, {'type': 'null'}], 'default': None, 'title': 'Limit'}, 'offset': {'anyOf': [{'type': 'integer'}, {'type': 'null'}], 'default': None, 'title': 'Offset'}, 'order_by': {'anyOf': [{'type': 'string'}, {'type': 'null'}], 'default': None, 'title': 'Order By'}, 'start_date_gte': {'anyOf': [{'format': 'date-time', 'type': 'string'}, {'type': 'null'}], 'default': None, 'title': 'Start Date Gte'}, 'start_date_lte': {'anyOf': [{'format': 'date-time', 'type': 'string'}, {'type': 'null'}], 'default': None, 'title': 'Start Date Lte'}, 'state': {'anyOf': [{'items': {}, 'type': 'array'}, {'type': 'null'}], 'default': None, 'title': 'State'}, 'updated_at_gte': {'anyOf': [{'format': 'date-time', 'type': 'string'}, {'type': 'null'}], 'default': None, 'title': 'Updated At Gte'}, 'updated_at_lte': {'anyOf': [{'format': 'date-time', 'type': 'string'}, {'type': 'null'}], 'default': None, 'title': 'Updated At Lte'}}, 'title': 'get_dag_runs_input', 'type': 'object'}, description="""get_dag_runs"""), # abhishekbhakat/airflow-mcp-server/get_dag_runs
    Tool(name="""airflow-mcp-server_post_dag_run""", inputSchema={'properties': {'conf': {'anyOf': [{'type': 'object'}, {'type': 'null'}], 'default': None, 'title': 'Conf'}, 'dag_id': {'anyOf': [{'type': 'string'}, {'type': 'null'}], 'default': None, 'title': 'Dag Id'}, 'dag_run_id': {'anyOf': [{'type': 'string'}, {'type': 'null'}], 'default': None, 'title': 'Dag Run Id'}, 'data_interval_end': {'anyOf': [{'format': 'date-time', 'type': 'string'}, {'type': 'null'}], 'default': None, 'title': 'Data Interval End'}, 'data_interval_start': {'anyOf': [{'format': 'date-time', 'type': 'string'}, {'type': 'null'}], 'default': None, 'title': 'Data Interval Start'}, 'end_date': {'anyOf': [{'format': 'date-time', 'type': 'string'}, {'type': 'null'}], 'default': None, 'title': 'End Date'}, 'execution_date': {'anyOf': [{'format': 'date-time', 'type': 'string'}, {'type': 'null'}], 'default': None, 'title': 'Execution Date'}, 'external_trigger': {'anyOf': [{'type': 'boolean'}, {'type': 'null'}], 'default': None, 'title': 'External Trigger'}, 'last_scheduling_decision': {'anyOf': [{'format': 'date-time', 'type': 'string'}, {'type': 'null'}], 'default': None, 'title': 'Last Scheduling Decision'}, 'logical_date': {'anyOf': [{'format': 'date-time', 'type': 'string'}, {'type': 'null'}], 'default': None, 'title': 'Logical Date'}, 'note': {'anyOf': [{'type': 'string'}, {'type': 'null'}], 'default': None, 'title': 'Note'}, 'run_type': {'anyOf': [{'enum': ['backfill', 'manual', 'scheduled', 'dataset_triggered'], 'type': 'string'}, {'type': 'null'}], 'default': None, 'title': 'Run Type'}, 'start_date': {'anyOf': [{'format': 'date-time', 'type': 'string'}, {'type': 'null'}], 'default': None, 'title': 'Start Date'}, 'state': {'anyOf': [{'type': 'string'}, {'type': 'null'}], 'default': None, 'title': 'State'}}, 'title': 'post_dag_run_input', 'type': 'object'}, description="""post_dag_run"""), # abhishekbhakat/airflow-mcp-server/post_dag_run
    Tool(name="""airflow-mcp-server_get_dag_runs_batch""", inputSchema={'properties': {'dag_ids': {'anyOf': [{'items': {}, 'type': 'array'}, {'type': 'null'}], 'default': None, 'title': 'Dag Ids'}, 'end_date_gte': {'anyOf': [{'format': 'date-time', 'type': 'string'}, {'type': 'null'}], 'default': None, 'title': 'End Date Gte'}, 'end_date_lte': {'anyOf': [{'format': 'date-time', 'type': 'string'}, {'type': 'null'}], 'default': None, 'title': 'End Date Lte'}, 'execution_date_gte': {'anyOf': [{'format': 'date-time', 'type': 'string'}, {'type': 'null'}], 'default': None, 'title': 'Execution Date Gte'}, 'execution_date_lte': {'anyOf': [{'format': 'date-time', 'type': 'string'}, {'type': 'null'}], 'default': None, 'title': 'Execution Date Lte'}, 'order_by': {'anyOf': [{'type': 'string'}, {'type': 'null'}], 'default': None, 'title': 'Order By'}, 'page_limit': {'anyOf': [{'type': 'integer'}, {'type': 'null'}], 'default': None, 'title': 'Page Limit'}, 'page_offset': {'anyOf': [{'type': 'integer'}, {'type': 'null'}], 'default': None, 'title': 'Page Offset'}, 'start_date_gte': {'anyOf': [{'format': 'date-time', 'type': 'string'}, {'type': 'null'}], 'default': None, 'title': 'Start Date Gte'}, 'start_date_lte': {'anyOf': [{'format': 'date-time', 'type': 'string'}, {'type': 'null'}], 'default': None, 'title': 'Start Date Lte'}, 'states': {'anyOf': [{'items': {}, 'type': 'array'}, {'type': 'null'}], 'default': None, 'title': 'States'}}, 'title': 'get_dag_runs_batch_input', 'type': 'object'}, description="""get_dag_runs_batch"""), # abhishekbhakat/airflow-mcp-server/get_dag_runs_batch
    Tool(name="""airflow-mcp-server_get_dag_run""", inputSchema={'properties': {'dag_id': {'anyOf': [{'type': 'string'}, {'type': 'null'}], 'default': None, 'title': 'Dag Id'}, 'dag_run_id': {'anyOf': [{'type': 'string'}, {'type': 'null'}], 'default': None, 'title': 'Dag Run Id'}, 'fields': {'anyOf': [{'items': {}, 'type': 'array'}, {'type': 'null'}], 'default': None, 'title': 'Fields'}}, 'title': 'get_dag_run_input', 'type': 'object'}, description="""get_dag_run"""), # abhishekbhakat/airflow-mcp-server/get_dag_run
    Tool(name="""airflow-mcp-server_delete_dag_run""", inputSchema={'properties': {'dag_id': {'anyOf': [{'type': 'string'}, {'type': 'null'}], 'default': None, 'title': 'Dag Id'}, 'dag_run_id': {'anyOf': [{'type': 'string'}, {'type': 'null'}], 'default': None, 'title': 'Dag Run Id'}}, 'title': 'delete_dag_run_input', 'type': 'object'}, description="""delete_dag_run"""), # abhishekbhakat/airflow-mcp-server/delete_dag_run
    Tool(name="""airflow-mcp-server_update_dag_run_state""", inputSchema={'properties': {'dag_id': {'anyOf': [{'type': 'string'}, {'type': 'null'}], 'default': None, 'title': 'Dag Id'}, 'dag_run_id': {'anyOf': [{'type': 'string'}, {'type': 'null'}], 'default': None, 'title': 'Dag Run Id'}, 'state': {'anyOf': [{'enum': ['success', 'failed', 'queued'], 'type': 'string'}, {'type': 'null'}], 'default': None, 'title': 'State'}}, 'title': 'update_dag_run_state_input', 'type': 'object'}, description="""update_dag_run_state"""), # abhishekbhakat/airflow-mcp-server/update_dag_run_state
    Tool(name="""airflow-mcp-server_clear_dag_run""", inputSchema={'properties': {'dag_id': {'anyOf': [{'type': 'string'}, {'type': 'null'}], 'default': None, 'title': 'Dag Id'}, 'dag_run_id': {'anyOf': [{'type': 'string'}, {'type': 'null'}], 'default': None, 'title': 'Dag Run Id'}, 'dry_run': {'anyOf': [{'type': 'boolean'}, {'type': 'null'}], 'default': None, 'title': 'Dry Run'}}, 'title': 'clear_dag_run_input', 'type': 'object'}, description="""clear_dag_run"""), # abhishekbhakat/airflow-mcp-server/clear_dag_run
    Tool(name="""airflow-mcp-server_get_upstream_dataset_events""", inputSchema={'properties': {'dag_id': {'anyOf': [{'type': 'string'}, {'type': 'null'}], 'default': None, 'title': 'Dag Id'}, 'dag_run_id': {'anyOf': [{'type': 'string'}, {'type': 'null'}], 'default': None, 'title': 'Dag Run Id'}}, 'title': 'get_upstream_dataset_events_input', 'type': 'object'}, description="""get_upstream_dataset_events"""), # abhishekbhakat/airflow-mcp-server/get_upstream_dataset_events
    Tool(name="""airflow-mcp-server_set_dag_run_note""", inputSchema={'properties': {'dag_id': {'anyOf': [{'type': 'string'}, {'type': 'null'}], 'default': None, 'title': 'Dag Id'}, 'dag_run_id': {'anyOf': [{'type': 'string'}, {'type': 'null'}], 'default': None, 'title': 'Dag Run Id'}, 'note': {'anyOf': [{'type': 'string'}, {'type': 'null'}], 'default': None, 'title': 'Note'}}, 'title': 'set_dag_run_note_input', 'type': 'object'}, description="""set_dag_run_note"""), # abhishekbhakat/airflow-mcp-server/set_dag_run_note
    Tool(name="""airflow-mcp-server_get_dag_dataset_queued_event""", inputSchema={'properties': {'before': {'anyOf': [{'format': 'date-time', 'type': 'string'}, {'type': 'null'}], 'default': None, 'title': 'Before'}, 'dag_id': {'anyOf': [{'type': 'string'}, {'type': 'null'}], 'default': None, 'title': 'Dag Id'}, 'uri': {'anyOf': [{'type': 'string'}, {'type': 'null'}], 'default': None, 'title': 'Uri'}}, 'title': 'get_dag_dataset_queued_event_input', 'type': 'object'}, description="""get_dag_dataset_queued_event"""), # abhishekbhakat/airflow-mcp-server/get_dag_dataset_queued_event
    Tool(name="""airflow-mcp-server_delete_dag_dataset_queued_event""", inputSchema={'properties': {'before': {'anyOf': [{'format': 'date-time', 'type': 'string'}, {'type': 'null'}], 'default': None, 'title': 'Before'}, 'dag_id': {'anyOf': [{'type': 'string'}, {'type': 'null'}], 'default': None, 'title': 'Dag Id'}, 'uri': {'anyOf': [{'type': 'string'}, {'type': 'null'}], 'default': None, 'title': 'Uri'}}, 'title': 'delete_dag_dataset_queued_event_input', 'type': 'object'}, description="""delete_dag_dataset_queued_event"""), # abhishekbhakat/airflow-mcp-server/delete_dag_dataset_queued_event
    Tool(name="""airflow-mcp-server_get_dag_dataset_queued_events""", inputSchema={'properties': {'before': {'anyOf': [{'format': 'date-time', 'type': 'string'}, {'type': 'null'}], 'default': None, 'title': 'Before'}, 'dag_id': {'anyOf': [{'type': 'string'}, {'type': 'null'}], 'default': None, 'title': 'Dag Id'}}, 'title': 'get_dag_dataset_queued_events_input', 'type': 'object'}, description="""get_dag_dataset_queued_events"""), # abhishekbhakat/airflow-mcp-server/get_dag_dataset_queued_events
    Tool(name="""airflow-mcp-server_delete_dag_dataset_queued_events""", inputSchema={'properties': {'before': {'anyOf': [{'format': 'date-time', 'type': 'string'}, {'type': 'null'}], 'default': None, 'title': 'Before'}, 'dag_id': {'anyOf': [{'type': 'string'}, {'type': 'null'}], 'default': None, 'title': 'Dag Id'}}, 'title': 'delete_dag_dataset_queued_events_input', 'type': 'object'}, description="""delete_dag_dataset_queued_events"""), # abhishekbhakat/airflow-mcp-server/delete_dag_dataset_queued_events
    Tool(name="""airflow-mcp-server_reparse_dag_file""", inputSchema={'properties': {'file_token': {'anyOf': [{'type': 'string'}, {'type': 'null'}], 'default': None, 'title': 'File Token'}}, 'title': 'reparse_dag_file_input', 'type': 'object'}, description="""reparse_dag_file"""), # abhishekbhakat/airflow-mcp-server/reparse_dag_file
    Tool(name="""airflow-mcp-server_get_dataset_queued_events""", inputSchema={'properties': {'before': {'anyOf': [{'format': 'date-time', 'type': 'string'}, {'type': 'null'}], 'default': None, 'title': 'Before'}, 'uri': {'anyOf': [{'type': 'string'}, {'type': 'null'}], 'default': None, 'title': 'Uri'}}, 'title': 'get_dataset_queued_events_input', 'type': 'object'}, description="""get_dataset_queued_events"""), # abhishekbhakat/airflow-mcp-server/get_dataset_queued_events
    Tool(name="""airflow-mcp-server_delete_dataset_queued_events""", inputSchema={'properties': {'before': {'anyOf': [{'format': 'date-time', 'type': 'string'}, {'type': 'null'}], 'default': None, 'title': 'Before'}, 'uri': {'anyOf': [{'type': 'string'}, {'type': 'null'}], 'default': None, 'title': 'Uri'}}, 'title': 'delete_dataset_queued_events_input', 'type': 'object'}, description="""delete_dataset_queued_events"""), # abhishekbhakat/airflow-mcp-server/delete_dataset_queued_events
    Tool(name="""airflow-mcp-server_get_event_logs""", inputSchema={'properties': {'after': {'anyOf': [{'format': 'date-time', 'type': 'string'}, {'type': 'null'}], 'default': None, 'title': 'After'}, 'before': {'anyOf': [{'format': 'date-time', 'type': 'string'}, {'type': 'null'}], 'default': None, 'title': 'Before'}, 'dag_id': {'anyOf': [{'type': 'string'}, {'type': 'null'}], 'default': None, 'title': 'Dag Id'}, 'event': {'anyOf': [{'type': 'string'}, {'type': 'null'}], 'default': None, 'title': 'Event'}, 'excluded_events': {'anyOf': [{'type': 'string'}, {'type': 'null'}], 'default': None, 'title': 'Excluded Events'}, 'included_events': {'anyOf': [{'type': 'string'}, {'type': 'null'}], 'default': None, 'title': 'Included Events'}, 'limit': {'anyOf': [{'type': 'integer'}, {'type': 'null'}], 'default': None, 'title': 'Limit'}, 'map_index': {'anyOf': [{'type': 'integer'}, {'type': 'null'}], 'default': None, 'title': 'Map Index'}, 'offset': {'anyOf': [{'type': 'integer'}, {'type': 'null'}], 'default': None, 'title': 'Offset'}, 'order_by': {'anyOf': [{'type': 'string'}, {'type': 'null'}], 'default': None, 'title': 'Order By'}, 'owner': {'anyOf': [{'type': 'string'}, {'type': 'null'}], 'default': None, 'title': 'Owner'}, 'run_id': {'anyOf': [{'type': 'string'}, {'type': 'null'}], 'default': None, 'title': 'Run Id'}, 'task_id': {'anyOf': [{'type': 'string'}, {'type': 'null'}], 'default': None, 'title': 'Task Id'}, 'try_number': {'anyOf': [{'type': 'integer'}, {'type': 'null'}], 'default': None, 'title': 'Try Number'}}, 'title': 'get_event_logs_input', 'type': 'object'}, description="""get_event_logs"""), # abhishekbhakat/airflow-mcp-server/get_event_logs
    Tool(name="""airflow-mcp-server_get_event_log""", inputSchema={'properties': {'event_log_id': {'anyOf': [{'type': 'integer'}, {'type': 'null'}], 'default': None, 'title': 'Event Log Id'}}, 'title': 'get_event_log_input', 'type': 'object'}, description="""get_event_log"""), # abhishekbhakat/airflow-mcp-server/get_event_log
    Tool(name="""airflow-mcp-server_get_import_errors""", inputSchema={'properties': {'limit': {'anyOf': [{'type': 'integer'}, {'type': 'null'}], 'default': None, 'title': 'Limit'}, 'offset': {'anyOf': [{'type': 'integer'}, {'type': 'null'}], 'default': None, 'title': 'Offset'}, 'order_by': {'anyOf': [{'type': 'string'}, {'type': 'null'}], 'default': None, 'title': 'Order By'}}, 'title': 'get_import_errors_input', 'type': 'object'}, description="""get_import_errors"""), # abhishekbhakat/airflow-mcp-server/get_import_errors
    Tool(name="""airflow-mcp-server_get_import_error""", inputSchema={'properties': {'import_error_id': {'anyOf': [{'type': 'integer'}, {'type': 'null'}], 'default': None, 'title': 'Import Error Id'}}, 'title': 'get_import_error_input', 'type': 'object'}, description="""get_import_error"""), # abhishekbhakat/airflow-mcp-server/get_import_error
    Tool(name="""airflow-mcp-server_get_pools""", inputSchema={'properties': {'limit': {'anyOf': [{'type': 'integer'}, {'type': 'null'}], 'default': None, 'title': 'Limit'}, 'offset': {'anyOf': [{'type': 'integer'}, {'type': 'null'}], 'default': None, 'title': 'Offset'}, 'order_by': {'anyOf': [{'type': 'string'}, {'type': 'null'}], 'default': None, 'title': 'Order By'}}, 'title': 'get_pools_input', 'type': 'object'}, description="""get_pools"""), # abhishekbhakat/airflow-mcp-server/get_pools
    Tool(name="""airflow-mcp-server_post_pool""", inputSchema={'properties': {'deferred_slots': {'anyOf': [{'type': 'integer'}, {'type': 'null'}], 'default': None, 'title': 'Deferred Slots'}, 'description': {'anyOf': [{'type': 'string'}, {'type': 'null'}], 'default': None, 'title': 'Description'}, 'include_deferred': {'anyOf': [{'type': 'boolean'}, {'type': 'null'}], 'default': None, 'title': 'Include Deferred'}, 'name': {'anyOf': [{'type': 'string'}, {'type': 'null'}], 'default': None, 'title': 'Name'}, 'occupied_slots': {'anyOf': [{'type': 'integer'}, {'type': 'null'}], 'default': None, 'title': 'Occupied Slots'}, 'open_slots': {'anyOf': [{'type': 'integer'}, {'type': 'null'}], 'default': None, 'title': 'Open Slots'}, 'queued_slots': {'anyOf': [{'type': 'integer'}, {'type': 'null'}], 'default': None, 'title': 'Queued Slots'}, 'running_slots': {'anyOf': [{'type': 'integer'}, {'type': 'null'}], 'default': None, 'title': 'Running Slots'}, 'scheduled_slots': {'anyOf': [{'type': 'integer'}, {'type': 'null'}], 'default': None, 'title': 'Scheduled Slots'}, 'slots': {'anyOf': [{'type': 'integer'}, {'type': 'null'}], 'default': None, 'title': 'Slots'}}, 'title': 'post_pool_input', 'type': 'object'}, description="""post_pool"""), # abhishekbhakat/airflow-mcp-server/post_pool
    Tool(name="""airflow-mcp-server_get_pool""", inputSchema={'properties': {'pool_name': {'anyOf': [{'type': 'string'}, {'type': 'null'}], 'default': None, 'title': 'Pool Name'}}, 'title': 'get_pool_input', 'type': 'object'}, description="""get_pool"""), # abhishekbhakat/airflow-mcp-server/get_pool
    Tool(name="""airflow-mcp-server_patch_pool""", inputSchema={'properties': {'deferred_slots': {'anyOf': [{'type': 'integer'}, {'type': 'null'}], 'default': None, 'title': 'Deferred Slots'}, 'description': {'anyOf': [{'type': 'string'}, {'type': 'null'}], 'default': None, 'title': 'Description'}, 'include_deferred': {'anyOf': [{'type': 'boolean'}, {'type': 'null'}], 'default': None, 'title': 'Include Deferred'}, 'name': {'anyOf': [{'type': 'string'}, {'type': 'null'}], 'default': None, 'title': 'Name'}, 'occupied_slots': {'anyOf': [{'type': 'integer'}, {'type': 'null'}], 'default': None, 'title': 'Occupied Slots'}, 'open_slots': {'anyOf': [{'type': 'integer'}, {'type': 'null'}], 'default': None, 'title': 'Open Slots'}, 'pool_name': {'anyOf': [{'type': 'string'}, {'type': 'null'}], 'default': None, 'title': 'Pool Name'}, 'queued_slots': {'anyOf': [{'type': 'integer'}, {'type': 'null'}], 'default': None, 'title': 'Queued Slots'}, 'running_slots': {'anyOf': [{'type': 'integer'}, {'type': 'null'}], 'default': None, 'title': 'Running Slots'}, 'scheduled_slots': {'anyOf': [{'type': 'integer'}, {'type': 'null'}], 'default': None, 'title': 'Scheduled Slots'}, 'slots': {'anyOf': [{'type': 'integer'}, {'type': 'null'}], 'default': None, 'title': 'Slots'}, 'update_mask': {'anyOf': [{'items': {}, 'type': 'array'}, {'type': 'null'}], 'default': None, 'title': 'Update Mask'}}, 'title': 'patch_pool_input', 'type': 'object'}, description="""patch_pool"""), # abhishekbhakat/airflow-mcp-server/patch_pool
    Tool(name="""airflow-mcp-server_delete_pool""", inputSchema={'properties': {'pool_name': {'anyOf': [{'type': 'string'}, {'type': 'null'}], 'default': None, 'title': 'Pool Name'}}, 'title': 'delete_pool_input', 'type': 'object'}, description="""delete_pool"""), # abhishekbhakat/airflow-mcp-server/delete_pool
    Tool(name="""airflow-mcp-server_get_providers""", inputSchema={'properties': {}, 'title': 'get_providers_input', 'type': 'object'}, description="""get_providers"""), # abhishekbhakat/airflow-mcp-server/get_providers
    Tool(name="""airflow-mcp-server_get_task_instances""", inputSchema={'properties': {'dag_id': {'anyOf': [{'type': 'string'}, {'type': 'null'}], 'default': None, 'title': 'Dag Id'}, 'dag_run_id': {'anyOf': [{'type': 'string'}, {'type': 'null'}], 'default': None, 'title': 'Dag Run Id'}, 'duration_gte': {'anyOf': [{'type': 'number'}, {'type': 'null'}], 'default': None, 'title': 'Duration Gte'}, 'duration_lte': {'anyOf': [{'type': 'number'}, {'type': 'null'}], 'default': None, 'title': 'Duration Lte'}, 'end_date_gte': {'anyOf': [{'format': 'date-time', 'type': 'string'}, {'type': 'null'}], 'default': None, 'title': 'End Date Gte'}, 'end_date_lte': {'anyOf': [{'format': 'date-time', 'type': 'string'}, {'type': 'null'}], 'default': None, 'title': 'End Date Lte'}, 'execution_date_gte': {'anyOf': [{'format': 'date-time', 'type': 'string'}, {'type': 'null'}], 'default': None, 'title': 'Execution Date Gte'}, 'execution_date_lte': {'anyOf': [{'format': 'date-time', 'type': 'string'}, {'type': 'null'}], 'default': None, 'title': 'Execution Date Lte'}, 'executor': {'anyOf': [{'items': {}, 'type': 'array'}, {'type': 'null'}], 'default': None, 'title': 'Executor'}, 'limit': {'anyOf': [{'type': 'integer'}, {'type': 'null'}], 'default': None, 'title': 'Limit'}, 'offset': {'anyOf': [{'type': 'integer'}, {'type': 'null'}], 'default': None, 'title': 'Offset'}, 'pool': {'anyOf': [{'items': {}, 'type': 'array'}, {'type': 'null'}], 'default': None, 'title': 'Pool'}, 'queue': {'anyOf': [{'items': {}, 'type': 'array'}, {'type': 'null'}], 'default': None, 'title': 'Queue'}, 'start_date_gte': {'anyOf': [{'format': 'date-time', 'type': 'string'}, {'type': 'null'}], 'default': None, 'title': 'Start Date Gte'}, 'start_date_lte': {'anyOf': [{'format': 'date-time', 'type': 'string'}, {'type': 'null'}], 'default': None, 'title': 'Start Date Lte'}, 'state': {'anyOf': [{'items': {}, 'type': 'array'}, {'type': 'null'}], 'default': None, 'title': 'State'}, 'updated_at_gte': {'anyOf': [{'format': 'date-time', 'type': 'string'}, {'type': 'null'}], 'default': None, 'title': 'Updated At Gte'}, 'updated_at_lte': {'anyOf': [{'format': 'date-time', 'type': 'string'}, {'type': 'null'}], 'default': None, 'title': 'Updated At Lte'}}, 'title': 'get_task_instances_input', 'type': 'object'}, description="""get_task_instances"""), # abhishekbhakat/airflow-mcp-server/get_task_instances
    Tool(name="""airflow-mcp-server_get_task_instance""", inputSchema={'properties': {'dag_id': {'anyOf': [{'type': 'string'}, {'type': 'null'}], 'default': None, 'title': 'Dag Id'}, 'dag_run_id': {'anyOf': [{'type': 'string'}, {'type': 'null'}], 'default': None, 'title': 'Dag Run Id'}, 'task_id': {'anyOf': [{'type': 'string'}, {'type': 'null'}], 'default': None, 'title': 'Task Id'}}, 'title': 'get_task_instance_input', 'type': 'object'}, description="""get_task_instance"""), # abhishekbhakat/airflow-mcp-server/get_task_instance
    Tool(name="""airflow-mcp-server_patch_task_instance""", inputSchema={'properties': {'dag_id': {'anyOf': [{'type': 'string'}, {'type': 'null'}], 'default': None, 'title': 'Dag Id'}, 'dag_run_id': {'anyOf': [{'type': 'string'}, {'type': 'null'}], 'default': None, 'title': 'Dag Run Id'}, 'dry_run': {'anyOf': [{'type': 'boolean'}, {'type': 'null'}], 'default': None, 'title': 'Dry Run'}, 'new_state': {'anyOf': [{'type': 'string'}, {'type': 'null'}], 'default': None, 'title': 'New State'}, 'task_id': {'anyOf': [{'type': 'string'}, {'type': 'null'}], 'default': None, 'title': 'Task Id'}}, 'title': 'patch_task_instance_input', 'type': 'object'}, description="""patch_task_instance"""), # abhishekbhakat/airflow-mcp-server/patch_task_instance
    Tool(name="""airflow-mcp-server_get_mapped_task_instance""", inputSchema={'properties': {'dag_id': {'anyOf': [{'type': 'string'}, {'type': 'null'}], 'default': None, 'title': 'Dag Id'}, 'dag_run_id': {'anyOf': [{'type': 'string'}, {'type': 'null'}], 'default': None, 'title': 'Dag Run Id'}, 'map_index': {'anyOf': [{'type': 'integer'}, {'type': 'null'}], 'default': None, 'title': 'Map Index'}, 'task_id': {'anyOf': [{'type': 'string'}, {'type': 'null'}], 'default': None, 'title': 'Task Id'}}, 'title': 'get_mapped_task_instance_input', 'type': 'object'}, description="""get_mapped_task_instance"""), # abhishekbhakat/airflow-mcp-server/get_mapped_task_instance
    Tool(name="""airflow-mcp-server_patch_mapped_task_instance""", inputSchema={'properties': {'dag_id': {'anyOf': [{'type': 'string'}, {'type': 'null'}], 'default': None, 'title': 'Dag Id'}, 'dag_run_id': {'anyOf': [{'type': 'string'}, {'type': 'null'}], 'default': None, 'title': 'Dag Run Id'}, 'dry_run': {'anyOf': [{'type': 'boolean'}, {'type': 'null'}], 'default': None, 'title': 'Dry Run'}, 'map_index': {'anyOf': [{'type': 'integer'}, {'type': 'null'}], 'default': None, 'title': 'Map Index'}, 'new_state': {'anyOf': [{'type': 'string'}, {'type': 'null'}], 'default': None, 'title': 'New State'}, 'task_id': {'anyOf': [{'type': 'string'}, {'type': 'null'}], 'default': None, 'title': 'Task Id'}}, 'title': 'patch_mapped_task_instance_input', 'type': 'object'}, description="""patch_mapped_task_instance"""), # abhishekbhakat/airflow-mcp-server/patch_mapped_task_instance
    Tool(name="""airflow-mcp-server_get_mapped_task_instances""", inputSchema={'properties': {'dag_id': {'anyOf': [{'type': 'string'}, {'type': 'null'}], 'default': None, 'title': 'Dag Id'}, 'dag_run_id': {'anyOf': [{'type': 'string'}, {'type': 'null'}], 'default': None, 'title': 'Dag Run Id'}, 'duration_gte': {'anyOf': [{'type': 'number'}, {'type': 'null'}], 'default': None, 'title': 'Duration Gte'}, 'duration_lte': {'anyOf': [{'type': 'number'}, {'type': 'null'}], 'default': None, 'title': 'Duration Lte'}, 'end_date_gte': {'anyOf': [{'format': 'date-time', 'type': 'string'}, {'type': 'null'}], 'default': None, 'title': 'End Date Gte'}, 'end_date_lte': {'anyOf': [{'format': 'date-time', 'type': 'string'}, {'type': 'null'}], 'default': None, 'title': 'End Date Lte'}, 'execution_date_gte': {'anyOf': [{'format': 'date-time', 'type': 'string'}, {'type': 'null'}], 'default': None, 'title': 'Execution Date Gte'}, 'execution_date_lte': {'anyOf': [{'format': 'date-time', 'type': 'string'}, {'type': 'null'}], 'default': None, 'title': 'Execution Date Lte'}, 'executor': {'anyOf': [{'items': {}, 'type': 'array'}, {'type': 'null'}], 'default': None, 'title': 'Executor'}, 'limit': {'anyOf': [{'type': 'integer'}, {'type': 'null'}], 'default': None, 'title': 'Limit'}, 'offset': {'anyOf': [{'type': 'integer'}, {'type': 'null'}], 'default': None, 'title': 'Offset'}, 'order_by': {'anyOf': [{'type': 'string'}, {'type': 'null'}], 'default': None, 'title': 'Order By'}, 'pool': {'anyOf': [{'items': {}, 'type': 'array'}, {'type': 'null'}], 'default': None, 'title': 'Pool'}, 'queue': {'anyOf': [{'items': {}, 'type': 'array'}, {'type': 'null'}], 'default': None, 'title': 'Queue'}, 'start_date_gte': {'anyOf': [{'format': 'date-time', 'type': 'string'}, {'type': 'null'}], 'default': None, 'title': 'Start Date Gte'}, 'start_date_lte': {'anyOf': [{'format': 'date-time', 'type': 'string'}, {'type': 'null'}], 'default': None, 'title': 'Start Date Lte'}, 'state': {'anyOf': [{'items': {}, 'type': 'array'}, {'type': 'null'}], 'default': None, 'title': 'State'}, 'task_id': {'anyOf': [{'type': 'string'}, {'type': 'null'}], 'default': None, 'title': 'Task Id'}, 'updated_at_gte': {'anyOf': [{'format': 'date-time', 'type': 'string'}, {'type': 'null'}], 'default': None, 'title': 'Updated At Gte'}, 'updated_at_lte': {'anyOf': [{'format': 'date-time', 'type': 'string'}, {'type': 'null'}], 'default': None, 'title': 'Updated At Lte'}}, 'title': 'get_mapped_task_instances_input', 'type': 'object'}, description="""get_mapped_task_instances"""), # abhishekbhakat/airflow-mcp-server/get_mapped_task_instances
    Tool(name="""airflow-mcp-server_get_task_instances_batch""", inputSchema={'properties': {'dag_ids': {'anyOf': [{'items': {}, 'type': 'array'}, {'type': 'null'}], 'default': None, 'title': 'Dag Ids'}, 'dag_run_ids': {'anyOf': [{'items': {}, 'type': 'array'}, {'type': 'null'}], 'default': None, 'title': 'Dag Run Ids'}, 'duration_gte': {'anyOf': [{'type': 'number'}, {'type': 'null'}], 'default': None, 'title': 'Duration Gte'}, 'duration_lte': {'anyOf': [{'type': 'number'}, {'type': 'null'}], 'default': None, 'title': 'Duration Lte'}, 'end_date_gte': {'anyOf': [{'format': 'date-time', 'type': 'string'}, {'type': 'null'}], 'default': None, 'title': 'End Date Gte'}, 'end_date_lte': {'anyOf': [{'format': 'date-time', 'type': 'string'}, {'type': 'null'}], 'default': None, 'title': 'End Date Lte'}, 'execution_date_gte': {'anyOf': [{'format': 'date-time', 'type': 'string'}, {'type': 'null'}], 'default': None, 'title': 'Execution Date Gte'}, 'execution_date_lte': {'anyOf': [{'format': 'date-time', 'type': 'string'}, {'type': 'null'}], 'default': None, 'title': 'Execution Date Lte'}, 'executor': {'anyOf': [{'items': {}, 'type': 'array'}, {'type': 'null'}], 'default': None, 'title': 'Executor'}, 'page_limit': {'anyOf': [{'type': 'integer'}, {'type': 'null'}], 'default': None, 'title': 'Page Limit'}, 'page_offset': {'anyOf': [{'type': 'integer'}, {'type': 'null'}], 'default': None, 'title': 'Page Offset'}, 'pool': {'anyOf': [{'items': {}, 'type': 'array'}, {'type': 'null'}], 'default': None, 'title': 'Pool'}, 'queue': {'anyOf': [{'items': {}, 'type': 'array'}, {'type': 'null'}], 'default': None, 'title': 'Queue'}, 'start_date_gte': {'anyOf': [{'format': 'date-time', 'type': 'string'}, {'type': 'null'}], 'default': None, 'title': 'Start Date Gte'}, 'start_date_lte': {'anyOf': [{'format': 'date-time', 'type': 'string'}, {'type': 'null'}], 'default': None, 'title': 'Start Date Lte'}, 'state': {'anyOf': [{'items': {}, 'type': 'array'}, {'type': 'null'}], 'default': None, 'title': 'State'}, 'task_ids': {'anyOf': [{'items': {}, 'type': 'array'}, {'type': 'null'}], 'default': None, 'title': 'Task Ids'}}, 'title': 'get_task_instances_batch_input', 'type': 'object'}, description="""get_task_instances_batch"""), # abhishekbhakat/airflow-mcp-server/get_task_instances_batch
    Tool(name="""airflow-mcp-server_get_task_instance_try_details""", inputSchema={'properties': {'dag_id': {'anyOf': [{'type': 'string'}, {'type': 'null'}], 'default': None, 'title': 'Dag Id'}, 'dag_run_id': {'anyOf': [{'type': 'string'}, {'type': 'null'}], 'default': None, 'title': 'Dag Run Id'}, 'task_id': {'anyOf': [{'type': 'string'}, {'type': 'null'}], 'default': None, 'title': 'Task Id'}, 'task_try_number': {'anyOf': [{'type': 'integer'}, {'type': 'null'}], 'default': None, 'title': 'Task Try Number'}}, 'title': 'get_task_instance_try_details_input', 'type': 'object'}, description="""get_task_instance_try_details"""), # abhishekbhakat/airflow-mcp-server/get_task_instance_try_details
    Tool(name="""airflow-mcp-server_get_task_instance_tries""", inputSchema={'properties': {'dag_id': {'anyOf': [{'type': 'string'}, {'type': 'null'}], 'default': None, 'title': 'Dag Id'}, 'dag_run_id': {'anyOf': [{'type': 'string'}, {'type': 'null'}], 'default': None, 'title': 'Dag Run Id'}, 'limit': {'anyOf': [{'type': 'integer'}, {'type': 'null'}], 'default': None, 'title': 'Limit'}, 'offset': {'anyOf': [{'type': 'integer'}, {'type': 'null'}], 'default': None, 'title': 'Offset'}, 'order_by': {'anyOf': [{'type': 'string'}, {'type': 'null'}], 'default': None, 'title': 'Order By'}, 'task_id': {'anyOf': [{'type': 'string'}, {'type': 'null'}], 'default': None, 'title': 'Task Id'}}, 'title': 'get_task_instance_tries_input', 'type': 'object'}, description="""get_task_instance_tries"""), # abhishekbhakat/airflow-mcp-server/get_task_instance_tries
    Tool(name="""airflow-mcp-server_get_mapped_task_instance_tries""", inputSchema={'properties': {'dag_id': {'anyOf': [{'type': 'string'}, {'type': 'null'}], 'default': None, 'title': 'Dag Id'}, 'dag_run_id': {'anyOf': [{'type': 'string'}, {'type': 'null'}], 'default': None, 'title': 'Dag Run Id'}, 'limit': {'anyOf': [{'type': 'integer'}, {'type': 'null'}], 'default': None, 'title': 'Limit'}, 'map_index': {'anyOf': [{'type': 'integer'}, {'type': 'null'}], 'default': None, 'title': 'Map Index'}, 'offset': {'anyOf': [{'type': 'integer'}, {'type': 'null'}], 'default': None, 'title': 'Offset'}, 'order_by': {'anyOf': [{'type': 'string'}, {'type': 'null'}], 'default': None, 'title': 'Order By'}, 'task_id': {'anyOf': [{'type': 'string'}, {'type': 'null'}], 'default': None, 'title': 'Task Id'}}, 'title': 'get_mapped_task_instance_tries_input', 'type': 'object'}, description="""get_mapped_task_instance_tries"""), # abhishekbhakat/airflow-mcp-server/get_mapped_task_instance_tries
    Tool(name="""airflow-mcp-server_get_mapped_task_instance_try_details""", inputSchema={'properties': {'dag_id': {'anyOf': [{'type': 'string'}, {'type': 'null'}], 'default': None, 'title': 'Dag Id'}, 'dag_run_id': {'anyOf': [{'type': 'string'}, {'type': 'null'}], 'default': None, 'title': 'Dag Run Id'}, 'map_index': {'anyOf': [{'type': 'integer'}, {'type': 'null'}], 'default': None, 'title': 'Map Index'}, 'task_id': {'anyOf': [{'type': 'string'}, {'type': 'null'}], 'default': None, 'title': 'Task Id'}, 'task_try_number': {'anyOf': [{'type': 'integer'}, {'type': 'null'}], 'default': None, 'title': 'Task Try Number'}}, 'title': 'get_mapped_task_instance_try_details_input', 'type': 'object'}, description="""get_mapped_task_instance_try_details"""), # abhishekbhakat/airflow-mcp-server/get_mapped_task_instance_try_details
    Tool(name="""airflow-mcp-server_get_variables""", inputSchema={'properties': {'limit': {'anyOf': [{'type': 'integer'}, {'type': 'null'}], 'default': None, 'title': 'Limit'}, 'offset': {'anyOf': [{'type': 'integer'}, {'type': 'null'}], 'default': None, 'title': 'Offset'}, 'order_by': {'anyOf': [{'type': 'string'}, {'type': 'null'}], 'default': None, 'title': 'Order By'}}, 'title': 'get_variables_input', 'type': 'object'}, description="""get_variables"""), # abhishekbhakat/airflow-mcp-server/get_variables
    Tool(name="""airflow-mcp-server_post_variables""", inputSchema={'properties': {'description': {'anyOf': [{'type': 'string'}, {'type': 'null'}], 'default': None, 'title': 'Description'}, 'key': {'anyOf': [{'type': 'string'}, {'type': 'null'}], 'default': None, 'title': 'Key'}, 'value': {'anyOf': [{'type': 'string'}, {'type': 'null'}], 'default': None, 'title': 'Value'}}, 'title': 'post_variables_input', 'type': 'object'}, description="""post_variables"""), # abhishekbhakat/airflow-mcp-server/post_variables
    Tool(name="""airflow-mcp-server_get_variable""", inputSchema={'properties': {'variable_key': {'anyOf': [{'type': 'string'}, {'type': 'null'}], 'default': None, 'title': 'Variable Key'}}, 'title': 'get_variable_input', 'type': 'object'}, description="""get_variable"""), # abhishekbhakat/airflow-mcp-server/get_variable
    Tool(name="""airflow-mcp-server_patch_variable""", inputSchema={'properties': {'description': {'anyOf': [{'type': 'string'}, {'type': 'null'}], 'default': None, 'title': 'Description'}, 'key': {'anyOf': [{'type': 'string'}, {'type': 'null'}], 'default': None, 'title': 'Key'}, 'update_mask': {'anyOf': [{'items': {}, 'type': 'array'}, {'type': 'null'}], 'default': None, 'title': 'Update Mask'}, 'value': {'anyOf': [{'type': 'string'}, {'type': 'null'}], 'default': None, 'title': 'Value'}, 'variable_key': {'anyOf': [{'type': 'string'}, {'type': 'null'}], 'default': None, 'title': 'Variable Key'}}, 'title': 'patch_variable_input', 'type': 'object'}, description="""patch_variable"""), # abhishekbhakat/airflow-mcp-server/patch_variable
    Tool(name="""airflow-mcp-server_delete_variable""", inputSchema={'properties': {'variable_key': {'anyOf': [{'type': 'string'}, {'type': 'null'}], 'default': None, 'title': 'Variable Key'}}, 'title': 'delete_variable_input', 'type': 'object'}, description="""delete_variable"""), # abhishekbhakat/airflow-mcp-server/delete_variable
    Tool(name="""airflow-mcp-server_get_xcom_entries""", inputSchema={'properties': {'dag_id': {'anyOf': [{'type': 'string'}, {'type': 'null'}], 'default': None, 'title': 'Dag Id'}, 'dag_run_id': {'anyOf': [{'type': 'string'}, {'type': 'null'}], 'default': None, 'title': 'Dag Run Id'}, 'limit': {'anyOf': [{'type': 'integer'}, {'type': 'null'}], 'default': None, 'title': 'Limit'}, 'map_index': {'anyOf': [{'type': 'integer'}, {'type': 'null'}], 'default': None, 'title': 'Map Index'}, 'offset': {'anyOf': [{'type': 'integer'}, {'type': 'null'}], 'default': None, 'title': 'Offset'}, 'task_id': {'anyOf': [{'type': 'string'}, {'type': 'null'}], 'default': None, 'title': 'Task Id'}, 'xcom_key': {'anyOf': [{'type': 'string'}, {'type': 'null'}], 'default': None, 'title': 'Xcom Key'}}, 'title': 'get_xcom_entries_input', 'type': 'object'}, description="""get_xcom_entries"""), # abhishekbhakat/airflow-mcp-server/get_xcom_entries
    Tool(name="""airflow-mcp-server_get_xcom_entry""", inputSchema={'properties': {'dag_id': {'anyOf': [{'type': 'string'}, {'type': 'null'}], 'default': None, 'title': 'Dag Id'}, 'dag_run_id': {'anyOf': [{'type': 'string'}, {'type': 'null'}], 'default': None, 'title': 'Dag Run Id'}, 'deserialize': {'anyOf': [{'type': 'boolean'}, {'type': 'null'}], 'default': None, 'title': 'Deserialize'}, 'map_index': {'anyOf': [{'type': 'integer'}, {'type': 'null'}], 'default': None, 'title': 'Map Index'}, 'stringify': {'anyOf': [{'type': 'boolean'}, {'type': 'null'}], 'default': None, 'title': 'Stringify'}, 'task_id': {'anyOf': [{'type': 'string'}, {'type': 'null'}], 'default': None, 'title': 'Task Id'}, 'xcom_key': {'anyOf': [{'type': 'string'}, {'type': 'null'}], 'default': None, 'title': 'Xcom Key'}}, 'title': 'get_xcom_entry_input', 'type': 'object'}, description="""get_xcom_entry"""), # abhishekbhakat/airflow-mcp-server/get_xcom_entry
    Tool(name="""airflow-mcp-server_get_extra_links""", inputSchema={'properties': {'dag_id': {'anyOf': [{'type': 'string'}, {'type': 'null'}], 'default': None, 'title': 'Dag Id'}, 'dag_run_id': {'anyOf': [{'type': 'string'}, {'type': 'null'}], 'default': None, 'title': 'Dag Run Id'}, 'task_id': {'anyOf': [{'type': 'string'}, {'type': 'null'}], 'default': None, 'title': 'Task Id'}}, 'title': 'get_extra_links_input', 'type': 'object'}, description="""get_extra_links"""), # abhishekbhakat/airflow-mcp-server/get_extra_links
    Tool(name="""airflow-mcp-server_get_log""", inputSchema={'properties': {'dag_id': {'anyOf': [{'type': 'string'}, {'type': 'null'}], 'default': None, 'title': 'Dag Id'}, 'dag_run_id': {'anyOf': [{'type': 'string'}, {'type': 'null'}], 'default': None, 'title': 'Dag Run Id'}, 'full_content': {'anyOf': [{'type': 'boolean'}, {'type': 'null'}], 'default': None, 'title': 'Full Content'}, 'map_index': {'anyOf': [{'type': 'integer'}, {'type': 'null'}], 'default': None, 'title': 'Map Index'}, 'task_id': {'anyOf': [{'type': 'string'}, {'type': 'null'}], 'default': None, 'title': 'Task Id'}, 'task_try_number': {'anyOf': [{'type': 'integer'}, {'type': 'null'}], 'default': None, 'title': 'Task Try Number'}, 'token': {'anyOf': [{'type': 'string'}, {'type': 'null'}], 'default': None, 'title': 'Token'}}, 'title': 'get_log_input', 'type': 'object'}, description="""get_log"""), # abhishekbhakat/airflow-mcp-server/get_log
    Tool(name="""airflow-mcp-server_get_dag_details""", inputSchema={'properties': {'dag_id': {'anyOf': [{'type': 'string'}, {'type': 'null'}], 'default': None, 'title': 'Dag Id'}, 'fields': {'anyOf': [{'items': {}, 'type': 'array'}, {'type': 'null'}], 'default': None, 'title': 'Fields'}}, 'title': 'get_dag_details_input', 'type': 'object'}, description="""get_dag_details"""), # abhishekbhakat/airflow-mcp-server/get_dag_details
    Tool(name="""airflow-mcp-server_get_tasks""", inputSchema={'properties': {'dag_id': {'anyOf': [{'type': 'string'}, {'type': 'null'}], 'default': None, 'title': 'Dag Id'}, 'order_by': {'anyOf': [{'type': 'string'}, {'type': 'null'}], 'default': None, 'title': 'Order By'}}, 'title': 'get_tasks_input', 'type': 'object'}, description="""get_tasks"""), # abhishekbhakat/airflow-mcp-server/get_tasks
    Tool(name="""airflow-mcp-server_get_task""", inputSchema={'properties': {'dag_id': {'anyOf': [{'type': 'string'}, {'type': 'null'}], 'default': None, 'title': 'Dag Id'}, 'task_id': {'anyOf': [{'type': 'string'}, {'type': 'null'}], 'default': None, 'title': 'Task Id'}}, 'title': 'get_task_input', 'type': 'object'}, description="""get_task"""), # abhishekbhakat/airflow-mcp-server/get_task
    Tool(name="""airflow-mcp-server_get_dag_stats""", inputSchema={'properties': {'dag_ids': {'anyOf': [{'type': 'string'}, {'type': 'null'}], 'default': None, 'title': 'Dag Ids'}}, 'title': 'get_dag_stats_input', 'type': 'object'}, description="""get_dag_stats"""), # abhishekbhakat/airflow-mcp-server/get_dag_stats
    Tool(name="""airflow-mcp-server_get_dag_source""", inputSchema={'properties': {'file_token': {'anyOf': [{'type': 'string'}, {'type': 'null'}], 'default': None, 'title': 'File Token'}}, 'title': 'get_dag_source_input', 'type': 'object'}, description="""get_dag_source"""), # abhishekbhakat/airflow-mcp-server/get_dag_source
    Tool(name="""airflow-mcp-server_get_dag_warnings""", inputSchema={'properties': {'dag_id': {'anyOf': [{'type': 'string'}, {'type': 'null'}], 'default': None, 'title': 'Dag Id'}, 'limit': {'anyOf': [{'type': 'integer'}, {'type': 'null'}], 'default': None, 'title': 'Limit'}, 'offset': {'anyOf': [{'type': 'integer'}, {'type': 'null'}], 'default': None, 'title': 'Offset'}, 'order_by': {'anyOf': [{'type': 'string'}, {'type': 'null'}], 'default': None, 'title': 'Order By'}, 'warning_type': {'anyOf': [{'type': 'string'}, {'type': 'null'}], 'default': None, 'title': 'Warning Type'}}, 'title': 'get_dag_warnings_input', 'type': 'object'}, description="""get_dag_warnings"""), # abhishekbhakat/airflow-mcp-server/get_dag_warnings
    Tool(name="""airflow-mcp-server_get_datasets""", inputSchema={'properties': {'dag_ids': {'anyOf': [{'type': 'string'}, {'type': 'null'}], 'default': None, 'title': 'Dag Ids'}, 'limit': {'anyOf': [{'type': 'integer'}, {'type': 'null'}], 'default': None, 'title': 'Limit'}, 'offset': {'anyOf': [{'type': 'integer'}, {'type': 'null'}], 'default': None, 'title': 'Offset'}, 'order_by': {'anyOf': [{'type': 'string'}, {'type': 'null'}], 'default': None, 'title': 'Order By'}, 'uri_pattern': {'anyOf': [{'type': 'string'}, {'type': 'null'}], 'default': None, 'title': 'Uri Pattern'}}, 'title': 'get_datasets_input', 'type': 'object'}, description="""get_datasets"""), # abhishekbhakat/airflow-mcp-server/get_datasets
    Tool(name="""airflow-mcp-server_get_dataset""", inputSchema={'properties': {'uri': {'anyOf': [{'type': 'string'}, {'type': 'null'}], 'default': None, 'title': 'Uri'}}, 'title': 'get_dataset_input', 'type': 'object'}, description="""get_dataset"""), # abhishekbhakat/airflow-mcp-server/get_dataset
    Tool(name="""airflow-mcp-server_get_dataset_events""", inputSchema={'properties': {'dataset_id': {'anyOf': [{'type': 'integer'}, {'type': 'null'}], 'default': None, 'title': 'Dataset Id'}, 'limit': {'anyOf': [{'type': 'integer'}, {'type': 'null'}], 'default': None, 'title': 'Limit'}, 'offset': {'anyOf': [{'type': 'integer'}, {'type': 'null'}], 'default': None, 'title': 'Offset'}, 'order_by': {'anyOf': [{'type': 'string'}, {'type': 'null'}], 'default': None, 'title': 'Order By'}, 'source_dag_id': {'anyOf': [{'type': 'string'}, {'type': 'null'}], 'default': None, 'title': 'Source Dag Id'}, 'source_map_index': {'anyOf': [{'type': 'integer'}, {'type': 'null'}], 'default': None, 'title': 'Source Map Index'}, 'source_run_id': {'anyOf': [{'type': 'string'}, {'type': 'null'}], 'default': None, 'title': 'Source Run Id'}, 'source_task_id': {'anyOf': [{'type': 'string'}, {'type': 'null'}], 'default': None, 'title': 'Source Task Id'}}, 'title': 'get_dataset_events_input', 'type': 'object'}, description="""get_dataset_events"""), # abhishekbhakat/airflow-mcp-server/get_dataset_events
    Tool(name="""airflow-mcp-server_create_dataset_event""", inputSchema={'properties': {'dataset_uri': {'anyOf': [{'type': 'string'}, {'type': 'null'}], 'default': None, 'title': 'Dataset Uri'}, 'extra': {'anyOf': [{'type': 'object'}, {'type': 'null'}], 'default': None, 'title': 'Extra'}}, 'title': 'create_dataset_event_input', 'type': 'object'}, description="""create_dataset_event"""), # abhishekbhakat/airflow-mcp-server/create_dataset_event
    Tool(name="""airflow-mcp-server_get_config""", inputSchema={'properties': {'section': {'anyOf': [{'type': 'string'}, {'type': 'null'}], 'default': None, 'title': 'Section'}}, 'title': 'get_config_input', 'type': 'object'}, description="""get_config"""), # abhishekbhakat/airflow-mcp-server/get_config
    Tool(name="""airflow-mcp-server_get_value""", inputSchema={'properties': {'option': {'anyOf': [{'type': 'string'}, {'type': 'null'}], 'default': None, 'title': 'Option'}, 'section': {'anyOf': [{'type': 'string'}, {'type': 'null'}], 'default': None, 'title': 'Section'}}, 'title': 'get_value_input', 'type': 'object'}, description="""get_value"""), # abhishekbhakat/airflow-mcp-server/get_value
    Tool(name="""airflow-mcp-server_get_health""", inputSchema={'properties': {}, 'title': 'get_health_input', 'type': 'object'}, description="""get_health"""), # abhishekbhakat/airflow-mcp-server/get_health
    Tool(name="""airflow-mcp-server_get_plugins""", inputSchema={'properties': {'limit': {'anyOf': [{'type': 'integer'}, {'type': 'null'}], 'default': None, 'title': 'Limit'}, 'offset': {'anyOf': [{'type': 'integer'}, {'type': 'null'}], 'default': None, 'title': 'Offset'}}, 'title': 'get_plugins_input', 'type': 'object'}, description="""get_plugins"""), # abhishekbhakat/airflow-mcp-server/get_plugins
    Tool(name="""airflow-mcp-server_get_roles""", inputSchema={'properties': {'limit': {'anyOf': [{'type': 'integer'}, {'type': 'null'}], 'default': None, 'title': 'Limit'}, 'offset': {'anyOf': [{'type': 'integer'}, {'type': 'null'}], 'default': None, 'title': 'Offset'}, 'order_by': {'anyOf': [{'type': 'string'}, {'type': 'null'}], 'default': None, 'title': 'Order By'}}, 'title': 'get_roles_input', 'type': 'object'}, description="""get_roles"""), # abhishekbhakat/airflow-mcp-server/get_roles
    Tool(name="""airflow-mcp-server_post_role""", inputSchema={'properties': {'actions': {'anyOf': [{'items': {}, 'type': 'array'}, {'type': 'null'}], 'default': None, 'title': 'Actions'}, 'name': {'anyOf': [{'type': 'string'}, {'type': 'null'}], 'default': None, 'title': 'Name'}}, 'title': 'post_role_input', 'type': 'object'}, description="""post_role"""), # abhishekbhakat/airflow-mcp-server/post_role
    Tool(name="""airflow-mcp-server_get_role""", inputSchema={'properties': {'role_name': {'anyOf': [{'type': 'string'}, {'type': 'null'}], 'default': None, 'title': 'Role Name'}}, 'title': 'get_role_input', 'type': 'object'}, description="""get_role"""), # abhishekbhakat/airflow-mcp-server/get_role
    Tool(name="""airflow-mcp-server_patch_role""", inputSchema={'properties': {'actions': {'anyOf': [{'items': {}, 'type': 'array'}, {'type': 'null'}], 'default': None, 'title': 'Actions'}, 'name': {'anyOf': [{'type': 'string'}, {'type': 'null'}], 'default': None, 'title': 'Name'}, 'role_name': {'anyOf': [{'type': 'string'}, {'type': 'null'}], 'default': None, 'title': 'Role Name'}, 'update_mask': {'anyOf': [{'items': {}, 'type': 'array'}, {'type': 'null'}], 'default': None, 'title': 'Update Mask'}}, 'title': 'patch_role_input', 'type': 'object'}, description="""patch_role"""), # abhishekbhakat/airflow-mcp-server/patch_role
    Tool(name="""airflow-mcp-server_delete_role""", inputSchema={'properties': {'role_name': {'anyOf': [{'type': 'string'}, {'type': 'null'}], 'default': None, 'title': 'Role Name'}}, 'title': 'delete_role_input', 'type': 'object'}, description="""delete_role"""), # abhishekbhakat/airflow-mcp-server/delete_role
    Tool(name="""airflow-mcp-server_get_permissions""", inputSchema={'properties': {'limit': {'anyOf': [{'type': 'integer'}, {'type': 'null'}], 'default': None, 'title': 'Limit'}, 'offset': {'anyOf': [{'type': 'integer'}, {'type': 'null'}], 'default': None, 'title': 'Offset'}}, 'title': 'get_permissions_input', 'type': 'object'}, description="""get_permissions"""), # abhishekbhakat/airflow-mcp-server/get_permissions
    Tool(name="""airflow-mcp-server_get_users""", inputSchema={'properties': {'limit': {'anyOf': [{'type': 'integer'}, {'type': 'null'}], 'default': None, 'title': 'Limit'}, 'offset': {'anyOf': [{'type': 'integer'}, {'type': 'null'}], 'default': None, 'title': 'Offset'}, 'order_by': {'anyOf': [{'type': 'string'}, {'type': 'null'}], 'default': None, 'title': 'Order By'}}, 'title': 'get_users_input', 'type': 'object'}, description="""get_users"""), # abhishekbhakat/airflow-mcp-server/get_users
    Tool(name="""airflow-mcp-server_post_user""", inputSchema={'properties': {'active': {'anyOf': [{'type': 'boolean'}, {'type': 'null'}], 'default': None, 'title': 'Active'}, 'changed_on': {'anyOf': [{'type': 'string'}, {'type': 'null'}], 'default': None, 'title': 'Changed On'}, 'created_on': {'anyOf': [{'type': 'string'}, {'type': 'null'}], 'default': None, 'title': 'Created On'}, 'email': {'anyOf': [{'type': 'string'}, {'type': 'null'}], 'default': None, 'title': 'Email'}, 'failed_login_count': {'anyOf': [{'type': 'integer'}, {'type': 'null'}], 'default': None, 'title': 'Failed Login Count'}, 'first_name': {'anyOf': [{'type': 'string'}, {'type': 'null'}], 'default': None, 'title': 'First Name'}, 'last_login': {'anyOf': [{'type': 'string'}, {'type': 'null'}], 'default': None, 'title': 'Last Login'}, 'last_name': {'anyOf': [{'type': 'string'}, {'type': 'null'}], 'default': None, 'title': 'Last Name'}, 'login_count': {'anyOf': [{'type': 'integer'}, {'type': 'null'}], 'default': None, 'title': 'Login Count'}, 'password': {'anyOf': [{'type': 'string'}, {'type': 'null'}], 'default': None, 'title': 'Password'}, 'roles': {'anyOf': [{'items': {}, 'type': 'array'}, {'type': 'null'}], 'default': None, 'title': 'Roles'}, 'username': {'anyOf': [{'type': 'string'}, {'type': 'null'}], 'default': None, 'title': 'Username'}}, 'title': 'post_user_input', 'type': 'object'}, description="""post_user"""), # abhishekbhakat/airflow-mcp-server/post_user
    Tool(name="""airflow-mcp-server_get_user""", inputSchema={'properties': {'username': {'anyOf': [{'type': 'string'}, {'type': 'null'}], 'default': None, 'title': 'Username'}}, 'title': 'get_user_input', 'type': 'object'}, description="""get_user"""), # abhishekbhakat/airflow-mcp-server/get_user
    Tool(name="""airflow-mcp-server_patch_user""", inputSchema={'properties': {'active': {'anyOf': [{'type': 'boolean'}, {'type': 'null'}], 'default': None, 'title': 'Active'}, 'changed_on': {'anyOf': [{'type': 'string'}, {'type': 'null'}], 'default': None, 'title': 'Changed On'}, 'created_on': {'anyOf': [{'type': 'string'}, {'type': 'null'}], 'default': None, 'title': 'Created On'}, 'email': {'anyOf': [{'type': 'string'}, {'type': 'null'}], 'default': None, 'title': 'Email'}, 'failed_login_count': {'anyOf': [{'type': 'integer'}, {'type': 'null'}], 'default': None, 'title': 'Failed Login Count'}, 'first_name': {'anyOf': [{'type': 'string'}, {'type': 'null'}], 'default': None, 'title': 'First Name'}, 'last_login': {'anyOf': [{'type': 'string'}, {'type': 'null'}], 'default': None, 'title': 'Last Login'}, 'last_name': {'anyOf': [{'type': 'string'}, {'type': 'null'}], 'default': None, 'title': 'Last Name'}, 'login_count': {'anyOf': [{'type': 'integer'}, {'type': 'null'}], 'default': None, 'title': 'Login Count'}, 'password': {'anyOf': [{'type': 'string'}, {'type': 'null'}], 'default': None, 'title': 'Password'}, 'roles': {'anyOf': [{'items': {}, 'type': 'array'}, {'type': 'null'}], 'default': None, 'title': 'Roles'}, 'update_mask': {'anyOf': [{'items': {}, 'type': 'array'}, {'type': 'null'}], 'default': None, 'title': 'Update Mask'}, 'username': {'anyOf': [{'type': 'string'}, {'type': 'null'}], 'default': None, 'title': 'Username'}}, 'title': 'patch_user_input', 'type': 'object'}, description="""patch_user"""), # abhishekbhakat/airflow-mcp-server/patch_user
    Tool(name="""airflow-mcp-server_delete_user""", inputSchema={'properties': {'username': {'anyOf': [{'type': 'string'}, {'type': 'null'}], 'default': None, 'title': 'Username'}}, 'title': 'delete_user_input', 'type': 'object'}, description="""delete_user"""), # abhishekbhakat/airflow-mcp-server/delete_user
    Tool(name="""MCP Tavily_search""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'options': {'additionalProperties': False, 'description': 'Search configuration options, all fields are optional', 'properties': {'days': {'description': 'Limit search to recent days, e.g.: 7 for last 7 days', 'type': 'number'}, 'excludeDomains': {'description': "Exclude these domains from search, e.g.: ['example.com', 'test.com']", 'items': {'type': 'string'}, 'type': 'array'}, 'includeAnswer': {'description': 'Include AI-generated answer summary: true or false', 'type': 'boolean'}, 'includeDomains': {'description': "Only search within these domains, e.g.: ['example.com', 'test.com']", 'items': {'type': 'string'}, 'type': 'array'}, 'includeImageDescriptions': {'description': 'Include image descriptions: true or false', 'type': 'boolean'}, 'includeImages': {'description': 'Include images in results: true or false', 'type': 'boolean'}, 'includeRawContent': {'description': 'Include raw webpage content: true or false', 'type': 'boolean'}, 'maxResults': {'description': 'Maximum number of results to return, e.g.: 10 for 10 results', 'type': 'number'}, 'maxTokens': {'description': 'Maximum number of tokens in response, e.g.: 1000', 'type': 'number'}, 'searchDepth': {'description': 'Search depth: basic (simple search) or advanced (in-depth search)', 'enum': ['basic', 'advanced'], 'type': 'string'}, 'timeRange': {'description': 'Time range: year/y (within 1 year), month/m (within 1 month), week/w (within 1 week), day/d (within 1 day)', 'enum': ['year', 'month', 'week', 'day', 'y', 'm', 'w', 'd'], 'type': 'string'}, 'topic': {'description': 'Search topic: general (all topics), news (news only), finance (financial content)', 'enum': ['general', 'news', 'finance'], 'type': 'string'}}, 'type': 'object'}, 'query': {'description': 'Enter your search query or question', 'type': 'string'}}, 'required': ['query'], 'type': 'object'}, description="""Perform a basic web search. Returns search results including title, content and URL."""), # kshern/MCP Tavily/search
    Tool(name="""MCP Tavily_searchContext""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'options': {'additionalProperties': False, 'description': 'Search configuration options, all fields are optional', 'properties': {'days': {'description': 'Limit search to recent days, e.g.: 7 for last 7 days', 'type': 'number'}, 'excludeDomains': {'description': "Exclude these domains from search, e.g.: ['example.com', 'test.com']", 'items': {'type': 'string'}, 'type': 'array'}, 'includeAnswer': {'description': 'Include AI-generated answer summary: true or false', 'type': 'boolean'}, 'includeDomains': {'description': "Only search within these domains, e.g.: ['example.com', 'test.com']", 'items': {'type': 'string'}, 'type': 'array'}, 'includeImageDescriptions': {'description': 'Include image descriptions: true or false', 'type': 'boolean'}, 'includeImages': {'description': 'Include images in results: true or false', 'type': 'boolean'}, 'includeRawContent': {'description': 'Include raw webpage content: true or false', 'type': 'boolean'}, 'maxResults': {'description': 'Maximum number of results to return, e.g.: 10 for 10 results', 'type': 'number'}, 'maxTokens': {'description': 'Maximum number of tokens in response, e.g.: 1000', 'type': 'number'}, 'searchDepth': {'description': 'Search depth: basic (simple search) or advanced (in-depth search)', 'enum': ['basic', 'advanced'], 'type': 'string'}, 'timeRange': {'description': 'Time range: year/y (within 1 year), month/m (within 1 month), week/w (within 1 week), day/d (within 1 day)', 'enum': ['year', 'month', 'week', 'day', 'y', 'm', 'w', 'd'], 'type': 'string'}, 'topic': {'description': 'Search topic: general (all topics), news (news only), finance (financial content)', 'enum': ['general', 'news', 'finance'], 'type': 'string'}}, 'type': 'object'}, 'query': {'description': 'Enter your search query or question', 'type': 'string'}}, 'required': ['query'], 'type': 'object'}, description="""Perform a context-aware web search. Optimized for retrieving contextually relevant results."""), # kshern/MCP Tavily/searchContext
    Tool(name="""MCP Tavily_searchQNA""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'options': {'additionalProperties': False, 'description': 'Search configuration options, all fields are optional', 'properties': {'days': {'description': 'Limit search to recent days, e.g.: 7 for last 7 days', 'type': 'number'}, 'excludeDomains': {'description': "Exclude these domains from search, e.g.: ['example.com', 'test.com']", 'items': {'type': 'string'}, 'type': 'array'}, 'includeAnswer': {'description': 'Include AI-generated answer summary: true or false', 'type': 'boolean'}, 'includeDomains': {'description': "Only search within these domains, e.g.: ['example.com', 'test.com']", 'items': {'type': 'string'}, 'type': 'array'}, 'includeImageDescriptions': {'description': 'Include image descriptions: true or false', 'type': 'boolean'}, 'includeImages': {'description': 'Include images in results: true or false', 'type': 'boolean'}, 'includeRawContent': {'description': 'Include raw webpage content: true or false', 'type': 'boolean'}, 'maxResults': {'description': 'Maximum number of results to return, e.g.: 10 for 10 results', 'type': 'number'}, 'maxTokens': {'description': 'Maximum number of tokens in response, e.g.: 1000', 'type': 'number'}, 'searchDepth': {'description': 'Search depth: basic (simple search) or advanced (in-depth search)', 'enum': ['basic', 'advanced'], 'type': 'string'}, 'timeRange': {'description': 'Time range: year/y (within 1 year), month/m (within 1 month), week/w (within 1 week), day/d (within 1 day)', 'enum': ['year', 'month', 'week', 'day', 'y', 'm', 'w', 'd'], 'type': 'string'}, 'topic': {'description': 'Search topic: general (all topics), news (news only), finance (financial content)', 'enum': ['general', 'news', 'finance'], 'type': 'string'}}, 'type': 'object'}, 'query': {'description': 'Enter your search query or question', 'type': 'string'}}, 'required': ['query'], 'type': 'object'}, description="""Perform a question-answering search. Best suited for direct questions that need specific answers."""), # kshern/MCP Tavily/searchQNA
    Tool(name="""MCP Tavily_extract""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'options': {'additionalProperties': False, 'description': 'Content extraction configuration options, all fields are optional', 'properties': {'extractDepth': {'description': 'Extraction depth: basic (simple extraction) or advanced (detailed extraction)', 'enum': ['basic', 'advanced'], 'type': 'string'}, 'includeImages': {'description': 'Include images in extraction: true or false', 'type': 'boolean'}}, 'type': 'object'}, 'urls': {'description': "List of URLs to extract content from (max 20). e.g.: ['https://example.com', 'https://test.com']", 'items': {'type': 'string'}, 'type': 'array'}}, 'required': ['urls'], 'type': 'object'}, description="""Extract and process content from a list of URLs. Can handle up to 20 URLs at once."""), # kshern/MCP Tavily/extract
    Tool(name="""Terraform Registry MCP Server_providerLookup""", inputSchema={'properties': {'namespace': {'description': "Provider namespace (e.g. 'hashicorp')", 'type': 'string'}, 'provider': {'description': "Provider name (e.g. 'aws')", 'type': 'string'}, 'version': {'description': "Provider version (e.g. '4.0.0')", 'type': 'string'}}, 'required': ['provider'], 'type': 'object'}, description="""Lookup a Terraform provider by name and optionally version."""), # thrashr888/Terraform Registry MCP Server/providerLookup
    Tool(name="""Terraform Registry MCP Server_resourceUsage""", inputSchema={'properties': {'name': {'description': 'Alternative resource name field (fallback if resource not specified)', 'type': 'string'}, 'provider': {'description': "Provider name (e.g. 'aws')", 'type': 'string'}, 'resource': {'description': "Resource name (e.g. 'aws_instance')", 'type': 'string'}}, 'type': 'object'}, description="""Get an example usage of a Terraform resource and related resources."""), # thrashr888/Terraform Registry MCP Server/resourceUsage
    Tool(name="""Terraform Registry MCP Server_moduleRecommendations""", inputSchema={'properties': {'keyword': {'description': 'Alternative search keyword (fallback if query not specified)', 'type': 'string'}, 'provider': {'description': "Filter modules by provider (e.g. 'aws')", 'type': 'string'}, 'query': {'description': "Search query (e.g. 'vpc')", 'type': 'string'}}, 'type': 'object'}, description="""Search for and recommend Terraform modules for a given query."""), # thrashr888/Terraform Registry MCP Server/moduleRecommendations
    Tool(name="""Terraform Registry MCP Server_dataSourceLookup""", inputSchema={'properties': {'namespace': {'description': "Provider namespace (e.g. 'hashicorp')", 'type': 'string'}, 'provider': {'description': "Provider name (e.g. 'aws')", 'type': 'string'}}, 'required': ['provider', 'namespace'], 'type': 'object'}, description="""List all available data sources for a provider and their basic details."""), # thrashr888/Terraform Registry MCP Server/dataSourceLookup
    Tool(name="""Terraform Registry MCP Server_resourceArgumentDetails""", inputSchema={'properties': {'namespace': {'description': "Provider namespace (e.g. 'hashicorp')", 'type': 'string'}, 'provider': {'description': "Provider name (e.g. 'aws')", 'type': 'string'}, 'resource': {'description': "Resource name (e.g. 'aws_instance')", 'type': 'string'}}, 'required': ['provider', 'namespace', 'resource'], 'type': 'object'}, description="""Fetches details about a specific resource type's arguments, including name, type, description, and requirements."""), # thrashr888/Terraform Registry MCP Server/resourceArgumentDetails
    Tool(name="""Terraform Registry MCP Server_moduleDetails""", inputSchema={'properties': {'module': {'description': "Module name (e.g. 'vpc')", 'type': 'string'}, 'namespace': {'description': "Module namespace (e.g. 'terraform-aws-modules')", 'type': 'string'}, 'provider': {'description': "Provider name (e.g. 'aws')", 'type': 'string'}}, 'required': ['namespace', 'module', 'provider'], 'type': 'object'}, description="""Retrieves detailed metadata for a Terraform module including versions, inputs, outputs, and dependencies."""), # thrashr888/Terraform Registry MCP Server/moduleDetails
    Tool(name="""Quickchart-MCP-Server_generate_chart""", inputSchema={'properties': {'datasets': {'items': {'properties': {'additionalConfig': {'type': 'object'}, 'backgroundColor': {'oneOf': [{'type': 'string'}, {'items': {'type': 'string'}, 'type': 'array'}]}, 'borderColor': {'oneOf': [{'type': 'string'}, {'items': {'type': 'string'}, 'type': 'array'}]}, 'data': {'type': 'array'}, 'label': {'type': 'string'}}, 'required': ['data'], 'type': 'object'}, 'type': 'array'}, 'labels': {'description': 'Labels for data points', 'items': {'type': 'string'}, 'type': 'array'}, 'options': {'type': 'object'}, 'title': {'type': 'string'}, 'type': {'description': 'Chart type (bar, line, pie, doughnut, radar, polarArea, scatter, bubble, radialGauge, speedometer)', 'type': 'string'}}, 'required': ['type', 'datasets'], 'type': 'object'}, description="""Generate a chart using QuickChart"""), # GongRzhe/Quickchart-MCP-Server/generate_chart
    Tool(name="""Quickchart-MCP-Server_download_chart""", inputSchema={'properties': {'config': {'description': 'Chart configuration object', 'type': 'object'}, 'outputPath': {'description': 'Path where the chart image should be saved', 'type': 'string'}}, 'required': ['config', 'outputPath'], 'type': 'object'}, description="""Download a chart image to a local file"""), # GongRzhe/Quickchart-MCP-Server/download_chart
    Tool(name="""Harvest Natural Language Time Entry MCP Server_list_tasks""", inputSchema={'properties': {'project_id': {'description': 'Project ID', 'type': 'number'}}, 'required': ['project_id'], 'type': 'object'}, description="""List available tasks for a project"""), # adrian-dotco/Harvest Natural Language Time Entry MCP Server/list_tasks
    Tool(name="""Harvest Natural Language Time Entry MCP Server_log_time""", inputSchema={'properties': {'text': {'description': 'Natural language time entry (e.g. "2 hours on Project X doing development work yesterday")', 'type': 'string'}}, 'required': ['text'], 'type': 'object'}, description="""Log time entry using natural language"""), # adrian-dotco/Harvest Natural Language Time Entry MCP Server/log_time
    Tool(name="""Harvest Natural Language Time Entry MCP Server_list_projects""", inputSchema={'properties': {}, 'type': 'object'}, description="""List available Harvest projects"""), # adrian-dotco/Harvest Natural Language Time Entry MCP Server/list_projects
    Tool(name="""Harvest Natural Language Time Entry MCP Server_list_entries""", inputSchema={'properties': {'from': {'description': 'Start date (YYYY-MM-DD)', 'type': 'string'}, 'to': {'description': 'End date (YYYY-MM-DD)', 'type': 'string'}}, 'type': 'object'}, description="""List recent time entries"""), # adrian-dotco/Harvest Natural Language Time Entry MCP Server/list_entries
    Tool(name="""Harvest Natural Language Time Entry MCP Server_get_time_report""", inputSchema={'properties': {'text': {'description': 'Natural language query (e.g., "Show time report for last month", "Get time summary for Project X")', 'type': 'string'}}, 'required': ['text'], 'type': 'object'}, description="""Get time reports using natural language"""), # adrian-dotco/Harvest Natural Language Time Entry MCP Server/get_time_report
    Tool(name="""Redmine MCP Server for Cline_create_issue""", inputSchema={'properties': {'description': {'description': 'Issue description', 'type': 'string'}, 'project_id': {'description': 'Project ID', 'type': 'string'}, 'subject': {'description': 'Issue subject', 'type': 'string'}}, 'required': ['project_id', 'subject', 'description'], 'type': 'object'}, description="""Create a new Redmine issue"""), # ilask/Redmine MCP Server for Cline/create_issue
    Tool(name="""Dart MCP Server_create_folder""", inputSchema={'properties': {'description': {'description': 'Description of the folder', 'type': 'string'}, 'kind': {'default': 'Default', 'description': 'Kind of folder', 'enum': ['Default', 'Reports', 'Other'], 'type': 'string'}, 'space_duid': {'description': 'Space DUID to create the folder in', 'type': 'string'}, 'title': {'description': 'Title of the folder', 'type': 'string'}}, 'required': ['space_duid', 'title'], 'type': 'object'}, description="""Create a new folder in a space"""), # jmanhype/Dart MCP Server/create_folder
    Tool(name="""Dart MCP Server_get_dartboards""", inputSchema={'properties': {'space_duid': {'description': 'Space DUID to get dartboards from', 'type': 'string'}}, 'required': ['space_duid'], 'type': 'object'}, description="""Get available dartboards"""), # jmanhype/Dart MCP Server/get_dartboards
    Tool(name="""Dart MCP Server_get_folders""", inputSchema={'properties': {'space_duid': {'description': 'Space DUID to get folders from', 'type': 'string'}}, 'required': ['space_duid'], 'type': 'object'}, description="""Get available folders"""), # jmanhype/Dart MCP Server/get_folders
    Tool(name="""Dart MCP Server_get_default_status""", inputSchema={'properties': {}, 'required': [], 'type': 'object'}, description="""Get the default status DUIDs"""), # jmanhype/Dart MCP Server/get_default_status
    Tool(name="""Dart MCP Server_get_default_space""", inputSchema={'properties': {}, 'required': [], 'type': 'object'}, description="""Get the default space DUID"""), # jmanhype/Dart MCP Server/get_default_space
    Tool(name="""Dart MCP Server_create_task""", inputSchema={'properties': {'assignee_duids': {'description': 'List of assignee DUIDs', 'items': {'type': 'string'}, 'type': 'array'}, 'description': {'description': 'Description of the task', 'type': 'string'}, 'priority': {'description': 'Priority of the task', 'enum': ['Low', 'Medium', 'High', 'Critical'], 'type': 'string'}, 'size': {'description': 'Size/complexity of the task (1-5)', 'maximum': 5, 'minimum': 1, 'type': 'number'}, 'subscriber_duids': {'description': 'List of subscriber DUIDs', 'items': {'type': 'string'}, 'type': 'array'}, 'tags': {'description': 'Tags for the task', 'items': {'type': 'string'}, 'type': 'array'}, 'title': {'description': 'Title of the task', 'type': 'string'}}, 'required': ['title', 'description'], 'type': 'object'}, description="""Create a new Dart task"""), # jmanhype/Dart MCP Server/create_task
    Tool(name="""Dart MCP Server_update_task""", inputSchema={'properties': {'description': {'description': 'New description for the task', 'type': 'string'}, 'duid': {'description': 'DUID of the task to update', 'type': 'string'}, 'priority': {'description': 'New priority for the task', 'enum': ['Low', 'Medium', 'High', 'Critical'], 'type': 'string'}, 'status_duid': {'description': 'New status DUID', 'type': 'string'}, 'title': {'description': 'New title for the task', 'type': 'string'}}, 'required': ['duid'], 'type': 'object'}, description="""Update an existing task"""), # jmanhype/Dart MCP Server/update_task
    Tool(name="""Dart MCP Server_create_doc""", inputSchema={'properties': {'editor_duids': {'description': 'List of editor DUIDs', 'items': {'type': 'string'}, 'type': 'array'}, 'folder_duid': {'description': 'Folder DUID to create the document in', 'type': 'string'}, 'report_kind': {'description': 'Kind of report (if creating a report)', 'enum': ['Changelog', 'Standup'], 'type': 'string'}, 'subscriber_duids': {'description': 'List of subscriber DUIDs', 'items': {'type': 'string'}, 'type': 'array'}, 'text': {'description': 'Content of the document', 'type': 'string'}, 'text_markdown': {'description': 'Markdown content of the document', 'type': 'string'}, 'title': {'description': 'Title of the document', 'type': 'string'}}, 'required': ['folder_duid', 'title'], 'type': 'object'}, description="""Create a new document or report"""), # jmanhype/Dart MCP Server/create_doc
    Tool(name="""Dart MCP Server_create_space""", inputSchema={'properties': {'abrev': {'description': 'Short abbreviation for the space', 'type': 'string'}, 'accessible_by_team': {'default': True, 'description': 'Whether the space is accessible by the whole team', 'type': 'boolean'}, 'accessible_by_user_duids': {'description': 'List of user DUIDs who can access the space', 'items': {'type': 'string'}, 'type': 'array'}, 'color_hex': {'description': 'Color in hex format (e.g. #FF0000)', 'type': 'string'}, 'description': {'description': 'Description of the space', 'type': 'string'}, 'icon_kind': {'default': 'None', 'description': 'Kind of icon to use', 'enum': ['None', 'Icon', 'Emoji'], 'type': 'string'}, 'icon_name_or_emoji': {'description': 'Icon name or emoji character', 'type': 'string'}, 'sprint_mode': {'default': 'None', 'description': 'Sprint mode for the space', 'enum': ['None', 'ANBA'], 'type': 'string'}, 'sprint_name_fmt': {'description': 'Sprint name format', 'type': 'string'}, 'sprint_replicate_on_rollover': {'default': False, 'description': 'Whether to replicate sprints on rollover', 'type': 'boolean'}, 'title': {'description': 'Title of the space', 'type': 'string'}}, 'required': ['title'], 'type': 'object'}, description="""Create a new space"""), # jmanhype/Dart MCP Server/create_space
    Tool(name="""Dart MCP Server_delete_space""", inputSchema={'properties': {'space_duid': {'description': 'DUID of the space to delete', 'type': 'string'}}, 'required': ['space_duid'], 'type': 'object'}, description="""Delete a space and all its contents"""), # jmanhype/Dart MCP Server/delete_space
    Tool(name="""Crypto Price & Market Analysis MCP Server_get-crypto-price""", inputSchema={'properties': {'symbol': {'description': 'Cryptocurrency symbol (e.g., BTC, ETH)', 'type': 'string'}}, 'required': ['symbol'], 'type': 'object'}, description="""Get current price and 24h stats for a cryptocurrency"""), # truss44/Crypto Price & Market Analysis MCP Server/get-crypto-price
    Tool(name="""Crypto Price & Market Analysis MCP Server_get-market-analysis""", inputSchema={'properties': {'symbol': {'description': 'Cryptocurrency symbol (e.g., BTC, ETH)', 'type': 'string'}}, 'required': ['symbol'], 'type': 'object'}, description="""Get detailed market analysis including top exchanges and volume distribution"""), # truss44/Crypto Price & Market Analysis MCP Server/get-market-analysis
    Tool(name="""Crypto Price & Market Analysis MCP Server_get-historical-analysis""", inputSchema={'properties': {'days': {'default': 7, 'description': 'Number of days to analyze (1-30)', 'type': 'number'}, 'interval': {'default': 'h1', 'description': 'Time interval (m5, m15, m30, h1, h2, h6, h12, d1)', 'type': 'string'}, 'symbol': {'description': 'Cryptocurrency symbol (e.g., BTC, ETH)', 'type': 'string'}}, 'required': ['symbol'], 'type': 'object'}, description="""Get historical price analysis with customizable timeframe"""), # truss44/Crypto Price & Market Analysis MCP Server/get-historical-analysis
    Tool(name="""SendGrid MCP Server_list_templates""", inputSchema={'properties': {}, 'required': [], 'type': 'object'}, description="""List all email templates in your SendGrid account"""), # Garoth/SendGrid MCP Server/list_templates
    Tool(name="""SendGrid MCP Server_create_contact_list""", inputSchema={'properties': {'name': {'description': 'Name of the contact list', 'type': 'string'}}, 'required': ['name'], 'type': 'object'}, description="""Create a new contact list in SendGrid"""), # Garoth/SendGrid MCP Server/create_contact_list
    Tool(name="""SendGrid MCP Server_validate_email""", inputSchema={'properties': {'email': {'description': 'Email address to validate', 'type': 'string'}}, 'required': ['email'], 'type': 'object'}, description="""Validate an email address using SendGrid"""), # Garoth/SendGrid MCP Server/validate_email
    Tool(name="""SendGrid MCP Server_get_stats""", inputSchema={'properties': {'aggregated_by': {'description': 'How to aggregate the statistics (optional)', 'enum': ['day', 'week', 'month'], 'type': 'string'}, 'end_date': {'description': 'End date in YYYY-MM-DD format (optional)', 'type': 'string'}, 'start_date': {'description': 'Start date in YYYY-MM-DD format', 'type': 'string'}}, 'required': ['start_date'], 'type': 'object'}, description="""Get SendGrid email statistics"""), # Garoth/SendGrid MCP Server/get_stats
    Tool(name="""SendGrid MCP Server_delete_contacts""", inputSchema={'properties': {'emails': {'description': 'Array of email addresses to delete', 'items': {'type': 'string'}, 'type': 'array'}}, 'required': ['emails'], 'type': 'object'}, description="""Delete contacts from your SendGrid account"""), # Garoth/SendGrid MCP Server/delete_contacts
    Tool(name="""SendGrid MCP Server_list_contacts""", inputSchema={'properties': {}, 'required': [], 'type': 'object'}, description="""List all contacts in your SendGrid account"""), # Garoth/SendGrid MCP Server/list_contacts
    Tool(name="""SendGrid MCP Server_send_email""", inputSchema={'properties': {'dynamic_template_data': {'description': 'Dynamic data for template variables (optional)', 'type': 'object'}, 'from': {'description': 'Sender email address (must be verified with SendGrid)', 'type': 'string'}, 'html': {'description': 'HTML content of the email (optional)', 'type': 'string'}, 'subject': {'description': 'Email subject line', 'type': 'string'}, 'template_id': {'description': 'SendGrid template ID (optional)', 'type': 'string'}, 'text': {'description': 'Plain text content of the email', 'type': 'string'}, 'to': {'description': 'Recipient email address', 'type': 'string'}}, 'required': ['to', 'subject', 'text', 'from'], 'type': 'object'}, description="""Send an email using SendGrid"""), # Garoth/SendGrid MCP Server/send_email
    Tool(name="""SendGrid MCP Server_add_contact""", inputSchema={'properties': {'custom_fields': {'description': 'Custom field values (optional)', 'type': 'object'}, 'email': {'description': 'Contact email address', 'type': 'string'}, 'first_name': {'description': 'Contact first name (optional)', 'type': 'string'}, 'last_name': {'description': 'Contact last name (optional)', 'type': 'string'}}, 'required': ['email'], 'type': 'object'}, description="""Add a contact to your SendGrid marketing contacts"""), # Garoth/SendGrid MCP Server/add_contact
    Tool(name="""SendGrid MCP Server_add_contacts_to_list""", inputSchema={'properties': {'emails': {'description': 'Array of email addresses to add to the list', 'items': {'type': 'string'}, 'type': 'array'}, 'list_id': {'description': 'ID of the contact list', 'type': 'string'}}, 'required': ['list_id', 'emails'], 'type': 'object'}, description="""Add contacts to an existing SendGrid list"""), # Garoth/SendGrid MCP Server/add_contacts_to_list
    Tool(name="""SendGrid MCP Server_create_template""", inputSchema={'properties': {'html_content': {'description': 'HTML content of the template', 'type': 'string'}, 'name': {'description': 'Name of the template', 'type': 'string'}, 'plain_content': {'description': 'Plain text content of the template', 'type': 'string'}, 'subject': {'description': 'Default subject line for the template', 'type': 'string'}}, 'required': ['name', 'subject', 'html_content', 'plain_content'], 'type': 'object'}, description="""Create a new email template in SendGrid"""), # Garoth/SendGrid MCP Server/create_template
    Tool(name="""SendGrid MCP Server_get_template""", inputSchema={'properties': {'template_id': {'description': 'ID of the template to retrieve', 'type': 'string'}}, 'required': ['template_id'], 'type': 'object'}, description="""Retrieve a SendGrid template by ID"""), # Garoth/SendGrid MCP Server/get_template
    Tool(name="""SendGrid MCP Server_delete_template""", inputSchema={'properties': {'template_id': {'description': 'ID of the template to delete', 'type': 'string'}}, 'required': ['template_id'], 'type': 'object'}, description="""Delete a dynamic template from SendGrid"""), # Garoth/SendGrid MCP Server/delete_template
    Tool(name="""SendGrid MCP Server_delete_list""", inputSchema={'properties': {'list_id': {'description': 'ID of the contact list to delete', 'type': 'string'}}, 'required': ['list_id'], 'type': 'object'}, description="""Delete a contact list from SendGrid"""), # Garoth/SendGrid MCP Server/delete_list
    Tool(name="""SendGrid MCP Server_list_contact_lists""", inputSchema={'properties': {}, 'required': [], 'type': 'object'}, description="""List all contact lists in your SendGrid account"""), # Garoth/SendGrid MCP Server/list_contact_lists
    Tool(name="""SendGrid MCP Server_get_contacts_by_list""", inputSchema={'properties': {'list_id': {'description': 'ID of the contact list', 'type': 'string'}}, 'required': ['list_id'], 'type': 'object'}, description="""Get all contacts in a SendGrid list"""), # Garoth/SendGrid MCP Server/get_contacts_by_list
    Tool(name="""SendGrid MCP Server_list_verified_senders""", inputSchema={'properties': {}, 'required': [], 'type': 'object'}, description="""List all verified sender identities in your SendGrid account"""), # Garoth/SendGrid MCP Server/list_verified_senders
    Tool(name="""SendGrid MCP Server_list_suppression_groups""", inputSchema={'properties': {}, 'required': [], 'type': 'object'}, description="""List all unsubscribe groups in your SendGrid account"""), # Garoth/SendGrid MCP Server/list_suppression_groups
    Tool(name="""SendGrid MCP Server_send_to_list""", inputSchema={'properties': {'custom_unsubscribe_url': {'description': 'Custom URL for unsubscribes (required if suppression_group_id not provided)', 'type': 'string'}, 'html_content': {'description': 'HTML content of the email', 'type': 'string'}, 'list_ids': {'description': 'Array of list IDs to send to', 'items': {'type': 'string'}, 'type': 'array'}, 'name': {'description': 'Name of the single send', 'type': 'string'}, 'plain_content': {'description': 'Plain text content of the email', 'type': 'string'}, 'sender_id': {'description': 'ID of the verified sender', 'type': 'number'}, 'subject': {'description': 'Email subject line', 'type': 'string'}, 'suppression_group_id': {'description': 'ID of the suppression group for unsubscribes (required if custom_unsubscribe_url not provided)', 'type': 'number'}}, 'required': ['name', 'list_ids', 'subject', 'html_content', 'plain_content', 'sender_id'], 'type': 'object'}, description="""Send an email to a contact list using SendGrid Single Sends"""), # Garoth/SendGrid MCP Server/send_to_list
    Tool(name="""SendGrid MCP Server_get_single_send""", inputSchema={'properties': {'single_send_id': {'description': 'ID of the single send to retrieve', 'type': 'string'}}, 'required': ['single_send_id'], 'type': 'object'}, description="""Get details of a specific single send"""), # Garoth/SendGrid MCP Server/get_single_send
    Tool(name="""SendGrid MCP Server_list_single_sends""", inputSchema={'properties': {}, 'required': [], 'type': 'object'}, description="""List all single sends in your SendGrid account"""), # Garoth/SendGrid MCP Server/list_single_sends
    Tool(name="""SendGrid MCP Server_remove_contacts_from_list""", inputSchema={'properties': {'emails': {'description': 'Array of email addresses to remove from the list', 'items': {'type': 'string'}, 'type': 'array'}, 'list_id': {'description': 'ID of the contact list', 'type': 'string'}}, 'required': ['list_id', 'emails'], 'type': 'object'}, description="""Remove contacts from a SendGrid list without deleting them"""), # Garoth/SendGrid MCP Server/remove_contacts_from_list
    Tool(name="""Azure MCP Server_run-azure-code""", inputSchema={'properties': {'code': {'description': 'Your job is to answer questions about Azure environment by writing Javascript code using Azure SDK. The code must adhere to a few rules:\n- Use the provided client instances: \'resourceClient\' for ResourceManagementClient and \'subscriptionClient\' for SubscriptionClient\n- DO NOT create new client instances or import Azure SDK packages\n- Use async/await and promises\n- Think step-by-step before writing the code\n- Avoid hardcoded values like Resource IDs\n- Handle errors gracefully\n- Handle pagination correctly using for-await-of loops\n- Data returned must be JSON containing only the minimal amount of data needed\n- Code MUST "return" a value: string, number, boolean or JSON object', 'type': 'string'}, 'reasoning': {'description': 'The reasoning behind the code', 'type': 'string'}, 'subscriptionId': {'description': 'Azure Subscription ID', 'type': 'string'}, 'tenantId': {'description': 'Azure Tenant ID', 'type': 'string'}}, 'required': ['reasoning', 'code'], 'type': 'object'}, description="""Run Azure code"""), # kalivaraprasad-gonapa/Azure MCP Server/run-azure-code
    Tool(name="""Azure MCP Server_list-tenants""", inputSchema={'properties': {}, 'required': [], 'type': 'object'}, description="""List all available Azure tenants"""), # kalivaraprasad-gonapa/Azure MCP Server/list-tenants
    Tool(name="""Azure MCP Server_select-tenant""", inputSchema={'properties': {'subscriptionId': {'description': 'Azure Subscription ID to select', 'type': 'string'}, 'tenantId': {'description': 'Azure Tenant ID to select', 'type': 'string'}}, 'required': ['tenantId', 'subscriptionId'], 'type': 'object'}, description="""Select Azure tenant and subscription"""), # kalivaraprasad-gonapa/Azure MCP Server/select-tenant
    Tool(name="""PyGithub MCP Server_create_issue""", inputSchema={'properties': {'params_dict': {'title': 'Params Dict', 'type': 'object'}}, 'required': ['params_dict'], 'title': 'create_issueArguments', 'type': 'object'}, description="""Create a new issue in a GitHub repository.\n    \n    Args:\n        params_dict: Parameters for creating an issue including:\n            - owner: Repository owner (user or organization)\n            - repo: Repository name\n            - title: Issue title\n            - body: Issue description (optional)\n            - assignees: List of usernames to assign\n            - labels: List of labels to add\n            - milestone: Milestone number (optional)\n    \n    Returns:\n        Created issue details from GitHub API\n    """), # AstroMined/PyGithub MCP Server/create_issue
    Tool(name="""PyGithub MCP Server_list_issues""", inputSchema={'$defs': {'ListIssuesParams': {'description': 'Parameters for listing issues.', 'properties': {'direction': {'anyOf': [{'type': 'string'}, {'type': 'null'}], 'default': None, 'description': 'Sort direction: asc, desc', 'title': 'Direction'}, 'labels': {'anyOf': [{'items': {'type': 'string'}, 'type': 'array'}, {'type': 'null'}], 'default': None, 'description': 'Filter by labels (list of label names)', 'title': 'Labels'}, 'owner': {'description': 'Repository owner (username or organization)', 'title': 'Owner', 'type': 'string'}, 'page': {'anyOf': [{'type': 'integer'}, {'type': 'null'}], 'default': None, 'description': 'Page number for pagination (1-based)', 'title': 'Page'}, 'per_page': {'anyOf': [{'type': 'integer'}, {'type': 'null'}], 'default': None, 'description': 'Results per page (max 100)', 'title': 'Per Page'}, 'repo': {'description': 'Repository name', 'title': 'Repo', 'type': 'string'}, 'since': {'anyOf': [{'format': 'date-time', 'type': 'string'}, {'type': 'null'}], 'default': None, 'description': 'Filter by date (ISO 8601 format with timezone: YYYY-MM-DDThh:mm:ssZ)', 'title': 'Since'}, 'sort': {'anyOf': [{'type': 'string'}, {'type': 'null'}], 'default': None, 'description': 'Sort by: created, updated, comments', 'title': 'Sort'}, 'state': {'anyOf': [{'type': 'string'}, {'type': 'null'}], 'default': None, 'description': 'Issue state: open, closed, all', 'title': 'State'}}, 'required': ['owner', 'repo'], 'title': 'ListIssuesParams', 'type': 'object'}}, 'properties': {'params': {'$ref': '#/$defs/ListIssuesParams'}}, 'required': ['params'], 'title': 'list_issuesArguments', 'type': 'object'}, description="""List issues from a GitHub repository.\n    \n    Args:\n        params: Parameters for listing issues including:\n            - owner: Repository owner (user or organization)\n            - repo: Repository name\n            - state: Issue state (open, closed, all)\n            - labels: Filter by labels\n            - sort: Sort field (created, updated, comments)\n            - direction: Sort direction (asc, desc)\n            - since: Filter by date\n            - page: Page number for pagination\n            - per_page: Number of results per page (max 100)\n    \n    Returns:\n        List of issues from GitHub API\n    """), # AstroMined/PyGithub MCP Server/list_issues
    Tool(name="""PyGithub MCP Server_get_issue""", inputSchema={'$defs': {'GetIssueParams': {'description': 'Parameters for getting an issue.', 'properties': {'issue_number': {'description': 'Issue number to retrieve', 'title': 'Issue Number', 'type': 'integer'}, 'owner': {'description': 'Repository owner (username or organization)', 'title': 'Owner', 'type': 'string'}, 'repo': {'description': 'Repository name', 'title': 'Repo', 'type': 'string'}}, 'required': ['owner', 'repo', 'issue_number'], 'title': 'GetIssueParams', 'type': 'object'}}, 'properties': {'params': {'$ref': '#/$defs/GetIssueParams'}}, 'required': ['params'], 'title': 'get_issueArguments', 'type': 'object'}, description="""Get details about a specific issue.\n    \n    Args:\n        params: Parameters for getting an issue including:\n            - owner: Repository owner (user or organization)\n            - repo: Repository name\n            - issue_number: Issue number to retrieve\n    \n    Returns:\n        Issue details from GitHub API\n    """), # AstroMined/PyGithub MCP Server/get_issue
    Tool(name="""PyGithub MCP Server_update_issue""", inputSchema={'$defs': {'UpdateIssueParams': {'description': 'Parameters for updating an issue.', 'properties': {'assignees': {'anyOf': [{'items': {'type': 'string'}, 'type': 'array'}, {'type': 'null'}], 'default': None, 'description': 'New assignees (list of usernames)', 'title': 'Assignees'}, 'body': {'anyOf': [{'type': 'string'}, {'type': 'null'}], 'default': None, 'description': 'New description', 'title': 'Body'}, 'issue_number': {'description': 'Issue number to update', 'title': 'Issue Number', 'type': 'integer'}, 'labels': {'anyOf': [{'items': {'type': 'string'}, 'type': 'array'}, {'type': 'null'}], 'default': None, 'description': 'New labels (list of label names)', 'title': 'Labels'}, 'milestone': {'anyOf': [{'type': 'integer'}, {'type': 'null'}], 'default': None, 'description': 'New milestone number (or None to clear)', 'title': 'Milestone'}, 'owner': {'description': 'Repository owner (username or organization)', 'title': 'Owner', 'type': 'string'}, 'repo': {'description': 'Repository name', 'title': 'Repo', 'type': 'string'}, 'state': {'anyOf': [{'type': 'string'}, {'type': 'null'}], 'default': None, 'description': 'New state (open or closed)', 'title': 'State'}, 'title': {'anyOf': [{'type': 'string'}, {'type': 'null'}], 'default': None, 'description': 'New title', 'title': 'Title'}}, 'required': ['owner', 'repo', 'issue_number'], 'title': 'UpdateIssueParams', 'type': 'object'}}, 'properties': {'params': {'$ref': '#/$defs/UpdateIssueParams'}}, 'required': ['params'], 'title': 'update_issueArguments', 'type': 'object'}, description="""Update an existing issue.\n    \n    Args:\n        params: Parameters for updating an issue including:\n            - owner: Repository owner (user or organization)\n            - repo: Repository name\n            - issue_number: Issue number to update\n            - title: New title (optional)\n            - body: New description (optional)\n            - state: New state (optional)\n            - labels: New labels (optional)\n            - assignees: New assignees (optional)\n            - milestone: New milestone number (optional)\n    \n    Returns:\n        Updated issue details from GitHub API\n    """), # AstroMined/PyGithub MCP Server/update_issue
    Tool(name="""PyGithub MCP Server_add_issue_comment""", inputSchema={'$defs': {'IssueCommentParams': {'description': 'Parameters for adding a comment to an issue.', 'properties': {'body': {'description': 'Comment text', 'title': 'Body', 'type': 'string'}, 'issue_number': {'description': 'Issue number to comment on', 'title': 'Issue Number', 'type': 'integer'}, 'owner': {'description': 'Repository owner (username or organization)', 'title': 'Owner', 'type': 'string'}, 'repo': {'description': 'Repository name', 'title': 'Repo', 'type': 'string'}}, 'required': ['owner', 'repo', 'issue_number', 'body'], 'title': 'IssueCommentParams', 'type': 'object'}}, 'properties': {'params': {'$ref': '#/$defs/IssueCommentParams'}}, 'required': ['params'], 'title': 'add_issue_commentArguments', 'type': 'object'}, description="""Add a comment to an issue.\n    \n    Args:\n        params: Parameters for adding a comment including:\n            - owner: Repository owner (user or organization)\n            - repo: Repository name\n            - issue_number: Issue number to comment on\n            - body: Comment text\n    \n    Returns:\n        Created comment details from GitHub API\n    """), # AstroMined/PyGithub MCP Server/add_issue_comment
    Tool(name="""PyGithub MCP Server_list_issue_comments""", inputSchema={'$defs': {'ListIssueCommentsParams': {'description': 'Parameters for listing comments on an issue.', 'properties': {'issue_number': {'description': 'Issue number to list comments for', 'title': 'Issue Number', 'type': 'integer'}, 'owner': {'description': 'Repository owner (username or organization)', 'title': 'Owner', 'type': 'string'}, 'page': {'anyOf': [{'type': 'integer'}, {'type': 'null'}], 'default': None, 'description': 'Page number for pagination (1-based)', 'title': 'Page'}, 'per_page': {'anyOf': [{'type': 'integer'}, {'type': 'null'}], 'default': None, 'description': 'Results per page (max 100)', 'title': 'Per Page'}, 'repo': {'description': 'Repository name', 'title': 'Repo', 'type': 'string'}, 'since': {'anyOf': [{'format': 'date-time', 'type': 'string'}, {'type': 'null'}], 'default': None, 'description': 'Filter by date (ISO 8601 format with timezone: YYYY-MM-DDThh:mm:ssZ)', 'title': 'Since'}}, 'required': ['owner', 'repo', 'issue_number'], 'title': 'ListIssueCommentsParams', 'type': 'object'}}, 'properties': {'params': {'$ref': '#/$defs/ListIssueCommentsParams'}}, 'required': ['params'], 'title': 'list_issue_commentsArguments', 'type': 'object'}, description="""List comments on an issue.\n    \n    Args:\n        params: Parameters for listing comments including:\n            - owner: Repository owner (user or organization)\n            - repo: Repository name\n            - issue_number: Issue number\n            - since: Filter by date (optional)\n            - page: Page number (optional)\n            - per_page: Results per page (optional)\n    \n    Returns:\n        List of comments from GitHub API\n    """), # AstroMined/PyGithub MCP Server/list_issue_comments
    Tool(name="""PyGithub MCP Server_update_issue_comment""", inputSchema={'$defs': {'UpdateIssueCommentParams': {'description': 'Parameters for updating an issue comment.', 'properties': {'body': {'description': 'New comment text', 'title': 'Body', 'type': 'string'}, 'comment_id': {'description': 'Comment ID to update', 'title': 'Comment Id', 'type': 'integer'}, 'issue_number': {'description': 'Issue number containing the comment', 'title': 'Issue Number', 'type': 'integer'}, 'owner': {'description': 'Repository owner (username or organization)', 'title': 'Owner', 'type': 'string'}, 'repo': {'description': 'Repository name', 'title': 'Repo', 'type': 'string'}}, 'required': ['owner', 'repo', 'issue_number', 'comment_id', 'body'], 'title': 'UpdateIssueCommentParams', 'type': 'object'}}, 'properties': {'params': {'$ref': '#/$defs/UpdateIssueCommentParams'}}, 'required': ['params'], 'title': 'update_issue_commentArguments', 'type': 'object'}, description="""Update an issue comment.\n    \n    Args:\n        params: Parameters for updating a comment including:\n            - owner: Repository owner (user or organization)\n            - repo: Repository name\n            - issue_number: Issue number containing the comment\n            - comment_id: Comment ID to update\n            - body: New comment text\n    \n    Returns:\n        Updated comment details from GitHub API\n    """), # AstroMined/PyGithub MCP Server/update_issue_comment
    Tool(name="""PyGithub MCP Server_push_files""", inputSchema={'properties': {'params': {'title': 'Params', 'type': 'object'}}, 'required': ['params'], 'title': 'push_filesArguments', 'type': 'object'}, description="""Push multiple files to a GitHub repository in a single commit.\n\n    Args:\n        params: Dictionary with file parameters\n            - owner: Repository owner (username or organization)\n            - repo: Repository name\n            - branch: Branch to push to\n            - files: List of files to push, each with path and content\n            - message: Commit message\n\n    Returns:\n        MCP response with file push result\n    """), # AstroMined/PyGithub MCP Server/push_files
    Tool(name="""PyGithub MCP Server_delete_issue_comment""", inputSchema={'$defs': {'DeleteIssueCommentParams': {'description': 'Parameters for deleting an issue comment.', 'properties': {'comment_id': {'description': 'Comment ID to delete', 'title': 'Comment Id', 'type': 'integer'}, 'issue_number': {'description': 'Issue number containing the comment', 'title': 'Issue Number', 'type': 'integer'}, 'owner': {'description': 'Repository owner (username or organization)', 'title': 'Owner', 'type': 'string'}, 'repo': {'description': 'Repository name', 'title': 'Repo', 'type': 'string'}}, 'required': ['owner', 'repo', 'issue_number', 'comment_id'], 'title': 'DeleteIssueCommentParams', 'type': 'object'}}, 'properties': {'params': {'$ref': '#/$defs/DeleteIssueCommentParams'}}, 'required': ['params'], 'title': 'delete_issue_commentArguments', 'type': 'object'}, description="""Delete an issue comment.\n    \n    Args:\n        params: Parameters for deleting a comment including:\n            - owner: Repository owner (user or organization)\n            - repo: Repository name\n            - issue_number: Issue number containing the comment\n            - comment_id: Comment ID to delete\n    \n    Returns:\n        Empty response on success\n    """), # AstroMined/PyGithub MCP Server/delete_issue_comment
    Tool(name="""PyGithub MCP Server_add_issue_labels""", inputSchema={'$defs': {'AddIssueLabelsParams': {'description': 'Parameters for adding labels to an issue.', 'properties': {'issue_number': {'description': 'Issue number', 'title': 'Issue Number', 'type': 'integer'}, 'labels': {'description': 'Labels to add', 'items': {'type': 'string'}, 'title': 'Labels', 'type': 'array'}, 'owner': {'description': 'Repository owner (username or organization)', 'title': 'Owner', 'type': 'string'}, 'repo': {'description': 'Repository name', 'title': 'Repo', 'type': 'string'}}, 'required': ['owner', 'repo', 'issue_number', 'labels'], 'title': 'AddIssueLabelsParams', 'type': 'object'}}, 'properties': {'params': {'$ref': '#/$defs/AddIssueLabelsParams'}}, 'required': ['params'], 'title': 'add_issue_labelsArguments', 'type': 'object'}, description="""Add labels to an issue.\n    \n    Args:\n        params: Parameters for adding labels including:\n            - owner: Repository owner (user or organization)\n            - repo: Repository name\n            - issue_number: Issue number\n            - labels: Labels to add\n    \n    Returns:\n        Updated list of labels from GitHub API\n    """), # AstroMined/PyGithub MCP Server/add_issue_labels
    Tool(name="""PyGithub MCP Server_remove_issue_label""", inputSchema={'$defs': {'RemoveIssueLabelParams': {'description': 'Parameters for removing a label from an issue.', 'properties': {'issue_number': {'description': 'Issue number', 'title': 'Issue Number', 'type': 'integer'}, 'label': {'description': 'Label to remove', 'title': 'Label', 'type': 'string'}, 'owner': {'description': 'Repository owner (username or organization)', 'title': 'Owner', 'type': 'string'}, 'repo': {'description': 'Repository name', 'title': 'Repo', 'type': 'string'}}, 'required': ['owner', 'repo', 'issue_number', 'label'], 'title': 'RemoveIssueLabelParams', 'type': 'object'}}, 'properties': {'params': {'$ref': '#/$defs/RemoveIssueLabelParams'}}, 'required': ['params'], 'title': 'remove_issue_labelArguments', 'type': 'object'}, description="""Remove a label from an issue.\n    \n    Args:\n        params: Parameters for removing a label including:\n            - owner: Repository owner (user or organization)\n            - repo: Repository name\n            - issue_number: Issue number\n            - label: Label to remove\n    \n    Returns:\n        Empty response on success or error if label doesn't exist\n    """), # AstroMined/PyGithub MCP Server/remove_issue_label
    Tool(name="""PyGithub MCP Server_get_repository""", inputSchema={'properties': {'params': {'title': 'Params', 'type': 'object'}}, 'required': ['params'], 'title': 'get_repositoryArguments', 'type': 'object'}, description="""Get details about a GitHub repository.\n\n    Args:\n        params: Dictionary with repository parameters\n            - owner: Repository owner (username or organization)\n            - repo: Repository name\n\n    Returns:\n        MCP response with repository details\n    """), # AstroMined/PyGithub MCP Server/get_repository
    Tool(name="""PyGithub MCP Server_create_repository""", inputSchema={'properties': {'params': {'title': 'Params', 'type': 'object'}}, 'required': ['params'], 'title': 'create_repositoryArguments', 'type': 'object'}, description="""Create a new GitHub repository.\n\n    Args:\n        params: Dictionary with repository creation parameters\n            - name: Repository name\n            - description: Repository description (optional)\n            - private: Whether the repository should be private (optional)\n            - auto_init: Initialize repository with README (optional)\n\n    Returns:\n        MCP response with created repository details\n    """), # AstroMined/PyGithub MCP Server/create_repository
    Tool(name="""PyGithub MCP Server_fork_repository""", inputSchema={'properties': {'params': {'title': 'Params', 'type': 'object'}}, 'required': ['params'], 'title': 'fork_repositoryArguments', 'type': 'object'}, description="""Fork an existing GitHub repository.\n\n    Args:\n        params: Dictionary with fork parameters\n            - owner: Repository owner (username or organization)\n            - repo: Repository name\n            - organization: Organization to fork to (optional)\n\n    Returns:\n        MCP response with forked repository details\n    """), # AstroMined/PyGithub MCP Server/fork_repository
    Tool(name="""PyGithub MCP Server_search_repositories""", inputSchema={'properties': {'params': {'title': 'Params', 'type': 'object'}}, 'required': ['params'], 'title': 'search_repositoriesArguments', 'type': 'object'}, description="""Search for GitHub repositories.\n\n    Args:\n        params: Dictionary with search parameters\n            - query: Search query\n            - page: Page number for pagination (optional)\n            - per_page: Results per page (optional)\n\n    Returns:\n        MCP response with matching repositories\n    """), # AstroMined/PyGithub MCP Server/search_repositories
    Tool(name="""PyGithub MCP Server_get_file_contents""", inputSchema={'properties': {'params': {'title': 'Params', 'type': 'object'}}, 'required': ['params'], 'title': 'get_file_contentsArguments', 'type': 'object'}, description="""Get contents of a file in a GitHub repository.\n\n    Args:\n        params: Dictionary with file parameters\n            - owner: Repository owner (username or organization)\n            - repo: Repository name\n            - path: Path to file/directory\n            - branch: Branch to get contents from (optional)\n\n    Returns:\n        MCP response with file content data\n    """), # AstroMined/PyGithub MCP Server/get_file_contents
    Tool(name="""PyGithub MCP Server_create_or_update_file""", inputSchema={'properties': {'params': {'title': 'Params', 'type': 'object'}}, 'required': ['params'], 'title': 'create_or_update_fileArguments', 'type': 'object'}, description="""Create or update a file in a GitHub repository.\n\n    Args:\n        params: Dictionary with file parameters\n            - owner: Repository owner (username or organization)\n            - repo: Repository name\n            - path: Path where to create/update the file\n            - content: Content of the file\n            - message: Commit message\n            - branch: Branch to create/update the file in\n            - sha: SHA of file being replaced (for updates, optional)\n\n    Returns:\n        MCP response with file creation/update result\n    """), # AstroMined/PyGithub MCP Server/create_or_update_file
    Tool(name="""PyGithub MCP Server_create_branch""", inputSchema={'properties': {'params': {'title': 'Params', 'type': 'object'}}, 'required': ['params'], 'title': 'create_branchArguments', 'type': 'object'}, description="""Create a new branch in a GitHub repository.\n\n    Args:\n        params: Dictionary with branch parameters\n            - owner: Repository owner (username or organization)\n            - repo: Repository name\n            - branch: Name for new branch\n            - from_branch: Source branch (optional, defaults to repo default)\n\n    Returns:\n        MCP response with branch creation result\n    """), # AstroMined/PyGithub MCP Server/create_branch
    Tool(name="""PyGithub MCP Server_list_commits""", inputSchema={'properties': {'params': {'title': 'Params', 'type': 'object'}}, 'required': ['params'], 'title': 'list_commitsArguments', 'type': 'object'}, description="""List commits in a GitHub repository.\n\n    Args:\n        params: Dictionary with commit parameters\n            - owner: Repository owner (username or organization)\n            - repo: Repository name\n            - page: Page number (optional)\n            - per_page: Results per page (optional)\n            - sha: Branch name or commit SHA (optional)\n\n    Returns:\n        MCP response with list of commits\n    """), # AstroMined/PyGithub MCP Server/list_commits
    Tool(name="""mcp-otc_check-balance""", inputSchema={'properties': {'address': {'description': 'Ethereum address (0x format)', 'pattern': '^0x[a-fA-F0-9]{40}$', 'type': 'string'}}, 'required': ['address'], 'type': 'object'}, description="""Check the ETH balance of an Ethereum address"""), # otc-ai/mcp-otc/check-balance
    Tool(name="""mcp-otc_get-transactions""", inputSchema={'properties': {'address': {'description': 'Ethereum address (0x format)', 'pattern': '^0x[a-fA-F0-9]{40}$', 'type': 'string'}, 'limit': {'description': 'Number of transactions to return (max 100)', 'maximum': 100, 'minimum': 1, 'type': 'number'}}, 'required': ['address'], 'type': 'object'}, description="""Get recent transactions for an Ethereum address"""), # otc-ai/mcp-otc/get-transactions
    Tool(name="""mcp-otc_get-token-transfers""", inputSchema={'properties': {'address': {'description': 'Ethereum address (0x format)', 'pattern': '^0x[a-fA-F0-9]{40}$', 'type': 'string'}, 'limit': {'description': 'Number of transfers to return (max 100)', 'maximum': 100, 'minimum': 1, 'type': 'number'}}, 'required': ['address'], 'type': 'object'}, description="""Get ERC20 token transfers for an Ethereum address"""), # otc-ai/mcp-otc/get-token-transfers
    Tool(name="""mcp-otc_get-contract-abi""", inputSchema={'properties': {'address': {'description': 'Contract address (0x format)', 'pattern': '^0x[a-fA-F0-9]{40}$', 'type': 'string'}}, 'required': ['address'], 'type': 'object'}, description="""Get the ABI for a smart contract"""), # otc-ai/mcp-otc/get-contract-abi
    Tool(name="""mcp-otc_get-gas-prices""", inputSchema={'properties': {}, 'type': 'object'}, description="""Get current gas prices in Gwei"""), # otc-ai/mcp-otc/get-gas-prices
    Tool(name="""mcp-otc_get-ens-name""", inputSchema={'properties': {'address': {'description': 'Ethereum address (0x format)', 'pattern': '^0x[a-fA-F0-9]{40}$', 'type': 'string'}}, 'required': ['address'], 'type': 'object'}, description="""Get the ENS name for an Ethereum address"""), # otc-ai/mcp-otc/get-ens-name
    Tool(name="""Super Secret MCP Server_getSecretPassphrase""", inputSchema={'additionalProperties': False, 'properties': {}, 'required': [], 'type': 'object'}, description="""Whats the password?"""), # gbti-network/Super Secret MCP Server/getSecretPassphrase
    Tool(name="""SingleStore MCP Server_query_table""", inputSchema={'properties': {'query': {'description': 'SQL query to execute', 'type': 'string'}}, 'required': ['query'], 'type': 'object'}, description="""Execute a query on a table"""), # madhukarkumar/SingleStore MCP Server/query_table
    Tool(name="""SingleStore MCP Server_generate_er_diagram""", inputSchema={'properties': {}, 'required': [], 'type': 'object'}, description="""Generate a Mermaid ER diagram of the database schema"""), # madhukarkumar/SingleStore MCP Server/generate_er_diagram
    Tool(name="""SingleStore MCP Server_list_tables""", inputSchema={'properties': {}, 'required': [], 'type': 'object'}, description="""List all tables in the database"""), # madhukarkumar/SingleStore MCP Server/list_tables
    Tool(name="""SingleStore MCP Server_describe_table""", inputSchema={'properties': {'table': {'description': 'Name of the table to describe', 'type': 'string'}}, 'required': ['table'], 'type': 'object'}, description="""Get detailed information about a table"""), # madhukarkumar/SingleStore MCP Server/describe_table
    Tool(name="""SingleStore MCP Server_run_read_query""", inputSchema={'properties': {'query': {'description': 'SQL SELECT query to execute', 'type': 'string'}}, 'required': ['query'], 'type': 'object'}, description="""Execute a read-only (SELECT) query on the database"""), # madhukarkumar/SingleStore MCP Server/run_read_query
    Tool(name="""SingleStore MCP Server_create_table""", inputSchema={'properties': {'columns': {'description': 'List of columns to create', 'items': {'properties': {'auto_increment': {'description': 'Whether the column should auto increment', 'type': 'boolean'}, 'default': {'description': 'Default value for the column', 'type': 'string'}, 'name': {'description': 'Column name', 'type': 'string'}, 'nullable': {'description': 'Whether the column can be NULL', 'type': 'boolean'}, 'type': {'description': 'Data type (e.g., INT, VARCHAR(255), etc.)', 'type': 'string'}}, 'required': ['name', 'type'], 'type': 'object'}, 'type': 'array'}, 'table_name': {'description': 'Name of the table to create', 'type': 'string'}, 'table_options': {'properties': {'auto_increment_start': {'description': 'Starting value for auto increment columns', 'type': 'number'}, 'compression': {'description': 'Table compression type', 'enum': ['SPARSE'], 'type': 'string'}, 'is_reference': {'description': 'Whether this is a reference table', 'type': 'boolean'}, 'shard_key': {'description': 'Columns to use as shard key', 'items': {'type': 'string'}, 'type': 'array'}, 'sort_key': {'description': 'Columns to use as sort key', 'items': {'type': 'string'}, 'type': 'array'}}, 'type': 'object'}}, 'required': ['table_name', 'columns'], 'type': 'object'}, description="""Create a new table in the database with specified columns and constraints"""), # madhukarkumar/SingleStore MCP Server/create_table
    Tool(name="""SingleStore MCP Server_generate_synthetic_data""", inputSchema={'properties': {'batch_size': {'default': 1000, 'description': 'Number of rows to insert in each batch', 'type': 'number'}, 'column_generators': {'additionalProperties': {'properties': {'end': {'description': 'Ending value for random number generator', 'type': 'number'}, 'formula': {'description': 'SQL expression for formula generator', 'type': 'string'}, 'start': {'description': 'Starting value for sequence generator', 'type': 'number'}, 'type': {'description': 'Type of generator to use', 'enum': ['sequence', 'random', 'values', 'formula'], 'type': 'string'}, 'values': {'description': 'Array of values to choose from for values generator', 'items': {'type': 'string'}, 'type': 'array'}}, 'type': 'object'}, 'description': 'Custom generators for specific columns (optional)', 'type': 'object'}, 'count': {'default': 100, 'description': 'Number of rows to generate and insert', 'type': 'number'}, 'table': {'description': 'Name of the table to insert data into', 'type': 'string'}}, 'required': ['table'], 'type': 'object'}, description="""Generate and insert synthetic data into an existing table"""), # madhukarkumar/SingleStore MCP Server/generate_synthetic_data
    Tool(name="""SingleStore MCP Server_optimize_sql""", inputSchema={'properties': {'query': {'description': 'SQL query to analyze and optimize', 'type': 'string'}}, 'required': ['query'], 'type': 'object'}, description="""Analyze a SQL query using PROFILE and provide optimization recommendations"""), # madhukarkumar/SingleStore MCP Server/optimize_sql
    Tool(name="""Jenkins MCP_list_jobs""", inputSchema={'properties': {}, 'title': 'list_jobsArguments', 'type': 'object'}, description="""List all Jenkins jobs"""), # kjozsa/Jenkins MCP/list_jobs
    Tool(name="""Jenkins MCP_trigger_build""", inputSchema={'properties': {'job_name': {'title': 'Job Name', 'type': 'string'}, 'parameters': {'anyOf': [{'type': 'object'}, {'type': 'null'}], 'default': None, 'title': 'Parameters'}}, 'required': ['job_name'], 'title': 'trigger_buildArguments', 'type': 'object'}, description="""Trigger a Jenkins build\n\n    Args:\n        job_name: Name of the job to build\n        parameters: Optional build parameters as a dictionary (e.g. {\"param1\": \"value1\"})\n\n    Returns:\n        Dictionary containing build information including the build number\n    """), # kjozsa/Jenkins MCP/trigger_build
    Tool(name="""Jenkins MCP_get_build_status""", inputSchema={'properties': {'build_number': {'anyOf': [{'type': 'integer'}, {'type': 'null'}], 'default': None, 'title': 'Build Number'}, 'job_name': {'title': 'Job Name', 'type': 'string'}}, 'required': ['job_name'], 'title': 'get_build_statusArguments', 'type': 'object'}, description="""Get build status\n\n    Args:\n        job_name: Name of the job\n        build_number: Build number to check, defaults to latest\n\n    Returns:\n        Build information dictionary\n    """), # kjozsa/Jenkins MCP/get_build_status
    Tool(name="""Netlify MCP Server_deploy-site""", inputSchema={'properties': {'message': {'description': 'Deploy message', 'type': 'string'}, 'path': {'description': 'Path to the site directory', 'type': 'string'}, 'prod': {'description': 'Deploy to production', 'type': 'boolean'}}, 'required': ['path'], 'type': 'object'}, description="""Deploy a site to Netlify"""), # DynamicEndpoints/Netlify MCP Server/deploy-site
    Tool(name="""Netlify MCP Server_list-sites""", inputSchema={'properties': {}, 'required': [], 'type': 'object'}, description="""List all Netlify sites"""), # DynamicEndpoints/Netlify MCP Server/list-sites
    Tool(name="""Netlify MCP Server_set-env-vars""", inputSchema={'properties': {'envVars': {'additionalProperties': {'type': 'string'}, 'description': 'Environment variables to set', 'type': 'object'}, 'siteId': {'description': 'Site ID or name', 'type': 'string'}}, 'required': ['siteId', 'envVars'], 'type': 'object'}, description="""Set environment variables for a site"""), # DynamicEndpoints/Netlify MCP Server/set-env-vars
    Tool(name="""Netlify MCP Server_get-deploy-status""", inputSchema={'properties': {'deployId': {'description': 'Deployment ID', 'type': 'string'}, 'siteId': {'description': 'Site ID or name', 'type': 'string'}}, 'required': ['siteId'], 'type': 'object'}, description="""Get deployment status for a site"""), # DynamicEndpoints/Netlify MCP Server/get-deploy-status
    Tool(name="""Netlify MCP Server_add-dns-record""", inputSchema={'properties': {'domain': {'description': 'Domain name', 'type': 'string'}, 'siteId': {'description': 'Site ID or name', 'type': 'string'}, 'ttl': {'description': 'Time to live in seconds', 'type': 'number'}, 'type': {'description': 'DNS record type', 'enum': ['A', 'AAAA', 'CNAME', 'MX', 'TXT', 'NS'], 'type': 'string'}, 'value': {'description': 'DNS record value', 'type': 'string'}}, 'required': ['siteId', 'domain', 'type', 'value'], 'type': 'object'}, description="""Add a DNS record to a site"""), # DynamicEndpoints/Netlify MCP Server/add-dns-record
    Tool(name="""Netlify MCP Server_deploy-function""", inputSchema={'properties': {'name': {'description': 'Function name', 'type': 'string'}, 'path': {'description': 'Path to the function file', 'type': 'string'}, 'runtime': {'description': 'Function runtime (e.g., nodejs, go)', 'type': 'string'}}, 'required': ['path', 'name'], 'type': 'object'}, description="""Deploy a serverless function"""), # DynamicEndpoints/Netlify MCP Server/deploy-function
    Tool(name="""Netlify MCP Server_manage-form""", inputSchema={'properties': {'action': {'description': 'Action to perform', 'enum': ['enable', 'disable', 'delete'], 'type': 'string'}, 'formId': {'description': 'Form ID', 'type': 'string'}, 'siteId': {'description': 'Site ID or name', 'type': 'string'}}, 'required': ['siteId', 'formId', 'action'], 'type': 'object'}, description="""Manage form submissions"""), # DynamicEndpoints/Netlify MCP Server/manage-form
    Tool(name="""Netlify MCP Server_manage-plugin""", inputSchema={'properties': {'action': {'description': 'Action to perform', 'enum': ['install', 'uninstall', 'update'], 'type': 'string'}, 'config': {'description': 'Plugin configuration', 'type': 'object'}, 'pluginId': {'description': 'Plugin ID', 'type': 'string'}, 'siteId': {'description': 'Site ID or name', 'type': 'string'}}, 'required': ['siteId', 'pluginId', 'action'], 'type': 'object'}, description="""Manage site plugins"""), # DynamicEndpoints/Netlify MCP Server/manage-plugin
    Tool(name="""Netlify MCP Server_manage-hook""", inputSchema={'properties': {'action': {'description': 'Action to perform', 'enum': ['create', 'delete', 'update'], 'type': 'string'}, 'event': {'description': 'Event type', 'type': 'string'}, 'siteId': {'description': 'Site ID or name', 'type': 'string'}, 'url': {'description': 'Webhook URL', 'type': 'string'}}, 'required': ['siteId', 'event', 'url', 'action'], 'type': 'object'}, description="""Manage webhook notifications"""), # DynamicEndpoints/Netlify MCP Server/manage-hook
    Tool(name="""PayPal MCP_create_payment_token""", inputSchema={'properties': {'customer': {'properties': {'email_address': {'type': 'string'}, 'id': {'type': 'string'}}, 'required': ['id'], 'type': 'object'}, 'payment_source': {'properties': {'card': {'properties': {'expiry': {'type': 'string'}, 'name': {'type': 'string'}, 'number': {'type': 'string'}, 'security_code': {'type': 'string'}}, 'type': 'object'}, 'paypal': {'properties': {'email_address': {'type': 'string'}}, 'type': 'object'}}, 'type': 'object'}}, 'required': ['customer', 'payment_source'], 'type': 'object'}, description="""Create a payment token"""), # DynamicEndpoints/PayPal MCP/create_payment_token
    Tool(name="""PayPal MCP_create_payment""", inputSchema={'properties': {'intent': {'type': 'string'}, 'payer': {'properties': {'funding_instruments': {'items': {'properties': {'credit_card': {'properties': {'cvv2': {'type': 'string'}, 'expire_month': {'type': 'number'}, 'expire_year': {'type': 'number'}, 'first_name': {'type': 'string'}, 'last_name': {'type': 'string'}, 'number': {'type': 'string'}, 'type': {'type': 'string'}}, 'type': 'object'}}, 'type': 'object'}, 'type': 'array'}, 'payment_method': {'type': 'string'}}, 'required': ['payment_method'], 'type': 'object'}, 'transactions': {'items': {'properties': {'amount': {'properties': {'currency': {'type': 'string'}, 'total': {'type': 'string'}}, 'required': ['total', 'currency'], 'type': 'object'}, 'description': {'type': 'string'}}, 'required': ['amount'], 'type': 'object'}, 'type': 'array'}}, 'required': ['intent', 'payer', 'transactions'], 'type': 'object'}, description="""Create a payment"""), # DynamicEndpoints/PayPal MCP/create_payment
    Tool(name="""PayPal MCP_create_payout""", inputSchema={'properties': {'items': {'items': {'properties': {'amount': {'properties': {'currency': {'type': 'string'}, 'value': {'type': 'string'}}, 'required': ['value', 'currency'], 'type': 'object'}, 'note': {'type': 'string'}, 'receiver': {'type': 'string'}, 'recipient_type': {'type': 'string'}, 'sender_item_id': {'type': 'string'}}, 'required': ['recipient_type', 'amount', 'receiver'], 'type': 'object'}, 'type': 'array'}, 'sender_batch_header': {'properties': {'email_subject': {'type': 'string'}, 'recipient_type': {'type': 'string'}, 'sender_batch_id': {'type': 'string'}}, 'required': ['sender_batch_id'], 'type': 'object'}}, 'required': ['sender_batch_header', 'items'], 'type': 'object'}, description="""Create a batch payout"""), # DynamicEndpoints/PayPal MCP/create_payout
    Tool(name="""PayPal MCP_create_referenced_payout""", inputSchema={'properties': {'referenced_payouts': {'items': {'properties': {'payout_amount': {'properties': {'currency_code': {'type': 'string'}, 'value': {'type': 'string'}}, 'required': ['currency_code', 'value'], 'type': 'object'}, 'payout_destination': {'type': 'string'}, 'reference_id': {'type': 'string'}, 'reference_type': {'type': 'string'}}, 'required': ['reference_id', 'reference_type', 'payout_amount', 'payout_destination'], 'type': 'object'}, 'type': 'array'}}, 'required': ['referenced_payouts'], 'type': 'object'}, description="""Create a referenced payout"""), # DynamicEndpoints/PayPal MCP/create_referenced_payout
    Tool(name="""PayPal MCP_create_order""", inputSchema={'properties': {'intent': {'enum': ['CAPTURE', 'AUTHORIZE'], 'type': 'string'}, 'purchase_units': {'items': {'properties': {'amount': {'properties': {'currency_code': {'type': 'string'}, 'value': {'type': 'string'}}, 'required': ['currency_code', 'value'], 'type': 'object'}, 'description': {'type': 'string'}, 'reference_id': {'type': 'string'}}, 'required': ['amount'], 'type': 'object'}, 'type': 'array'}}, 'required': ['intent', 'purchase_units'], 'type': 'object'}, description="""Create a new order in PayPal"""), # DynamicEndpoints/PayPal MCP/create_order
    Tool(name="""PayPal MCP_create_partner_referral""", inputSchema={'properties': {'business_entity': {'properties': {'business_name': {'type': 'string'}, 'business_type': {'properties': {'type': {'type': 'string'}}, 'required': ['type'], 'type': 'object'}}, 'required': ['business_type', 'business_name'], 'type': 'object'}, 'email': {'type': 'string'}, 'individual_owners': {'items': {'properties': {'names': {'items': {'properties': {'given_name': {'type': 'string'}, 'surname': {'type': 'string'}}, 'required': ['given_name', 'surname'], 'type': 'object'}, 'type': 'array'}}, 'required': ['names'], 'type': 'object'}, 'type': 'array'}}, 'required': ['individual_owners', 'business_entity', 'email'], 'type': 'object'}, description="""Create a partner referral"""), # DynamicEndpoints/PayPal MCP/create_partner_referral
    Tool(name="""PayPal MCP_create_web_profile""", inputSchema={'properties': {'flow_config': {'properties': {'bank_txn_pending_url': {'type': 'string'}, 'landing_page_type': {'type': 'string'}}, 'type': 'object'}, 'input_fields': {'properties': {'address_override': {'type': 'number'}, 'no_shipping': {'type': 'number'}}, 'type': 'object'}, 'name': {'type': 'string'}, 'presentation': {'properties': {'brand_name': {'type': 'string'}, 'locale_code': {'type': 'string'}, 'logo_image': {'type': 'string'}}, 'type': 'object'}}, 'required': ['name'], 'type': 'object'}, description="""Create a web experience profile"""), # DynamicEndpoints/PayPal MCP/create_web_profile
    Tool(name="""PayPal MCP_create_product""", inputSchema={'properties': {'category': {'type': 'string'}, 'description': {'type': 'string'}, 'home_url': {'type': 'string'}, 'image_url': {'type': 'string'}, 'name': {'type': 'string'}, 'type': {'enum': ['PHYSICAL', 'DIGITAL', 'SERVICE'], 'type': 'string'}}, 'required': ['name', 'description', 'type', 'category'], 'type': 'object'}, description="""Create a new product in PayPal"""), # DynamicEndpoints/PayPal MCP/create_product
    Tool(name="""PayPal MCP_list_products""", inputSchema={'properties': {'page': {'minimum': 1, 'type': 'number'}, 'page_size': {'maximum': 100, 'minimum': 1, 'type': 'number'}}, 'type': 'object'}, description="""List all products"""), # DynamicEndpoints/PayPal MCP/list_products
    Tool(name="""PayPal MCP_get_dispute""", inputSchema={'properties': {'dispute_id': {'type': 'string'}}, 'required': ['dispute_id'], 'type': 'object'}, description="""Get details of a dispute"""), # DynamicEndpoints/PayPal MCP/get_dispute
    Tool(name="""PayPal MCP_get_userinfo""", inputSchema={'properties': {'access_token': {'type': 'string'}}, 'required': ['access_token'], 'type': 'object'}, description="""Get user info from identity token"""), # DynamicEndpoints/PayPal MCP/get_userinfo
    Tool(name="""PayPal MCP_create_invoice""", inputSchema={'properties': {'currency_code': {'type': 'string'}, 'invoice_number': {'type': 'string'}, 'items': {'items': {'properties': {'name': {'type': 'string'}, 'quantity': {'type': 'string'}, 'unit_amount': {'properties': {'currency_code': {'type': 'string'}, 'value': {'type': 'string'}}, 'type': 'object'}}, 'type': 'object'}, 'type': 'array'}, 'recipient_email': {'type': 'string'}, 'reference': {'type': 'string'}}, 'required': ['invoice_number', 'reference', 'currency_code', 'recipient_email', 'items'], 'type': 'object'}, description="""Create a new invoice"""), # DynamicEndpoints/PayPal MCP/create_invoice
    Tool(name="""WolframAlpha LLM MCP Server_ask_llm""", inputSchema={'properties': {'query': {'description': 'The query to ask WolframAlpha', 'type': 'string'}}, 'required': ['query'], 'type': 'object'}, description="""Ask WolframAlpha a query and get LLM-optimized structured response with multiple formats"""), # Garoth/WolframAlpha LLM MCP Server/ask_llm
    Tool(name="""WolframAlpha LLM MCP Server_get_simple_answer""", inputSchema={'properties': {'query': {'description': 'The query to ask WolframAlpha', 'type': 'string'}}, 'required': ['query'], 'type': 'object'}, description="""Get a simplified, LLM-friendly answer focusing on the most relevant information"""), # Garoth/WolframAlpha LLM MCP Server/get_simple_answer
    Tool(name="""WolframAlpha LLM MCP Server_validate_key""", inputSchema={'properties': {}, 'required': [], 'type': 'object'}, description="""Validate the WolframAlpha LLM API key"""), # Garoth/WolframAlpha LLM MCP Server/validate_key
    Tool(name="""serper-search-scrape-mcp-server_google_search""", inputSchema={'properties': {'after': {'description': "Date after in YYYY-MM-DD format (e.g., '2023-01-01')", 'type': 'string'}, 'autocorrect': {'description': 'Whether to autocorrect spelling in query', 'type': 'boolean'}, 'before': {'description': "Date before in YYYY-MM-DD format (e.g., '2024-01-01')", 'type': 'string'}, 'cache': {'description': "View Google's cached version of a specific URL (e.g., 'example.com/page')", 'type': 'string'}, 'exact': {'description': "Exact phrase match (e.g., 'machine learning', 'quantum computing')", 'type': 'string'}, 'exclude': {'description': "Terms to exclude from search results as comma-separated string (e.g., 'spam,ads', 'beginner,basic')", 'type': 'string'}, 'filetype': {'description': "Limit to specific file types (e.g., 'pdf', 'doc', 'xls')", 'type': 'string'}, 'gl': {'description': "Optional region code for search results in ISO 3166-1 alpha-2 format (e.g., 'us', 'gb', 'de')", 'type': 'string'}, 'hl': {'description': "Optional language code for search results in ISO 639-1 format (e.g., 'en', 'es', 'fr')", 'type': 'string'}, 'intitle': {'description': "Search for pages with word in title (e.g., 'review', 'how to')", 'type': 'string'}, 'inurl': {'description': "Search for pages with word in URL (e.g., 'download', 'tutorial')", 'type': 'string'}, 'location': {'description': "Optional location for search results (e.g., 'SoHo, New York, United States', 'California, United States')", 'type': 'string'}, 'num': {'description': 'Number of results to return (default: 10)', 'type': 'number'}, 'or': {'description': "Alternative terms as comma-separated string (e.g., 'tutorial,guide,course', 'documentation,manual')", 'type': 'string'}, 'page': {'description': 'Page number of results to return (default: 1)', 'type': 'number'}, 'q': {'description': "Search query string (e.g., 'artificial intelligence', 'climate change solutions')", 'type': 'string'}, 'related': {'description': "Find similar websites (e.g., 'github.com', 'stackoverflow.com')", 'type': 'string'}, 'site': {'description': "Limit results to specific domain (e.g., 'github.com', 'wikipedia.org')", 'type': 'string'}, 'tbs': {'description': "Time-based search filter ('qdr:h' for past hour, 'qdr:d' for past day, 'qdr:w' for past week, 'qdr:m' for past month, 'qdr:y' for past year)", 'type': 'string'}}, 'required': ['q', 'gl', 'hl'], 'type': 'object'}, description="""Tool to perform web searches via Serper API and retrieve rich results. It is able to retrieve organic search results, people also ask, related searches, and knowledge graph."""), # marcopesani/serper-search-scrape-mcp-server/google_search
    Tool(name="""serper-search-scrape-mcp-server_scrape""", inputSchema={'properties': {'includeMarkdown': {'default': False, 'description': 'Whether to include markdown content.', 'type': 'boolean'}, 'url': {'description': 'The URL of the webpage to scrape.', 'type': 'string'}}, 'required': ['url'], 'type': 'object'}, description="""Tool to scrape a webpage and retrieve the text and, optionally, the markdown content. It will retrieve also the JSON-LD metadata and the head metadata."""), # marcopesani/serper-search-scrape-mcp-server/scrape
    Tool(name="""MCP Security Audit Server_audit_nodejs_dependencies""", inputSchema={'properties': {'dependencies': {'additionalProperties': {'type': 'string'}, 'description': 'Dependencies object from package.json', 'type': 'object'}}, 'required': ['dependencies'], 'type': 'object'}, description="""Audit specific dependencies for vulnerabilities"""), # qianniuspace/MCP Security Audit Server/audit_nodejs_dependencies
    Tool(name="""OpenAI MCP Server_ask-openai""", inputSchema={'properties': {'model': {'default': 'o3-mini', 'enum': ['o3-mini', 'gpt-4o-mini'], 'type': 'string'}, 'query': {'description': 'Ask assistant', 'type': 'string'}}, 'required': ['query'], 'type': 'object'}, description="""Ask my assistant models a direct question"""), # thadius83/OpenAI MCP Server/ask-openai
    Tool(name="""MCP Flux Studio_generate""", inputSchema={'properties': {'aspect_ratio': {'description': 'Aspect ratio of the output image', 'enum': ['1:1', '4:3', '3:4', '16:9', '9:16'], 'type': 'string'}, 'height': {'description': 'Image height (ignored if aspect-ratio is set)', 'type': 'number'}, 'model': {'default': 'flux.1.1-pro', 'description': 'Model to use for generation', 'enum': ['flux.1.1-pro', 'flux.1-pro', 'flux.1-dev', 'flux.1.1-ultra'], 'type': 'string'}, 'output': {'default': 'generated.jpg', 'description': 'Output filename', 'type': 'string'}, 'prompt': {'description': 'Text prompt for image generation', 'type': 'string'}, 'width': {'description': 'Image width (ignored if aspect-ratio is set)', 'type': 'number'}}, 'required': ['prompt'], 'type': 'object'}, description="""Generate an image from a text prompt"""), # jmanhype/MCP Flux Studio/generate
    Tool(name="""MCP Flux Studio_img2img""", inputSchema={'properties': {'height': {'description': 'Output image height', 'type': 'number'}, 'image': {'description': 'Input image path', 'type': 'string'}, 'model': {'default': 'flux.1.1-pro', 'description': 'Model to use for generation', 'enum': ['flux.1.1-pro', 'flux.1-pro', 'flux.1-dev', 'flux.1.1-ultra'], 'type': 'string'}, 'name': {'description': 'Name for the generation', 'type': 'string'}, 'output': {'default': 'outputs/generated.jpg', 'description': 'Output filename', 'type': 'string'}, 'prompt': {'description': 'Text prompt for generation', 'type': 'string'}, 'strength': {'default': 0.85, 'description': 'Generation strength', 'type': 'number'}, 'width': {'description': 'Output image width', 'type': 'number'}}, 'required': ['image', 'prompt', 'name'], 'type': 'object'}, description="""Generate an image using another image as reference"""), # jmanhype/MCP Flux Studio/img2img
    Tool(name="""MCP Flux Studio_inpaint""", inputSchema={'properties': {'image': {'description': 'Input image path', 'type': 'string'}, 'mask_shape': {'default': 'circle', 'description': 'Shape of the mask', 'enum': ['circle', 'rectangle'], 'type': 'string'}, 'output': {'default': 'inpainted.jpg', 'description': 'Output filename', 'type': 'string'}, 'position': {'default': 'center', 'description': 'Position of the mask', 'enum': ['center', 'ground'], 'type': 'string'}, 'prompt': {'description': 'Text prompt for inpainting', 'type': 'string'}}, 'required': ['image', 'prompt'], 'type': 'object'}, description="""Inpaint an image using a mask"""), # jmanhype/MCP Flux Studio/inpaint
    Tool(name="""MCP Flux Studio_control""", inputSchema={'properties': {'guidance': {'description': 'Guidance scale', 'type': 'number'}, 'image': {'description': 'Input control image path', 'type': 'string'}, 'output': {'description': 'Output filename', 'type': 'string'}, 'prompt': {'description': 'Text prompt for generation', 'type': 'string'}, 'steps': {'default': 50, 'description': 'Number of inference steps', 'type': 'number'}, 'type': {'description': 'Type of control to use', 'enum': ['canny', 'depth', 'pose'], 'type': 'string'}}, 'required': ['type', 'image', 'prompt'], 'type': 'object'}, description="""Generate an image using structural control"""), # jmanhype/MCP Flux Studio/control
    Tool(name="""MCP OpenFEC Server_get_candidate""", inputSchema={'properties': {'candidate_id': {'description': 'FEC candidate ID', 'type': 'string'}, 'election_year': {'description': 'Optional: Filter by election year', 'type': 'number'}}, 'required': ['candidate_id'], 'type': 'object'}, description="""Get detailed information about a candidate"""), # psalzman/MCP OpenFEC Server/get_candidate
    Tool(name="""MCP OpenFEC Server_get_candidate_financials""", inputSchema={'properties': {'candidate_id': {'description': 'FEC candidate ID', 'type': 'string'}, 'election_year': {'description': 'Election year to get data for', 'type': 'number'}}, 'required': ['candidate_id', 'election_year'], 'type': 'object'}, description="""Get financial data for a candidate"""), # psalzman/MCP OpenFEC Server/get_candidate_financials
    Tool(name="""MCP OpenFEC Server_search_candidates""", inputSchema={'properties': {'election_year': {'description': 'Optional: Filter by election year', 'type': 'number'}, 'name': {'description': 'Candidate name search string', 'type': 'string'}, 'office': {'description': 'Optional: H for House, S for Senate, P for President', 'enum': ['H', 'S', 'P'], 'type': 'string'}, 'state': {'description': 'Optional: Two-letter state code', 'type': 'string'}}, 'required': ['name'], 'type': 'object'}, description="""Search for candidates by name or other criteria"""), # psalzman/MCP OpenFEC Server/search_candidates
    Tool(name="""MCP OpenFEC Server_get_committee""", inputSchema={'properties': {'committee_id': {'description': 'FEC committee ID', 'type': 'string'}}, 'required': ['committee_id'], 'type': 'object'}, description="""Get detailed information about a committee"""), # psalzman/MCP OpenFEC Server/get_committee
    Tool(name="""MCP OpenFEC Server_get_candidate_contributions""", inputSchema={'properties': {'candidate_id': {'description': 'FEC candidate ID', 'type': 'string'}, 'election_year': {'description': 'Election year', 'type': 'number'}, 'sort': {'description': 'Optional: Sort by contribution_receipt_amount (desc for highest first)', 'enum': ['desc', 'asc'], 'type': 'string'}}, 'required': ['candidate_id'], 'type': 'object'}, description="""Get individual contributions for a candidate"""), # psalzman/MCP OpenFEC Server/get_candidate_contributions
    Tool(name="""MCP OpenFEC Server_get_filings""", inputSchema={'properties': {'candidate_id': {'description': 'Optional: FEC candidate ID', 'type': 'string'}, 'committee_id': {'description': 'Optional: FEC committee ID', 'type': 'string'}, 'form_type': {'description': 'Optional: Form types to filter by (e.g., ["F3", "F3P"])', 'items': {'type': 'string'}, 'type': 'array'}, 'max_receipt_date': {'description': 'Optional: Maximum receipt date (YYYY-MM-DD)', 'type': 'string'}, 'min_receipt_date': {'description': 'Optional: Minimum receipt date (YYYY-MM-DD)', 'type': 'string'}, 'sort': {'description': 'Optional: Sort by receipt date', 'enum': ['asc', 'desc'], 'type': 'string'}, 'state': {'description': 'Optional: Two-letter state code', 'type': 'string'}}, 'type': 'object'}, description="""Retrieve official FEC filings with filters"""), # psalzman/MCP OpenFEC Server/get_filings
    Tool(name="""MCP OpenFEC Server_get_independent_expenditures""", inputSchema={'properties': {'candidate_id': {'description': 'Optional: FEC candidate ID', 'type': 'string'}, 'committee_id': {'description': 'Optional: FEC committee ID', 'type': 'string'}, 'max_amount': {'description': 'Optional: Maximum expenditure amount', 'type': 'number'}, 'max_date': {'description': 'Optional: Maximum expenditure date (YYYY-MM-DD)', 'type': 'string'}, 'min_amount': {'description': 'Optional: Minimum expenditure amount', 'type': 'number'}, 'min_date': {'description': 'Optional: Minimum expenditure date (YYYY-MM-DD)', 'type': 'string'}, 'sort': {'description': 'Optional: Sort by expenditure amount', 'enum': ['asc', 'desc'], 'type': 'string'}, 'support_oppose_indicator': {'description': 'Optional: S for supporting or O for opposing', 'enum': ['S', 'O'], 'type': 'string'}}, 'type': 'object'}, description="""Get independent expenditures supporting or opposing candidates"""), # psalzman/MCP OpenFEC Server/get_independent_expenditures
    Tool(name="""MCP OpenFEC Server_get_electioneering""", inputSchema={'properties': {'candidate_id': {'description': 'Optional: FEC candidate ID', 'type': 'string'}, 'committee_id': {'description': 'Optional: FEC committee ID', 'type': 'string'}, 'max_amount': {'description': 'Optional: Maximum disbursement amount', 'type': 'number'}, 'max_date': {'description': 'Optional: Maximum disbursement date (YYYY-MM-DD)', 'type': 'string'}, 'min_amount': {'description': 'Optional: Minimum disbursement amount', 'type': 'number'}, 'min_date': {'description': 'Optional: Minimum disbursement date (YYYY-MM-DD)', 'type': 'string'}, 'sort': {'description': 'Optional: Sort by disbursement amount', 'enum': ['asc', 'desc'], 'type': 'string'}}, 'type': 'object'}, description="""Get electioneering communications"""), # psalzman/MCP OpenFEC Server/get_electioneering
    Tool(name="""MCP OpenFEC Server_get_party_coordinated_expenditures""", inputSchema={'properties': {'candidate_id': {'description': 'Optional: FEC candidate ID', 'type': 'string'}, 'committee_id': {'description': 'Optional: FEC committee ID', 'type': 'string'}, 'max_amount': {'description': 'Optional: Maximum expenditure amount', 'type': 'number'}, 'max_date': {'description': 'Optional: Maximum expenditure date (YYYY-MM-DD)', 'type': 'string'}, 'min_amount': {'description': 'Optional: Minimum expenditure amount', 'type': 'number'}, 'min_date': {'description': 'Optional: Minimum expenditure date (YYYY-MM-DD)', 'type': 'string'}, 'sort': {'description': 'Optional: Sort by expenditure amount', 'enum': ['asc', 'desc'], 'type': 'string'}}, 'type': 'object'}, description="""Get party coordinated expenditures"""), # psalzman/MCP OpenFEC Server/get_party_coordinated_expenditures
    Tool(name="""MCP OpenFEC Server_get_communication_costs""", inputSchema={'properties': {'candidate_id': {'description': 'Optional: FEC candidate ID', 'type': 'string'}, 'committee_id': {'description': 'Optional: FEC committee ID', 'type': 'string'}, 'max_amount': {'description': 'Optional: Maximum cost amount', 'type': 'number'}, 'max_date': {'description': 'Optional: Maximum communication date (YYYY-MM-DD)', 'type': 'string'}, 'min_amount': {'description': 'Optional: Minimum cost amount', 'type': 'number'}, 'min_date': {'description': 'Optional: Minimum communication date (YYYY-MM-DD)', 'type': 'string'}, 'sort': {'description': 'Optional: Sort by cost amount', 'enum': ['asc', 'desc'], 'type': 'string'}}, 'type': 'object'}, description="""Get corporate/union communication costs"""), # psalzman/MCP OpenFEC Server/get_communication_costs
    Tool(name="""MCP OpenFEC Server_get_audit_cases""", inputSchema={'properties': {'audit_id': {'description': 'Optional: Specific audit case ID', 'type': 'string'}, 'audit_year': {'description': 'Optional: Year of audit', 'type': 'number'}, 'committee_id': {'description': 'Optional: FEC committee ID', 'type': 'string'}, 'finding_types': {'description': 'Optional: Types of findings to filter by', 'items': {'type': 'string'}, 'type': 'array'}}, 'type': 'object'}, description="""Get FEC audit cases and findings"""), # psalzman/MCP OpenFEC Server/get_audit_cases
    Tool(name="""MCP OpenFEC Server_get_bulk_downloads""", inputSchema={'properties': {'data_type': {'description': 'Type of bulk data to download', 'enum': ['contributions', 'expenditures', 'filings', 'committees', 'candidates'], 'type': 'string'}, 'election_year': {'description': 'Optional: Election year for the data', 'type': 'number'}}, 'required': ['data_type'], 'type': 'object'}, description="""Get links to bulk data downloads"""), # psalzman/MCP OpenFEC Server/get_bulk_downloads
    Tool(name="""BigGo MCP Server_product_search""", inputSchema={'properties': {'query': {'description': 'Search query', 'examples': ['iphone', ''], 'title': 'Query', 'type': 'string'}}, 'required': ['query'], 'title': 'product_searchArguments', 'type': 'object'}, description="""Product Search"""), # Funmula-Corp/BigGo MCP Server/product_search
    Tool(name="""BigGo MCP Server_price_history_graph""", inputSchema={'properties': {'history_id': {'description': "\n              Product History ID\n              Here are a few steps to obtain this argument.\n              1. Use 'product_search' tool to retrive a list of products\n              2. Find the most relevant product.\n              3. The product should have a field called 'history_id', use it as the value for this argument\n              ", 'examples': ['tw_pmall_rakuten-nwdsl_6MONJRBOO', 'tw_pec_senao-1363332'], 'title': 'History Id', 'type': 'string'}}, 'required': ['history_id'], 'title': 'price_history_graphArguments', 'type': 'object'}, description="""Link That Visualizes Product Price History"""), # Funmula-Corp/BigGo MCP Server/price_history_graph
    Tool(name="""BigGo MCP Server_price_history_with_history_id""", inputSchema={'properties': {'days': {'anyOf': [{'enum': ['90', '80', '365', '730'], 'type': 'string'}, {}], 'description': 'History range', 'title': 'Days'}, 'history_id': {'description': "\n              Product History ID\n              Here are a few steps to obtain this argument.\n              1. Use 'product_search' tool to retrive a list of products\n              2. Find the most relevant product.\n              3. The product should have a field called 'history_id', use it as the value for this argument\n              ", 'examples': ['tw_pmall_rakuten-nwdsl_6MONJRBOO', 'tw_pec_senao-1363332'], 'title': 'History Id', 'type': 'string'}}, 'required': ['history_id', 'days'], 'title': 'price_history_with_history_idArguments', 'type': 'object'}, description="""Product Price History With History ID"""), # Funmula-Corp/BigGo MCP Server/price_history_with_history_id
    Tool(name="""BigGo MCP Server_price_history_with_url""", inputSchema={'properties': {'days': {'anyOf': [{'enum': ['90', '80', '365', '730'], 'type': 'string'}, {}], 'description': 'History range', 'title': 'Days'}, 'url': {'description': 'Product URL', 'title': 'Url', 'type': 'string'}}, 'required': ['days', 'url'], 'title': 'price_history_with_urlArguments', 'type': 'object'}, description="""Product Price History With URL"""), # Funmula-Corp/BigGo MCP Server/price_history_with_url
    Tool(name="""BigGo MCP Server_spec_indexes""", inputSchema={'properties': {}, 'title': 'spec_indexesArguments', 'type': 'object'}, description="""Elasticsearch Indexes for Product Specification.\n\n    It is REQUIRED to use this tool first before running any specification search.\n    """), # Funmula-Corp/BigGo MCP Server/spec_indexes
    Tool(name="""BigGo MCP Server_spec_mapping""", inputSchema={'properties': {'index': {'description': "\n                          Elasticsearch index\n\n                          Steps to obtain this argument.\n                          1. Use 'spec_indexes' tool to get the list of indexes\n                          2. Choose the most relevant index\n                          ", 'title': 'Index', 'type': 'string'}}, 'required': ['index'], 'title': 'spec_mappingArguments', 'type': 'object'}, description="""Elasticsearch Mapping For Product Specification.\n\n    Use this tool after you have the index, and need to know the mapping in order to query the index.\n    Available indexes can be obtained by using the 'spec_indexes' tool.\n    """), # Funmula-Corp/BigGo MCP Server/spec_mapping
    Tool(name="""BigGo MCP Server_get_current_region""", inputSchema={'properties': {}, 'title': 'get_current_regionArguments', 'type': 'object'}, description="""\n    Get the current region setting.\n    """), # Funmula-Corp/BigGo MCP Server/get_current_region
    Tool(name="""BigGo MCP Server_spec_search""", inputSchema={'properties': {'elasticsearch_query': {'anyOf': [{'type': 'string'}, {'type': 'object'}], 'description': "\n              Elasticsearch query ( Elasticsearch version: 8 )\n\n              Bellow are rules that MUST be followed when using this tool.\n              All rules must be followed strictly.\n                \n              1. The 'spec_mapping' tool must be used to get the mapping of the index, before using this tool\n              2. Size must be less than or equal to 10\n              3. Result must be sorted when needed\n              4. Must not contain documents with 'status' field as 'deleted'\n\n              When to sort:\n              - The user wants the most efficient refrigerator: sort by power consumption\n              - The user wants the smallest referegirator: sort by height\n\n              When not to sort:\n              - The user wants phones with 16GB of ram: no need to sort, just find the exact number\n\n              Spec fields are all located under the 'spec' key, remaber to add 'spec' when querying.\n              Example fields paths:\n              - specs.physical_specs.weight\n              - specs.technical_specs.water_resistance.depth\n              - specs.sensors.gyroscope\n              ", 'examples': [{'query': {'bool': {'must': [{'range': {'specs.physical_specifications.dimensions.height': {'gte': 1321, 'lte': 2321}}}], 'must_not': [{'match': {'status': 'deleted'}}]}}, 'size': 5, 'sort': [{'specs.physical_specifications.dimensions.height': 'asc'}]}], 'title': 'Elasticsearch Query'}, 'index': {'description': "\n                          Elasticsearch index\n\n                          Steps to obtain this argument.\n                          1. Use 'spec_indexes' tool to get the list of indexes\n                          2. Choose the most relevant index\n                          ", 'title': 'Index', 'type': 'string'}}, 'required': ['index', 'elasticsearch_query'], 'title': 'spec_searchArguments', 'type': 'object'}, description="""Product Specification Search. \n\n    Index mapping must be aquired before using this tool.\n    Use 'spec_mapping' tool to get the mapping of the index.\n    """), # Funmula-Corp/BigGo MCP Server/spec_search
    Tool(name="""MCP Server for OpenMetadata_list_tables""", inputSchema={'properties': {'limit': {'default': 10, 'description': 'Maximum number of tables to return', 'type': 'integer'}, 'offset': {'default': 0, 'description': 'Number of tables to skip', 'type': 'integer'}}, 'type': 'object'}, description="""List tables from OpenMetadata"""), # yangkyeongmo/MCP Server for OpenMetadata/list_tables
    Tool(name="""MCP Server for OpenMetadata_get_table""", inputSchema={'properties': {'fields': {'description': 'Fields to include in the response', 'example': 'name,description,columns,tags,href', 'type': 'string'}, 'table_id': {'description': 'ID of the table to retrieve', 'format': 'uuid', 'type': 'string'}}, 'required': ['table_id'], 'type': 'object'}, description="""Get details of a specific table by ID"""), # yangkyeongmo/MCP Server for OpenMetadata/get_table
    Tool(name="""MCP Server for OpenMetadata_get_table_by_name""", inputSchema={'properties': {'fields': {'description': 'Fields to include in the response', 'example': 'name,description,columns,tags,href', 'type': 'string'}, 'fqn': {'description': 'Fully qualified name of the table', 'type': 'string'}}, 'required': ['fqn'], 'type': 'object'}, description="""Get details of a specific table by fully qualified name"""), # yangkyeongmo/MCP Server for OpenMetadata/get_table_by_name
    Tool(name="""MCP Server for OpenMetadata_create_table""", inputSchema={'properties': {'table_data': {'description': 'Table data including name, description, columns, etc.', 'type': 'object'}}, 'required': ['table_data'], 'type': 'object'}, description="""Create a new table"""), # yangkyeongmo/MCP Server for OpenMetadata/create_table
    Tool(name="""MCP Server for OpenMetadata_update_table""", inputSchema={'properties': {'table_data': {'description': 'Updated table data', 'type': 'object'}, 'table_id': {'description': 'ID of the table to update', 'format': 'uuid', 'type': 'string'}}, 'required': ['table_id', 'table_data'], 'type': 'object'}, description="""Update an existing table"""), # yangkyeongmo/MCP Server for OpenMetadata/update_table
    Tool(name="""MCP Server for OpenMetadata_delete_table""", inputSchema={'properties': {'hard_delete': {'default': False, 'description': 'Whether to perform a hard delete', 'type': 'boolean'}, 'recursive': {'default': False, 'description': 'Whether to recursively delete children', 'type': 'boolean'}, 'table_id': {'description': 'ID of the table to delete', 'format': 'uuid', 'type': 'string'}}, 'required': ['table_id'], 'type': 'object'}, description="""Delete a table"""), # yangkyeongmo/MCP Server for OpenMetadata/delete_table
    Tool(name="""Apple MCP Server_contacts""", inputSchema={'properties': {'name': {'description': 'Name to search for (optional - if not provided, returns all contacts). Can be partial name to search.', 'type': 'string'}}, 'type': 'object'}, description="""Search and retrieve contacts from Apple Contacts app"""), # Dhravya/Apple MCP Server/contacts
    Tool(name="""Apple MCP Server_notes""", inputSchema={'properties': {'searchText': {'description': 'Text to search for in notes (optional - if not provided, returns all notes)', 'type': 'string'}}, 'type': 'object'}, description="""Search and retrieve notes from Apple Notes app"""), # Dhravya/Apple MCP Server/notes
    Tool(name="""Apple MCP Server_messages""", inputSchema={'properties': {'limit': {'description': 'Number of messages to read (optional, for read and unread operations)', 'type': 'number'}, 'message': {'description': 'Message to send (required for send and schedule operations)', 'type': 'string'}, 'operation': {'description': "Operation to perform: 'send', 'read', 'schedule', or 'unread'", 'enum': ['send', 'read', 'schedule', 'unread'], 'type': 'string'}, 'phoneNumber': {'description': 'Phone number to send message to (required for send, read, and schedule operations)', 'type': 'string'}, 'scheduledTime': {'description': 'ISO string of when to send the message (required for schedule operation)', 'type': 'string'}}, 'required': ['operation'], 'type': 'object'}, description="""Interact with Apple Messages app - send, read, schedule messages and check unread messages"""), # Dhravya/Apple MCP Server/messages
    Tool(name="""Apple MCP Server_mail""", inputSchema={'properties': {'account': {'description': 'Email account to use (optional - if not provided, searches across all accounts)', 'type': 'string'}, 'bcc': {'description': 'BCC email address (optional for send operation)', 'type': 'string'}, 'body': {'description': 'Email body content (required for send operation)', 'type': 'string'}, 'cc': {'description': 'CC email address (optional for send operation)', 'type': 'string'}, 'limit': {'description': 'Number of emails to retrieve (optional, for unread and search operations)', 'type': 'number'}, 'mailbox': {'description': 'Mailbox to use (optional - if not provided, uses inbox or searches across all mailboxes)', 'type': 'string'}, 'operation': {'description': "Operation to perform: 'unread', 'search', 'send', 'mailboxes', or 'accounts'", 'enum': ['unread', 'search', 'send', 'mailboxes', 'accounts'], 'type': 'string'}, 'searchTerm': {'description': 'Text to search for in emails (required for search operation)', 'type': 'string'}, 'subject': {'description': 'Email subject (required for send operation)', 'type': 'string'}, 'to': {'description': 'Recipient email address (required for send operation)', 'type': 'string'}}, 'required': ['operation'], 'type': 'object'}, description="""Interact with Apple Mail app - read unread emails, search emails, and send emails"""), # Dhravya/Apple MCP Server/mail
    Tool(name="""Apple MCP Server_reminders""", inputSchema={'properties': {'dueDate': {'description': 'Due date for the reminder in ISO format (optional for create operation)', 'type': 'string'}, 'listId': {'description': 'ID of the list to get reminders from (required for listById operation)', 'type': 'string'}, 'listName': {'description': 'Name of the list to create the reminder in (optional for create operation)', 'type': 'string'}, 'name': {'description': 'Name of the reminder to create (required for create operation)', 'type': 'string'}, 'notes': {'description': 'Additional notes for the reminder (optional for create operation)', 'type': 'string'}, 'operation': {'description': "Operation to perform: 'list', 'search', 'open', 'create', or 'listById'", 'enum': ['list', 'search', 'open', 'create', 'listById'], 'type': 'string'}, 'props': {'description': 'Properties to include in the reminders (optional for listById operation)', 'items': {'type': 'string'}, 'type': 'array'}, 'searchText': {'description': 'Text to search for in reminders (required for search and open operations)', 'type': 'string'}}, 'required': ['operation'], 'type': 'object'}, description="""Search, create, and open reminders in Apple Reminders app"""), # Dhravya/Apple MCP Server/reminders
    Tool(name="""Apple MCP Server_webSearch""", inputSchema={'properties': {'query': {'description': 'Search query to look up', 'type': 'string'}}, 'required': ['query'], 'type': 'object'}, description="""Search the web using DuckDuckGo and retrieve content from search results"""), # Dhravya/Apple MCP Server/webSearch
    Tool(name="""Florence-2 MCP Server_ocr""", inputSchema={'properties': {'src': {'anyOf': [{'format': 'path', 'type': 'string'}, {'type': 'string'}], 'description': 'A file path or URL to the image file that needs to be processed.', 'title': 'Src'}}, 'required': ['src'], 'title': 'ocrArguments', 'type': 'object'}, description="""Process an image file or URL using OCR to extract text."""), # jkawamoto/Florence-2 MCP Server/ocr
    Tool(name="""Florence-2 MCP Server_caption""", inputSchema={'properties': {'src': {'anyOf': [{'format': 'path', 'type': 'string'}, {'type': 'string'}], 'description': 'A file path or URL to the image file that needs to be processed.', 'title': 'Src'}}, 'required': ['src'], 'title': 'captionArguments', 'type': 'object'}, description="""Processes an image file and generates captions for the image."""), # jkawamoto/Florence-2 MCP Server/caption
    Tool(name="""mcp-timeplus_list_databases""", inputSchema={'properties': {}, 'title': 'list_databasesArguments', 'type': 'object'}, description=""""""), # jovezhong/mcp-timeplus/list_databases
    Tool(name="""mcp-timeplus_list_tables""", inputSchema={'properties': {'database': {'default': 'default', 'title': 'Database', 'type': 'string'}, 'like': {'default': None, 'title': 'Like', 'type': 'string'}}, 'title': 'list_tablesArguments', 'type': 'object'}, description=""""""), # jovezhong/mcp-timeplus/list_tables
    Tool(name="""mcp-timeplus_run_sql""", inputSchema={'properties': {'query': {'title': 'Query', 'type': 'string'}}, 'required': ['query'], 'title': 'run_sqlArguments', 'type': 'object'}, description=""""""), # jovezhong/mcp-timeplus/run_sql
    Tool(name="""mcp-timeplus_list_kafka_topics""", inputSchema={'properties': {}, 'title': 'list_kafka_topicsArguments', 'type': 'object'}, description=""""""), # jovezhong/mcp-timeplus/list_kafka_topics
    Tool(name="""mcp-timeplus_explore_kafka_topic""", inputSchema={'properties': {'message_count': {'default': 1, 'title': 'Message Count', 'type': 'integer'}, 'topic': {'title': 'Topic', 'type': 'string'}}, 'required': ['topic'], 'title': 'explore_kafka_topicArguments', 'type': 'object'}, description=""""""), # jovezhong/mcp-timeplus/explore_kafka_topic
    Tool(name="""mcp-timeplus_create_kafka_stream""", inputSchema={'properties': {'topic': {'title': 'Topic', 'type': 'string'}}, 'required': ['topic'], 'title': 'create_kafka_streamArguments', 'type': 'object'}, description=""""""), # jovezhong/mcp-timeplus/create_kafka_stream
    Tool(name="""Webflow MCP Server_get_site""", inputSchema={'properties': {'siteId': {'description': 'The unique identifier of the Webflow site', 'type': 'string'}}, 'required': ['siteId'], 'type': 'object'}, description="""Retrieve detailed information about a specific Webflow site by ID, including workspace, creation date, display name, and publishing details"""), # kapilduraphe/Webflow MCP Server/get_site
    Tool(name="""Webflow MCP Server_get_sites""", inputSchema={'properties': {}, 'required': [], 'type': 'object'}, description="""Retrieve a list of all Webflow sites accessible to the authenticated user"""), # kapilduraphe/Webflow MCP Server/get_sites
    Tool(name="""Square MCP Server_payments""", inputSchema={'properties': {'operation': {'title': 'Operation', 'type': 'string'}, 'params': {'title': 'Params', 'type': 'object'}}, 'required': ['operation', 'params'], 'title': 'paymentsArguments', 'type': 'object'}, description="""Manage payment operations using Square API\n\n    Args:\n        operation: The operation to perform. Valid operations:\n            Payments:\n                - list_payments\n                - create_payment\n                - get_payment\n                - update_payment\n                - cancel_payment\n            Refunds:\n                - refund_payment\n                - list_refunds\n                - get_refund\n            Disputes:\n                - list_disputes\n                - retrieve_dispute\n                - accept_dispute\n                - create_dispute_evidence\n            Gift Cards:\n                - create_gift_card\n                - link_customer_to_gift_card\n                - retrieve_gift_card\n                - list_gift_cards\n            Bank Accounts:\n                - list_bank_accounts\n                - get_bank_account\n        params: Dictionary of parameters for the specific operation\n    """), # block/Square MCP Server/payments
    Tool(name="""Square MCP Server_terminal""", inputSchema={'properties': {'operation': {'title': 'Operation', 'type': 'string'}, 'params': {'title': 'Params', 'type': 'object'}}, 'required': ['operation', 'params'], 'title': 'terminalArguments', 'type': 'object'}, description="""Manage Square Terminal operations\n\n    Args:\n        operation: The operation to perform. Valid operations:\n            Checkout:\n                - create_terminal_checkout\n                - search_terminal_checkouts\n                - get_terminal_checkout\n                - cancel_terminal_checkout\n            Devices:\n                - create_terminal_device\n                - get_terminal_device\n                - search_terminal_devices\n            Refunds:\n                - create_terminal_refund\n                - search_terminal_refunds\n                - get_terminal_refund\n                - cancel_terminal_refund\n        params: Dictionary of parameters for the specific operation\n    """), # block/Square MCP Server/terminal
    Tool(name="""Square MCP Server_orders""", inputSchema={'properties': {'operation': {'title': 'Operation', 'type': 'string'}, 'params': {'title': 'Params', 'type': 'object'}}, 'required': ['operation', 'params'], 'title': 'ordersArguments', 'type': 'object'}, description="""Manage orders and checkout operations\n\n    Args:\n        operation: The operation to perform. Valid operations:\n            Orders:\n                - create_order\n                - batch_retrieve_orders\n                - calculate_order\n                - clone_order\n                - search_orders\n                - pay_order\n                - update_order\n            Checkout:\n                - create_checkout\n                - create_payment_link\n            Custom Attributes:\n                - upsert_order_custom_attribute\n                - list_order_custom_attribute_definitions\n        params: Dictionary of parameters for the specific operation\n    """), # block/Square MCP Server/orders
    Tool(name="""Square MCP Server_catalog""", inputSchema={'properties': {'operation': {'title': 'Operation', 'type': 'string'}, 'params': {'title': 'Params', 'type': 'object'}}, 'required': ['operation', 'params'], 'title': 'catalogArguments', 'type': 'object'}, description="""Manage catalog operations\n\n    Args:\n        operation: The operation to perform. Valid operations:\n            - create_catalog_object\n            - batch_delete_catalog_objects\n            - batch_retrieve_catalog_objects\n            - batch_upsert_catalog_objects\n            - create_catalog_image\n            - delete_catalog_object\n            - retrieve_catalog_object\n            - search_catalog_objects\n            - update_catalog_object\n            - update_item_modifier_lists\n            - update_item_taxes\n        params: Dictionary of parameters for the specific operation\n    """), # block/Square MCP Server/catalog
    Tool(name="""Square MCP Server_inventory""", inputSchema={'properties': {'operation': {'title': 'Operation', 'type': 'string'}, 'params': {'title': 'Params', 'type': 'object'}}, 'required': ['operation', 'params'], 'title': 'inventoryArguments', 'type': 'object'}, description="""Manage inventory operations\n\n    Args:\n        operation: The operation to perform. Valid operations:\n            - batch_change_inventory\n            - batch_retrieve_inventory_changes\n            - batch_retrieve_inventory_counts\n            - retrieve_inventory_adjustment\n            - retrieve_inventory_changes\n            - retrieve_inventory_count\n            - retrieve_inventory_physical_count\n            - retrieve_inventory_transfer\n        params: Dictionary of parameters for the specific operation\n    """), # block/Square MCP Server/inventory
    Tool(name="""Square MCP Server_subscriptions""", inputSchema={'properties': {'operation': {'title': 'Operation', 'type': 'string'}, 'params': {'title': 'Params', 'type': 'object'}}, 'required': ['operation', 'params'], 'title': 'subscriptionsArguments', 'type': 'object'}, description="""Manage subscription operations\n\n    Args:\n        operation: The operation to perform. Valid operations:\n            - create_subscription\n            - search_subscriptions\n            - retrieve_subscription\n            - update_subscription\n            - cancel_subscription\n            - list_subscription_events\n            - pause_subscription\n            - resume_subscription\n            - swap_plan\n        params: Dictionary of parameters for the specific operation\n    """), # block/Square MCP Server/subscriptions
    Tool(name="""Square MCP Server_invoices""", inputSchema={'properties': {'operation': {'title': 'Operation', 'type': 'string'}, 'params': {'title': 'Params', 'type': 'object'}}, 'required': ['operation', 'params'], 'title': 'invoicesArguments', 'type': 'object'}, description="""Manage invoice operations\n\n    Args:\n        operation: The operation to perform. Valid operations:\n            - create_invoice\n            - search_invoices\n            - get_invoice\n            - update_invoice\n            - cancel_invoice\n            - publish_invoice\n            - delete_invoice\n        params: Dictionary of parameters for the specific operation\n    """), # block/Square MCP Server/invoices
    Tool(name="""Square MCP Server_team""", inputSchema={'properties': {'operation': {'title': 'Operation', 'type': 'string'}, 'params': {'title': 'Params', 'type': 'object'}}, 'required': ['operation', 'params'], 'title': 'teamArguments', 'type': 'object'}, description="""Manage team operations\n\n    Args:\n        operation: The operation to perform. Valid operations:\n            Team Members:\n                - create_team_member\n                - bulk_create_team_members\n                - update_team_member\n                - retrieve_team_member\n                - search_team_members\n            Wages:\n                - retrieve_wage_setting\n                - update_wage_setting\n            Labor:\n                - create_break_type\n                - create_shift\n                - search_shifts\n                - update_shift\n                - create_workweek_config\n            Cash Drawers:\n                - list_cash_drawer_shifts\n                - retrieve_cash_drawer_shift\n        params: Dictionary of parameters for the specific operation\n    """), # block/Square MCP Server/team
    Tool(name="""Square MCP Server_customers""", inputSchema={'properties': {'operation': {'title': 'Operation', 'type': 'string'}, 'params': {'title': 'Params', 'type': 'object'}}, 'required': ['operation', 'params'], 'title': 'customersArguments', 'type': 'object'}, description="""Manage customer operations\n\n    Args:\n        operation: The operation to perform. Valid operations:\n            Customers:\n                - list_customers\n                - create_customer\n                - delete_customer\n                - retrieve_customer\n                - update_customer\n                - search_customers\n            Groups:\n                - create_customer_group\n                - delete_customer_group\n                - list_customer_groups\n                - retrieve_customer_group\n                - update_customer_group\n            Segments:\n                - list_customer_segments\n                - retrieve_customer_segment\n            Custom Attributes:\n                - create_customer_custom_attribute_definition\n                - delete_customer_custom_attribute_definition\n                - list_customer_custom_attribute_definitions\n        params: Dictionary of parameters for the specific operation\n    """), # block/Square MCP Server/customers
    Tool(name="""Square MCP Server_loyalty""", inputSchema={'properties': {'operation': {'title': 'Operation', 'type': 'string'}, 'params': {'title': 'Params', 'type': 'object'}}, 'required': ['operation', 'params'], 'title': 'loyaltyArguments', 'type': 'object'}, description="""Manage loyalty operations\n\n    Args:\n        operation: The operation to perform. Valid operations:\n            Programs:\n                - create_loyalty_program\n                - retrieve_loyalty_program\n            Accounts:\n                - create_loyalty_account\n                - search_loyalty_accounts\n                - retrieve_loyalty_account\n                - accumulate_loyalty_points\n                - adjust_loyalty_points\n                - search_loyalty_events\n            Promotions:\n                - create_loyalty_promotion\n                - cancel_loyalty_promotion\n        params: Dictionary of parameters for the specific operation\n    """), # block/Square MCP Server/loyalty
    Tool(name="""Square MCP Server_bookings""", inputSchema={'properties': {'operation': {'title': 'Operation', 'type': 'string'}, 'params': {'title': 'Params', 'type': 'object'}}, 'required': ['operation', 'params'], 'title': 'bookingsArguments', 'type': 'object'}, description="""Manage booking operations\n\n    Args:\n        operation: The operation to perform. Valid operations:\n            Bookings:\n                - create_booking\n                - search_bookings\n                - retrieve_booking\n                - update_booking\n                - cancel_booking\n            Team Member Bookings:\n                - bulk_retrieve_team_member_bookings\n                - retrieve_team_member_booking_profile\n            Location Profiles:\n                - list_location_booking_profiles\n                - retrieve_location_booking_profile\n            Custom Attributes:\n                - create_booking_custom_attribute_definition\n                - update_booking_custom_attribute_definition\n        params: Dictionary of parameters for the specific operation\n    """), # block/Square MCP Server/bookings
    Tool(name="""Square MCP Server_business""", inputSchema={'properties': {'operation': {'title': 'Operation', 'type': 'string'}, 'params': {'title': 'Params', 'type': 'object'}}, 'required': ['operation', 'params'], 'title': 'businessArguments', 'type': 'object'}, description="""Manage business operations\n\n    Args:\n        operation: The operation to perform. Valid operations:\n            Merchants:\n                - list_merchants\n                - retrieve_merchant\n            Locations:\n                - list_locations\n                - create_location\n                - retrieve_location\n                - update_location\n            Vendors:\n                - bulk_create_vendors\n                - bulk_retrieve_vendors\n                - create_vendor\n                - search_vendors\n                - update_vendor\n            Sites:\n                - list_sites\n        params: Dictionary of parameters for the specific operation\n    """), # block/Square MCP Server/business
    Tool(name="""EverArt Forge MCP Server_generate_image""", inputSchema={'properties': {'asset_path': {'description': "Optional subdirectory within the web project's asset structure for storing generated images.", 'type': 'string'}, 'format': {'default': 'svg', 'description': 'Output format (svg, png, jpg, webp). Note: Vector format (svg) is only available with Recraft-Vector (8000) model.', 'type': 'string'}, 'image_count': {'default': 1, 'description': 'Number of images to generate', 'type': 'number'}, 'model': {'default': '5000', 'description': 'Model ID (5000:FLUX1.1, 9000:FLUX1.1-ultra, 6000:SD3.5, 7000:Recraft-Real, 8000:Recraft-Vector)', 'type': 'string'}, 'output_path': {'description': 'Optional: Custom output path for the generated image. If not provided, image will be saved in the default storage directory.', 'type': 'string'}, 'project_type': {'description': "Web project type to determine appropriate asset directory structure (e.g., 'react', 'vue', 'html', 'next').", 'type': 'string'}, 'prompt': {'description': 'Text description of desired image', 'type': 'string'}, 'web_project_path': {'description': 'Path to web project root folder for storing images in appropriate asset directories.', 'type': 'string'}}, 'required': ['prompt'], 'type': 'object'}, description="""Generate images using EverArt Models, optimized for web development. Supports web project paths, responsive formats, and inline preview. Available models:\n- 5000:FLUX1.1: Standard quality\n- 9000:FLUX1.1-ultra: Ultra high quality\n- 6000:SD3.5: Stable Diffusion 3.5\n- 7000:Recraft-Real: Photorealistic style\n- 8000:Recraft-Vector: Vector art style (SVG format)"""), # nickbaumann98/EverArt Forge MCP Server/generate_image
    Tool(name="""EverArt Forge MCP Server_list_images""", inputSchema={'properties': {}, 'type': 'object'}, description="""List all stored images"""), # nickbaumann98/EverArt Forge MCP Server/list_images
    Tool(name="""EverArt Forge MCP Server_view_image""", inputSchema={'properties': {'filename': {'description': 'Name of the image file to view', 'type': 'string'}}, 'required': ['filename'], 'type': 'object'}, description="""Open a stored image in the default image viewer"""), # nickbaumann98/EverArt Forge MCP Server/view_image
    Tool(name="""Serper Search MCP Server_serper-google-search""", inputSchema={'properties': {'autocorrect': {'description': 'Enable query autocorrection', 'type': 'boolean'}, 'gl': {'description': 'Country code (e.g., "us", "uk")', 'pattern': '^[a-z]{2}$', 'type': 'string'}, 'hl': {'description': 'Language code (e.g., "en", "es")', 'pattern': '^[a-z]{2}(-[A-Z]{2})?$', 'type': 'string'}, 'numResults': {'description': 'Number of results to return (default: 10)', 'maximum': 100, 'minimum': 1, 'type': 'number'}, 'query': {'description': 'Search query', 'type': 'string'}}, 'required': ['query'], 'type': 'object'}, description="""Perform a Google search using the SERPER API. Returns rich search results including knowledge graph, organic results, related questions, and more."""), # NightTrek/Serper Search MCP Server/serper-google-search
    Tool(name="""n8n MCP Server_init-n8n""", inputSchema={'properties': {'apiKey': {'type': 'string'}, 'url': {'type': 'string'}}, 'required': ['url', 'apiKey'], 'type': 'object'}, description="""Initialize connection to n8n instance. Use this tool whenever an n8n URL and API key are shared to establish the connection. IMPORTANT: Arguments must be provided as compact, single-line JSON without whitespace or newlines."""), # illuminaresolutions/n8n MCP Server/init-n8n
    Tool(name="""n8n MCP Server_list-workflows""", inputSchema={'properties': {'clientId': {'type': 'string'}}, 'required': ['clientId'], 'type': 'object'}, description="""List all workflows from n8n. Use after init-n8n to see available workflows. IMPORTANT: Arguments must be provided as compact, single-line JSON without whitespace or newlines."""), # illuminaresolutions/n8n MCP Server/list-workflows
    Tool(name="""n8n MCP Server_get-workflow""", inputSchema={'properties': {'clientId': {'type': 'string'}, 'id': {'type': 'string'}}, 'required': ['clientId', 'id'], 'type': 'object'}, description="""Retrieve a workflow by ID. Use after list-workflows to get detailed information about a specific workflow. IMPORTANT: Arguments must be provided as compact, single-line JSON without whitespace or newlines."""), # illuminaresolutions/n8n MCP Server/get-workflow
    Tool(name="""n8n MCP Server_create-workflow""", inputSchema={'properties': {'clientId': {'type': 'string'}, 'connections': {'type': 'object'}, 'name': {'type': 'string'}, 'nodes': {'type': 'array'}}, 'required': ['clientId', 'name'], 'type': 'object'}, description="""Create a new workflow in n8n. Use to set up a new workflow with optional nodes and connections. IMPORTANT: 1) Arguments must be provided as compact, single-line JSON without whitespace or newlines. 2) Must provide full workflow structure including nodes and connections arrays, even if empty. The 'active' property should not be included as it is read-only."""), # illuminaresolutions/n8n MCP Server/create-workflow
    Tool(name="""n8n MCP Server_update-workflow""", inputSchema={'properties': {'clientId': {'type': 'string'}, 'id': {'type': 'string'}, 'workflow': {'properties': {'active': {'type': 'boolean'}, 'connections': {'type': 'object'}, 'name': {'type': 'string'}, 'nodes': {'type': 'array'}, 'settings': {'type': 'object'}}, 'type': 'object'}}, 'required': ['clientId', 'id', 'workflow'], 'type': 'object'}, description="""Update an existing workflow in n8n. Use after get-workflow to modify a workflow's properties, nodes, or connections. IMPORTANT: Arguments must be provided as compact, single-line JSON without whitespace or newlines."""), # illuminaresolutions/n8n MCP Server/update-workflow
    Tool(name="""n8n MCP Server_delete-workflow""", inputSchema={'properties': {'clientId': {'type': 'string'}, 'id': {'type': 'string'}}, 'required': ['clientId', 'id'], 'type': 'object'}, description="""Delete a workflow by ID. This action cannot be undone. IMPORTANT: Arguments must be provided as compact, single-line JSON without whitespace or newlines."""), # illuminaresolutions/n8n MCP Server/delete-workflow
    Tool(name="""n8n MCP Server_activate-workflow""", inputSchema={'properties': {'clientId': {'type': 'string'}, 'id': {'type': 'string'}}, 'required': ['clientId', 'id'], 'type': 'object'}, description="""Activate a workflow by ID. This will enable the workflow to run. IMPORTANT: Arguments must be provided as compact, single-line JSON without whitespace or newlines."""), # illuminaresolutions/n8n MCP Server/activate-workflow
    Tool(name="""n8n MCP Server_deactivate-workflow""", inputSchema={'properties': {'clientId': {'type': 'string'}, 'id': {'type': 'string'}}, 'required': ['clientId', 'id'], 'type': 'object'}, description="""Deactivate a workflow by ID. This will prevent the workflow from running. IMPORTANT: Arguments must be provided as compact, single-line JSON without whitespace or newlines."""), # illuminaresolutions/n8n MCP Server/deactivate-workflow
    Tool(name="""n8n MCP Server_list-projects""", inputSchema={'properties': {'clientId': {'type': 'string'}}, 'required': ['clientId'], 'type': 'object'}, description="""List all projects from n8n. NOTE: Requires n8n Enterprise license with project management features enabled. IMPORTANT: Arguments must be provided as compact, single-line JSON without whitespace or newlines."""), # illuminaresolutions/n8n MCP Server/list-projects
    Tool(name="""n8n MCP Server_create-project""", inputSchema={'properties': {'clientId': {'type': 'string'}, 'name': {'type': 'string'}}, 'required': ['clientId', 'name'], 'type': 'object'}, description="""Create a new project in n8n. NOTE: Requires n8n Enterprise license with project management features enabled. IMPORTANT: Arguments must be provided as compact, single-line JSON without whitespace or newlines."""), # illuminaresolutions/n8n MCP Server/create-project
    Tool(name="""n8n MCP Server_delete-project""", inputSchema={'properties': {'clientId': {'type': 'string'}, 'projectId': {'type': 'string'}}, 'required': ['clientId', 'projectId'], 'type': 'object'}, description="""Delete a project by ID. NOTE: Requires n8n Enterprise license with project management features enabled. IMPORTANT: Arguments must be provided as compact, single-line JSON without whitespace or newlines."""), # illuminaresolutions/n8n MCP Server/delete-project
    Tool(name="""n8n MCP Server_update-project""", inputSchema={'properties': {'clientId': {'type': 'string'}, 'name': {'type': 'string'}, 'projectId': {'type': 'string'}}, 'required': ['clientId', 'projectId', 'name'], 'type': 'object'}, description="""Update a project's name. NOTE: Requires n8n Enterprise license with project management features enabled. IMPORTANT: Arguments must be provided as compact, single-line JSON without whitespace or newlines."""), # illuminaresolutions/n8n MCP Server/update-project
    Tool(name="""n8n MCP Server_list-users""", inputSchema={'properties': {'clientId': {'type': 'string'}}, 'required': ['clientId'], 'type': 'object'}, description="""Retrieve all users from your instance. Only available for the instance owner."""), # illuminaresolutions/n8n MCP Server/list-users
    Tool(name="""n8n MCP Server_create-users""", inputSchema={'properties': {'clientId': {'type': 'string'}, 'users': {'items': {'properties': {'email': {'type': 'string'}, 'role': {'enum': ['global:admin', 'global:member'], 'type': 'string'}}, 'required': ['email'], 'type': 'object'}, 'type': 'array'}}, 'required': ['clientId', 'users'], 'type': 'object'}, description="""Create one or more users in your instance."""), # illuminaresolutions/n8n MCP Server/create-users
    Tool(name="""n8n MCP Server_get-user""", inputSchema={'properties': {'clientId': {'type': 'string'}, 'idOrEmail': {'type': 'string'}}, 'required': ['clientId', 'idOrEmail'], 'type': 'object'}, description="""Get user by ID or email address."""), # illuminaresolutions/n8n MCP Server/get-user
    Tool(name="""n8n MCP Server_delete-user""", inputSchema={'properties': {'clientId': {'type': 'string'}, 'idOrEmail': {'type': 'string'}}, 'required': ['clientId', 'idOrEmail'], 'type': 'object'}, description="""Delete a user from your instance."""), # illuminaresolutions/n8n MCP Server/delete-user
    Tool(name="""n8n MCP Server_list-variables""", inputSchema={'properties': {'clientId': {'type': 'string'}}, 'required': ['clientId'], 'type': 'object'}, description="""List all variables from n8n. NOTE: Requires n8n Enterprise license with variable management features enabled. Use after init-n8n to see available variables. IMPORTANT: Arguments must be provided as compact, single-line JSON without whitespace or newlines."""), # illuminaresolutions/n8n MCP Server/list-variables
    Tool(name="""n8n MCP Server_create-variable""", inputSchema={'properties': {'clientId': {'type': 'string'}, 'key': {'type': 'string'}, 'value': {'type': 'string'}}, 'required': ['clientId', 'key', 'value'], 'type': 'object'}, description="""Create a new variable in n8n. NOTE: Requires n8n Enterprise license with variable management features enabled. Variables can be used across workflows to store and share data. IMPORTANT: Arguments must be provided as compact, single-line JSON without whitespace or newlines."""), # illuminaresolutions/n8n MCP Server/create-variable
    Tool(name="""n8n MCP Server_delete-variable""", inputSchema={'properties': {'clientId': {'type': 'string'}, 'id': {'type': 'string'}}, 'required': ['clientId', 'id'], 'type': 'object'}, description="""Delete a variable by ID. NOTE: Requires n8n Enterprise license with variable management features enabled. Use after list-variables to get the ID of the variable to delete. This action cannot be undone. IMPORTANT: Arguments must be provided as compact, single-line JSON without whitespace or newlines."""), # illuminaresolutions/n8n MCP Server/delete-variable
    Tool(name="""n8n MCP Server_create-credential""", inputSchema={'properties': {'clientId': {'type': 'string'}, 'data': {'type': 'object'}, 'name': {'type': 'string'}, 'type': {'type': 'string'}}, 'required': ['clientId', 'name', 'type', 'data'], 'type': 'object'}, description="""Create a credential that can be used by nodes of the specified type. The credential type name can be found in the n8n UI when creating credentials (e.g., 'cloudflareApi', 'githubApi', 'slackOAuth2Api'). Use get-credential-schema first to see what fields are required for the credential type you want to create."""), # illuminaresolutions/n8n MCP Server/create-credential
    Tool(name="""n8n MCP Server_delete-credential""", inputSchema={'properties': {'clientId': {'type': 'string'}, 'id': {'type': 'string'}}, 'required': ['clientId', 'id'], 'type': 'object'}, description="""Delete a credential by ID. You must be the owner of the credentials."""), # illuminaresolutions/n8n MCP Server/delete-credential
    Tool(name="""n8n MCP Server_get-credential-schema""", inputSchema={'properties': {'clientId': {'type': 'string'}, 'credentialTypeName': {'type': 'string'}}, 'required': ['clientId', 'credentialTypeName'], 'type': 'object'}, description="""Show credential data schema for a specific credential type. The credential type name can be found in the n8n UI when creating credentials (e.g., 'cloudflareApi', 'githubApi', 'slackOAuth2Api'). This will show you what fields are required for creating credentials of this type."""), # illuminaresolutions/n8n MCP Server/get-credential-schema
    Tool(name="""n8n MCP Server_list-executions""", inputSchema={'properties': {'clientId': {'type': 'string'}, 'includeData': {'type': 'boolean'}, 'limit': {'type': 'number'}, 'status': {'enum': ['error', 'success', 'waiting'], 'type': 'string'}, 'workflowId': {'type': 'string'}}, 'required': ['clientId'], 'type': 'object'}, description="""Retrieve all executions from your instance with optional filtering."""), # illuminaresolutions/n8n MCP Server/list-executions
    Tool(name="""n8n MCP Server_get-execution""", inputSchema={'properties': {'clientId': {'type': 'string'}, 'id': {'type': 'number'}, 'includeData': {'type': 'boolean'}}, 'required': ['clientId', 'id'], 'type': 'object'}, description="""Retrieve a specific execution by ID."""), # illuminaresolutions/n8n MCP Server/get-execution
    Tool(name="""n8n MCP Server_delete-execution""", inputSchema={'properties': {'clientId': {'type': 'string'}, 'id': {'type': 'number'}}, 'required': ['clientId', 'id'], 'type': 'object'}, description="""Delete a specific execution by ID."""), # illuminaresolutions/n8n MCP Server/delete-execution
    Tool(name="""n8n MCP Server_create-tag""", inputSchema={'properties': {'clientId': {'type': 'string'}, 'name': {'type': 'string'}}, 'required': ['clientId', 'name'], 'type': 'object'}, description="""Create a new tag in your instance."""), # illuminaresolutions/n8n MCP Server/create-tag
    Tool(name="""n8n MCP Server_list-tags""", inputSchema={'properties': {'clientId': {'type': 'string'}, 'limit': {'type': 'number'}}, 'required': ['clientId'], 'type': 'object'}, description="""Retrieve all tags from your instance."""), # illuminaresolutions/n8n MCP Server/list-tags
    Tool(name="""n8n MCP Server_get-tag""", inputSchema={'properties': {'clientId': {'type': 'string'}, 'id': {'type': 'string'}}, 'required': ['clientId', 'id'], 'type': 'object'}, description="""Retrieve a specific tag by ID."""), # illuminaresolutions/n8n MCP Server/get-tag
    Tool(name="""n8n MCP Server_update-tag""", inputSchema={'properties': {'clientId': {'type': 'string'}, 'id': {'type': 'string'}, 'name': {'type': 'string'}}, 'required': ['clientId', 'id', 'name'], 'type': 'object'}, description="""Update a tag's name."""), # illuminaresolutions/n8n MCP Server/update-tag
    Tool(name="""n8n MCP Server_delete-tag""", inputSchema={'properties': {'clientId': {'type': 'string'}, 'id': {'type': 'string'}}, 'required': ['clientId', 'id'], 'type': 'object'}, description="""Delete a tag by ID."""), # illuminaresolutions/n8n MCP Server/delete-tag
    Tool(name="""n8n MCP Server_get-workflow-tags""", inputSchema={'properties': {'clientId': {'type': 'string'}, 'workflowId': {'type': 'string'}}, 'required': ['clientId', 'workflowId'], 'type': 'object'}, description="""Get tags associated with a workflow."""), # illuminaresolutions/n8n MCP Server/get-workflow-tags
    Tool(name="""n8n MCP Server_update-workflow-tags""", inputSchema={'properties': {'clientId': {'type': 'string'}, 'tagIds': {'items': {'properties': {'id': {'type': 'string'}}, 'required': ['id'], 'type': 'object'}, 'type': 'array'}, 'workflowId': {'type': 'string'}}, 'required': ['clientId', 'workflowId', 'tagIds'], 'type': 'object'}, description="""Update tags associated with a workflow."""), # illuminaresolutions/n8n MCP Server/update-workflow-tags
    Tool(name="""n8n MCP Server_generate-audit""", inputSchema={'properties': {'categories': {'items': {'enum': ['credentials', 'database', 'nodes', 'filesystem', 'instance'], 'type': 'string'}, 'type': 'array'}, 'clientId': {'type': 'string'}, 'daysAbandonedWorkflow': {'type': 'number'}}, 'required': ['clientId'], 'type': 'object'}, description="""Generate a security audit for your n8n instance."""), # illuminaresolutions/n8n MCP Server/generate-audit
    Tool(name="""Software Planning Tool_start_planning""", inputSchema={'properties': {'goal': {'description': 'The software development goal to plan', 'type': 'string'}}, 'required': ['goal'], 'type': 'object'}, description="""Start a new planning session with a goal"""), # NightTrek/Software Planning Tool/start_planning
    Tool(name="""Software Planning Tool_save_plan""", inputSchema={'properties': {'plan': {'description': 'The implementation plan text to save', 'type': 'string'}}, 'required': ['plan'], 'type': 'object'}, description="""Save the current implementation plan"""), # NightTrek/Software Planning Tool/save_plan
    Tool(name="""Software Planning Tool_add_todo""", inputSchema={'properties': {'codeExample': {'description': 'Optional code example', 'type': 'string'}, 'complexity': {'description': 'Complexity score (0-10)', 'maximum': 10, 'minimum': 0, 'type': 'number'}, 'description': {'description': 'Detailed description of the todo item', 'type': 'string'}, 'title': {'description': 'Title of the todo item', 'type': 'string'}}, 'required': ['title', 'description', 'complexity'], 'type': 'object'}, description="""Add a new todo item to the current plan"""), # NightTrek/Software Planning Tool/add_todo
    Tool(name="""Software Planning Tool_remove_todo""", inputSchema={'properties': {'todoId': {'description': 'ID of the todo item to remove', 'type': 'string'}}, 'required': ['todoId'], 'type': 'object'}, description="""Remove a todo item from the current plan"""), # NightTrek/Software Planning Tool/remove_todo
    Tool(name="""Software Planning Tool_get_todos""", inputSchema={'properties': {}, 'type': 'object'}, description="""Get all todos in the current plan"""), # NightTrek/Software Planning Tool/get_todos
    Tool(name="""Software Planning Tool_update_todo_status""", inputSchema={'properties': {'isComplete': {'description': 'New completion status', 'type': 'boolean'}, 'todoId': {'description': 'ID of the todo item', 'type': 'string'}}, 'required': ['todoId', 'isComplete'], 'type': 'object'}, description="""Update the completion status of a todo item"""), # NightTrek/Software Planning Tool/update_todo_status
    Tool(name="""mcp-clickup_clickup_authenticate""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'type': {'additionalProperties': False, 'properties': {}, 'type': 'object'}}, 'required': ['type'], 'type': 'object'}, description="""Authenticate with ClickUp API using an API token and workspace ID"""), # mikah13/mcp-clickup/clickup_authenticate
    Tool(name="""mcp-clickup_clickup_get_task_by_custom_id""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'type': {'additionalProperties': False, 'properties': {'custom_id': {'type': 'string'}}, 'required': ['custom_id'], 'type': 'object'}}, 'required': ['type'], 'type': 'object'}, description="""Get a task by its custom ID"""), # mikah13/mcp-clickup/clickup_get_task_by_custom_id
    Tool(name="""mcp-clickup_clickup_get_tasks""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'type': {'additionalProperties': False, 'properties': {'task_ids': {'items': {'type': 'string'}, 'type': 'array'}}, 'required': ['task_ids'], 'type': 'object'}}, 'required': ['type'], 'type': 'object'}, description="""Get multiple tasks by their IDs"""), # mikah13/mcp-clickup/clickup_get_tasks
    Tool(name="""mcp-clickup_clickup_get_task""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'type': {'additionalProperties': False, 'properties': {'task_id': {'type': 'string'}}, 'required': ['task_id'], 'type': 'object'}}, 'required': ['type'], 'type': 'object'}, description="""Get a task by its ID"""), # mikah13/mcp-clickup/clickup_get_task
    Tool(name="""MCP YNAB Server_create_transaction""", inputSchema={'properties': {'account_id': {'title': 'Account Id', 'type': 'string'}, 'amount': {'description': 'Amount in dollars', 'title': 'Amount', 'type': 'number'}, 'category_name': {'anyOf': [{'type': 'string'}, {'type': 'null'}], 'default': None, 'title': 'Category Name'}, 'memo': {'anyOf': [{'type': 'string'}, {'type': 'null'}], 'default': None, 'title': 'Memo'}, 'payee_name': {'title': 'Payee Name', 'type': 'string'}}, 'required': ['account_id', 'amount', 'payee_name'], 'title': 'create_transactionArguments', 'type': 'object'}, description="""Create a new transaction in YNAB."""), # klauern/MCP YNAB Server/create_transaction
    Tool(name="""MCP YNAB Server_get_account_balance""", inputSchema={'properties': {'account_id': {'title': 'Account Id', 'type': 'string'}}, 'required': ['account_id'], 'title': 'get_account_balanceArguments', 'type': 'object'}, description="""Get the current balance of a YNAB account (in dollars)."""), # klauern/MCP YNAB Server/get_account_balance
    Tool(name="""MCP YNAB Server_get_budgets""", inputSchema={'properties': {}, 'title': 'get_budgetsArguments', 'type': 'object'}, description="""List all YNAB budgets in Markdown format."""), # klauern/MCP YNAB Server/get_budgets
    Tool(name="""MCP YNAB Server_get_accounts""", inputSchema={'properties': {'budget_id': {'title': 'Budget Id', 'type': 'string'}}, 'required': ['budget_id'], 'title': 'get_accountsArguments', 'type': 'object'}, description="""List all YNAB accounts in a specific budget in Markdown format."""), # klauern/MCP YNAB Server/get_accounts
    Tool(name="""MCP YNAB Server_get_categories""", inputSchema={'properties': {'budget_id': {'title': 'Budget Id', 'type': 'string'}}, 'required': ['budget_id'], 'title': 'get_categoriesArguments', 'type': 'object'}, description="""List all transaction categories for a given YNAB budget in Markdown format."""), # klauern/MCP YNAB Server/get_categories
    Tool(name="""MCP YNAB Server__find_transaction_by_id""", inputSchema={'$defs': {'SubTransaction': {'description': 'SubTransaction', 'properties': {'amount': {'description': 'The subtransaction amount in milliunits format', 'title': 'Amount', 'type': 'integer'}, 'category_id': {'anyOf': [{'type': 'string'}, {'type': 'null'}], 'default': None, 'title': 'Category Id'}, 'category_name': {'anyOf': [{'type': 'string'}, {'type': 'null'}], 'default': None, 'title': 'Category Name'}, 'deleted': {'description': 'Whether or not the subtransaction has been deleted.  Deleted subtransactions will only be included in delta requests.', 'title': 'Deleted', 'type': 'boolean'}, 'id': {'title': 'Id', 'type': 'string'}, 'memo': {'anyOf': [{'type': 'string'}, {'type': 'null'}], 'default': None, 'title': 'Memo'}, 'payee_id': {'anyOf': [{'type': 'string'}, {'type': 'null'}], 'default': None, 'title': 'Payee Id'}, 'payee_name': {'anyOf': [{'type': 'string'}, {'type': 'null'}], 'default': None, 'title': 'Payee Name'}, 'transaction_id': {'title': 'Transaction Id', 'type': 'string'}, 'transfer_account_id': {'anyOf': [{'type': 'string'}, {'type': 'null'}], 'default': None, 'description': 'If a transfer, the account_id which the subtransaction transfers to', 'title': 'Transfer Account Id'}, 'transfer_transaction_id': {'anyOf': [{'type': 'string'}, {'type': 'null'}], 'default': None, 'description': 'If a transfer, the id of transaction on the other side of the transfer', 'title': 'Transfer Transaction Id'}}, 'required': ['id', 'transaction_id', 'amount', 'deleted'], 'title': 'SubTransaction', 'type': 'object'}, 'TransactionClearedStatus': {'description': 'The cleared status of the transaction', 'enum': ['cleared', 'uncleared', 'reconciled'], 'title': 'TransactionClearedStatus', 'type': 'string'}, 'TransactionDetail': {'description': 'TransactionDetail', 'properties': {'account_id': {'title': 'Account Id', 'type': 'string'}, 'account_name': {'title': 'Account Name', 'type': 'string'}, 'amount': {'description': 'The transaction amount in milliunits format', 'title': 'Amount', 'type': 'integer'}, 'approved': {'description': 'Whether or not the transaction is approved', 'title': 'Approved', 'type': 'boolean'}, 'category_id': {'anyOf': [{'type': 'string'}, {'type': 'null'}], 'default': None, 'title': 'Category Id'}, 'category_name': {'anyOf': [{'type': 'string'}, {'type': 'null'}], 'default': None, 'description': "The name of the category.  If a split transaction, this will be 'Split'.", 'title': 'Category Name'}, 'cleared': {'$ref': '#/$defs/TransactionClearedStatus'}, 'date': {'description': 'The transaction date in ISO format (e.g. 2016-12-01)', 'format': 'date', 'title': 'Date', 'type': 'string'}, 'debt_transaction_type': {'anyOf': [{'type': 'string'}, {'type': 'null'}], 'default': None, 'description': 'If the transaction is a debt/loan account transaction, the type of transaction', 'title': 'Debt Transaction Type'}, 'deleted': {'description': 'Whether or not the transaction has been deleted.  Deleted transactions will only be included in delta requests.', 'title': 'Deleted', 'type': 'boolean'}, 'flag_color': {'anyOf': [{'$ref': '#/$defs/TransactionFlagColor'}, {'type': 'null'}], 'default': None}, 'flag_name': {'anyOf': [{'type': 'string'}, {'type': 'null'}], 'default': None, 'description': 'The customized name of a transaction flag', 'title': 'Flag Name'}, 'id': {'title': 'Id', 'type': 'string'}, 'import_id': {'anyOf': [{'type': 'string'}, {'type': 'null'}], 'default': None, 'description': "If the transaction was imported, this field is a unique (by account) import identifier.  If this transaction was imported through File Based Import or Direct Import and not through the API, the import_id will have the format: 'YNAB:[milliunit_amount]:[iso_date]:[occurrence]'.  For example, a transaction dated 2015-12-30 in the amount of -$294.23 USD would have an import_id of 'YNAB:-294230:2015-12-30:1'.  If a second transaction on the same account was imported and had the same date and same amount, its import_id would be 'YNAB:-294230:2015-12-30:2'.", 'title': 'Import Id'}, 'import_payee_name': {'anyOf': [{'type': 'string'}, {'type': 'null'}], 'default': None, 'description': 'If the transaction was imported, the payee name that was used when importing and before applying any payee rename rules', 'title': 'Import Payee Name'}, 'import_payee_name_original': {'anyOf': [{'type': 'string'}, {'type': 'null'}], 'default': None, 'description': 'If the transaction was imported, the original payee name as it appeared on the statement', 'title': 'Import Payee Name Original'}, 'matched_transaction_id': {'anyOf': [{'type': 'string'}, {'type': 'null'}], 'default': None, 'description': 'If transaction is matched, the id of the matched transaction', 'title': 'Matched Transaction Id'}, 'memo': {'anyOf': [{'type': 'string'}, {'type': 'null'}], 'default': None, 'title': 'Memo'}, 'payee_id': {'anyOf': [{'type': 'string'}, {'type': 'null'}], 'default': None, 'title': 'Payee Id'}, 'payee_name': {'anyOf': [{'type': 'string'}, {'type': 'null'}], 'default': None, 'title': 'Payee Name'}, 'subtransactions': {'description': 'If a split transaction, the subtransactions.', 'items': {'$ref': '#/$defs/SubTransaction'}, 'title': 'Subtransactions', 'type': 'array'}, 'transfer_account_id': {'anyOf': [{'type': 'string'}, {'type': 'null'}], 'default': None, 'description': 'If a transfer transaction, the account to which it transfers', 'title': 'Transfer Account Id'}, 'transfer_transaction_id': {'anyOf': [{'type': 'string'}, {'type': 'null'}], 'default': None, 'description': 'If a transfer transaction, the id of transaction on the other side of the transfer', 'title': 'Transfer Transaction Id'}}, 'required': ['id', 'date', 'amount', 'cleared', 'approved', 'account_id', 'deleted', 'account_name', 'subtransactions'], 'title': 'TransactionDetail', 'type': 'object'}, 'TransactionFlagColor': {'description': 'The transaction flag', 'enum': ['red', 'orange', 'yellow', 'green', 'blue', 'purple'], 'title': 'TransactionFlagColor', 'type': 'string'}}, 'properties': {'id_type': {'title': 'Id Type', 'type': 'string'}, 'transaction_id': {'title': 'Transaction Id', 'type': 'string'}, 'transactions': {'items': {'$ref': '#/$defs/TransactionDetail'}, 'title': 'Transactions', 'type': 'array'}}, 'required': ['transactions', 'transaction_id', 'id_type'], 'title': '_find_transaction_by_idArguments', 'type': 'object'}, description="""Find a transaction by its ID and ID type."""), # klauern/MCP YNAB Server/_find_transaction_by_id
    Tool(name="""MCP YNAB Server_get_transactions""", inputSchema={'properties': {'account_id': {'title': 'Account Id', 'type': 'string'}, 'budget_id': {'title': 'Budget Id', 'type': 'string'}}, 'required': ['budget_id', 'account_id'], 'title': 'get_transactionsArguments', 'type': 'object'}, description="""Get recent transactions for a specific account in a specific budget."""), # klauern/MCP YNAB Server/get_transactions
    Tool(name="""MCP YNAB Server_get_transactions_needing_attention""", inputSchema={'properties': {'budget_id': {'title': 'Budget Id', 'type': 'string'}, 'days_back': {'anyOf': [{'type': 'integer'}, {'type': 'null'}], 'default': 30, 'description': 'Number of days to look back (default 30, None for all)', 'title': 'Days Back'}, 'filter_type': {'default': 'both', 'description': "Type of transactions to show. One of: 'uncategorized', 'unapproved', 'both'", 'title': 'Filter Type', 'type': 'string'}}, 'required': ['budget_id'], 'title': 'get_transactions_needing_attentionArguments', 'type': 'object'}, description="""List transactions that need attention based on specified filter type in a YNAB budget."""), # klauern/MCP YNAB Server/get_transactions_needing_attention
    Tool(name="""MCP YNAB Server_set_preferred_budget_id""", inputSchema={'properties': {'budget_id': {'title': 'Budget Id', 'type': 'string'}}, 'required': ['budget_id'], 'title': 'set_preferred_budget_idArguments', 'type': 'object'}, description="""Set the preferred YNAB budget ID."""), # klauern/MCP YNAB Server/set_preferred_budget_id
    Tool(name="""MCP YNAB Server_cache_categories""", inputSchema={'properties': {'budget_id': {'title': 'Budget Id', 'type': 'string'}}, 'required': ['budget_id'], 'title': 'cache_categoriesArguments', 'type': 'object'}, description="""Cache all categories for a given YNAB budget ID."""), # klauern/MCP YNAB Server/cache_categories
    Tool(name="""Buienradar MCP Server_get_precipitation_for""", inputSchema={'properties': {'lat': {'title': 'Lat', 'type': 'number'}, 'lon': {'title': 'Lon', 'type': 'number'}}, 'required': ['lat', 'lon'], 'title': 'get_precipitation_forArguments', 'type': 'object'}, description="""Fetches precipitation data for the next 2 hours from Buienradar."""), # wpnbos/Buienradar MCP Server/get_precipitation_for
    Tool(name="""Perplexity AI MCP Server_chat_perplexity""", inputSchema={'properties': {'chat_id': {'description': 'Optional: ID of an existing chat to continue. If not provided, a new chat will be created.', 'type': 'string'}, 'message': {'description': 'The message to send to Perplexity AI', 'type': 'string'}}, 'required': ['message'], 'type': 'object'}, description="""Maintains ongoing conversations with Perplexity AI. Creates new chats or continues existing ones with full history context."""), # rileyedwards77/Perplexity AI MCP Server/chat_perplexity
    Tool(name="""Perplexity AI MCP Server_search""", inputSchema={'properties': {'detail_level': {'description': 'Optional: Desired level of detail (brief, normal, detailed)', 'enum': ['brief', 'normal', 'detailed'], 'type': 'string'}, 'query': {'description': 'The search query or question', 'type': 'string'}}, 'required': ['query'], 'type': 'object'}, description="""Perform a general search query to get comprehensive information on any topic"""), # rileyedwards77/Perplexity AI MCP Server/search
    Tool(name="""Perplexity AI MCP Server_get_documentation""", inputSchema={'properties': {'context': {'description': 'Additional context or specific aspects to focus on', 'type': 'string'}, 'query': {'description': 'The technology, library, or API to get documentation for', 'type': 'string'}}, 'required': ['query'], 'type': 'object'}, description="""Get documentation and usage examples for a specific technology, library, or API"""), # rileyedwards77/Perplexity AI MCP Server/get_documentation
    Tool(name="""Perplexity AI MCP Server_find_apis""", inputSchema={'properties': {'context': {'description': 'Additional context about the project or specific needs', 'type': 'string'}, 'requirement': {'description': "The functionality or requirement you're looking to fulfill", 'type': 'string'}}, 'required': ['requirement'], 'type': 'object'}, description="""Find and evaluate APIs that could be integrated into a project"""), # rileyedwards77/Perplexity AI MCP Server/find_apis
    Tool(name="""Perplexity AI MCP Server_check_deprecated_code""", inputSchema={'properties': {'code': {'description': 'The code snippet or dependency to check', 'type': 'string'}, 'technology': {'description': "The technology or framework context (e.g., 'React', 'Node.js')", 'type': 'string'}}, 'required': ['code'], 'type': 'object'}, description="""Check if code or dependencies might be using deprecated features"""), # rileyedwards77/Perplexity AI MCP Server/check_deprecated_code
    Tool(name="""Memory Bank MCP Server_memory_bank_read""", inputSchema={'properties': {'fileName': {'enum': ['projectbrief.md', 'productContext.md', 'activeContext.md', 'systemPatterns.md', 'techContext.md', 'progress.md', '.clinerules'], 'type': 'string'}, 'projectName': {'type': 'string'}}, 'required': ['projectName', 'fileName'], 'type': 'object'}, description="""Read a memory bank file for a specific project"""), # alioshr/Memory Bank MCP Server/memory_bank_read
    Tool(name="""Memory Bank MCP Server_memory_bank_write""", inputSchema={'properties': {'content': {'type': 'string'}, 'fileName': {'enum': ['projectbrief.md', 'productContext.md', 'activeContext.md', 'systemPatterns.md', 'techContext.md', 'progress.md', '.clinerules'], 'type': 'string'}, 'projectName': {'type': 'string'}}, 'required': ['projectName', 'fileName', 'content'], 'type': 'object'}, description="""Create a new memory bank file for a specific project"""), # alioshr/Memory Bank MCP Server/memory_bank_write
    Tool(name="""Memory Bank MCP Server_memory_bank_update""", inputSchema={'properties': {'content': {'type': 'string'}, 'fileName': {'enum': ['projectbrief.md', 'productContext.md', 'activeContext.md', 'systemPatterns.md', 'techContext.md', 'progress.md', '.clinerules'], 'type': 'string'}, 'projectName': {'type': 'string'}}, 'required': ['projectName', 'fileName', 'content'], 'type': 'object'}, description="""Update an existing memory bank file for a specific project"""), # alioshr/Memory Bank MCP Server/memory_bank_update
    Tool(name="""Memory Bank MCP Server_list_projects""", inputSchema={'properties': {}, 'required': [], 'type': 'object'}, description="""List all projects in the memory bank"""), # alioshr/Memory Bank MCP Server/list_projects
    Tool(name="""Memory Bank MCP Server_list_project_files""", inputSchema={'properties': {'projectName': {'type': 'string'}}, 'required': ['projectName'], 'type': 'object'}, description="""List all files within a specific project"""), # alioshr/Memory Bank MCP Server/list_project_files
    Tool(name="""nREPL MCP Server_connect""", inputSchema={'properties': {'host': {'description': 'nREPL server host', 'type': 'string'}, 'port': {'description': 'nREPL server port', 'type': 'number'}}, 'required': ['host', 'port'], 'type': 'object'}, description="""Connect to an nREPL server.\nExample: (connect {:host \"localhost\" :port 1234})"""), # JohanCodinha/nREPL MCP Server/connect
    Tool(name="""nREPL MCP Server_eval_form""", inputSchema={'properties': {'code': {'description': 'Clojure code to evaluate', 'type': 'string'}, 'ns': {'description': 'Optional namespace to evaluate in. Changes persist for subsequent evaluations.', 'type': 'string'}}, 'required': ['code'], 'type': 'object'}, description="""Evaluate Clojure code in a specific namespace or the current one. Examples:\n- Get current namespace: (eval_form {:code \"(str *ns*)\"})\n- Change namespace: (eval_form {:code \"(+ 1 2)\" :ns \"my.namespace\"})\n- Load a file: (eval_form {:code \"(load-file \\\"src/my_file.clj\\\")\"})\n- Define and call functions: (eval_form {:code \"(defn add [a b] (+ a b))\" :ns \"math\"} then\n  (eval_form {:code \"(add 1 2)\" :ns \"math\"})"""), # JohanCodinha/nREPL MCP Server/eval_form
    Tool(name="""nREPL MCP Server_get_ns_vars""", inputSchema={'properties': {'ns': {'description': 'Namespace to inspect', 'type': 'string'}}, 'required': ['ns'], 'type': 'object'}, description="""Get all public vars (functions, values) in a namespace with their metadata and current values. Example:\n- List main namespace vars: (get_ns_vars {:ns \"main\"})\nReturns a map where keys are var names and values contain:\n- :meta - Metadata including :doc string, :line number, :file path\n- :value - Current value of the var"""), # JohanCodinha/nREPL MCP Server/get_ns_vars
    Tool(name="""Coolify MCP Server_list-resources""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {}, 'type': 'object'}, description="""Retrieve a comprehensive list of all resources managed by Coolify. This includes applications, services, databases, and deployments."""), # StuMason/Coolify MCP Server/list-resources
    Tool(name="""Coolify MCP Server_list-applications""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {}, 'type': 'object'}, description="""Fetch a list of all applications currently managed by Coolify. This provides an overview of all deployed applications."""), # StuMason/Coolify MCP Server/list-applications
    Tool(name="""Coolify MCP Server_get-application""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'uuid': {'description': 'Resource UUID', 'type': 'string'}}, 'required': ['uuid'], 'type': 'object'}, description="""Retrieve detailed information about a specific application using its UUID. This includes the application's status, configuration, and deployment details."""), # StuMason/Coolify MCP Server/get-application
    Tool(name="""Coolify MCP Server_start-application""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'uuid': {'description': 'Resource UUID', 'type': 'string'}}, 'required': ['uuid'], 'type': 'object'}, description="""Start a specific application using its UUID. This initiates the application and makes it available for use."""), # StuMason/Coolify MCP Server/start-application
    Tool(name="""Coolify MCP Server_stop-application""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'uuid': {'description': 'Resource UUID', 'type': 'string'}}, 'required': ['uuid'], 'type': 'object'}, description="""Stop a specific application using its UUID. This halts the application and makes it unavailable."""), # StuMason/Coolify MCP Server/stop-application
    Tool(name="""Coolify MCP Server_restart-application""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'uuid': {'description': 'Resource UUID', 'type': 'string'}}, 'required': ['uuid'], 'type': 'object'}, description="""Restart a specific application using its UUID. This stops and then starts the application, applying any configuration changes."""), # StuMason/Coolify MCP Server/restart-application
    Tool(name="""Coolify MCP Server_list-services""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {}, 'type': 'object'}, description="""Retrieve a list of all services managed by Coolify. This includes external services and microservices."""), # StuMason/Coolify MCP Server/list-services
    Tool(name="""Coolify MCP Server_list-databases""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {}, 'type': 'object'}, description="""Fetch a list of all databases managed by Coolify. This provides an overview of all database instances."""), # StuMason/Coolify MCP Server/list-databases
    Tool(name="""Coolify MCP Server_list-deployments""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {}, 'type': 'object'}, description="""Retrieve a list of all running deployments in Coolify. This includes details about the deployment status and history."""), # StuMason/Coolify MCP Server/list-deployments
    Tool(name="""Coolify MCP Server_deploy""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'force': {'description': 'Force rebuild (without cache)', 'type': 'boolean'}, 'tag': {'description': 'Tag name(s). Comma separated list is accepted', 'type': 'string'}, 'uuid': {'description': 'Resource UUID(s). Comma separated list is accepted', 'type': 'string'}}, 'type': 'object'}, description="""Deploy an application or service using a tag or UUID. This allows you to deploy new versions or updates to your applications."""), # StuMason/Coolify MCP Server/deploy
    Tool(name="""Coolify MCP Server_update-application""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'settings': {'additionalProperties': False, 'properties': {'description': {'type': 'string'}, 'domains': {'type': 'string'}, 'health_check_enabled': {'type': 'boolean'}, 'health_check_host': {'type': ['string', 'null']}, 'health_check_interval': {'type': 'number'}, 'health_check_method': {'type': 'string'}, 'health_check_path': {'type': 'string'}, 'health_check_port': {'type': ['string', 'null']}, 'health_check_response_text': {'type': ['string', 'null']}, 'health_check_retries': {'type': 'number'}, 'health_check_return_code': {'type': 'number'}, 'health_check_scheme': {'type': 'string'}, 'health_check_start_period': {'type': 'number'}, 'health_check_timeout': {'type': 'number'}, 'name': {'type': 'string'}}, 'type': 'object'}, 'uuid': {'description': 'Resource UUID', 'type': 'string'}}, 'required': ['uuid', 'settings'], 'type': 'object'}, description="""Update the settings of a specific application, such as health check configurations. This allows you to modify the application's behavior and monitoring settings."""), # StuMason/Coolify MCP Server/update-application
    Tool(name="""Supabase MCP Server_get_schemas""", inputSchema={'properties': {}, 'title': 'get_schemasArguments', 'type': 'object'}, description="""List all database schemas with their sizes and table counts."""), # alexander-zuev/Supabase MCP Server/get_schemas
    Tool(name="""Supabase MCP Server_get_table_schema""", inputSchema={'properties': {'schema_name': {'title': 'Schema Name', 'type': 'string'}, 'table': {'title': 'Table', 'type': 'string'}}, 'required': ['schema_name', 'table'], 'title': 'get_table_schemaArguments', 'type': 'object'}, description="""Get detailed table structure including columns, keys, and relationships.\n\nReturns comprehensive information about a specific table's structure:\n- Column definitions (names, types, constraints)\n- Primary key information\n- Foreign key relationships\n- Indexes\n- Constraints\n- Triggers\n\nParameters:\n- schema_name: Name of the schema (e.g., 'public', 'auth')\n- table: Name of the table to inspect\n\nSAFETY: This is a low-risk read operation that can be executed in SAFE mode.\n"""), # alexander-zuev/Supabase MCP Server/get_table_schema
    Tool(name="""Supabase MCP Server_execute_postgresql""", inputSchema={'properties': {'migration_name': {'default': '', 'title': 'Migration Name', 'type': 'string'}, 'query': {'title': 'Query', 'type': 'string'}}, 'required': ['query'], 'title': 'execute_postgresqlArguments', 'type': 'object'}, description="""Execute PostgreSQL statements against your Supabase database.\n\nIMPORTANT: All SQL statements must end with a semicolon (;).\n\nOPERATION TYPES AND REQUIREMENTS:\n1. READ Operations (SELECT, EXPLAIN, etc.):\n   - Can be executed directly without special requirements\n   - Example: SELECT * FROM public.users LIMIT 10;\n\n2. WRITE Operations (INSERT, UPDATE, DELETE):\n   - Require UNSAFE mode (use live_dangerously('database', True) first)\n   - Example:\n     INSERT INTO public.users (email) VALUES ('user@example.com');\n\n3. SCHEMA Operations (CREATE, ALTER, DROP):\n   - Require UNSAFE mode (use live_dangerously('database', True) first)\n   - Destructive operations (DROP, TRUNCATE) require additional confirmation\n   - Example:\n     CREATE TABLE public.test_table (id SERIAL PRIMARY KEY, name TEXT);\n\nMIGRATION HANDLING:\nAll queries that modify the database will be automatically version controlled by the server. You can provide optional migration name, if you want to name the migration.\n - Respect the following format: verb_noun_detail. Be descriptive and concise.\n - Examples:\n   - create_users_table\n   - add_email_to_profiles\n   - enable_rls_on_users\n - If you don't provide a migration name, the server will generate one based on the SQL statement\n - The system will sanitize your provided name to ensure compatibility with database systems\n - Migration names are prefixed with a timestamp in the format YYYYMMDDHHMMSS\n\nSAFETY SYSTEM:\nOperations are categorized by risk level:\n- LOW RISK: Read operations (SELECT, EXPLAIN) - allowed in SAFE mode\n- MEDIUM RISK: Write operations (INSERT, UPDATE, DELETE) - require UNSAFE mode\n- HIGH RISK: Schema operations (CREATE, ALTER) - require UNSAFE mode\n- EXTREME RISK: Destructive operations (DROP, TRUNCATE) - require UNSAFE mode and confirmation\n\nTRANSACTION HANDLING:\n- DO NOT use transaction control statements (BEGIN, COMMIT, ROLLBACK)\n- The database client automatically wraps queries in transactions\n- The SQL validator will reject queries containing transaction control statements\n- This ensures atomicity and provides rollback capability for data modifications\n\nMULTIPLE STATEMENTS:\n- You can send multiple SQL statements in a single query\n- Each statement will be executed in order within the same transaction\n- Example:\n  CREATE TABLE public.test_table (id SERIAL PRIMARY KEY, name TEXT);\n  INSERT INTO public.test_table (name) VALUES ('test');\n\nCONFIRMATION FLOW FOR HIGH-RISK OPERATIONS:\n- High-risk operations (DROP TABLE, TRUNCATE, etc.) will be rejected with a confirmation ID\n- The error message will explain what happened and provide a confirmation ID\n- Review the risks with the user before proceeding\n- Use the confirm_destructive_operation tool with the provided ID to execute the operation\n\nIMPORTANT GUIDELINES:\n- The database client starts in SAFE mode by default for safety\n- Only enable UNSAFE mode when you need to modify data or schema\n- Never mix READ and WRITE operations in the same transaction\n- For destructive operations, be prepared to confirm with the confirm_destructive_operation tool\n\nWHEN TO USE OTHER TOOLS INSTEAD:\n- For Auth operations (users, authentication, etc.): Use call_auth_admin_method instead of direct SQL\n  The Auth Admin SDK provides safer, validated methods for user management\n- For project configuration, functions, storage, etc.: Use send_management_api_request\n  The Management API handles Supabase platform features that aren't directly in the database\n\nNote: This tool operates on the PostgreSQL database only. API operations use separate safety controls.\n"""), # alexander-zuev/Supabase MCP Server/execute_postgresql
    Tool(name="""Supabase MCP Server_get_tables""", inputSchema={'properties': {'schema_name': {'title': 'Schema Name', 'type': 'string'}}, 'required': ['schema_name'], 'title': 'get_tablesArguments', 'type': 'object'}, description="""List all tables, foreign tables, and views in a schema with their sizes, row counts, and metadata.\n\nProvides detailed information about all database objects in the specified schema:\n- Table/view names\n- Object types (table, view, foreign table)\n- Row counts\n- Size on disk\n- Column counts\n- Index information\n- Last vacuum/analyze times\n\nParameters:\n- schema_name: Name of the schema to inspect (e.g., 'public', 'auth', etc.)\n\nSAFETY: This is a low-risk read operation that can be executed in SAFE mode.\n"""), # alexander-zuev/Supabase MCP Server/get_tables
    Tool(name="""Supabase MCP Server_retrieve_migrations""", inputSchema={'properties': {'include_full_queries': {'default': False, 'title': 'Include Full Queries', 'type': 'boolean'}, 'limit': {'default': 50, 'title': 'Limit', 'type': 'integer'}, 'name_pattern': {'default': '', 'title': 'Name Pattern', 'type': 'string'}, 'offset': {'default': 0, 'title': 'Offset', 'type': 'integer'}}, 'title': 'retrieve_migrationsArguments', 'type': 'object'}, description="""Retrieve a list of all migrations a user has from Supabase.\n\nReturns a list of migrations with the following information:\n- Version (timestamp)\n- Name\n- SQL statements (if requested)\n- Statement count\n- Version type (named or numbered)\n\nParameters:\n- limit: Maximum number of migrations to return (default: 50, max: 100)\n- offset: Number of migrations to skip for pagination (default: 0)\n- name_pattern: Optional pattern to filter migrations by name. Uses SQL ILIKE pattern matching (case-insensitive).\n  The pattern is automatically wrapped with '%' wildcards, so \"users\" will match \"create_users_table\",\n  \"add_email_to_users\", etc. To search for an exact match, use the complete name.\n- include_full_queries: Whether to include the full SQL statements in the result (default: false)\n\nSAFETY: This is a low-risk read operation that can be executed in SAFE mode.\n"""), # alexander-zuev/Supabase MCP Server/retrieve_migrations
    Tool(name="""Supabase MCP Server_send_management_api_request""", inputSchema={'properties': {'method': {'title': 'Method', 'type': 'string'}, 'path': {'title': 'Path', 'type': 'string'}, 'path_params': {'additionalProperties': {'type': 'string'}, 'title': 'Path Params', 'type': 'object'}, 'request_body': {'title': 'Request Body', 'type': 'object'}, 'request_params': {'title': 'Request Params', 'type': 'object'}}, 'required': ['method', 'path', 'path_params', 'request_params', 'request_body'], 'title': 'send_management_api_requestArguments', 'type': 'object'}, description="""Execute a Supabase Management API request.\n\nThis tool allows you to make direct calls to the Supabase Management API, which provides\nprogrammatic access to manage your Supabase project settings, resources, and configurations.\n\nREQUEST FORMATTING:\n- Use paths exactly as defined in the API specification\n- The {ref} parameter will be automatically injected from settings\n- Format request bodies according to the API specification\n\nPARAMETERS:\n- method: HTTP method (GET, POST, PUT, PATCH, DELETE)\n- path: API path (e.g. /v1/projects/{ref}/functions)\n- path_params: Path parameters as dict (e.g. {\"function_slug\": \"my-function\"}) - use empty dict {} if not needed\n- request_params: Query parameters as dict (e.g. {\"key\": \"value\"}) - use empty dict {} if not needed\n- request_body: Request body as dict (e.g. {\"name\": \"test\"}) - use empty dict {} if not needed\n\nPATH PARAMETERS HANDLING:\n- The {ref} placeholder (project reference) is automatically injected - you don't need to provide it\n- All other path placeholders must be provided in the path_params dictionary\n- Common placeholders include:\n  * {function_slug}: For Edge Functions operations\n  * {id}: For operations on specific resources (API keys, auth providers, etc.)\n  * {slug}: For organization operations\n  * {branch_id}: For database branch operations\n  * {provider_id}: For SSO provider operations\n  * {tpa_id}: For third-party auth operations\n\nEXAMPLES:\n1. GET request with path and query parameters:\n   method: \"GET\"\n   path: \"/v1/projects/{ref}/functions/{function_slug}\"\n   path_params: {\"function_slug\": \"my-function\"}\n   request_params: {\"version\": \"1\"}\n   request_body: {}\n\n2. POST request with body:\n   method: \"POST\"\n   path: \"/v1/projects/{ref}/functions\"\n   path_params: {}\n   request_params: {}\n   request_body: {\"name\": \"test-function\", \"slug\": \"test-function\"}\n\nSAFETY SYSTEM:\nAPI operations are categorized by risk level:\n- LOW RISK: Read operations (GET) - allowed in SAFE mode\n- MEDIUM/HIGH RISK: Write operations (POST, PUT, PATCH, DELETE) - require UNSAFE mode\n- EXTREME RISK: Destructive operations - require UNSAFE mode and confirmation\n- BLOCKED: Some operations are completely blocked for safety reasons\n\nSAFETY CONSIDERATIONS:\n- By default, the API client starts in SAFE mode, allowing only read operations\n- To perform write operations, first use live_dangerously(service=\"api\", enable=True)\n- High-risk operations will be rejected with a confirmation ID\n- Use confirm_destructive_operation with the provided ID after reviewing risks\n- Some operations may be completely blocked for safety reasons\n\nFor a complete list of available API endpoints and their parameters, use the get_management_api_spec tool.\nFor details on safety rules, use the get_management_api_safety_rules tool.\n"""), # alexander-zuev/Supabase MCP Server/send_management_api_request
    Tool(name="""Supabase MCP Server_get_management_api_spec""", inputSchema={'properties': {'params': {'default': {}, 'title': 'Params', 'type': 'object'}}, 'title': 'get_management_api_specArguments', 'type': 'object'}, description="""Get the complete Supabase Management API specification.\n\nReturns the full OpenAPI specification for the Supabase Management API, including:\n- All available endpoints and operations\n- Required and optional parameters for each operation\n- Request and response schemas\n- Authentication requirements\n- Safety information for each operation\n\nThis tool can be used in four different ways:\n1. Without parameters: Returns all domains (default)\n2. With path and method: Returns the full specification for a specific API endpoint\n3. With domain only: Returns all paths and methods within that domain\n4. With all_paths=True: Returns all paths and methods\n\nParameters:\n- params: Dictionary containing optional parameters:\n    - path: Optional API path (e.g., \"/v1/projects/{ref}/functions\")\n    - method: Optional HTTP method (e.g., \"GET\", \"POST\")\n    - domain: Optional domain/tag name (e.g., \"Auth\", \"Storage\")\n    - all_paths: Optional boolean, if True returns all paths and methods\n\nAvailable domains:\n- Analytics: Analytics-related endpoints\n- Auth: Authentication and authorization endpoints\n- Database: Database management endpoints\n- Domains: Custom domain configuration endpoints\n- Edge Functions: Serverless function management endpoints\n- Environments: Environment configuration endpoints\n- OAuth: OAuth integration endpoints\n- Organizations: Organization management endpoints\n- Projects: Project management endpoints\n- Rest: RESTful API endpoints\n- Secrets: Secret management endpoints\n- Storage: Storage management endpoints\n\nThis specification is useful for understanding:\n- What operations are available through the Management API\n- How to properly format requests for each endpoint\n- Which operations require unsafe mode\n- What data structures to expect in responses\n\nSAFETY: This is a low-risk read operation that can be executed in SAFE mode.\n"""), # alexander-zuev/Supabase MCP Server/get_management_api_spec
    Tool(name="""Supabase MCP Server_get_auth_admin_methods_spec""", inputSchema={'properties': {}, 'title': 'get_auth_admin_methods_specArguments', 'type': 'object'}, description="""Get Python SDK methods specification for Auth Admin.\n\nReturns a comprehensive dictionary of all Auth Admin methods available in the Supabase Python SDK, including:\n- Method names and descriptions\n- Required and optional parameters for each method\n- Parameter types and constraints\n- Return value information\n\nThis tool is useful for exploring the capabilities of the Auth Admin SDK and understanding\nhow to properly format parameters for the call_auth_admin_method tool.\n\nNo parameters required.\n"""), # alexander-zuev/Supabase MCP Server/get_auth_admin_methods_spec
    Tool(name="""Supabase MCP Server_call_auth_admin_method""", inputSchema={'properties': {'method': {'title': 'Method', 'type': 'string'}, 'params': {'title': 'Params', 'type': 'object'}}, 'required': ['method', 'params'], 'title': 'call_auth_admin_methodArguments', 'type': 'object'}, description="""Call an Auth Admin method from Supabase Python SDK.\n\nThis tool provides a safe, validated interface to the Supabase Auth Admin SDK, allowing you to:\n- Manage users (create, update, delete)\n- List and search users\n- Generate authentication links\n- Manage multi-factor authentication\n- And more\n\nIMPORTANT NOTES:\n- Request bodies must adhere to the Python SDK specification\n- Some methods may have nested parameter structures\n- The tool validates all parameters against Pydantic models\n- Extra fields not defined in the models will be rejected\n\nAVAILABLE METHODS:\n- get_user_by_id: Retrieve a user by their ID\n- list_users: List all users with pagination\n- create_user: Create a new user\n- delete_user: Delete a user by their ID\n- invite_user_by_email: Send an invite link to a user's email\n- generate_link: Generate an email link for various authentication purposes\n- update_user_by_id: Update user attributes by ID\n- delete_factor: Delete a factor on a user\n\nEXAMPLES:\n1. Get user by ID:\n   method: \"get_user_by_id\"\n   params: {\"uid\": \"user-uuid-here\"}\n\n2. Create user:\n   method: \"create_user\"\n   params: {\n     \"email\": \"user@example.com\",\n     \"password\": \"secure-password\"\n   }\n\n3. Update user by ID:\n   method: \"update_user_by_id\"\n   params: {\n     \"uid\": \"user-uuid-here\",\n     \"attributes\": {\n       \"email\": \"new@email.com\"\n     }\n   }\n\nFor complete documentation of all methods and their parameters, use the get_auth_admin_methods_spec tool.\n"""), # alexander-zuev/Supabase MCP Server/call_auth_admin_method
    Tool(name="""Supabase MCP Server_live_dangerously""", inputSchema={'properties': {'enable_unsafe_mode': {'default': False, 'title': 'Enable Unsafe Mode', 'type': 'boolean'}, 'service': {'enum': ['api', 'database'], 'title': 'Service', 'type': 'string'}}, 'required': ['service'], 'title': 'live_dangerouslyArguments', 'type': 'object'}, description="""Toggle unsafe mode for either Management API or Database operations.\n\nWHAT THIS TOOL DOES:\nThis tool switches between safe (default) and unsafe operation modes for either the Management API or Database operations.\n\nSAFETY MODES EXPLAINED:\n1. Database Safety Modes:\n   - SAFE mode (default): Only low-risk operations like SELECT queries are allowed\n   - UNSAFE mode: Higher-risk operations including INSERT, UPDATE, DELETE, and schema changes are permitted\n\n2. API Safety Modes:\n   - SAFE mode (default): Only low-risk operations that don't modify state are allowed\n   - UNSAFE mode: Higher-risk state-changing operations are permitted (except those explicitly blocked for safety)\n\nOPERATION RISK LEVELS:\nThe system categorizes operations by risk level:\n- LOW: Safe read operations with minimal impact\n- MEDIUM: Write operations that modify data but don't change structure\n- HIGH: Operations that modify database structure or important system settings\n- EXTREME: Destructive operations that could cause data loss or service disruption\n\nWHEN TO USE THIS TOOL:\n- Use this tool BEFORE attempting write operations or schema changes\n- Enable unsafe mode only when you need to perform data modifications\n- Always return to safe mode after completing write operations\n\nUSAGE GUIDELINES:\n- Start in safe mode by default for exploration and analysis\n- Switch to unsafe mode only when you need to make changes\n- Be specific about which service you're enabling unsafe mode for\n- Consider the risks before enabling unsafe mode, especially for database operations\n- For database operations requiring schema changes, you'll need to enable unsafe mode first\n\nParameters:\n- service: Which service to toggle (\"api\" or \"database\")\n- enable_unsafe_mode: True to enable unsafe mode, False for safe mode (default: False)\n\nExamples:\n1. Enable database unsafe mode:\n   live_dangerously(service=\"database\", enable_unsafe_mode=True)\n\n2. Return to safe mode after operations:\n   live_dangerously(service=\"database\", enable_unsafe_mode=False)\n\n3. Enable API unsafe mode:\n   live_dangerously(service=\"api\", enable_unsafe_mode=True)\n\nNote: This tool affects ALL subsequent operations for the specified service until changed again.\n"""), # alexander-zuev/Supabase MCP Server/live_dangerously
    Tool(name="""Supabase MCP Server_confirm_destructive_operation""", inputSchema={'properties': {'confirmation_id': {'title': 'Confirmation Id', 'type': 'string'}, 'operation_type': {'enum': ['api', 'database'], 'title': 'Operation Type', 'type': 'string'}, 'user_confirmation': {'default': False, 'title': 'User Confirmation', 'type': 'boolean'}}, 'required': ['operation_type', 'confirmation_id'], 'title': 'confirm_destructive_operationArguments', 'type': 'object'}, description="""Execute a destructive database or API operation after confirmation. Use this only after reviewing the risks with the user.\n\nHOW IT WORKS:\n- This tool executes a previously rejected high-risk operation using its confirmation ID\n- The operation will be exactly the same as the one that generated the ID\n- No need to retype the query or api request params - the system remembers it\n\nSTEPS:\n1. Explain the risks to the user and get their approval\n2. Use this tool with the confirmation ID from the error message\n3. The original query will be executed as-is\n\nPARAMETERS:\n- operation_type: Type of operation (\"api\" or \"database\")\n- confirmation_id: The ID provided in the error message (required)\n- user_confirmation: Set to true to confirm execution (default: false)\n\nNOTE: Confirmation IDs expire after 5 minutes for security\n"""), # alexander-zuev/Supabase MCP Server/confirm_destructive_operation
    Tool(name="""Seq MCP Server_get-events""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'count': {'default': 100, 'description': 'Number of events to return (max 100)', 'maximum': 100, 'minimum': 1, 'type': 'number'}, 'filter': {'description': 'Filter expression for events', 'type': 'string'}, 'fromDateUtc': {'description': 'Start date/time in UTC', 'type': 'string'}, 'range': {'description': 'Time range (e.g., 1m, 15m, 1h, 1d, 7d)', 'enum': ['1m', '15m', '30m', '1h', '2h', '6h', '12h', '1d', '7d', '14d', '30d'], 'type': 'string'}, 'signal': {'description': 'Comma-separated list of signal IDs', 'type': 'string'}, 'toDateUtc': {'description': 'End date/time in UTC', 'type': 'string'}}, 'type': 'object'}, description="""Retrieve and analyze a list of event filtered by parameters. Use this tool when you need to:\n  - Investigate events that are being logged in the SEQ server\n  - Details of each event is a structured log and can provide usefull information\n  - Events could be information, error, debug, or critical\n  - Analyze error patterns and frequencies  \n  """), # ahmad2x4/Seq MCP Server/get-events
    Tool(name="""Shell-MCP_shell_ps""", inputSchema={'properties': {'args': {'description': 'Command arguments', 'items': {'type': 'string'}, 'type': 'array'}}, 'type': 'object'}, description="""Show process status"""), # kevinwatt/Shell-MCP/shell_ps
    Tool(name="""Shell-MCP_shell_free""", inputSchema={'properties': {'args': {'description': 'Command arguments', 'items': {'type': 'string'}, 'type': 'array'}}, 'type': 'object'}, description="""Show memory usage"""), # kevinwatt/Shell-MCP/shell_free
    Tool(name="""Shell-MCP_shell_uptime""", inputSchema={'properties': {'args': {'description': 'Command arguments', 'items': {'type': 'string'}, 'type': 'array'}}, 'type': 'object'}, description="""Show system uptime"""), # kevinwatt/Shell-MCP/shell_uptime
    Tool(name="""Shell-MCP_shell_date""", inputSchema={'properties': {'args': {'description': 'Command arguments', 'items': {'type': 'string'}, 'type': 'array'}}, 'type': 'object'}, description="""Show system date and time"""), # kevinwatt/Shell-MCP/shell_date
    Tool(name="""Shell-MCP_shell_grep""", inputSchema={'properties': {'args': {'description': 'Command arguments', 'items': {'type': 'string'}, 'type': 'array'}}, 'type': 'object'}, description="""Search text patterns in files"""), # kevinwatt/Shell-MCP/shell_grep
    Tool(name="""Shell-MCP_shell_netstat""", inputSchema={'properties': {'args': {'description': 'Command arguments', 'items': {'type': 'string'}, 'type': 'array'}}, 'type': 'object'}, description="""Network connection information"""), # kevinwatt/Shell-MCP/shell_netstat
    Tool(name="""Shell-MCP_shell_lspci""", inputSchema={'properties': {'args': {'description': 'Command arguments', 'items': {'type': 'string'}, 'type': 'array'}}, 'type': 'object'}, description="""List PCI devices"""), # kevinwatt/Shell-MCP/shell_lspci
    Tool(name="""Shell-MCP_shell_lsusb""", inputSchema={'properties': {'args': {'description': 'Command arguments', 'items': {'type': 'string'}, 'type': 'array'}}, 'type': 'object'}, description="""List USB devices"""), # kevinwatt/Shell-MCP/shell_lsusb
    Tool(name="""Shell-MCP_shell_dig""", inputSchema={'properties': {'args': {'description': 'Command arguments', 'items': {'type': 'string'}, 'type': 'array'}}, 'type': 'object'}, description="""DNS lookup utility"""), # kevinwatt/Shell-MCP/shell_dig
    Tool(name="""Shell-MCP_shell_nslookup""", inputSchema={'properties': {'args': {'description': 'Command arguments', 'items': {'type': 'string'}, 'type': 'array'}}, 'type': 'object'}, description="""Query DNS records"""), # kevinwatt/Shell-MCP/shell_nslookup
    Tool(name="""Shell-MCP_shell_ip""", inputSchema={'properties': {'args': {'description': 'Command arguments', 'items': {'type': 'string'}, 'type': 'array'}}, 'type': 'object'}, description="""Show / manipulate routing, network devices, interfaces and tunnels"""), # kevinwatt/Shell-MCP/shell_ip
    Tool(name="""Shell-MCP_shell_whereis""", inputSchema={'properties': {'args': {'description': 'Command arguments', 'items': {'type': 'string'}, 'type': 'array'}}, 'type': 'object'}, description="""Locate the binary, source, and manual page files for a command"""), # kevinwatt/Shell-MCP/shell_whereis
    Tool(name="""Shell-MCP_shell_df""", inputSchema={'properties': {'args': {'description': 'Command arguments', 'items': {'type': 'string'}, 'type': 'array'}}, 'type': 'object'}, description="""Show disk usage"""), # kevinwatt/Shell-MCP/shell_df
    Tool(name="""Shell-MCP_shell_echo""", inputSchema={'properties': {'args': {'description': 'Command arguments', 'items': {'type': 'string'}, 'type': 'array'}}, 'type': 'object'}, description="""Display text"""), # kevinwatt/Shell-MCP/shell_echo
    Tool(name="""Shell-MCP_shell_ls""", inputSchema={'properties': {'args': {'description': 'Command arguments', 'items': {'type': 'string'}, 'type': 'array'}}, 'type': 'object'}, description="""List directory contents"""), # kevinwatt/Shell-MCP/shell_ls
    Tool(name="""Shell-MCP_shell_cat""", inputSchema={'properties': {'args': {'description': 'Command arguments', 'items': {'type': 'string'}, 'type': 'array'}}, 'type': 'object'}, description="""Concatenate and display file contents"""), # kevinwatt/Shell-MCP/shell_cat
    Tool(name="""Shell-MCP_shell_pwd""", inputSchema={'properties': {'args': {'description': 'Command arguments', 'items': {'type': 'string'}, 'type': 'array'}}, 'type': 'object'}, description="""Show current working directory"""), # kevinwatt/Shell-MCP/shell_pwd
    Tool(name="""Shell-MCP_shell_w""", inputSchema={'properties': {'args': {'description': 'Command arguments', 'items': {'type': 'string'}, 'type': 'array'}}, 'type': 'object'}, description="""Show who is logged on and what they are doing"""), # kevinwatt/Shell-MCP/shell_w
    Tool(name="""Shell-MCP_shell_whois""", inputSchema={'properties': {'args': {'description': 'Command arguments', 'items': {'type': 'string'}, 'type': 'array'}}, 'type': 'object'}, description="""Query WHOIS domain registration information"""), # kevinwatt/Shell-MCP/shell_whois
    Tool(name="""Shell-MCP_shell_find""", inputSchema={'properties': {'args': {'description': 'Command arguments', 'items': {'type': 'string'}, 'type': 'array'}}, 'type': 'object'}, description="""Search for files in a directory hierarchy"""), # kevinwatt/Shell-MCP/shell_find
    Tool(name="""lunchmoney-mcp_get-budget-summary""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'end_date': {'description': 'End date (YYYY-MM-DD, should be end of month)', 'type': 'string'}, 'start_date': {'description': 'Start date (YYYY-MM-DD, should be start of month)', 'type': 'string'}}, 'required': ['start_date', 'end_date'], 'type': 'object'}, description="""Get budget summary for a specific time period"""), # leafeye/lunchmoney-mcp/get-budget-summary
    Tool(name="""lunchmoney-mcp_get-recent-transactions""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'days': {'default': 30, 'description': 'Number of days to look back', 'type': 'number'}, 'limit': {'default': 10, 'description': 'Maximum number of transactions to return', 'type': 'number'}}, 'type': 'object'}, description="""Get recent transactions"""), # leafeye/lunchmoney-mcp/get-recent-transactions
    Tool(name="""lunchmoney-mcp_search-transactions""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'days': {'default': 90, 'description': 'Number of days to look back', 'type': 'number'}, 'keyword': {'description': 'Search term to look for', 'type': 'string'}, 'limit': {'default': 10, 'description': 'Maximum number of transactions to return', 'type': 'number'}}, 'required': ['keyword'], 'type': 'object'}, description="""Search transactions by keyword"""), # leafeye/lunchmoney-mcp/search-transactions
    Tool(name="""lunchmoney-mcp_get-category-spending""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'category': {'description': 'Category name', 'type': 'string'}, 'days': {'default': 30, 'description': 'Number of days to look back', 'type': 'number'}}, 'required': ['category'], 'type': 'object'}, description="""Get spending in a category"""), # leafeye/lunchmoney-mcp/get-category-spending
    Tool(name="""Modal MCP Toolbox_run_python_code_in_sandbox""", inputSchema={'properties': {'code': {'description': 'The python code to run.', 'title': 'Code', 'type': 'string'}, 'mount_directory': {'anyOf': [{'type': 'string'}, {'type': 'null'}], 'default': None, 'description': 'Allows you to make a local directory available at `/mounted-dir` for the code in `code`. Needs to be an absolute path. Writes to this directory will NOT be reflected in the local directory.', 'title': 'Mount Directory'}, 'pull_files': {'anyOf': [{'items': {'maxItems': 2, 'minItems': 2, 'prefixItems': [{'type': 'string'}, {'type': 'string'}], 'type': 'array'}, 'type': 'array'}, {'type': 'null'}], 'default': None, 'description': 'List of tuples (absolut_path_sandbox_file, absolute_path_local_file). When provided downloads the file(s) from the sandbox to the local file(s).', 'title': 'Pull Files'}, 'python_version': {'default': '3.13', 'description': 'The python version to use. If not provided defaults to 3.13', 'title': 'Python Version', 'type': 'string'}, 'requirements': {'anyOf': [{'items': {'type': 'string'}, 'type': 'array'}, {'type': 'null'}], 'default': None, 'description': 'The requirements to install.', 'title': 'Requirements'}}, 'required': ['code'], 'title': 'run_python_code_in_sandboxArguments', 'type': 'object'}, description="""\n    Runs python code in a safe environment and returns the output.\n\n    Usage:\n       run_python_code_in_sandbox(\"print('Hello, world!')\")\n       run_python_code_in_sandbox(\"import requests\nprint(requests.get('https://icanhazip.com').text)\", requirements=[\"requests\"])\n    """), # philipp-eisen/Modal MCP Toolbox/run_python_code_in_sandbox
    Tool(name="""Modal MCP Toolbox_generate_flux_image""", inputSchema={'properties': {'prompt': {'description': 'The prompt to generate an image for', 'title': 'Prompt', 'type': 'string'}}, 'required': ['prompt'], 'title': 'generate_flux_imageArguments', 'type': 'object'}, description="""Let's you generate an image using the Flux model."""), # philipp-eisen/Modal MCP Toolbox/generate_flux_image
    Tool(name="""MCP Media Processing Server_execute-ffmpeg""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'inputPath': {'description': 'Absolute path to input video file', 'type': 'string'}, 'options': {'description': "Array of FFmpeg command options (e.g. ['-c:v', 'libx264', '-crf', '23'])", 'items': {'type': 'string'}, 'type': 'array'}, 'outputFilename': {'description': 'Output filename (only used if outputPath is not provided)', 'type': 'string'}, 'outputPath': {'description': 'Optional absolute path for output file. If not provided, file will be saved in Downloads folder', 'type': 'string'}}, 'required': ['inputPath', 'options'], 'type': 'object'}, description="""Execute any FFmpeg command with custom options"""), # maoxiaoke/MCP Media Processing Server/execute-ffmpeg
    Tool(name="""MCP Media Processing Server_convert-video""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'inputPath': {'description': 'Absolute path to input video file', 'type': 'string'}, 'outputFilename': {'description': 'Output filename (only used if outputPath is not provided)', 'type': 'string'}, 'outputFormat': {'description': 'Desired output format (e.g., mp4, mkv, avi)', 'type': 'string'}, 'outputPath': {'description': 'Optional absolute path for output file. If not provided, file will be saved in Downloads folder', 'type': 'string'}}, 'required': ['inputPath', 'outputFormat'], 'type': 'object'}, description="""Convert video to different format"""), # maoxiaoke/MCP Media Processing Server/convert-video
    Tool(name="""MCP Media Processing Server_compress-video""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'inputPath': {'description': 'Absolute path to input video file', 'type': 'string'}, 'outputFilename': {'description': 'Output filename (only used if outputPath is not provided)', 'type': 'string'}, 'outputPath': {'description': 'Optional absolute path for output file. If not provided, file will be saved in Downloads folder', 'type': 'string'}, 'quality': {'default': 23, 'description': 'Compression quality (1-51, lower is better quality but larger file)', 'maximum': 51, 'minimum': 1, 'type': 'number'}}, 'required': ['inputPath'], 'type': 'object'}, description="""Compress video file"""), # maoxiaoke/MCP Media Processing Server/compress-video
    Tool(name="""MCP Media Processing Server_trim-video""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'duration': {'description': 'Duration in format HH:MM:SS', 'type': 'string'}, 'inputPath': {'description': 'Absolute path to input video file', 'type': 'string'}, 'outputFilename': {'description': 'Output filename (only used if outputPath is not provided)', 'type': 'string'}, 'outputPath': {'description': 'Optional absolute path for output file. If not provided, file will be saved in Downloads folder', 'type': 'string'}, 'startTime': {'description': 'Start time in format HH:MM:SS', 'type': 'string'}}, 'required': ['inputPath', 'startTime', 'duration'], 'type': 'object'}, description="""Trim video to specified duration"""), # maoxiaoke/MCP Media Processing Server/trim-video
    Tool(name="""MCP Media Processing Server_compress-image""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'inputPath': {'description': 'Absolute path to input PNG image', 'type': 'string'}, 'outputFilename': {'description': 'Output filename (only used if outputPath is not provided)', 'type': 'string'}, 'outputPath': {'description': 'Optional absolute path for output file. If not provided, file will be saved in Downloads folder', 'type': 'string'}, 'quality': {'default': 80, 'description': 'Compression quality (1-100)', 'maximum': 100, 'minimum': 1, 'type': 'number'}}, 'required': ['inputPath'], 'type': 'object'}, description="""Compress PNG image using ImageMagick"""), # maoxiaoke/MCP Media Processing Server/compress-image
    Tool(name="""MCP Media Processing Server_convert-image""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'inputPath': {'description': 'Absolute path to input image file', 'type': 'string'}, 'outputFilename': {'description': 'Output filename (only used if outputPath is not provided)', 'type': 'string'}, 'outputFormat': {'description': 'Desired output format (e.g., jpg, png, webp, gif)', 'type': 'string'}, 'outputPath': {'description': 'Optional absolute path for output file. If not provided, file will be saved in Downloads folder', 'type': 'string'}}, 'required': ['inputPath', 'outputFormat'], 'type': 'object'}, description="""Convert image to different format"""), # maoxiaoke/MCP Media Processing Server/convert-image
    Tool(name="""MCP Media Processing Server_resize-image""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'height': {'description': 'Target height in pixels', 'type': 'number'}, 'inputPath': {'description': 'Absolute path to input image file', 'type': 'string'}, 'maintainAspectRatio': {'default': True, 'description': 'Whether to maintain aspect ratio when resizing', 'type': 'boolean'}, 'outputFilename': {'description': 'Output filename (only used if outputPath is not provided)', 'type': 'string'}, 'outputPath': {'description': 'Optional absolute path for output file. If not provided, file will be saved in Downloads folder', 'type': 'string'}, 'width': {'description': 'Target width in pixels', 'type': 'number'}}, 'required': ['inputPath'], 'type': 'object'}, description="""Resize image to specified dimensions"""), # maoxiaoke/MCP Media Processing Server/resize-image
    Tool(name="""MCP Media Processing Server_rotate-image""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'degrees': {'description': 'Rotation angle in degrees', 'type': 'number'}, 'inputPath': {'description': 'Absolute path to input image file', 'type': 'string'}, 'outputFilename': {'description': 'Output filename (only used if outputPath is not provided)', 'type': 'string'}, 'outputPath': {'description': 'Optional absolute path for output file. If not provided, file will be saved in Downloads folder', 'type': 'string'}}, 'required': ['inputPath', 'degrees'], 'type': 'object'}, description="""Rotate image by specified degrees"""), # maoxiaoke/MCP Media Processing Server/rotate-image
    Tool(name="""MCP Media Processing Server_add-watermark""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'inputPath': {'description': 'Absolute path to input image file', 'type': 'string'}, 'opacity': {'default': 50, 'description': 'Watermark opacity (0-100)', 'maximum': 100, 'minimum': 0, 'type': 'number'}, 'outputFilename': {'description': 'Output filename (only used if outputPath is not provided)', 'type': 'string'}, 'outputPath': {'description': 'Optional absolute path for output file. If not provided, file will be saved in Downloads folder', 'type': 'string'}, 'position': {'default': 'southeast', 'description': 'Position of watermark', 'enum': ['northwest', 'north', 'northeast', 'west', 'center', 'east', 'southwest', 'south', 'southeast'], 'type': 'string'}, 'watermarkPath': {'description': 'Absolute path to watermark image file', 'type': 'string'}}, 'required': ['inputPath', 'watermarkPath'], 'type': 'object'}, description="""Add watermark to image"""), # maoxiaoke/MCP Media Processing Server/add-watermark
    Tool(name="""MCP Media Processing Server_apply-effect""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'effect': {'description': 'Effect to apply', 'enum': ['blur', 'sharpen', 'edge', 'emboss', 'grayscale', 'sepia', 'negate'], 'type': 'string'}, 'inputPath': {'description': 'Absolute path to input image file', 'type': 'string'}, 'intensity': {'default': 50, 'description': 'Effect intensity (0-100, not applicable for some effects)', 'maximum': 100, 'minimum': 0, 'type': 'number'}, 'outputFilename': {'description': 'Output filename (only used if outputPath is not provided)', 'type': 'string'}, 'outputPath': {'description': 'Optional absolute path for output file. If not provided, file will be saved in Downloads folder', 'type': 'string'}}, 'required': ['inputPath', 'effect'], 'type': 'object'}, description="""Apply visual effect to image"""), # maoxiaoke/MCP Media Processing Server/apply-effect
    Tool(name="""Simple Document Processing MCP Server_document_reader""", inputSchema={'properties': {'filePath': {'description': 'Path to the file to be read', 'type': 'string'}}, 'required': ['filePath'], 'type': 'object'}, description="""Read content from non-image document-files at specified paths, supporting various file formats: .pdf, .docx, .txt, .html, .csv"""), # cablate/Simple Document Processing MCP Server/document_reader
    Tool(name="""Simple Document Processing MCP Server_pdf_merger""", inputSchema={'properties': {'inputPaths': {'description': 'Paths to the input PDF files', 'items': {'type': 'string'}, 'type': 'array'}, 'outputDir': {'description': 'Directory where merged PDFs should be saved', 'type': 'string'}}, 'required': ['inputPaths', 'outputDir'], 'type': 'object'}, description="""Merge multiple PDF files into one"""), # cablate/Simple Document Processing MCP Server/pdf_merger
    Tool(name="""Simple Document Processing MCP Server_pdf_splitter""", inputSchema={'properties': {'inputPath': {'description': 'Path to the input PDF file', 'type': 'string'}, 'outputDir': {'description': 'Directory where split PDFs should be saved', 'type': 'string'}, 'pageRanges': {'description': 'Array of page ranges to split', 'items': {'properties': {'end': {'type': 'number'}, 'start': {'type': 'number'}}, 'type': 'object'}, 'type': 'array'}}, 'required': ['inputPath', 'outputDir', 'pageRanges'], 'type': 'object'}, description="""Split a PDF file into multiple files"""), # cablate/Simple Document Processing MCP Server/pdf_splitter
    Tool(name="""Simple Document Processing MCP Server_docx_to_pdf""", inputSchema={'properties': {'inputPath': {'description': 'Path to the input DOCX file', 'type': 'string'}, 'outputPath': {'description': 'Path where the output PDF file should be saved', 'type': 'string'}}, 'required': ['inputPath', 'outputPath'], 'type': 'object'}, description="""Convert DOCX files to PDF format"""), # cablate/Simple Document Processing MCP Server/docx_to_pdf
    Tool(name="""Simple Document Processing MCP Server_docx_to_html""", inputSchema={'properties': {'inputPath': {'description': 'Path to the input DOCX file', 'type': 'string'}, 'outputDir': {'description': 'Directory where HTML should be saved', 'type': 'string'}}, 'required': ['inputPath', 'outputDir'], 'type': 'object'}, description="""Convert DOCX to HTML while preserving formatting"""), # cablate/Simple Document Processing MCP Server/docx_to_html
    Tool(name="""Simple Document Processing MCP Server_html_cleaner""", inputSchema={'properties': {'inputPath': {'description': 'Path to the input HTML file', 'type': 'string'}, 'outputDir': {'description': 'Directory where cleaned HTML should be saved', 'type': 'string'}}, 'required': ['inputPath', 'outputDir'], 'type': 'object'}, description="""Clean HTML by removing unnecessary tags and attributes"""), # cablate/Simple Document Processing MCP Server/html_cleaner
    Tool(name="""Simple Document Processing MCP Server_html_to_text""", inputSchema={'properties': {'inputPath': {'description': 'Path to the input HTML file', 'type': 'string'}, 'outputDir': {'description': 'Directory where text file should be saved', 'type': 'string'}}, 'required': ['inputPath', 'outputDir'], 'type': 'object'}, description="""Convert HTML to plain text while preserving structure"""), # cablate/Simple Document Processing MCP Server/html_to_text
    Tool(name="""Simple Document Processing MCP Server_html_to_markdown""", inputSchema={'properties': {'inputPath': {'description': 'Path to the input HTML file', 'type': 'string'}, 'outputDir': {'description': 'Directory where Markdown file should be saved', 'type': 'string'}}, 'required': ['inputPath', 'outputDir'], 'type': 'object'}, description="""Convert HTML to Markdown format"""), # cablate/Simple Document Processing MCP Server/html_to_markdown
    Tool(name="""Simple Document Processing MCP Server_html_extract_resources""", inputSchema={'properties': {'inputPath': {'description': 'Path to the input HTML file', 'type': 'string'}, 'outputDir': {'description': 'Directory where resources should be saved', 'type': 'string'}}, 'required': ['inputPath', 'outputDir'], 'type': 'object'}, description="""Extract all resources (images, videos, links) from HTML"""), # cablate/Simple Document Processing MCP Server/html_extract_resources
    Tool(name="""Simple Document Processing MCP Server_html_formatter""", inputSchema={'properties': {'inputPath': {'description': 'Path to the input HTML file', 'type': 'string'}, 'outputDir': {'description': 'Directory where formatted HTML should be saved', 'type': 'string'}}, 'required': ['inputPath', 'outputDir'], 'type': 'object'}, description="""Format and beautify HTML code"""), # cablate/Simple Document Processing MCP Server/html_formatter
    Tool(name="""Simple Document Processing MCP Server_text_diff""", inputSchema={'properties': {'file1Path': {'description': 'Path to the first text file', 'type': 'string'}, 'file2Path': {'description': 'Path to the second text file', 'type': 'string'}, 'outputDir': {'description': 'Directory where diff result should be saved', 'type': 'string'}}, 'required': ['file1Path', 'file2Path', 'outputDir'], 'type': 'object'}, description="""Compare two text files and show differences"""), # cablate/Simple Document Processing MCP Server/text_diff
    Tool(name="""Simple Document Processing MCP Server_text_splitter""", inputSchema={'properties': {'inputPath': {'description': 'Path to the input text file', 'type': 'string'}, 'outputDir': {'description': 'Directory where split files should be saved', 'type': 'string'}, 'splitBy': {'description': 'Split method: by line count or delimiter', 'enum': ['lines', 'delimiter'], 'type': 'string'}, 'value': {'description': 'Line count (number) or delimiter string', 'type': 'string'}}, 'required': ['inputPath', 'outputDir', 'splitBy', 'value'], 'type': 'object'}, description="""Split text file by specified delimiter or line count"""), # cablate/Simple Document Processing MCP Server/text_splitter
    Tool(name="""Simple Document Processing MCP Server_text_formatter""", inputSchema={'properties': {'inputPath': {'description': 'Path to the input text file', 'type': 'string'}, 'outputDir': {'description': 'Directory where formatted file should be saved', 'type': 'string'}}, 'required': ['inputPath', 'outputDir'], 'type': 'object'}, description="""Format text with proper indentation and line spacing"""), # cablate/Simple Document Processing MCP Server/text_formatter
    Tool(name="""Simple Document Processing MCP Server_text_encoding_converter""", inputSchema={'properties': {'fromEncoding': {'description': "Source encoding (e.g., 'big5', 'gbk', 'utf8')", 'type': 'string'}, 'inputPath': {'description': 'Path to the input text file', 'type': 'string'}, 'outputDir': {'description': 'Directory where converted file should be saved', 'type': 'string'}, 'toEncoding': {'description': "Target encoding (e.g., 'utf8', 'big5', 'gbk')", 'type': 'string'}}, 'required': ['inputPath', 'outputDir', 'fromEncoding', 'toEncoding'], 'type': 'object'}, description="""Convert text between different encodings"""), # cablate/Simple Document Processing MCP Server/text_encoding_converter
    Tool(name="""Simple Document Processing MCP Server_excel_read""", inputSchema={'properties': {'includeHeaders': {'default': True, 'description': 'Whether to include headers in the output', 'type': 'boolean'}, 'inputPath': {'description': 'Path to the input Excel file', 'type': 'string'}}, 'required': ['inputPath'], 'type': 'object'}, description="""Read Excel file and convert to JSON format while preserving structure"""), # cablate/Simple Document Processing MCP Server/excel_read
    Tool(name="""Simple Document Processing MCP Server_format_convert""", inputSchema={'properties': {'fromFormat': {'description': 'Source format', 'enum': ['markdown', 'html', 'xml', 'json'], 'type': 'string'}, 'input': {'description': 'Input content to convert', 'type': 'string'}, 'toFormat': {'description': 'Target format', 'enum': ['markdown', 'html', 'xml', 'json'], 'type': 'string'}}, 'required': ['input', 'fromFormat', 'toFormat'], 'type': 'object'}, description="""Convert between different document formats (Markdown, HTML, XML, JSON)"""), # cablate/Simple Document Processing MCP Server/format_convert
    Tool(name="""KNMI Weather MCP_get_location_weather""", inputSchema={'properties': {'location': {'title': 'Location', 'type': 'string'}}, 'required': ['location'], 'title': 'get_location_weatherArguments', 'type': 'object'}, description="""Get current weather data for a location"""), # wolkwork/KNMI Weather MCP/get_location_weather
    Tool(name="""KNMI Weather MCP_search_location""", inputSchema={'properties': {'query': {'title': 'Query', 'type': 'string'}}, 'required': ['query'], 'title': 'search_locationArguments', 'type': 'object'}, description="""\n    Search for locations in the Netherlands\n\n    Args:\n        query: Search term for location\n    """), # wolkwork/KNMI Weather MCP/search_location
    Tool(name="""KNMI Weather MCP_get_nearest_station""", inputSchema={'properties': {'latitude': {'title': 'Latitude', 'type': 'number'}, 'longitude': {'title': 'Longitude', 'type': 'number'}}, 'required': ['latitude', 'longitude'], 'title': 'get_nearest_stationArguments', 'type': 'object'}, description="""\n    Find the nearest KNMI weather station to given coordinates\n\n    Args:\n        latitude: Latitude in degrees\n        longitude: Longitude in degrees\n    """), # wolkwork/KNMI Weather MCP/get_nearest_station
    Tool(name="""KNMI Weather MCP_what_is_the_weather_like_in""", inputSchema={'properties': {'location': {'title': 'Location', 'type': 'string'}}, 'required': ['location'], 'title': 'what_is_the_weather_like_inArguments', 'type': 'object'}, description="""\n    Get and interpret weather data for a location in the Netherlands\n\n    Args:\n        location: City or place name in the Netherlands\n    Returns:\n        A natural language interpretation of the current weather conditions\n    """), # wolkwork/KNMI Weather MCP/what_is_the_weather_like_in
    Tool(name="""kospi-kosdaq_load_all_tickers""", inputSchema={'properties': {}, 'title': 'load_all_tickersArguments', 'type': 'object'}, description="""Loads all ticker symbols and names for KOSPI and KOSDAQ into memory.\n\n    Returns:\n        Dict[str, str]: A dictionary mapping tickers to stock names.\n        Example: {\"005930\": \"\", \"035720\": \"\", ...}\n    """), # dragon1086/kospi-kosdaq/load_all_tickers
    Tool(name="""kospi-kosdaq_get_stock_ohlcv""", inputSchema={'properties': {'adjusted': {'default': True, 'title': 'Adjusted', 'type': 'boolean'}, 'fromdate': {'anyOf': [{'type': 'string'}, {'type': 'integer'}], 'title': 'Fromdate'}, 'ticker': {'title': 'Ticker', 'type': 'string'}, 'todate': {'anyOf': [{'type': 'string'}, {'type': 'integer'}], 'title': 'Todate'}}, 'required': ['fromdate', 'todate', 'ticker'], 'title': 'get_stock_ohlcvArguments', 'type': 'object'}, description="""Retrieves OHLCV (Open/High/Low/Close/Volume) data for a specific stock.\n\n    Args:\n        fromdate (str): Start date for retrieval (YYYYMMDD)\n        todate   (str): End date for retrieval (YYYYMMDD)\n        ticker   (str): Stock ticker symbol\n        adjusted (bool, optional): Whether to use adjusted prices (True: adjusted, False: unadjusted). Defaults to True.\n\n    Returns:\n        DataFrame:\n            >> get_stock_ohlcv(\"20210118\", \"20210126\", \"005930\")\n                            Open     High     Low    Close   Volume\n            Date\n            2021-01-26  89500  94800  89500  93800  46415214\n            2021-01-25  87300  89400  86800  88700  25577517\n            2021-01-22  89000  89700  86800  86800  30861661\n            2021-01-21  87500  88600  86500  88100  25318011\n            2021-01-20  89000  89000  86500  87200  25211127\n            2021-01-19  84500  88000  83600  87000  39895044\n            2021-01-18  86600  87300  84100  85000  43227951\n    """), # dragon1086/kospi-kosdaq/get_stock_ohlcv
    Tool(name="""kospi-kosdaq_get_stock_market_cap""", inputSchema={'properties': {'fromdate': {'anyOf': [{'type': 'string'}, {'type': 'integer'}], 'title': 'Fromdate'}, 'ticker': {'title': 'Ticker', 'type': 'string'}, 'todate': {'anyOf': [{'type': 'string'}, {'type': 'integer'}], 'title': 'Todate'}}, 'required': ['fromdate', 'todate', 'ticker'], 'title': 'get_stock_market_capArguments', 'type': 'object'}, description="""Retrieves market capitalization data for a specific stock.\n\n    Args:\n        fromdate (str): Start date for retrieval (YYYYMMDD)\n        todate   (str): End date for retrieval (YYYYMMDD)\n        ticker   (str): Stock ticker symbol\n\n    Returns:\n        DataFrame:\n            >> get_stock_market_cap(\"20150720\", \"20150724\", \"005930\")\n                              Market Cap  Volume      Trading Value  Listed Shares\n            Date\n            2015-07-24  181030885173000  196584  241383636000  147299337\n            2015-07-23  181767381858000  208965  259446564000  147299337\n            2015-07-22  184566069261000  268323  333813094000  147299337\n            2015-07-21  186039062631000  194055  244129106000  147299337\n            2015-07-20  187806654675000  128928  165366199000  147299337\n    """), # dragon1086/kospi-kosdaq/get_stock_market_cap
    Tool(name="""kospi-kosdaq_get_stock_fundamental""", inputSchema={'properties': {'fromdate': {'anyOf': [{'type': 'string'}, {'type': 'integer'}], 'title': 'Fromdate'}, 'ticker': {'title': 'Ticker', 'type': 'string'}, 'todate': {'anyOf': [{'type': 'string'}, {'type': 'integer'}], 'title': 'Todate'}}, 'required': ['fromdate', 'todate', 'ticker'], 'title': 'get_stock_fundamentalArguments', 'type': 'object'}, description="""Retrieves fundamental data (PER/PBR/Dividend Yield) for a specific stock.\n\n    Args:\n        fromdate (str): Start date for retrieval (YYYYMMDD)\n        todate   (str): End date for retrieval (YYYYMMDD)\n        ticker   (str): Stock ticker symbol\n\n    Returns:\n        DataFrame:\n            >> get_stock_fundamental(\"20210104\", \"20210108\", \"005930\")\n                              BPS        PER       PBR   EPS       DIV   DPS\n                Date\n                2021-01-08  37528  28.046875  2.369141  3166  1.589844  1416\n                2021-01-07  37528  26.187500  2.210938  3166  1.709961  1416\n                2021-01-06  37528  25.953125  2.189453  3166  1.719727  1416\n                2021-01-05  37528  26.500000  2.240234  3166  1.690430  1416\n                2021-01-04  37528  26.218750  2.210938  3166  1.709961  1416\n    """), # dragon1086/kospi-kosdaq/get_stock_fundamental
    Tool(name="""kospi-kosdaq_get_stock_trading_volume""", inputSchema={'properties': {'fromdate': {'anyOf': [{'type': 'string'}, {'type': 'integer'}], 'title': 'Fromdate'}, 'ticker': {'title': 'Ticker', 'type': 'string'}, 'todate': {'anyOf': [{'type': 'string'}, {'type': 'integer'}], 'title': 'Todate'}}, 'required': ['fromdate', 'todate', 'ticker'], 'title': 'get_stock_trading_volumeArguments', 'type': 'object'}, description="""Retrieves trading volume by investor type for a specific stock.\n\n    Args:\n        fromdate (str): Start date for retrieval (YYYYMMDD)\n        todate   (str): End date for retrieval (YYYYMMDD)\n        ticker   (str): Stock ticker symbol\n\n    Returns:\n        DataFrame with columns:\n        - Volume (Sell/Buy/Net Buy)\n        - Trading Value (Sell/Buy/Net Buy)\n        Broken down by investor types (Financial Investment, Insurance, Trust, etc.)\n    """), # dragon1086/kospi-kosdaq/get_stock_trading_volume
    Tool(name="""MCP Server Playground_calculate_sum""", inputSchema={'properties': {'a': {'type': 'number'}, 'b': {'type': 'number'}}, 'required': ['a', 'b'], 'type': 'object'}, description="""Add two numbers together"""), # psaboia/MCP Server Playground/calculate_sum
    Tool(name="""MCP Server Playground_httpbin_json""", inputSchema={'properties': {'a': {'type': 'number'}}, 'required': [], 'type': 'object'}, description="""Returns data about slide show """), # psaboia/MCP Server Playground/httpbin_json
    Tool(name="""ChatGPT MCP Server_containers_list""", inputSchema={'properties': {'all': {'description': 'Show all containers (including stopped ones)', 'type': 'boolean'}}, 'type': 'object'}, description="""List all Docker containers"""), # Toowiredd/ChatGPT MCP Server/containers_list
    Tool(name="""ChatGPT MCP Server_container_create""", inputSchema={'properties': {'env': {'description': 'Environment variables (e.g. ["KEY=value"])', 'items': {'type': 'string'}, 'type': 'array'}, 'image': {'description': 'Docker image name', 'type': 'string'}, 'name': {'description': 'Container name', 'type': 'string'}, 'ports': {'description': 'Port mappings (e.g. ["80:80"])', 'items': {'type': 'string'}, 'type': 'array'}}, 'required': ['image'], 'type': 'object'}, description="""Create and start a new Docker container"""), # Toowiredd/ChatGPT MCP Server/container_create
    Tool(name="""ChatGPT MCP Server_container_stop""", inputSchema={'properties': {'container': {'description': 'Container ID or name', 'type': 'string'}}, 'required': ['container'], 'type': 'object'}, description="""Stop a running container"""), # Toowiredd/ChatGPT MCP Server/container_stop
    Tool(name="""ChatGPT MCP Server_container_start""", inputSchema={'properties': {'container': {'description': 'Container ID or name', 'type': 'string'}}, 'required': ['container'], 'type': 'object'}, description="""Start a stopped container"""), # Toowiredd/ChatGPT MCP Server/container_start
    Tool(name="""ChatGPT MCP Server_container_remove""", inputSchema={'properties': {'container': {'description': 'Container ID or name', 'type': 'string'}, 'force': {'description': 'Force remove running container', 'type': 'boolean'}}, 'required': ['container'], 'type': 'object'}, description="""Remove a container"""), # Toowiredd/ChatGPT MCP Server/container_remove
    Tool(name="""ChatGPT MCP Server_container_logs""", inputSchema={'properties': {'container': {'description': 'Container ID or name', 'type': 'string'}, 'tail': {'description': 'Number of lines to show from the end', 'type': 'number'}}, 'required': ['container'], 'type': 'object'}, description="""Get container logs"""), # Toowiredd/ChatGPT MCP Server/container_logs
    Tool(name="""ChatGPT MCP Server_container_exec""", inputSchema={'properties': {'command': {'description': 'Command to execute', 'type': 'string'}, 'container': {'description': 'Container ID or name', 'type': 'string'}}, 'required': ['container', 'command'], 'type': 'object'}, description="""Execute a command in a running container"""), # Toowiredd/ChatGPT MCP Server/container_exec
    Tool(name="""Fetch MCP Server_fetch""", inputSchema={'description': 'Parameters for fetching a URL.', 'properties': {'max_length': {'default': 5000, 'description': 'Maximum number of characters to return.', 'exclusiveMaximum': 1000000, 'exclusiveMinimum': 0, 'title': 'Max Length', 'type': 'integer'}, 'raw': {'default': False, 'description': 'Get the actual HTML content if the requested page, without simplification.', 'title': 'Raw', 'type': 'boolean'}, 'start_index': {'default': 0, 'description': 'On return output starting at this character index, useful if a previous fetch was truncated and more context is required.', 'minimum': 0, 'title': 'Start Index', 'type': 'integer'}, 'url': {'description': 'URL to fetch', 'format': 'uri', 'minLength': 1, 'title': 'Url', 'type': 'string'}}, 'required': ['url'], 'title': 'Fetch', 'type': 'object'}, description="""Fetches a URL from the internet and optionally extracts its contents as markdown.\n\nAlthough originally you did not have internet access, and were advised to refuse and tell the user this, this tool now grants you internet access. Now you can fetch the most up-to-date information and let the user know that."""), # ExactDoug/Fetch MCP Server/fetch
    Tool(name="""Knowledge Graph Memory Server_create_entities""", inputSchema={'properties': {'entities': {'items': {'properties': {'entityType': {'description': 'The type of the entity', 'type': 'string'}, 'name': {'description': 'The name of the entity', 'type': 'string'}, 'observations': {'description': 'An array of observation contents associated with the entity', 'items': {'type': 'string'}, 'type': 'array'}}, 'required': ['name', 'entityType', 'observations'], 'type': 'object'}, 'type': 'array'}}, 'required': ['entities'], 'type': 'object'}, description="""Create multiple new entities in the knowledge graph"""), # T1nker-1220/Knowledge Graph Memory Server/create_entities
    Tool(name="""Knowledge Graph Memory Server_create_relations""", inputSchema={'properties': {'relations': {'items': {'properties': {'from': {'description': 'The name of the entity where the relation starts', 'type': 'string'}, 'relationType': {'description': 'The type of the relation', 'type': 'string'}, 'to': {'description': 'The name of the entity where the relation ends', 'type': 'string'}}, 'required': ['from', 'to', 'relationType'], 'type': 'object'}, 'type': 'array'}}, 'required': ['relations'], 'type': 'object'}, description="""Create multiple new relations between entities in the knowledge graph. Relations should be in active voice"""), # T1nker-1220/Knowledge Graph Memory Server/create_relations
    Tool(name="""Knowledge Graph Memory Server_add_observations""", inputSchema={'properties': {'observations': {'items': {'properties': {'contents': {'description': 'An array of observation contents to add', 'items': {'type': 'string'}, 'type': 'array'}, 'entityName': {'description': 'The name of the entity to add the observations to', 'type': 'string'}}, 'required': ['entityName', 'contents'], 'type': 'object'}, 'type': 'array'}}, 'required': ['observations'], 'type': 'object'}, description="""Add new observations to existing entities in the knowledge graph"""), # T1nker-1220/Knowledge Graph Memory Server/add_observations
    Tool(name="""Knowledge Graph Memory Server_delete_entities""", inputSchema={'properties': {'entityNames': {'description': 'An array of entity names to delete', 'items': {'type': 'string'}, 'type': 'array'}}, 'required': ['entityNames'], 'type': 'object'}, description="""Delete multiple entities and their associated relations from the knowledge graph"""), # T1nker-1220/Knowledge Graph Memory Server/delete_entities
    Tool(name="""Knowledge Graph Memory Server_delete_observations""", inputSchema={'properties': {'deletions': {'items': {'properties': {'entityName': {'description': 'The name of the entity containing the observations', 'type': 'string'}, 'observations': {'description': 'An array of observations to delete', 'items': {'type': 'string'}, 'type': 'array'}}, 'required': ['entityName', 'observations'], 'type': 'object'}, 'type': 'array'}}, 'required': ['deletions'], 'type': 'object'}, description="""Delete specific observations from entities in the knowledge graph"""), # T1nker-1220/Knowledge Graph Memory Server/delete_observations
    Tool(name="""Knowledge Graph Memory Server_delete_relations""", inputSchema={'properties': {'relations': {'description': 'An array of relations to delete', 'items': {'properties': {'from': {'description': 'The name of the entity where the relation starts', 'type': 'string'}, 'relationType': {'description': 'The type of the relation', 'type': 'string'}, 'to': {'description': 'The name of the entity where the relation ends', 'type': 'string'}}, 'required': ['from', 'to', 'relationType'], 'type': 'object'}, 'type': 'array'}}, 'required': ['relations'], 'type': 'object'}, description="""Delete multiple relations from the knowledge graph"""), # T1nker-1220/Knowledge Graph Memory Server/delete_relations
    Tool(name="""Knowledge Graph Memory Server_read_graph""", inputSchema={'properties': {}, 'type': 'object'}, description="""Read the entire knowledge graph"""), # T1nker-1220/Knowledge Graph Memory Server/read_graph
    Tool(name="""Knowledge Graph Memory Server_search_nodes""", inputSchema={'properties': {'query': {'description': 'The search query to match against entity names, types, and observation content', 'type': 'string'}}, 'required': ['query'], 'type': 'object'}, description="""Search for nodes in the knowledge graph based on a query"""), # T1nker-1220/Knowledge Graph Memory Server/search_nodes
    Tool(name="""Knowledge Graph Memory Server_open_nodes""", inputSchema={'properties': {'names': {'description': 'An array of entity names to retrieve', 'items': {'type': 'string'}, 'type': 'array'}}, 'required': ['names'], 'type': 'object'}, description="""Open specific nodes in the knowledge graph by their names"""), # T1nker-1220/Knowledge Graph Memory Server/open_nodes
    Tool(name="""Knowledge Graph Memory Server_create_lesson""", inputSchema={'properties': {'lesson': {'properties': {'entityType': {'description': "Must be 'lesson'", 'enum': ['lesson'], 'type': 'string'}, 'errorPattern': {'properties': {'context': {'description': 'Where the error occurred', 'type': 'string'}, 'message': {'description': 'The error message', 'type': 'string'}, 'stackTrace': {'description': 'Optional stack trace', 'type': 'string'}, 'type': {'description': 'Category of the error', 'type': 'string'}}, 'required': ['type', 'message', 'context'], 'type': 'object'}, 'metadata': {'properties': {'environment': {'properties': {'dependencies': {'additionalProperties': {'type': 'string'}, 'type': 'object'}, 'nodeVersion': {'type': 'string'}, 'os': {'type': 'string'}}, 'type': 'object'}, 'severity': {'description': 'Severity level of the error', 'enum': ['low', 'medium', 'high', 'critical'], 'type': 'string'}}, 'type': 'object'}, 'name': {'description': 'Unique identifier for the lesson', 'type': 'string'}, 'observations': {'description': 'List of observations about the error and solution', 'items': {'type': 'string'}, 'type': 'array'}, 'verificationSteps': {'items': {'properties': {'command': {'description': 'Command to run', 'type': 'string'}, 'expectedOutput': {'description': 'Expected output', 'type': 'string'}, 'successIndicators': {'description': 'Indicators of success', 'items': {'type': 'string'}, 'type': 'array'}}, 'required': ['command', 'expectedOutput', 'successIndicators'], 'type': 'object'}, 'type': 'array'}}, 'required': ['name', 'entityType', 'observations', 'errorPattern', 'verificationSteps'], 'type': 'object'}}, 'required': ['lesson'], 'type': 'object'}, description="""Create a new lesson from an error and its solution"""), # T1nker-1220/Knowledge Graph Memory Server/create_lesson
    Tool(name="""Knowledge Graph Memory Server_find_similar_errors""", inputSchema={'properties': {'errorPattern': {'properties': {'context': {'description': 'Where the error occurred', 'type': 'string'}, 'message': {'description': 'The error message', 'type': 'string'}, 'type': {'description': 'Category of the error', 'type': 'string'}}, 'required': ['type', 'message', 'context'], 'type': 'object'}}, 'required': ['errorPattern'], 'type': 'object'}, description="""Find similar errors and their solutions in the knowledge graph"""), # T1nker-1220/Knowledge Graph Memory Server/find_similar_errors
    Tool(name="""Knowledge Graph Memory Server_update_lesson_success""", inputSchema={'properties': {'lessonName': {'description': 'Name of the lesson to update', 'type': 'string'}, 'success': {'description': 'Whether the solution was successful', 'type': 'boolean'}}, 'required': ['lessonName', 'success'], 'type': 'object'}, description="""Update the success rate of a lesson after applying its solution"""), # T1nker-1220/Knowledge Graph Memory Server/update_lesson_success
    Tool(name="""Knowledge Graph Memory Server_get_lesson_recommendations""", inputSchema={'properties': {'context': {'description': 'The current context to find relevant lessons for', 'type': 'string'}}, 'required': ['context'], 'type': 'object'}, description="""Get relevant lessons based on the current context"""), # T1nker-1220/Knowledge Graph Memory Server/get_lesson_recommendations
    Tool(name="""Deepseek Thinker MCP Server_get-deepseek-thinker""", inputSchema={'properties': {'originPrompt': {'description': "user's original prompt", 'type': 'string'}}, 'required': ['originPrompt'], 'type': 'object'}, description="""think with deepseek"""), # ruixingshi/Deepseek Thinker MCP Server/get-deepseek-thinker
    Tool(name="""Todoist MCP Server_todoist_create_task""", inputSchema={'properties': {'assignee_id': {'description': 'User ID to assign the task to (optional)', 'type': 'string'}, 'content': {'description': 'The content/title of the task (for single task creation)', 'type': 'string'}, 'deadline_date': {'description': 'Deadline date in YYYY-MM-DD format (optional)', 'type': 'string'}, 'deadline_lang': {'description': '2-letter language code for deadline parsing (optional)', 'type': 'string'}, 'description': {'description': 'Detailed description of the task (optional)', 'type': 'string'}, 'due_date': {'description': 'Due date in YYYY-MM-DD format (optional)', 'type': 'string'}, 'due_datetime': {'description': 'Due date and time in RFC3339 format (optional)', 'type': 'string'}, 'due_lang': {'description': '2-letter language code for due date parsing (optional)', 'type': 'string'}, 'due_string': {'description': "Natural language due date like 'tomorrow', 'next Monday' (optional)", 'type': 'string'}, 'duration': {'description': 'The duration amount of the task (optional)', 'type': 'number'}, 'duration_unit': {'description': "The duration unit ('minute' or 'day') (optional)", 'enum': ['minute', 'day'], 'type': 'string'}, 'labels': {'description': 'Array of label names to apply to the task (optional)', 'items': {'type': 'string'}, 'type': 'array'}, 'order': {'description': 'Position in the project or parent task (optional)', 'type': 'number'}, 'parent_id': {'description': 'ID of the parent task for subtasks (optional)', 'type': 'string'}, 'priority': {'description': 'Task priority from 1 (normal) to 4 (urgent) (optional)', 'enum': [1, 2, 3, 4], 'type': 'number'}, 'project_id': {'description': 'ID of the project to add the task to (optional)', 'type': 'string'}, 'section_id': {'description': 'ID of the section to add the task to (optional)', 'type': 'string'}, 'tasks': {'description': 'Array of tasks to create (for batch operations)', 'items': {'properties': {'assignee_id': {'description': 'User ID to assign the task to (optional)', 'type': 'string'}, 'content': {'description': 'The content/title of the task (required)', 'type': 'string'}, 'deadline_date': {'description': 'Deadline date in YYYY-MM-DD format (optional)', 'type': 'string'}, 'deadline_lang': {'description': '2-letter language code for deadline parsing (optional)', 'type': 'string'}, 'description': {'description': 'Detailed description of the task (optional)', 'type': 'string'}, 'due_date': {'description': 'Due date in YYYY-MM-DD format (optional)', 'type': 'string'}, 'due_datetime': {'description': 'Due date and time in RFC3339 format (optional)', 'type': 'string'}, 'due_lang': {'description': '2-letter language code for due date parsing (optional)', 'type': 'string'}, 'due_string': {'description': "Natural language due date like 'tomorrow', 'next Monday' (optional)", 'type': 'string'}, 'duration': {'description': 'The duration amount of the task (optional)', 'type': 'number'}, 'duration_unit': {'description': "The duration unit ('minute' or 'day') (optional)", 'enum': ['minute', 'day'], 'type': 'string'}, 'labels': {'description': 'Array of label names to apply to the task (optional)', 'items': {'type': 'string'}, 'type': 'array'}, 'order': {'description': 'Position in the project or parent task (optional)', 'type': 'number'}, 'parent_id': {'description': 'ID of the parent task for subtasks (optional)', 'type': 'string'}, 'priority': {'description': 'Task priority from 1 (normal) to 4 (urgent) (optional)', 'enum': [1, 2, 3, 4], 'type': 'number'}, 'project_id': {'description': 'ID of the project to add the task to (optional)', 'type': 'string'}, 'section_id': {'description': 'ID of the section to add the task to (optional)', 'type': 'string'}}, 'required': ['content'], 'type': 'object'}, 'type': 'array'}}, 'type': 'object'}, description="""Create one or more tasks in Todoist with full parameter support"""), # Chrusic/Todoist MCP Server/todoist_create_task
    Tool(name="""Todoist MCP Server_todoist_get_tasks""", inputSchema={'properties': {'filter': {'description': "Natural language filter like 'today', 'tomorrow', 'next week', 'priority 1', 'overdue' (optional)", 'type': 'string'}, 'ids': {'description': 'Array of specific task IDs to retrieve (optional)', 'items': {'type': 'string'}, 'type': 'array'}, 'label': {'description': 'Filter tasks by label name (optional)', 'type': 'string'}, 'lang': {'description': 'IETF language tag defining what language filter is written in (optional)', 'type': 'string'}, 'limit': {'default': 10, 'description': 'Maximum number of tasks to return (optional, client-side filtering)', 'type': 'number'}, 'priority': {'description': 'Filter by priority level (1-4) (optional)', 'enum': [1, 2, 3, 4], 'type': 'number'}, 'project_id': {'description': 'Filter tasks by project ID (optional)', 'type': 'string'}, 'section_id': {'description': 'Filter tasks by section ID (optional)', 'type': 'string'}}, 'type': 'object'}, description="""Get a list of tasks from Todoist with various filters - handles both single and batch retrieval"""), # Chrusic/Todoist MCP Server/todoist_get_tasks
    Tool(name="""Todoist MCP Server_todoist_update_task""", inputSchema={'anyOf': [{'required': ['tasks']}, {'required': ['task_id']}, {'required': ['task_name']}], 'properties': {'assignee_id': {'description': 'New user ID to assign the task to (optional)', 'type': 'string'}, 'content': {'description': 'New content/title for the task (optional)', 'type': 'string'}, 'deadline_date': {'description': 'New deadline date in YYYY-MM-DD format (optional)', 'type': 'string'}, 'deadline_lang': {'description': '2-letter language code for deadline parsing (optional)', 'type': 'string'}, 'description': {'description': 'New description for the task (optional)', 'type': 'string'}, 'due_date': {'description': 'New due date in YYYY-MM-DD format (optional)', 'type': 'string'}, 'due_datetime': {'description': 'New due date and time in RFC3339 format (optional)', 'type': 'string'}, 'due_lang': {'description': '2-letter language code for due date parsing (optional)', 'type': 'string'}, 'due_string': {'description': 'New due date in natural language (optional)', 'type': 'string'}, 'duration': {'description': 'New duration amount of the task (optional)', 'type': 'number'}, 'duration_unit': {'description': "New duration unit ('minute' or 'day') (optional)", 'enum': ['minute', 'day'], 'type': 'string'}, 'labels': {'description': 'New array of label names for the task (optional)', 'items': {'type': 'string'}, 'type': 'array'}, 'priority': {'description': 'New priority level from 1 (normal) to 4 (urgent) (optional)', 'enum': [1, 2, 3, 4], 'type': 'number'}, 'project_id': {'description': 'Move task to this project ID (optional)', 'type': 'string'}, 'section_id': {'description': 'Move task to this section ID (optional)', 'type': 'string'}, 'task_id': {'description': 'ID of the task to update (preferred)', 'type': 'string'}, 'task_name': {'description': 'Name/content of the task to search for (if ID not provided)', 'type': 'string'}, 'tasks': {'description': 'Array of tasks to update (for batch operations)', 'items': {'anyOf': [{'required': ['task_id']}, {'required': ['task_name']}], 'properties': {'assignee_id': {'description': 'New user ID to assign the task to (optional)', 'type': 'string'}, 'content': {'description': 'New content/title for the task (optional)', 'type': 'string'}, 'deadline_date': {'description': 'New deadline date in YYYY-MM-DD format (optional)', 'type': 'string'}, 'deadline_lang': {'description': '2-letter language code for deadline parsing (optional)', 'type': 'string'}, 'description': {'description': 'New description for the task (optional)', 'type': 'string'}, 'due_date': {'description': 'New due date in YYYY-MM-DD format (optional)', 'type': 'string'}, 'due_datetime': {'description': 'New due date and time in RFC3339 format (optional)', 'type': 'string'}, 'due_lang': {'description': '2-letter language code for due date parsing (optional)', 'type': 'string'}, 'due_string': {'description': 'New due date in natural language (optional)', 'type': 'string'}, 'duration': {'description': 'New duration amount of the task (optional)', 'type': 'number'}, 'duration_unit': {'description': "New duration unit ('minute' or 'day') (optional)", 'enum': ['minute', 'day'], 'type': 'string'}, 'labels': {'description': 'New array of label names for the task (optional)', 'items': {'type': 'string'}, 'type': 'array'}, 'priority': {'description': 'New priority level from 1 (normal) to 4 (urgent) (optional)', 'enum': [1, 2, 3, 4], 'type': 'number'}, 'project_id': {'description': 'Move task to this project ID (optional)', 'type': 'string'}, 'section_id': {'description': 'Move task to this section ID (optional)', 'type': 'string'}, 'task_id': {'description': 'ID of the task to update (preferred)', 'type': 'string'}, 'task_name': {'description': 'Name/content of the task to search for (if ID not provided)', 'type': 'string'}}, 'type': 'object'}, 'type': 'array'}}, 'type': 'object'}, description="""Update one or more tasks in Todoist with full parameter support"""), # Chrusic/Todoist MCP Server/todoist_update_task
    Tool(name="""Todoist MCP Server_todoist_delete_task""", inputSchema={'anyOf': [{'required': ['tasks']}, {'required': ['task_id']}, {'required': ['task_name']}], 'properties': {'task_id': {'description': 'ID of the task to delete (preferred)', 'type': 'string'}, 'task_name': {'description': 'Name/content of the task to search for and delete (if ID not provided)', 'type': 'string'}, 'tasks': {'description': 'Array of tasks to delete (for batch operations)', 'items': {'anyOf': [{'required': ['task_id']}, {'required': ['task_name']}], 'properties': {'task_id': {'description': 'ID of the task to delete (preferred)', 'type': 'string'}, 'task_name': {'description': 'Name/content of the task to search for and delete (if ID not provided)', 'type': 'string'}}, 'type': 'object'}, 'type': 'array'}}, 'type': 'object'}, description="""Delete one or more tasks from Todoist"""), # Chrusic/Todoist MCP Server/todoist_delete_task
    Tool(name="""Todoist MCP Server_todoist_complete_task""", inputSchema={'anyOf': [{'required': ['tasks']}, {'required': ['task_id']}, {'required': ['task_name']}], 'properties': {'task_id': {'description': 'ID of the task to complete (preferred)', 'type': 'string'}, 'task_name': {'description': 'Name/content of the task to search for and complete (if ID not provided)', 'type': 'string'}, 'tasks': {'description': 'Array of tasks to mark as complete (for batch operations)', 'items': {'anyOf': [{'required': ['task_id']}, {'required': ['task_name']}], 'properties': {'task_id': {'description': 'ID of the task to complete (preferred)', 'type': 'string'}, 'task_name': {'description': 'Name/content of the task to search for and complete (if ID not provided)', 'type': 'string'}}, 'type': 'object'}, 'type': 'array'}}, 'type': 'object'}, description="""Mark one or more tasks as complete in Todoist"""), # Chrusic/Todoist MCP Server/todoist_complete_task
    Tool(name="""Todoist MCP Server_todoist_get_projects""", inputSchema={'properties': {'include_hierarchy': {'default': False, 'description': 'Optional: Include full parent-child relationships', 'type': 'boolean'}, 'include_sections': {'default': False, 'description': 'Optional: Include sections within each project', 'type': 'boolean'}, 'project_ids': {'description': 'Optional: Specific project IDs to retrieve', 'items': {'type': 'string'}, 'type': 'array'}}, 'type': 'object'}, description="""Get projects with optional filtering and hierarchy information"""), # Chrusic/Todoist MCP Server/todoist_get_projects
    Tool(name="""Todoist MCP Server_todoist_create_project""", inputSchema={'anyOf': [{'required': ['projects']}, {'required': ['name']}], 'properties': {'color': {'description': 'Color of the project (optional)', 'enum': ['berry_red', 'red', 'orange', 'yellow', 'olive_green', 'lime_green', 'green', 'mint_green', 'teal', 'sky_blue', 'light_blue', 'blue', 'grape', 'violet', 'lavender', 'magenta', 'salmon', 'charcoal', 'grey', 'taupe'], 'type': 'string'}, 'favorite': {'description': 'Whether the project is a favorite (optional)', 'type': 'boolean'}, 'name': {'description': 'Name of the project (for single project creation)', 'type': 'string'}, 'parent_id': {'description': 'Parent project ID (optional)', 'type': 'string'}, 'projects': {'description': 'Array of projects to create (for batch operations)', 'items': {'properties': {'color': {'description': 'Color of the project (optional)', 'enum': ['berry_red', 'red', 'orange', 'yellow', 'olive_green', 'lime_green', 'green', 'mint_green', 'teal', 'sky_blue', 'light_blue', 'blue', 'grape', 'violet', 'lavender', 'magenta', 'salmon', 'charcoal', 'grey', 'taupe'], 'type': 'string'}, 'favorite': {'description': 'Whether the project is a favorite (optional)', 'type': 'boolean'}, 'name': {'description': 'Name of the project', 'type': 'string'}, 'parent_id': {'description': 'Parent project ID (optional)', 'type': 'string'}, 'parent_name': {'description': 'Name of the parent project (will be created or found automatically)', 'type': 'string'}, 'sections': {'description': 'Sections to create within this project (optional)', 'items': {'type': 'string'}, 'type': 'array'}, 'view_style': {'description': 'View style of the project (optional)', 'enum': ['list', 'board'], 'type': 'string'}}, 'required': ['name'], 'type': 'object'}, 'type': 'array'}, 'view_style': {'description': 'View style of the project (optional)', 'enum': ['list', 'board'], 'type': 'string'}}, 'type': 'object'}, description="""Create one or more projects with support for nested hierarchies"""), # Chrusic/Todoist MCP Server/todoist_create_project
    Tool(name="""Todoist MCP Server_todoist_update_project""", inputSchema={'anyOf': [{'required': ['projects']}, {'required': ['project_id']}], 'properties': {'color': {'description': 'New color for the project (optional)', 'enum': ['berry_red', 'red', 'orange', 'yellow', 'olive_green', 'lime_green', 'green', 'mint_green', 'teal', 'sky_blue', 'light_blue', 'blue', 'grape', 'violet', 'lavender', 'magenta', 'salmon', 'charcoal', 'grey', 'taupe'], 'type': 'string'}, 'favorite': {'description': 'Whether the project should be a favorite (optional)', 'type': 'boolean'}, 'name': {'description': 'New name for the project (optional)', 'type': 'string'}, 'project_id': {'description': 'ID of the project to update', 'type': 'string'}, 'projects': {'description': 'Array of projects to update (for batch operations)', 'items': {'anyOf': [{'required': ['project_id']}, {'required': ['project_name']}], 'properties': {'color': {'description': 'New color for the project (optional)', 'enum': ['berry_red', 'red', 'orange', 'yellow', 'olive_green', 'lime_green', 'green', 'mint_green', 'teal', 'sky_blue', 'light_blue', 'blue', 'grape', 'violet', 'lavender', 'magenta', 'salmon', 'charcoal', 'grey', 'taupe'], 'type': 'string'}, 'favorite': {'description': 'Whether the project should be a favorite (optional)', 'type': 'boolean'}, 'name': {'description': 'New name for the project (optional)', 'type': 'string'}, 'project_id': {'description': 'ID of the project to update (preferred)', 'type': 'string'}, 'project_name': {'description': 'Name of the project to update (if ID not provided)', 'type': 'string'}, 'view_style': {'description': 'View style of the project (optional)', 'enum': ['list', 'board'], 'type': 'string'}}, 'type': 'object'}, 'type': 'array'}, 'view_style': {'description': 'View style of the project (optional)', 'enum': ['list', 'board'], 'type': 'string'}}, 'type': 'object'}, description="""Update one or more projects in Todoist"""), # Chrusic/Todoist MCP Server/todoist_update_project
    Tool(name="""Todoist MCP Server_todoist_get_project_sections""", inputSchema={'anyOf': [{'required': ['projects']}, {'required': ['project_id']}, {'required': ['project_name']}], 'properties': {'include_empty': {'default': True, 'description': 'Whether to include sections with no tasks', 'type': 'boolean'}, 'project_id': {'description': 'ID of the project to get sections from', 'type': 'string'}, 'project_name': {'description': 'Name of the project to get sections from (if ID not provided)', 'type': 'string'}, 'projects': {'description': 'Array of projects to get sections from (for batch operations)', 'items': {'anyOf': [{'required': ['project_id']}, {'required': ['project_name']}], 'properties': {'project_id': {'description': 'ID of the project to get sections from (preferred)', 'type': 'string'}, 'project_name': {'description': 'Name of the project to get sections from (if ID not provided)', 'type': 'string'}}, 'type': 'object'}, 'type': 'array'}}, 'type': 'object'}, description="""Get sections from one or more projects in Todoist"""), # Chrusic/Todoist MCP Server/todoist_get_project_sections
    Tool(name="""Todoist MCP Server_todoist_create_project_section""", inputSchema={'anyOf': [{'required': ['sections']}, {'required': ['project_id', 'name']}], 'properties': {'name': {'description': 'Name of the section', 'type': 'string'}, 'order': {'description': 'Order of the section (optional)', 'type': 'number'}, 'project_id': {'description': 'ID of the project', 'type': 'string'}, 'sections': {'description': 'Array of sections to create (for batch operations)', 'items': {'anyOf': [{'required': ['project_id']}, {'required': ['project_name']}], 'properties': {'name': {'description': 'Name of the section', 'type': 'string'}, 'order': {'description': 'Order of the section (optional)', 'type': 'number'}, 'project_id': {'description': 'ID of the project to create the section in', 'type': 'string'}, 'project_name': {'description': 'Name of the project to create the section in (if ID not provided)', 'type': 'string'}}, 'required': ['name'], 'type': 'object'}, 'type': 'array'}}, 'type': 'object'}, description="""Create one or more sections in Todoist projects"""), # Chrusic/Todoist MCP Server/todoist_create_project_section
    Tool(name="""Todoist MCP Server_todoist_get_personal_labels""", inputSchema={'properties': {}, 'type': 'object'}, description="""Get all personal labels from Todoist"""), # Chrusic/Todoist MCP Server/todoist_get_personal_labels
    Tool(name="""Todoist MCP Server_todoist_remove_shared_labels""", inputSchema={'anyOf': [{'required': ['labels']}, {'required': ['name']}], 'properties': {'labels': {'description': 'Array of shared label names to remove (for batch operations)', 'items': {'properties': {'name': {'description': 'The name of the label to remove', 'type': 'string'}}, 'required': ['name'], 'type': 'object'}, 'type': 'array'}, 'name': {'description': 'The name of the label to remove', 'type': 'string'}}, 'type': 'object'}, description="""Remove one or more shared labels from Todoist tasks"""), # Chrusic/Todoist MCP Server/todoist_remove_shared_labels
    Tool(name="""Todoist MCP Server_todoist_create_personal_label""", inputSchema={'anyOf': [{'required': ['labels']}, {'required': ['name']}], 'properties': {'color': {'description': 'Color of the label (optional)', 'enum': ['berry_red', 'red', 'orange', 'yellow', 'olive_green', 'lime_green', 'green', 'mint_green', 'teal', 'sky_blue', 'light_blue', 'blue', 'grape', 'violet', 'lavender', 'magenta', 'salmon', 'charcoal', 'grey', 'taupe'], 'type': 'string'}, 'is_favorite': {'description': 'Whether the label is a favorite (optional)', 'type': 'boolean'}, 'labels': {'description': 'Array of labels to create (for batch operations)', 'items': {'properties': {'color': {'description': 'Color of the label (optional)', 'enum': ['berry_red', 'red', 'orange', 'yellow', 'olive_green', 'lime_green', 'green', 'mint_green', 'teal', 'sky_blue', 'light_blue', 'blue', 'grape', 'violet', 'lavender', 'magenta', 'salmon', 'charcoal', 'grey', 'taupe'], 'type': 'string'}, 'is_favorite': {'description': 'Whether the label is a favorite (optional)', 'type': 'boolean'}, 'name': {'description': 'Name of the label', 'type': 'string'}, 'order': {'description': 'Order of the label (optional)', 'type': 'number'}}, 'required': ['name'], 'type': 'object'}, 'type': 'array'}, 'name': {'description': 'Name of the label', 'type': 'string'}, 'order': {'description': 'Order of the label (optional)', 'type': 'number'}}, 'type': 'object'}, description="""Create one or more personal labels in Todoist"""), # Chrusic/Todoist MCP Server/todoist_create_personal_label
    Tool(name="""Todoist MCP Server_todoist_get_personal_label""", inputSchema={'properties': {'label_id': {'description': 'ID of the label to retrieve', 'type': 'string'}}, 'required': ['label_id'], 'type': 'object'}, description="""Get a personal label by ID"""), # Chrusic/Todoist MCP Server/todoist_get_personal_label
    Tool(name="""Todoist MCP Server_todoist_update_personal_label""", inputSchema={'anyOf': [{'required': ['labels']}, {'anyOf': [{'required': ['label_id']}, {'required': ['label_name']}]}], 'properties': {'color': {'description': 'New color for the label (optional)', 'enum': ['berry_red', 'red', 'orange', 'yellow', 'olive_green', 'lime_green', 'green', 'mint_green', 'teal', 'sky_blue', 'light_blue', 'blue', 'grape', 'violet', 'lavender', 'magenta', 'salmon', 'charcoal', 'grey', 'taupe'], 'type': 'string'}, 'is_favorite': {'description': 'Whether the label is a favorite (optional)', 'type': 'boolean'}, 'label_id': {'description': 'ID of the label to update', 'type': 'string'}, 'label_name': {'description': 'Name of the label to search for and update (if ID not provided)', 'type': 'string'}, 'labels': {'description': 'Array of labels to update (for batch operations)', 'items': {'anyOf': [{'required': ['label_id']}, {'required': ['label_name']}], 'properties': {'color': {'description': 'New color for the label (optional)', 'enum': ['berry_red', 'red', 'orange', 'yellow', 'olive_green', 'lime_green', 'green', 'mint_green', 'teal', 'sky_blue', 'light_blue', 'blue', 'grape', 'violet', 'lavender', 'magenta', 'salmon', 'charcoal', 'grey', 'taupe'], 'type': 'string'}, 'is_favorite': {'description': 'Whether the label is a favorite (optional)', 'type': 'boolean'}, 'label_id': {'description': 'ID of the label to update (preferred)', 'type': 'string'}, 'label_name': {'description': 'Name of the label to search for and update (if ID not provided)', 'type': 'string'}, 'name': {'description': 'New name for the label (optional)', 'type': 'string'}, 'order': {'description': 'New order for the label (optional)', 'type': 'number'}}, 'type': 'object'}, 'type': 'array'}, 'name': {'description': 'New name for the label (optional)', 'type': 'string'}, 'order': {'description': 'New order for the label (optional)', 'type': 'number'}}, 'type': 'object'}, description="""Update one or more existing personal labels in Todoist"""), # Chrusic/Todoist MCP Server/todoist_update_personal_label
    Tool(name="""Todoist MCP Server_todoist_delete_personal_label""", inputSchema={'properties': {'label_id': {'description': 'ID of the label to delete', 'type': 'string'}}, 'required': ['label_id'], 'type': 'object'}, description="""Delete a personal label from Todoist"""), # Chrusic/Todoist MCP Server/todoist_delete_personal_label
    Tool(name="""Todoist MCP Server_todoist_get_shared_labels""", inputSchema={'properties': {'omit_personal': {'description': "Whether to exclude the names of the user's personal labels from the results (default: false)", 'type': 'boolean'}}, 'type': 'object'}, description="""Get all shared labels from Todoist"""), # Chrusic/Todoist MCP Server/todoist_get_shared_labels
    Tool(name="""Todoist MCP Server_todoist_rename_shared_labels""", inputSchema={'anyOf': [{'required': ['labels']}, {'required': ['name', 'new_name']}], 'properties': {'labels': {'description': 'Array of label rename operations (for batch operations)', 'items': {'properties': {'name': {'description': 'The name of the existing label to rename', 'type': 'string'}, 'new_name': {'description': 'The new name for the label', 'type': 'string'}}, 'required': ['name', 'new_name'], 'type': 'object'}, 'type': 'array'}, 'name': {'description': 'The name of the existing label to rename', 'type': 'string'}, 'new_name': {'description': 'The new name for the label', 'type': 'string'}}, 'type': 'object'}, description="""Rename one or more shared labels in Todoist"""), # Chrusic/Todoist MCP Server/todoist_rename_shared_labels
    Tool(name="""Todoist MCP Server_todoist_update_task_labels""", inputSchema={'anyOf': [{'required': ['tasks']}, {'anyOf': [{'required': ['task_id']}, {'required': ['task_name']}], 'required': ['labels']}], 'properties': {'labels': {'description': 'Array of label names to set for the task', 'items': {'type': 'string'}, 'type': 'array'}, 'task_id': {'description': 'ID of the task to update labels for (preferred)', 'type': 'string'}, 'task_name': {'description': 'Name/content of the task to search for and update labels (if ID not provided)', 'type': 'string'}, 'tasks': {'description': 'Array of tasks to update labels for (for batch operations)', 'items': {'anyOf': [{'required': ['task_id']}, {'required': ['task_name']}], 'properties': {'labels': {'description': 'Array of label names to set for the task', 'items': {'type': 'string'}, 'type': 'array'}, 'task_id': {'description': 'ID of the task to update labels for (preferred)', 'type': 'string'}, 'task_name': {'description': 'Name/content of the task to search for and update labels (if ID not provided)', 'type': 'string'}}, 'required': ['labels'], 'type': 'object'}, 'type': 'array'}}, 'type': 'object'}, description="""Update the labels of one or more tasks in Todoist"""), # Chrusic/Todoist MCP Server/todoist_update_task_labels
    Tool(name="""MCP Server for Apache Airflow_list_dags""", inputSchema={'properties': {'dag_id_pattern': {'description': 'If set, only return DAGs with dag_ids matching this pattern', 'type': 'string'}, 'limit': {'description': 'The numbers of items to return (default: 100)', 'minimum': 1, 'type': 'integer'}, 'offset': {'description': 'The number of items to skip before starting to collect the result set', 'minimum': 0, 'type': 'integer'}, 'only_active': {'description': 'Only filter active DAGs (default: true)', 'type': 'boolean'}, 'order_by': {'description': 'The name of the field to order the results by. Prefix with - to reverse sort order', 'type': 'string'}, 'paused': {'description': 'Only filter paused/unpaused DAGs. If absent, returns both', 'type': 'boolean'}, 'tags': {'description': 'List of tags to filter results', 'items': {'type': 'string'}, 'type': 'array'}}, 'type': 'object'}, description="""Lists all DAGs in the Airflow instance"""), # yangkyeongmo/MCP Server for Apache Airflow/list_dags
    Tool(name="""MCP Server for Apache Airflow_get_dag""", inputSchema={'properties': {'dag_id': {'description': 'The ID of the DAG to retrieve', 'type': 'string'}}, 'required': ['dag_id'], 'type': 'object'}, description="""Get details of a specific DAG"""), # yangkyeongmo/MCP Server for Apache Airflow/get_dag
    Tool(name="""MCP Server for Apache Airflow_unpause_dag""", inputSchema={'properties': {'dag_id': {'description': 'The ID of the DAG to unpause', 'type': 'string'}}, 'required': ['dag_id'], 'type': 'object'}, description="""Unpause a DAG"""), # yangkyeongmo/MCP Server for Apache Airflow/unpause_dag
    Tool(name="""MCP Server for Apache Airflow_pause_dag""", inputSchema={'properties': {'dag_id': {'description': 'The ID of the DAG to pause', 'type': 'string'}}, 'required': ['dag_id'], 'type': 'object'}, description="""Pause a DAG"""), # yangkyeongmo/MCP Server for Apache Airflow/pause_dag
    Tool(name="""MCP Server for Apache Airflow_trigger_dag""", inputSchema={'properties': {'dag_id': {'description': 'The ID of the DAG to trigger', 'type': 'string'}}, 'required': ['dag_id'], 'type': 'object'}, description="""Trigger a DAG run"""), # yangkyeongmo/MCP Server for Apache Airflow/trigger_dag
    Tool(name="""MCP Server for Apache Airflow_get_dag_runs""", inputSchema={'properties': {'dag_id': {'description': 'The ID of the DAG to retrieve DAG runs for', 'type': 'string'}, 'end_date_gte': {'description': 'Returns objects greater or equal the specified date', 'format': 'date-time', 'type': 'string'}, 'end_date_lte': {'description': 'Returns objects less than or equal to the specified date', 'format': 'date-time', 'type': 'string'}, 'execution_date_gte': {'description': 'Returns objects greater or equal to the specified date', 'format': 'date-time', 'type': 'string'}, 'execution_date_lte': {'description': 'Returns objects less than or equal to the specified date', 'format': 'date-time', 'type': 'string'}, 'limit': {'description': 'The numbers of items to return (default: 100)', 'minimum': 1, 'type': 'integer'}, 'offset': {'description': 'The number of items to skip before starting to collect the result set', 'minimum': 0, 'type': 'integer'}, 'order_by': {'description': 'The name of the field to order the results by. Prefix with - to reverse sort order', 'type': 'string'}, 'start_date_gte': {'description': 'Returns objects greater or equal the specified date', 'format': 'date-time', 'type': 'string'}, 'start_date_lte': {'description': 'Returns objects less or equal the specified date', 'format': 'date-time', 'type': 'string'}, 'state': {'description': 'The value can be repeated to retrieve multiple matching values (OR condition)', 'items': {'type': 'string'}, 'type': 'array'}, 'updated_at_gte': {'description': 'Returns objects greater or equal the specified date', 'format': 'date-time', 'type': 'string'}, 'updated_at_lte': {'description': 'Returns objects less or equal the specified date', 'format': 'date-time', 'type': 'string'}}, 'required': ['dag_id'], 'type': 'object'}, description="""Get DAG runs for a specific DAG"""), # yangkyeongmo/MCP Server for Apache Airflow/get_dag_runs
    Tool(name="""MCP Server for Apache Airflow_get_dag_tasks""", inputSchema={'properties': {'dag_id': {'description': 'The ID of the DAG to retrieve tasks for', 'type': 'string'}}, 'required': ['dag_id'], 'type': 'object'}, description="""Get tasks for a specific DAG"""), # yangkyeongmo/MCP Server for Apache Airflow/get_dag_tasks
    Tool(name="""MCP Server for Apache Airflow_get_task_instance""", inputSchema={'properties': {'dag_id': {'description': 'The ID of the DAG', 'type': 'string'}, 'dag_run_id': {'description': 'The ID of the DAG run', 'type': 'string'}, 'task_id': {'description': 'The ID of the task', 'type': 'string'}}, 'required': ['dag_id', 'task_id', 'dag_run_id'], 'type': 'object'}, description="""Get details of a specific task instance"""), # yangkyeongmo/MCP Server for Apache Airflow/get_task_instance
    Tool(name="""MCP Server for Apache Airflow_list_task_instances""", inputSchema={'properties': {'dag_id': {'description': 'The ID of the DAG', 'type': 'string'}, 'dag_run_id': {'description': 'The ID of the DAG run', 'type': 'string'}, 'duration_gte': {'description': 'Returns objects greater than or equal to the specified values', 'type': 'number'}, 'duration_lte': {'description': 'Returns objects less than or equal to the specified values', 'type': 'number'}, 'end_date_gte': {'description': 'Returns objects greater or equal the specified date', 'format': 'date-time', 'type': 'string'}, 'end_date_lte': {'description': 'Returns objects less than or equal to the specified date', 'format': 'date-time', 'type': 'string'}, 'execution_date_gte': {'description': 'Returns objects greater or equal to the specified date', 'format': 'date-time', 'type': 'string'}, 'execution_date_lte': {'description': 'Returns objects less than or equal to the specified date', 'format': 'date-time', 'type': 'string'}, 'limit': {'description': 'The numbers of items to return (default: 100)', 'minimum': 1, 'type': 'integer'}, 'offset': {'description': 'The number of items to skip before starting to collect the result set', 'minimum': 0, 'type': 'integer'}, 'pool': {'description': 'The value can be repeated to retrieve multiple matching values (OR condition)', 'items': {'type': 'string'}, 'type': 'array'}, 'queue': {'description': 'The value can be repeated to retrieve multiple matching values (OR condition)', 'items': {'type': 'string'}, 'type': 'array'}, 'start_date_gte': {'description': 'Returns objects greater or equal the specified date', 'format': 'date-time', 'type': 'string'}, 'start_date_lte': {'description': 'Returns objects less or equal the specified date', 'format': 'date-time', 'type': 'string'}, 'state': {'description': 'States of the task instance. The value can be repeated to retrieve multiple matching values (OR condition)', 'items': {'type': 'string'}, 'type': 'array'}, 'updated_at_gte': {'description': 'Returns objects greater or equal the specified date', 'format': 'date-time', 'type': 'string'}, 'updated_at_lte': {'description': 'Returns objects less or equal the specified date', 'format': 'date-time', 'type': 'string'}}, 'required': ['dag_id', 'dag_run_id'], 'type': 'object'}, description="""List all task instances for a specific DAG run"""), # yangkyeongmo/MCP Server for Apache Airflow/list_task_instances
    Tool(name="""MCP Server for Apache Airflow_get_import_error""", inputSchema={'properties': {'import_error_id': {'description': 'The ID of the import error to retrieve', 'type': 'integer'}}, 'required': ['import_error_id'], 'type': 'object'}, description="""Get details of a specific import error"""), # yangkyeongmo/MCP Server for Apache Airflow/get_import_error
    Tool(name="""MCP Server for Apache Airflow_list_import_errors""", inputSchema={'properties': {'limit': {'description': 'The numbers of items to return (default: 100)', 'minimum': 1, 'type': 'integer'}, 'offset': {'description': 'The number of items to skip before starting to collect the result set', 'minimum': 0, 'type': 'integer'}, 'order_by': {'description': 'The name of the field to order the results by. Prefix with - to reverse sort order', 'type': 'string'}}, 'type': 'object'}, description="""List all import errors"""), # yangkyeongmo/MCP Server for Apache Airflow/list_import_errors
    Tool(name="""MCP Server for Apache Airflow_get_health""", inputSchema={'properties': {}, 'type': 'object'}, description="""Get the health status of the Airflow instance"""), # yangkyeongmo/MCP Server for Apache Airflow/get_health
    Tool(name="""MCP Server for Apache Airflow_get_version""", inputSchema={'properties': {}, 'type': 'object'}, description="""Get the version information of the Airflow instance"""), # yangkyeongmo/MCP Server for Apache Airflow/get_version
    Tool(name="""Figma MCP Server_add_figma_file""", inputSchema={'properties': {'url': {'description': 'The URL of the Figma file to add', 'type': 'string'}}, 'required': ['url'], 'type': 'object'}, description="""Add a Figma file to your context"""), # GLips/Figma MCP Server/add_figma_file
    Tool(name="""Figma MCP Server_view_node""", inputSchema={'properties': {'file_key': {'description': 'The key of the Figma file', 'type': 'string'}, 'node_id': {'description': 'The ID of the node to view. Node ids have the format `<number>:<number>`', 'type': 'string'}}, 'required': ['file_key', 'node_id'], 'type': 'object'}, description="""Get a thumbnail for a specific node in a Figma file"""), # GLips/Figma MCP Server/view_node
    Tool(name="""Figma MCP Server_read_comments""", inputSchema={'properties': {'file_key': {'description': 'The key of the Figma file', 'type': 'string'}}, 'required': ['file_key'], 'type': 'object'}, description="""Get all comments on a Figma file"""), # GLips/Figma MCP Server/read_comments
    Tool(name="""Figma MCP Server_post_comment""", inputSchema={'properties': {'file_key': {'description': 'The key of the Figma file', 'type': 'string'}, 'message': {'description': 'The comment message', 'type': 'string'}, 'node_id': {'description': 'The ID of the node to comment on. Node ids have the format `<number>:<number>`', 'type': 'string'}, 'x': {'description': 'The x coordinate of the comment pin', 'type': 'number'}, 'y': {'description': 'The y coordinate of the comment pin', 'type': 'number'}}, 'required': ['file_key', 'message', 'x', 'y'], 'type': 'object'}, description="""Post a comment on a node in a Figma file"""), # GLips/Figma MCP Server/post_comment
    Tool(name="""Figma MCP Server_reply_to_comment""", inputSchema={'properties': {'comment_id': {'description': 'The ID of the comment to reply to. Comment ids have the format `<number>`', 'type': 'string'}, 'file_key': {'description': 'The key of the Figma file', 'type': 'string'}, 'message': {'description': 'The reply message', 'type': 'string'}}, 'required': ['file_key', 'comment_id', 'message'], 'type': 'object'}, description="""Reply to an existing comment in a Figma file"""), # GLips/Figma MCP Server/reply_to_comment
    Tool(name="""Bear MCP Server_open_note""", inputSchema={'properties': {'id': {'anyOf': [{'type': 'string'}, {'type': 'null'}], 'default': None, 'description': 'note unique identifier', 'title': 'Id'}, 'title': {'anyOf': [{'type': 'string'}, {'type': 'null'}], 'default': None, 'description': 'note title', 'title': 'Title'}}, 'title': 'open_noteArguments', 'type': 'object'}, description="""Open a note identified by its title or id and return its content."""), # jkawamoto/Bear MCP Server/open_note
    Tool(name="""Bear MCP Server_create""", inputSchema={'properties': {'tags': {'anyOf': [{'items': {'type': 'string'}, 'type': 'array'}, {'type': 'null'}], 'default': None, 'description': 'list of tags', 'title': 'Tags'}, 'text': {'anyOf': [{'type': 'string'}, {'type': 'null'}], 'default': None, 'description': 'note body', 'title': 'Text'}, 'timestamp': {'default': False, 'description': 'prepend the current date and time to the text', 'title': 'Timestamp', 'type': 'boolean'}, 'title': {'anyOf': [{'type': 'string'}, {'type': 'null'}], 'default': None, 'description': 'note title', 'title': 'Title'}}, 'title': 'createArguments', 'type': 'object'}, description="""Create a new note and return its unique identifier. Empty notes are not allowed."""), # jkawamoto/Bear MCP Server/create
    Tool(name="""Bear MCP Server_tags""", inputSchema={'properties': {}, 'title': 'tagsArguments', 'type': 'object'}, description="""Return all the tags currently displayed in Bears sidebar."""), # jkawamoto/Bear MCP Server/tags
    Tool(name="""Bear MCP Server_open_tag""", inputSchema={'properties': {'name': {'description': 'tag name or a list of tags divided by comma', 'title': 'Name', 'type': 'string'}}, 'required': ['name'], 'title': 'open_tagArguments', 'type': 'object'}, description="""Show all the notes which have a selected tag in bear."""), # jkawamoto/Bear MCP Server/open_tag
    Tool(name="""Bear MCP Server_todo""", inputSchema={'properties': {'search': {'anyOf': [{'type': 'string'}, {'type': 'null'}], 'default': None, 'description': 'string to search', 'title': 'Search'}}, 'title': 'todoArguments', 'type': 'object'}, description="""Select the Todo sidebar item."""), # jkawamoto/Bear MCP Server/todo
    Tool(name="""Bear MCP Server_today""", inputSchema={'properties': {'search': {'anyOf': [{'type': 'string'}, {'type': 'null'}], 'default': None, 'description': 'string to search', 'title': 'Search'}}, 'title': 'todayArguments', 'type': 'object'}, description="""Select the Today sidebar item."""), # jkawamoto/Bear MCP Server/today
    Tool(name="""Bear MCP Server_search""", inputSchema={'properties': {'tag': {'anyOf': [{'type': 'string'}, {'type': 'null'}], 'default': None, 'description': 'tag to search into', 'title': 'Tag'}, 'term': {'anyOf': [{'type': 'string'}, {'type': 'null'}], 'default': None, 'description': 'string to search', 'title': 'Term'}}, 'title': 'searchArguments', 'type': 'object'}, description="""Show search results in Bear for all notes or for a specific tag."""), # jkawamoto/Bear MCP Server/search
    Tool(name="""Bear MCP Server_grab_url""", inputSchema={'properties': {'tags': {'anyOf': [{'items': {'type': 'string'}, 'type': 'array'}, {'type': 'null'}], 'default': None, 'description': 'list of tags. If tags are specified in the Bears web content preferences, this parameter is ignored.', 'title': 'Tags'}, 'url': {'description': 'url to grab', 'title': 'Url', 'type': 'string'}}, 'required': ['url'], 'title': 'grab_urlArguments', 'type': 'object'}, description="""Create a new note with the content of a web page and return its unique identifier."""), # jkawamoto/Bear MCP Server/grab_url
    Tool(name="""Singapore LTA MCP Server_bus_arrival""", inputSchema={'properties': {'busStopCode': {'description': 'The unique 5-digit bus stop code', 'type': 'string'}, 'serviceNo': {'description': 'Optional bus service number to filter results', 'type': 'string'}}, 'required': ['busStopCode'], 'type': 'object'}, description="""Get real-time bus arrival information for a specific bus stop and optionally a specific service number. Returns estimated arrival times, bus locations, and crowding levels."""), # arjunkmrm/Singapore LTA MCP Server/bus_arrival
    Tool(name="""Singapore LTA MCP Server_station_crowding""", inputSchema={'properties': {'trainLine': {'description': 'Code of train network line (CCL, CEL, CGL, DTL, EWL, NEL, NSL, BPL, SLRT, PLRT, TEL)', 'enum': ['CCL', 'CEL', 'CGL', 'DTL', 'EWL', 'NEL', 'NSL', 'BPL', 'SLRT', 'PLRT', 'TEL'], 'type': 'string'}}, 'required': ['trainLine'], 'type': 'object'}, description="""Get real-time MRT/LRT station crowdedness level for a particular train network line. Updates every 10 minutes."""), # arjunkmrm/Singapore LTA MCP Server/station_crowding
    Tool(name="""Singapore LTA MCP Server_train_alerts""", inputSchema={'properties': {}, 'type': 'object'}, description="""Get real-time train service alerts including service disruptions and shuttle services. Updates when there are changes."""), # arjunkmrm/Singapore LTA MCP Server/train_alerts
    Tool(name="""Singapore LTA MCP Server_carpark_availability""", inputSchema={'properties': {}, 'type': 'object'}, description="""Get real-time availability of parking lots for HDB, LTA, and URA carparks. Updates every minute."""), # arjunkmrm/Singapore LTA MCP Server/carpark_availability
    Tool(name="""Singapore LTA MCP Server_travel_times""", inputSchema={'properties': {}, 'type': 'object'}, description="""Get estimated travel times on expressway segments. Updates every 5 minutes."""), # arjunkmrm/Singapore LTA MCP Server/travel_times
    Tool(name="""Singapore LTA MCP Server_traffic_incidents""", inputSchema={'properties': {}, 'type': 'object'}, description="""Get current road incidents including accidents, roadworks, and heavy traffic. Updates every 2 minutes."""), # arjunkmrm/Singapore LTA MCP Server/traffic_incidents
    Tool(name="""Singapore LTA MCP Server_station_crowd_forecast""", inputSchema={'properties': {'trainLine': {'description': 'Code of train network line (CCL, CEL, CGL, DTL, EWL, NEL, NSL, BPL, SLRT, PLRT, TEL)', 'enum': ['CCL', 'CEL', 'CGL', 'DTL', 'EWL', 'NEL', 'NSL', 'BPL', 'SLRT', 'PLRT', 'TEL'], 'type': 'string'}}, 'required': ['trainLine'], 'type': 'object'}, description="""Get forecasted MRT/LRT station crowdedness levels in 30-minute intervals."""), # arjunkmrm/Singapore LTA MCP Server/station_crowd_forecast
    Tool(name="""SearXNG MCP Server_web_search""", inputSchema={'properties': {'categories': {'default': ['general'], 'items': {'enum': ['general', 'news', 'science', 'files', 'images', 'videos', 'music', 'social media', 'it'], 'type': 'string'}, 'type': 'array'}, 'language': {'default': 'all', 'description': "Search language code (e.g. 'en', 'zh', 'jp', 'all')", 'type': 'string'}, 'page': {'default': 1, 'description': 'Page number (default 1)', 'type': 'number'}, 'query': {'description': 'Search query', 'type': 'string'}, 'safesearch': {'default': 1, 'description': '0: None, 1: Moderate, 2: Strict', 'type': 'number'}, 'time_range': {'default': '', 'enum': ['', 'day', 'week', 'month', 'year'], 'type': 'string'}}, 'required': ['query'], 'type': 'object'}, description="""Performs a web search using SearXNG, ideal for general queries, news, articles and online content. Supports multiple search categories, languages, time ranges and safe search filtering. Returns relevant results from multiple search engines combined."""), # kevinwatt/SearXNG MCP Server/web_search
    Tool(name="""Git MCP Server_init""", inputSchema={'properties': {'path': {'description': 'Path to initialize the repository in. MUST be an absolute path (e.g., /Users/username/projects/my-repo)', 'type': 'string'}}, 'required': [], 'type': 'object'}, description="""Initialize a new Git repository"""), # Sheshiyer/Git MCP Server/init
    Tool(name="""Git MCP Server_clone""", inputSchema={'properties': {'path': {'description': 'Path to clone into. MUST be an absolute path (e.g., /Users/username/projects/my-repo)', 'type': 'string'}, 'url': {'description': 'URL of the repository to clone', 'type': 'string'}}, 'required': ['url'], 'type': 'object'}, description="""Clone a repository"""), # Sheshiyer/Git MCP Server/clone
    Tool(name="""Git MCP Server_status""", inputSchema={'properties': {'path': {'description': 'Path to repository. MUST be an absolute path (e.g., /Users/username/projects/my-repo)', 'type': 'string'}}, 'required': [], 'type': 'object'}, description="""Get repository status"""), # Sheshiyer/Git MCP Server/status
    Tool(name="""Git MCP Server_add""", inputSchema={'properties': {'files': {'description': 'Files to stage', 'items': {'description': 'MUST be an absolute path (e.g., /Users/username/projects/my-repo/src/file.js)', 'type': 'string'}, 'type': 'array'}, 'path': {'description': 'Path to repository. MUST be an absolute path (e.g., /Users/username/projects/my-repo)', 'type': 'string'}}, 'required': ['files'], 'type': 'object'}, description="""Stage files"""), # Sheshiyer/Git MCP Server/add
    Tool(name="""Git MCP Server_commit""", inputSchema={'properties': {'message': {'description': 'Commit message', 'type': 'string'}, 'path': {'description': 'Path to repository. MUST be an absolute path (e.g., /Users/username/projects/my-repo)', 'type': 'string'}}, 'required': ['message'], 'type': 'object'}, description="""Create a commit"""), # Sheshiyer/Git MCP Server/commit
    Tool(name="""Git MCP Server_push""", inputSchema={'properties': {'branch': {'description': 'Branch name', 'type': 'string'}, 'force': {'default': False, 'description': 'Force push changes', 'type': 'boolean'}, 'noVerify': {'default': False, 'description': 'Skip pre-push hooks', 'type': 'boolean'}, 'path': {'description': 'Path to repository. MUST be an absolute path (e.g., /Users/username/projects/my-repo)', 'type': 'string'}, 'remote': {'default': 'origin', 'description': 'Remote name', 'type': 'string'}, 'tags': {'default': False, 'description': 'Push all tags', 'type': 'boolean'}}, 'required': ['branch'], 'type': 'object'}, description="""Push commits to remote"""), # Sheshiyer/Git MCP Server/push
    Tool(name="""Git MCP Server_pull""", inputSchema={'properties': {'branch': {'description': 'Branch name', 'type': 'string'}, 'path': {'description': 'Path to repository. MUST be an absolute path (e.g., /Users/username/projects/my-repo)', 'type': 'string'}, 'remote': {'default': 'origin', 'description': 'Remote name', 'type': 'string'}}, 'required': ['branch'], 'type': 'object'}, description="""Pull changes from remote"""), # Sheshiyer/Git MCP Server/pull
    Tool(name="""Git MCP Server_branch_list""", inputSchema={'properties': {'path': {'description': 'Path to repository. MUST be an absolute path (e.g., /Users/username/projects/my-repo)', 'type': 'string'}}, 'required': [], 'type': 'object'}, description="""List all branches"""), # Sheshiyer/Git MCP Server/branch_list
    Tool(name="""Git MCP Server_remote_remove""", inputSchema={'properties': {'name': {'description': 'Remote name', 'type': 'string'}, 'path': {'description': 'Path to repository. MUST be an absolute path (e.g., /Users/username/projects/my-repo)', 'type': 'string'}}, 'required': ['name'], 'type': 'object'}, description="""Remove a remote"""), # Sheshiyer/Git MCP Server/remote_remove
    Tool(name="""Git MCP Server_stash_list""", inputSchema={'properties': {'path': {'description': 'Path to repository. MUST be an absolute path (e.g., /Users/username/projects/my-repo)', 'type': 'string'}}, 'required': [], 'type': 'object'}, description="""List stashes"""), # Sheshiyer/Git MCP Server/stash_list
    Tool(name="""Git MCP Server_branch_create""", inputSchema={'properties': {'force': {'default': False, 'description': 'Force create branch even if it exists', 'type': 'boolean'}, 'name': {'description': 'Branch name', 'type': 'string'}, 'path': {'description': 'Path to repository. MUST be an absolute path (e.g., /Users/username/projects/my-repo)', 'type': 'string'}, 'setUpstream': {'default': False, 'description': 'Set upstream for push/pull', 'type': 'boolean'}, 'track': {'default': True, 'description': 'Set up tracking mode', 'type': 'boolean'}}, 'required': ['name'], 'type': 'object'}, description="""Create a new branch"""), # Sheshiyer/Git MCP Server/branch_create
    Tool(name="""Git MCP Server_branch_delete""", inputSchema={'properties': {'name': {'description': 'Branch name', 'type': 'string'}, 'path': {'description': 'Path to repository. MUST be an absolute path (e.g., /Users/username/projects/my-repo)', 'type': 'string'}}, 'required': ['name'], 'type': 'object'}, description="""Delete a branch"""), # Sheshiyer/Git MCP Server/branch_delete
    Tool(name="""Git MCP Server_checkout""", inputSchema={'properties': {'path': {'description': 'Path to repository. MUST be an absolute path (e.g., /Users/username/projects/my-repo)', 'type': 'string'}, 'target': {'description': 'Branch name, commit hash, or file path', 'type': 'string'}}, 'required': ['target'], 'type': 'object'}, description="""Switch branches or restore working tree files"""), # Sheshiyer/Git MCP Server/checkout
    Tool(name="""Git MCP Server_tag_list""", inputSchema={'properties': {'path': {'description': 'Path to repository. MUST be an absolute path (e.g., /Users/username/projects/my-repo)', 'type': 'string'}}, 'required': [], 'type': 'object'}, description="""List tags"""), # Sheshiyer/Git MCP Server/tag_list
    Tool(name="""Git MCP Server_tag_create""", inputSchema={'properties': {'annotated': {'default': True, 'description': 'Create an annotated tag', 'type': 'boolean'}, 'force': {'default': False, 'description': 'Force create tag even if it exists', 'type': 'boolean'}, 'message': {'description': 'Tag message', 'type': 'string'}, 'name': {'description': 'Tag name', 'type': 'string'}, 'path': {'description': 'Path to repository. MUST be an absolute path (e.g., /Users/username/projects/my-repo)', 'type': 'string'}, 'sign': {'default': False, 'description': 'Create a signed tag', 'type': 'boolean'}}, 'required': ['name'], 'type': 'object'}, description="""Create a tag"""), # Sheshiyer/Git MCP Server/tag_create
    Tool(name="""Git MCP Server_tag_delete""", inputSchema={'properties': {'name': {'description': 'Tag name', 'type': 'string'}, 'path': {'description': 'Path to repository. MUST be an absolute path (e.g., /Users/username/projects/my-repo)', 'type': 'string'}}, 'required': ['name'], 'type': 'object'}, description="""Delete a tag"""), # Sheshiyer/Git MCP Server/tag_delete
    Tool(name="""Git MCP Server_remote_list""", inputSchema={'properties': {'path': {'description': 'Path to repository. MUST be an absolute path (e.g., /Users/username/projects/my-repo)', 'type': 'string'}}, 'required': [], 'type': 'object'}, description="""List remotes"""), # Sheshiyer/Git MCP Server/remote_list
    Tool(name="""Git MCP Server_remote_add""", inputSchema={'properties': {'name': {'description': 'Remote name', 'type': 'string'}, 'path': {'description': 'Path to repository. MUST be an absolute path (e.g., /Users/username/projects/my-repo)', 'type': 'string'}, 'url': {'description': 'Remote URL', 'type': 'string'}}, 'required': ['name', 'url'], 'type': 'object'}, description="""Add a remote"""), # Sheshiyer/Git MCP Server/remote_add
    Tool(name="""Git MCP Server_stash_save""", inputSchema={'properties': {'all': {'default': False, 'description': 'Include ignored files', 'type': 'boolean'}, 'includeUntracked': {'default': False, 'description': 'Include untracked files', 'type': 'boolean'}, 'keepIndex': {'default': False, 'description': 'Keep staged changes', 'type': 'boolean'}, 'message': {'description': 'Stash message', 'type': 'string'}, 'path': {'description': 'Path to repository. MUST be an absolute path (e.g., /Users/username/projects/my-repo)', 'type': 'string'}}, 'required': [], 'type': 'object'}, description="""Save changes to stash"""), # Sheshiyer/Git MCP Server/stash_save
    Tool(name="""Git MCP Server_stash_pop""", inputSchema={'properties': {'index': {'default': 0, 'description': 'Stash index', 'type': 'number'}, 'path': {'description': 'Path to repository. MUST be an absolute path (e.g., /Users/username/projects/my-repo)', 'type': 'string'}}, 'required': [], 'type': 'object'}, description="""Apply and remove a stash"""), # Sheshiyer/Git MCP Server/stash_pop
    Tool(name="""Git MCP Server_bulk_action""", inputSchema={'properties': {'actions': {'description': 'Array of Git operations to execute in sequence', 'items': {'oneOf': [{'properties': {'files': {'description': 'Files to stage. If not provided, stages all changes.', 'items': {'description': 'MUST be an absolute path (e.g., /Users/username/projects/my-repo/src/file.js)', 'type': 'string'}, 'type': 'array'}, 'type': {'const': 'stage'}}, 'required': ['type'], 'type': 'object'}, {'properties': {'message': {'description': 'Commit message', 'type': 'string'}, 'type': {'const': 'commit'}}, 'required': ['type', 'message'], 'type': 'object'}, {'properties': {'branch': {'description': 'Branch name', 'type': 'string'}, 'remote': {'default': 'origin', 'description': 'Remote name', 'type': 'string'}, 'type': {'const': 'push'}}, 'required': ['type', 'branch'], 'type': 'object'}], 'type': 'object'}, 'minItems': 1, 'type': 'array'}, 'path': {'description': 'Path to repository. MUST be an absolute path (e.g., /Users/username/projects/my-repo)', 'type': 'string'}}, 'required': ['actions'], 'type': 'object'}, description="""Execute multiple Git operations in sequence. This is the preferred way to execute multiple operations."""), # Sheshiyer/Git MCP Server/bulk_action
    Tool(name="""Portkey MCP Server_list_all_users""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {}, 'type': 'object'}, description="""List all users in your Portkey organization, including their roles and account details"""), # r-huijts/Portkey MCP Server/list_all_users
    Tool(name="""Portkey MCP Server_invite_user""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'email': {'description': 'Email address of the user to invite', 'format': 'email', 'type': 'string'}, 'first_name': {'description': "User's first name", 'type': 'string'}, 'last_name': {'description': "User's last name", 'type': 'string'}, 'role': {'description': "Organization-level role: 'admin' for full access, 'member' for limited access", 'enum': ['admin', 'member'], 'type': 'string'}, 'workspace_api_key_details': {'additionalProperties': False, 'description': 'Optional API key to be created for the user', 'properties': {'expiry': {'description': 'Expiration date for the API key (ISO8601 format)', 'type': 'string'}, 'metadata': {'additionalProperties': {'type': 'string'}, 'description': 'Additional metadata key-value pairs for the API key', 'type': 'object'}, 'name': {'description': 'Name of the API key to be created', 'type': 'string'}, 'scopes': {'description': 'List of permission scopes for the API key', 'items': {'type': 'string'}, 'type': 'array'}}, 'required': ['scopes'], 'type': 'object'}, 'workspaces': {'description': 'List of workspaces and corresponding roles to grant to the user', 'items': {'additionalProperties': False, 'properties': {'id': {'description': 'Workspace ID/slug where the user will be granted access', 'type': 'string'}, 'role': {'description': "Workspace-level role: 'admin' for full access, 'manager' for workspace management, 'member' for basic access", 'enum': ['admin', 'member', 'manager'], 'type': 'string'}}, 'required': ['id', 'role'], 'type': 'object'}, 'type': 'array'}}, 'required': ['email', 'role', 'workspaces'], 'type': 'object'}, description="""Invite a new user to your Portkey organization with specific workspace access and API key permissions"""), # r-huijts/Portkey MCP Server/invite_user
    Tool(name="""Portkey MCP Server_get_user_stats""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'cost_max': {'description': 'Maximum cost in cents to filter by', 'exclusiveMinimum': 0, 'type': 'number'}, 'cost_min': {'description': 'Minimum cost in cents to filter by', 'exclusiveMinimum': 0, 'type': 'number'}, 'page_size': {'description': 'Number of results per page (for pagination)', 'exclusiveMinimum': 0, 'type': 'number'}, 'status_code': {'description': 'Filter by specific HTTP status codes (comma-separated)', 'type': 'string'}, 'time_of_generation_max': {'description': "End time for the analytics period (ISO8601 format, e.g., '2024-02-01T00:00:00Z')", 'type': 'string'}, 'time_of_generation_min': {'description': "Start time for the analytics period (ISO8601 format, e.g., '2024-01-01T00:00:00Z')", 'type': 'string'}, 'total_units_max': {'description': 'Maximum number of total tokens to filter by', 'exclusiveMinimum': 0, 'type': 'number'}, 'total_units_min': {'description': 'Minimum number of total tokens to filter by', 'exclusiveMinimum': 0, 'type': 'number'}, 'virtual_keys': {'description': 'Filter by specific virtual key slugs (comma-separated)', 'type': 'string'}}, 'required': ['time_of_generation_min', 'time_of_generation_max'], 'type': 'object'}, description="""Retrieve detailed analytics data about user activity within a specified time range, including request counts and costs"""), # r-huijts/Portkey MCP Server/get_user_stats
    Tool(name="""Portkey MCP Server_list_workspaces""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'current_page': {'description': 'Page number to retrieve when results are paginated', 'exclusiveMinimum': 0, 'type': 'number'}, 'page_size': {'description': 'Number of workspaces to return per page (default varies by endpoint)', 'exclusiveMinimum': 0, 'type': 'number'}}, 'type': 'object'}, description="""Retrieve all workspaces in your Portkey organization, including their configurations and metadata"""), # r-huijts/Portkey MCP Server/list_workspaces
    Tool(name="""Portkey MCP Server_get_workspace""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'workspace_id': {'description': "The unique identifier of the workspace to retrieve. This can be found in the workspace's URL or from the list_workspaces tool response", 'type': 'string'}}, 'required': ['workspace_id'], 'type': 'object'}, description="""Retrieve detailed information about a specific workspace, including its configuration, metadata, and user access details"""), # r-huijts/Portkey MCP Server/get_workspace
    Tool(name="""Portkey MCP Server_list_configs""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {}, 'type': 'object'}, description="""Retrieve all configurations in your Portkey organization, including their status and workspace associations"""), # r-huijts/Portkey MCP Server/list_configs
    Tool(name="""Portkey MCP Server_list_virtual_keys""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {}, 'type': 'object'}, description="""Retrieve all virtual keys in your Portkey organization, including their usage limits, rate limits, and status"""), # r-huijts/Portkey MCP Server/list_virtual_keys
    Tool(name="""Portkey MCP Server_get_cost_analytics""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'ai_org_model': {'description': 'Filter by AI provider and model (comma-separated, use __ as separator)', 'type': 'string'}, 'api_key_ids': {'description': 'Filter by specific API key UUIDs (comma-separated)', 'type': 'string'}, 'completion_token_max': {'description': 'Maximum number of completion tokens', 'exclusiveMinimum': 0, 'type': 'number'}, 'completion_token_min': {'description': 'Minimum number of completion tokens', 'exclusiveMinimum': 0, 'type': 'number'}, 'configs': {'description': 'Filter by specific config slugs (comma-separated)', 'type': 'string'}, 'cost_max': {'description': 'Maximum cost in cents to filter by', 'exclusiveMinimum': 0, 'type': 'number'}, 'cost_min': {'description': 'Minimum cost in cents to filter by', 'exclusiveMinimum': 0, 'type': 'number'}, 'metadata': {'description': 'Filter by metadata (stringified JSON object)', 'type': 'string'}, 'prompt_token_max': {'description': 'Maximum number of prompt tokens', 'exclusiveMinimum': 0, 'type': 'number'}, 'prompt_token_min': {'description': 'Minimum number of prompt tokens', 'exclusiveMinimum': 0, 'type': 'number'}, 'span_id': {'description': 'Filter by span IDs (comma-separated)', 'type': 'string'}, 'status_code': {'description': 'Filter by specific HTTP status codes (comma-separated)', 'type': 'string'}, 'time_of_generation_max': {'description': "End time for the analytics period (ISO8601 format, e.g., '2024-02-01T00:00:00Z')", 'type': 'string'}, 'time_of_generation_min': {'description': "Start time for the analytics period (ISO8601 format, e.g., '2024-01-01T00:00:00Z')", 'type': 'string'}, 'total_units_max': {'description': 'Maximum number of total tokens to filter by', 'exclusiveMinimum': 0, 'type': 'number'}, 'total_units_min': {'description': 'Minimum number of total tokens to filter by', 'exclusiveMinimum': 0, 'type': 'number'}, 'trace_id': {'description': 'Filter by trace IDs (comma-separated)', 'type': 'string'}, 'virtual_keys': {'description': 'Filter by specific virtual key slugs (comma-separated)', 'type': 'string'}, 'weighted_feedback_max': {'description': 'Maximum weighted feedback score (-10 to 10)', 'maximum': 10, 'minimum': -10, 'type': 'number'}, 'weighted_feedback_min': {'description': 'Minimum weighted feedback score (-10 to 10)', 'maximum': 10, 'minimum': -10, 'type': 'number'}, 'workspace_slug': {'description': 'Filter by specific workspace', 'type': 'string'}}, 'required': ['time_of_generation_min', 'time_of_generation_max'], 'type': 'object'}, description="""Retrieve detailed cost analytics data over time, including total costs and averages per request"""), # r-huijts/Portkey MCP Server/get_cost_analytics
    Tool(name="""Portkey MCP Server_get_config""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'slug': {'description': "The unique identifier (slug) of the configuration to retrieve. This can be found in the configuration's URL or from the list_configs tool response", 'type': 'string'}}, 'required': ['slug'], 'type': 'object'}, description="""Retrieve detailed information about a specific configuration, including cache settings, retry policies, and routing strategy"""), # r-huijts/Portkey MCP Server/get_config
    Tool(name="""Scryfall MCP Server_random_card""", inputSchema={'properties': {}, 'required': [], 'type': 'object'}, description="""Retrieve a random Magic card from Scryfall. Returns JSON data for that random card."""), # cryppadotta/Scryfall MCP Server/random_card
    Tool(name="""Scryfall MCP Server_get_rulings""", inputSchema={'properties': {'id': {'description': "A Scryfall ID or Oracle ID. Example: 'c09c71fb-7acb-4ffb-a47b-8961a0cf4990'", 'type': 'string'}}, 'required': ['id'], 'type': 'object'}, description="""Retrieve official rulings for a specified card by Scryfall ID or Oracle ID. Returns an array of rulings. Each ruling has a 'published_at' date and a 'comment' field."""), # cryppadotta/Scryfall MCP Server/get_rulings
    Tool(name="""Scryfall MCP Server_search_cards""", inputSchema={'properties': {'query': {'description': "A full text query, e.g. 't:goblin pow=2 o:haste'", 'type': 'string'}}, 'required': ['query'], 'type': 'object'}, description="""Search for MTG cards by a text query, e.g. 'oracle text includes: draw cards'. Returns a list of matching cards (with basic fields: name, set, collector_number, ID). If no matches are found, returns an error message from Scryfall."""), # cryppadotta/Scryfall MCP Server/search_cards
    Tool(name="""Scryfall MCP Server_get_card_by_id""", inputSchema={'properties': {'id': {'description': "The Scryfall UUID, e.g. 'c09c71fb-7acb-4ffb-a47b-8961a0cf4990'", 'type': 'string'}}, 'required': ['id'], 'type': 'object'}, description="""Retrieve a card by its Scryfall ID (a 36-char UUID). Returns the card data in JSON."""), # cryppadotta/Scryfall MCP Server/get_card_by_id
    Tool(name="""Scryfall MCP Server_get_card_by_name""", inputSchema={'properties': {'name': {'description': "Exact name of the card, e.g. 'Lightning Bolt'", 'type': 'string'}}, 'required': ['name'], 'type': 'object'}, description="""Retrieve a card by its exact English name, e.g. 'Black Lotus'. Returns the card data in JSON. If multiple cards share that exact name, Scryfall returns one (usually the most relevant printing)."""), # cryppadotta/Scryfall MCP Server/get_card_by_name
    Tool(name="""Scryfall MCP Server_get_prices_by_id""", inputSchema={'properties': {'id': {'description': 'Scryfall ID of the card', 'type': 'string'}}, 'required': ['id'], 'type': 'object'}, description="""Retrieve price information for a card by its Scryfall ID. Returns JSON with usd, usd_foil, eur, tix, etc."""), # cryppadotta/Scryfall MCP Server/get_prices_by_id
    Tool(name="""Scryfall MCP Server_get_prices_by_name""", inputSchema={'properties': {'name': {'description': 'Exact card name', 'type': 'string'}}, 'required': ['name'], 'type': 'object'}, description="""Retrieve price information for a card by its exact name. Returns JSON with usd, usd_foil, eur, tix, etc."""), # cryppadotta/Scryfall MCP Server/get_prices_by_name
    Tool(name="""Search MCP Server_search""", inputSchema={'properties': {'count': {'default': 10, 'description': '(1-1010)', 'type': 'number'}, 'freshness': {'default': 'noLimit', 'description': '(noLimit:, oneDay:, oneWeek:, oneMonth:, oneYear:)', 'enum': ['noLimit', 'oneDay', 'oneWeek', 'oneMonth', 'oneYear'], 'type': 'string'}, 'page': {'default': 1, 'description': '1', 'type': 'number'}, 'query': {'description': '', 'type': 'string'}, 'summary': {'default': False, 'description': '', 'type': 'boolean'}}, 'required': ['query'], 'type': 'object'}, description="""AI\n- \n- \n- \n10API"""), # fengin/Search MCP Server/search
    Tool(name="""Perplexity AI MCP Server_chat_perplexity""", inputSchema={'properties': {'chat_id': {'description': 'Optional: ID of an existing chat to continue. If not provided, a new chat will be created.', 'type': 'string'}, 'message': {'description': 'The message to send to Perplexity AI', 'type': 'string'}}, 'required': ['message'], 'type': 'object'}, description="""Maintains ongoing conversations with Perplexity AI. Creates new chats or continues existing ones with full history context."""), # fr0ziii/Perplexity AI MCP Server/chat_perplexity
    Tool(name="""Perplexity AI MCP Server_search""", inputSchema={'properties': {'detail_level': {'description': 'Optional: Desired level of detail (brief, normal, detailed)', 'enum': ['brief', 'normal', 'detailed'], 'type': 'string'}, 'query': {'description': 'The search query or question', 'type': 'string'}}, 'required': ['query'], 'type': 'object'}, description="""Perform a general search query to get comprehensive information on any topic"""), # fr0ziii/Perplexity AI MCP Server/search
    Tool(name="""Perplexity AI MCP Server_get_documentation""", inputSchema={'properties': {'context': {'description': 'Additional context or specific aspects to focus on', 'type': 'string'}, 'query': {'description': 'The technology, library, or API to get documentation for', 'type': 'string'}}, 'required': ['query'], 'type': 'object'}, description="""Get documentation and usage examples for a specific technology, library, or API"""), # fr0ziii/Perplexity AI MCP Server/get_documentation
    Tool(name="""Perplexity AI MCP Server_find_apis""", inputSchema={'properties': {'context': {'description': 'Additional context about the project or specific needs', 'type': 'string'}, 'requirement': {'description': "The functionality or requirement you're looking to fulfill", 'type': 'string'}}, 'required': ['requirement'], 'type': 'object'}, description="""Find and evaluate APIs that could be integrated into a project"""), # fr0ziii/Perplexity AI MCP Server/find_apis
    Tool(name="""Perplexity AI MCP Server_check_deprecated_code""", inputSchema={'properties': {'code': {'description': 'The code snippet or dependency to check', 'type': 'string'}, 'technology': {'description': "The technology or framework context (e.g., 'React', 'Node.js')", 'type': 'string'}}, 'required': ['code'], 'type': 'object'}, description="""Check if code or dependencies might be using deprecated features"""), # fr0ziii/Perplexity AI MCP Server/check_deprecated_code
    Tool(name="""Headline Vibes Analysis MCP Server_analyze_headlines""", inputSchema={'properties': {'input': {'description': 'Date input (e.g., "yesterday", "last Friday", "March 10th", or "2025-02-11")', 'type': 'string'}}, 'required': ['input'], 'type': 'object'}, description="""Analyze sentiment of major news headlines using natural language date input"""), # fred-em/Headline Vibes Analysis MCP Server/analyze_headlines
    Tool(name="""MCP Excel Reader_read_excel""", inputSchema={'properties': {'filePath': {'description': 'Path to the Excel file to read', 'type': 'string'}, 'maxRows': {'description': 'Maximum number of rows to read (optional)', 'type': 'number'}, 'sheetName': {'description': 'Name of the sheet to read (optional)', 'type': 'string'}, 'startRow': {'description': 'Starting row index (optional)', 'type': 'number'}}, 'required': ['filePath'], 'type': 'object'}, description="""Read an Excel file and return its contents as structured data"""), # ArchimedesCrypto/MCP Excel Reader/read_excel
    Tool(name="""mcp-any-openapi_list_functions""", inputSchema={'properties': {}, 'title': 'list_functionsArguments', 'type': 'object'}, description="""\n    Lists available functions (API endpoints) defined in the OpenAPI specification.\n\n    Returns:\n        A JSON-encoded string of available function descriptions, or an error message if configuration is missing.\n    """), # matthewhand/mcp-any-openapi/list_functions
    Tool(name="""mcp-any-openapi_call_function""", inputSchema={'properties': {'function_name': {'title': 'Function Name', 'type': 'string'}, 'parameters': {'default': None, 'title': 'Parameters', 'type': 'object'}}, 'required': ['function_name'], 'title': 'call_functionArguments', 'type': 'object'}, description="""\n    Calls a specified API function (an endpoint defined in the OpenAPI spec) with parameters.\n\n    Args:\n        function_name (str): The name of the API function to call (e.g., \"GET /pets\").\n        parameters (dict, optional): Parameters for the API call (query parameters, request body, etc.).\n\n    Returns:\n        The raw API response as a JSON-encoded string or an error message.\n    """), # matthewhand/mcp-any-openapi/call_function
    Tool(name="""PulseMCP Server_list_servers""", inputSchema={'properties': {'count_per_page': {'description': 'Number of results per page (maximum: 5000)', 'maximum': 5000, 'type': 'number'}, 'integrations': {'description': 'Filter by integration slugs', 'items': {'type': 'string'}, 'type': 'array'}, 'offset': {'description': 'Number of results to skip for pagination', 'type': 'number'}, 'query': {'description': 'Search term to filter servers', 'type': 'string'}}, 'type': 'object'}, description="""List MCP servers with optional filtering"""), # orliesaurus/PulseMCP Server/list_servers
    Tool(name="""PulseMCP Server_list_integrations""", inputSchema={'properties': {}, 'type': 'object'}, description="""List all available integrations"""), # orliesaurus/PulseMCP Server/list_integrations
    Tool(name="""MCP Server Template for Cursor IDE_mcp_fetch""", inputSchema={'properties': {'url': {'description': 'URL to fetch', 'type': 'string'}}, 'required': ['url'], 'type': 'object'}, description="""Fetches a website and returns its content"""), # chrisboden/MCP Server Template for Cursor IDE/mcp_fetch
    Tool(name="""MCP Server Template for Cursor IDE_mood""", inputSchema={'properties': {'question': {'description': "Ask this MCP server about its mood! You can phrase your question in any way you like - 'How are you?', 'What's your mood?', or even 'Are you having a good day?'. The server will always respond with a cheerful message and a heart ", 'type': 'string'}}, 'required': ['question'], 'type': 'object'}, description="""Ask the server about its mood - it's always happy!"""), # chrisboden/MCP Server Template for Cursor IDE/mood
    Tool(name="""MCP Server Starter_hello_tool""", inputSchema={'properties': {'name': {'description': 'The name of the person to greet', 'type': 'string'}}, 'required': ['name'], 'type': 'object'}, description="""Hello tool"""), # GreatAuk/MCP Server Starter/hello_tool
    Tool(name="""Ghost MCP Server_batchly_update_post""", inputSchema={'properties': {'filter_criteria': {'title': 'Filter Criteria', 'type': 'object'}, 'update_data': {'title': 'Update Data', 'type': 'object'}}, 'required': ['filter_criteria', 'update_data'], 'title': 'batchly_update_postArguments', 'type': 'object'}, description="""Update multiple blog posts that match the filter criteria.\n    \n    Args:\n        filter_criteria: Dictionary containing fields to filter posts by, example:\n            {\n                \"status\": \"draft\",\n                \"tag\": \"news\",\n                \"featured\": True\n            }\n            Supported filter fields:\n            - status: Post status (draft, published, etc)\n            - tag: Filter by tag name\n            - author: Filter by author name\n            - featured: Boolean to filter featured posts\n            - visibility: Post visibility (public, members, paid)\n            \n        update_data: Dictionary containing the fields to update. The updated_at field is required.\n                    All fields supported by the Ghost API can be updated:\n                    - slug: Unique URL slug for the post\n                    - title: The title of the post\n                    - lexical: JSON string representing the post content in lexical format\n                    - html: HTML version of the post content\n                    - comment_id: Identifier for the comment thread\n                    - feature_image: URL to the post's feature image\n                    - feature_image_alt: Alternate text for the feature image\n                    - feature_image_caption: Caption for the feature image\n                    - featured: Boolean flag indicating if the post is featured\n                    - status: The publication status (e.g., published, draft)\n                    - visibility: Visibility setting (e.g., public, private)\n                    - created_at: Timestamp when the post was created\n                    - updated_at: Timestamp when the post was last updated (REQUIRED)\n                    - published_at: Timestamp when the post was published\n                    - custom_excerpt: Custom excerpt text for the post\n                    - codeinjection_head: Code to be injected into the head section\n                    - codeinjection_foot: Code to be injected into the footer section\n                    - custom_template: Custom template assigned to the post\n                    - canonical_url: The canonical URL for SEO purposes\n                    - tags: List of tag objects associated with the post\n                    - authors: List of author objects for the post\n                    - primary_author: The primary author object\n                    - primary_tag: The primary tag object\n                    - og_image: Open Graph image URL for social sharing\n                    - og_title: Open Graph title for social sharing\n                    - og_description: Open Graph description for social sharing\n                    - twitter_image: Twitter-specific image URL\n                    - twitter_title: Twitter-specific title\n                    - twitter_description: Twitter-specific description\n                    - meta_title: Meta title for SEO\n                    - meta_description: Meta description for SEO\n                    - email_only: Boolean flag indicating if the post is for email distribution only\n                    - newsletter: Dictionary containing newsletter configuration details\n                    - email: Dictionary containing email details related to the post\n\n                    Example:\n                    {\n                        \"updated_at\": \"2025-02-11T22:54:40.000Z\",\n                        \"status\": \"published\",\n                        \"featured\": True,\n                        \"tags\": [{\"name\": \"news\"}, {\"name\": \"featured\"}],\n                        \"meta_title\": \"My Updated Title\",\n                        \"og_description\": \"New social sharing description\"\n                    }\n        ctx: Optional context for logging\n        \n    Returns:\n        Formatted string containing summary of updated posts\n        \n    Raises:\n        GhostError: If there is an error accessing the Ghost API or missing required fields\n    """), # MFYDev/Ghost MCP Server/batchly_update_post
    Tool(name="""Ghost MCP Server_browse_tags""", inputSchema={'properties': {'format': {'default': 'text', 'title': 'Format', 'type': 'string'}, 'limit': {'default': 15, 'title': 'Limit', 'type': 'integer'}, 'page': {'default': 1, 'title': 'Page', 'type': 'integer'}}, 'title': 'browse_tagsArguments', 'type': 'object'}, description="""Get the list of tags from your Ghost blog.\n    \n    Args:\n        format: Output format - either \"text\" or \"json\" (default: \"text\")\n        page: Page number for pagination (default: 1)\n        limit: Number of tags per page (default: 15)\n        ctx: Optional context for logging\n    \n    Returns:\n        Formatted string containing tag information\n        \n    Raises:\n        GhostError: If there is an error accessing the Ghost API\n    """), # MFYDev/Ghost MCP Server/browse_tags
    Tool(name="""Ghost MCP Server_create_invite""", inputSchema={'properties': {'email': {'title': 'Email', 'type': 'string'}, 'role_id': {'title': 'Role Id', 'type': 'string'}}, 'required': ['role_id', 'email'], 'title': 'create_inviteArguments', 'type': 'object'}, description="""Create a staff user invite in Ghost.\n    \n    Args:\n        role_id: ID of the role to assign to the invited user (required)\n        email: Email address to send the invite to (required)\n        ctx: Optional context for logging\n    \n    Returns:\n        String representation of the created invite\n\n    Raises:\n        GhostError: If the Ghost API request fails\n        ValueError: If required parameters are missing or invalid\n    """), # MFYDev/Ghost MCP Server/create_invite
    Tool(name="""Ghost MCP Server_create_member""", inputSchema={'properties': {'email': {'title': 'Email', 'type': 'string'}, 'labels': {'default': None, 'items': {}, 'title': 'Labels', 'type': 'array'}, 'name': {'default': None, 'title': 'Name', 'type': 'string'}, 'newsletter_ids': {'default': None, 'items': {}, 'title': 'Newsletter Ids', 'type': 'array'}, 'note': {'default': None, 'title': 'Note', 'type': 'string'}}, 'required': ['email'], 'title': 'create_memberArguments', 'type': 'object'}, description="""Create a new member in Ghost.\n    \n    Args:\n        email: Member's email address (required)\n        name: Member's name (optional)\n        note: Notes about the member (optional)\n        labels: List of labels to apply to the member. Each label should be a dict with 'name' and 'slug' (optional)\n        newsletter_ids: List of newsletter IDs to subscribe the member to (optional)\n        ctx: Optional context for logging\n    \n    Returns:\n        String representation of the created member\n\n    Raises:\n        GhostError: If the Ghost API request fails\n        ValueError: If required parameters are missing or invalid\n    """), # MFYDev/Ghost MCP Server/create_member
    Tool(name="""Ghost MCP Server_list_posts""", inputSchema={'properties': {'format': {'default': 'text', 'title': 'Format', 'type': 'string'}, 'limit': {'default': 15, 'title': 'Limit', 'type': 'integer'}, 'page': {'default': 1, 'title': 'Page', 'type': 'integer'}}, 'title': 'list_postsArguments', 'type': 'object'}, description="""Get the list of posts from your Ghost blog.\n    \n    Args:\n        format: Output format - either \"text\" or \"json\" (default: \"text\")\n        page: Page number for pagination (default: 1)\n        limit: Number of posts per page (default: 15)\n        ctx: Optional context for logging\n    \n    Returns:\n        Formatted string containing post information\n        \n    Raises:\n        GhostError: If there is an error accessing the Ghost API\n    """), # MFYDev/Ghost MCP Server/list_posts
    Tool(name="""Ghost MCP Server_create_newsletter""", inputSchema={'properties': {'body_font_category': {'default': 'sans_serif', 'title': 'Body Font Category', 'type': 'string'}, 'description': {'default': None, 'title': 'Description', 'type': 'string'}, 'name': {'title': 'Name', 'type': 'string'}, 'opt_in_existing': {'default': False, 'title': 'Opt In Existing', 'type': 'boolean'}, 'sender_reply_to': {'default': 'newsletter', 'title': 'Sender Reply To', 'type': 'string'}, 'show_badge': {'default': True, 'title': 'Show Badge', 'type': 'boolean'}, 'show_feature_image': {'default': True, 'title': 'Show Feature Image', 'type': 'boolean'}, 'show_header_icon': {'default': True, 'title': 'Show Header Icon', 'type': 'boolean'}, 'show_header_name': {'default': True, 'title': 'Show Header Name', 'type': 'boolean'}, 'show_header_title': {'default': True, 'title': 'Show Header Title', 'type': 'boolean'}, 'status': {'default': 'active', 'title': 'Status', 'type': 'string'}, 'subscribe_on_signup': {'default': True, 'title': 'Subscribe On Signup', 'type': 'boolean'}, 'title_alignment': {'default': 'center', 'title': 'Title Alignment', 'type': 'string'}, 'title_font_category': {'default': 'sans_serif', 'title': 'Title Font Category', 'type': 'string'}}, 'required': ['name'], 'title': 'create_newsletterArguments', 'type': 'object'}, description="""Create a new newsletter.\n    \n    Args:\n        name: Name of the newsletter (required)\n        description: Newsletter description\n        status: Newsletter status (\"active\" or \"archived\")\n        subscribe_on_signup: Whether to subscribe new members automatically\n        opt_in_existing: Whether to subscribe existing members\n        sender_reply_to: Reply-to setting (\"newsletter\" or \"support\")\n        show_header_icon: Whether to show header icon\n        show_header_title: Whether to show header title\n        show_header_name: Whether to show header name\n        show_feature_image: Whether to show feature image\n        title_font_category: Font category for titles\n        title_alignment: Title alignment\n        body_font_category: Font category for body text\n        show_badge: Whether to show badge\n        ctx: Optional context for logging\n    \n    Returns:\n        Formatted string containing the created newsletter details\n    """), # MFYDev/Ghost MCP Server/create_newsletter
    Tool(name="""Ghost MCP Server_create_offer""", inputSchema={'properties': {'amount': {'title': 'Amount', 'type': 'integer'}, 'cadence': {'title': 'Cadence', 'type': 'string'}, 'code': {'title': 'Code', 'type': 'string'}, 'currency': {'default': None, 'title': 'Currency', 'type': 'string'}, 'display_description': {'default': None, 'title': 'Display Description', 'type': 'string'}, 'display_title': {'default': None, 'title': 'Display Title', 'type': 'string'}, 'duration': {'title': 'Duration', 'type': 'string'}, 'duration_in_months': {'default': None, 'title': 'Duration In Months', 'type': 'integer'}, 'name': {'title': 'Name', 'type': 'string'}, 'tier_id': {'title': 'Tier Id', 'type': 'string'}, 'type': {'title': 'Type', 'type': 'string'}}, 'required': ['name', 'code', 'type', 'cadence', 'amount', 'tier_id', 'duration'], 'title': 'create_offerArguments', 'type': 'object'}, description="""Create a new offer in Ghost.\n    \n    Args:\n        name: Internal name for the offer (required)\n        code: Shortcode for the offer (required)\n        type: Either 'percent' or 'fixed' (required)\n        cadence: Either 'month' or 'year' (required)\n        amount: Discount amount - percentage or fixed value (required)\n        tier_id: ID of the tier to apply offer to (required)\n        duration: Either 'once', 'forever' or 'repeating' (required)\n        display_title: Name displayed in the offer window (optional)\n        display_description: Text displayed in the offer window (optional) \n        currency: Required when type is 'fixed', must match tier's currency (optional)\n        duration_in_months: Required when duration is 'repeating' (optional)\n        ctx: Optional context for logging\n    \n    Returns:\n        String representation of the created offer\n\n    Raises:\n        GhostError: If the Ghost API request fails\n        ValueError: If required parameters are missing or invalid\n    """), # MFYDev/Ghost MCP Server/create_offer
    Tool(name="""Ghost MCP Server_create_post""", inputSchema={'properties': {'post_data': {'title': 'Post Data', 'type': 'object'}}, 'required': ['post_data'], 'title': 'create_postArguments', 'type': 'object'}, description="""Create a new blog post.\n    \n    Args:\n        post_data: Dictionary containing post data with required fields:\n            - title: The title of the post \n            - lexical: The lexical content as a JSON string\n            Additional optional fields:\n            - status: Post status ('draft' or 'published', defaults to 'draft')\n            - tags: List of tags\n            - authors: List of authors\n            - feature_image: URL of featured image\n            \n            Example:\n            {\n                \"title\": \"My test post\",\n                \"lexical\": \"{\"root\":{\"children\":[{\"children\":[{\"detail\":0,\"format\":0,\"mode\":\"normal\",\"style\":\"\",\"text\":\"Hello World\",\"type\":\"text\",\"version\":1}],\"direction\":\"ltr\",\"format\":\"\",\"indent\":0,\"type\":\"paragraph\",\"version\":1}],\"direction\":\"ltr\",\"format\":\"\",\"indent\":0,\"type\":\"root\",\"version\":1}}\"\n                \"status\": \"draft\",\n            }\n            \n        ctx: Optional context for logging\n\n    Returns:\n        Formatted string containing the created post details\n\n    Raises:\n        GhostError: If there is an error accessing the Ghost API or invalid post data\n    """), # MFYDev/Ghost MCP Server/create_post
    Tool(name="""Ghost MCP Server_create_tag""", inputSchema={'properties': {'tag_data': {'title': 'Tag Data', 'type': 'object'}}, 'required': ['tag_data'], 'title': 'create_tagArguments', 'type': 'object'}, description="""Create a new tag.\n    \n    Args:\n        tag_data: Dictionary containing tag data with required fields:\n            - name: The name of the tag\n            Additional optional fields:\n            - slug: URL slug for the tag\n            - description: Description of the tag\n            - feature_image: URL to the tag's feature image\n            - visibility: Tag visibility ('public' or 'internal')\n            - accent_color: CSS color hex value for the tag\n            - meta_title: Meta title for SEO\n            - meta_description: Meta description for SEO\n            - canonical_url: The canonical URL\n            - og_image: Open Graph image URL\n            - og_title: Open Graph title\n            - og_description: Open Graph description\n            - twitter_image: Twitter card image URL\n            - twitter_title: Twitter card title\n            - twitter_description: Twitter card description\n            - codeinjection_head: Code to inject in header\n            - codeinjection_foot: Code to inject in footer\n            \n            Example:\n            {\n                \"name\": \"Technology\",\n                \"description\": \"Posts about technology\",\n                \"visibility\": \"public\"\n            }\n            \n        ctx: Optional context for logging\n\n    Returns:\n        Formatted string containing the created tag details\n\n    Raises:\n        GhostError: If there is an error accessing the Ghost API or invalid tag data\n    """), # MFYDev/Ghost MCP Server/create_tag
    Tool(name="""Ghost MCP Server_create_tier""", inputSchema={'properties': {'benefits': {'anyOf': [{'items': {'type': 'string'}, 'type': 'array'}, {'type': 'null'}], 'default': None, 'title': 'Benefits'}, 'currency': {'default': 'usd', 'title': 'Currency', 'type': 'string'}, 'description': {'anyOf': [{'type': 'string'}, {'type': 'null'}], 'default': None, 'title': 'Description'}, 'monthly_price': {'anyOf': [{'type': 'integer'}, {'type': 'null'}], 'default': None, 'title': 'Monthly Price'}, 'name': {'title': 'Name', 'type': 'string'}, 'visibility': {'default': 'public', 'title': 'Visibility', 'type': 'string'}, 'welcome_page_url': {'anyOf': [{'type': 'string'}, {'type': 'null'}], 'default': None, 'title': 'Welcome Page Url'}, 'yearly_price': {'anyOf': [{'type': 'integer'}, {'type': 'null'}], 'default': None, 'title': 'Yearly Price'}}, 'required': ['name'], 'title': 'create_tierArguments', 'type': 'object'}, description="""Create a new tier in Ghost.\n    \n    Args:\n        name: Name of the tier (required)\n        monthly_price: Optional monthly price in cents (e.g. 500 for $5.00)\n        yearly_price: Optional yearly price in cents (e.g. 5000 for $50.00)\n        description: Optional description of the tier\n        benefits: Optional list of benefits for the tier\n        welcome_page_url: Optional URL for the welcome page\n        visibility: Visibility of tier, either \"public\" or \"none\" (default: \"public\")\n        currency: Currency for prices (default: \"usd\")\n        ctx: Optional context for logging\n    \n    Returns:\n        String representation of the created tier\n\n    Raises:\n        GhostError: If the Ghost API request fails\n    """), # MFYDev/Ghost MCP Server/create_tier
    Tool(name="""Ghost MCP Server_list_roles""", inputSchema={'properties': {'format': {'default': 'text', 'title': 'Format', 'type': 'string'}, 'limit': {'default': 15, 'title': 'Limit', 'type': 'integer'}, 'page': {'default': 1, 'title': 'Page', 'type': 'integer'}}, 'title': 'list_rolesArguments', 'type': 'object'}, description="""Get the list of roles from your Ghost blog.\n    \n    Args:\n        format: Output format - either \"text\" or \"json\" (default: \"text\")\n        page: Page number for pagination (default: 1)\n        limit: Number of roles per page (default: 15)\n        ctx: Optional context for logging\n    \n    Returns:\n        Formatted string containing role information\n    """), # MFYDev/Ghost MCP Server/list_roles
    Tool(name="""Ghost MCP Server_create_webhook""", inputSchema={'properties': {'api_version': {'anyOf': [{'type': 'string'}, {'type': 'null'}], 'default': None, 'title': 'Api Version'}, 'event': {'title': 'Event', 'type': 'string'}, 'integration_id': {'anyOf': [{'type': 'string'}, {'type': 'null'}], 'default': None, 'title': 'Integration Id'}, 'name': {'anyOf': [{'type': 'string'}, {'type': 'null'}], 'default': None, 'title': 'Name'}, 'secret': {'anyOf': [{'type': 'string'}, {'type': 'null'}], 'default': None, 'title': 'Secret'}, 'target_url': {'title': 'Target Url', 'type': 'string'}}, 'required': ['event', 'target_url'], 'title': 'create_webhookArguments', 'type': 'object'}, description="""Create a new webhook in Ghost.\n    \n    Args:\n        event: Event to trigger the webhook (required)\n        target_url: URL to send the webhook to (required)\n        integration_id: ID of the integration (optional - only needed for user authentication)\n        name: Name of the webhook (optional)\n        secret: Secret for the webhook (optional)\n        api_version: API version for the webhook (optional)\n        ctx: Optional context for logging\n    \n    Returns:\n        String representation of the created webhook\n\n    Raises:\n        GhostError: If the Ghost API request fails\n        ValueError: If required parameters are missing or invalid\n    """), # MFYDev/Ghost MCP Server/create_webhook
    Tool(name="""Ghost MCP Server_delete_post""", inputSchema={'properties': {'post_id': {'title': 'Post Id', 'type': 'string'}}, 'required': ['post_id'], 'title': 'delete_postArguments', 'type': 'object'}, description="""Delete a blog post.\n    \n    Args:\n        post_id: The ID of the post to delete\n        ctx: Optional context for logging\n        \n    Returns:\n        Success message if post was deleted\n        \n    Raises:\n        GhostError: If there is an error accessing the Ghost API or the post doesn't exist\n    """), # MFYDev/Ghost MCP Server/delete_post
    Tool(name="""Ghost MCP Server_delete_tag""", inputSchema={'properties': {'tag_id': {'title': 'Tag Id', 'type': 'string'}}, 'required': ['tag_id'], 'title': 'delete_tagArguments', 'type': 'object'}, description="""Delete a tag.\n    \n    Args:\n        tag_id: The ID of the tag to delete\n        ctx: Optional context for logging\n        \n    Returns:\n        Success message if tag was deleted\n        \n    Raises:\n        GhostError: If there is an error accessing the Ghost API or the tag doesn't exist\n    """), # MFYDev/Ghost MCP Server/delete_tag
    Tool(name="""Ghost MCP Server_delete_user""", inputSchema={'properties': {'user_id': {'title': 'User Id', 'type': 'string'}}, 'required': ['user_id'], 'title': 'delete_userArguments', 'type': 'object'}, description="""Delete a user from Ghost.\n    \n    Args:\n        user_id: ID of the user to delete (required)\n        ctx: Optional context for logging\n    \n    Returns:\n        Success message if deletion was successful\n\n    Raises:\n        GhostError: If the Ghost API request fails or if attempting to delete the Owner\n        ValueError: If user_id is not provided\n    """), # MFYDev/Ghost MCP Server/delete_user
    Tool(name="""Ghost MCP Server_delete_webhook""", inputSchema={'properties': {'webhook_id': {'title': 'Webhook Id', 'type': 'string'}}, 'required': ['webhook_id'], 'title': 'delete_webhookArguments', 'type': 'object'}, description="""Delete a webhook from Ghost.\n    \n    Args:\n        webhook_id: ID of the webhook to delete (required)\n        ctx: Optional context for logging\n    \n    Returns:\n        Success message if deletion was successful\n\n    Raises:\n        GhostError: If the Ghost API request fails\n        ValueError: If webhook_id is not provided\n    """), # MFYDev/Ghost MCP Server/delete_webhook
    Tool(name="""Ghost MCP Server_get_auth_headers""", inputSchema={'properties': {'api_version': {'default': 'v5.109', 'title': 'Api Version', 'type': 'string'}, 'staff_api_key': {'title': 'Staff Api Key', 'type': 'string'}}, 'required': ['staff_api_key'], 'title': 'get_auth_headersArguments', 'type': 'object'}, description="""Get authenticated headers for Ghost API requests.\n    \n    Args:\n        staff_api_key: API key in 'id:secret' format\n        api_version: Ghost API version to use (default: v5.109)\n        \n    Returns:\n        Dictionary of request headers including authorization and version\n        \n    Example:\n        >>> headers = await get_auth_headers(\"1234:abcd5678\")\n        >>> headers\n        {\n            'Authorization': 'Ghost eyJ0eXAiOiJKV1...',\n            'Accept-Version': 'v5.109'\n        }\n    """), # MFYDev/Ghost MCP Server/get_auth_headers
    Tool(name="""Ghost MCP Server_get_close_matches""", inputSchema={'properties': {'cutoff': {'default': 0.6, 'title': 'cutoff', 'type': 'string'}, 'n': {'default': 3, 'title': 'n', 'type': 'string'}, 'possibilities': {'title': 'possibilities', 'type': 'string'}, 'word': {'title': 'word', 'type': 'string'}}, 'required': ['word', 'possibilities'], 'title': 'get_close_matchesArguments', 'type': 'object'}, description="""Use SequenceMatcher to return list of the best \"good enough\" matches.\n\n    word is a sequence for which close matches are desired (typically a\n    string).\n\n    possibilities is a list of sequences against which to match word\n    (typically a list of strings).\n\n    Optional arg n (default 3) is the maximum number of close matches to\n    return.  n must be > 0.\n\n    Optional arg cutoff (default 0.6) is a float in [0, 1].  Possibilities\n    that don't score at least that similar to word are ignored.\n\n    The best (no more than n) matches among the possibilities are returned\n    in a list, sorted by similarity score, most similar first.\n\n    >>> get_close_matches(\"appel\", [\"ape\", \"apple\", \"peach\", \"puppy\"])\n    ['apple', 'ape']\n    >>> import keyword as _keyword\n    >>> get_close_matches(\"wheel\", _keyword.kwlist)\n    ['while']\n    >>> get_close_matches(\"Apple\", _keyword.kwlist)\n    []\n    >>> get_close_matches(\"accept\", _keyword.kwlist)\n    ['except']\n    """), # MFYDev/Ghost MCP Server/get_close_matches
    Tool(name="""Ghost MCP Server_import_module""", inputSchema={'properties': {'name': {'title': 'name', 'type': 'string'}, 'package': {'default': None, 'title': 'package', 'type': 'string'}}, 'required': ['name'], 'title': 'import_moduleArguments', 'type': 'object'}, description="""Import a module.\n\n    The 'package' argument is required when performing a relative import. It\n    specifies the package to use as the anchor point from which to resolve the\n    relative import to an absolute import.\n\n    """), # MFYDev/Ghost MCP Server/import_module
    Tool(name="""Ghost MCP Server_list_members""", inputSchema={'properties': {'format': {'default': 'text', 'title': 'Format', 'type': 'string'}, 'limit': {'default': 15, 'title': 'Limit', 'type': 'integer'}, 'page': {'default': 1, 'title': 'Page', 'type': 'integer'}}, 'title': 'list_membersArguments', 'type': 'object'}, description="""Get the list of members from your Ghost blog.\n    \n    Args:\n        format: Output format - either \"text\" or \"json\" (default: \"text\")\n        page: Page number for pagination (default: 1)\n        limit: Number of members per page (default: 15)\n        ctx: Optional context for logging\n    \n    Returns:\n        Formatted string containing member information\n    """), # MFYDev/Ghost MCP Server/list_members
    Tool(name="""Ghost MCP Server_list_newsletters""", inputSchema={'properties': {'format': {'default': 'text', 'title': 'Format', 'type': 'string'}, 'limit': {'default': 15, 'title': 'Limit', 'type': 'integer'}, 'page': {'default': 1, 'title': 'Page', 'type': 'integer'}}, 'title': 'list_newslettersArguments', 'type': 'object'}, description="""Get the list of newsletters from your Ghost blog.\n    \n    Args:\n        format: Output format - either \"text\" or \"json\" (default: \"text\")\n        page: Page number for pagination (default: 1)\n        limit: Number of newsletters per page (default: 15)\n        ctx: Optional context for logging\n    \n    Returns:\n        Formatted string containing newsletter information\n    """), # MFYDev/Ghost MCP Server/list_newsletters
    Tool(name="""Ghost MCP Server_list_offers""", inputSchema={'properties': {'format': {'default': 'text', 'title': 'Format', 'type': 'string'}, 'limit': {'default': 15, 'title': 'Limit', 'type': 'integer'}, 'page': {'default': 1, 'title': 'Page', 'type': 'integer'}}, 'title': 'list_offersArguments', 'type': 'object'}, description="""Get the list of offers from your Ghost blog.\n    \n    Args:\n        format: Output format - either \"text\" or \"json\" (default: \"text\")\n        page: Page number for pagination (default: 1)\n        limit: Number of offers per page (default: 15)\n        ctx: Optional context for logging\n    \n    Returns:\n        Formatted string containing offer information\n    """), # MFYDev/Ghost MCP Server/list_offers
    Tool(name="""Ghost MCP Server_list_tiers""", inputSchema={'properties': {'format': {'default': 'text', 'title': 'Format', 'type': 'string'}, 'limit': {'default': 15, 'title': 'Limit', 'type': 'integer'}, 'page': {'default': 1, 'title': 'Page', 'type': 'integer'}}, 'title': 'list_tiersArguments', 'type': 'object'}, description="""Get the list of tiers from your Ghost blog.\n    \n    Args:\n        format: Output format - either \"text\" or \"json\" (default: \"text\")\n        page: Page number for pagination (default: 1)\n        limit: Number of tiers per page (default: 15)\n        ctx: Optional context for logging\n    \n    Returns:\n        Formatted string containing tier information\n    """), # MFYDev/Ghost MCP Server/list_tiers
    Tool(name="""Ghost MCP Server_list_users""", inputSchema={'properties': {'format': {'default': 'text', 'title': 'Format', 'type': 'string'}, 'limit': {'default': 15, 'title': 'Limit', 'type': 'integer'}, 'page': {'default': 1, 'title': 'Page', 'type': 'integer'}}, 'title': 'list_usersArguments', 'type': 'object'}, description="""Get the list of users from your Ghost blog.\n    \n    Args:\n        format: Output format - either \"text\" or \"json\" (default: \"text\")\n        page: Page number for pagination (default: 1)\n        limit: Number of users per page (default: 15)\n        ctx: Optional context for logging\n    \n    Returns:\n        Formatted string containing user information\n    """), # MFYDev/Ghost MCP Server/list_users
    Tool(name="""Ghost MCP Server_make_ghost_request""", inputSchema={'$defs': {'Context': {'description': 'Context object providing access to MCP capabilities.\n\nThis provides a cleaner interface to MCP\'s RequestContext functionality.\nIt gets injected into tool and resource functions that request it via type hints.\n\nTo use context in a tool function, add a parameter with the Context type annotation:\n\n```python\n@server.tool()\ndef my_tool(x: int, ctx: Context) -> str:\n    # Log messages to the client\n    ctx.info(f"Processing {x}")\n    ctx.debug("Debug info")\n    ctx.warning("Warning message")\n    ctx.error("Error message")\n\n    # Report progress\n    ctx.report_progress(50, 100)\n\n    # Access resources\n    data = ctx.read_resource("resource://data")\n\n    # Get request info\n    request_id = ctx.request_id\n    client_id = ctx.client_id\n\n    return str(x)\n```\n\nThe context parameter name can be anything as long as it\'s annotated with Context.\nThe context is optional - tools that don\'t need it can omit the parameter.', 'properties': {}, 'title': 'Context', 'type': 'object'}}, 'properties': {'ctx': {'anyOf': [{'$ref': '#/$defs/Context'}, {'type': 'null'}], 'default': None}, 'endpoint': {'title': 'Endpoint', 'type': 'string'}, 'headers': {'additionalProperties': {'type': 'string'}, 'title': 'Headers', 'type': 'object'}, 'http_method': {'default': 'GET', 'title': 'Http Method', 'type': 'string'}, 'is_resource': {'default': False, 'title': 'Is Resource', 'type': 'boolean'}, 'json_data': {'anyOf': [{'type': 'object'}, {'type': 'null'}], 'default': None, 'title': 'Json Data'}}, 'required': ['endpoint', 'headers'], 'title': 'make_ghost_requestArguments', 'type': 'object'}, description="""Make an authenticated request to the Ghost API.\n    \n    Args:\n        endpoint: API endpoint to call (e.g. \"posts\" or \"users\")\n        headers: Request headers from get_auth_headers()\n        ctx: Optional context for logging (not used for resources)\n        is_resource: Whether this request is for a resource\n        http_method: HTTP method to use (GET, POST, PUT, or DELETE)\n        json_data: Optional JSON data for POST/PUT requests\n        \n    Returns:\n        Parsed JSON response from the Ghost API\n        \n    Raises:\n        GhostError: For any Ghost API errors including:\n            - Network connectivity issues\n            - Invalid authentication\n            - Rate limiting\n            - Server errors\n        ValueError: For invalid HTTP methods\n        \n    Example:\n        >>> headers = await get_auth_headers(\"1234:abcd5678\")\n        >>> response = await make_ghost_request(\n        ...     \"posts\",\n        ...     headers,\n        ...     http_method=GET\n        ... )\n    """), # MFYDev/Ghost MCP Server/make_ghost_request
    Tool(name="""Ghost MCP Server_read_member""", inputSchema={'properties': {'member_id': {'title': 'Member Id', 'type': 'string'}}, 'required': ['member_id'], 'title': 'read_memberArguments', 'type': 'object'}, description="""Get the details of a specific member.\n  \n    Args:\n        member_id: The ID of the member to retrieve\n        ctx: Optional context for logging\n      \n    Returns:\n        Formatted string containing the member details\n    """), # MFYDev/Ghost MCP Server/read_member
    Tool(name="""Ghost MCP Server_read_newsletter""", inputSchema={'properties': {'newsletter_id': {'title': 'Newsletter Id', 'type': 'string'}}, 'required': ['newsletter_id'], 'title': 'read_newsletterArguments', 'type': 'object'}, description="""Get the details of a specific newsletter.\n  \n    Args:\n        newsletter_id: The ID of the newsletter to retrieve\n        ctx: Optional context for logging\n      \n    Returns:\n        Formatted string containing the newsletter details\n    """), # MFYDev/Ghost MCP Server/read_newsletter
    Tool(name="""Ghost MCP Server_read_offer""", inputSchema={'properties': {'offer_id': {'title': 'Offer Id', 'type': 'string'}}, 'required': ['offer_id'], 'title': 'read_offerArguments', 'type': 'object'}, description="""Get the details of a specific offer.\n  \n    Args:\n        offer_id: The ID of the offer to retrieve\n        ctx: Optional context for logging\n      \n    Returns:\n        Formatted string containing the offer details\n    """), # MFYDev/Ghost MCP Server/read_offer
    Tool(name="""Ghost MCP Server_read_post""", inputSchema={'properties': {'post_id': {'title': 'Post Id', 'type': 'string'}}, 'required': ['post_id'], 'title': 'read_postArguments', 'type': 'object'}, description="""Get the full content and metadata of a specific blog post.\n    \n    Args:\n        post_id: The ID of the post to retrieve\n        ctx: Optional context for logging\n        \n    Returns:\n        Formatted string containing all post details including:\n        - Basic info (title, slug, status, etc)\n        - Content in both HTML and Lexical formats\n        - Feature image details\n        - Meta fields (SEO, Open Graph, Twitter)\n        - Authors and tags\n        - Email settings\n        - Timestamps\n        \n    Raises:\n        GhostError: If there is an error accessing the Ghost API\n    """), # MFYDev/Ghost MCP Server/read_post
    Tool(name="""Ghost MCP Server_read_tag""", inputSchema={'properties': {'tag_id': {'title': 'Tag Id', 'type': 'string'}}, 'required': ['tag_id'], 'title': 'read_tagArguments', 'type': 'object'}, description="""Get the full metadata of a specific tag.\n    \n    Args:\n        tag_id: The ID of the tag to retrieve\n        ctx: Optional context for logging\n        \n    Returns:\n        Formatted string containing all tag details\n        \n    Raises:\n        GhostError: If there is an error accessing the Ghost API\n    """), # MFYDev/Ghost MCP Server/read_tag
    Tool(name="""Ghost MCP Server_read_tier""", inputSchema={'properties': {'tier_id': {'title': 'Tier Id', 'type': 'string'}}, 'required': ['tier_id'], 'title': 'read_tierArguments', 'type': 'object'}, description="""Get the details of a specific tier.\n  \n    Args:\n        tier_id: The ID of the tier to retrieve\n        ctx: Optional context for logging\n      \n    Returns:\n        Formatted string containing the tier details\n    """), # MFYDev/Ghost MCP Server/read_tier
    Tool(name="""Ghost MCP Server_read_user""", inputSchema={'properties': {'user_id': {'title': 'User Id', 'type': 'string'}}, 'required': ['user_id'], 'title': 'read_userArguments', 'type': 'object'}, description="""Get the details of a specific user.\n  \n    Args:\n        user_id: The ID of the user to retrieve\n        ctx: Optional context for logging\n      \n    Returns:\n        Formatted string containing the user details\n    """), # MFYDev/Ghost MCP Server/read_user
    Tool(name="""Ghost MCP Server_search_posts_by_title""", inputSchema={'properties': {'exact': {'default': False, 'title': 'Exact', 'type': 'boolean'}, 'query': {'title': 'Query', 'type': 'string'}}, 'required': ['query'], 'title': 'search_posts_by_titleArguments', 'type': 'object'}, description="""Search for posts by title.\n    \n    Args:\n        query: The title or part of the title to search for\n        exact: If True, only return exact matches (default: False)\n        ctx: Optional context for logging\n    \n    Returns:\n        Formatted string containing matching post information\n        \n    Raises:\n        GhostError: If there is an error accessing the Ghost API\n    """), # MFYDev/Ghost MCP Server/search_posts_by_title
    Tool(name="""Ghost MCP Server_update_member""", inputSchema={'properties': {'email': {'default': None, 'title': 'Email', 'type': 'string'}, 'labels': {'default': None, 'items': {}, 'title': 'Labels', 'type': 'array'}, 'member_id': {'title': 'Member Id', 'type': 'string'}, 'name': {'default': None, 'title': 'Name', 'type': 'string'}, 'newsletter_ids': {'default': None, 'items': {}, 'title': 'Newsletter Ids', 'type': 'array'}, 'note': {'default': None, 'title': 'Note', 'type': 'string'}}, 'required': ['member_id'], 'title': 'update_memberArguments', 'type': 'object'}, description="""Update an existing member in Ghost.\n    \n    Args:\n        member_id: ID of the member to update (required)\n        email: New email address for the member (optional)\n        name: New name for the member (optional)\n        note: New notes about the member (optional)\n        labels: New list of labels. Each label should be a dict with 'name' and 'slug' (optional)\n        newsletter_ids: New list of newsletter IDs to subscribe the member to (optional)\n        ctx: Optional context for logging\n    \n    Returns:\n        String representation of the updated member\n\n    Raises:\n        GhostError: If the Ghost API request fails\n        ValueError: If no fields to update are provided\n    """), # MFYDev/Ghost MCP Server/update_member
    Tool(name="""Ghost MCP Server_update_newsletter""", inputSchema={'properties': {'body_font_category': {'default': None, 'title': 'Body Font Category', 'type': 'string'}, 'description': {'default': None, 'title': 'Description', 'type': 'string'}, 'footer_content': {'default': None, 'title': 'Footer Content', 'type': 'string'}, 'header_image': {'default': None, 'title': 'Header Image', 'type': 'string'}, 'name': {'default': None, 'title': 'Name', 'type': 'string'}, 'newsletter_id': {'title': 'Newsletter Id', 'type': 'string'}, 'sender_email': {'default': None, 'title': 'Sender Email', 'type': 'string'}, 'sender_name': {'default': None, 'title': 'Sender Name', 'type': 'string'}, 'sender_reply_to': {'default': None, 'title': 'Sender Reply To', 'type': 'string'}, 'show_badge': {'default': None, 'title': 'Show Badge', 'type': 'boolean'}, 'show_feature_image': {'default': None, 'title': 'Show Feature Image', 'type': 'boolean'}, 'show_header_icon': {'default': None, 'title': 'Show Header Icon', 'type': 'boolean'}, 'show_header_name': {'default': None, 'title': 'Show Header Name', 'type': 'boolean'}, 'show_header_title': {'default': None, 'title': 'Show Header Title', 'type': 'boolean'}, 'sort_order': {'default': None, 'title': 'Sort Order', 'type': 'integer'}, 'status': {'default': None, 'title': 'Status', 'type': 'string'}, 'subscribe_on_signup': {'default': None, 'title': 'Subscribe On Signup', 'type': 'boolean'}, 'title_alignment': {'default': None, 'title': 'Title Alignment', 'type': 'string'}, 'title_font_category': {'default': None, 'title': 'Title Font Category', 'type': 'string'}}, 'required': ['newsletter_id'], 'title': 'update_newsletterArguments', 'type': 'object'}, description="""Update an existing newsletter.\n    \n    Args:\n        newsletter_id: ID of the newsletter to update (required)\n        name: New newsletter name\n        description: New newsletter description\n        sender_name: Name shown in email clients\n        sender_email: Email address newsletters are sent from\n        sender_reply_to: Reply-to setting (\"newsletter\" or \"support\")\n        status: Newsletter status (\"active\" or \"archived\")\n        subscribe_on_signup: Whether to subscribe new members automatically\n        sort_order: Order in lists\n        header_image: URL of header image\n        show_header_icon: Whether to show header icon\n        show_header_title: Whether to show header title\n        show_header_name: Whether to show header name\n        title_font_category: Font category for titles\n        title_alignment: Title alignment\n        show_feature_image: Whether to show feature image\n        body_font_category: Font category for body text\n        footer_content: Custom footer content\n        show_badge: Whether to show badge\n        ctx: Optional context for logging\n    \n    Returns:\n        Formatted string containing the updated newsletter details\n    """), # MFYDev/Ghost MCP Server/update_newsletter
    Tool(name="""Ghost MCP Server_update_offer""", inputSchema={'properties': {'code': {'default': None, 'title': 'Code', 'type': 'string'}, 'display_description': {'default': None, 'title': 'Display Description', 'type': 'string'}, 'display_title': {'default': None, 'title': 'Display Title', 'type': 'string'}, 'name': {'default': None, 'title': 'Name', 'type': 'string'}, 'offer_id': {'title': 'Offer Id', 'type': 'string'}}, 'required': ['offer_id'], 'title': 'update_offerArguments', 'type': 'object'}, description="""Update an existing offer in Ghost.\n    \n    Args:\n        offer_id: ID of the offer to update (required)\n        name: New internal name for the offer (optional)\n        code: New shortcode for the offer (optional)\n        display_title: New name displayed in the offer window (optional)\n        display_description: New text displayed in the offer window (optional)\n        ctx: Optional context for logging\n    \n    Returns:\n        String representation of the updated offer\n\n    Raises:\n        GhostError: If the Ghost API request fails\n        ValueError: If no fields to update are provided\n    """), # MFYDev/Ghost MCP Server/update_offer
    Tool(name="""Ghost MCP Server_update_post""", inputSchema={'properties': {'post_id': {'title': 'Post Id', 'type': 'string'}, 'update_data': {'title': 'Update Data', 'type': 'object'}}, 'required': ['post_id', 'update_data'], 'title': 'update_postArguments', 'type': 'object'}, description="""Update a blog post with new data.\n    \n    Args:\n        post_id: The ID of the post to update\n        update_data: Dictionary containing the updated data and updated_at timestamp.\n                     Note: 'updated_at' is required. If 'lexical' is provided, it must be a valid JSON string.\n                     The lexical content must be a properly escaped JSON string in this format:\n                     {\n                       \"root\": {\n                         \"children\": [\n                           {\n                             \"children\": [\n                               {\n                                 \"detail\": 0,\n                                 \"format\": 0,\n                                 \"mode\": \"normal\",\n                                 \"style\": \"\",\n                                 \"text\": \"Your content here\",\n                                 \"type\": \"text\",\n                                 \"version\": 1\n                               }\n                             ],\n                             \"direction\": \"ltr\",\n                             \"format\": \"\",\n                             \"indent\": 0,\n                             \"type\": \"paragraph\",\n                             \"version\": 1\n                           }\n                         ],\n                         \"direction\": \"ltr\",\n                         \"format\": \"\",\n                         \"indent\": 0,\n                         \"type\": \"root\",\n                         \"version\": 1\n                       }\n                     }\n                     \n                     Example usage:\n                     update_data = {\n                         \"post_id\": \"67abcffb7f82ac000179d76f\",\n                         \"update_data\": {\n                            \"updated_at\": \"2025-02-11T22:54:40.000Z\",\n                             \"lexical\": \"{\"root\":{\"children\":[{\"children\":[{\"detail\":0,\"format\":0,\"mode\":\"normal\",\"style\":\"\",\"text\":\"Hello World\",\"type\":\"text\",\"version\":1}],\"direction\":\"ltr\",\"format\":\"\",\"indent\":0,\"type\":\"paragraph\",\"version\":1}],\"direction\":\"ltr\",\"format\":\"\",\"indent\":0,\"type\":\"root\",\"version\":1}}\"\n                         }\n                     }\n                Updatable fields for a blog post:\n\n                - slug: Unique URL slug for the post.\n                - id: Identifier of the post.\n                - uuid: Universally unique identifier for the post.\n                - title: The title of the post.\n                - lexical: JSON string representing the post content in lexical format.\n                - html: HTML version of the post content.\n                - comment_id: Identifier for the comment thread.\n                - feature_image: URL to the post's feature image.\n                - feature_image_alt: Alternate text for the feature image.\n                - feature_image_caption: Caption for the feature image.\n                - featured: Boolean flag indicating if the post is featured.\n                - status: The publication status (e.g., published, draft).\n                - visibility: Visibility setting (e.g., public, private).\n                - created_at: Timestamp when the post was created.\n                - updated_at: Timestamp when the post was last updated.\n                - published_at: Timestamp when the post was published.\n                - custom_excerpt: Custom excerpt text for the post.\n                - codeinjection_head: Code to be injected into the head section.\n                - codeinjection_foot: Code to be injected into the footer section.\n                - custom_template: Custom template assigned to the post.\n                - canonical_url: The canonical URL for SEO purposes.\n                - tags: List of tag objects associated with the post.\n                - authors: List of author objects for the post.\n                - primary_author: The primary author object.\n                - primary_tag: The primary tag object.\n                - url: Direct URL link to the post.\n                - excerpt: Short excerpt or summary of the post.\n                - og_image: Open Graph image URL for social sharing.\n                - og_title: Open Graph title for social sharing.\n                - og_description: Open Graph description for social sharing.\n                - twitter_image: Twitter-specific image URL.\n                - twitter_title: Twitter-specific title.\n                - twitter_description: Twitter-specific description.\n                - meta_title: Meta title for SEO.\n                - meta_description: Meta description for SEO.\n                - email_only: Boolean flag indicating if the post is for email distribution only.\n                - newsletter: Dictionary containing newsletter configuration details.\n                - email: Dictionary containing email details related to the post.\n        ctx: Optional context for logging\n        \n    Returns:\n        Formatted string containing the updated post details\n        \n    Raises:\n        GhostError: If there is an error accessing the Ghost API or missing required fields\n    """), # MFYDev/Ghost MCP Server/update_post
    Tool(name="""Ghost MCP Server_update_tag""", inputSchema={'properties': {'tag_id': {'title': 'Tag Id', 'type': 'string'}, 'update_data': {'title': 'Update Data', 'type': 'object'}}, 'required': ['tag_id', 'update_data'], 'title': 'update_tagArguments', 'type': 'object'}, description="""Update a tag with new data.\n    \n    Args:\n        tag_id: The ID of the tag to update\n        update_data: Dictionary containing the updated data. Fields that can be updated:\n            - name: The name of the tag\n            - slug: URL slug for the tag\n            - description: Description of the tag\n            - feature_image: URL to the tag's feature image\n            - visibility: Tag visibility ('public' or 'internal')\n            - accent_color: CSS color hex value for the tag\n            - meta_title: Meta title for SEO\n            - meta_description: Meta description for SEO\n            - canonical_url: The canonical URL\n            - og_image: Open Graph image URL\n            - og_title: Open Graph title\n            - og_description: Open Graph description\n            - twitter_image: Twitter card image URL\n            - twitter_title: Twitter card title\n            - twitter_description: Twitter card description\n            - codeinjection_head: Code to inject in header\n            - codeinjection_foot: Code to inject in footer\n            \n            Example:\n            {\n                \"name\": \"Updated Name\",\n                \"description\": \"Updated description\"\n            }\n            \n        ctx: Optional context for logging\n        \n    Returns:\n        Formatted string containing the updated tag details\n        \n    Raises:\n        GhostError: If there is an error accessing the Ghost API\n    """), # MFYDev/Ghost MCP Server/update_tag
    Tool(name="""Ghost MCP Server_update_tier""", inputSchema={'properties': {'active': {'anyOf': [{'type': 'boolean'}, {'type': 'null'}], 'default': None, 'title': 'Active'}, 'benefits': {'anyOf': [{'items': {'type': 'string'}, 'type': 'array'}, {'type': 'null'}], 'default': None, 'title': 'Benefits'}, 'currency': {'anyOf': [{'type': 'string'}, {'type': 'null'}], 'default': None, 'title': 'Currency'}, 'description': {'anyOf': [{'type': 'string'}, {'type': 'null'}], 'default': None, 'title': 'Description'}, 'monthly_price': {'anyOf': [{'type': 'integer'}, {'type': 'null'}], 'default': None, 'title': 'Monthly Price'}, 'name': {'anyOf': [{'type': 'string'}, {'type': 'null'}], 'default': None, 'title': 'Name'}, 'tier_id': {'title': 'Tier Id', 'type': 'string'}, 'visibility': {'anyOf': [{'type': 'string'}, {'type': 'null'}], 'default': None, 'title': 'Visibility'}, 'welcome_page_url': {'anyOf': [{'type': 'string'}, {'type': 'null'}], 'default': None, 'title': 'Welcome Page Url'}, 'yearly_price': {'anyOf': [{'type': 'integer'}, {'type': 'null'}], 'default': None, 'title': 'Yearly Price'}}, 'required': ['tier_id'], 'title': 'update_tierArguments', 'type': 'object'}, description="""Update an existing tier in Ghost.\n    \n    Args:\n        tier_id: ID of the tier to update (required)\n        name: New name for the tier\n        description: New description for the tier\n        monthly_price: New monthly price in cents (e.g. 500 for $5.00)\n        yearly_price: New yearly price in cents (e.g. 5000 for $50.00)\n        benefits: New list of benefits for the tier\n        welcome_page_url: New URL for the welcome page\n        visibility: New visibility setting (\"public\" or \"none\")\n        currency: New currency for prices\n        active: New active status\n        ctx: Optional context for logging\n    \n    Returns:\n        String representation of the updated tier\n\n    Raises:\n        GhostError: If the Ghost API request fails\n    """), # MFYDev/Ghost MCP Server/update_tier
    Tool(name="""Ghost MCP Server_update_user""", inputSchema={'properties': {'accessibility': {'default': None, 'title': 'Accessibility', 'type': 'string'}, 'bio': {'default': None, 'title': 'Bio', 'type': 'string'}, 'comment_notifications': {'default': None, 'title': 'Comment Notifications', 'type': 'boolean'}, 'cover_image': {'default': None, 'title': 'Cover Image', 'type': 'string'}, 'email': {'default': None, 'title': 'Email', 'type': 'string'}, 'facebook': {'default': None, 'title': 'Facebook', 'type': 'string'}, 'free_member_signup_notification': {'default': None, 'title': 'Free Member Signup Notification', 'type': 'boolean'}, 'location': {'default': None, 'title': 'Location', 'type': 'string'}, 'mention_notifications': {'default': None, 'title': 'Mention Notifications', 'type': 'boolean'}, 'meta_description': {'default': None, 'title': 'Meta Description', 'type': 'string'}, 'meta_title': {'default': None, 'title': 'Meta Title', 'type': 'string'}, 'milestone_notifications': {'default': None, 'title': 'Milestone Notifications', 'type': 'boolean'}, 'name': {'default': None, 'title': 'Name', 'type': 'string'}, 'paid_subscription_canceled_notification': {'default': None, 'title': 'Paid Subscription Canceled Notification', 'type': 'boolean'}, 'paid_subscription_started_notification': {'default': None, 'title': 'Paid Subscription Started Notification', 'type': 'boolean'}, 'profile_image': {'default': None, 'title': 'Profile Image', 'type': 'string'}, 'slug': {'default': None, 'title': 'Slug', 'type': 'string'}, 'twitter': {'default': None, 'title': 'Twitter', 'type': 'string'}, 'user_id': {'title': 'User Id', 'type': 'string'}, 'website': {'default': None, 'title': 'Website', 'type': 'string'}}, 'required': ['user_id'], 'title': 'update_userArguments', 'type': 'object'}, description="""Update an existing user in Ghost.\n    \n    Args:\n        user_id: ID of the user to update (required)\n        name: User's full name (optional)\n        slug: User's slug (optional)\n        email: User's email address (optional)\n        profile_image: URL for profile image (optional)\n        cover_image: URL for cover image (optional)\n        bio: User's bio (optional)\n        website: User's website URL (optional)\n        location: User's location (optional)\n        facebook: Facebook username (optional)\n        twitter: Twitter username (optional)\n        meta_title: Meta title for SEO (optional)\n        meta_description: Meta description for SEO (optional)\n        accessibility: Accessibility settings (optional)\n        comment_notifications: Enable comment notifications (optional)\n        free_member_signup_notification: Enable free member signup notifications (optional)\n        paid_subscription_started_notification: Enable paid subscription started notifications (optional)\n        paid_subscription_canceled_notification: Enable paid subscription canceled notifications (optional)\n        mention_notifications: Enable mention notifications (optional)\n        milestone_notifications: Enable milestone notifications (optional)\n        ctx: Optional context for logging\n    \n    Returns:\n        String representation of the updated user\n\n    Raises:\n        GhostError: If the Ghost API request fails\n        ValueError: If no fields to update are provided\n    """), # MFYDev/Ghost MCP Server/update_user
    Tool(name="""Ghost MCP Server_update_webhook""", inputSchema={'properties': {'api_version': {'anyOf': [{'type': 'string'}, {'type': 'null'}], 'default': None, 'title': 'Api Version'}, 'event': {'anyOf': [{'type': 'string'}, {'type': 'null'}], 'default': None, 'title': 'Event'}, 'name': {'anyOf': [{'type': 'string'}, {'type': 'null'}], 'default': None, 'title': 'Name'}, 'target_url': {'anyOf': [{'type': 'string'}, {'type': 'null'}], 'default': None, 'title': 'Target Url'}, 'webhook_id': {'title': 'Webhook Id', 'type': 'string'}}, 'required': ['webhook_id'], 'title': 'update_webhookArguments', 'type': 'object'}, description="""Update an existing webhook in Ghost.\n    \n    Args:\n        webhook_id: ID of the webhook to update (required)\n        event: New event to trigger the webhook (optional)\n        target_url: New URL to send the webhook to (optional)\n        name: New name of the webhook (optional)\n        api_version: New API version for the webhook (optional)\n        ctx: Optional context for logging\n    \n    Returns:\n        String representation of the updated webhook\n\n    Raises:\n        GhostError: If the Ghost API request fails\n        ValueError: If no fields to update are provided or if the event is invalid\n    """), # MFYDev/Ghost MCP Server/update_webhook
    Tool(name="""Azure MCP Server_blob_container_create""", inputSchema={'properties': {'container_name': {'description': 'Name of the Blob Storage container to create', 'type': 'string'}}, 'required': ['container_name'], 'type': 'object'}, description="""Create a new Blob Storage container"""), # mashriram/Azure MCP Server/blob_container_create
    Tool(name="""Azure MCP Server_blob_container_list""", inputSchema={'properties': {}, 'type': 'object'}, description="""List all Blob Storage containers"""), # mashriram/Azure MCP Server/blob_container_list
    Tool(name="""Azure MCP Server_blob_container_delete""", inputSchema={'properties': {'container_name': {'description': 'Name of the Blob Storage container to delete', 'type': 'string'}}, 'required': ['container_name'], 'type': 'object'}, description="""Delete a Blob Storage container"""), # mashriram/Azure MCP Server/blob_container_delete
    Tool(name="""Azure MCP Server_blob_upload""", inputSchema={'properties': {'blob_name': {'description': 'Name of the blob in the container', 'type': 'string'}, 'container_name': {'description': 'Name of the Blob Storage container', 'type': 'string'}, 'file_content': {'description': 'Base64 encoded file content for upload', 'type': 'string'}}, 'required': ['container_name', 'blob_name', 'file_content'], 'type': 'object'}, description="""Upload a blob to Blob Storage"""), # mashriram/Azure MCP Server/blob_upload
    Tool(name="""Azure MCP Server_cosmosdb_container_create""", inputSchema={'properties': {'container_name': {'description': 'Name of the Cosmos DB container', 'type': 'string'}, 'database_name': {'description': "Name of the Cosmos DB database (optional, defaults to 'defaultdb')", 'type': 'string'}, 'partition_key': {'description': "Partition key definition for the container (e.g., {'paths': ['/partitionKey'], 'kind': 'Hash'})", 'type': 'object'}}, 'required': ['container_name', 'partition_key'], 'type': 'object'}, description="""Create a new Cosmos DB container"""), # mashriram/Azure MCP Server/cosmosdb_container_create
    Tool(name="""Azure MCP Server_cosmosdb_container_describe""", inputSchema={'properties': {'container_name': {'description': 'Name of the Cosmos DB container', 'type': 'string'}, 'database_name': {'description': "Name of the Cosmos DB database (optional, defaults to 'defaultdb')", 'type': 'string'}}, 'required': ['container_name'], 'type': 'object'}, description="""Get details about a Cosmos DB container"""), # mashriram/Azure MCP Server/cosmosdb_container_describe
    Tool(name="""Azure MCP Server_cosmosdb_container_list""", inputSchema={'properties': {'database_name': {'description': "Name of the Cosmos DB database (optional, defaults to 'defaultdb')", 'type': 'string'}}, 'type': 'object'}, description="""List all Cosmos DB containers in a database"""), # mashriram/Azure MCP Server/cosmosdb_container_list
    Tool(name="""Azure MCP Server_blob_delete""", inputSchema={'properties': {'blob_name': {'description': 'Name of the blob to delete', 'type': 'string'}, 'container_name': {'description': 'Name of the Blob Storage container', 'type': 'string'}}, 'required': ['container_name', 'blob_name'], 'type': 'object'}, description="""Delete a blob from Blob Storage"""), # mashriram/Azure MCP Server/blob_delete
    Tool(name="""Azure MCP Server_blob_list""", inputSchema={'properties': {'container_name': {'description': 'Name of the Blob Storage container', 'type': 'string'}}, 'required': ['container_name'], 'type': 'object'}, description="""List blobs in a Blob Storage container"""), # mashriram/Azure MCP Server/blob_list
    Tool(name="""Azure MCP Server_blob_read""", inputSchema={'properties': {'blob_name': {'description': 'Name of the blob to read', 'type': 'string'}, 'container_name': {'description': 'Name of the Blob Storage container', 'type': 'string'}}, 'required': ['container_name', 'blob_name'], 'type': 'object'}, description="""Read a blob's content from Blob Storage"""), # mashriram/Azure MCP Server/blob_read
    Tool(name="""Azure MCP Server_cosmosdb_container_delete""", inputSchema={'properties': {'container_name': {'description': 'Name of the Cosmos DB container', 'type': 'string'}, 'database_name': {'description': "Name of the Cosmos DB database (optional, defaults to 'defaultdb')", 'type': 'string'}}, 'required': ['container_name'], 'type': 'object'}, description="""Delete a Cosmos DB container"""), # mashriram/Azure MCP Server/cosmosdb_container_delete
    Tool(name="""Azure MCP Server_cosmosdb_item_create""", inputSchema={'properties': {'container_name': {'description': 'Name of the Cosmos DB container', 'type': 'string'}, 'database_name': {'description': "Name of the Cosmos DB database (optional, defaults to 'defaultdb')", 'type': 'string'}, 'item': {'description': 'Item data to create (JSON object)', 'type': 'object'}}, 'required': ['container_name', 'item'], 'type': 'object'}, description="""Create a new item in a Cosmos DB container"""), # mashriram/Azure MCP Server/cosmosdb_item_create
    Tool(name="""Azure MCP Server_cosmosdb_item_read""", inputSchema={'properties': {'container_name': {'description': 'Name of the Cosmos DB container', 'type': 'string'}, 'database_name': {'description': "Name of the Cosmos DB database (optional, defaults to 'defaultdb')", 'type': 'string'}, 'item_id': {'description': 'ID of the item to read', 'type': 'string'}, 'partition_key': {'description': 'Partition key value for the item', 'type': 'string'}}, 'required': ['container_name', 'item_id', 'partition_key'], 'type': 'object'}, description="""Read an item from a Cosmos DB container"""), # mashriram/Azure MCP Server/cosmosdb_item_read
    Tool(name="""Azure MCP Server_cosmosdb_item_replace""", inputSchema={'properties': {'container_name': {'description': 'Name of the Cosmos DB container', 'type': 'string'}, 'database_name': {'description': "Name of the Cosmos DB database (optional, defaults to 'defaultdb')", 'type': 'string'}, 'item': {'description': 'Updated item data (JSON object)', 'type': 'object'}, 'item_id': {'description': 'ID of the item to replace', 'type': 'string'}, 'partition_key': {'description': 'Partition key value for the item', 'type': 'string'}}, 'required': ['container_name', 'item_id', 'partition_key', 'item'], 'type': 'object'}, description="""Replace an item in a Cosmos DB container"""), # mashriram/Azure MCP Server/cosmosdb_item_replace
    Tool(name="""Azure MCP Server_cosmosdb_item_delete""", inputSchema={'properties': {'container_name': {'description': 'Name of the Cosmos DB container', 'type': 'string'}, 'database_name': {'description': "Name of the Cosmos DB database (optional, defaults to 'defaultdb')", 'type': 'string'}, 'item_id': {'description': 'ID of the item to delete', 'type': 'string'}, 'partition_key': {'description': 'Partition key value for the item', 'type': 'string'}}, 'required': ['container_name', 'item_id', 'partition_key'], 'type': 'object'}, description="""Delete an item from a Cosmos DB container"""), # mashriram/Azure MCP Server/cosmosdb_item_delete
    Tool(name="""Azure MCP Server_cosmosdb_item_query""", inputSchema={'properties': {'container_name': {'description': 'Name of the Cosmos DB container', 'type': 'string'}, 'database_name': {'description': "Name of the Cosmos DB database (optional, defaults to 'defaultdb')", 'type': 'string'}, 'parameters': {'description': 'Parameters for the SQL query (optional)', 'items': {'properties': {'name': {'type': 'string'}, 'value': {}}, 'type': 'object'}, 'type': 'array'}, 'query': {'description': 'Cosmos DB SQL query string', 'type': 'string'}}, 'required': ['container_name', 'query'], 'type': 'object'}, description="""Query items in a Cosmos DB container using SQL"""), # mashriram/Azure MCP Server/cosmosdb_item_query
    Tool(name="""Linear MCP Server_read-resource""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'uri': {'description': 'Resource URI to read e.g. linear://issues/4cb972e7-9ba1-4c52-8465-cdf2679ccea7', 'type': 'string'}}, 'required': ['uri'], 'type': 'object'}, description="""Read a Linear resource"""), # Iwark/Linear MCP Server/read-resource
    Tool(name="""Linear MCP Server_create-issue""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'assigneeId': {'description': 'Assignee ID', 'type': 'string'}, 'description': {'description': 'Issue description', 'type': 'string'}, 'estimate': {'description': 'Issue estimate', 'type': 'number'}, 'labelIds': {'description': 'Label IDs', 'items': {'type': 'string'}, 'type': 'array'}, 'priority': {'description': 'Issue priority (0: No priority, 1: Urgent, 2: High, 3: Medium, 4: Low)', 'maximum': 4, 'minimum': 0, 'type': 'number'}, 'stateId': {'description': 'State ID', 'type': 'string'}, 'teamId': {'description': 'Team ID', 'type': 'string'}, 'title': {'description': 'Issue title', 'type': 'string'}}, 'required': ['title', 'teamId'], 'type': 'object'}, description="""Create a new Linear issue"""), # Iwark/Linear MCP Server/create-issue
    Tool(name="""Linear MCP Server_search-issues""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'assigneeId': {'description': 'Assignee ID to filter by', 'type': 'string'}, 'query': {'description': 'Search query', 'type': 'string'}, 'status': {'description': 'Status to filter by', 'type': 'string'}, 'teamId': {'description': 'Team ID to filter by', 'type': 'string'}}, 'required': ['query'], 'type': 'object'}, description="""Search Linear issues"""), # Iwark/Linear MCP Server/search-issues
    Tool(name="""gitlab mcp_create_or_update_file""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'branch': {'description': 'Branch to create/update the file in', 'type': 'string'}, 'commit_message': {'description': 'Commit message', 'type': 'string'}, 'content': {'description': 'Content of the file', 'type': 'string'}, 'file_path': {'description': 'Path where to create/update the file', 'type': 'string'}, 'previous_path': {'description': 'Path of the file to move/rename', 'type': 'string'}, 'project_id': {'description': 'Project ID or URL-encoded path', 'type': 'string'}}, 'required': ['project_id', 'file_path', 'content', 'commit_message', 'branch'], 'type': 'object'}, description="""Create or update a single file in a GitLab project"""), # zereight/gitlab mcp/create_or_update_file
    Tool(name="""gitlab mcp_search_repositories""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'page': {'description': 'Page number for pagination (default: 1)', 'type': 'number'}, 'per_page': {'description': 'Number of results per page (default: 20)', 'type': 'number'}, 'search': {'description': 'Search query', 'type': 'string'}}, 'required': ['search'], 'type': 'object'}, description="""Search for GitLab projects"""), # zereight/gitlab mcp/search_repositories
    Tool(name="""gitlab mcp_create_repository""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'description': {'description': 'Repository description', 'type': 'string'}, 'initialize_with_readme': {'description': 'Initialize with README.md', 'type': 'boolean'}, 'name': {'description': 'Repository name', 'type': 'string'}, 'visibility': {'description': 'Repository visibility level', 'enum': ['private', 'internal', 'public'], 'type': 'string'}}, 'required': ['name'], 'type': 'object'}, description="""Create a new GitLab project"""), # zereight/gitlab mcp/create_repository
    Tool(name="""gitlab mcp_get_file_contents""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'file_path': {'description': 'Path to the file or directory', 'type': 'string'}, 'project_id': {'description': 'Project ID or URL-encoded path', 'type': 'string'}, 'ref': {'description': 'Branch/tag/commit to get contents from', 'type': 'string'}}, 'required': ['project_id', 'file_path'], 'type': 'object'}, description="""Get the contents of a file or directory from a GitLab project"""), # zereight/gitlab mcp/get_file_contents
    Tool(name="""gitlab mcp_push_files""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'branch': {'description': 'Branch to push to', 'type': 'string'}, 'commit_message': {'description': 'Commit message', 'type': 'string'}, 'files': {'description': 'Array of files to push', 'items': {'additionalProperties': False, 'properties': {'content': {'description': 'Content of the file', 'type': 'string'}, 'file_path': {'description': 'Path where to create the file', 'type': 'string'}}, 'required': ['file_path', 'content'], 'type': 'object'}, 'type': 'array'}, 'project_id': {'description': 'Project ID or URL-encoded path', 'type': 'string'}}, 'required': ['project_id', 'branch', 'files', 'commit_message'], 'type': 'object'}, description="""Push multiple files to a GitLab project in a single commit"""), # zereight/gitlab mcp/push_files
    Tool(name="""gitlab mcp_create_issue""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'assignee_ids': {'description': 'Array of user IDs to assign', 'items': {'type': 'number'}, 'type': 'array'}, 'description': {'description': 'Issue description', 'type': 'string'}, 'labels': {'description': 'Array of label names', 'items': {'type': 'string'}, 'type': 'array'}, 'milestone_id': {'description': 'Milestone ID to assign', 'type': 'number'}, 'project_id': {'description': 'Project ID or URL-encoded path', 'type': 'string'}, 'title': {'description': 'Issue title', 'type': 'string'}}, 'required': ['project_id', 'title'], 'type': 'object'}, description="""Create a new issue in a GitLab project"""), # zereight/gitlab mcp/create_issue
    Tool(name="""gitlab mcp_create_merge_request""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'allow_collaboration': {'description': 'Allow commits from upstream members', 'type': 'boolean'}, 'description': {'description': 'Merge request description', 'type': 'string'}, 'draft': {'description': 'Create as draft merge request', 'type': 'boolean'}, 'project_id': {'description': 'Project ID or URL-encoded path', 'type': 'string'}, 'source_branch': {'description': 'Branch containing changes', 'type': 'string'}, 'target_branch': {'description': 'Branch to merge into', 'type': 'string'}, 'title': {'description': 'Merge request title', 'type': 'string'}}, 'required': ['project_id', 'title', 'source_branch', 'target_branch'], 'type': 'object'}, description="""Create a new merge request in a GitLab project"""), # zereight/gitlab mcp/create_merge_request
    Tool(name="""gitlab mcp_fork_repository""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'namespace': {'description': 'Namespace to fork to (full path)', 'type': 'string'}, 'project_id': {'description': 'Project ID or URL-encoded path', 'type': 'string'}}, 'required': ['project_id'], 'type': 'object'}, description="""Fork a GitLab project to your account or specified namespace"""), # zereight/gitlab mcp/fork_repository
    Tool(name="""gitlab mcp_create_branch""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'branch': {'description': 'Name for the new branch', 'type': 'string'}, 'project_id': {'description': 'Project ID or URL-encoded path', 'type': 'string'}, 'ref': {'description': 'Source branch/commit for new branch', 'type': 'string'}}, 'required': ['project_id', 'branch'], 'type': 'object'}, description="""Create a new branch in a GitLab project"""), # zereight/gitlab mcp/create_branch
    Tool(name="""gitlab mcp_get_merge_request""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'merge_request_iid': {'description': 'The internal ID of the merge request', 'type': 'number'}, 'project_id': {'description': 'Project ID or URL-encoded path', 'type': 'string'}}, 'required': ['project_id', 'merge_request_iid'], 'type': 'object'}, description="""Get details of a merge request"""), # zereight/gitlab mcp/get_merge_request
    Tool(name="""gitlab mcp_get_merge_request_diffs""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'merge_request_iid': {'description': 'The internal ID of the merge request', 'type': 'number'}, 'project_id': {'description': 'Project ID or URL-encoded path', 'type': 'string'}, 'view': {'description': 'Diff view type', 'enum': ['inline', 'parallel'], 'type': 'string'}}, 'required': ['project_id', 'merge_request_iid'], 'type': 'object'}, description="""Get the changes/diffs of a merge request"""), # zereight/gitlab mcp/get_merge_request_diffs
    Tool(name="""gitlab mcp_update_merge_request""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'assignee_ids': {'description': 'The ID of the users to assign the MR to', 'items': {'type': 'number'}, 'type': 'array'}, 'description': {'description': 'The description of the merge request', 'type': 'string'}, 'draft': {'description': 'Work in progress merge request', 'type': 'boolean'}, 'labels': {'description': 'Labels for the MR', 'items': {'type': 'string'}, 'type': 'array'}, 'merge_request_iid': {'description': 'The internal ID of the merge request', 'type': 'number'}, 'project_id': {'description': 'Project ID or URL-encoded path', 'type': 'string'}, 'remove_source_branch': {'description': 'Flag indicating if the source branch should be removed', 'type': 'boolean'}, 'squash': {'description': 'Squash commits into a single commit when merging', 'type': 'boolean'}, 'state_event': {'description': 'New state (close/reopen) for the MR', 'enum': ['close', 'reopen'], 'type': 'string'}, 'target_branch': {'description': 'The target branch', 'type': 'string'}, 'title': {'description': 'The title of the merge request', 'type': 'string'}}, 'required': ['project_id', 'merge_request_iid'], 'type': 'object'}, description="""Update a merge request"""), # zereight/gitlab mcp/update_merge_request
    Tool(name="""gitlab mcp_create_note""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'body': {'description': 'Note content', 'type': 'string'}, 'noteable_iid': {'description': 'IID of the issue or merge request', 'type': 'number'}, 'noteable_type': {'description': 'Type of noteable (issue or merge_request)', 'enum': ['issue', 'merge_request'], 'type': 'string'}, 'project_id': {'description': 'Project ID or namespace/project_path', 'type': 'string'}}, 'required': ['project_id', 'noteable_type', 'noteable_iid', 'body'], 'type': 'object'}, description="""Create a new note (comment) to an issue or merge request"""), # zereight/gitlab mcp/create_note
    Tool(name="""confluence-mcp_execute_cql_search""", inputSchema={'properties': {'cql': {'description': 'CQL query string', 'type': 'string'}, 'limit': {'default': 10, 'description': 'Number of results to return', 'type': 'integer'}}, 'required': ['cql'], 'type': 'object'}, description="""Execute a CQL query on Confluence to search pages"""), # zereight/confluence-mcp/execute_cql_search
    Tool(name="""confluence-mcp_get_page_content""", inputSchema={'properties': {'pageId': {'description': 'Confluence Page ID', 'type': 'string'}}, 'required': ['pageId'], 'type': 'object'}, description="""Get the content of a Confluence page"""), # zereight/confluence-mcp/get_page_content
    Tool(name="""confluence-mcp_create_page""", inputSchema={'properties': {'content': {'description': 'Page content in storage format', 'type': 'string'}, 'parentId': {'description': 'Parent page ID (optional)', 'type': 'string'}, 'spaceKey': {'description': 'Space key where the page will be created', 'type': 'string'}, 'title': {'description': 'Page title', 'type': 'string'}}, 'required': ['spaceKey', 'title', 'content'], 'type': 'object'}, description="""Create a new Confluence page"""), # zereight/confluence-mcp/create_page
    Tool(name="""confluence-mcp_update_page""", inputSchema={'properties': {'content': {'description': 'New page content in storage format', 'type': 'string'}, 'pageId': {'description': 'ID of the page to update', 'type': 'string'}, 'title': {'description': 'New page title (optional)', 'type': 'string'}}, 'required': ['pageId', 'content'], 'type': 'object'}, description="""Update an existing Confluence page"""), # zereight/confluence-mcp/update_page
    Tool(name="""confluence-mcp_execute_jql_search""", inputSchema={'properties': {'jql': {'description': 'JQL query string', 'type': 'string'}, 'limit': {'default': 10, 'description': 'Number of results to return', 'type': 'integer'}}, 'required': ['jql'], 'type': 'object'}, description="""Execute a JQL query on Jira to search issues"""), # zereight/confluence-mcp/execute_jql_search
    Tool(name="""confluence-mcp_create_jira_issue""", inputSchema={'properties': {'assignee': {'description': 'Assignee account ID', 'type': 'string'}, 'description': {'description': 'Issue description', 'type': 'string'}, 'issuetype': {'description': 'Issue type name', 'type': 'string'}, 'priority': {'description': 'Priority ID', 'type': 'string'}, 'project': {'description': 'Project key', 'type': 'string'}, 'summary': {'description': 'Issue summary', 'type': 'string'}}, 'required': ['project', 'summary', 'issuetype'], 'type': 'object'}, description="""Create a new Jira issue"""), # zereight/confluence-mcp/create_jira_issue
    Tool(name="""confluence-mcp_update_jira_issue""", inputSchema={'properties': {'assignee': {'description': 'New assignee account ID', 'type': 'string'}, 'description': {'description': 'New issue description', 'type': 'string'}, 'issueKey': {'description': 'Issue key (e.g. PROJ-123)', 'type': 'string'}, 'priority': {'description': 'New priority ID', 'type': 'string'}, 'summary': {'description': 'New issue summary', 'type': 'string'}}, 'required': ['issueKey'], 'type': 'object'}, description="""Update an existing Jira issue"""), # zereight/confluence-mcp/update_jira_issue
    Tool(name="""confluence-mcp_transition_jira_issue""", inputSchema={'properties': {'issueKey': {'description': 'Issue key (e.g. PROJ-123)', 'type': 'string'}, 'transitionId': {'description': 'Transition ID to change the issue status', 'type': 'string'}}, 'required': ['issueKey', 'transitionId'], 'type': 'object'}, description="""Change the status of a Jira issue"""), # zereight/confluence-mcp/transition_jira_issue
    Tool(name="""confluence-mcp_get_board_sprints""", inputSchema={'properties': {'boardId': {'description': 'Jira board ID', 'type': 'string'}, 'state': {'description': 'Filter sprints by state (active, future, closed)', 'enum': ['active', 'future', 'closed'], 'type': 'string'}}, 'required': ['boardId'], 'type': 'object'}, description="""Get all sprints from a Jira board"""), # zereight/confluence-mcp/get_board_sprints
    Tool(name="""confluence-mcp_get_sprint_issues""", inputSchema={'properties': {'fields': {'description': 'List of fields to return for each issue', 'items': {'type': 'string'}, 'type': 'array'}, 'sprintId': {'description': 'Sprint ID', 'type': 'string'}}, 'required': ['sprintId'], 'type': 'object'}, description="""Get all issues from a sprint"""), # zereight/confluence-mcp/get_sprint_issues
    Tool(name="""confluence-mcp_get_current_sprint""", inputSchema={'properties': {'boardId': {'description': 'Jira board ID', 'type': 'string'}, 'includeIssues': {'default': True, 'description': 'Whether to include sprint issues in the response', 'type': 'boolean'}}, 'required': ['boardId'], 'type': 'object'}, description="""Get current active sprint from a board with its issues"""), # zereight/confluence-mcp/get_current_sprint
    Tool(name="""confluence-mcp_get_epic_issues""", inputSchema={'properties': {'epicKey': {'description': 'Epic issue key (e.g. CONNECT-1234)', 'type': 'string'}, 'fields': {'description': 'List of fields to return for each issue', 'items': {'type': 'string'}, 'type': 'array'}}, 'required': ['epicKey'], 'type': 'object'}, description="""Get all issues belonging to an epic"""), # zereight/confluence-mcp/get_epic_issues
    Tool(name="""confluence-mcp_get_user_issues""", inputSchema={'properties': {'boardId': {'description': 'Jira board ID', 'type': 'string'}, 'status': {'default': 'all', 'description': 'Filter by issue status', 'enum': ['open', 'in_progress', 'done', 'all'], 'type': 'string'}, 'type': {'default': 'assignee', 'description': 'Type of user association with issues', 'enum': ['assignee', 'reporter'], 'type': 'string'}, 'username': {'description': 'Username to search issues for', 'type': 'string'}}, 'required': ['boardId', 'username'], 'type': 'object'}, description="""Get all issues assigned to or reported by a specific user in a board"""), # zereight/confluence-mcp/get_user_issues
    Tool(name="""ClickUp MCP Server_get_task""", inputSchema={'properties': {'listName': {'description': 'Optional: Name of the list to narrow down task search when multiple tasks have the same name', 'type': 'string'}, 'taskId': {'description': 'ID of the task to retrieve (optional if using taskName instead). If you have this ID from a previous response, use it directly rather than looking up by name.', 'type': 'string'}, 'taskName': {'description': "Name of the task to retrieve - will automatically find the task by name (optional if using taskId instead). Only use this if you don't already have the task ID from previous responses.", 'type': 'string'}}, 'required': [], 'type': 'object'}, description="""Retrieve comprehensive details about a specific ClickUp task. Use this tool when you need in-depth information about a particular task, including its description, custom fields, attachments, and other metadata. Before calling, check if you already have the necessary task ID from previous responses in the conversation, as this avoids redundant lookups."""), # taazkareem/ClickUp MCP Server/get_task
    Tool(name="""ClickUp MCP Server_delete_task""", inputSchema={'properties': {'listName': {'description': 'Optional: Name of the list to narrow down task search when multiple tasks have the same name', 'type': 'string'}, 'taskId': {'description': 'ID of the task to delete - this is required for safety to prevent accidental deletions. If you have this ID from a previous response, use it directly.', 'type': 'string'}, 'taskName': {'description': "Name of the task to delete - will automatically find the task by name (optional if using taskId instead). Only use this if you don't already have the task ID from previous responses.", 'type': 'string'}}, 'required': [], 'type': 'object'}, description="""Permanently remove a task from your ClickUp workspace. Use this tool with caution as deletion cannot be undone. Before calling, check if you already have the necessary task ID from previous responses in the conversation, as this avoids redundant lookups. For safety, the task ID is required."""), # taazkareem/ClickUp MCP Server/delete_task
    Tool(name="""ClickUp MCP Server_get_folder""", inputSchema={'properties': {'folderId': {'description': 'ID of the folder to retrieve (optional if using folderName instead). If you have this ID from a previous response, use it directly rather than looking up by name.', 'type': 'string'}, 'folderName': {'description': "Name of the folder to retrieve - will automatically find the folder by name (optional if using folderId instead). Only use this if you don't already have the folder ID from previous responses.", 'type': 'string'}, 'spaceId': {'description': 'ID of the space containing the folder (optional if using spaceName instead, and only needed when using folderName). If you have this ID from a previous response, use it directly rather than looking up by name.', 'type': 'string'}, 'spaceName': {'description': "Name of the space containing the folder (optional if using spaceId instead, and only needed when using folderName). Only use this if you don't already have the space ID from previous responses.", 'type': 'string'}}, 'required': [], 'type': 'object'}, description="""Retrieve details about a specific ClickUp folder including its name, status, and other metadata. Before calling, check if you already have the necessary folder ID from previous responses in the conversation history, as this avoids redundant lookups. Helps you understand folder structure before creating or updating lists."""), # taazkareem/ClickUp MCP Server/get_folder
    Tool(name="""ClickUp MCP Server_update_folder""", inputSchema={'properties': {'folderId': {'description': 'ID of the folder to update (optional if using folderName instead). If you have this ID from a previous response, use it directly rather than looking up by name.', 'type': 'string'}, 'folderName': {'description': "Name of the folder to update - will automatically find the folder by name (optional if using folderId instead). Only use this if you don't already have the folder ID from previous responses.", 'type': 'string'}, 'name': {'description': 'New name for the folder', 'type': 'string'}, 'override_statuses': {'description': 'Whether to override space statuses with folder-specific statuses', 'type': 'boolean'}, 'spaceId': {'description': 'ID of the space containing the folder (optional if using spaceName instead, and only needed when using folderName). If you have this ID from a previous response, use it directly rather than looking up by name.', 'type': 'string'}, 'spaceName': {'description': "Name of the space containing the folder (optional if using spaceId instead, and only needed when using folderName). Only use this if you don't already have the space ID from previous responses.", 'type': 'string'}}, 'required': [], 'type': 'object'}, description="""Modify an existing ClickUp folder's properties, such as name or status settings. Before calling, check if you already have the necessary folder ID from previous responses in the conversation history, as this avoids redundant lookups. Use when reorganizing or renaming workspace elements."""), # taazkareem/ClickUp MCP Server/update_folder
    Tool(name="""ClickUp MCP Server_delete_folder""", inputSchema={'properties': {'folderId': {'description': 'ID of the folder to delete (optional if using folderName instead). If you have this ID from a previous response, use it directly rather than looking up by name.', 'type': 'string'}, 'folderName': {'description': "Name of the folder to delete - will automatically find the folder by name (optional if using folderId instead). Only use this if you don't already have the folder ID from previous responses.", 'type': 'string'}, 'spaceId': {'description': 'ID of the space containing the folder (optional if using spaceName instead, and only needed when using folderName). If you have this ID from a previous response, use it directly rather than looking up by name.', 'type': 'string'}, 'spaceName': {'description': "Name of the space containing the folder (optional if using spaceId instead, and only needed when using folderName). Only use this if you don't already have the space ID from previous responses.", 'type': 'string'}}, 'required': [], 'type': 'object'}, description="""Permanently remove a folder from your ClickUp workspace. Use with caution as deletion cannot be undone and will remove all lists and tasks within the folder. Before calling, check if you already have the necessary folder ID from previous responses in the conversation history, as this avoids redundant lookups."""), # taazkareem/ClickUp MCP Server/delete_folder
    Tool(name="""ClickUp MCP Server_get_list""", inputSchema={'properties': {'listId': {'description': 'ID of the list to retrieve (optional if using listName instead). If you have this ID from a previous response, use it directly rather than looking up by name.', 'type': 'string'}, 'listName': {'description': "Name of the list to retrieve - will automatically find the list by name (optional if using listId instead). Only use this if you don't already have the list ID from previous responses.", 'type': 'string'}}, 'required': [], 'type': 'object'}, description="""Retrieve details about a specific ClickUp list including its name, content, status options, and other metadata. Before calling, check if you already have the necessary list ID from previous responses in the conversation history, as this avoids redundant lookups. Useful to understand list structure before creating or updating tasks."""), # taazkareem/ClickUp MCP Server/get_list
    Tool(name="""ClickUp MCP Server_update_list""", inputSchema={'properties': {'content': {'description': 'New description or content for the list', 'type': 'string'}, 'listId': {'description': 'ID of the list to update (optional if using listName instead). If you have this ID from a previous response, use it directly rather than looking up by name.', 'type': 'string'}, 'listName': {'description': "Name of the list to update - will automatically find the list by name (optional if using listId instead). Only use this if you don't already have the list ID from previous responses.", 'type': 'string'}, 'name': {'description': 'New name for the list', 'type': 'string'}, 'status': {'description': 'New status for the list', 'type': 'string'}}, 'required': [], 'type': 'object'}, description="""Modify an existing ClickUp list's properties, such as name, content, or status options. Before calling, check if you already have the necessary list ID from previous responses in the conversation history, as this avoids redundant lookups. Use when reorganizing or renaming workspace elements."""), # taazkareem/ClickUp MCP Server/update_list
    Tool(name="""ClickUp MCP Server_delete_list""", inputSchema={'properties': {'listId': {'description': 'ID of the list to delete (optional if using listName instead). If you have this ID from a previous response, use it directly rather than looking up by name.', 'type': 'string'}, 'listName': {'description': "Name of the list to delete - will automatically find the list by name (optional if using listId instead). Only use this if you don't already have the list ID from previous responses.", 'type': 'string'}}, 'required': [], 'type': 'object'}, description="""Permanently remove a list from your ClickUp workspace. Use with caution as deletion cannot be undone and will remove all tasks within the list. Before calling, check if you already have the necessary list ID from previous responses in the conversation history, as this avoids redundant lookups."""), # taazkareem/ClickUp MCP Server/delete_list
    Tool(name="""ClickUp MCP Server_get_workspace_hierarchy""", inputSchema={'properties': {}, 'required': [], 'type': 'object'}, description="""Retrieve the complete ClickUp workspace hierarchy, including all spaces, folders, and lists with their IDs, names, and hierarchical paths. Call this tool only when you need to discover the workspace structure and don't already have this information from recent context. Avoid using for repeated lookups of the same information."""), # taazkareem/ClickUp MCP Server/get_workspace_hierarchy
    Tool(name="""ClickUp MCP Server_create_task""", inputSchema={'properties': {'description': {'description': 'Plain text description for the task', 'type': 'string'}, 'dueDate': {'description': 'Due date of the task (Unix timestamp in milliseconds). Convert dates to this format before submitting.', 'type': 'string'}, 'listId': {'description': 'ID of the list to create the task in (optional if using listName instead). If you have this ID from a previous response, use it directly rather than looking up by name.', 'type': 'string'}, 'listName': {'description': "Name of the list to create the task in - will automatically find the list by name (optional if using listId instead). Only use this if you don't already have the list ID from previous responses.", 'type': 'string'}, 'markdown_description': {'description': 'Markdown formatted description for the task. If provided, this takes precedence over description', 'type': 'string'}, 'name': {'description': 'Name of the task. Put a relevant emoji followed by a blank space before the name.', 'type': 'string'}, 'priority': {'description': 'Priority of the task (1-4), where 1 is urgent/highest priority and 4 is lowest priority. Only set this when the user explicitly requests a priority level.', 'type': 'number'}, 'status': {'description': 'OPTIONAL: Override the default ClickUp status. In most cases, you should omit this to use ClickUp defaults', 'type': 'string'}}, 'required': ['name'], 'type': 'object'}, description="""Create a single task in a ClickUp list. Use this tool for individual task creation only. For multiple tasks, use create_bulk_tasks instead. Before calling this tool, check if you already have the necessary list ID from previous responses in the conversation history, as this avoids redundant lookups. When creating a task, you must provide either a listId or listName."""), # taazkareem/ClickUp MCP Server/create_task
    Tool(name="""ClickUp MCP Server_create_bulk_tasks""", inputSchema={'properties': {'listId': {'description': 'ID of the list to create the tasks in (optional if using listName instead). If you have this ID from a previous response, use it directly rather than looking up by name.', 'type': 'string'}, 'listName': {'description': "Name of the list to create the tasks in - will automatically find the list by name (optional if using listId instead). Only use this if you don't already have the list ID from previous responses.", 'type': 'string'}, 'tasks': {'description': 'Array of tasks to create (at least one task required)', 'items': {'properties': {'assignees': {'description': 'Array of user IDs to assign to the task', 'items': {'type': 'number'}, 'type': 'array'}, 'description': {'description': 'Plain text description for the task', 'type': 'string'}, 'dueDate': {'description': 'Due date (Unix timestamp in milliseconds). Convert dates to this format before submitting.', 'type': 'string'}, 'markdown_description': {'description': 'Markdown formatted description for the task. If provided, this takes precedence over description', 'type': 'string'}, 'name': {'description': 'Name of the task. Consider adding a relevant emoji before the name.', 'type': 'string'}, 'priority': {'description': 'Priority level (1-4), where 1 is urgent/highest priority and 4 is lowest priority. Only set when explicitly requested.', 'type': 'number'}, 'status': {'description': 'OPTIONAL: Override the default ClickUp status. In most cases, you should omit this to use ClickUp defaults', 'type': 'string'}}, 'required': [], 'type': 'object'}, 'type': 'array'}}, 'required': ['tasks'], 'type': 'object'}, description="""Create multiple tasks in a ClickUp list simultaneously. Use this tool when you need to add several related tasks in one operation. Before calling, check if you already have the necessary list ID from previous responses in the conversation, as this avoids redundant lookups. More efficient than creating tasks one by one for batch operations."""), # taazkareem/ClickUp MCP Server/create_bulk_tasks
    Tool(name="""ClickUp MCP Server_create_list""", inputSchema={'properties': {'assignee': {'description': 'User ID to assign the list to', 'type': 'number'}, 'content': {'description': 'Description or content of the list', 'type': 'string'}, 'dueDate': {'description': 'Due date for the list (Unix timestamp in milliseconds). Convert dates to this format before submitting.', 'type': 'string'}, 'name': {'description': 'Name of the list', 'type': 'string'}, 'priority': {'description': 'Priority of the list (1-4), where 1 is urgent/highest priority and 4 is lowest priority. Only set when explicitly requested.', 'type': 'number'}, 'spaceId': {'description': 'ID of the space to create the list in (optional if using spaceName instead). If you have this ID from a previous response, use it directly rather than looking up by name.', 'type': 'string'}, 'spaceName': {'description': "Name of the space to create the list in - will automatically find the space by name (optional if using spaceId instead). Only use this if you don't already have the space ID from previous responses.", 'type': 'string'}, 'status': {'description': 'Status of the list', 'type': 'string'}}, 'required': ['name'], 'type': 'object'}, description="""Create a new list directly in a ClickUp space. Use this tool when you need a top-level list not nested inside a folder. Before calling, check if you already have the necessary space ID from previous responses in the conversation, as this avoids redundant lookups. For creating lists inside folders, use create_list_in_folder instead."""), # taazkareem/ClickUp MCP Server/create_list
    Tool(name="""ClickUp MCP Server_create_folder""", inputSchema={'properties': {'name': {'description': 'Name of the folder', 'type': 'string'}, 'override_statuses': {'description': 'Whether to override space statuses with folder-specific statuses', 'type': 'boolean'}, 'spaceId': {'description': 'ID of the space to create the folder in (optional if using spaceName instead). If you have this ID from a previous response, use it directly rather than looking up by name.', 'type': 'string'}, 'spaceName': {'description': "Name of the space to create the folder in - will automatically find the space by name (optional if using spaceId instead). Only use this if you don't already have the space ID from previous responses.", 'type': 'string'}}, 'required': ['name'], 'type': 'object'}, description="""Create a new folder in a ClickUp space for organizing related lists. Use this tool when you need to group multiple lists together. Before calling, check if you already have the necessary space ID from previous responses in the conversation, as this avoids redundant lookups. After creating a folder, you can add lists to it using create_list_in_folder."""), # taazkareem/ClickUp MCP Server/create_folder
    Tool(name="""ClickUp MCP Server_create_list_in_folder""", inputSchema={'properties': {'content': {'description': 'Description or content of the list', 'type': 'string'}, 'folderId': {'description': 'ID of the folder to create the list in (optional if using folderName instead). If you have this ID from a previous response, use it directly rather than looking up by name.', 'type': 'string'}, 'folderName': {'description': "Name of the folder to create the list in - will automatically find the folder by name (optional if using folderId instead). Only use this if you don't already have the folder ID from previous responses.", 'type': 'string'}, 'name': {'description': 'Name of the list', 'type': 'string'}, 'spaceId': {'description': 'ID of the space containing the folder (optional if using spaceName instead). If you have this ID from a previous response, use it directly rather than looking up by name.', 'type': 'string'}, 'spaceName': {'description': "Name of the space containing the folder - will automatically find the space by name (optional if using spaceId instead). Only use this if you don't already have the space ID from previous responses.", 'type': 'string'}, 'status': {'description': 'Status of the list (uses folder default if not specified)', 'type': 'string'}}, 'required': ['name'], 'type': 'object'}, description="""Create a new list within a ClickUp folder. Use this tool when you need to add a list to an existing folder structure. Before calling, check if you already have the necessary folder ID and space ID from previous responses in the conversation, as this avoids redundant lookups. For top-level lists not in folders, use create_list instead."""), # taazkareem/ClickUp MCP Server/create_list_in_folder
    Tool(name="""ClickUp MCP Server_move_task""", inputSchema={'properties': {'listId': {'description': 'ID of the destination list (optional if using listName instead). If you have this ID from a previous response, use it directly rather than looking up by name.', 'type': 'string'}, 'listName': {'description': "Name of the destination list - will automatically find the list by name (optional if using listId instead). Only use this if you don't already have the list ID from previous responses.", 'type': 'string'}, 'sourceListName': {'description': 'Optional: Name of the source list to narrow down task search when multiple tasks have the same name', 'type': 'string'}, 'taskId': {'description': 'ID of the task to move (optional if using taskName instead). If you have this ID from a previous response, use it directly rather than looking up by name.', 'type': 'string'}, 'taskName': {'description': "Name of the task to move - will automatically find the task by name (optional if using taskId instead). Only use this if you don't already have the task ID from previous responses.", 'type': 'string'}}, 'required': [], 'type': 'object'}, description="""Move an existing task from its current list to a different list. Use this tool when you need to relocate a task within your workspace hierarchy. Before calling, check if you already have the necessary task ID and list ID from previous responses in the conversation, as this avoids redundant lookups. Task statuses may be reset if the destination list uses different status options."""), # taazkareem/ClickUp MCP Server/move_task
    Tool(name="""ClickUp MCP Server_duplicate_task""", inputSchema={'properties': {'listId': {'description': 'ID of the list to create the duplicate in (optional if using listName instead). If you have this ID from a previous response, use it directly rather than looking up by name.', 'type': 'string'}, 'listName': {'description': "Name of the list to create the duplicate in - will automatically find the list by name (optional if using listId instead). Only use this if you don't already have the list ID from previous responses.", 'type': 'string'}, 'sourceListName': {'description': 'Optional: Name of the source list to narrow down task search when multiple tasks have the same name', 'type': 'string'}, 'taskId': {'description': 'ID of the task to duplicate (optional if using taskName instead). If you have this ID from a previous response, use it directly rather than looking up by name.', 'type': 'string'}, 'taskName': {'description': "Name of the task to duplicate - will automatically find the task by name (optional if using taskId instead). Only use this if you don't already have the task ID from previous responses.", 'type': 'string'}}, 'required': [], 'type': 'object'}, description="""Create a copy of an existing task in the same or different list. Use this tool when you need to replicate a task's content and properties. Before calling, check if you already have the necessary task ID and list ID from previous responses in the conversation, as this avoids redundant lookups. The duplicate will preserve name, description, priority, and other attributes from the original task."""), # taazkareem/ClickUp MCP Server/duplicate_task
    Tool(name="""ClickUp MCP Server_update_task""", inputSchema={'properties': {'description': {'description': 'New plain text description for the task', 'type': 'string'}, 'listName': {'description': 'Optional: Name of the list to narrow down task search when multiple tasks have the same name', 'type': 'string'}, 'markdown_description': {'description': 'New markdown formatted description for the task. If provided, this takes precedence over description', 'type': 'string'}, 'name': {'description': 'New name for the task', 'type': 'string'}, 'priority': {'description': 'New priority for the task (1-4 or null), where 1 is urgent/highest priority and 4 is lowest priority. Set to null to clear priority.', 'enum': [1, 2, 3, 4, None], 'optional': True, 'type': ['number', 'null']}, 'status': {'description': "New status for the task (must be a valid status in the task's list)", 'type': 'string'}, 'taskId': {'description': 'ID of the task to update (optional if using taskName instead). If you have this ID from a previous response, use it directly rather than looking up by name.', 'type': 'string'}, 'taskName': {'description': "Name of the task to update - will automatically find the task by name (optional if using taskId instead). Only use this if you don't already have the task ID from previous responses.", 'type': 'string'}}, 'required': [], 'type': 'object'}, description="""Modify the properties of an existing task. Use this tool when you need to change a task's name, description, status, priority, or due date. Before calling, check if you already have the necessary task ID from previous responses in the conversation, as this avoids redundant lookups. Only the fields you specify will be updated; other fields will remain unchanged."""), # taazkareem/ClickUp MCP Server/update_task
    Tool(name="""ClickUp MCP Server_get_tasks""", inputSchema={'properties': {'archived': {'description': 'Set to true to include archived tasks in the results', 'type': 'boolean'}, 'assignees': {'description': 'Array of user IDs to filter tasks by assignee', 'items': {'type': 'string'}, 'type': 'array'}, 'custom_fields': {'description': 'Object with custom field IDs as keys and desired values for filtering', 'type': 'object'}, 'date_created_gt': {'description': 'Filter tasks created after this timestamp (Unix milliseconds)', 'type': 'number'}, 'date_created_lt': {'description': 'Filter tasks created before this timestamp (Unix milliseconds)', 'type': 'number'}, 'date_updated_gt': {'description': 'Filter tasks updated after this timestamp (Unix milliseconds)', 'type': 'number'}, 'date_updated_lt': {'description': 'Filter tasks updated before this timestamp (Unix milliseconds)', 'type': 'number'}, 'due_date_gt': {'description': 'Filter tasks due after this timestamp (Unix milliseconds)', 'type': 'number'}, 'due_date_lt': {'description': 'Filter tasks due before this timestamp (Unix milliseconds)', 'type': 'number'}, 'include_closed': {'description': "Set to true to include tasks with 'Closed' status", 'type': 'boolean'}, 'listId': {'description': 'ID of the list to get tasks from (optional if using listName instead). If you have this ID from a previous response, use it directly rather than looking up by name.', 'type': 'string'}, 'listName': {'description': "Name of the list to get tasks from - will automatically find the list by name (optional if using listId instead). Only use this if you don't already have the list ID from previous responses.", 'type': 'string'}, 'order_by': {'description': "Field to order tasks by (e.g., 'due_date', 'created', 'updated')", 'type': 'string'}, 'page': {'description': 'Page number for pagination when dealing with many tasks (starts at 0)', 'type': 'number'}, 'reverse': {'description': 'Set to true to reverse the sort order (descending instead of ascending)', 'type': 'boolean'}, 'statuses': {'description': "Array of status names to filter tasks by (e.g., ['To Do', 'In Progress'])", 'items': {'type': 'string'}, 'type': 'array'}, 'subtasks': {'description': 'Set to true to include subtasks in the results', 'type': 'boolean'}}, 'required': [], 'type': 'object'}, description="""Retrieve tasks from a ClickUp list with optional filtering capabilities. Use this tool when you need to see existing tasks or analyze your current workload. Before calling, check if you already have the necessary list ID from previous responses in the conversation, as this avoids redundant lookups. Results can be filtered by status, assignees, dates, and more."""), # taazkareem/ClickUp MCP Server/get_tasks
    Tool(name="""Feature-Discussion MCP Server_begin_feature_discussion""", inputSchema={'properties': {'title': {'description': 'Title or name of the feature', 'type': 'string'}}, 'required': ['title'], 'type': 'object'}, description="""Start a new feature discussion"""), # squirrelogic/Feature-Discussion MCP Server/begin_feature_discussion
    Tool(name="""Feature-Discussion MCP Server_provide_feature_input""", inputSchema={'properties': {'featureId': {'description': 'ID of the feature being discussed', 'type': 'string'}, 'response': {'description': 'Your response to the current prompt', 'type': 'string'}}, 'required': ['featureId', 'response'], 'type': 'object'}, description="""Provide information for the current feature discussion prompt"""), # squirrelogic/Feature-Discussion MCP Server/provide_feature_input
    Tool(name="""YouTube MCP Server_download_youtube_srt""", inputSchema={'properties': {'url': {'description': 'URL of the YouTube video', 'type': 'string'}}, 'required': ['url'], 'type': 'object'}, description="""Download YouTube subtitles in SRT format so that LLM can read them."""), # kevinwatt/YouTube MCP Server/download_youtube_srt
    Tool(name="""YouTube MCP Server_download_youtube_video""", inputSchema={'properties': {'url': {'description': 'URL of the YouTube video', 'type': 'string'}}, 'required': ['url'], 'type': 'object'}, description="""Download YouTube video to the user's default Downloads folder (usually ~/Downloads)."""), # kevinwatt/YouTube MCP Server/download_youtube_video
    Tool(name="""MCP Playwright CDP_playwright_navigate""", inputSchema={'properties': {'height': {'description': 'Viewport height in pixels (default: 1080)', 'type': 'number'}, 'timeout': {'description': 'Navigation timeout in milliseconds', 'type': 'number'}, 'url': {'type': 'string'}, 'waitUntil': {'description': 'Navigation wait condition', 'type': 'string'}, 'width': {'description': 'Viewport width in pixels (default: 1920)', 'type': 'number'}}, 'required': ['url'], 'type': 'object'}, description="""Navigate to a URL"""), # lars-hagen/MCP Playwright CDP/playwright_navigate
    Tool(name="""MCP Playwright CDP_playwright_screenshot""", inputSchema={'properties': {'downloadsDir': {'description': "Custom downloads directory path (default: user's Downloads folder)", 'type': 'string'}, 'height': {'description': 'Height in pixels (default: 600)', 'type': 'number'}, 'name': {'description': 'Name for the screenshot', 'type': 'string'}, 'savePng': {'description': 'Save screenshot as PNG file (default: false)', 'type': 'boolean'}, 'selector': {'description': 'CSS selector for element to screenshot', 'type': 'string'}, 'storeBase64': {'description': 'Store screenshot in base64 format (default: true)', 'type': 'boolean'}, 'width': {'description': 'Width in pixels (default: 800)', 'type': 'number'}}, 'required': ['name'], 'type': 'object'}, description="""Take a screenshot of the current page or a specific element"""), # lars-hagen/MCP Playwright CDP/playwright_screenshot
    Tool(name="""MCP Playwright CDP_playwright_click""", inputSchema={'properties': {'selector': {'description': 'CSS selector for element to click', 'type': 'string'}}, 'required': ['selector'], 'type': 'object'}, description="""Click an element on the page"""), # lars-hagen/MCP Playwright CDP/playwright_click
    Tool(name="""MCP Playwright CDP_playwright_fill""", inputSchema={'properties': {'selector': {'description': 'CSS selector for input field', 'type': 'string'}, 'value': {'description': 'Value to fill', 'type': 'string'}}, 'required': ['selector', 'value'], 'type': 'object'}, description="""fill out an input field"""), # lars-hagen/MCP Playwright CDP/playwright_fill
    Tool(name="""MCP Playwright CDP_playwright_select""", inputSchema={'properties': {'selector': {'description': 'CSS selector for element to select', 'type': 'string'}, 'value': {'description': 'Value to select', 'type': 'string'}}, 'required': ['selector', 'value'], 'type': 'object'}, description="""Select an element on the page with Select tag"""), # lars-hagen/MCP Playwright CDP/playwright_select
    Tool(name="""MCP Playwright CDP_playwright_hover""", inputSchema={'properties': {'selector': {'description': 'CSS selector for element to hover', 'type': 'string'}}, 'required': ['selector'], 'type': 'object'}, description="""Hover an element on the page"""), # lars-hagen/MCP Playwright CDP/playwright_hover
    Tool(name="""MCP Playwright CDP_playwright_evaluate""", inputSchema={'properties': {'script': {'description': 'JavaScript code to execute', 'type': 'string'}}, 'required': ['script'], 'type': 'object'}, description="""Execute JavaScript in the browser console"""), # lars-hagen/MCP Playwright CDP/playwright_evaluate
    Tool(name="""MCP Playwright CDP_playwright_get""", inputSchema={'properties': {'url': {'description': 'URL to perform GET operation', 'type': 'string'}}, 'required': ['url'], 'type': 'object'}, description="""Perform an HTTP GET request"""), # lars-hagen/MCP Playwright CDP/playwright_get
    Tool(name="""MCP Playwright CDP_playwright_post""", inputSchema={'properties': {'url': {'description': 'URL to perform POST operation', 'type': 'string'}, 'value': {'description': 'Data to post in the body', 'type': 'string'}}, 'required': ['url', 'value'], 'type': 'object'}, description="""Perform an HTTP POST request"""), # lars-hagen/MCP Playwright CDP/playwright_post
    Tool(name="""MCP Playwright CDP_playwright_put""", inputSchema={'properties': {'url': {'description': 'URL to perform PUT operation', 'type': 'string'}, 'value': {'description': 'Data to PUT in the body', 'type': 'string'}}, 'required': ['url', 'value'], 'type': 'object'}, description="""Perform an HTTP PUT request"""), # lars-hagen/MCP Playwright CDP/playwright_put
    Tool(name="""MCP Playwright CDP_playwright_patch""", inputSchema={'properties': {'url': {'description': 'URL to perform PUT operation', 'type': 'string'}, 'value': {'description': 'Data to PATCH in the body', 'type': 'string'}}, 'required': ['url', 'value'], 'type': 'object'}, description="""Perform an HTTP PATCH request"""), # lars-hagen/MCP Playwright CDP/playwright_patch
    Tool(name="""MCP Playwright CDP_playwright_delete""", inputSchema={'properties': {'url': {'description': 'URL to perform DELETE operation', 'type': 'string'}}, 'required': ['url'], 'type': 'object'}, description="""Perform an HTTP DELETE request"""), # lars-hagen/MCP Playwright CDP/playwright_delete
    Tool(name="""File Edit Check MCP Server_checked_read_file""", inputSchema={'properties': {'path': {'description': 'Path to the file to read', 'type': 'string'}}, 'required': ['path'], 'type': 'object'}, description="""Read a file and mark it as read for future editing"""), # 8grackles/File Edit Check MCP Server/checked_read_file
    Tool(name="""File Edit Check MCP Server_checked_write_to_file""", inputSchema={'properties': {'content': {'description': 'Content to write to the file', 'type': 'string'}, 'line_count': {'description': 'Number of lines in the content', 'type': 'number'}, 'path': {'description': 'Path to write the file to', 'type': 'string'}}, 'required': ['path', 'content', 'line_count'], 'type': 'object'}, description="""Write to a file, requiring it to have been read first if it exists"""), # 8grackles/File Edit Check MCP Server/checked_write_to_file
    Tool(name="""File Edit Check MCP Server_checked_apply_diff""", inputSchema={'properties': {'diff': {'description': 'Unified diff content to apply', 'type': 'string'}, 'path': {'description': 'Path to the file to modify', 'type': 'string'}}, 'required': ['path', 'diff'], 'type': 'object'}, description="""Apply a diff to a file, requiring it to have been read first"""), # 8grackles/File Edit Check MCP Server/checked_apply_diff
    Tool(name="""File Edit Check MCP Server_list_my_tools""", inputSchema={'properties': {}, 'required': [], 'type': 'object'}, description="""List the tools registered in this server"""), # 8grackles/File Edit Check MCP Server/list_my_tools
    Tool(name="""MCP Image Placeholder Server_image_placeholder""", inputSchema={'properties': {'height': {'title': 'Height', 'type': 'integer'}, 'provider': {'enum': ['placehold', 'lorem-picsum'], 'title': 'Provider', 'type': 'string'}, 'width': {'title': 'Width', 'type': 'integer'}}, 'required': ['provider', 'width', 'height'], 'title': 'image_placeholderArguments', 'type': 'object'}, description="""\n    Generate a placeholder image based on a provider, width, and height.\n    Use this tool to generate a placeholder image for testing or development purposes.\n\n    Args:\n        provider: The provider to use for the image, must be either `placehold` or `lorem-picsum`.\n        width: The width of the image, must be a positive integer between 1 and 10000.\n        height: The height of the image, must be a positive integer between 1 and 10000.\n    """), # husniadil/MCP Image Placeholder Server/image_placeholder
    Tool(name="""Puppeteer MCP Server_puppeteer_connect_active_tab""", inputSchema={'properties': {'debugPort': {'default': 9222, 'description': 'Optional Chrome debugging port (default: 9222)', 'type': 'number'}, 'targetUrl': {'description': 'Optional URL of the target tab to connect to. If not provided, connects to the first available tab.', 'type': 'string'}}, 'required': [], 'type': 'object'}, description="""Connect to an existing Chrome instance with remote debugging enabled"""), # merajmehrabi/Puppeteer MCP Server/puppeteer_connect_active_tab
    Tool(name="""Puppeteer MCP Server_puppeteer_navigate""", inputSchema={'properties': {'url': {'type': 'string'}}, 'required': ['url'], 'type': 'object'}, description="""Navigate to a URL"""), # merajmehrabi/Puppeteer MCP Server/puppeteer_navigate
    Tool(name="""Puppeteer MCP Server_puppeteer_screenshot""", inputSchema={'properties': {'height': {'description': 'Height in pixels (default: 600)', 'type': 'number'}, 'name': {'description': 'Name for the screenshot', 'type': 'string'}, 'selector': {'description': 'CSS selector for element to screenshot', 'type': 'string'}, 'width': {'description': 'Width in pixels (default: 800)', 'type': 'number'}}, 'required': ['name'], 'type': 'object'}, description="""Take a screenshot of the current page or a specific element"""), # merajmehrabi/Puppeteer MCP Server/puppeteer_screenshot
    Tool(name="""Puppeteer MCP Server_puppeteer_click""", inputSchema={'properties': {'selector': {'description': 'CSS selector for element to click', 'type': 'string'}}, 'required': ['selector'], 'type': 'object'}, description="""Click an element on the page"""), # merajmehrabi/Puppeteer MCP Server/puppeteer_click
    Tool(name="""Puppeteer MCP Server_puppeteer_fill""", inputSchema={'properties': {'selector': {'description': 'CSS selector for input field', 'type': 'string'}, 'value': {'description': 'Value to fill', 'type': 'string'}}, 'required': ['selector', 'value'], 'type': 'object'}, description="""Fill out an input field"""), # merajmehrabi/Puppeteer MCP Server/puppeteer_fill
    Tool(name="""Puppeteer MCP Server_puppeteer_select""", inputSchema={'properties': {'selector': {'description': 'CSS selector for element to select', 'type': 'string'}, 'value': {'description': 'Value to select', 'type': 'string'}}, 'required': ['selector', 'value'], 'type': 'object'}, description="""Select an element on the page with Select tag"""), # merajmehrabi/Puppeteer MCP Server/puppeteer_select
    Tool(name="""Puppeteer MCP Server_puppeteer_hover""", inputSchema={'properties': {'selector': {'description': 'CSS selector for element to hover', 'type': 'string'}}, 'required': ['selector'], 'type': 'object'}, description="""Hover an element on the page"""), # merajmehrabi/Puppeteer MCP Server/puppeteer_hover
    Tool(name="""Puppeteer MCP Server_puppeteer_evaluate""", inputSchema={'properties': {'script': {'description': 'JavaScript code to execute', 'type': 'string'}}, 'required': ['script'], 'type': 'object'}, description="""Execute JavaScript in the browser console"""), # merajmehrabi/Puppeteer MCP Server/puppeteer_evaluate
    Tool(name="""MCP Live Events Server_get_upcoming_events""", inputSchema={'properties': {'city': {'title': 'City', 'type': 'string'}, 'end_dttm_str': {'title': 'End Dttm Str', 'type': 'string'}, 'keyword': {'anyOf': [{'type': 'string'}, {'type': 'null'}], 'default': None, 'title': 'Keyword'}, 'start_dttm_str': {'title': 'Start Dttm Str', 'type': 'string'}}, 'required': ['city', 'start_dttm_str', 'end_dttm_str'], 'title': 'get_upcoming_eventsArguments', 'type': 'object'}, description="""\nGet upcoming music events for a city.\n\nArgs:\n    city: City in which to search for events.\n    start_dttm_str: Start date/time in ISO 8601 format (YYYY-MM-DDTHH:MM:SSZ). Example: 2025-02-08T00:00:00Z\n    end_dttm_str: Start date/time in ISO 8601 format (YYYY-MM-DDTHH:MM:SSZ). Example: 2025-02-10T00:00:00Z\n    keyword: Any optional keywords to help filter search results.\n"""), # mmmaaatttttt/MCP Live Events Server/get_upcoming_events
    Tool(name="""MCP Server Template_architect""", inputSchema={'properties': {'conversationId': {'description': 'Optional conversation ID for context', 'nullable': True, 'type': 'string'}, 'input': {'description': 'Input prompt to process', 'minLength': 1, 'type': 'string'}}, 'required': ['input'], 'type': 'object'}, description="""MCP server for the LLM Architect tool. Exposes resource \"/llm-architect/chat\" accepting POST requests with a prompt and optional conversationId, and interacts with the llm chat CLI to provide architectural design feedback while maintaining conversation context."""), # stevennevins/MCP Server Template/architect
    Tool(name="""Perplexity AI MCP Server_perplexity_search""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'count': {'default': 5, 'maximum': 10, 'minimum': 1, 'type': 'number'}, 'model': {'default': 'sonar', 'description': 'Model to use (sonar-reasoning-pro, sonar-reasoning, sonar-pro, sonar)', 'enum': ['sonar-reasoning-pro', 'sonar-reasoning', 'sonar-pro', 'sonar'], 'type': 'string'}, 'query': {'minLength': 1, 'type': 'string'}}, 'required': ['query'], 'type': 'object'}, description="""Search using Perplexity AI's models with context-aware responses and citations"""), # mkusaka/Perplexity AI MCP Server/perplexity_search
    Tool(name="""Decent-Sampler Drums MCP Server_configure_drum_controls""", inputSchema={'properties': {'drumControls': {'additionalProperties': {'properties': {'envelope': {'properties': {'attack': {'description': 'Attack time in seconds', 'type': 'number'}, 'attackCurve': {'description': '-100 to 100, Default: -100 (logarithmic)', 'type': 'number'}, 'decay': {'description': 'Decay time in seconds', 'type': 'number'}, 'decayCurve': {'description': '-100 to 100, Default: 100 (exponential)', 'type': 'number'}, 'release': {'description': 'Release time in seconds', 'type': 'number'}, 'releaseCurve': {'description': '-100 to 100, Default: 100 (exponential)', 'type': 'number'}, 'sustain': {'description': 'Sustain level (0-1)', 'type': 'number'}}, 'required': ['attack', 'decay', 'sustain', 'release'], 'type': 'object'}, 'pitch': {'properties': {'default': {'description': 'Default pitch in semitones (0 = no change)', 'type': 'number'}, 'max': {'description': 'Maximum pitch adjustment (e.g. +12 semitones)', 'type': 'number'}, 'min': {'description': 'Minimum pitch adjustment (e.g. -12 semitones)', 'type': 'number'}}, 'required': ['default'], 'type': 'object'}}, 'type': 'object'}, 'type': 'object'}}, 'required': ['drumControls'], 'type': 'object'}, description="""Configure global pitch and envelope controls for each drum type.\n\nThis tool will:\n- Add per-drum pitch controls with customizable ranges\n- Configure ADSR envelope settings for natural decay control\n- Generate proper XML structure for global drum controls\n\nError Handling:\n- Validates pitch range values (min/max must be valid numbers)\n- Ensures envelope times are positive values\n- Verifies curve values are within -100 to 100 range\n- Returns detailed error messages for invalid configurations\n\nSuccess Response:\nReturns XML structure containing:\n- Global controls for each drum type\n- MIDI CC mappings for real-time control\n- Properly formatted parameter bindings"""), # dandeliongold/Decent-Sampler Drums MCP Server/configure_drum_controls
    Tool(name="""Decent-Sampler Drums MCP Server_configure_round_robin""", inputSchema={'properties': {'directory': {'description': 'Absolute path to the directory containing samples', 'type': 'string'}, 'length': {'description': 'Number of round robin variations', 'type': 'number'}, 'mode': {'description': 'Round robin playback mode', 'enum': ['round_robin', 'random', 'true_random', 'always'], 'type': 'string'}, 'samples': {'items': {'properties': {'path': {'description': 'Path to sample file (relative to directory)', 'type': 'string'}, 'seqPosition': {'description': 'Position in the round robin sequence (1 to length)', 'type': 'number'}}, 'required': ['path', 'seqPosition'], 'type': 'object'}, 'type': 'array'}}, 'required': ['directory', 'mode', 'length', 'samples'], 'type': 'object'}, description="""Configure round robin sample playback for a set of samples.\n\nThis tool will:\n- Validate sequence positions\n- Verify sample files exist\n- Generate proper XML structure for round robin playback\n\nError Handling:\n- Checks if sample files exist at specified paths\n- Validates sequence positions are unique and sequential\n- Ensures mode is one of: round_robin, random, true_random, always\n- Returns specific error messages for missing files or invalid sequences\n\nSuccess Response:\nReturns XML structure with:\n- Configured playback mode\n- Sample sequence assignments\n- Proper group organization for round robin playback"""), # dandeliongold/Decent-Sampler Drums MCP Server/configure_round_robin
    Tool(name="""Decent-Sampler Drums MCP Server_analyze_wav_samples""", inputSchema={'properties': {'paths': {'description': "Array of absolute paths to WAV files to analyze (e.g., ['C:/Users/username/Documents/Samples/kick.wav'])", 'items': {'type': 'string'}, 'type': 'array'}}, 'required': ['paths'], 'type': 'object'}, description="""Analyze WAV files to detect common issues in drum kit samples.\n\nThis tool checks for:\n- Non-standard WAV headers that may cause playback issues\n- Metadata inconsistencies that could affect multi-mic setups\n- Sample rate and bit depth compatibility\n- Channel configuration issues\n- File size and format validation\n\nError Handling:\n- Reports detailed header format issues\n- Identifies metadata inconsistencies between related samples\n- Flags potential playback compatibility problems\n- Returns specific error messages for each issue type\n\nSuccess Response:\nReturns detailed analysis including:\n- WAV header information\n- Sample metadata\n- Potential compatibility issues\n- Recommendations for fixes\n\nIMPORTANT: Always use absolute paths (e.g., 'C:/Users/username/Documents/Samples/kick.wav') rather than relative paths."""), # dandeliongold/Decent-Sampler Drums MCP Server/analyze_wav_samples
    Tool(name="""Decent-Sampler Drums MCP Server_configure_mic_routing""", inputSchema={'properties': {'drumPieces': {'items': {'properties': {'name': {'type': 'string'}, 'rootNote': {'type': 'number'}, 'samples': {'items': {'properties': {'micConfig': {'properties': {'busIndex': {'type': 'number'}, 'position': {'enum': ['close', 'overheadLeft', 'overheadRight', 'roomLeft', 'roomRight'], 'type': 'string'}, 'volume': {'type': 'number'}}, 'required': ['position', 'busIndex'], 'type': 'object'}, 'path': {'type': 'string'}}, 'required': ['path', 'micConfig'], 'type': 'object'}, 'type': 'array'}}, 'required': ['name', 'rootNote', 'samples'], 'type': 'object'}, 'type': 'array'}, 'micBuses': {'items': {'properties': {'name': {'description': "Display name for the mic (e.g., 'Close Mic', 'OH L')", 'type': 'string'}, 'outputTarget': {'description': "Output routing (e.g., 'AUX_STEREO_OUTPUT_1')", 'type': 'string'}, 'volume': {'properties': {'default': {'description': 'Default volume in dB', 'type': 'number'}, 'max': {'description': 'Maximum volume in dB (e.g., 12)', 'type': 'number'}, 'midiCC': {'description': 'MIDI CC number for volume control', 'type': 'number'}, 'min': {'description': 'Minimum volume in dB (e.g., -96)', 'type': 'number'}}, 'required': ['default'], 'type': 'object'}}, 'required': ['name', 'outputTarget'], 'type': 'object'}, 'type': 'array'}}, 'required': ['micBuses', 'drumPieces'], 'type': 'object'}, description="""Configure multi-mic routing with MIDI controls for drum samples.\n\nThis tool will:\n- Set up individual volume controls for each mic position (close, OH L/R, room L/R)\n- Route each mic to its own auxiliary output for DAW mixing\n- Configure MIDI CC mappings for mic volumes\n- Generate proper XML structure for DecentSampler\n\nError Handling:\n- Validates mic position assignments\n- Checks for duplicate MIDI CC assignments\n- Ensures valid output routing targets\n- Verifies bus indices are unique and valid\n- Returns specific errors for routing conflicts\n\nSuccess Response:\nReturns XML structure containing:\n- Configured mic bus routing\n- Volume control mappings\n- MIDI CC assignments\n- Complete routing matrix for all samples"""), # dandeliongold/Decent-Sampler Drums MCP Server/configure_mic_routing
    Tool(name="""Decent-Sampler Drums MCP Server_generate_drum_groups""", inputSchema={'properties': {'drumPieces': {'items': {'properties': {'muting': {'properties': {'silencedByTags': {'items': {'type': 'string'}, 'type': 'array'}, 'tags': {'items': {'type': 'string'}, 'type': 'array'}}, 'required': ['tags', 'silencedByTags'], 'type': 'object'}, 'name': {'type': 'string'}, 'rootNote': {'type': 'number'}, 'samples': {'items': {'properties': {'path': {'type': 'string'}, 'volume': {'type': 'string'}}, 'required': ['path'], 'type': 'object'}, 'type': 'array'}}, 'required': ['name', 'rootNote', 'samples'], 'type': 'object'}, 'type': 'array'}, 'globalSettings': {'properties': {'velocityLayers': {'items': {'properties': {'high': {'type': 'number'}, 'low': {'type': 'number'}, 'name': {'type': 'string'}}, 'required': ['low', 'high', 'name'], 'type': 'object'}, 'type': 'array'}}, 'required': [], 'type': 'object'}}, 'required': ['globalSettings', 'drumPieces'], 'type': 'object'}, description="""Generate DecentSampler <groups> XML for drum kits.\n\nThis tool supports two configuration types:\n\nBasicDrumKitConfig:\n- For simple presets with minimal features\n- No UI controls, effects, or routing\n- Only supports basic sample mapping and optional velocity layers\n- Recommended for straightforward drum kits\n\nAdvancedDrumKitConfig:\n- For complex setups combining multiple features\n- Supports UI controls, effects, and routing\n- Integrates with other tools (configure_drum_controls, configure_mic_routing, etc.)\n- Use when you need advanced features like round robin or multi-mic setups\n\nBest Practices:\n- IMPORTANT: Always use absolute paths (e.g., 'C:/Users/username/Documents/Samples/kick.wav')\n- Group all samples for a drum piece into a single group\n- When using multiple mic positions, include them all in the same group\n- Use velocity layers within a group to control dynamics\n\nError Handling:\n- Validates all sample paths exist\n- Checks for valid MIDI note numbers\n- Ensures velocity layers don't overlap\n- Verifies muting group configurations\n- Returns specific errors for any invalid settings\n\nExample Configurations:\n\n1. Basic Configuration (simple drum kit):\n{\n  \"globalSettings\": {\n    \"velocityLayers\": [\n      { \"low\": 1, \"high\": 42, \"name\": \"soft\" },\n      { \"low\": 43, \"high\": 85, \"name\": \"medium\" },\n      { \"low\": 86, \"high\": 127, \"name\": \"hard\" }\n    ]\n  },\n  \"drumPieces\": [{\n    \"name\": \"Kick\",\n    \"rootNote\": 36,\n    \"samples\": [\n      {\"path\": \"C:/Samples/Kick_Soft.wav\"},\n      {\"path\": \"C:/Samples/Kick_Medium.wav\"},\n      {\"path\": \"C:/Samples/Kick_Hard.wav\"}\n    ]\n  }]\n}\n\n2. Advanced Configuration (multi-mic kit with controls):\n{\n  \"globalSettings\": {\n    \"velocityLayers\": [\n      { \"low\": 1, \"high\": 127, \"name\": \"full\" }\n    ],\n    \"drumControls\": {\n      \"kick\": {\n        \"pitch\": { \"default\": 0, \"min\": -12, \"max\": 12 },\n        \"envelope\": {\n          \"attack\": 0.001,\n          \"decay\": 0.5,\n          \"sustain\": 0,\n          \"release\": 0.1\n        }\n      }\n    },\n    \"micBuses\": [\n      {\n        \"name\": \"Close Mic\",\n        \"outputTarget\": \"MAIN_OUTPUT\",\n        \"volume\": { \"default\": 0, \"midiCC\": 20 }\n      }\n    ]\n  },\n  \"drumPieces\": [{\n    \"name\": \"Kick\",\n    \"rootNote\": 36,\n    \"samples\": [\n      {\n        \"path\": \"C:/Samples/Kick_Close.wav\",\n        \"micConfig\": {\n          \"position\": \"close\",\n          \"busIndex\": 0\n        }\n      }\n    ],\n    \"muting\": {\n      \"tags\": [\"kick\"],\n      \"silencedByTags\": []\n    }\n  }]\n}\n\nSuccess Response:\nReturns complete XML structure with:\n- Organized sample groups\n- Velocity layer mappings\n- Muting group configurations\n- All sample references and settings\n- Advanced features when using AdvancedDrumKitConfig"""), # dandeliongold/Decent-Sampler Drums MCP Server/generate_drum_groups
    Tool(name="""Flutter Tools MCP Server_get_diagnostics""", inputSchema={'properties': {'file': {'description': 'Path to the Dart/Flutter file', 'type': 'string'}}, 'required': ['file'], 'type': 'object'}, description="""Get Flutter/Dart diagnostics for a file"""), # dkpoulsen/Flutter Tools MCP Server/get_diagnostics
    Tool(name="""Flutter Tools MCP Server_apply_fixes""", inputSchema={'properties': {'file': {'description': 'Path to the Dart/Flutter file', 'type': 'string'}}, 'required': ['file'], 'type': 'object'}, description="""Apply Dart fix suggestions to a file"""), # dkpoulsen/Flutter Tools MCP Server/apply_fixes
    Tool(name="""YouTube Transcript MCP Server_get_transcript""", inputSchema={'properties': {'lang': {'default': 'en', 'description': 'The preferred language for the transcript', 'title': 'Lang', 'type': 'string'}, 'url': {'description': 'The URL of the YouTube video', 'title': 'Url', 'type': 'string'}}, 'required': ['url'], 'title': 'get_transcriptArguments', 'type': 'object'}, description="""Retrieves the transcript of a YouTube video."""), # jkawamoto/YouTube Transcript MCP Server/get_transcript
    Tool(name="""MCP Source Relation Server_get_source_relation""", inputSchema={'properties': {'path': {'title': 'Path', 'type': 'string'}}, 'required': ['path'], 'title': 'get_source_relationArguments', 'type': 'object'}, description="""Analyze dependencies between source files"""), # owayo/MCP Source Relation Server/get_source_relation
    Tool(name="""Rami Levy MCP Server_add_to_cart""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'items': {'description': 'List of items to add to cart', 'items': {'additionalProperties': False, 'properties': {'id': {'description': 'Product identifier', 'type': 'number'}, 'quantity': {'description': 'Quantity of the product', 'minimum': 1, 'type': 'number'}}, 'required': ['id', 'quantity'], 'type': 'object'}, 'type': 'array'}, 'store': {'description': "Store identifier (e.g., '331')", 'type': 'string'}}, 'required': ['store', 'items'], 'type': 'object'}, description="""Add one or more items to the shopping cart"""), # shilomagen/Rami Levy MCP Server/add_to_cart
    Tool(name="""Rami Levy MCP Server_remove_from_cart""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'items': {'description': 'Updated list of items to keep in cart', 'items': {'additionalProperties': False, 'properties': {'id': {'description': 'Product identifier', 'type': 'number'}, 'quantity': {'description': 'Quantity of the product', 'minimum': 1, 'type': 'number'}}, 'required': ['id', 'quantity'], 'type': 'object'}, 'type': 'array'}, 'store': {'description': 'Store identifier', 'type': 'string'}}, 'required': ['store', 'items'], 'type': 'object'}, description="""Remove items from the cart by providing an updated list of items to keep"""), # shilomagen/Rami Levy MCP Server/remove_from_cart
    Tool(name="""Rami Levy MCP Server_update_quantity""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'id': {'description': 'Product identifier', 'type': 'number'}, 'newQuantity': {'description': 'New quantity for the product', 'minimum': 1, 'type': 'number'}, 'store': {'description': 'Store identifier', 'type': 'string'}}, 'required': ['store', 'id', 'newQuantity'], 'type': 'object'}, description="""Update the quantity of an item in the cart"""), # shilomagen/Rami Levy MCP Server/update_quantity
    Tool(name="""Rami Levy MCP Server_search_items""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'aggs': {'default': 1, 'description': 'Aggregation flag', 'type': 'number'}, 'q': {'description': 'Search query', 'type': 'string'}, 'store': {'default': '331', 'description': "Store identifier (default: '331')", 'type': 'string'}}, 'required': ['q'], 'type': 'object'}, description="""Search for items in the Rami Levy catalog"""), # shilomagen/Rami Levy MCP Server/search_items
    Tool(name="""Research MCP Server_get_survey_summaries""", inputSchema={'properties': {}, 'title': 'get_survey_summariesArguments', 'type': 'object'}, description="""Get survey summaries"""), # h-yanagawa/Research MCP Server/get_survey_summaries
    Tool(name="""Research MCP Server_get_survey_summary""", inputSchema={'properties': {'page_id': {'title': 'Page Id', 'type': 'string'}}, 'required': ['page_id'], 'title': 'get_survey_summaryArguments', 'type': 'object'}, description="""Get survey summary"""), # h-yanagawa/Research MCP Server/get_survey_summary
    Tool(name="""Research MCP Server_get_property_definition""", inputSchema={'properties': {}, 'title': 'get_property_definitionArguments', 'type': 'object'}, description="""Get property definition for survey summary"""), # h-yanagawa/Research MCP Server/get_property_definition
    Tool(name="""Research MCP Server_update_survey_summary_property""", inputSchema={'$defs': {'SetPageProperty': {'properties': {'date_value': {'anyOf': [{'type': 'string'}, {'type': 'null'}], 'default': None, 'title': 'Date Value, Only for date.'}, 'multi_select_values': {'anyOf': [{'items': {'type': 'string'}, 'type': 'array'}, {'type': 'null'}], 'default': None, 'title': 'Multi select property Value. they must be option ids. Only for multi_select.'}, 'number_value': {'anyOf': [{'type': 'number'}, {'type': 'null'}], 'default': None, 'title': 'Number property value, Only for number.'}, 'property_name': {'title': 'Property Name', 'type': 'string'}, 'rich_text_value': {'anyOf': [{'type': 'string'}, {'type': 'null'}], 'default': None, 'title': 'Rich text value. It must be a plain text. Only for rich_text.'}, 'selection_value': {'anyOf': [{'type': 'string'}, {'type': 'null'}], 'default': None, 'title': 'Selection property value. It must be an option id. Only for select.'}, 'status_value': {'anyOf': [{'type': 'string'}, {'type': 'null'}], 'default': None, 'title': 'Status property value. It must be an option id. Only for status.'}, 'type': {'title': 'Type', 'type': 'string'}}, 'required': ['property_name', 'type'], 'title': 'SetPageProperty', 'type': 'object'}}, 'properties': {'page_id': {'title': 'Page Id', 'type': 'string'}, 'updates': {'items': {'$ref': '#/$defs/SetPageProperty'}, 'title': 'Updates', 'type': 'array'}}, 'required': ['page_id', 'updates'], 'title': 'update_survey_summary_propertyArguments', 'type': 'object'}, description="""\n    Update survey summary property\n    To know definition of properties, use `get_property_definition` tool in advance.\n    """), # h-yanagawa/Research MCP Server/update_survey_summary_property
    Tool(name="""Research MCP Server_update_survey_summary_block""", inputSchema={'properties': {'body': {'title': 'Body', 'type': 'string'}, 'page_id': {'title': 'Page Id', 'type': 'string'}}, 'required': ['page_id', 'body'], 'title': 'update_survey_summary_blockArguments', 'type': 'object'}, description=""""""), # h-yanagawa/Research MCP Server/update_survey_summary_block
    Tool(name="""Research MCP Server_create_new_survey_summary""", inputSchema={'properties': {'body': {'anyOf': [{'type': 'string'}, {'type': 'null'}], 'default': None, 'title': 'Body'}, 'title': {'title': 'Title', 'type': 'string'}}, 'required': ['title'], 'title': 'create_new_survey_summaryArguments', 'type': 'object'}, description=""""""), # h-yanagawa/Research MCP Server/create_new_survey_summary
    Tool(name="""MCP Server Pagespeed_analyze_pagespeed""", inputSchema={'properties': {'url': {'description': 'The URL to analyze', 'type': 'string'}}, 'required': ['url'], 'type': 'object'}, description="""Analyzes a webpage using Google PageSpeed Insights API"""), # enemyrr/MCP Server Pagespeed/analyze_pagespeed
    Tool(name="""MCP-MySQL Server_connect_db""", inputSchema={'properties': {'database': {'optional': True, 'type': 'string'}, 'host': {'optional': True, 'type': 'string'}, 'password': {'optional': True, 'type': 'string'}, 'url': {'description': 'Database URL (mysql://user:pass@host:port/db)', 'optional': True, 'type': 'string'}, 'user': {'optional': True, 'type': 'string'}, 'workspace': {'description': 'Project workspace path', 'optional': True, 'type': 'string'}}, 'type': 'object'}, description="""Connect to MySQL database using URL or config"""), # enemyrr/MCP-MySQL Server/connect_db
    Tool(name="""MCP-MySQL Server_query""", inputSchema={'properties': {'params': {'description': 'Query parameters (optional)', 'items': {'type': ['string', 'number', 'boolean', 'null']}, 'type': 'array'}, 'sql': {'description': 'SQL SELECT query', 'type': 'string'}}, 'required': ['sql'], 'type': 'object'}, description="""Execute a SELECT query"""), # enemyrr/MCP-MySQL Server/query
    Tool(name="""MCP-MySQL Server_execute""", inputSchema={'properties': {'params': {'description': 'Query parameters (optional)', 'items': {'type': ['string', 'number', 'boolean', 'null']}, 'type': 'array'}, 'sql': {'description': 'SQL query (INSERT, UPDATE, DELETE)', 'type': 'string'}}, 'required': ['sql'], 'type': 'object'}, description="""Execute an INSERT, UPDATE, or DELETE query"""), # enemyrr/MCP-MySQL Server/execute
    Tool(name="""MCP-MySQL Server_list_tables""", inputSchema={'properties': {}, 'required': [], 'type': 'object'}, description="""List all tables in the database"""), # enemyrr/MCP-MySQL Server/list_tables
    Tool(name="""MCP-MySQL Server_describe_table""", inputSchema={'properties': {'table': {'description': 'Table name', 'type': 'string'}}, 'required': ['table'], 'type': 'object'}, description="""Get table structure"""), # enemyrr/MCP-MySQL Server/describe_table
    Tool(name="""MCP-MySQL Server_create_table""", inputSchema={'properties': {'fields': {'items': {'properties': {'autoIncrement': {'optional': True, 'type': 'boolean'}, 'default': {'optional': True, 'type': ['string', 'number', 'null']}, 'length': {'optional': True, 'type': 'number'}, 'name': {'type': 'string'}, 'nullable': {'optional': True, 'type': 'boolean'}, 'primary': {'optional': True, 'type': 'boolean'}, 'type': {'type': 'string'}}, 'required': ['name', 'type'], 'type': 'object'}, 'type': 'array'}, 'indexes': {'items': {'properties': {'columns': {'items': {'type': 'string'}, 'type': 'array'}, 'name': {'type': 'string'}, 'unique': {'optional': True, 'type': 'boolean'}}, 'required': ['name', 'columns'], 'type': 'object'}, 'optional': True, 'type': 'array'}, 'table': {'description': 'Table name', 'type': 'string'}}, 'required': ['table', 'fields'], 'type': 'object'}, description="""Create a new table in the database"""), # enemyrr/MCP-MySQL Server/create_table
    Tool(name="""MCP-MySQL Server_add_column""", inputSchema={'properties': {'field': {'properties': {'default': {'optional': True, 'type': ['string', 'number', 'null']}, 'length': {'optional': True, 'type': 'number'}, 'name': {'type': 'string'}, 'nullable': {'optional': True, 'type': 'boolean'}, 'type': {'type': 'string'}}, 'required': ['name', 'type'], 'type': 'object'}, 'table': {'type': 'string'}}, 'required': ['table', 'field'], 'type': 'object'}, description="""Add a new column to existing table"""), # enemyrr/MCP-MySQL Server/add_column
    Tool(name="""drupal-modules-mcp MCP Server_get_module_info""", inputSchema={'properties': {'module_name': {'description': 'Machine name of the Drupal module', 'type': 'string'}}, 'required': ['module_name'], 'type': 'object'}, description="""Get information about a Drupal module from drupal.org"""), # Cleversoft-IT/drupal-modules-mcp MCP Server/get_module_info
    Tool(name="""mcp-server-asana_asana_create_task""", inputSchema={'properties': {'assignee': {'description': "Assignee (can be 'me' or a user ID)", 'type': 'string'}, 'custom_fields': {'description': 'Object mapping custom field GID strings to their values. For enum fields use the enum option GID as the value.', 'type': 'object'}, 'due_on': {'description': 'Due date in YYYY-MM-DD format', 'type': 'string'}, 'followers': {'description': 'Array of user IDs to add as followers', 'items': {'type': 'string'}, 'type': 'array'}, 'html_notes': {'description': 'HTML-like formatted description of the task. Does not support ALL HTML tags. Only a subset. The only allowed TAG in the HTML are: <body> <h1> <h2> <ol> <ul> <li> <strong> <em> <u> <s> <code> <pre> <blockquote> <a data-asana-type="" data-asana-gid=""> <hr> <img> <table> <tr> <td>. No other tags are allowed. Use the \\n to create a newline. Do not use \\n after <body>. Example: <body><h1>Motivation</h1>\nA customer called in to complain\n<h1>Goal</h1>\nFix the problem</body>', 'type': 'string'}, 'name': {'description': 'Name of the task', 'type': 'string'}, 'notes': {'description': 'Description of the task', 'type': 'string'}, 'parent': {'description': 'The parent task ID to set this task under', 'type': 'string'}, 'project_id': {'description': 'The project to create the task in', 'type': 'string'}, 'projects': {'description': 'Array of project IDs to add this task to', 'items': {'type': 'string'}, 'type': 'array'}, 'resource_subtype': {'description': "The type of the task. Can be one of 'default_task' or 'milestone'", 'type': 'string'}}, 'required': ['project_id', 'name'], 'type': 'object'}, description="""Create a new task in a project"""), # roychri/mcp-server-asana/asana_create_task
    Tool(name="""mcp-server-asana_asana_get_task_stories""", inputSchema={'properties': {'opt_fields': {'description': 'Comma-separated list of optional fields to include', 'type': 'string'}, 'task_id': {'description': 'The task ID to get stories for', 'type': 'string'}}, 'required': ['task_id'], 'type': 'object'}, description="""Get comments and stories for a specific task"""), # roychri/mcp-server-asana/asana_get_task_stories
    Tool(name="""mcp-server-asana_asana_update_task""", inputSchema={'properties': {'assignee': {'description': "New assignee (can be 'me' or a user ID)", 'type': 'string'}, 'completed': {'description': 'Mark task as completed or not', 'type': 'boolean'}, 'custom_fields': {'description': 'Object mapping custom field GID strings to their values. For enum fields use the enum option GID as the value.', 'type': 'object'}, 'due_on': {'description': 'New due date in YYYY-MM-DD format', 'type': 'string'}, 'name': {'description': 'New name for the task', 'type': 'string'}, 'notes': {'description': 'New description for the task', 'type': 'string'}, 'resource_subtype': {'description': "The type of the task. Can be one of 'default_task' or 'milestone'", 'type': 'string'}, 'task_id': {'description': 'The task ID to update', 'type': 'string'}}, 'required': ['task_id'], 'type': 'object'}, description="""Update an existing task's details"""), # roychri/mcp-server-asana/asana_update_task
    Tool(name="""mcp-server-asana_asana_get_project""", inputSchema={'properties': {'opt_fields': {'description': 'Comma-separated list of optional fields to include', 'type': 'string'}, 'project_id': {'description': 'The project ID to retrieve', 'type': 'string'}}, 'required': ['project_id'], 'type': 'object'}, description="""Get detailed information about a specific project"""), # roychri/mcp-server-asana/asana_get_project
    Tool(name="""mcp-server-asana_asana_get_project_task_counts""", inputSchema={'properties': {'opt_fields': {'description': 'Comma-separated list of optional fields to include', 'type': 'string'}, 'project_id': {'description': 'The project ID to get task counts for', 'type': 'string'}}, 'required': ['project_id'], 'type': 'object'}, description="""Get the number of tasks in a project"""), # roychri/mcp-server-asana/asana_get_project_task_counts
    Tool(name="""mcp-server-asana_asana_get_project_sections""", inputSchema={'properties': {'opt_fields': {'description': 'Comma-separated list of optional fields to include', 'type': 'string'}, 'project_id': {'description': 'The project ID to get sections for', 'type': 'string'}}, 'required': ['project_id'], 'type': 'object'}, description="""Get sections in a project"""), # roychri/mcp-server-asana/asana_get_project_sections
    Tool(name="""mcp-server-asana_asana_create_task_story""", inputSchema={'properties': {'opt_fields': {'description': 'Comma-separated list of optional fields to include', 'type': 'string'}, 'task_id': {'description': 'The task ID to add the story to', 'type': 'string'}, 'text': {'description': 'The text content of the story/comment', 'type': 'string'}}, 'required': ['task_id', 'text'], 'type': 'object'}, description="""Create a comment or story on a task"""), # roychri/mcp-server-asana/asana_create_task_story
    Tool(name="""mcp-server-asana_asana_add_task_dependencies""", inputSchema={'properties': {'dependencies': {'description': 'Array of task IDs that this task depends on', 'items': {'type': 'string'}, 'type': 'array'}, 'task_id': {'description': 'The task ID to add dependencies to', 'type': 'string'}}, 'required': ['task_id', 'dependencies'], 'type': 'object'}, description="""Set dependencies for a task"""), # roychri/mcp-server-asana/asana_add_task_dependencies
    Tool(name="""mcp-server-asana_asana_add_task_dependents""", inputSchema={'properties': {'dependents': {'description': 'Array of task IDs that depend on this task', 'items': {'type': 'string'}, 'type': 'array'}, 'task_id': {'description': 'The task ID to add dependents to', 'type': 'string'}}, 'required': ['task_id', 'dependents'], 'type': 'object'}, description="""Set dependents for a task (tasks that depend on this task)"""), # roychri/mcp-server-asana/asana_add_task_dependents
    Tool(name="""mcp-server-asana_asana_create_subtask""", inputSchema={'properties': {'assignee': {'description': "Assignee (can be 'me' or a user ID)", 'type': 'string'}, 'due_on': {'description': 'Due date in YYYY-MM-DD format', 'type': 'string'}, 'name': {'description': 'Name of the subtask', 'type': 'string'}, 'notes': {'description': 'Description of the subtask', 'type': 'string'}, 'opt_fields': {'description': 'Comma-separated list of optional fields to include', 'type': 'string'}, 'parent_task_id': {'description': 'The parent task ID to create the subtask under', 'type': 'string'}}, 'required': ['parent_task_id', 'name'], 'type': 'object'}, description="""Create a new subtask for an existing task"""), # roychri/mcp-server-asana/asana_create_subtask
    Tool(name="""mcp-server-asana_asana_get_multiple_tasks_by_gid""", inputSchema={'properties': {'opt_fields': {'description': 'Comma-separated list of optional fields to include', 'type': 'string'}, 'task_ids': {'description': 'Array or comma-separated string of task GIDs to retrieve (max 25)', 'oneOf': [{'items': {'type': 'string'}, 'maxItems': 25, 'type': 'array'}, {'description': 'Comma-separated list of task GIDs (max 25)', 'type': 'string'}]}}, 'required': ['task_ids'], 'type': 'object'}, description="""Get detailed information about multiple tasks by their GIDs (maximum 25 tasks)"""), # roychri/mcp-server-asana/asana_get_multiple_tasks_by_gid
    Tool(name="""mcp-server-asana_asana_get_project_status""", inputSchema={'properties': {'opt_fields': {'description': 'Comma-separated list of optional fields to include', 'type': 'string'}, 'project_status_gid': {'description': 'The project status GID to retrieve', 'type': 'string'}}, 'required': ['project_status_gid'], 'type': 'object'}, description="""Get a project status update"""), # roychri/mcp-server-asana/asana_get_project_status
    Tool(name="""mcp-server-asana_asana_get_project_statuses""", inputSchema={'properties': {'limit': {'description': 'Results per page (1-100)', 'maximum': 100, 'minimum': 1, 'type': 'number'}, 'offset': {'description': 'Pagination offset token', 'type': 'string'}, 'opt_fields': {'description': 'Comma-separated list of optional fields to include', 'type': 'string'}, 'project_gid': {'description': 'The project GID to get statuses for', 'type': 'string'}}, 'required': ['project_gid'], 'type': 'object'}, description="""Get all status updates for a project"""), # roychri/mcp-server-asana/asana_get_project_statuses
    Tool(name="""mcp-server-asana_asana_create_project_status""", inputSchema={'properties': {'color': {'description': 'The color of the status (green, yellow, red)', 'enum': ['green', 'yellow', 'red'], 'type': 'string'}, 'html_text': {'description': 'HTML formatted text for the status update', 'type': 'string'}, 'opt_fields': {'description': 'Comma-separated list of optional fields to include', 'type': 'string'}, 'project_gid': {'description': 'The project GID to create the status for', 'type': 'string'}, 'text': {'description': 'The text content of the status update', 'type': 'string'}, 'title': {'description': 'The title of the status update', 'type': 'string'}}, 'required': ['project_gid', 'text'], 'type': 'object'}, description="""Create a new status update for a project"""), # roychri/mcp-server-asana/asana_create_project_status
    Tool(name="""mcp-server-asana_asana_delete_project_status""", inputSchema={'properties': {'project_status_gid': {'description': 'The project status GID to delete', 'type': 'string'}}, 'required': ['project_status_gid'], 'type': 'object'}, description="""Delete a project status update"""), # roychri/mcp-server-asana/asana_delete_project_status
    Tool(name="""mcp-server-asana_asana_set_parent_for_task""", inputSchema={'properties': {'data': {'insert_after': {'description': 'A subtask of the parent to insert the task after, or null to insert at the beginning of the list. Cannot be used with insert_before. The task must already be set as a subtask of that parent.', 'type': 'string'}, 'insert_before': {'description': 'A subtask of the parent to insert the task before, or null to insert at the end of the list. Cannot be used with insert_after. The task must already be set as a subtask of that parent.', 'type': 'string'}, 'parent': {'description': 'The GID of the new parent of the task, or null for no parent', 'required': True, 'type': 'string'}}, 'opts': {'opt_fields': {'description': 'Comma-separated list of optional fields to include', 'type': 'string'}}, 'task_id': {'description': 'The task ID to operate on', 'type': 'string'}}, 'required': ['task_id', 'data'], 'type': 'object'}, description="""Set the parent of a task and position the subtask within the other subtasks of that parent"""), # roychri/mcp-server-asana/asana_set_parent_for_task
    Tool(name="""mcp-server-asana_asana_get_tasks_for_tag""", inputSchema={'properties': {'limit': {'description': 'The number of objects to return per page. The value must be between 1 and 100.', 'type': 'integer'}, 'offset': {'description': 'An offset to the next page returned by the API.', 'type': 'string'}, 'opt_fields': {'description': 'Comma-separated list of optional fields to include', 'type': 'string'}, 'opt_pretty': {'description': "Provides the response in a 'pretty' format", 'type': 'boolean'}, 'tag_gid': {'description': 'The tag GID to retrieve tasks for', 'type': 'string'}}, 'required': ['tag_gid'], 'type': 'object'}, description="""Get tasks for a specific tag"""), # roychri/mcp-server-asana/asana_get_tasks_for_tag
    Tool(name="""mcp-server-asana_asana_get_tags_for_workspace""", inputSchema={'properties': {'limit': {'description': 'Results per page. The number of objects to return per page. The value must be between 1 and 100.', 'type': 'integer'}, 'offset': {'description': 'Offset token. An offset to the next page returned by the API.', 'type': 'string'}, 'opt_fields': {'description': 'Comma-separated list of optional fields to include', 'type': 'string'}, 'workspace_gid': {'description': 'Globally unique identifier for the workspace or organization', 'type': 'string'}}, 'required': ['workspace_gid'], 'type': 'object'}, description="""Get tags in a workspace"""), # roychri/mcp-server-asana/asana_get_tags_for_workspace
    Tool(name="""mcp-server-asana_asana_list_workspaces""", inputSchema={'properties': {'opt_fields': {'description': 'Comma-separated list of optional fields to include', 'type': 'string'}}, 'type': 'object'}, description="""List all available workspaces in Asana"""), # roychri/mcp-server-asana/asana_list_workspaces
    Tool(name="""mcp-server-asana_asana_search_projects""", inputSchema={'properties': {'archived': {'default': False, 'description': 'Only return archived projects', 'type': 'boolean'}, 'name_pattern': {'description': 'Regular expression pattern to match project names', 'type': 'string'}, 'opt_fields': {'description': 'Comma-separated list of optional fields to include', 'type': 'string'}, 'workspace': {'description': 'The workspace to search in', 'type': 'string'}}, 'required': ['workspace', 'name_pattern'], 'type': 'object'}, description="""Search for projects in Asana using name pattern matching"""), # roychri/mcp-server-asana/asana_search_projects
    Tool(name="""mcp-server-asana_asana_search_tasks""", inputSchema={'properties': {'assigned_by_any': {'description': 'Comma-separated list of user IDs', 'type': 'string'}, 'assigned_by_not': {'description': 'Comma-separated list of user IDs to exclude', 'type': 'string'}, 'assignee_any': {'description': 'Comma-separated list of user IDs', 'type': 'string'}, 'assignee_not': {'description': 'Comma-separated list of user IDs to exclude', 'type': 'string'}, 'commented_on_by_not': {'description': 'Comma-separated list of user IDs to exclude', 'type': 'string'}, 'completed': {'description': 'Filter for completed tasks', 'type': 'boolean'}, 'completed_at_after': {'description': 'ISO 8601 datetime string', 'type': 'string'}, 'completed_at_before': {'description': 'ISO 8601 datetime string', 'type': 'string'}, 'completed_on': {'description': 'ISO 8601 date string or null', 'type': 'string'}, 'completed_on_after': {'description': 'ISO 8601 date string', 'type': 'string'}, 'completed_on_before': {'description': 'ISO 8601 date string', 'type': 'string'}, 'created_at_after': {'description': 'ISO 8601 datetime string', 'type': 'string'}, 'created_at_before': {'description': 'ISO 8601 datetime string', 'type': 'string'}, 'created_by_any': {'description': 'Comma-separated list of user IDs', 'type': 'string'}, 'created_by_not': {'description': 'Comma-separated list of user IDs to exclude', 'type': 'string'}, 'created_on': {'description': 'ISO 8601 date string or null', 'type': 'string'}, 'created_on_after': {'description': 'ISO 8601 date string', 'type': 'string'}, 'created_on_before': {'description': 'ISO 8601 date string', 'type': 'string'}, 'custom_fields': {'description': 'Object containing custom field filters. Keys should be in the format "{gid}.{operation}" where operation can be:\n- {gid}.is_set: Boolean - For all custom field types, check if value is set\n- {gid}.value: String|Number|String(enum_option_gid) - Direct value match for Text, Number or Enum fields\n- {gid}.starts_with: String - For Text fields only, check if value starts with string\n- {gid}.ends_with: String - For Text fields only, check if value ends with string\n- {gid}.contains: String - For Text fields only, check if value contains string\n- {gid}.less_than: Number - For Number fields only, check if value is less than number\n- {gid}.greater_than: Number - For Number fields only, check if value is greater than number\n\nExample: { "12345.value": "high", "67890.contains": "urgent" }', 'type': 'object'}, 'due_at_after': {'description': 'ISO 8601 datetime string', 'type': 'string'}, 'due_at_before': {'description': 'ISO 8601 datetime string', 'type': 'string'}, 'due_on': {'description': 'ISO 8601 date string or null', 'type': 'string'}, 'due_on_after': {'description': 'ISO 8601 date string', 'type': 'string'}, 'due_on_before': {'description': 'ISO 8601 date string', 'type': 'string'}, 'followers_not': {'description': 'Comma-separated list of user IDs to exclude', 'type': 'string'}, 'has_attachment': {'description': 'Filter for tasks with attachments', 'type': 'boolean'}, 'is_blocked': {'description': 'Filter for tasks with incomplete dependencies', 'type': 'boolean'}, 'is_blocking': {'description': 'Filter for incomplete tasks with dependents', 'type': 'boolean'}, 'is_subtask': {'description': 'Filter for subtasks', 'type': 'boolean'}, 'liked_by_not': {'description': 'Comma-separated list of user IDs to exclude', 'type': 'string'}, 'modified_at_after': {'description': 'ISO 8601 datetime string', 'type': 'string'}, 'modified_at_before': {'description': 'ISO 8601 datetime string', 'type': 'string'}, 'modified_on': {'description': 'ISO 8601 date string or null', 'type': 'string'}, 'modified_on_after': {'description': 'ISO 8601 date string', 'type': 'string'}, 'modified_on_before': {'description': 'ISO 8601 date string', 'type': 'string'}, 'opt_fields': {'description': 'Comma-separated list of optional fields to include', 'type': 'string'}, 'portfolios_any': {'description': 'Comma-separated list of portfolio IDs', 'type': 'string'}, 'projects_all': {'description': 'Comma-separated list of project IDs that must all match', 'type': 'string'}, 'projects_any': {'description': 'Comma-separated list of project IDs', 'type': 'string'}, 'projects_not': {'description': 'Comma-separated list of project IDs to exclude', 'type': 'string'}, 'resource_subtype': {'description': 'Filter by task subtype (e.g. milestone)', 'type': 'string'}, 'sections_all': {'description': 'Comma-separated list of section IDs that must all match', 'type': 'string'}, 'sections_any': {'description': 'Comma-separated list of section IDs', 'type': 'string'}, 'sections_not': {'description': 'Comma-separated list of section IDs to exclude', 'type': 'string'}, 'sort_ascending': {'default': False, 'description': 'Sort in ascending order', 'type': 'boolean'}, 'sort_by': {'default': 'modified_at', 'description': 'Sort by: due_date, created_at, completed_at, likes, modified_at', 'type': 'string'}, 'start_on': {'description': 'ISO 8601 date string or null', 'type': 'string'}, 'start_on_after': {'description': 'ISO 8601 date string', 'type': 'string'}, 'start_on_before': {'description': 'ISO 8601 date string', 'type': 'string'}, 'tags_all': {'description': 'Comma-separated list of tag IDs that must all match', 'type': 'string'}, 'tags_any': {'description': 'Comma-separated list of tag IDs', 'type': 'string'}, 'tags_not': {'description': 'Comma-separated list of tag IDs to exclude', 'type': 'string'}, 'teams_any': {'description': 'Comma-separated list of team IDs', 'type': 'string'}, 'text': {'description': 'Text to search for in task names and descriptions', 'type': 'string'}, 'workspace': {'description': 'The workspace to search in', 'type': 'string'}}, 'required': ['workspace'], 'type': 'object'}, description="""Search tasks in a workspace with advanced filtering options"""), # roychri/mcp-server-asana/asana_search_tasks
    Tool(name="""mcp-server-asana_asana_get_task""", inputSchema={'properties': {'opt_fields': {'description': 'Comma-separated list of optional fields to include', 'type': 'string'}, 'task_id': {'description': 'The task ID to retrieve', 'type': 'string'}}, 'required': ['task_id'], 'type': 'object'}, description="""Get detailed information about a specific task"""), # roychri/mcp-server-asana/asana_get_task
    Tool(name="""MCP Source Tree Server_get_src_tree""", inputSchema={'properties': {'directory': {'title': 'Directory', 'type': 'string'}}, 'required': ['directory'], 'title': 'get_src_treeArguments', 'type': 'object'}, description="""\n    Generate a file tree for the specified directory, filtering files based on .gitignore.\n    Traverses the filesystem and generates a JSON-formatted tree structure that preserves hierarchy.\n    """), # owayo/MCP Source Tree Server/get_src_tree
    Tool(name="""Code Analysis MCP Server_initialize_repository""", inputSchema={'properties': {'path': {'title': 'Path', 'type': 'string'}}, 'required': ['path'], 'title': 'initialize_repositoryArguments', 'type': 'object'}, description="""Initialize the repository path for future code analysis operations.\n    \n    Args:\n        path: Path to the repository root directory that contains the code to analyze\n    """), # saiprashanths/Code Analysis MCP Server/initialize_repository
    Tool(name="""Code Analysis MCP Server_get_repo_info""", inputSchema={'properties': {}, 'title': 'get_repo_infoArguments', 'type': 'object'}, description="""Get information about the currently initialized code repository."""), # saiprashanths/Code Analysis MCP Server/get_repo_info
    Tool(name="""Code Analysis MCP Server_get_repo_structure""", inputSchema={'properties': {'depth': {'anyOf': [{'type': 'integer'}, {'type': 'null'}], 'default': None, 'title': 'Depth'}, 'sub_path': {'anyOf': [{'type': 'string'}, {'type': 'null'}], 'default': None, 'title': 'Sub Path'}}, 'title': 'get_repo_structureArguments', 'type': 'object'}, description="""Get the structure of files and directories in the repository.\n    \n    Args:\n        sub_path: Optional subdirectory path relative to repository root\n        depth: Optional maximum depth to traverse (default is 3)\n    """), # saiprashanths/Code Analysis MCP Server/get_repo_structure
    Tool(name="""Code Analysis MCP Server_read_file""", inputSchema={'properties': {'file_path': {'title': 'File Path', 'type': 'string'}}, 'required': ['file_path'], 'title': 'read_fileArguments', 'type': 'object'}, description="""Read and display the contents of a file from the repository.\n    \n    Args:\n        file_path: Path to the file relative to repository root\n    """), # saiprashanths/Code Analysis MCP Server/read_file
    Tool(name="""MCP Server Firecrawl_crawl""", inputSchema={'properties': {'allowBackwardLinks': {'description': 'Allow crawling links that point to parent directories', 'type': 'boolean'}, 'allowExternalLinks': {'description': 'Allow crawling links to external domains', 'type': 'boolean'}, 'excludePaths': {'description': 'URL patterns to exclude', 'items': {'type': 'string'}, 'type': 'array'}, 'ignoreQueryParameters': {'description': 'Ignore URL query parameters when comparing URLs', 'type': 'boolean'}, 'ignoreSitemap': {'description': 'Ignore sitemap.xml during crawling', 'type': 'boolean'}, 'includePaths': {'description': 'URL patterns to include', 'items': {'type': 'string'}, 'type': 'array'}, 'limit': {'default': 10000, 'description': 'Maximum pages to crawl', 'type': 'number'}, 'maxDepth': {'default': 2, 'description': 'Maximum crawl depth', 'type': 'number'}, 'scrapeOptions': {'description': 'Options for scraping crawled pages', 'type': 'object'}, 'url': {'description': 'Base URL to start crawling from', 'type': 'string'}, 'webhook': {'description': 'Webhook URL for progress notifications', 'type': 'string'}}, 'required': ['url'], 'type': 'object'}, description="""Crawls a website starting from a base URL"""), # Msparihar/MCP Server Firecrawl/crawl
    Tool(name="""MCP Server Firecrawl_map""", inputSchema={'properties': {'ignoreSitemap': {'description': 'Ignore sitemap.xml during mapping', 'type': 'boolean'}, 'includeSubdomains': {'description': 'Include subdomains in mapping', 'type': 'boolean'}, 'limit': {'default': 5000, 'description': 'Maximum links to return', 'type': 'number'}, 'search': {'description': 'Search query for mapping', 'type': 'string'}, 'sitemapOnly': {'description': 'Only use sitemap.xml for mapping', 'type': 'boolean'}, 'timeout': {'description': 'Request timeout', 'type': 'number'}, 'url': {'description': 'Base URL to map', 'type': 'string'}}, 'required': ['url'], 'type': 'object'}, description="""Maps a website's structure"""), # Msparihar/MCP Server Firecrawl/map
    Tool(name="""MCP Server Firecrawl_extract""", inputSchema={'properties': {'enableWebSearch': {'default': False, 'description': 'Use web search for additional data', 'type': 'boolean'}, 'ignoreSitemap': {'description': 'Ignore sitemap.xml during processing', 'type': 'boolean'}, 'includeSubdomains': {'description': 'Include subdomains in processing', 'type': 'boolean'}, 'prompt': {'description': 'Extraction guidance prompt', 'type': 'string'}, 'schema': {'description': 'Data structure schema', 'type': 'object'}, 'urls': {'description': 'URLs to extract from', 'items': {'type': 'string'}, 'type': 'array'}}, 'required': ['urls'], 'type': 'object'}, description="""Extracts structured data from URLs"""), # Msparihar/MCP Server Firecrawl/extract
    Tool(name="""MCP Server Firecrawl_scrape_url""", inputSchema={'properties': {'blockAds': {'default': True, 'description': 'Enable ad/cookie popup blocking', 'type': 'boolean'}, 'excludeTags': {'description': 'Tags to exclude from output', 'items': {'type': 'string'}, 'type': 'array'}, 'formats': {'description': 'Output formats', 'items': {'enum': ['markdown', 'html', 'rawHtml', 'links', 'screenshot', 'screenshot@fullPage', 'json'], 'type': 'string'}, 'type': 'array'}, 'includeTags': {'description': 'Tags to include in output', 'items': {'type': 'string'}, 'type': 'array'}, 'jsonOptions': {'properties': {'prompt': {'description': 'Prompt for extracting specific information', 'type': 'string'}, 'schema': {'description': 'Schema for extraction', 'type': 'object'}, 'systemPrompt': {'description': 'System prompt for extraction', 'type': 'string'}}, 'type': 'object'}, 'location': {'properties': {'country': {'description': 'ISO 3166-1 alpha-2 country code', 'type': 'string'}, 'languages': {'description': 'Preferred languages/locales', 'items': {'type': 'string'}, 'type': 'array'}}, 'type': 'object'}, 'mobile': {'default': False, 'description': 'Emulate mobile device', 'type': 'boolean'}, 'onlyMainContent': {'default': True, 'description': 'Only return main content excluding headers, navs, footers', 'type': 'boolean'}, 'url': {'description': 'URL to scrape', 'type': 'string'}, 'waitFor': {'default': 0, 'description': 'Delay in milliseconds before fetching content', 'type': 'number'}}, 'required': ['url'], 'type': 'object'}, description="""Scrape content from a URL using Firecrawl API"""), # Msparihar/MCP Server Firecrawl/scrape_url
    Tool(name="""MCP Server Firecrawl_search_content""", inputSchema={'properties': {'country': {'default': 'us', 'description': 'Country code', 'type': 'string'}, 'lang': {'default': 'en', 'description': 'Language code', 'type': 'string'}, 'limit': {'description': 'Maximum number of results', 'maximum': 100, 'minimum': 1, 'type': 'number'}, 'location': {'description': 'Location parameter', 'type': 'string'}, 'query': {'description': 'Search query', 'type': 'string'}, 'scrapeOptions': {'properties': {'formats': {'description': 'Output formats', 'items': {'enum': ['markdown'], 'type': 'string'}, 'type': 'array'}}, 'type': 'object'}, 'timeout': {'default': 60000, 'description': 'Request timeout in milliseconds', 'type': 'number'}}, 'required': ['query'], 'type': 'object'}, description="""Search content using Firecrawl API"""), # Msparihar/MCP Server Firecrawl/search_content
    Tool(name="""Datetime MCP Server_add-note""", inputSchema={'properties': {'content': {'type': 'string'}, 'name': {'type': 'string'}}, 'required': ['name', 'content'], 'type': 'object'}, description="""Add a new note"""), # bossjones/Datetime MCP Server/add-note
    Tool(name="""Datetime MCP Server_get-current-time""", inputSchema={'properties': {'format': {'description': 'Format to return the time in', 'enum': ['iso', 'readable', 'unix', 'rfc3339'], 'type': 'string'}, 'timezone': {'description': 'Optional timezone (default: local system timezone)', 'type': 'string'}}, 'required': ['format'], 'type': 'object'}, description="""Get the current time in various formats"""), # bossjones/Datetime MCP Server/get-current-time
    Tool(name="""Datetime MCP Server_format-date""", inputSchema={'properties': {'date': {'description': 'Date string to format (default: today)', 'type': 'string'}, 'format': {'description': "Format string (e.g., '%Y-%m-%d %H:%M:%S')", 'type': 'string'}}, 'required': ['format'], 'type': 'object'}, description="""Format a date string according to the specified format"""), # bossjones/Datetime MCP Server/format-date
    Tool(name="""MCP Async Server_process_task""", inputSchema={'properties': {'delayMs': {'default': 5000, 'description': 'Optional delay in milliseconds to simulate processing time', 'type': 'number'}, 'input': {'description': 'The input to process', 'type': 'string'}, 'timeoutMs': {'default': 30000, 'description': 'Optional timeout in milliseconds', 'type': 'number'}}, 'required': ['input'], 'type': 'object'}, description="""Start processing a task asynchronously."""), # ViezeVingertjes/MCP Async Server/process_task
    Tool(name="""MCP Async Server_check_task_status""", inputSchema={'properties': {'taskId': {'description': 'The task ID returned by process_task', 'type': 'string'}}, 'required': ['taskId'], 'type': 'object'}, description="""Check the status of an async task"""), # ViezeVingertjes/MCP Async Server/check_task_status
    Tool(name="""Drupal-Modules-MCP MCP Server_get_command_info""", inputSchema={'properties': {'command_name': {'description': 'Name of the Drush command', 'type': 'string'}, 'version': {'description': "Drush version (e.g. '13.x'). Defaults to '13.x'", 'type': 'string'}}, 'required': ['command_name'], 'type': 'object'}, description="""Get detailed information about a specific Drush command"""), # Cleversoft-IT/Drupal-Modules-MCP MCP Server/get_command_info
    Tool(name="""MCP Server Template_example-tool""", inputSchema={'properties': {'input': {'description': 'Input string to process', 'minLength': 1, 'type': 'string'}}, 'required': ['input'], 'type': 'object'}, description="""An example tool that processes input data"""), # stevennevins/MCP Server Template/example-tool
    Tool(name="""Academic Paper Search MCP Server_search_papers""", inputSchema={'properties': {'limit': {'default': 10, 'title': 'Limit', 'type': 'integer'}, 'query': {'title': 'Query', 'type': 'string'}}, 'required': ['query'], 'title': 'search_papersArguments', 'type': 'object'}, description="""Search for papers across multiple sources.\n\n    args: \n        query: the search query\n        limit: the maximum number of results to return (default 10)\n    """), # afrise/Academic Paper Search MCP Server/search_papers
    Tool(name="""Academic Paper Search MCP Server_fetch_paper_details""", inputSchema={'properties': {'paper_id': {'title': 'Paper Id', 'type': 'string'}, 'source': {'default': 'semantic_scholar', 'title': 'Source', 'type': 'string'}}, 'required': ['paper_id'], 'title': 'fetch_paper_detailsArguments', 'type': 'object'}, description="""Get detailed information about a specific paper.\n\n    Args:\n        paper_id: Paper identifier (DOI for Crossref, paper ID for Semantic Scholar)\n        source: Source database (\"semantic_scholar\" or \"crossref\")\n    """), # afrise/Academic Paper Search MCP Server/fetch_paper_details
    Tool(name="""Academic Paper Search MCP Server_search_by_topic""", inputSchema={'properties': {'limit': {'default': 10, 'title': 'Limit', 'type': 'integer'}, 'topic': {'title': 'Topic', 'type': 'string'}, 'year_end': {'default': None, 'title': 'Year End', 'type': 'integer'}, 'year_start': {'default': None, 'title': 'Year Start', 'type': 'integer'}}, 'required': ['topic'], 'title': 'search_by_topicArguments', 'type': 'object'}, description="""Search for papers by topic with optional date range. \n    \n    Note: Query length is limited to 300 characters. Longer queries will be automatically truncated.\n    \n    Args:\n        topic (str): Search query (max 300 chars)\n        year_start (int, optional): Start year for date range\n        year_end (int, optional): End year for date range  \n        limit (int, optional): Maximum number of results to return (default 10)\n        \n    Returns:\n        str: Formatted search results or error message\n    """), # afrise/Academic Paper Search MCP Server/search_by_topic
    Tool(name="""Web Accessibility MCP Server_simulate_colorblind""", inputSchema={'properties': {'outputPath': {'description': 'Optional path to save the screenshot', 'type': 'string'}, 'type': {'description': 'Type of color blindness to simulate', 'enum': ['protanopia', 'deuteranopia', 'tritanopia'], 'type': 'string'}, 'url': {'description': 'URL to capture', 'type': 'string'}, 'userAgent': {'description': 'Optional user agent string to use for the request', 'type': 'string'}}, 'required': ['url', 'type'], 'type': 'object'}, description="""Simulate how a webpage looks for colorblind users"""), # bilhasry-deriv/Web Accessibility MCP Server/simulate_colorblind
    Tool(name="""Web Accessibility MCP Server_check_accessibility""", inputSchema={'properties': {'url': {'description': 'URL to analyze', 'type': 'string'}, 'userAgent': {'description': 'Optional user agent string to use for the request', 'type': 'string'}, 'waitForSelector': {'description': 'Optional CSS selector to wait for before analysis', 'type': 'string'}}, 'required': ['url'], 'type': 'object'}, description="""Check web accessibility of a given URL using axe-core"""), # bilhasry-deriv/Web Accessibility MCP Server/check_accessibility
    Tool(name="""Web3 MCP Server_getSlot""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {}, 'type': 'object'}, description="""Get the current slot"""), # strangelove-ventures/Web3 MCP Server/getSlot
    Tool(name="""Web3 MCP Server_getBalance""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'address': {'description': 'Solana account address', 'type': 'string'}}, 'required': ['address'], 'type': 'object'}, description="""Get balance for a Solana address"""), # strangelove-ventures/Web3 MCP Server/getBalance
    Tool(name="""Web3 MCP Server_getKeypairInfo""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'secretKey': {'description': 'Base58 encoded secret key or array of bytes', 'type': 'string'}}, 'required': ['secretKey'], 'type': 'object'}, description="""Get information about a keypair from its secret key"""), # strangelove-ventures/Web3 MCP Server/getKeypairInfo
    Tool(name="""Web3 MCP Server_getAccountInfo""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'address': {'description': 'Solana account address', 'type': 'string'}, 'encoding': {'description': 'Data encoding format', 'enum': ['base58', 'base64', 'jsonParsed'], 'type': 'string'}}, 'required': ['address'], 'type': 'object'}, description="""Get detailed account information for a Solana address"""), # strangelove-ventures/Web3 MCP Server/getAccountInfo
    Tool(name="""Web3 MCP Server_transfer""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'amount': {'description': 'Amount of SOL to send', 'exclusiveMinimum': 0, 'type': 'number'}, 'secretKey': {'description': "Your keypair's secret key (as comma-separated numbers or JSON array)", 'type': 'string'}, 'toAddress': {'description': 'Destination wallet address', 'type': 'string'}}, 'required': ['secretKey', 'toAddress', 'amount'], 'type': 'object'}, description="""Transfer SOL from your keypair to another address"""), # strangelove-ventures/Web3 MCP Server/transfer
    Tool(name="""Web3 MCP Server_getSplTokenBalances""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'address': {'description': 'Solana account address', 'type': 'string'}}, 'required': ['address'], 'type': 'object'}, description="""Get SPL token balances for a Solana address"""), # strangelove-ventures/Web3 MCP Server/getSplTokenBalances
    Tool(name="""Web3 MCP Server_getSplTokenInfo""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'ownerAddress': {'description': 'Token account owner address', 'type': 'string'}, 'tokenMint': {'description': 'Token mint address', 'type': 'string'}}, 'required': ['tokenMint', 'ownerAddress'], 'type': 'object'}, description="""Get detailed information about a specific SPL token account"""), # strangelove-ventures/Web3 MCP Server/getSplTokenInfo
    Tool(name="""Web3 MCP Server_getEvmBalance""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'address': {'description': 'EVM account address', 'type': 'string'}, 'network': {'description': 'Network name (ethereum, base, arbitrum, optimism, bsc, polygon, avalanche)', 'type': 'string'}}, 'required': ['address', 'network'], 'type': 'object'}, description="""Get native token balance for an EVM address on any supported network"""), # strangelove-ventures/Web3 MCP Server/getEvmBalance
    Tool(name="""Web3 MCP Server_getEvmTokenBalance""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'address': {'description': 'EVM account address', 'type': 'string'}, 'network': {'description': 'Network name (ethereum, base, arbitrum, optimism, bsc, polygon, avalanche)', 'type': 'string'}, 'tokenAddress': {'description': 'ERC-20 token contract address', 'type': 'string'}}, 'required': ['address', 'tokenAddress', 'network'], 'type': 'object'}, description="""Get ERC-20 token balance for an address on any supported EVM network"""), # strangelove-ventures/Web3 MCP Server/getEvmTokenBalance
    Tool(name="""Web3 MCP Server_getGasPrice""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'network': {'description': 'Network name (ethereum, base, arbitrum, optimism, bsc, polygon, avalanche)', 'type': 'string'}}, 'required': ['network'], 'type': 'object'}, description="""Get current gas price for any supported EVM network"""), # strangelove-ventures/Web3 MCP Server/getGasPrice
    Tool(name="""MCP Server Reddit_get_subreddit_hot_posts""", inputSchema={'properties': {'limit': {'default': 10, 'description': 'Number of posts to return (default: 10)', 'maximum': 100, 'minimum': 1, 'type': 'integer'}, 'subreddit_name': {'description': "Name of the subreddit (e.g. 'Python', 'news')", 'type': 'string'}}, 'required': ['subreddit_name'], 'type': 'object'}, description="""Get hot posts from a specific subreddit"""), # Hawstein/MCP Server Reddit/get_subreddit_hot_posts
    Tool(name="""MCP Server Reddit_get_frontpage_posts""", inputSchema={'properties': {'limit': {'default': 10, 'description': 'Number of posts to return (default: 10)', 'maximum': 100, 'minimum': 1, 'type': 'integer'}}, 'type': 'object'}, description="""Get hot posts from Reddit frontpage"""), # Hawstein/MCP Server Reddit/get_frontpage_posts
    Tool(name="""MCP Server Reddit_get_subreddit_info""", inputSchema={'properties': {'subreddit_name': {'description': "Name of the subreddit (e.g. 'Python', 'news')", 'type': 'string'}}, 'required': ['subreddit_name'], 'type': 'object'}, description="""Get information about a subreddit"""), # Hawstein/MCP Server Reddit/get_subreddit_info
    Tool(name="""MCP Server Reddit_get_subreddit_new_posts""", inputSchema={'properties': {'limit': {'default': 10, 'description': 'Number of posts to return (default: 10)', 'maximum': 100, 'minimum': 1, 'type': 'integer'}, 'subreddit_name': {'description': "Name of the subreddit (e.g. 'Python', 'news')", 'type': 'string'}}, 'required': ['subreddit_name'], 'type': 'object'}, description="""Get new posts from a specific subreddit"""), # Hawstein/MCP Server Reddit/get_subreddit_new_posts
    Tool(name="""MCP Server Reddit_get_subreddit_top_posts""", inputSchema={'properties': {'limit': {'default': 10, 'description': 'Number of posts to return (default: 10)', 'maximum': 100, 'minimum': 1, 'type': 'integer'}, 'subreddit_name': {'description': "Name of the subreddit (e.g. 'Python', 'news')", 'type': 'string'}, 'time': {'default': '', 'description': "Time filter for top posts (e.g. 'hour', 'day', 'week', 'month', 'year', 'all')", 'enum': ['', 'hour', 'day', 'week', 'month', 'year', 'all'], 'type': 'string'}}, 'required': ['subreddit_name'], 'type': 'object'}, description="""Get top posts from a specific subreddit"""), # Hawstein/MCP Server Reddit/get_subreddit_top_posts
    Tool(name="""MCP Server Reddit_get_subreddit_rising_posts""", inputSchema={'properties': {'limit': {'default': 10, 'description': 'Number of posts to return (default: 10)', 'maximum': 100, 'minimum': 1, 'type': 'integer'}, 'subreddit_name': {'description': "Name of the subreddit (e.g. 'Python', 'news')", 'type': 'string'}}, 'required': ['subreddit_name'], 'type': 'object'}, description="""Get rising posts from a specific subreddit"""), # Hawstein/MCP Server Reddit/get_subreddit_rising_posts
    Tool(name="""MCP Server Reddit_get_post_content""", inputSchema={'properties': {'comment_depth': {'default': 3, 'description': 'Maximum depth of comment tree (default: 3)', 'maximum': 10, 'minimum': 1, 'type': 'integer'}, 'comment_limit': {'default': 10, 'description': 'Number of top-level comments to return (default: 10)', 'maximum': 100, 'minimum': 1, 'type': 'integer'}, 'post_id': {'description': 'ID of the post', 'type': 'string'}}, 'required': ['post_id'], 'type': 'object'}, description="""Get detailed content of a specific post"""), # Hawstein/MCP Server Reddit/get_post_content
    Tool(name="""MCP Server Reddit_get_post_comments""", inputSchema={'properties': {'limit': {'default': 10, 'description': 'Number of comments to return (default: 10)', 'maximum': 100, 'minimum': 1, 'type': 'integer'}, 'post_id': {'description': 'ID of the post', 'type': 'string'}}, 'required': ['post_id'], 'type': 'object'}, description="""Get comments from a post"""), # Hawstein/MCP Server Reddit/get_post_comments
    Tool(name="""MCP Code Executor_execute_code""", inputSchema={'properties': {'code': {'description': 'Python code to execute', 'type': 'string'}, 'filename': {'description': 'Optional: Name of the file to save the code (default: generated UUID)', 'type': 'string'}}, 'required': ['code'], 'type': 'object'}, description="""Execute Python code in the specified conda environment"""), # bazinga012/MCP Code Executor/execute_code
    Tool(name="""Safari Screenshot MCP Server_take_screenshot""", inputSchema={'properties': {'height': {'default': 768, 'description': 'Window height in pixels (default: 768)', 'type': 'number'}, 'outputPath': {'default': '', 'description': 'Path where the screenshot will be saved (default: ./screenshots/[hostname]-[timestamp].png)', 'type': 'string'}, 'url': {'description': 'URL to capture', 'type': 'string'}, 'waitTime': {'default': 3, 'description': 'Time to wait for page load in seconds (default: 3)', 'type': 'number'}, 'width': {'default': 1024, 'description': 'Window width in pixels (default: 1024)', 'type': 'number'}, 'zoomLevel': {'default': 1, 'description': 'Zoom level (1 = 100%, 0.5 = 50%, 2 = 200%)', 'type': 'number'}}, 'required': ['url'], 'type': 'object'}, description="""Take a screenshot of a webpage using Safari on macOS"""), # rogerheykoop/Safari Screenshot MCP Server/take_screenshot
    Tool(name="""ClickUp MCP Server_clickup_create_task""", inputSchema={'properties': {'assignees': {'description': 'Array of assignee user IDs', 'items': {'type': 'string'}, 'type': 'array'}, 'description': {'description': 'Task description in markdown format', 'type': 'string'}, 'due_date': {'description': 'Due date in milliseconds timestamp', 'type': 'string'}, 'list_id': {'description': 'The ID of the list to create the task in. The unique identifier for the resource in ClickUp.', 'type': 'string'}, 'name': {'description': 'Task name', 'type': 'string'}, 'priority': {'description': 'Task priority (1: Urgent, 2: High, 3: Normal, 4: Low)', 'enum': [1, 2, 3, 4], 'type': 'number'}, 'status': {'description': 'Task status', 'type': 'string'}, 'tags': {'description': 'Array of tag names', 'items': {'type': 'string'}, 'type': 'array'}, 'time_estimate': {'description': 'Time estimate in milliseconds', 'type': 'string'}}, 'required': ['list_id', 'name'], 'type': 'object'}, description="""Create a new task in ClickUp workspace"""), # Nazruden/ClickUp MCP Server/clickup_create_task
    Tool(name="""ClickUp MCP Server_clickup_update_task""", inputSchema={'properties': {'assignees': {'description': 'Array of assignee user IDs', 'items': {'type': 'string'}, 'type': 'array'}, 'description': {'description': 'Task description in markdown format', 'type': 'string'}, 'due_date': {'description': 'Due date in milliseconds timestamp', 'type': 'string'}, 'name': {'description': 'Task name', 'type': 'string'}, 'priority': {'description': 'Task priority (1: Urgent, 2: High, 3: Normal, 4: Low)', 'enum': [1, 2, 3, 4], 'type': 'number'}, 'status': {'description': 'Task status', 'type': 'string'}, 'tags': {'description': 'Array of tag names', 'items': {'type': 'string'}, 'type': 'array'}, 'task_id': {'description': 'The ID of the task to update. The unique identifier for the resource in ClickUp.', 'type': 'string'}, 'time_estimate': {'description': 'Time estimate in milliseconds', 'type': 'string'}}, 'required': ['task_id'], 'type': 'object'}, description="""Update an existing task in ClickUp"""), # Nazruden/ClickUp MCP Server/clickup_update_task
    Tool(name="""ClickUp MCP Server_clickup_get_teams""", inputSchema={'properties': {}, 'type': 'object'}, description="""Get all teams accessible to the authenticated user"""), # Nazruden/ClickUp MCP Server/clickup_get_teams
    Tool(name="""ClickUp MCP Server_clickup_get_lists""", inputSchema={'properties': {'folder_id': {'description': 'The ID of the folder to get lists from. The unique identifier for the resource in ClickUp.', 'type': 'string'}}, 'required': ['folder_id'], 'type': 'object'}, description="""Get all lists in a specific folder"""), # Nazruden/ClickUp MCP Server/clickup_get_lists
    Tool(name="""ClickUp MCP Server_clickup_create_board""", inputSchema={'properties': {'content': {'description': 'Board description or content', 'type': 'string'}, 'name': {'description': 'Board name', 'type': 'string'}, 'space_id': {'description': 'The ID of the space to create the board in. The unique identifier for the resource in ClickUp.', 'type': 'string'}}, 'required': ['space_id', 'name'], 'type': 'object'}, description="""Create a new board in a ClickUp space"""), # Nazruden/ClickUp MCP Server/clickup_create_board
    Tool(name="""MCP Architect_analyze_architecture""", inputSchema={'properties': {'constraints': {'items': {'type': 'string'}, 'type': 'array'}, 'description': {'type': 'string'}, 'domain': {'type': 'string'}, 'requirements': {'items': {'type': 'string'}, 'type': 'array'}}, 'required': ['description', 'requirements', 'domain'], 'type': 'object'}, description="""Perform a comprehensive analysis of a software architecture"""), # squirrelogic/MCP Architect/analyze_architecture
    Tool(name="""MCP Architect_evaluate_architecture""", inputSchema={'properties': {'architecture': {'type': 'object'}, 'criteria': {'items': {'type': 'string'}, 'type': 'array'}, 'domain': {'type': 'string'}}, 'required': ['architecture', 'criteria', 'domain'], 'type': 'object'}, description="""Evaluate an architecture design against specific criteria"""), # squirrelogic/MCP Architect/evaluate_architecture
    Tool(name="""MCP Architect_generate_architecture""", inputSchema={'properties': {'domain': {'type': 'string'}, 'requirements': {'items': {'type': 'string'}, 'type': 'array'}, 'style': {'enum': ['monolithic', 'microservices', 'layered', 'event-driven', 'serverless', 'service-mesh', 'multi-cloud', 'hybrid-cloud', 'edge-computing', 'data-mesh', 'ai-ml-centric', 'hexagonal', 'blockchain-based', 'service-oriented-architecture', 'reactive', 'actor-based', 'pipe-and-filter', 'space-based'], 'type': 'string'}}, 'required': ['requirements', 'domain'], 'type': 'object'}, description="""Generate a software architecture design based on requirements"""), # squirrelogic/MCP Architect/generate_architecture
    Tool(name="""Bitcoin MCP Server_generate_key""", inputSchema={'properties': {}, 'required': [], 'type': 'object'}, description="""Generate a new Bitcoin key pair and address"""), # AbdelStark/Bitcoin MCP Server/generate_key
    Tool(name="""Bitcoin MCP Server_validate_address""", inputSchema={'properties': {'address': {'description': 'The Bitcoin address to validate', 'type': 'string'}}, 'required': ['address'], 'type': 'object'}, description="""Validate a Bitcoin address"""), # AbdelStark/Bitcoin MCP Server/validate_address
    Tool(name="""Bitcoin MCP Server_decode_tx""", inputSchema={'properties': {'tx': {'description': 'Transaction hex', 'type': 'string'}}, 'required': ['tx'], 'type': 'object'}, description="""Decode a Bitcoin transaction"""), # AbdelStark/Bitcoin MCP Server/decode_tx
    Tool(name="""Bitcoin MCP Server_get_latest_block""", inputSchema={'properties': {}, 'type': 'object'}, description="""Get the latest block"""), # AbdelStark/Bitcoin MCP Server/get_latest_block
    Tool(name="""Bitcoin MCP Server_get_transaction""", inputSchema={'properties': {'txid': {'description': 'Transaction ID', 'type': 'string'}}, 'required': ['txid'], 'type': 'object'}, description="""Get transaction details"""), # AbdelStark/Bitcoin MCP Server/get_transaction
    Tool(name="""MCP Access Server_get-webpage-markdown""", inputSchema={'properties': {'url': {'description': 'The URL of the web page to parse', 'type': 'string'}}, 'required': ['url'], 'type': 'object'}, description="""Parses a web page into Markdown and returns it"""), # shin-t-o/MCP Access Server/get-webpage-markdown
    Tool(name="""MCP Access Server_get-pdf-content""", inputSchema={'properties': {'pdfFilePath': {'description': 'The filepath of the PDF file to parse', 'type': 'string'}}, 'required': ['pdfFilePath'], 'type': 'object'}, description="""Text parsing and return of PDF content"""), # shin-t-o/MCP Access Server/get-pdf-content
    Tool(name="""MCP Access Server_command-execute""", inputSchema={'properties': {'command': {'description': 'The command(command only) to execute on Windows PowerShell', 'type': 'string'}, 'cwd': {'description': 'Working directory at command execution', 'type': 'string'}}, 'required': ['command', 'cwd'], 'type': 'object'}, description="""Executes a command in the allowed list: ls / mkdir / cd / npm / npx / node / git / rm"""), # shin-t-o/MCP Access Server/command-execute
    Tool(name="""Perplexity MCP Server_search""", inputSchema={'properties': {'query': {'description': 'The search query', 'type': 'string'}}, 'required': ['query'], 'type': 'object'}, description="""Search the web using Perplexity AI"""), # jaacob/Perplexity MCP Server/search
    Tool(name="""Git Forensics MCP_get_branch_overview""", inputSchema={'properties': {'branches': {'description': 'Branches to analyze', 'items': {'type': 'string'}, 'type': 'array'}, 'outputPath': {'description': 'Path to write analysis output', 'type': 'string'}, 'repoPath': {'description': 'Path to git repository', 'type': 'string'}}, 'required': ['repoPath', 'branches', 'outputPath'], 'type': 'object'}, description="""Get high-level overview of branch states and relationships"""), # davidorex/Git Forensics MCP/get_branch_overview
    Tool(name="""Git Forensics MCP_analyze_time_period""", inputSchema={'properties': {'branches': {'description': 'Branches to analyze', 'items': {'type': 'string'}, 'type': 'array'}, 'outputPath': {'description': 'Path to write analysis output', 'type': 'string'}, 'repoPath': {'description': 'Path to git repository', 'type': 'string'}, 'timeRange': {'properties': {'end': {'type': 'string'}, 'start': {'type': 'string'}}, 'required': ['start', 'end'], 'type': 'object'}}, 'required': ['repoPath', 'branches', 'timeRange', 'outputPath'], 'type': 'object'}, description="""Analyze detailed development activity in a specific time period"""), # davidorex/Git Forensics MCP/analyze_time_period
    Tool(name="""Git Forensics MCP_analyze_file_changes""", inputSchema={'properties': {'branches': {'description': 'Branches to analyze', 'items': {'type': 'string'}, 'type': 'array'}, 'files': {'description': 'Files to analyze', 'items': {'type': 'string'}, 'type': 'array'}, 'outputPath': {'description': 'Path to write analysis output', 'type': 'string'}, 'repoPath': {'description': 'Path to git repository', 'type': 'string'}}, 'required': ['repoPath', 'branches', 'files', 'outputPath'], 'type': 'object'}, description="""Analyze changes to specific files across branches"""), # davidorex/Git Forensics MCP/analyze_file_changes
    Tool(name="""Git Forensics MCP_get_merge_recommendations""", inputSchema={'properties': {'branches': {'description': 'Branches to analyze', 'items': {'type': 'string'}, 'type': 'array'}, 'outputPath': {'description': 'Path to write analysis output', 'type': 'string'}, 'repoPath': {'description': 'Path to git repository', 'type': 'string'}}, 'required': ['repoPath', 'branches', 'outputPath'], 'type': 'object'}, description="""Get detailed merge strategy recommendations"""), # davidorex/Git Forensics MCP/get_merge_recommendations
    Tool(name="""Wegene Assistant MCP Server_wegene-oauth""", inputSchema={'properties': {}, 'type': 'object'}, description="""Authorizing a user's account using WeGene Open API with oAuth2 protocol and retrieve a valid access token for further use"""), # xraywu/Wegene Assistant MCP Server/wegene-oauth
    Tool(name="""Wegene Assistant MCP Server_wegene-get-profiles""", inputSchema={'properties': {}, 'type': 'object'}, description="""Retrieve all the profiles under the current account"""), # xraywu/Wegene Assistant MCP Server/wegene-get-profiles
    Tool(name="""Wegene Assistant MCP Server_wegene-get-report-info""", inputSchema={'properties': {}, 'type': 'object'}, description="""Get all available report information"""), # xraywu/Wegene Assistant MCP Server/wegene-get-report-info
    Tool(name="""Wegene Assistant MCP Server_wegene-get-report""", inputSchema={'properties': {'profile_id': {'description': 'The ID of the profile', 'type': 'string'}, 'report_endpoint': {'description': 'The endpoint of the report', 'type': 'string'}, 'report_id': {'description': 'The ID of the report', 'type': 'string'}}, 'required': ['report_endpoint', 'report_id', 'profile_id'], 'type': 'object'}, description="""Get a specific genetic test report from a profile"""), # xraywu/Wegene Assistant MCP Server/wegene-get-report
    Tool(name="""GitHub MCP Server Plus_create_or_update_file""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'branch': {'description': 'Branch to create/update the file in', 'type': 'string'}, 'content': {'description': 'Content of the file', 'type': 'string'}, 'message': {'description': 'Commit message', 'type': 'string'}, 'owner': {'description': 'Repository owner (username or organization)', 'type': 'string'}, 'path': {'description': 'Path where to create/update the file', 'type': 'string'}, 'repo': {'description': 'Repository name', 'type': 'string'}, 'sha': {'description': 'SHA of the file being replaced (required when updating existing files)', 'type': 'string'}}, 'required': ['owner', 'repo', 'path', 'content', 'message', 'branch'], 'type': 'object'}, description="""Create or update a single file in a GitHub repository"""), # PhialsBasement/GitHub MCP Server Plus/create_or_update_file
    Tool(name="""GitHub MCP Server Plus_search_repositories""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'page': {'description': 'Page number for pagination (default: 1)', 'type': 'number'}, 'perPage': {'description': 'Number of results per page (default: 30, max: 100)', 'type': 'number'}, 'query': {'description': 'Search query (see GitHub search syntax)', 'type': 'string'}}, 'required': ['query'], 'type': 'object'}, description="""Search for GitHub repositories"""), # PhialsBasement/GitHub MCP Server Plus/search_repositories
    Tool(name="""GitHub MCP Server Plus_create_repository""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'autoInit': {'description': 'Initialize with README.md', 'type': 'boolean'}, 'description': {'description': 'Repository description', 'type': 'string'}, 'name': {'description': 'Repository name', 'type': 'string'}, 'private': {'description': 'Whether the repository should be private', 'type': 'boolean'}}, 'required': ['name'], 'type': 'object'}, description="""Create a new GitHub repository in your account"""), # PhialsBasement/GitHub MCP Server Plus/create_repository
    Tool(name="""GitHub MCP Server Plus_get_file_contents""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'branch': {'description': 'Branch to get contents from', 'type': 'string'}, 'owner': {'description': 'Repository owner (username or organization)', 'type': 'string'}, 'path': {'description': 'Path to the file or directory', 'type': 'string'}, 'repo': {'description': 'Repository name', 'type': 'string'}}, 'required': ['owner', 'repo', 'path'], 'type': 'object'}, description="""Get the contents of a file or directory from a GitHub repository"""), # PhialsBasement/GitHub MCP Server Plus/get_file_contents
    Tool(name="""GitHub MCP Server Plus_push_files_content""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'branch': {'description': "Branch to push to (e.g., 'main' or 'master')", 'type': 'string'}, 'files': {'description': 'Array of files to push with their content', 'items': {'additionalProperties': False, 'properties': {'content': {'type': 'string'}, 'path': {'type': 'string'}}, 'required': ['path', 'content'], 'type': 'object'}, 'type': 'array'}, 'message': {'description': 'Commit message', 'type': 'string'}, 'owner': {'description': 'Repository owner (username or organization)', 'type': 'string'}, 'repo': {'description': 'Repository name', 'type': 'string'}}, 'required': ['owner', 'repo', 'branch', 'files', 'message'], 'type': 'object'}, description="""Push multiple files with direct content to a GitHub repository in a single commit"""), # PhialsBasement/GitHub MCP Server Plus/push_files_content
    Tool(name="""GitHub MCP Server Plus_push_files_from_path""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'branch': {'description': "Branch to push to (e.g., 'main' or 'master')", 'type': 'string'}, 'files': {'description': 'Array of files to push from filesystem paths', 'items': {'additionalProperties': False, 'properties': {'filepath': {'type': 'string'}, 'path': {'type': 'string'}}, 'required': ['path', 'filepath'], 'type': 'object'}, 'type': 'array'}, 'message': {'description': 'Commit message', 'type': 'string'}, 'owner': {'description': 'Repository owner (username or organization)', 'type': 'string'}, 'repo': {'description': 'Repository name', 'type': 'string'}}, 'required': ['owner', 'repo', 'branch', 'files', 'message'], 'type': 'object'}, description="""Push multiple files from filesystem paths to a GitHub repository in a single commit"""), # PhialsBasement/GitHub MCP Server Plus/push_files_from_path
    Tool(name="""GitHub MCP Server Plus_create_issue""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'assignees': {'items': {'type': 'string'}, 'type': 'array'}, 'body': {'type': 'string'}, 'labels': {'items': {'type': 'string'}, 'type': 'array'}, 'milestone': {'type': 'number'}, 'owner': {'type': 'string'}, 'repo': {'type': 'string'}, 'title': {'type': 'string'}}, 'required': ['owner', 'repo', 'title'], 'type': 'object'}, description="""Create a new issue in a GitHub repository"""), # PhialsBasement/GitHub MCP Server Plus/create_issue
    Tool(name="""GitHub MCP Server Plus_create_pull_request""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'base': {'description': 'The name of the branch you want the changes pulled into', 'type': 'string'}, 'body': {'description': 'Pull request body/description', 'type': 'string'}, 'draft': {'description': 'Whether to create the pull request as a draft', 'type': 'boolean'}, 'head': {'description': 'The name of the branch where your changes are implemented', 'type': 'string'}, 'maintainer_can_modify': {'description': 'Whether maintainers can modify the pull request', 'type': 'boolean'}, 'owner': {'description': 'Repository owner (username or organization)', 'type': 'string'}, 'repo': {'description': 'Repository name', 'type': 'string'}, 'title': {'description': 'Pull request title', 'type': 'string'}}, 'required': ['owner', 'repo', 'title', 'head', 'base'], 'type': 'object'}, description="""Create a new pull request in a GitHub repository"""), # PhialsBasement/GitHub MCP Server Plus/create_pull_request
    Tool(name="""GitHub MCP Server Plus_fork_repository""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'organization': {'description': 'Optional: organization to fork to (defaults to your personal account)', 'type': 'string'}, 'owner': {'description': 'Repository owner (username or organization)', 'type': 'string'}, 'repo': {'description': 'Repository name', 'type': 'string'}}, 'required': ['owner', 'repo'], 'type': 'object'}, description="""Fork a GitHub repository to your account or specified organization"""), # PhialsBasement/GitHub MCP Server Plus/fork_repository
    Tool(name="""GitHub MCP Server Plus_create_branch""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'branch': {'description': 'Name for the new branch', 'type': 'string'}, 'from_branch': {'description': "Optional: source branch to create from (defaults to the repository's default branch)", 'type': 'string'}, 'owner': {'description': 'Repository owner (username or organization)', 'type': 'string'}, 'repo': {'description': 'Repository name', 'type': 'string'}}, 'required': ['owner', 'repo', 'branch'], 'type': 'object'}, description="""Create a new branch in a GitHub repository"""), # PhialsBasement/GitHub MCP Server Plus/create_branch
    Tool(name="""GitHub MCP Server Plus_list_commits""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'owner': {'type': 'string'}, 'page': {'type': 'number'}, 'perPage': {'type': 'number'}, 'repo': {'type': 'string'}, 'sha': {'type': 'string'}}, 'required': ['owner', 'repo'], 'type': 'object'}, description="""Get list of commits of a branch in a GitHub repository"""), # PhialsBasement/GitHub MCP Server Plus/list_commits
    Tool(name="""GitHub MCP Server Plus_list_issues""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'direction': {'enum': ['asc', 'desc'], 'type': 'string'}, 'labels': {'items': {'type': 'string'}, 'type': 'array'}, 'owner': {'type': 'string'}, 'page': {'type': 'number'}, 'per_page': {'type': 'number'}, 'repo': {'type': 'string'}, 'since': {'type': 'string'}, 'sort': {'enum': ['created', 'updated', 'comments'], 'type': 'string'}, 'state': {'enum': ['open', 'closed', 'all'], 'type': 'string'}}, 'required': ['owner', 'repo'], 'type': 'object'}, description="""List issues in a GitHub repository with filtering options"""), # PhialsBasement/GitHub MCP Server Plus/list_issues
    Tool(name="""GitHub MCP Server Plus_update_issue""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'assignees': {'items': {'type': 'string'}, 'type': 'array'}, 'body': {'type': 'string'}, 'issue_number': {'type': 'number'}, 'labels': {'items': {'type': 'string'}, 'type': 'array'}, 'milestone': {'type': 'number'}, 'owner': {'type': 'string'}, 'repo': {'type': 'string'}, 'state': {'enum': ['open', 'closed'], 'type': 'string'}, 'title': {'type': 'string'}}, 'required': ['owner', 'repo', 'issue_number'], 'type': 'object'}, description="""Update an existing issue in a GitHub repository"""), # PhialsBasement/GitHub MCP Server Plus/update_issue
    Tool(name="""GitHub MCP Server Plus_add_issue_comment""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'body': {'type': 'string'}, 'issue_number': {'type': 'number'}, 'owner': {'type': 'string'}, 'repo': {'type': 'string'}}, 'required': ['owner', 'repo', 'issue_number', 'body'], 'type': 'object'}, description="""Add a comment to an existing issue"""), # PhialsBasement/GitHub MCP Server Plus/add_issue_comment
    Tool(name="""GitHub MCP Server Plus_search_code""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'order': {'enum': ['asc', 'desc'], 'type': 'string'}, 'page': {'minimum': 1, 'type': 'number'}, 'per_page': {'maximum': 100, 'minimum': 1, 'type': 'number'}, 'q': {'type': 'string'}}, 'required': ['q'], 'type': 'object'}, description="""Search for code across GitHub repositories"""), # PhialsBasement/GitHub MCP Server Plus/search_code
    Tool(name="""GitHub MCP Server Plus_search_issues""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'order': {'enum': ['asc', 'desc'], 'type': 'string'}, 'page': {'minimum': 1, 'type': 'number'}, 'per_page': {'maximum': 100, 'minimum': 1, 'type': 'number'}, 'q': {'type': 'string'}, 'sort': {'enum': ['comments', 'reactions', 'reactions-+1', 'reactions--1', 'reactions-smile', 'reactions-thinking_face', 'reactions-heart', 'reactions-tada', 'interactions', 'created', 'updated'], 'type': 'string'}}, 'required': ['q'], 'type': 'object'}, description="""Search for issues and pull requests across GitHub repositories"""), # PhialsBasement/GitHub MCP Server Plus/search_issues
    Tool(name="""GitHub MCP Server Plus_search_users""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'order': {'enum': ['asc', 'desc'], 'type': 'string'}, 'page': {'minimum': 1, 'type': 'number'}, 'per_page': {'maximum': 100, 'minimum': 1, 'type': 'number'}, 'q': {'type': 'string'}, 'sort': {'enum': ['followers', 'repositories', 'joined'], 'type': 'string'}}, 'required': ['q'], 'type': 'object'}, description="""Search for users on GitHub"""), # PhialsBasement/GitHub MCP Server Plus/search_users
    Tool(name="""GitHub MCP Server Plus_get_issue""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'issue_number': {'type': 'number'}, 'owner': {'type': 'string'}, 'repo': {'type': 'string'}}, 'required': ['owner', 'repo', 'issue_number'], 'type': 'object'}, description="""Get details of a specific issue in a GitHub repository."""), # PhialsBasement/GitHub MCP Server Plus/get_issue
    Tool(name="""Deepseek R1 MCP Server_deepseek_r1""", inputSchema={'properties': {'max_tokens': {'description': 'Maximum tokens to generate (default: 8192)', 'maximum': 8192, 'minimum': 1, 'type': 'number'}, 'prompt': {'description': 'Input text for DeepSeek', 'type': 'string'}, 'temperature': {'description': 'Sampling temperature (default: 0.2)', 'maximum': 2, 'minimum': 0, 'type': 'number'}}, 'required': ['prompt'], 'type': 'object'}, description="""Generate text using DeepSeek R1 model"""), # 66julienmartin/Deepseek R1 MCP Server/deepseek_r1
    Tool(name="""Daipendency_dependency_docs_getter""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'dependant_path': {'description': 'The absolute path to the dependant project', 'type': 'string'}, 'name': {'description': 'The name of the dependency for which to extract documentation', 'type': 'string'}}, 'required': ['name', 'dependant_path'], 'type': 'object'}, description="""Extract all the documentation and public API for a dependency of a local project"""), # daipendency/Daipendency/dependency_docs_getter
    Tool(name="""browser-use MCP server_add-note""", inputSchema={'properties': {'content': {'type': 'string'}, 'name': {'type': 'string'}}, 'required': ['name', 'content'], 'type': 'object'}, description="""Add a new note"""), # adamdude828/browser-use MCP server/add-note
    Tool(name="""MCP Ollama Server_list_models""", inputSchema={'properties': {}, 'title': 'list_modelsArguments', 'type': 'object'}, description="""List all downloaded Ollama models"""), # emgeee/MCP Ollama Server/list_models
    Tool(name="""MCP Ollama Server_show_model""", inputSchema={'properties': {'name': {'title': 'Name', 'type': 'string'}}, 'required': ['name'], 'title': 'show_modelArguments', 'type': 'object'}, description="""Get detailed information about a specific model\n\n    Args:\n        name: Name of the model to show information about\n    """), # emgeee/MCP Ollama Server/show_model
    Tool(name="""MCP Ollama Server_ask_model""", inputSchema={'properties': {'model': {'title': 'Model', 'type': 'string'}, 'question': {'title': 'Question', 'type': 'string'}}, 'required': ['model', 'question'], 'title': 'ask_modelArguments', 'type': 'object'}, description="""Ask a question to a specific Ollama model\n\n    Args:\n        model: Name of the model to use (e.g., 'llama2')\n        question: The question to ask the model\n    """), # emgeee/MCP Ollama Server/ask_model
    Tool(name="""MCP Ollama Link_query-ollama""", inputSchema={'properties': {'context': {'description': 'Additional context or background information for the query', 'type': 'string'}, 'model': {'default': 'deepseek-r1:8b', 'description': 'The Ollama model to use for the query', 'type': 'string'}, 'query': {'description': 'The question or prompt to send to the model', 'type': 'string'}}, 'required': ['query', 'context', 'model'], 'type': 'object'}, description="""Query the Ollama model with performance tracking"""), # truaxki/MCP Ollama Link/query-ollama
    Tool(name="""Memory Cache Server_store_data""", inputSchema={'properties': {'key': {'description': 'Unique identifier for the cached data', 'type': 'string'}, 'ttl': {'description': 'Time-to-live in seconds (optional)', 'type': 'number'}, 'value': {'description': 'Data to cache', 'type': 'any'}}, 'required': ['key', 'value'], 'type': 'object'}, description="""Store data in the cache with optional TTL"""), # tosin2013/Memory Cache Server/store_data
    Tool(name="""Memory Cache Server_retrieve_data""", inputSchema={'properties': {'key': {'description': 'Key of the cached data to retrieve', 'type': 'string'}}, 'required': ['key'], 'type': 'object'}, description="""Retrieve data from the cache"""), # tosin2013/Memory Cache Server/retrieve_data
    Tool(name="""Memory Cache Server_clear_cache""", inputSchema={'properties': {'key': {'description': 'Specific key to clear (optional - clears all if not provided)', 'type': 'string'}}, 'type': 'object'}, description="""Clear specific or all cache entries"""), # tosin2013/Memory Cache Server/clear_cache
    Tool(name="""Memory Cache Server_get_cache_stats""", inputSchema={'properties': {}, 'type': 'object'}, description="""Get cache statistics"""), # tosin2013/Memory Cache Server/get_cache_stats
    Tool(name="""mcp-registry-server_retrieve_mcps""", inputSchema={'properties': {'query': {'description': 'The query to perform retrieval on', 'type': 'string'}}, 'required': ['query'], 'type': 'object'}, description="""Performs retrieval from our registry of MCPs."""), # KBB99/mcp-registry-server/retrieve_mcps
    Tool(name="""Qwen Max MCP Server_qwen_max""", inputSchema={'properties': {'max_tokens': {'default': 8192, 'description': 'Maximum number of tokens to generate', 'type': 'number'}, 'prompt': {'description': 'The text prompt to generate content from', 'type': 'string'}, 'temperature': {'default': 0.7, 'description': 'Sampling temperature (0-2)', 'maximum': 2, 'minimum': 0, 'type': 'number'}}, 'required': ['prompt'], 'type': 'object'}, description="""Generate text using Qwen Max model"""), # 66julienmartin/Qwen Max MCP Server/qwen_max
    Tool(name="""Weaviate MCP Server_mcp_fetch""", inputSchema={'properties': {'url': {'description': 'URL to fetch', 'type': 'string'}}, 'required': ['url'], 'type': 'object'}, description="""Fetches a website and returns its content"""), # kirill-markin/Weaviate MCP Server/mcp_fetch
    Tool(name="""Weaviate MCP Server_mood""", inputSchema={'properties': {'question': {'description': "Ask this MCP server about its mood! You can phrase your question in any way you like - 'How are you?', 'What's your mood?', or even 'Are you having a good day?'. The server will always respond with a cheerful message and a heart ", 'type': 'string'}}, 'required': ['question'], 'type': 'object'}, description="""Ask the server about its mood - it's always happy!"""), # kirill-markin/Weaviate MCP Server/mood
    Tool(name="""LumbreTravel MCP Server_delete_hotel""", inputSchema={'properties': {'id': {'description': 'ID del hotel a eliminar', 'type': 'string'}}, 'required': ['id'], 'type': 'object'}, description="""Eliminar un hotel en LumbreTravel."""), # lumile/LumbreTravel MCP Server/delete_hotel
    Tool(name="""LumbreTravel MCP Server_reactivate_hotel""", inputSchema={'properties': {'id': {'description': 'ID del hotel a reactivar', 'type': 'string'}}, 'required': ['id'], 'type': 'object'}, description="""Reactivar un hotel en LumbreTravel"""), # lumile/LumbreTravel MCP Server/reactivate_hotel
    Tool(name="""LumbreTravel MCP Server_get_hotel_by_name""", inputSchema={'properties': {'name': {'description': 'Nombre del hotel', 'type': 'string'}}, 'required': ['name'], 'type': 'object'}, description="""Buscar hoteles por su nombre, retorna la lista de hoteles encontrados."""), # lumile/LumbreTravel MCP Server/get_hotel_by_name
    Tool(name="""LumbreTravel MCP Server_get_program""", inputSchema={'properties': {'id': {'description': 'ID del programa', 'type': 'string'}}, 'required': ['id'], 'type': 'object'}, description="""Obtiene un programa de viajes de LumbreTravel por ID"""), # lumile/LumbreTravel MCP Server/get_program
    Tool(name="""LumbreTravel MCP Server_get_programs_by_name""", inputSchema={'properties': {'name': {'description': 'Nombre del programa', 'type': 'string'}}, 'required': ['name'], 'type': 'object'}, description="""Busca programas de viajes de LumbreTravel por nombre"""), # lumile/LumbreTravel MCP Server/get_programs_by_name
    Tool(name="""LumbreTravel MCP Server_get_programs_by_date_range""", inputSchema={'properties': {'endDate': {'description': 'Fecha de fin del programa (DD-MM-YYYY)', 'type': 'string'}, 'startDate': {'description': 'Fecha de inicio del programa (DD-MM-YYYY)', 'type': 'string'}}, 'type': 'object'}, description="""Obtiene programas de viajes de LumbreTravel por rango de fechas"""), # lumile/LumbreTravel MCP Server/get_programs_by_date_range
    Tool(name="""LumbreTravel MCP Server_daily_activities""", inputSchema={'properties': {'date': {'description': 'Fecha en la que buscar las actividades (DD-MM-YYYY)', 'type': 'string'}, 'hotelIdToFilter': {'description': 'ID del hotel a filtrar las actividades, si no se especifica se obtienen todas las actividades', 'type': 'string'}, 'leaderIdToFilter': {'description': 'ID del gua a filtrar las actividades, si no se especifica se obtienen todas las actividades', 'type': 'string'}, 'serviceIdToFilter': {'description': 'ID del servicio a filtrar las actividades, si no se especifica se obtienen todas las actividades', 'type': 'string'}, 'vehicleIdToFilter': {'description': 'ID del vehculo a filtrar las actividades, si no se especifica se obtienen todas las actividades', 'type': 'string'}}, 'required': ['date'], 'type': 'object'}, description="""Obtiene las actividades diarias en LumbreTravel.  Retorna un objeto JSON con un array de actividaes en la propiedad 'activities' con las actividades del da buscado.  En la propiedad 'monthlyTotals' se encuentra el total de actividades de cada da del mes"""), # lumile/LumbreTravel MCP Server/daily_activities
    Tool(name="""LumbreTravel MCP Server_season_summary""", inputSchema={'properties': {'endYear': {'description': 'Ao de fin de la temporada (YYYY)', 'type': 'string'}, 'startYear': {'description': 'Ao de inicio de la temporada (YYYY)', 'type': 'string'}}, 'required': ['startYear', 'endYear'], 'type': 'object'}, description="""Obtiene un resumen de pasajeros a lo largo de una temporada.  Retorna un objeto JSON que contiene un array por cada ao de la temporada.  En cada item del array la propiedad 'yearTotal' contiene el total de pasajeros del ao.  En la propiedad 'agencies' se encuentra un resumen por mes de los pasajeros del ao asociados a cada agencia.  Y en el array 'monthlyTotals' se encuentra el total de pasajeros de cada mes.  Esta tool es muy til para obtener el total de pasajeros de una temporada y ver como se distribuye por agencias.  Siempre que se quiera obtener informacin estadistica de pasajeros se debe usar esta tool.  Al ser una solucion para agencias de viaje los analisis estadsticos pueden ser muy tiles para tomar decisiones de negocio.  Se pueden usar estos datos para armar graficos e indicadores.  Ademas es normal que las fechas de analisis sean en el futuro."""), # lumile/LumbreTravel MCP Server/season_summary
    Tool(name="""LumbreTravel MCP Server_create_program""", inputSchema={'properties': {'agencyId': {'description': 'ID de la agencia a asociar con este programa', 'type': 'string'}, 'endDate': {'description': 'Fecha de fin del programa (DD-MM-YYYY), salvo que el usuario lo indique las fechas siempre deben ser en el futuro.  Y la fecha de fin debe ser mayor que la fecha de inicio', 'type': 'string'}, 'name': {'description': 'Nombre del programa', 'type': 'string'}, 'startDate': {'description': 'Fecha de inicio del programa (DD-MM-YYYY), salvo que el usuario lo indique las fechas siempre deben ser en el futuro', 'type': 'string'}}, 'required': ['name', 'startDate', 'endDate', 'agencyId'], 'type': 'object'}, description="""Crea un nuevo programa de viajes en LumbreTravel.  Antes de crear un nuevo programa se debe preguntar al si quiere que primero se busque el programa a ver si existe. Si no se especifica la fecha de inicio o fin del programa, no la asumas, pide al usuario que la especifique. Si no se especifica el ID de la agencia, pide al usuario que la especifique."""), # lumile/LumbreTravel MCP Server/create_program
    Tool(name="""LumbreTravel MCP Server_update_program""", inputSchema={'properties': {'agencyId': {'description': 'ID de la agencia a asociar con este programa', 'type': 'string'}, 'endDate': {'description': 'Fecha de fin del programa (DD-MM-YYYY), salvo que el usuario lo indique las fechas siempre deben ser en el futuro.  Y la fecha de fin debe ser mayor que la fecha de inicio', 'type': 'string'}, 'id': {'description': 'ID del programa', 'type': 'string'}, 'name': {'description': 'Nombre del programa', 'type': 'string'}, 'startDate': {'description': 'Fecha de inicio del programa (DD-MM-YYYY), salvo que el usuario lo indique las fechas siempre deben ser en el futuro', 'type': 'string'}}, 'required': ['id', 'name', 'startDate', 'endDate', 'agencyId'], 'type': 'object'}, description="""Actualiza un programa de viajes en LumbreTravel"""), # lumile/LumbreTravel MCP Server/update_program
    Tool(name="""LumbreTravel MCP Server_delete_program""", inputSchema={'properties': {'id': {'type': 'string'}}, 'required': ['id'], 'type': 'object'}, description="""Elimina un programa de viajes en LumbreTravel"""), # lumile/LumbreTravel MCP Server/delete_program
    Tool(name="""LumbreTravel MCP Server_reactivate_program""", inputSchema={'properties': {'id': {'type': 'string'}}, 'required': ['id'], 'type': 'object'}, description="""Reactiva un programa de viajes en LumbreTravel"""), # lumile/LumbreTravel MCP Server/reactivate_program
    Tool(name="""LumbreTravel MCP Server_list_agencies""", inputSchema={'properties': {}, 'type': 'object'}, description="""Obtiene todas las agencias disponibles para asociar a un programa de viajes en LumbreTravel"""), # lumile/LumbreTravel MCP Server/list_agencies
    Tool(name="""LumbreTravel MCP Server_list_services""", inputSchema={'properties': {}, 'type': 'object'}, description="""Obtiene todos los servicios disponibles para asociar a una actividad en un programa de viajes en LumbreTravel"""), # lumile/LumbreTravel MCP Server/list_services
    Tool(name="""LumbreTravel MCP Server_list_hotels""", inputSchema={'properties': {}, 'type': 'object'}, description="""Obtiene todos los hoteles disponibles para asociar a una actividad en un programa de viajes en LumbreTravel"""), # lumile/LumbreTravel MCP Server/list_hotels
    Tool(name="""LumbreTravel MCP Server_list_leaders""", inputSchema={'properties': {}, 'type': 'object'}, description="""Obtiene todos los guas disponibles para asociar a una actividad en un programa de viajes en LumbreTravel"""), # lumile/LumbreTravel MCP Server/list_leaders
    Tool(name="""LumbreTravel MCP Server_list_vehicles""", inputSchema={'properties': {}, 'type': 'object'}, description="""Obtiene todos los vehculos disponibles para asociar a una actividad en un programa de viajes en LumbreTravel"""), # lumile/LumbreTravel MCP Server/list_vehicles
    Tool(name="""LumbreTravel MCP Server_list_includes""", inputSchema={'properties': {}, 'type': 'object'}, description="""Obtiene todos los incluye o extras disponibles para asociar a una actividad en un programa de viajes en LumbreTravel"""), # lumile/LumbreTravel MCP Server/list_includes
    Tool(name="""LumbreTravel MCP Server_list_service_languages""", inputSchema={'properties': {}, 'type': 'object'}, description="""Obtiene todos los idiomas en los que se pueden prestar los servicios para asociar a una actividad en un programa de viajes en LumbreTravel.  Estos idiomas solo se pueden usar para asociar a un servicio.  Estos idiomas solo pueden ser asociados a un servicio"""), # lumile/LumbreTravel MCP Server/list_service_languages
    Tool(name="""LumbreTravel MCP Server_list_providers""", inputSchema={'properties': {}, 'type': 'object'}, description="""Obtiene todos los proveedores disponibles en LumbreTravel"""), # lumile/LumbreTravel MCP Server/list_providers
    Tool(name="""LumbreTravel MCP Server_get_passengers_by_fullname""", inputSchema={'properties': {'fullname': {'description': 'Nombre completo del pasajero', 'type': 'string'}}, 'required': ['fullname'], 'type': 'object'}, description="""Obtiene pasajeros por nombre completo en LumbreTravel"""), # lumile/LumbreTravel MCP Server/get_passengers_by_fullname
    Tool(name="""LumbreTravel MCP Server_get_passengers_by_email""", inputSchema={'properties': {'email': {'description': 'Email del pasajero', 'type': 'string'}}, 'required': ['email'], 'type': 'object'}, description="""Obtiene pasajeros por email en LumbreTravel"""), # lumile/LumbreTravel MCP Server/get_passengers_by_email
    Tool(name="""LumbreTravel MCP Server_reactivate_agency""", inputSchema={'properties': {'id': {'description': 'ID de la agencia a reactivar', 'type': 'string'}}, 'required': ['id'], 'type': 'object'}, description="""Reactivar una agencia en LumbreTravel"""), # lumile/LumbreTravel MCP Server/reactivate_agency
    Tool(name="""LumbreTravel MCP Server_create_passengers""", inputSchema={'properties': {'passengers': {'items': {'properties': {'birthdate': {'description': "Fecha de nacimiento del pasajero (DD-MM-YYYY), si no se especifica usa el valor 'No conocemos'", 'type': 'string'}, 'document': {'description': "Numero de documento, si no se especifica usa el valor 'No conocemos'", 'type': 'string'}, 'documenttype': {'description': 'Tipo de documento, opciones vlidas son DNI, Pasaporte, Licencia de Conducir o ID.  Si no se especifica el valor por defecto es ID.', 'type': 'string'}, 'email': {'description': "Email del pasajero, si no se especifica usa el valor 'No conocemos'", 'type': 'string'}, 'firstname': {'type': 'string'}, 'gender': {'description': 'Gnero del pasajero, puede ser male, female,non_binary, prefer_not_to_say, other.  Si no se especifica deducilo del nombre y apellido', 'type': 'string'}, 'language': {'description': "Idioma del pasajero de acuerdo a ISO 639-1.  Si no se especifica deducilo del nombre y apellido.  No intentes usar las tools 'list_service_languages' ni 'get_service_language_by_name' para obtener el idioma del pasajero.  El idioma del pasajero es simplemente un string en formato ISO 639-1.", 'type': 'string'}, 'lastname': {'type': 'string'}, 'nationality': {'description': 'Nacionalidad del pasajero de acuerdo a ISO 3166-1.  Si no se especifica deducilo del nombre y apellido', 'type': 'string'}, 'phone': {'description': "Telefono del pasajero, si no se especifica usa el valor 'No conocemos'", 'type': 'string'}}, 'required': ['firstname', 'lastname', 'birthdate', 'documenttype', 'document', 'gender', 'nationality', 'language', 'email', 'phone'], 'type': 'object'}, 'type': 'array'}}, 'required': ['passengers'], 'type': 'object'}, description="""Crea pasajeros en LumbreTravel, usa esta tool cuando el asistente recibe los datos de los pasajeros como parte del pedido del usuario"""), # lumile/LumbreTravel MCP Server/create_passengers
    Tool(name="""LumbreTravel MCP Server_update_passengers""", inputSchema={'properties': {'passengers': {'items': {'properties': {'birthdate': {'description': "Fecha de nacimiento del pasajero (DD-MM-YYYY), si no se especifica usa el valor 'No conocemos'", 'type': 'string'}, 'document': {'description': "Numero de documento, si no se especifica usa el valor 'No conocemos'", 'type': 'string'}, 'documenttype': {'description': 'Tipo de documento, opciones vlidas son DNI, Pasaporte, Licencia de Conducir o ID', 'type': 'string'}, 'email': {'description': "Email del pasajero, si no se especifica usa el valor 'No conocemos'", 'type': 'string'}, 'firstname': {'type': 'string'}, 'gender': {'description': 'Gnero del pasajero, puede ser male, female,non_binary, prefer_not_to_say, other.  Si no se especifica deducilo del nombre y apellido', 'type': 'string'}, 'language': {'description': "Idioma del pasajero de acuerdo a ISO 639-1.  Si no se especifica deducilo del nombre y apellido.  No intentes usar las tools 'list_service_languages' ni 'get_service_language_by_name' para obtener el idioma del pasajero.  El idioma del pasajero es simplemente un string en formato ISO 639-1.", 'type': 'string'}, 'lastname': {'type': 'string'}, 'nationality': {'description': 'Nacionalidad del pasajero de acuerdo a ISO 3166-1.  Si no se especifica deducilo del nombre y apellido', 'type': 'string'}, 'passengerId': {'type': 'string'}, 'phone': {'description': "Telefono del pasajero, si no se especifica usa el valor 'No conocemos'", 'type': 'string'}}, 'required': ['passengerId', 'firstname', 'lastname', 'birthdate', 'documenttype', 'document', 'gender', 'nationality', 'language', 'email', 'phone'], 'type': 'object'}, 'type': 'array'}}, 'required': ['passengers'], 'type': 'object'}, description="""Edita pasajeros en LumbreTravel teniendo en cuenta que se conoce el ID del pasajero.  Si el id no se conoce entonces se puede usar la tool get_passengers_by_fullname o get_passengers_by_email para obtener el id del pasajero.  Retorna el pasajero editado."""), # lumile/LumbreTravel MCP Server/update_passengers
    Tool(name="""LumbreTravel MCP Server_delete_passengers""", inputSchema={'properties': {'passengers': {'items': {'properties': {'id': {'description': 'ID del pasajero a eliminar', 'type': 'string'}}, 'required': ['id'], 'type': 'object'}, 'type': 'array'}}, 'required': ['passengers'], 'type': 'object'}, description="""Elimina pasajeros en LumbreTravel teniendo en cuenta que se conoce el ID del pasajero.  Si el id no se conoce entonces se puede usar la tool get_passengers_by_fullname o get_passengers_by_email para obtener el id del pasajero.  Retorna el pasajero eliminado."""), # lumile/LumbreTravel MCP Server/delete_passengers
    Tool(name="""LumbreTravel MCP Server_delete_passenger""", inputSchema={'properties': {'passengerId': {'type': 'string'}}, 'required': ['passengerId'], 'type': 'object'}, description="""Elimina un pasajero en LumbreTravel teniendo en cuenta que se conoce el ID del pasajero.  Si el id no se conoce entonces se puede usar la tool get_passengers_by_fullname o get_passengers_by_email para obtener el id del pasajero.  Retorna el pasajero eliminado."""), # lumile/LumbreTravel MCP Server/delete_passenger
    Tool(name="""LumbreTravel MCP Server_reactivate_passenger""", inputSchema={'properties': {'id': {'type': 'string'}}, 'required': ['id'], 'type': 'object'}, description="""Reactiva un pasajero en LumbreTravel teniendo en cuenta que se conoce el ID del pasajero.  Si el id no se conoce entonces se puede usar la tool get_passengers_by_fullname o get_passengers_by_email para obtener el id del pasajero.  Retorna el pasajero reactivado."""), # lumile/LumbreTravel MCP Server/reactivate_passenger
    Tool(name="""LumbreTravel MCP Server_add_passengers_to_program""", inputSchema={'properties': {'passengers': {'description': 'Lista de pasajeros', 'items': {'properties': {'id': {'type': 'string'}, 'name': {'type': 'string'}}, 'required': ['id', 'name'], 'type': 'object'}, 'type': 'array'}, 'programId': {'description': 'ID del programa', 'type': 'string'}}, 'required': ['programId', 'passengers'], 'type': 'object'}, description="""Agrega pasajeros a un programa en LumbreTravel.  Es importante que los pasajeros ya existan en LumbreTravel, si no existen se puede usar la tool create_passengers para crearlos.  O si existen se puede usar la tool get_passengers_by_fullname o get_passengers_by_email para obtener el id de cada pasajero."""), # lumile/LumbreTravel MCP Server/add_passengers_to_program
    Tool(name="""LumbreTravel MCP Server_get_agency_by_name""", inputSchema={'properties': {'name': {'description': 'Nombre de la agencia', 'type': 'string'}}, 'required': ['name'], 'type': 'object'}, description="""Obtener una agencia por nombre, retorna la agencia encontrada."""), # lumile/LumbreTravel MCP Server/get_agency_by_name
    Tool(name="""LumbreTravel MCP Server_create_hotel""", inputSchema={'properties': {'address': {'description': 'Direccin del hotel', 'type': 'string'}, 'description': {'description': 'Descripcin del hotel', 'type': 'string'}, 'email': {'description': 'Email del hotel', 'type': 'string'}, 'name': {'description': 'Nombre del hotel', 'type': 'string'}, 'phone': {'description': 'Telfono del hotel', 'type': 'string'}}, 'required': ['name', 'description', 'phone', 'email', 'address'], 'type': 'object'}, description="""Crear un hotel en LumbreTravel, retorna el hotel creado.  Antes de crear un nuevo hotel se debe preguntar al si quiere que primero se busque el hotel a ver si existe."""), # lumile/LumbreTravel MCP Server/create_hotel
    Tool(name="""LumbreTravel MCP Server_update_hotel""", inputSchema={'properties': {'address': {'description': 'Direccin del hotel', 'type': 'string'}, 'description': {'description': 'Descripcin del hotel', 'type': 'string'}, 'email': {'description': 'Email del hotel', 'type': 'string'}, 'id': {'description': 'ID del hotel a actualizar', 'type': 'string'}, 'name': {'description': 'Nombre del hotel', 'type': 'string'}, 'phone': {'description': 'Telfono del hotel', 'type': 'string'}}, 'required': ['id', 'name', 'description', 'phone', 'email', 'address'], 'type': 'object'}, description="""Actualizar un hotel en LumbreTravel, retorna el hotel actualizado."""), # lumile/LumbreTravel MCP Server/update_hotel
    Tool(name="""LumbreTravel MCP Server_add_activities""", inputSchema={'properties': {'activities': {'description': 'Lista de actividades a agregar', 'items': {'properties': {'code': {'description': 'Cdigo de la actividad, es de carga libre, se puede usar para identificar la actividad en el programa', 'type': 'string'}, 'date': {'description': 'Fecha de la actividad (DD-MM-YYYY), debe ser una fecha entre la fecha de inicio y fin del programa', 'type': 'string'}, 'hotel': {'description': 'Hotel a asociar a la actividad, es importante que el hotel ya exista en LumbreTravel, si no existe se puede usar la tool create_hotel para crearlo.  O si existe se puede usar la tool get_hotel_by_name para obtener el id del hotel.', 'properties': {'id': {'type': 'string'}, 'name': {'type': 'string'}}, 'required': ['id', 'name'], 'type': 'object'}, 'hour': {'description': 'Hora de la actividad (HH:mm)', 'type': 'string'}, 'includes': {'description': 'Lista de extras o includos a asociar a la actividad, es importante que los extras ya existan en LumbreTravel, si no existen se puede usar la tool create_include para crearlos.  O si existen se puede usar la tool get_include_by_name para obtener el id de cada extra.', 'items': {'properties': {'id': {'type': 'string'}, 'name': {'type': 'string'}}, 'type': 'object'}, 'type': 'array'}, 'itinerary': {'description': 'Itinerario de la actividad, es de carga libre, se puede usar para describir la actividad en el programa', 'type': 'string'}, 'leader': {'description': 'Gua a asociar a la actividad, es importante que el gua ya exista en LumbreTravel, si no existe se puede usar la tool create_leader para crearlo.  O si existe se puede usar la tool get_leader_by_name para obtener el id del gua.', 'properties': {'id': {'type': 'string'}, 'name': {'type': 'string'}}, 'required': ['id', 'name'], 'type': 'object'}, 'news': {'description': 'Noticias de la actividad, es de carga libre, se puede usar para describir noticias o novedades de la actividad en el programa', 'type': 'string'}, 'passengers': {'description': 'Lista de pasajeros a asociar a la actividad, es importante que los pasajeros ya existan en LumbreTravel, si no existen se puede usar la tool create_passengers para crearlos.  O si existen se puede usar la tool get_passengers_by_fullname o get_passengers_by_email para obtener el id de cada pasajero.', 'items': {'properties': {'id': {'type': 'string'}, 'name': {'type': 'string'}}, 'required': ['id', 'name'], 'type': 'object'}, 'type': 'array'}, 'primaryPassenger': {'description': 'ID del pasajero principal, si no se especifica se asume que el primer pasajero es el principal.  Siempre se debe especificar el pasajero principal.', 'type': 'string'}, 'service': {'description': 'Servicio a asociar a la actividad, es importante que el servicio ya exista en LumbreTravel, si no existe se puede usar la tool create_service para crearlo.  O si existe se puede usar la tool get_services_by_name para obtener el id del servicio.', 'properties': {'id': {'type': 'string'}, 'name': {'type': 'string'}}, 'required': ['id', 'name'], 'type': 'object'}, 'servicelanguage': {'description': 'Idioma en el que se va a prestar el servicio, si no se especifica se mantiene el idioma actual. Es importante que el idioma ya exista en LumbreTravel, si no existe se puede usar la tool create_service_language para crearlo.  O si existe se puede usar la tool get_service_language_by_name para obtener el id del idioma.  Este idioma solo se puede usar para asociar a un servicio.', 'properties': {'id': {'type': 'string'}, 'name': {'type': 'string'}}, 'required': ['id', 'name'], 'type': 'object'}, 'vehicle': {'description': 'Vehculo a asociar a la actividad, es importante que el vehculo ya exista en LumbreTravel, si no existe se puede usar la tool create_vehicle para crearlo.  O si existe se puede usar la tool get_vehicle_by_name para obtener el id del vehculo.', 'properties': {'id': {'type': 'string'}, 'name': {'type': 'string'}}, 'required': ['id', 'name'], 'type': 'object'}}, 'required': ['date', 'hour', 'primaryPassenger'], 'type': 'object'}, 'type': 'array'}, 'programId': {'description': 'ID del programa', 'type': 'string'}}, 'required': ['programId', 'activities'], 'type': 'object'}, description="""Crea actividades asociadas a un programa en LumbreTravel.  Es importante que los servicios, hoteles, guas, vehculos y extras ya existan en LumbreTravel, si no existen se puede usar las tools create_service, create_hotel, create_leader, create_vehicle y create_include para crearlos.  O si existen se puede usar las tools get_services_by_name, get_hotel_by_name, get_leader_by_name, get_vehicle_by_name y get_include_by_name para obtener el id de cada servicio, hotel, gua, vehculo y extra."""), # lumile/LumbreTravel MCP Server/add_activities
    Tool(name="""LumbreTravel MCP Server_update_activities""", inputSchema={'properties': {'activities': {'description': 'Lista de actividades a actualizar, es importante que las actividades ya existan en LumbreTravel, si no existen se puede usar la tool add_activities para crearlas.  O si existen se puede usar la tool get_program_by_name para obtener la lista de todas las actividades del programa.', 'items': {'properties': {'activityId': {'description': 'ID de la actividad a actualizar, es importante que la actividad ya exista en LumbreTravel, si no existe se puede usar la tool add_activities para crearla.  O si existe se puede usar la tool get_program_by_name para obtener la lista de todas las actividades del programa.', 'type': 'string'}, 'code': {'description': 'Cdigo de la actividad, es de carga libre, se puede usar para identificar la actividad en el programa', 'type': 'string'}, 'date': {'description': 'Fecha de la actividad (DD-MM-YYYY), debe ser una fecha entre la fecha de inicio y fin del programa', 'type': 'string'}, 'hotel': {'description': 'Hotel a asociar a la actividad, es importante que el hotel ya exista en LumbreTravel, si no existe se puede usar la tool create_hotel para crearlo.  O si existe se puede usar la tool get_hotel_by_name para obtener el id del hotel.', 'properties': {'id': {'type': 'string'}, 'name': {'type': 'string'}}, 'required': ['id', 'name'], 'type': 'object'}, 'hour': {'description': 'Hora de la actividad (HH:mm)', 'type': 'string'}, 'includes': {'description': 'Lista de extras o includos a asociar a la actividad, es importante que los extras ya existan en LumbreTravel, si no existen se puede usar la tool create_include para crearlos.  O si existen se puede usar la tool get_include_by_name para obtener el id de cada extra.', 'items': {'properties': {'id': {'type': 'string'}, 'name': {'type': 'string'}}, 'type': 'object'}, 'type': 'array'}, 'itinerary': {'description': 'Itinerario de la actividad, es de carga libre, se puede usar para describir la actividad en el programa', 'type': 'string'}, 'leader': {'description': 'Gua a asociar a la actividad, es importante que el gua ya exista en LumbreTravel, si no existe se puede usar la tool create_leader para crearlo.  O si existe se puede usar la tool get_leader_by_name para obtener el id del gua.', 'properties': {'id': {'type': 'string'}, 'name': {'type': 'string'}}, 'required': ['id', 'name'], 'type': 'object'}, 'news': {'description': 'Noticias de la actividad, es de carga libre, se puede usar para describir noticias o novedades de la actividad en el programa', 'type': 'string'}, 'passengers': {'description': 'Lista de pasajeros a asociar a la actividad, es importante que los pasajeros ya existan en LumbreTravel, si no existen se puede usar la tool create_passengers para crearlos.  O si existen se puede usar la tool get_passengers_by_fullname o get_passengers_by_email para obtener el id de cada pasajero.', 'items': {'properties': {'id': {'type': 'string'}, 'name': {'type': 'string'}}, 'required': ['id', 'name'], 'type': 'object'}, 'type': 'array'}, 'primaryPassenger': {'description': 'ID del pasajero principal, si no se especifica se mantiene el pasajero principal actual.  Siempre se debe especificar el pasajero principal.', 'type': 'string'}, 'service': {'description': 'Servicio a asociar a la actividad, es importante que el servicio ya exista en LumbreTravel, si no existe se puede usar la tool create_service para crearlo.  O si existe se puede usar la tool get_services_by_name para obtener el id del servicio.', 'properties': {'id': {'type': 'string'}, 'name': {'type': 'string'}}, 'required': ['id', 'name'], 'type': 'object'}, 'servicelanguage': {'description': 'Idioma en el que se va a prestar el servicio, si no se especifica se mantiene el idioma actual. Es importante que el idioma ya exista en LumbreTravel, si no existe se puede usar la tool create_service_language para crearlo.  O si existe se puede usar la tool get_service_language_by_name para obtener el id del idioma.', 'properties': {'id': {'type': 'string'}, 'name': {'type': 'string'}}, 'required': ['id', 'name'], 'type': 'object'}, 'vehicle': {'description': 'Vehculo a asociar a la actividad, es importante que el vehculo ya exista en LumbreTravel, si no existe se puede usar la tool create_vehicle para crearlo.  O si existe se puede usar la tool get_vehicle_by_name para obtener el id del vehculo.', 'properties': {'id': {'type': 'string'}, 'name': {'type': 'string'}}, 'required': ['id', 'name'], 'type': 'object'}}, 'required': ['date', 'hour', 'primaryPassenger'], 'type': 'object'}, 'type': 'array'}, 'programId': {'description': 'ID del programa', 'type': 'string'}}, 'required': ['programId', 'activities'], 'type': 'object'}, description="""Actualizar mltiples actividades asociadas a un programa"""), # lumile/LumbreTravel MCP Server/update_activities
    Tool(name="""LumbreTravel MCP Server_delete_activities""", inputSchema={'properties': {'activities': {'description': 'Lista de actividades a eliminar.  Para poder eliminar una actividad se debe especificar el ID de la actividad.  Se puede usar la tool get_program_by_name para obtener la lista de todas las actividades del programa.  Es importante avisarle al usuario que esta accin es irreversible y que se debe tener cuidado al eliminar actividades.', 'items': {'properties': {'activityId': {'description': 'ID de la actividad a eliminar', 'type': 'string'}}, 'required': ['activityId'], 'type': 'object'}, 'type': 'array'}, 'programId': {'description': 'ID del programa', 'type': 'string'}}, 'required': ['programId', 'activities'], 'type': 'object'}, description="""Eliminar mltiples actividades asociadas a un programa"""), # lumile/LumbreTravel MCP Server/delete_activities
    Tool(name="""LumbreTravel MCP Server_create_agency""", inputSchema={'properties': {'description': {'description': 'Descripcin de la agencia', 'type': 'string'}, 'name': {'description': 'Nombre de la agencia', 'type': 'string'}, 'provider': {'properties': {'id': {'description': 'ID del proveedor de la agencia.  Si el proveedor no tiene un ID de proveedor en LumbreTravel, se puede usar la tool create_provider para crear un proveedor y luego usar el ID de proveedor creado para crear la agencia.  Si el proveedor ya tiene un ID de proveedor en LumbreTravel, se puede usar el ID de proveedor para crear la agencia. Para buscar un proveedor por nombre se puede usar la tool get_provider_by_name.', 'type': 'string'}, 'name': {'description': 'Nombre del proveedor de la agencia', 'type': 'string'}}, 'type': 'object'}}, 'required': ['name', 'description', 'provider'], 'type': 'object'}, description="""Crear una agencia en LumbreTravel, retorna la agencia creada.  Antes de crear una nueva agencia se debe preguntar al si quiere que primero se busque la agencia a ver si existe.  La agencia creada se puede usar para asociarle programas en LumbreTravel.  Es importante que el proveedor de la agencia tenga un ID de proveedor en LumbreTravel.  Si el proveedor no tiene un ID de proveedor en LumbreTravel, se puede usar la tool create_provider para crear un proveedor y luego usar el ID de proveedor creado para crear la agencia.  Si el proveedor ya tiene un ID de proveedor en LumbreTravel, se puede usar el ID de proveedor para crear la agencia. Para buscar un proveedor por nombre se puede usar la tool get_provider_by_name."""), # lumile/LumbreTravel MCP Server/create_agency
    Tool(name="""LumbreTravel MCP Server_update_agency""", inputSchema={'properties': {'description': {'description': 'Descripcin de la agencia', 'type': 'string'}, 'id': {'description': 'ID de la agencia a actualizar, es importante que la agencia ya exista en LumbreTravel, si no existe se puede usar la tool create_agency para crearla.  O si existe se puede usar la tool get_agency_by_name para obtener el id de la agencia.', 'type': 'string'}, 'name': {'description': 'Nombre de la agencia', 'type': 'string'}, 'provider': {'properties': {'id': {'description': 'ID del proveedor de la agencia.  Si el proveedor no tiene un ID de proveedor en LumbreTravel, se puede usar la tool create_provider para crear un proveedor y luego usar el ID de proveedor creado para crear la agencia.  Si el proveedor ya tiene un ID de proveedor en LumbreTravel, se puede usar el ID de proveedor para crear la agencia. Para buscar un proveedor por nombre se puede usar la tool get_provider_by_name.', 'type': 'string'}, 'name': {'description': 'Nombre del proveedor de la agencia', 'type': 'string'}}, 'type': 'object'}}, 'required': ['id', 'name', 'description', 'provider'], 'type': 'object'}, description="""Actualizar una agencia en LumbreTravel, retorna la agencia actualizada.  La agencia actualizada se puede usar para asociarle programas en LumbreTravel.  Es importante que el proveedor de la agencia tenga un ID de proveedor en LumbreTravel.  Si el proveedor no tiene un ID de proveedor en LumbreTravel, se puede usar la tool create_provider para crear un proveedor y luego usar el ID de proveedor creado para crear la agencia.  Si el proveedor ya tiene un ID de proveedor en LumbreTravel, se puede usar el ID de proveedor para crear la agencia. Para buscar un proveedor por nombre se puede usar la tool get_provider_by_name."""), # lumile/LumbreTravel MCP Server/update_agency
    Tool(name="""LumbreTravel MCP Server_delete_agency""", inputSchema={'properties': {'id': {'description': 'ID de la agencia a eliminar', 'type': 'string'}}, 'required': ['id'], 'type': 'object'}, description="""Eliminar una agencia en LumbreTravel.  La agencia eliminada no se puede usar para asociarle programas en LumbreTravel."""), # lumile/LumbreTravel MCP Server/delete_agency
    Tool(name="""LumbreTravel MCP Server_create_leader""", inputSchema={'properties': {'description': {'description': 'Descripcin del gua', 'type': 'string'}, 'email': {'description': 'Email del gua', 'type': 'string'}, 'language': {'description': "Idioma del gua de acuerdo a ISO 639-1.  No intentes usar 'list_service_languages' ni 'get_service_language_by_name' para obtener el idioma del gua.", 'type': 'string'}, 'name': {'description': 'Nombre del gua', 'type': 'string'}, 'phone': {'description': 'Telfono del gua', 'type': 'string'}}, 'required': ['name'], 'type': 'object'}, description="""Crear un gua en LumbreTravel.  Antes de crear un nuevo gua se debe preguntar al si quiere que primero se busque el gua a ver si existe."""), # lumile/LumbreTravel MCP Server/create_leader
    Tool(name="""LumbreTravel MCP Server_update_leader""", inputSchema={'properties': {'description': {'description': 'Descripcin del gua', 'type': 'string'}, 'email': {'description': 'Email del gua', 'type': 'string'}, 'id': {'description': 'ID del gua a actualizar', 'type': 'string'}, 'language': {'description': "Idioma del gua de acuerdo a ISO 639-1.  NO intentes usar 'list_service_languages' ni 'get_service_language_by_name' para obtener el idioma del gua.", 'type': 'string'}, 'name': {'description': 'Nombre del gua', 'type': 'string'}, 'phone': {'description': 'Telfono del gua', 'type': 'string'}}, 'required': ['id', 'name', 'description', 'phone', 'email', 'language'], 'type': 'object'}, description="""Actualizar un gua en LumbreTravel, retorna el gua actualizado.  Es importante que el gua ya exista en LumbreTravel, si no existe se puede usar la tool create_leader para crearlo.  O si existe se puede usar la tool get_leader_by_name para obtener el id del gua."""), # lumile/LumbreTravel MCP Server/update_leader
    Tool(name="""LumbreTravel MCP Server_delete_leader""", inputSchema={'properties': {'id': {'description': 'ID del gua a eliminar', 'type': 'string'}}, 'required': ['id'], 'type': 'object'}, description="""Eliminar un gua en LumbreTravel"""), # lumile/LumbreTravel MCP Server/delete_leader
    Tool(name="""LumbreTravel MCP Server_reactivate_leader""", inputSchema={'properties': {'id': {'description': 'ID del gua a reactivar', 'type': 'string'}}, 'required': ['id'], 'type': 'object'}, description="""Reactivar un gua en LumbreTravel"""), # lumile/LumbreTravel MCP Server/reactivate_leader
    Tool(name="""LumbreTravel MCP Server_get_leader_by_name""", inputSchema={'properties': {'name': {'description': 'Nombre del gua', 'type': 'string'}}, 'required': ['name'], 'type': 'object'}, description="""Buscar guas por su nombre, retorna la lista de guas encontrados."""), # lumile/LumbreTravel MCP Server/get_leader_by_name
    Tool(name="""LumbreTravel MCP Server_create_vehicle""", inputSchema={'properties': {'brand': {'description': 'Marca del vehculo', 'type': 'string'}, 'capacity': {'description': 'Capacidad del vehculo', 'type': 'number'}, 'description': {'description': 'Descripcin del vehculo', 'type': 'string'}, 'model': {'description': 'Modelo del vehculo', 'type': 'string'}, 'name': {'description': 'Nombre del vehculo', 'type': 'string'}, 'provider': {'properties': {'id': {'description': 'ID del proveedor del vehculo.  Si el proveedor no tiene un ID de proveedor en LumbreTravel, se puede usar la tool create_provider para crear un proveedor y luego usar el ID de proveedor creado para crear el vehculo.  Si el proveedor ya tiene un ID de proveedor en LumbreTravel, se puede usar el ID de proveedor para crear el vehculo. Para buscar un proveedor por nombre se puede usar la tool get_provider_by_name.', 'type': 'string'}, 'name': {'description': 'Nombre del proveedor del vehculo', 'type': 'string'}}, 'type': 'object'}}, 'required': ['name', 'description', 'provider'], 'type': 'object'}, description="""Crear un vehculo en LumbreTravel.  Antes de crear un nuevo vehculo se debe preguntar al si quiere que primero se busque el vehculo a ver si existe."""), # lumile/LumbreTravel MCP Server/create_vehicle
    Tool(name="""LumbreTravel MCP Server_update_vehicle""", inputSchema={'properties': {'brand': {'description': 'Marca del vehculo', 'type': 'string'}, 'capacity': {'description': 'Capacidad del vehculo', 'type': 'number'}, 'description': {'description': 'Descripcin del vehculo', 'type': 'string'}, 'id': {'description': 'ID del vehculo a actualizar', 'type': 'string'}, 'model': {'description': 'Modelo del vehculo', 'type': 'string'}, 'name': {'description': 'Nombre del vehculo', 'type': 'string'}, 'provider': {'properties': {'id': {'description': 'ID del proveedor del vehculo.  Si el proveedor no tiene un ID de proveedor en LumbreTravel, se puede usar la tool create_provider para crear un proveedor y luego usar el ID de proveedor creado para crear el vehculo.  Si el proveedor ya tiene un ID de proveedor en LumbreTravel, se puede usar el ID de proveedor para crear el vehculo. Para buscar un proveedor por nombre se puede usar la tool get_provider_by_name.', 'type': 'string'}, 'name': {'description': 'Nombre del proveedor del vehculo', 'type': 'string'}}, 'type': 'object'}}, 'required': ['id', 'name', 'description', 'brand', 'model', 'capacity', 'provider'], 'type': 'object'}, description="""Actualizar un vehculo en LumbreTravel, retorna el vehculo actualizado.  Es importante que el vehculo ya exista en LumbreTravel, si no existe se puede usar la tool create_vehicle para crearlo.  O si existe se puede usar la tool get_vehicle_by_name para obtener el id del vehculo."""), # lumile/LumbreTravel MCP Server/update_vehicle
    Tool(name="""LumbreTravel MCP Server_delete_vehicle""", inputSchema={'properties': {'id': {'description': 'ID del vehculo a eliminar', 'type': 'string'}}, 'required': ['id'], 'type': 'object'}, description="""Eliminar un vehculo en LumbreTravel"""), # lumile/LumbreTravel MCP Server/delete_vehicle
    Tool(name="""LumbreTravel MCP Server_reactivate_vehicle""", inputSchema={'properties': {'id': {'description': 'ID del vehculo a reactivar', 'type': 'string'}}, 'required': ['id'], 'type': 'object'}, description="""Reactivar un vehculo en LumbreTravel"""), # lumile/LumbreTravel MCP Server/reactivate_vehicle
    Tool(name="""LumbreTravel MCP Server_get_vehicle_by_name""", inputSchema={'properties': {'name': {'description': 'Nombre del vehculo', 'type': 'string'}}, 'required': ['name'], 'type': 'object'}, description="""Buscar vehculos por su nombre, retorna la lista de vehculos encontrados."""), # lumile/LumbreTravel MCP Server/get_vehicle_by_name
    Tool(name="""LumbreTravel MCP Server_create_include""", inputSchema={'properties': {'description': {'description': 'Descripcin', 'type': 'string'}, 'name': {'description': 'Nombre', 'type': 'string'}}, 'required': ['name', 'description'], 'type': 'object'}, description="""Crear un extra o includo en LumbreTravel.  Antes de crear un nuevo extra o includo se debe preguntar al si quiere que primero se busque el extra o includo a ver si existe."""), # lumile/LumbreTravel MCP Server/create_include
    Tool(name="""LumbreTravel MCP Server_update_include""", inputSchema={'properties': {'description': {'description': 'Descripcin', 'type': 'string'}, 'id': {'description': 'ID del include a actualizar', 'type': 'string'}, 'name': {'description': 'Nombre', 'type': 'string'}}, 'required': ['id', 'name', 'description'], 'type': 'object'}, description="""Actualizar un extra o includo en LumbreTravel, retorna el extra o includo actualizado.  Es importante que el extra o includo ya exista en LumbreTravel, si no existe se puede usar la tool create_include para crearlo.  O si existe se puede usar la tool get_include_by_name para obtener el id del extra o includo."""), # lumile/LumbreTravel MCP Server/update_include
    Tool(name="""LumbreTravel MCP Server_delete_include""", inputSchema={'properties': {'id': {'description': 'ID del include a eliminar', 'type': 'string'}}, 'required': ['id'], 'type': 'object'}, description="""Eliminar un extra o includo en LumbreTravel"""), # lumile/LumbreTravel MCP Server/delete_include
    Tool(name="""LumbreTravel MCP Server_reactivate_include""", inputSchema={'properties': {'id': {'description': 'ID del include a reactivar', 'type': 'string'}}, 'required': ['id'], 'type': 'object'}, description="""Reactivar un extra o includo en LumbreTravel"""), # lumile/LumbreTravel MCP Server/reactivate_include
    Tool(name="""LumbreTravel MCP Server_get_includes_by_name""", inputSchema={'properties': {'name': {'description': 'Nombre del include', 'type': 'string'}}, 'required': ['name'], 'type': 'object'}, description="""Buscar extras o includos por su nombre, retorna la lista de extras o includos encontrados."""), # lumile/LumbreTravel MCP Server/get_includes_by_name
    Tool(name="""LumbreTravel MCP Server_create_service_language""", inputSchema={'properties': {'name': {'description': 'Nombre del idioma de servicio', 'type': 'string'}}, 'required': ['name'], 'type': 'object'}, description="""Crear un idioma de servicio en LumbreTravel.  Antes de crear un nuevo idioma de servicio se debe preguntar al si quiere que primero se busque el idioma de servicio a ver si existe.  Este idioma solo se puede usar para asociar a un servicio."""), # lumile/LumbreTravel MCP Server/create_service_language
    Tool(name="""LumbreTravel MCP Server_update_service_language""", inputSchema={'properties': {'id': {'description': 'ID del idioma de servicio a actualizar', 'type': 'string'}, 'name': {'description': 'Nombre del idioma de servicio', 'type': 'string'}}, 'required': ['id', 'name'], 'type': 'object'}, description="""Actualizar un idioma de servicio en LumbreTravel, retorna el idioma de servicio actualizado.  Es importante que el idioma de servicio ya exista en LumbreTravel, si no existe se puede usar la tool create_service_language para crearlo.  O si existe se puede usar la tool get_service_language_by_name para obtener el id del idioma de servicio.  Este idioma solo se puede usar para asociar a un servicio."""), # lumile/LumbreTravel MCP Server/update_service_language
    Tool(name="""LumbreTravel MCP Server_delete_service_language""", inputSchema={'properties': {'id': {'description': 'ID del idioma de servicio a eliminar', 'type': 'string'}}, 'required': ['id'], 'type': 'object'}, description="""Eliminar un idioma de servicio en LumbreTravel"""), # lumile/LumbreTravel MCP Server/delete_service_language
    Tool(name="""LumbreTravel MCP Server_reactivate_service_language""", inputSchema={'properties': {'id': {'description': 'ID del idioma de servicio a reactivar', 'type': 'string'}}, 'required': ['id'], 'type': 'object'}, description="""Reactivar un idioma de servicio en LumbreTravel"""), # lumile/LumbreTravel MCP Server/reactivate_service_language
    Tool(name="""LumbreTravel MCP Server_get_service_language_by_name""", inputSchema={'properties': {'name': {'description': 'Nombre del idioma de servicio', 'type': 'string'}}, 'required': ['name'], 'type': 'object'}, description="""Buscar idiomas de servicio por su nombre, retorna la lista de idiomas de servicio encontrados."""), # lumile/LumbreTravel MCP Server/get_service_language_by_name
    Tool(name="""LumbreTravel MCP Server_create_provider""", inputSchema={'properties': {'description': {'description': 'Descripcin del proveedor', 'type': 'string'}, 'email': {'description': 'Email del proveedor, si no tiene email se puede dejar en blanco', 'type': 'string'}, 'name': {'description': 'Nombre del proveedor', 'type': 'string'}, 'phone': {'description': 'Telfono del proveedor, si no tiene telfono se puede dejar en blanco', 'type': 'string'}}, 'required': ['name', 'description'], 'type': 'object'}, description="""Crear un proveedor en LumbreTravel.  Antes de crear un nuevo proveedor se debe preguntar al si quiere que primero se busque el proveedor a ver si existe."""), # lumile/LumbreTravel MCP Server/create_provider
    Tool(name="""LumbreTravel MCP Server_update_provider""", inputSchema={'properties': {'description': {'description': 'Descripcin del proveedor', 'type': 'string'}, 'email': {'description': 'Email del proveedor, si no tiene email se puede dejar en blanco', 'type': 'string'}, 'id': {'description': 'ID del proveedor a actualizar', 'type': 'string'}, 'name': {'description': 'Nombre del proveedor', 'type': 'string'}, 'phone': {'description': 'Telfono del proveedor, si no tiene telfono se puede dejar en blanco', 'type': 'string'}}, 'required': ['id', 'name', 'description'], 'type': 'object'}, description="""Actualizar un proveedor en LumbreTravel, retorna el proveedor actualizado.  Es importante que el proveedor ya exista en LumbreTravel, si no existe se puede usar la tool create_provider para crearlo.  O si existe se puede usar la tool get_provider_by_name para obtener el id del proveedor."""), # lumile/LumbreTravel MCP Server/update_provider
    Tool(name="""LumbreTravel MCP Server_delete_provider""", inputSchema={'properties': {'id': {'description': 'ID del proveedor a eliminar', 'type': 'string'}}, 'required': ['id'], 'type': 'object'}, description="""Eliminar un proveedor en LumbreTravel"""), # lumile/LumbreTravel MCP Server/delete_provider
    Tool(name="""LumbreTravel MCP Server_reactivate_provider""", inputSchema={'properties': {'id': {'description': 'ID del proveedor a reactivar', 'type': 'string'}}, 'required': ['id'], 'type': 'object'}, description="""Reactivar un proveedor en LumbreTravel"""), # lumile/LumbreTravel MCP Server/reactivate_provider
    Tool(name="""LumbreTravel MCP Server_get_provider_by_name""", inputSchema={'properties': {'name': {'description': 'Nombre del proveedor', 'type': 'string'}}, 'required': ['name'], 'type': 'object'}, description="""Buscar proveedores por su nombre, retorna la lista de proveedores encontrados."""), # lumile/LumbreTravel MCP Server/get_provider_by_name
    Tool(name="""LumbreTravel MCP Server_create_service""", inputSchema={'properties': {'description': {'description': 'Descripcin del servicio', 'type': 'string'}, 'name': {'description': 'Nombre del servicio', 'type': 'string'}, 'provider': {'properties': {'id': {'description': 'ID del proveedor.  El proveedor debe existir en LumbreTravel.  Si el proveedor no existe se puede usar la tool create_provider para crearlo.  O si existe se puede usar la tool get_provider_by_name para obtener el id del proveedor.', 'type': 'string'}, 'name': {'description': 'Nombre del proveedor', 'type': 'string'}}, 'type': 'object'}}, 'required': ['name', 'description', 'provider'], 'type': 'object'}, description="""Crear un servicio en LumbreTravel.  Antes de crear un nuevo servicio se debe preguntar al si quiere que primero se busque el servicio a ver si existe."""), # lumile/LumbreTravel MCP Server/create_service
    Tool(name="""LumbreTravel MCP Server_update_service""", inputSchema={'properties': {'description': {'description': 'Descripcin del servicio', 'type': 'string'}, 'id': {'description': 'ID del servicio a actualizar', 'type': 'string'}, 'name': {'description': 'Nombre del servicio', 'type': 'string'}, 'provider': {'properties': {'id': {'description': 'ID del proveedor.  El proveedor debe existir en LumbreTravel.  Si el proveedor no existe se puede usar la tool create_provider para crearlo.  O si existe se puede usar la tool get_provider_by_name para obtener el id del proveedor.', 'type': 'string'}, 'name': {'description': 'Nombre del proveedor', 'type': 'string'}}, 'type': 'object'}}, 'required': ['id', 'name', 'description', 'provider'], 'type': 'object'}, description="""Actualizar un servicio en LumbreTravel, retorna el servicio actualizado.  Es importante que el servicio ya exista en LumbreTravel, si no existe se puede usar la tool create_service para crearlo.  O si existe se puede usar la tool get_services_by_name para obtener el id del servicio."""), # lumile/LumbreTravel MCP Server/update_service
    Tool(name="""LumbreTravel MCP Server_delete_service""", inputSchema={'properties': {'id': {'description': 'ID del servicio a eliminar', 'type': 'string'}}, 'required': ['id'], 'type': 'object'}, description="""Eliminar un servicio en LumbreTravel"""), # lumile/LumbreTravel MCP Server/delete_service
    Tool(name="""LumbreTravel MCP Server_reactivate_service""", inputSchema={'properties': {'id': {'description': 'ID del servicio a reactivar', 'type': 'string'}}, 'required': ['id'], 'type': 'object'}, description="""Reactivar un servicio en LumbreTravel"""), # lumile/LumbreTravel MCP Server/reactivate_service
    Tool(name="""LumbreTravel MCP Server_get_services_by_name""", inputSchema={'properties': {'name': {'description': 'Nombre del servicio', 'type': 'string'}}, 'required': ['name'], 'type': 'object'}, description="""Buscar servicios por su nombre, retorna la lista de servicios encontrados."""), # lumile/LumbreTravel MCP Server/get_services_by_name
    Tool(name="""Image Generation MCP Server_generate-image""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'aspect_ratio': {'enum': ['1:1', '4:3', '16:9'], 'type': 'string'}, 'filename': {'description': 'Base filename to save the image(s) with', 'type': 'string'}, 'go_fast': {'type': 'boolean'}, 'megapixels': {'enum': ['1', '2', '4'], 'type': 'string'}, 'num_inference_steps': {'maximum': 20, 'minimum': 4, 'type': 'number'}, 'num_outputs': {'maximum': 4, 'minimum': 1, 'type': 'number'}, 'output_dir': {'description': "Full absolute path to output directory. For Windows, use double backslashes like 'C:\\\\Users\\\\name\\\\path'. For Unix/Mac use '/path/to/dir'. Always use the proper path otherwise you will get an error.", 'type': 'string'}, 'output_format': {'enum': ['webp', 'png', 'jpeg'], 'type': 'string'}, 'output_quality': {'maximum': 100, 'minimum': 1, 'type': 'number'}, 'prompt': {'type': 'string'}}, 'required': ['prompt', 'output_dir'], 'type': 'object'}, description="""Generate an image based on a prompt"""), # mikeyny/Image Generation MCP Server/generate-image
    Tool(name="""Knowledge Graph Memory Server_create_entities""", inputSchema={'properties': {'entities': {'items': {'properties': {'entityType': {'description': 'The type of the entity', 'type': 'string'}, 'name': {'description': 'The name of the entity', 'type': 'string'}, 'observations': {'description': 'An array of observation contents associated with the entity', 'items': {'type': 'string'}, 'type': 'array'}, 'subdomain': {'description': "The loglass subdomain this knowledge belongs to (e.g., 'allocation', 'report', 'accounts', 'plans', 'actual' etc.). Can be omitted if the knowledge spans multiple domains.", 'type': 'string'}}, 'required': ['name', 'entityType', 'observations'], 'type': 'object'}, 'type': 'array'}}, 'required': ['entities'], 'type': 'object'}, description="""Create multiple new entities in the knowledge graph"""), # yodakeisuke/Knowledge Graph Memory Server/create_entities
    Tool(name="""Knowledge Graph Memory Server_create_relations""", inputSchema={'properties': {'relations': {'items': {'properties': {'from': {'description': 'The name of the entity where the relation starts', 'type': 'string'}, 'relationType': {'description': 'The type of the relation', 'type': 'string'}, 'to': {'description': 'The name of the entity where the relation ends', 'type': 'string'}}, 'required': ['from', 'to', 'relationType'], 'type': 'object'}, 'type': 'array'}}, 'required': ['relations'], 'type': 'object'}, description="""Create multiple new relations between entities in the knowledge graph. Relations should be in active voice"""), # yodakeisuke/Knowledge Graph Memory Server/create_relations
    Tool(name="""Knowledge Graph Memory Server_add_observations""", inputSchema={'properties': {'observations': {'items': {'properties': {'contents': {'description': 'An array of observation contents to add', 'items': {'type': 'string'}, 'type': 'array'}, 'entityName': {'description': 'The name of the entity to add the observations to', 'type': 'string'}}, 'required': ['entityName', 'contents'], 'type': 'object'}, 'type': 'array'}}, 'required': ['observations'], 'type': 'object'}, description="""Add new observations to existing entities in the knowledge graph"""), # yodakeisuke/Knowledge Graph Memory Server/add_observations
    Tool(name="""Knowledge Graph Memory Server_delete_entities""", inputSchema={'properties': {'entityNames': {'description': 'An array of entity names to delete', 'items': {'type': 'string'}, 'type': 'array'}}, 'required': ['entityNames'], 'type': 'object'}, description="""Delete multiple entities and their associated relations from the knowledge graph"""), # yodakeisuke/Knowledge Graph Memory Server/delete_entities
    Tool(name="""Knowledge Graph Memory Server_delete_observations""", inputSchema={'properties': {'deletions': {'items': {'properties': {'entityName': {'description': 'The name of the entity containing the observations', 'type': 'string'}, 'observations': {'description': 'An array of observations to delete', 'items': {'type': 'string'}, 'type': 'array'}}, 'required': ['entityName', 'observations'], 'type': 'object'}, 'type': 'array'}}, 'required': ['deletions'], 'type': 'object'}, description="""Delete specific observations from entities in the knowledge graph"""), # yodakeisuke/Knowledge Graph Memory Server/delete_observations
    Tool(name="""Knowledge Graph Memory Server_delete_relations""", inputSchema={'properties': {'relations': {'description': 'An array of relations to delete', 'items': {'properties': {'from': {'description': 'The name of the entity where the relation starts', 'type': 'string'}, 'relationType': {'description': 'The type of the relation', 'type': 'string'}, 'to': {'description': 'The name of the entity where the relation ends', 'type': 'string'}}, 'required': ['from', 'to', 'relationType'], 'type': 'object'}, 'type': 'array'}}, 'required': ['relations'], 'type': 'object'}, description="""Delete multiple relations from the knowledge graph"""), # yodakeisuke/Knowledge Graph Memory Server/delete_relations
    Tool(name="""Knowledge Graph Memory Server_read_graph""", inputSchema={'properties': {}, 'type': 'object'}, description="""Read the entire knowledge graph"""), # yodakeisuke/Knowledge Graph Memory Server/read_graph
    Tool(name="""Knowledge Graph Memory Server_search_nodes""", inputSchema={'properties': {'query': {'description': "Space-separated keywords to match against entity fields. Any keyword must match (OR condition). Example: 'budget management' will find entities where either 'budget' or 'management' appears in any field.", 'type': 'string'}}, 'required': ['query'], 'type': 'object'}, description="""Search for nodes in the knowledge graph based on one or more keywords. The search covers entity names, types, subdomains, and observation content. Multiple keywords are treated as OR conditions, where any keyword must match somewhere in the entity's fields."""), # yodakeisuke/Knowledge Graph Memory Server/search_nodes
    Tool(name="""Knowledge Graph Memory Server_open_nodes""", inputSchema={'properties': {'names': {'description': 'An array of entity names to retrieve, returning full entity information including subdomain', 'items': {'type': 'string'}, 'type': 'array'}}, 'required': ['names'], 'type': 'object'}, description="""Open specific nodes in the knowledge graph by their names. Returns the complete node information including subdomain and all metadata."""), # yodakeisuke/Knowledge Graph Memory Server/open_nodes
    Tool(name="""Unconventional-thinking MCP server_generate_unreasonable_thought""", inputSchema={'properties': {'forceRebellion': {'description': 'Force the thought to rebel against conventional wisdom', 'type': 'boolean'}, 'previousThoughtId': {'description': 'Optional ID of a previous thought to build upon or rebel against', 'type': 'string'}, 'problem': {'description': 'The problem or challenge to think unreasonably about', 'type': 'string'}}, 'required': ['problem'], 'type': 'object'}, description="""Generate a new unreasonable thought that challenges conventional thinking"""), # stagsz/Unconventional-thinking MCP server/generate_unreasonable_thought
    Tool(name="""Unconventional-thinking MCP server_branch_thought""", inputSchema={'properties': {'direction': {'description': "Direction for the new branch (e.g. 'more_extreme', 'opposite', 'tangential')", 'type': 'string'}, 'thoughtId': {'description': 'ID of the thought to branch from', 'type': 'string'}}, 'required': ['thoughtId', 'direction'], 'type': 'object'}, description="""Create a new branch of thinking from an existing thought"""), # stagsz/Unconventional-thinking MCP server/branch_thought
    Tool(name="""Unconventional-thinking MCP server_list_thoughts""", inputSchema={'properties': {'branchId': {'description': 'Optional branch ID to filter thoughts', 'type': 'string'}}, 'type': 'object'}, description="""List all thoughts in the current thinking session"""), # stagsz/Unconventional-thinking MCP server/list_thoughts
    Tool(name="""Kibela MCP Server_kibela_search_notes""", inputSchema={'properties': {'query': {'description': 'Search query', 'type': 'string'}}, 'required': ['query'], 'type': 'object'}, description="""Search Kibela notes with given query"""), # kiwamizamurai/Kibela MCP Server/kibela_search_notes
    Tool(name="""Kibela MCP Server_kibela_get_my_notes""", inputSchema={'properties': {'limit': {'default': 15, 'description': 'Number of notes to fetch (max 50)', 'type': 'number'}}, 'type': 'object'}, description="""Get your latest notes from Kibela"""), # kiwamizamurai/Kibela MCP Server/kibela_get_my_notes
    Tool(name="""Kibela MCP Server_kibela_get_note_content""", inputSchema={'properties': {'id': {'description': 'Note ID', 'type': 'string'}}, 'required': ['id'], 'type': 'object'}, description="""Get content and comments of a specific note"""), # kiwamizamurai/Kibela MCP Server/kibela_get_note_content
    Tool(name="""Twitch MCP Server_get_clips""", inputSchema={'properties': {'channelName': {'description': 'Twitch', 'type': 'string'}, 'limit': {'description': '(: 20)', 'maximum': 100, 'minimum': 1, 'type': 'number'}}, 'required': ['channelName'], 'type': 'object'}, description=""""""), # mtane0412/Twitch MCP Server/get_clips
    Tool(name="""Twitch MCP Server_get_chat_settings""", inputSchema={'properties': {'channelName': {'description': 'Twitch', 'type': 'string'}}, 'required': ['channelName'], 'type': 'object'}, description=""""""), # mtane0412/Twitch MCP Server/get_chat_settings
    Tool(name="""Twitch MCP Server_get_videos""", inputSchema={'properties': {'channelName': {'description': 'Twitch', 'type': 'string'}, 'limit': {'description': '(: 20)', 'maximum': 100, 'minimum': 1, 'type': 'number'}}, 'required': ['channelName'], 'type': 'object'}, description=""""""), # mtane0412/Twitch MCP Server/get_videos
    Tool(name="""Twitch MCP Server_get_global_emotes""", inputSchema={'properties': {}, 'type': 'object'}, description=""""""), # mtane0412/Twitch MCP Server/get_global_emotes
    Tool(name="""Twitch MCP Server_get_global_badges""", inputSchema={'properties': {}, 'type': 'object'}, description=""""""), # mtane0412/Twitch MCP Server/get_global_badges
    Tool(name="""Twitch MCP Server_get_users""", inputSchema={'properties': {'userNames': {'description': 'Twitch', 'items': {'type': 'string'}, 'maxItems': 100, 'type': 'array'}}, 'required': ['userNames'], 'type': 'object'}, description=""""""), # mtane0412/Twitch MCP Server/get_users
    Tool(name="""Twitch MCP Server_get_video_comments""", inputSchema={'properties': {'cursor': {'description': '', 'type': 'string'}, 'limit': {'description': '(: 20)', 'maximum': 100, 'minimum': 1, 'type': 'number'}, 'videoId': {'description': 'ID', 'type': 'string'}}, 'required': ['videoId'], 'type': 'object'}, description=""""""), # mtane0412/Twitch MCP Server/get_video_comments
    Tool(name="""Twitch MCP Server_get_game""", inputSchema={'properties': {'name': {'description': '', 'type': 'string'}}, 'required': ['name'], 'type': 'object'}, description=""""""), # mtane0412/Twitch MCP Server/get_game
    Tool(name="""Twitch MCP Server_get_top_games""", inputSchema={'properties': {'limit': {'description': '(: 20)', 'maximum': 100, 'minimum': 1, 'type': 'number'}}, 'type': 'object'}, description=""""""), # mtane0412/Twitch MCP Server/get_top_games
    Tool(name="""Twitch MCP Server_get_channel_info""", inputSchema={'properties': {'channelName': {'description': 'Twitch', 'type': 'string'}}, 'required': ['channelName'], 'type': 'object'}, description=""""""), # mtane0412/Twitch MCP Server/get_channel_info
    Tool(name="""Twitch MCP Server_get_stream_info""", inputSchema={'properties': {'channelName': {'description': 'Twitch', 'type': 'string'}}, 'required': ['channelName'], 'type': 'object'}, description=""""""), # mtane0412/Twitch MCP Server/get_stream_info
    Tool(name="""Twitch MCP Server_search_categories""", inputSchema={'properties': {'limit': {'description': '(: 20)', 'maximum': 100, 'minimum': 1, 'type': 'number'}, 'query': {'description': '', 'type': 'string'}}, 'required': ['query'], 'type': 'object'}, description=""""""), # mtane0412/Twitch MCP Server/search_categories
    Tool(name="""Twitch MCP Server_search_channels""", inputSchema={'properties': {'limit': {'description': '(: 20)', 'maximum': 100, 'minimum': 1, 'type': 'number'}, 'query': {'description': '', 'type': 'string'}}, 'required': ['query'], 'type': 'object'}, description=""""""), # mtane0412/Twitch MCP Server/search_channels
    Tool(name="""Twitch MCP Server_get_streams""", inputSchema={'properties': {'game': {'description': '', 'type': 'string'}, 'language': {'description': ' (: ja, en)', 'type': 'string'}, 'limit': {'description': '(: 20)', 'maximum': 100, 'minimum': 1, 'type': 'number'}}, 'type': 'object'}, description=""""""), # mtane0412/Twitch MCP Server/get_streams
    Tool(name="""MCP Google Server_search""", inputSchema={'properties': {'num': {'description': 'Number of results (1-10)', 'maximum': 10, 'minimum': 1, 'type': 'number'}, 'query': {'description': 'Search query', 'type': 'string'}}, 'required': ['query'], 'type': 'object'}, description="""Perform a web search query"""), # adenot/MCP Google Server/search
    Tool(name="""MCP Google Server_read_webpage""", inputSchema={'properties': {'url': {'description': 'URL of the webpage to read', 'type': 'string'}}, 'required': ['url'], 'type': 'object'}, description="""Fetch and extract text content from a webpage"""), # adenot/MCP Google Server/read_webpage
    Tool(name="""Voyp MCP Server_search_place""", inputSchema={'properties': {'location': {'description': 'Place location. Ex: San Francisco, CA', 'type': 'string'}, 'place': {'description': 'Name of place to search. Ex: The Lane Salon', 'type': 'string'}}, 'required': ['place', 'location'], 'type': 'object'}, description="""Search place details in a given location"""), # paulotaylor/Voyp MCP Server/search_place
    Tool(name="""Voyp MCP Server_search_place_by_number""", inputSchema={'properties': {'number': {'description': 'Phone number in E.164 format. Ex: +1234567890', 'type': 'string'}}, 'required': ['number'], 'type': 'object'}, description="""Find place name and address by phone number"""), # paulotaylor/Voyp MCP Server/search_place_by_number
    Tool(name="""Voyp MCP Server_get_call""", inputSchema={'properties': {'id': {'description': 'Call Id', 'type': 'string'}}, 'required': ['id'], 'type': 'object'}, description="""Retrieve call details"""), # paulotaylor/Voyp MCP Server/get_call
    Tool(name="""Voyp MCP Server_get_user""", inputSchema={'properties': {}, 'required': [], 'type': 'object'}, description="""Retrieve user profile"""), # paulotaylor/Voyp MCP Server/get_user
    Tool(name="""Voyp MCP Server_start_call""", inputSchema={'properties': {'context': {'description': 'Context of the call. Ex: Order a pizza', 'type': 'string'}, 'language': {'description': 'Language of the call. Ex: en-US, pt-PT, fr-FR', 'type': 'string'}, 'number': {'description': 'Phone number to call in E.164 format', 'type': 'string'}}, 'required': ['number', 'context'], 'type': 'object'}, description="""Start a new phone call via Voyp API. The API returns the call id and a URL where users can track the progress of the call"""), # paulotaylor/Voyp MCP Server/start_call
    Tool(name="""Voyp MCP Server_hangup_call""", inputSchema={'properties': {'id': {'description': 'ID of the call', 'type': 'string'}}, 'required': ['id'], 'type': 'object'}, description="""Hangup an existing call"""), # paulotaylor/Voyp MCP Server/hangup_call
    Tool(name="""Voyp MCP Server_search_places""", inputSchema={'properties': {'search': {'description': 'Places to search. Ex: italian restaurants in New York City, US', 'type': 'string'}}, 'required': ['search'], 'type': 'object'}, description="""Search places in a given location"""), # paulotaylor/Voyp MCP Server/search_places
    Tool(name="""Perplexity MCP Server_perplexity_search""", inputSchema={'properties': {'query': {'description': 'The search query', 'type': 'string'}}, 'required': ['query'], 'type': 'object'}, description="""Search the web using Perplexity AI"""), # spragginsdesigns/Perplexity MCP Server/perplexity_search
    Tool(name="""MCP Journaling Server_start_new_session""", inputSchema={'properties': {}, 'title': 'start_new_sessionArguments', 'type': 'object'}, description="""\nStart a new journaling session by clearing previous conversation log.\n\nReturns:\n    str: Welcome message with current save location\n"""), # mtct/MCP Journaling Server/start_new_session
    Tool(name="""MCP Journaling Server_record_interaction""", inputSchema={'properties': {'assistant_message': {'title': 'Assistant Message', 'type': 'string'}, 'user_message': {'title': 'User Message', 'type': 'string'}}, 'required': ['user_message', 'assistant_message'], 'title': 'record_interactionArguments', 'type': 'object'}, description="""\nRecord both the user's message and assistant's response.\n\nArgs:\n    user_message: The user's message\n    assistant_message: The assistant's response\n    \nReturns:\n    str: Confirmation message\n"""), # mtct/MCP Journaling Server/record_interaction
    Tool(name="""MCP Journaling Server_generate_session_summary""", inputSchema={'properties': {'summary': {'title': 'Summary', 'type': 'string'}}, 'required': ['summary'], 'title': 'generate_session_summaryArguments', 'type': 'object'}, description="""\nGenerate a markdown summary of the journaling session.\n\nArgs:\n    summary: The llm generated summay of the conversation\n\nReturns:\n    str: Confirmation message\n"""), # mtct/MCP Journaling Server/generate_session_summary
    Tool(name="""MercadoLibre MCP Server_seller_reputation""", inputSchema={'properties': {'sellerId': {'description': 'ID del vendedor', 'type': 'string'}}, 'type': 'object'}, description="""Obtiene la reputacin de un vendedor"""), # lumile/MercadoLibre MCP Server/seller_reputation
    Tool(name="""MercadoLibre MCP Server_product_reviews""", inputSchema={'properties': {'productId': {'description': 'ID del producto', 'type': 'string'}}, 'type': 'object'}, description="""Obtiene las reseas de un producto"""), # lumile/MercadoLibre MCP Server/product_reviews
    Tool(name="""MercadoLibre MCP Server_product_description""", inputSchema={'properties': {'productId': {'description': 'ID del producto', 'type': 'string'}}, 'type': 'object'}, description="""Obtiene la descripcin de un producto"""), # lumile/MercadoLibre MCP Server/product_description
    Tool(name="""MercadoLibre MCP Server_search_products""", inputSchema={'properties': {'limit': {'default': 10, 'description': 'Cantidad de resultados a devolver', 'type': 'number'}, 'offset': {'default': 0, 'description': 'Cantidad de resultados a saltar', 'type': 'number'}, 'query': {'description': 'Consulta de bsqueda', 'type': 'string'}}, 'required': ['query'], 'type': 'object'}, description="""Busca productos en MercadoLibre"""), # lumile/MercadoLibre MCP Server/search_products
    Tool(name="""Audiense Insights MCP Server_get-reports""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {}, 'type': 'object'}, description="""Retrieves the list of Audiense insights reports owned by the authenticated user."""), # AudienseCo/Audiense Insights MCP Server/get-reports
    Tool(name="""Audiense Insights MCP Server_get-report-info""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'report_id': {'description': 'The ID of the intelligence report.', 'type': 'string'}}, 'required': ['report_id'], 'type': 'object'}, description="""Retrieves detailed information about a specific intelligence report, including its status, segmentation type, audience size, segments, and access links."""), # AudienseCo/Audiense Insights MCP Server/get-report-info
    Tool(name="""Audiense Insights MCP Server_compare-audience-influencers""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'audience_influencers_id': {'description': 'The ID of the audience influencers.', 'type': 'string'}, 'baseline_audience_influencers_id': {'description': 'The ID of the baseline audience influencers.', 'type': 'string'}, 'bio_keyword': {'description': 'Keyword to filter influencers by their biography.', 'type': 'string'}, 'categories': {'description': 'Filter influencers by categories.', 'items': {'type': 'string'}, 'type': 'array'}, 'count': {'description': 'Number of items per page (default: 200).', 'type': 'number'}, 'countries': {'description': 'Filter influencers by country ISO codes.', 'items': {'type': 'string'}, 'type': 'array'}, 'cursor': {'description': 'Cursor for pagination.', 'type': 'number'}, 'entity_type': {'description': 'Filter by entity type (person or brand).', 'enum': ['person', 'brand'], 'type': 'string'}, 'followers_max': {'description': 'Maximum number of followers.', 'type': 'number'}, 'followers_min': {'description': 'Minimum number of followers.', 'type': 'number'}}, 'required': ['audience_influencers_id', 'baseline_audience_influencers_id'], 'type': 'object'}, description="""Compares the influencers of an audience with a baseline audience. The baseline is determined as follows: \n    If the selection was the full audience and a single country represents more than 50% of the audience, that country is used as the baseline.\n    Otherwise, the Global baseline is applied. If the selection was a specific segment, the full audience is used as the baseline.\n    Each influencer comparison includes: \n        - Affinity (%) - The level of alignment between the influencer and the audience. Baseline Affinity (%)\n        - The influencers affinity within the baseline audience. Uniqueness Score\n        - A measure of how distinct the influencer is within the selected audience compared to the baseline.\n    """), # AudienseCo/Audiense Insights MCP Server/compare-audience-influencers
    Tool(name="""Audiense Insights MCP Server_get-audience-content""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'audience_content_id': {'description': 'The ID of the audience content to retrieve.', 'type': 'string'}}, 'required': ['audience_content_id'], 'type': 'object'}, description="""Retrieves audience content engagement details for a given audience.\n\nThis tool provides a detailed breakdown of the content an audience interacts with, including:\n- **Liked Content**: Popular posts, top domains, top emojis, top hashtags, top links, top media, and a word cloud.\n- **Shared Content**: Content that the audience shares, categorized similarly to liked content.\n- **Influential Content**: Content from influential accounts that impact the audience, with similar categorization.\n\nEach category contains:\n- **popularPost**: List of the most engaged posts.\n- **topDomains**: Most mentioned domains.\n- **topEmojis**: Most used emojis.\n- **topHashtags**: Most used hashtags.\n- **topLinks**: Most shared links.\n- **topMedia**: Media types shared and samples.\n- **wordcloud**: Frequently used words."""), # AudienseCo/Audiense Insights MCP Server/get-audience-content
    Tool(name="""Audiense Insights MCP Server_report-summary""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'report_id': {'description': 'The ID of the intelligence report to summarize.', 'type': 'string'}}, 'required': ['report_id'], 'type': 'object'}, description="""Generates a comprehensive summary of an Audiense report, including segment details, top insights, and influencers."""), # AudienseCo/Audiense Insights MCP Server/report-summary
    Tool(name="""Audiense Insights MCP Server_get-audience-insights""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'audience_insights_id': {'description': 'The ID of the audience insights.', 'type': 'string'}, 'insights': {'description': 'Optional list of insight names to filter.', 'items': {'type': 'string'}, 'type': 'array'}}, 'required': ['audience_insights_id'], 'type': 'object'}, description="""Retrieves aggregated insights for a given audience ID, providing statistical distributions across various attributes.\n    Available insights include demographics (e.g., gender, age, country), behavioral traits (e.g., active hours, platform usage), psychographics (e.g., personality traits, interests), and socioeconomic factors (e.g., income, education status)."""), # AudienseCo/Audiense Insights MCP Server/get-audience-insights
    Tool(name="""Audiense Insights MCP Server_get-baselines""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'country': {'description': 'ISO country code to filter by.', 'type': 'string'}}, 'type': 'object'}, description="""Retrieves available baselines, optionally filtered by country."""), # AudienseCo/Audiense Insights MCP Server/get-baselines
    Tool(name="""Audiense Insights MCP Server_get-categories""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {}, 'type': 'object'}, description="""Retrieves the list of available affinity categories that can be used as the categories parameter in the compare-audience-influencers tool."""), # AudienseCo/Audiense Insights MCP Server/get-categories
    Tool(name="""MCP Server Starter_hello_tool""", inputSchema={'properties': {'name': {'description': 'The name of the person to greet', 'type': 'string'}}, 'required': ['name'], 'type': 'object'}, description="""Hello tool"""), # coinselor/MCP Server Starter/hello_tool
    Tool(name="""mcp-editor_view""", inputSchema={'properties': {'path': {'description': 'Absolute path to the file or directory', 'type': 'string'}, 'view_range': {'description': 'Optional range of lines to view [start, end]', 'items': {'type': 'number'}, 'maxItems': 2, 'minItems': 2, 'type': 'array'}}, 'required': ['path'], 'type': 'object'}, description="""View file contents or directory listing"""), # arathald/mcp-editor/view
    Tool(name="""mcp-editor_create""", inputSchema={'properties': {'file_text': {'description': 'Content to write to the file', 'type': 'string'}, 'path': {'description': 'Absolute path where file should be created', 'type': 'string'}}, 'required': ['path', 'file_text'], 'type': 'object'}, description="""Create a new file with specified content"""), # arathald/mcp-editor/create
    Tool(name="""mcp-editor_string_replace""", inputSchema={'properties': {'new_str': {'description': 'Replacement string (empty string if omitted)', 'type': 'string'}, 'old_str': {'description': 'String to replace', 'type': 'string'}, 'path': {'description': 'Absolute path to the file', 'type': 'string'}}, 'required': ['path', 'old_str'], 'type': 'object'}, description="""Replace a string in a file with a new string"""), # arathald/mcp-editor/string_replace
    Tool(name="""mcp-editor_insert""", inputSchema={'properties': {'insert_line': {'description': 'Line number where text should be inserted', 'type': 'number'}, 'new_str': {'description': 'Text to insert', 'type': 'string'}, 'path': {'description': 'Absolute path to the file', 'type': 'string'}}, 'required': ['path', 'insert_line', 'new_str'], 'type': 'object'}, description="""Insert text at a specific line in the file"""), # arathald/mcp-editor/insert
    Tool(name="""mcp-editor_undo_edit""", inputSchema={'properties': {'path': {'description': 'Absolute path to the file', 'type': 'string'}}, 'required': ['path'], 'type': 'object'}, description="""Undo the last edit to a file"""), # arathald/mcp-editor/undo_edit
    Tool(name="""Flutter MCP Server_search_flutter_docs""", inputSchema={'properties': {'query': {'description': 'Search query for Flutter documentation', 'type': 'string'}}, 'required': ['query'], 'type': 'object'}, description="""Search Flutter documentation for a given query"""), # robert-northmind/Flutter MCP Server/search_flutter_docs
    Tool(name="""MCP Webhook Server_send_message""", inputSchema={'properties': {'avatar_url': {'description': 'Avatar URL (optional)', 'type': 'string'}, 'content': {'description': 'Message content to send', 'type': 'string'}, 'username': {'description': 'Display name (optional)', 'type': 'string'}}, 'required': ['content'], 'type': 'object'}, description="""Send message to webhook endpoint"""), # kevinwatt/MCP Webhook Server/send_message
    Tool(name="""ClickSend MCP Server_send_sms""", inputSchema={'additionalProperties': False, 'properties': {'message': {'description': 'Message content to send', 'type': 'string'}, 'to': {'description': 'Phone number in E.164 format (e.g. +61423456789)', 'type': 'string'}}, 'required': ['to', 'message'], 'type': 'object'}, description="""Send SMS messages via ClickSend"""), # J-Gal02/ClickSend MCP Server/send_sms
    Tool(name="""ClickSend MCP Server_make_tts_call""", inputSchema={'additionalProperties': False, 'properties': {'message': {'description': 'Text content to convert to speech', 'type': 'string'}, 'to': {'description': 'Phone number in E.164 format', 'type': 'string'}, 'voice': {'default': 'female', 'description': 'Voice type for TTS', 'enum': ['female', 'male'], 'type': 'string'}}, 'required': ['to', 'message'], 'type': 'object'}, description="""Make Text-to-Speech calls via ClickSend"""), # J-Gal02/ClickSend MCP Server/make_tts_call
    Tool(name="""MCP-PIF Server_read""", inputSchema={'properties': {'path': {'description': 'Path to the file to read', 'type': 'string'}}, 'required': ['path'], 'type': 'object'}, description="""Read file contents"""), # hungryrobot1/MCP-PIF Server/read
    Tool(name="""MCP-PIF Server_write""", inputSchema={'properties': {'content': {'description': 'Content to write', 'type': 'string'}, 'edits': {'description': 'Array of edits for edit operation', 'items': {'properties': {'newText': {'description': 'New text to insert', 'type': 'string'}, 'oldText': {'description': 'Text to replace', 'type': 'string'}}, 'required': ['oldText', 'newText'], 'type': 'object'}, 'type': 'array'}, 'lineNumber': {'description': 'Line number for replace operation', 'type': 'number'}, 'operation': {'description': 'Type of write operation to perform', 'enum': ['write', 'append', 'replace', 'edit'], 'type': 'string'}, 'path': {'description': 'Path for the file to write/modify', 'type': 'string'}}, 'required': ['path', 'operation'], 'type': 'object'}, description="""Write or modify file content"""), # hungryrobot1/MCP-PIF Server/write
    Tool(name="""MCP-PIF Server_cd""", inputSchema={'properties': {'path': {'description': 'Directory to change to', 'type': 'string'}}, 'required': ['path'], 'type': 'object'}, description="""Change current directory"""), # hungryrobot1/MCP-PIF Server/cd
    Tool(name="""MCP-PIF Server_mkdir""", inputSchema={'properties': {'path': {'description': 'Path of directory to create', 'type': 'string'}}, 'required': ['path'], 'type': 'object'}, description="""Create a new directory"""), # hungryrobot1/MCP-PIF Server/mkdir
    Tool(name="""MCP-PIF Server_ls""", inputSchema={'properties': {'path': {'description': 'Optional path to list (defaults to current directory)', 'type': 'string'}}, 'type': 'object'}, description="""List directory contents"""), # hungryrobot1/MCP-PIF Server/ls
    Tool(name="""MCP-PIF Server_pwd""", inputSchema={'properties': {}, 'type': 'object'}, description="""Print working directory"""), # hungryrobot1/MCP-PIF Server/pwd
    Tool(name="""MCP-PIF Server_rename""", inputSchema={'properties': {'newPath': {'description': 'New path/name for the file or directory', 'type': 'string'}, 'oldPath': {'description': 'Current path of the file or directory', 'type': 'string'}}, 'required': ['oldPath', 'newPath'], 'type': 'object'}, description="""Rename a file or directory"""), # hungryrobot1/MCP-PIF Server/rename
    Tool(name="""MCP-PIF Server_move""", inputSchema={'properties': {'sourcePath': {'description': 'Source path of the file or directory to move', 'type': 'string'}, 'targetPath': {'description': 'Target path where the file or directory will be moved to', 'type': 'string'}}, 'required': ['sourcePath', 'targetPath'], 'type': 'object'}, description="""Move a file or directory to a new location"""), # hungryrobot1/MCP-PIF Server/move
    Tool(name="""MCP-PIF Server_delete""", inputSchema={'properties': {'path': {'description': 'Path of the file or directory to delete', 'type': 'string'}, 'recursive': {'description': 'If true, recursively delete directories and their contents', 'type': 'boolean'}}, 'required': ['path'], 'type': 'object'}, description="""Delete a file or directory"""), # hungryrobot1/MCP-PIF Server/delete
    Tool(name="""MCP-PIF Server_reason""", inputSchema={'properties': {'thoughts': {'items': {'properties': {'content': {'description': 'Thought content', 'type': 'string'}, 'relationTo': {'description': 'Optional ID of related thought', 'type': 'number'}, 'relationType': {'description': 'Optional relationship type', 'enum': ['sequence', 'reflection', 'association'], 'type': 'string'}}, 'required': ['content'], 'type': 'object'}, 'type': 'array'}}, 'required': ['thoughts'], 'type': 'object'}, description="""Process thoughts with flexible relationships"""), # hungryrobot1/MCP-PIF Server/reason
    Tool(name="""MCP-PIF Server_think""", inputSchema={'properties': {'duration': {'description': 'Thinking duration in seconds', 'type': 'number'}, 'prompt': {'description': 'Optional focus for thinking', 'type': 'string'}}, 'required': ['duration'], 'type': 'object'}, description="""Non-verbal processing time"""), # hungryrobot1/MCP-PIF Server/think
    Tool(name="""MCP-PIF Server_journal_create""", inputSchema={'properties': {'content': {'description': 'Main content of the entry', 'type': 'string'}, 'relatedFiles': {'description': 'Related files for context', 'items': {'properties': {'description': {'type': 'string'}, 'path': {'type': 'string'}}, 'type': 'object'}, 'type': 'array'}, 'tags': {'description': 'Optional tags for categorization', 'items': {'type': 'string'}, 'type': 'array'}, 'title': {'description': 'Entry title', 'type': 'string'}}, 'required': ['title', 'content'], 'type': 'object'}, description="""Create a new journal entry"""), # hungryrobot1/MCP-PIF Server/journal_create
    Tool(name="""MCP-PIF Server_journal_read""", inputSchema={'properties': {'format': {'description': 'Output format (default: text)', 'enum': ['json', 'text'], 'type': 'string'}, 'from': {'description': 'Start date (YYYY-MM-DD), inclusive from start of day', 'type': 'string'}, 'limit': {'type': 'number'}, 'tags': {'items': {'type': 'string'}, 'type': 'array'}, 'to': {'description': 'End date (YYYY-MM-DD), inclusive through end of day', 'type': 'string'}}, 'type': 'object'}, description="""Read journal entries within a date range. Dates should be in YYYY-MM-DD format. Times are handled in UTC, and the 'to' date is inclusive through end of day."""), # hungryrobot1/MCP-PIF Server/journal_read
    Tool(name="""PostgreSQL MCP Server_analyze_database""", inputSchema={'properties': {'analysisType': {'description': 'Type of analysis to perform', 'enum': ['configuration', 'performance', 'security'], 'type': 'string'}, 'connectionString': {'description': 'PostgreSQL connection string', 'type': 'string'}}, 'required': ['connectionString'], 'type': 'object'}, description="""Analyze PostgreSQL database configuration and performance"""), # nahmanmate/PostgreSQL MCP Server/analyze_database
    Tool(name="""PostgreSQL MCP Server_get_setup_instructions""", inputSchema={'properties': {'platform': {'description': 'Operating system platform', 'enum': ['linux', 'macos', 'windows'], 'type': 'string'}, 'useCase': {'description': 'Intended use case', 'enum': ['development', 'production'], 'type': 'string'}, 'version': {'description': 'PostgreSQL version to install', 'type': 'string'}}, 'required': ['platform'], 'type': 'object'}, description="""Get step-by-step PostgreSQL setup instructions"""), # nahmanmate/PostgreSQL MCP Server/get_setup_instructions
    Tool(name="""PostgreSQL MCP Server_debug_database""", inputSchema={'properties': {'connectionString': {'description': 'PostgreSQL connection string', 'type': 'string'}, 'issue': {'description': 'Type of issue to debug', 'enum': ['connection', 'performance', 'locks', 'replication'], 'type': 'string'}, 'logLevel': {'default': 'info', 'description': 'Logging detail level', 'enum': ['info', 'debug', 'trace'], 'type': 'string'}}, 'required': ['connectionString', 'issue'], 'type': 'object'}, description="""Debug common PostgreSQL issues"""), # nahmanmate/PostgreSQL MCP Server/debug_database
    Tool(name="""Slack User MCP Server_slack_list_channels""", inputSchema={'properties': {'cursor': {'description': 'Pagination cursor for next page of results', 'type': 'string'}, 'limit': {'default': 100, 'description': 'Maximum number of channels to return (default 100, max 200)', 'type': 'number'}}, 'type': 'object'}, description="""List public channels in the workspace with pagination"""), # lars-hagen/Slack User MCP Server/slack_list_channels
    Tool(name="""Slack User MCP Server_slack_post_message""", inputSchema={'properties': {'channel_id': {'description': 'The ID of the channel to post to', 'type': 'string'}, 'text': {'description': 'The message text to post', 'type': 'string'}}, 'required': ['channel_id', 'text'], 'type': 'object'}, description="""Post a new message to a Slack channel"""), # lars-hagen/Slack User MCP Server/slack_post_message
    Tool(name="""Slack User MCP Server_slack_reply_to_thread""", inputSchema={'properties': {'channel_id': {'description': 'The ID of the channel containing the thread', 'type': 'string'}, 'text': {'description': 'The reply text', 'type': 'string'}, 'thread_ts': {'description': "The timestamp of the parent message in the format '1234567890.123456'. Timestamps in the format without the period can be converted by adding the period such that 6 numbers come after it.", 'type': 'string'}}, 'required': ['channel_id', 'thread_ts', 'text'], 'type': 'object'}, description="""Reply to a specific message thread in Slack"""), # lars-hagen/Slack User MCP Server/slack_reply_to_thread
    Tool(name="""Slack User MCP Server_slack_add_reaction""", inputSchema={'properties': {'channel_id': {'description': 'The ID of the channel containing the message', 'type': 'string'}, 'reaction': {'description': 'The name of the emoji reaction (without ::)', 'type': 'string'}, 'timestamp': {'description': 'The timestamp of the message to react to', 'type': 'string'}}, 'required': ['channel_id', 'timestamp', 'reaction'], 'type': 'object'}, description="""Add a reaction emoji to a message"""), # lars-hagen/Slack User MCP Server/slack_add_reaction
    Tool(name="""Slack User MCP Server_slack_get_channel_history""", inputSchema={'properties': {'channel_id': {'description': 'The ID of the channel', 'type': 'string'}, 'limit': {'default': 10, 'description': 'Number of messages to retrieve (default 10)', 'type': 'number'}}, 'required': ['channel_id'], 'type': 'object'}, description="""Get recent messages from a channel"""), # lars-hagen/Slack User MCP Server/slack_get_channel_history
    Tool(name="""Slack User MCP Server_slack_get_thread_replies""", inputSchema={'properties': {'channel_id': {'description': 'The ID of the channel containing the thread', 'type': 'string'}, 'thread_ts': {'description': "The timestamp of the parent message in the format '1234567890.123456'. Timestamps in the format without the period can be converted by adding the period such that 6 numbers come after it.", 'type': 'string'}}, 'required': ['channel_id', 'thread_ts'], 'type': 'object'}, description="""Get all replies in a message thread"""), # lars-hagen/Slack User MCP Server/slack_get_thread_replies
    Tool(name="""Slack User MCP Server_slack_get_users""", inputSchema={'properties': {'cursor': {'description': 'Pagination cursor for next page of results', 'type': 'string'}, 'limit': {'default': 100, 'description': 'Maximum number of users to return (default 100, max 200)', 'type': 'number'}}, 'type': 'object'}, description="""Get a list of all users in the workspace with their basic profile information"""), # lars-hagen/Slack User MCP Server/slack_get_users
    Tool(name="""Slack User MCP Server_slack_get_user_profile""", inputSchema={'properties': {'user_id': {'description': 'The ID of the user', 'type': 'string'}}, 'required': ['user_id'], 'type': 'object'}, description="""Get detailed profile information for a specific user"""), # lars-hagen/Slack User MCP Server/slack_get_user_profile
    Tool(name="""Shopify MCP Server_get-products""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'limit': {'description': 'Maximum number of products to return', 'type': 'number'}, 'searchTitle': {'description': 'Search title, if missing, will return all products', 'type': 'string'}}, 'required': ['limit'], 'type': 'object'}, description="""Get all products or search by title"""), # rezapex/Shopify MCP Server/get-products
    Tool(name="""Shopify MCP Server_get-products-by-collection""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'collectionId': {'description': 'ID of the collection to get products from', 'type': 'string'}, 'limit': {'default': 10, 'description': 'Maximum number of products to return', 'type': 'number'}}, 'required': ['collectionId'], 'type': 'object'}, description="""Get products from a specific collection"""), # rezapex/Shopify MCP Server/get-products-by-collection
    Tool(name="""Shopify MCP Server_get-products-by-ids""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'productIds': {'description': 'Array of product IDs to retrieve', 'items': {'type': 'string'}, 'type': 'array'}}, 'required': ['productIds'], 'type': 'object'}, description="""Get products by their IDs"""), # rezapex/Shopify MCP Server/get-products-by-ids
    Tool(name="""Shopify MCP Server_get-variants-by-ids""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'variantIds': {'description': 'Array of variant IDs to retrieve', 'items': {'type': 'string'}, 'type': 'array'}}, 'required': ['variantIds'], 'type': 'object'}, description="""Get product variants by their IDs"""), # rezapex/Shopify MCP Server/get-variants-by-ids
    Tool(name="""Shopify MCP Server_get-customers""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'limit': {'description': 'Limit of customers to return', 'type': 'number'}, 'next': {'description': 'Next page cursor', 'type': 'string'}}, 'type': 'object'}, description="""Get shopify customers with pagination support"""), # rezapex/Shopify MCP Server/get-customers
    Tool(name="""Shopify MCP Server_tag-customer""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'customerId': {'description': 'Customer ID to tag', 'type': 'string'}, 'tags': {'description': 'Tags to add to the customer', 'items': {'type': 'string'}, 'type': 'array'}}, 'required': ['customerId', 'tags'], 'type': 'object'}, description="""Add tags to a customer"""), # rezapex/Shopify MCP Server/tag-customer
    Tool(name="""Shopify MCP Server_get-orders""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'after': {'description': 'Next page cursor', 'type': 'string'}, 'first': {'description': 'Limit of orders to return', 'type': 'number'}, 'query': {'description': 'Filter orders using query syntax', 'type': 'string'}, 'reverse': {'description': 'Reverse sort order', 'type': 'boolean'}, 'sortKey': {'description': 'Field to sort by', 'enum': ['PROCESSED_AT', 'TOTAL_PRICE', 'ID', 'CREATED_AT', 'UPDATED_AT', 'ORDER_NUMBER'], 'type': 'string'}}, 'type': 'object'}, description="""Get shopify orders with advanced filtering and sorting"""), # rezapex/Shopify MCP Server/get-orders
    Tool(name="""Shopify MCP Server_get-order""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'orderId': {'description': 'ID of the order to retrieve', 'type': 'string'}}, 'required': ['orderId'], 'type': 'object'}, description="""Get a single order by ID"""), # rezapex/Shopify MCP Server/get-order
    Tool(name="""Shopify MCP Server_create-discount""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'appliesOncePerCustomer': {'description': 'Whether discount can be used only once per customer', 'type': 'boolean'}, 'code': {'description': 'Discount code that customers will enter', 'type': 'string'}, 'endsAt': {'description': 'Optional end date in ISO format', 'type': 'string'}, 'startsAt': {'description': 'Start date in ISO format', 'type': 'string'}, 'title': {'description': 'Title of the discount', 'type': 'string'}, 'value': {'description': 'Discount value (percentage as decimal or fixed amount)', 'type': 'number'}, 'valueType': {'description': 'Type of discount', 'enum': ['percentage', 'fixed_amount'], 'type': 'string'}}, 'required': ['title', 'code', 'valueType', 'value', 'startsAt', 'appliesOncePerCustomer'], 'type': 'object'}, description="""Create a basic discount code"""), # rezapex/Shopify MCP Server/create-discount
    Tool(name="""Shopify MCP Server_create-draft-order""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'email': {'description': 'Customer email', 'format': 'email', 'type': 'string'}, 'lineItems': {'description': 'Line items to add to the order', 'items': {'additionalProperties': False, 'properties': {'quantity': {'type': 'number'}, 'variantId': {'type': 'string'}}, 'required': ['variantId', 'quantity'], 'type': 'object'}, 'type': 'array'}, 'note': {'description': 'Optional note for the order', 'type': 'string'}, 'shippingAddress': {'additionalProperties': False, 'description': 'Shipping address details', 'properties': {'address1': {'type': 'string'}, 'city': {'type': 'string'}, 'country': {'type': 'string'}, 'countryCode': {'type': 'string'}, 'firstName': {'type': 'string'}, 'lastName': {'type': 'string'}, 'province': {'type': 'string'}, 'zip': {'type': 'string'}}, 'required': ['address1', 'city', 'province', 'country', 'zip', 'firstName', 'lastName', 'countryCode'], 'type': 'object'}}, 'required': ['lineItems', 'email', 'shippingAddress'], 'type': 'object'}, description="""Create a draft order"""), # rezapex/Shopify MCP Server/create-draft-order
    Tool(name="""Shopify MCP Server_complete-draft-order""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'draftOrderId': {'description': 'ID of the draft order to complete', 'type': 'string'}, 'variantId': {'description': 'ID of the variant in the draft order', 'type': 'string'}}, 'required': ['draftOrderId', 'variantId'], 'type': 'object'}, description="""Complete a draft order"""), # rezapex/Shopify MCP Server/complete-draft-order
    Tool(name="""Shopify MCP Server_get-collections""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'limit': {'default': 10, 'description': 'Maximum number of collections to return', 'type': 'number'}, 'name': {'description': 'Filter collections by name', 'type': 'string'}}, 'type': 'object'}, description="""Get all collections"""), # rezapex/Shopify MCP Server/get-collections
    Tool(name="""Shopify MCP Server_get-shop""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {}, 'type': 'object'}, description="""Get shop details"""), # rezapex/Shopify MCP Server/get-shop
    Tool(name="""Shopify MCP Server_get-shop-details""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {}, 'type': 'object'}, description="""Get extended shop details including shipping countries"""), # rezapex/Shopify MCP Server/get-shop-details
    Tool(name="""Shopify MCP Server_manage-webhook""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'action': {'description': 'Action to perform with webhook', 'enum': ['subscribe', 'find', 'unsubscribe'], 'type': 'string'}, 'callbackUrl': {'description': 'Webhook callback URL', 'format': 'uri', 'type': 'string'}, 'topic': {'description': 'Webhook topic to subscribe to', 'enum': ['orders/updated'], 'type': 'string'}, 'webhookId': {'description': 'Webhook ID (required for unsubscribe)', 'type': 'string'}}, 'required': ['action', 'callbackUrl', 'topic'], 'type': 'object'}, description="""Subscribe, find, or unsubscribe webhooks"""), # rezapex/Shopify MCP Server/manage-webhook
    Tool(name="""descope-mcp-server_search-audits""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'actions': {'description': 'Filter by specific action types', 'items': {'type': 'string'}, 'type': 'array'}, 'excludedActions': {'description': 'Actions to exclude from results', 'items': {'type': 'string'}, 'type': 'array'}, 'geos': {'description': 'Filter by geographic locations', 'items': {'type': 'string'}, 'type': 'array'}, 'hoursBack': {'default': 24, 'description': 'Hours to look back (max 720 hours / 30 days)', 'maximum': 720, 'minimum': 1, 'type': 'number'}, 'limit': {'default': 5, 'description': 'Number of audit logs to fetch (max 10)', 'maximum': 10, 'minimum': 1, 'type': 'number'}, 'loginIds': {'description': 'Filter by specific login IDs', 'items': {'type': 'string'}, 'type': 'array'}, 'methods': {'description': 'Filter by authentication methods', 'items': {'type': 'string'}, 'type': 'array'}, 'noTenants': {'description': 'If true, only show events without tenants', 'type': 'boolean'}, 'tenants': {'description': 'Filter by specific tenant IDs', 'items': {'type': 'string'}, 'type': 'array'}}, 'type': 'object'}, description="""Search Descope project audit logs"""), # descope-sample-apps/descope-mcp-server/search-audits
    Tool(name="""descope-mcp-server_search-users""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'emails': {'description': 'Filter by specific email addresses', 'items': {'type': 'string'}, 'type': 'array'}, 'limit': {'default': 10, 'description': 'Number of users per page (max 100)', 'maximum': 100, 'minimum': 1, 'type': 'number'}, 'loginIds': {'description': 'Filter by specific login IDs', 'items': {'type': 'string'}, 'type': 'array'}, 'page': {'description': 'Page number for pagination', 'minimum': 0, 'type': 'number'}, 'phones': {'description': 'Filter by specific phone numbers', 'items': {'type': 'string'}, 'type': 'array'}, 'roles': {'description': 'Filter users by role names', 'items': {'type': 'string'}, 'type': 'array'}, 'ssoAppIds': {'description': 'Filter users by SSO application IDs', 'items': {'type': 'string'}, 'type': 'array'}, 'statuses': {'description': "Filter by user statuses ('enabled', 'disabled', or 'invited')", 'items': {'enum': ['enabled', 'disabled', 'invited'], 'type': 'string'}, 'type': 'array'}, 'tenantIds': {'description': 'Filter users by specific tenant IDs', 'items': {'type': 'string'}, 'type': 'array'}, 'testUsersOnly': {'description': 'Return only test users', 'type': 'boolean'}, 'text': {'description': 'Text to search for in user fields', 'type': 'string'}, 'withTestUser': {'description': 'Include test users in results', 'type': 'boolean'}}, 'type': 'object'}, description="""Search for users in Descope project"""), # descope-sample-apps/descope-mcp-server/search-users
    Tool(name="""descope-mcp-server_create-user""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'additionalLoginIds': {'description': 'Additional login identifiers', 'items': {'type': 'string'}, 'type': 'array'}, 'customAttributes': {'additionalProperties': {}, 'description': 'Custom attributes for the user', 'type': 'object'}, 'displayName': {'description': "User's display name", 'type': 'string'}, 'email': {'description': "User's email address", 'format': 'email', 'type': 'string'}, 'familyName': {'description': "User's family/last name", 'type': 'string'}, 'givenName': {'description': "User's given/first name", 'type': 'string'}, 'loginId': {'description': 'Primary login identifier for the user', 'type': 'string'}, 'middleName': {'description': "User's middle name", 'type': 'string'}, 'phone': {'description': "User's phone number in E.164 format", 'type': 'string'}, 'picture': {'description': "URL to user's profile picture", 'format': 'uri', 'type': 'string'}, 'roles': {'description': 'Global role names to assign to the user', 'items': {'type': 'string'}, 'type': 'array'}, 'ssoAppIds': {'description': 'SSO application IDs to associate', 'items': {'type': 'string'}, 'type': 'array'}, 'userTenants': {'description': 'Tenant associations with specific roles', 'items': {'additionalProperties': False, 'properties': {'roleNames': {'items': {'type': 'string'}, 'type': 'array'}, 'tenantId': {'type': 'string'}}, 'required': ['tenantId', 'roleNames'], 'type': 'object'}, 'type': 'array'}, 'verifiedEmail': {'description': 'Whether the email is pre-verified', 'type': 'boolean'}, 'verifiedPhone': {'description': 'Whether the phone is pre-verified', 'type': 'boolean'}}, 'required': ['loginId'], 'type': 'object'}, description="""Create a new user in Descope project"""), # descope-sample-apps/descope-mcp-server/create-user
    Tool(name="""descope-mcp-server_invite-user""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'additionalLoginIds': {'description': 'Additional login identifiers', 'items': {'type': 'string'}, 'type': 'array'}, 'customAttributes': {'additionalProperties': {}, 'description': 'Custom attributes for the user', 'type': 'object'}, 'displayName': {'description': "User's display name", 'type': 'string'}, 'email': {'description': "User's email address", 'format': 'email', 'type': 'string'}, 'familyName': {'description': "User's family/last name", 'type': 'string'}, 'givenName': {'description': "User's given/first name", 'type': 'string'}, 'inviteUrl': {'description': 'Custom URL for the invitation link', 'format': 'uri', 'type': 'string'}, 'loginId': {'description': 'Primary login identifier for the user', 'type': 'string'}, 'middleName': {'description': "User's middle name", 'type': 'string'}, 'phone': {'description': "User's phone number in E.164 format", 'type': 'string'}, 'picture': {'description': "URL to user's profile picture", 'format': 'uri', 'type': 'string'}, 'roles': {'description': 'Global role names to assign to the user', 'items': {'type': 'string'}, 'type': 'array'}, 'sendMail': {'description': 'Send invite via email (default follows project settings)', 'type': 'boolean'}, 'sendSMS': {'description': 'Send invite via SMS (default follows project settings)', 'type': 'boolean'}, 'ssoAppIds': {'description': 'SSO application IDs to associate', 'items': {'type': 'string'}, 'type': 'array'}, 'templateId': {'description': 'Custom template ID for the invitation', 'type': 'string'}, 'templateOptions': {'additionalProperties': False, 'description': 'Options for customizing the invitation template', 'properties': {'appUrl': {'description': 'Application URL to use in the template', 'format': 'uri', 'type': 'string'}, 'customClaims': {'description': 'Custom claims to include in the template (as JSON string)', 'type': 'string'}, 'redirectUrl': {'description': 'URL to redirect after authentication', 'format': 'uri', 'type': 'string'}}, 'type': 'object'}, 'userTenants': {'description': 'Tenant associations with specific roles', 'items': {'additionalProperties': False, 'properties': {'roleNames': {'items': {'type': 'string'}, 'type': 'array'}, 'tenantId': {'type': 'string'}}, 'required': ['tenantId', 'roleNames'], 'type': 'object'}, 'type': 'array'}, 'verifiedEmail': {'description': 'Whether the email is pre-verified', 'type': 'boolean'}, 'verifiedPhone': {'description': 'Whether the phone is pre-verified', 'type': 'boolean'}}, 'required': ['loginId'], 'type': 'object'}, description="""Create and invite a new user to the Descope project"""), # descope-sample-apps/descope-mcp-server/invite-user
    Tool(name="""AlphaVantage-MCP_get-stock-quote""", inputSchema={'properties': {'symbol': {'description': 'Stock symbol (e.g., AAPL, MSFT)', 'type': 'string'}}, 'required': ['symbol'], 'type': 'object'}, description="""Get current stock quote information"""), # berlinbra/AlphaVantage-MCP/get-stock-quote
    Tool(name="""AlphaVantage-MCP_get-company-info""", inputSchema={'properties': {'symbol': {'description': 'Stock symbol (e.g., AAPL, MSFT)', 'type': 'string'}}, 'required': ['symbol'], 'type': 'object'}, description="""Get detailed company information"""), # berlinbra/AlphaVantage-MCP/get-company-info
    Tool(name="""AlphaVantage-MCP_get-crypto-exchange-rate""", inputSchema={'properties': {'crypto_symbol': {'description': 'Cryptocurrency symbol (e.g., BTC, ETH)', 'type': 'string'}, 'market': {'default': 'USD', 'description': 'Market currency (e.g., USD, EUR)', 'type': 'string'}}, 'required': ['crypto_symbol'], 'type': 'object'}, description="""Get current cryptocurrency exchange rate"""), # berlinbra/AlphaVantage-MCP/get-crypto-exchange-rate
    Tool(name="""AlphaVantage-MCP_get-time-series""", inputSchema={'properties': {'outputsize': {'default': 'compact', 'description': 'compact (latest 100 data points) or full (up to 20 years of data)', 'enum': ['compact', 'full'], 'type': 'string'}, 'symbol': {'description': 'Stock symbol (e.g., AAPL, MSFT)', 'type': 'string'}}, 'required': ['symbol'], 'type': 'object'}, description="""Get daily time series data for a stock"""), # berlinbra/AlphaVantage-MCP/get-time-series
    Tool(name="""AlphaVantage-MCP_get-historical-options""", inputSchema={'properties': {'date': {'description': 'Optional: Trading date in YYYY-MM-DD format (defaults to previous trading day, must be after 2008-01-01)', 'pattern': '^20[0-9]{2}-(?:0[1-9]|1[0-2])-(?:0[1-9]|[12][0-9]|3[01])$', 'type': 'string'}, 'limit': {'default': 10, 'description': 'Optional: Number of contracts to return (default: 10, use -1 for all contracts)', 'minimum': -1, 'type': 'integer'}, 'sort_by': {'default': 'strike', 'description': 'Optional: Field to sort by', 'enum': ['strike', 'expiration', 'volume', 'open_interest', 'implied_volatility', 'delta', 'gamma', 'theta', 'vega', 'rho', 'last', 'bid', 'ask'], 'type': 'string'}, 'sort_order': {'default': 'asc', 'description': 'Optional: Sort order', 'enum': ['asc', 'desc'], 'type': 'string'}, 'symbol': {'description': 'Stock symbol (e.g., AAPL, MSFT)', 'type': 'string'}}, 'required': ['symbol'], 'type': 'object'}, description="""Get historical options chain data for a stock with sorting capabilities"""), # berlinbra/AlphaVantage-MCP/get-historical-options
    Tool(name="""Morpho API MCP Server_get_vaults""", inputSchema={'properties': {'first': {'type': 'number'}, 'orderBy': {'enum': ['TotalAssetsUsd', 'Apy', 'NetApy'], 'type': 'string'}, 'orderDirection': {'enum': ['Asc', 'Desc'], 'type': 'string'}, 'skip': {'type': 'number'}}, 'type': 'object'}, description="""Retrieves all vaults with their current states."""), # crazyrabbitLTC/Morpho API MCP Server/get_vaults
    Tool(name="""Morpho API MCP Server_get_vault_positions""", inputSchema={'properties': {'first': {'type': 'number'}, 'orderBy': {'enum': ['Shares', 'Assets', 'AssetsUsd'], 'type': 'string'}, 'orderDirection': {'enum': ['Asc', 'Desc'], 'type': 'string'}, 'skip': {'type': 'number'}, 'vaultAddress': {'type': 'string'}}, 'required': ['vaultAddress'], 'type': 'object'}, description="""Get positions for a specific vault."""), # crazyrabbitLTC/Morpho API MCP Server/get_vault_positions
    Tool(name="""Morpho API MCP Server_get_vault_transactions""", inputSchema={'properties': {'first': {'type': 'number'}, 'orderBy': {'enum': ['Timestamp'], 'type': 'string'}, 'orderDirection': {'enum': ['Asc', 'Desc'], 'type': 'string'}, 'skip': {'type': 'number'}, 'type_in': {'items': {'enum': ['MetaMorphoFee', 'MetaMorphoWithdraw', 'MetaMorphoDeposit'], 'type': 'string'}, 'type': 'array'}}, 'type': 'object'}, description="""Get latest vault transactions."""), # crazyrabbitLTC/Morpho API MCP Server/get_vault_transactions
    Tool(name="""Morpho API MCP Server_get_markets""", inputSchema={'properties': {'first': {'description': 'Number of items to return (default: 100)', 'type': 'number'}, 'orderBy': {'description': 'Field to order by', 'enum': ['Lltv', 'BorrowApy', 'SupplyApy', 'BorrowAssets', 'SupplyAssets', 'BorrowAssetsUsd', 'SupplyAssetsUsd', 'Fee', 'Utilization'], 'type': 'string'}, 'orderDirection': {'description': 'Order direction', 'enum': ['Asc', 'Desc'], 'type': 'string'}, 'skip': {'description': 'Number of items to skip', 'type': 'number'}, 'where': {'properties': {'collateralAssetAddress': {'type': 'string'}, 'loanAssetAddress': {'type': 'string'}, 'uniqueKey_in': {'items': {'type': 'string'}, 'type': 'array'}, 'whitelisted': {'type': 'boolean'}}, 'type': 'object'}}, 'type': 'object'}, description="""Retrieves markets from Morpho with pagination, ordering, and filtering support."""), # crazyrabbitLTC/Morpho API MCP Server/get_markets
    Tool(name="""Morpho API MCP Server_get_whitelisted_markets""", inputSchema={'properties': {}, 'type': 'object'}, description="""Retrieves only whitelisted markets from Morpho."""), # crazyrabbitLTC/Morpho API MCP Server/get_whitelisted_markets
    Tool(name="""Morpho API MCP Server_get_asset_price""", inputSchema={'properties': {'chainId': {'description': 'Chain ID (default: 1 for Ethereum)', 'type': 'number'}, 'first': {'description': 'Number of items to return', 'type': 'number'}, 'skip': {'description': 'Number of items to skip', 'type': 'number'}, 'symbol': {'description': 'Asset symbol (e.g. "sDAI")', 'type': 'string'}}, 'required': ['symbol'], 'type': 'object'}, description="""Get current price and yield information for specific assets."""), # crazyrabbitLTC/Morpho API MCP Server/get_asset_price
    Tool(name="""Morpho API MCP Server_get_market_positions""", inputSchema={'properties': {'first': {'description': 'Number of positions to return (default: 30)', 'type': 'number'}, 'marketUniqueKey': {'description': 'Unique key of the market', 'type': 'string'}, 'orderBy': {'description': 'Field to order by', 'enum': ['SupplyShares', 'BorrowShares', 'SupplyAssets', 'BorrowAssets'], 'type': 'string'}, 'orderDirection': {'description': 'Order direction', 'enum': ['Asc', 'Desc'], 'type': 'string'}, 'skip': {'description': 'Number of positions to skip', 'type': 'number'}}, 'required': ['marketUniqueKey'], 'type': 'object'}, description="""Get positions overview for specific markets with pagination and ordering."""), # crazyrabbitLTC/Morpho API MCP Server/get_market_positions
    Tool(name="""Morpho API MCP Server_get_historical_apy""", inputSchema={'properties': {'chainId': {'type': 'number'}, 'endTimestamp': {'type': 'number'}, 'interval': {'enum': ['HOUR', 'DAY', 'WEEK', 'MONTH'], 'type': 'string'}, 'marketUniqueKey': {'type': 'string'}, 'startTimestamp': {'type': 'number'}}, 'required': ['marketUniqueKey', 'startTimestamp', 'endTimestamp', 'interval'], 'type': 'object'}, description="""Get historical APY data for a specific market."""), # crazyrabbitLTC/Morpho API MCP Server/get_historical_apy
    Tool(name="""Morpho API MCP Server_get_oracle_details""", inputSchema={'properties': {'chainId': {'type': 'number'}, 'marketUniqueKey': {'type': 'string'}}, 'required': ['marketUniqueKey'], 'type': 'object'}, description="""Get oracle details for a specific market."""), # crazyrabbitLTC/Morpho API MCP Server/get_oracle_details
    Tool(name="""Morpho API MCP Server_get_account_overview""", inputSchema={'properties': {'address': {'type': 'string'}, 'chainId': {'type': 'number'}}, 'required': ['address'], 'type': 'object'}, description="""Get account overview including positions and transactions."""), # crazyrabbitLTC/Morpho API MCP Server/get_account_overview
    Tool(name="""Morpho API MCP Server_get_liquidations""", inputSchema={'properties': {'endTimestamp': {'type': 'number'}, 'first': {'type': 'number'}, 'marketUniqueKeys': {'items': {'type': 'string'}, 'type': 'array'}, 'orderBy': {'enum': ['Timestamp', 'SeizedAssetsUsd', 'RepaidAssetsUsd'], 'type': 'string'}, 'orderDirection': {'enum': ['Asc', 'Desc'], 'type': 'string'}, 'skip': {'type': 'number'}, 'startTimestamp': {'type': 'number'}}, 'type': 'object'}, description="""Get liquidation events with filtering and pagination."""), # crazyrabbitLTC/Morpho API MCP Server/get_liquidations
    Tool(name="""Morpho API MCP Server_get_vault_allocation""", inputSchema={'properties': {'address': {'type': 'string'}, 'chainId': {'type': 'number'}}, 'required': ['address'], 'type': 'object'}, description="""Get vault allocation for a specific market."""), # crazyrabbitLTC/Morpho API MCP Server/get_vault_allocation
    Tool(name="""Morpho API MCP Server_get_vault_reallocates""", inputSchema={'properties': {'first': {'type': 'number'}, 'orderBy': {'enum': ['Timestamp'], 'type': 'string'}, 'orderDirection': {'enum': ['Asc', 'Desc'], 'type': 'string'}, 'skip': {'type': 'number'}, 'vaultAddress': {'type': 'string'}}, 'required': ['vaultAddress'], 'type': 'object'}, description="""Get vault reallocates for a specific vault."""), # crazyrabbitLTC/Morpho API MCP Server/get_vault_reallocates
    Tool(name="""Morpho API MCP Server_get_vault_apy_history""", inputSchema={'properties': {'address': {'type': 'string'}, 'options': {'properties': {'endTimestamp': {'type': 'number'}, 'interval': {'enum': ['HOUR', 'DAY', 'WEEK', 'MONTH'], 'type': 'string'}, 'startTimestamp': {'type': 'number'}}, 'required': ['startTimestamp', 'endTimestamp', 'interval'], 'type': 'object'}}, 'required': ['address', 'options'], 'type': 'object'}, description="""Get historical APY data for a vault."""), # crazyrabbitLTC/Morpho API MCP Server/get_vault_apy_history
    Tool(name="""Release Notes MCP Server_generate_release_notes""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'commitRange': {'additionalProperties': False, 'properties': {'fromCommit': {'type': 'string'}, 'toCommit': {'type': 'string'}}, 'type': 'object'}, 'format': {'additionalProperties': False, 'default': {}, 'properties': {'groupBy': {'default': 'type', 'enum': ['type', 'author', 'scope'], 'type': 'string'}, 'includeStats': {'default': False, 'type': 'boolean'}, 'template': {'type': 'string'}, 'type': {'default': 'markdown', 'enum': ['markdown', 'json', 'text'], 'type': 'string'}}, 'type': 'object'}, 'owner': {'type': 'string'}, 'repo': {'type': 'string'}, 'timeRange': {'additionalProperties': False, 'properties': {'from': {'type': 'string'}, 'to': {'type': 'string'}}, 'type': 'object'}}, 'required': ['owner', 'repo'], 'type': 'object'}, description="""Generate release notes from commits in a given timeframe or commit range"""), # nickbaumann98/Release Notes MCP Server/generate_release_notes
    Tool(name="""Release Notes MCP Server_analyze_commits""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'commitRange': {'additionalProperties': False, 'properties': {'fromCommit': {'type': 'string'}, 'toCommit': {'type': 'string'}}, 'type': 'object'}, 'owner': {'type': 'string'}, 'repo': {'type': 'string'}, 'timeRange': {'additionalProperties': False, 'properties': {'from': {'type': 'string'}, 'to': {'type': 'string'}}, 'type': 'object'}}, 'required': ['owner', 'repo'], 'type': 'object'}, description="""Analyze commits and provide statistics"""), # nickbaumann98/Release Notes MCP Server/analyze_commits
    Tool(name="""Release Notes MCP Server_configure_template""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'name': {'type': 'string'}, 'template': {'type': 'string'}}, 'required': ['name', 'template'], 'type': 'object'}, description="""Configure a custom template for release notes"""), # nickbaumann98/Release Notes MCP Server/configure_template
    Tool(name="""Tavily MCP Server_tavily-search""", inputSchema={'properties': {'days': {'default': 3, 'description': "The number of days back from the current date to include in the search results. This specifies the time frame of data to be retrieved. Please note that this feature is only available when using the 'news' search topic", 'type': 'number'}, 'exclude_domains': {'default': [], 'description': 'List of domains to specifically exclude, if the user asks to exclude a domain set this to the domain of the site', 'items': {'type': 'string'}, 'type': 'array'}, 'include_domains': {'default': [], 'description': 'A list of domains to specifically include in the search results, if the user asks to search on specific sites set this to the domain of the site', 'items': {'type': 'string'}, 'type': 'array'}, 'include_image_descriptions': {'default': False, 'description': 'Include a list of query-related images and their descriptions in the response', 'type': 'boolean'}, 'include_images': {'default': False, 'description': 'Include a list of query-related images in the response', 'type': 'boolean'}, 'include_raw_content': {'default': False, 'description': 'Include the cleaned and parsed HTML content of each search result', 'type': 'boolean'}, 'max_results': {'default': 10, 'description': 'The maximum number of search results to return', 'maximum': 20, 'minimum': 5, 'type': 'number'}, 'query': {'description': 'Search query', 'type': 'string'}, 'search_depth': {'default': 'basic', 'description': "The depth of the search. It can be 'basic' or 'advanced'", 'enum': ['basic', 'advanced'], 'type': 'string'}, 'time_range': {'description': "The time range back from the current date to include in the search results. This feature is available for both 'general' and 'news' search topics", 'enum': ['day', 'week', 'month', 'year', 'd', 'w', 'm', 'y'], 'type': 'string'}, 'topic': {'default': 'general', 'description': 'The category of the search. This will determine which of our agents will be used for the search', 'enum': ['general', 'news'], 'type': 'string'}}, 'required': ['query'], 'type': 'object'}, description="""A powerful web search tool that provides comprehensive, real-time results using Tavily's AI search engine. Returns relevant web content with customizable parameters for result count, content type, and domain filtering. Ideal for gathering current information, news, and detailed web content analysis."""), # tavily-ai/Tavily MCP Server/tavily-search
    Tool(name="""Tavily MCP Server_tavily-extract""", inputSchema={'properties': {'extract_depth': {'default': 'basic', 'description': "Depth of extraction - 'basic' or 'advanced', if usrls are linkedin use 'advanced' or if explicitly told to use advanced", 'enum': ['basic', 'advanced'], 'type': 'string'}, 'include_images': {'default': False, 'description': 'Include a list of images extracted from the urls in the response', 'type': 'boolean'}, 'urls': {'description': 'List of URLs to extract content from', 'items': {'type': 'string'}, 'type': 'array'}}, 'required': ['urls'], 'type': 'object'}, description="""A powerful web content extraction tool that retrieves and processes raw content from specified URLs, ideal for data collection, content analysis, and research tasks."""), # tavily-ai/Tavily MCP Server/tavily-extract
    Tool(name="""Code Research MCP Server_search_stackoverflow""", inputSchema={'properties': {'limit': {'description': 'Maximum number of results (default: 5)', 'maximum': 10, 'minimum': 1, 'type': 'number'}, 'query': {'description': 'Search query', 'type': 'string'}}, 'required': ['query'], 'type': 'object'}, description="""Search Stack Overflow for programming questions and answers"""), # nahmanmate/Code Research MCP Server/search_stackoverflow
    Tool(name="""Code Research MCP Server_search_mdn""", inputSchema={'properties': {'query': {'description': 'Search query', 'type': 'string'}}, 'required': ['query'], 'type': 'object'}, description="""Search MDN Web Docs for web development documentation"""), # nahmanmate/Code Research MCP Server/search_mdn
    Tool(name="""Code Research MCP Server_search_github""", inputSchema={'properties': {'language': {'description': 'Filter by programming language', 'type': 'string'}, 'limit': {'description': 'Maximum number of results per category (default: 5)', 'maximum': 10, 'minimum': 1, 'type': 'number'}, 'query': {'description': 'Search query', 'type': 'string'}}, 'required': ['query'], 'type': 'object'}, description="""Search GitHub for repositories and code"""), # nahmanmate/Code Research MCP Server/search_github
    Tool(name="""Code Research MCP Server_search_npm""", inputSchema={'properties': {'limit': {'description': 'Maximum number of results (default: 5)', 'maximum': 10, 'minimum': 1, 'type': 'number'}, 'query': {'description': 'Search query', 'type': 'string'}}, 'required': ['query'], 'type': 'object'}, description="""Search npm registry for JavaScript packages"""), # nahmanmate/Code Research MCP Server/search_npm
    Tool(name="""Code Research MCP Server_search_pypi""", inputSchema={'properties': {'query': {'description': 'Search query', 'type': 'string'}}, 'required': ['query'], 'type': 'object'}, description="""Search PyPI for Python packages"""), # nahmanmate/Code Research MCP Server/search_pypi
    Tool(name="""Code Research MCP Server_search_all""", inputSchema={'properties': {'limit': {'description': 'Maximum results per platform (1-5, default: 3)', 'maximum': 5, 'minimum': 1, 'type': 'number'}, 'query': {'description': 'Search query', 'type': 'string'}}, 'required': ['query'], 'type': 'object'}, description="""Search all platforms simultaneously"""), # nahmanmate/Code Research MCP Server/search_all
    Tool(name="""Better Auth MCP Server_analyze_project""", inputSchema={'properties': {'projectPath': {'description': 'Path to the project root', 'type': 'string'}}, 'required': ['projectPath'], 'type': 'object'}, description="""Analyze project structure and dependencies to recommend Better-Auth setup approach"""), # nahmanmate/Better Auth MCP Server/analyze_project
    Tool(name="""Better Auth MCP Server_setup_better_auth""", inputSchema={'properties': {'config': {'description': 'Better-Auth configuration options', 'properties': {'apiKey': {'type': 'string'}, 'environment': {'type': 'string'}, 'projectId': {'type': 'string'}}, 'required': ['projectId', 'apiKey'], 'type': 'object'}, 'projectPath': {'description': 'Path to the project root', 'type': 'string'}}, 'required': ['projectPath', 'config'], 'type': 'object'}, description="""Install and configure Better-Auth in the project"""), # nahmanmate/Better Auth MCP Server/setup_better_auth
    Tool(name="""Better Auth MCP Server_analyze_current_auth""", inputSchema={'properties': {'projectPath': {'description': 'Path to the project root', 'type': 'string'}}, 'required': ['projectPath'], 'type': 'object'}, description="""Detect and analyze existing auth.js/next-auth implementation"""), # nahmanmate/Better Auth MCP Server/analyze_current_auth
    Tool(name="""Better Auth MCP Server_generate_migration_plan""", inputSchema={'properties': {'currentAuthType': {'description': 'Current authentication system type', 'enum': ['auth.js', 'next-auth'], 'type': 'string'}, 'projectPath': {'description': 'Path to the project root', 'type': 'string'}}, 'required': ['projectPath', 'currentAuthType'], 'type': 'object'}, description="""Create step-by-step migration plan from existing auth to Better-Auth"""), # nahmanmate/Better Auth MCP Server/generate_migration_plan
    Tool(name="""Better Auth MCP Server_test_auth_flows""", inputSchema={'properties': {'flows': {'description': 'Authentication flows to test', 'items': {'enum': ['login', 'register', 'password-reset', '2fa'], 'type': 'string'}, 'type': 'array'}}, 'required': ['flows'], 'type': 'object'}, description="""Test authentication workflows"""), # nahmanmate/Better Auth MCP Server/test_auth_flows
    Tool(name="""Better Auth MCP Server_test_security""", inputSchema={'properties': {'tests': {'items': {'enum': ['password-policy', 'rate-limiting', 'session-management'], 'type': 'string'}, 'type': 'array'}}, 'required': ['tests'], 'type': 'object'}, description="""Run security tests on Better-Auth setup"""), # nahmanmate/Better Auth MCP Server/test_security
    Tool(name="""Better Auth MCP Server_analyze_logs""", inputSchema={'properties': {'timeRange': {'description': "Time range to analyze (e.g. '24h', '7d')", 'type': 'string'}}, 'required': ['timeRange'], 'type': 'object'}, description="""Analyze Better-Auth logs for issues"""), # nahmanmate/Better Auth MCP Server/analyze_logs
    Tool(name="""Better Auth MCP Server_monitor_auth_flows""", inputSchema={'properties': {'duration': {'description': "Monitoring duration (e.g. '1h', '30m')", 'type': 'string'}}, 'required': ['duration'], 'type': 'object'}, description="""Real-time monitoring of authentication processes"""), # nahmanmate/Better Auth MCP Server/monitor_auth_flows
    Tool(name="""DeepSeek-Claude MCP Server_reason""", inputSchema={'properties': {'query': {'title': 'Query', 'type': 'object'}}, 'required': ['query'], 'title': 'reasonArguments', 'type': 'object'}, description="""\n    Process a query using DeepSeek's R1 reasoning engine and prepare it for integration with Claude.\n\n    DeepSeek R1 leverages advanced reasoning capabilities that naturally evolved from large-scale \n    reinforcement learning, enabling sophisticated reasoning behaviors. The output is enclosed \n    within `<ant_thinking>` tags to align with Claude's thought processing framework.\n\n    Args:\n        query (dict): Contains the following keys:\n            - context (str): Optional background information for the query.\n            - question (str): The specific question to be analyzed.\n\n    Returns:\n        str: The reasoning output from DeepSeek, formatted with `<ant_thinking>` tags for seamless use with Claude.\n    """), # HarshJ23/DeepSeek-Claude MCP Server/reason
    Tool(name="""Trello MCP Server_get_boards""", inputSchema={'properties': {}, 'title': 'get_boardsArguments', 'type': 'object'}, description="""Get all boards for the authenticated user"""), # andypost/Trello MCP Server/get_boards
    Tool(name="""Trello MCP Server_get_lists""", inputSchema={'properties': {'request': {'properties': {'board_id': {'description': 'ID of the board', 'type': 'string'}}, 'required': ['board_id'], 'type': 'object'}}, 'required': ['request'], 'title': 'get_listsArguments', 'type': 'object'}, description="""Get all lists in a board"""), # andypost/Trello MCP Server/get_lists
    Tool(name="""Trello MCP Server_get_cards""", inputSchema={'properties': {'request': {'properties': {'board_id': {'description': 'ID of the board', 'type': 'string'}, 'list_id': {'description': 'Optional ID of a specific list', 'type': 'string'}}, 'required': ['board_id'], 'type': 'object'}}, 'required': ['request'], 'title': 'get_cardsArguments', 'type': 'object'}, description="""Get cards from a board or specific list"""), # andypost/Trello MCP Server/get_cards
    Tool(name="""Trello MCP Server_get_card_details""", inputSchema={'properties': {'request': {'properties': {'card_id': {'description': 'ID of the card', 'type': 'string'}}, 'required': ['card_id'], 'type': 'object'}}, 'required': ['request'], 'title': 'get_card_detailsArguments', 'type': 'object'}, description="""Get detailed information about a specific card"""), # andypost/Trello MCP Server/get_card_details
    Tool(name="""Trello MCP Server_update_card""", inputSchema={'properties': {'request': {'properties': {'card_id': {'description': 'ID of the card', 'type': 'string'}, 'update_data': {'additionalProperties': True, 'description': 'Properties to update on the card', 'type': 'object'}}, 'required': ['card_id', 'update_data'], 'type': 'object'}}, 'required': ['request'], 'title': 'update_cardArguments', 'type': 'object'}, description="""Update properties of a specific card"""), # andypost/Trello MCP Server/update_card
    Tool(name="""IaC Memory MCP Server_get_ansible_collection_info""", inputSchema={'description': 'Retrieve comprehensive information about an Ansible collection', 'properties': {'collection_name': {'description': 'Name of the Ansible collection', 'type': 'string'}}, 'required': ['collection_name'], 'type': 'object'}, description="""Retrieve comprehensive information about an Ansible collection"""), # AgentWong/IaC Memory MCP Server/get_ansible_collection_info
    Tool(name="""IaC Memory MCP Server_list_provider_resources""", inputSchema={'description': 'List all resources associated with a specific Terraform provider', 'properties': {'filter_criteria': {'description': 'Optional filtering criteria', 'properties': {'type_pattern': {'description': 'Regex pattern to filter resource types', 'type': 'string'}}, 'type': 'object'}, 'provider_name': {'description': 'Name of the Terraform provider', 'type': 'string'}}, 'required': ['provider_name'], 'type': 'object'}, description="""List all resources associated with a specific Terraform provider"""), # AgentWong/IaC Memory MCP Server/list_provider_resources
    Tool(name="""IaC Memory MCP Server_get_terraform_provider_info""", inputSchema={'description': 'Retrieve comprehensive information about a Terraform provider', 'properties': {'provider_name': {'description': 'Name of the Terraform provider', 'type': 'string'}}, 'required': ['provider_name'], 'type': 'object'}, description="""Retrieve comprehensive information about a Terraform provider"""), # AgentWong/IaC Memory MCP Server/get_terraform_provider_info
    Tool(name="""IaC Memory MCP Server_list_terraform_providers""", inputSchema={'description': 'List all cached Terraform providers with basic metadata', 'properties': {'filter_criteria': {'description': 'Optional filtering criteria', 'properties': {'name_pattern': {'description': 'Regex pattern to filter provider names', 'type': 'string'}}, 'type': 'object'}}, 'required': [], 'type': 'object'}, description="""List all cached Terraform providers with basic metadata"""), # AgentWong/IaC Memory MCP Server/list_terraform_providers
    Tool(name="""IaC Memory MCP Server_get_provider_version_history""", inputSchema={'description': 'Retrieve version history for a specific Terraform provider', 'properties': {'provider_name': {'description': 'Name of the Terraform provider', 'type': 'string'}}, 'required': ['provider_name'], 'type': 'object'}, description="""Retrieve version history for a specific Terraform provider"""), # AgentWong/IaC Memory MCP Server/get_provider_version_history
    Tool(name="""IaC Memory MCP Server_get_terraform_resource_info""", inputSchema={'description': 'Retrieve comprehensive information about a Terraform resource including schema and documentation', 'properties': {'provider_name': {'description': 'Name of the Terraform provider', 'type': 'string'}, 'resource_name': {'description': 'Name of the resource', 'type': 'string'}}, 'required': ['provider_name', 'resource_name'], 'type': 'object'}, description="""Retrieve comprehensive information about a Terraform resource including schema and documentation"""), # AgentWong/IaC Memory MCP Server/get_terraform_resource_info
    Tool(name="""IaC Memory MCP Server_list_ansible_collections""", inputSchema={'description': 'List all cached Ansible collections with basic metadata', 'properties': {'filter_criteria': {'description': 'Optional filtering criteria', 'properties': {'name_pattern': {'description': 'Regex pattern to filter collection names', 'type': 'string'}}, 'type': 'object'}}, 'required': [], 'type': 'object'}, description="""List all cached Ansible collections with basic metadata"""), # AgentWong/IaC Memory MCP Server/list_ansible_collections
    Tool(name="""IaC Memory MCP Server_get_collection_version_history""", inputSchema={'description': 'Retrieve version history for a specific Ansible collection', 'properties': {'collection_name': {'description': 'Name of the Ansible collection', 'type': 'string'}}, 'required': ['collection_name'], 'type': 'object'}, description="""Retrieve version history for a specific Ansible collection"""), # AgentWong/IaC Memory MCP Server/get_collection_version_history
    Tool(name="""IaC Memory MCP Server_get_ansible_module_info""", inputSchema={'description': 'Retrieve comprehensive information about an Ansible module including schema and documentation', 'properties': {'collection_name': {'description': 'Name of the Ansible collection', 'type': 'string'}, 'module_name': {'description': 'Name of the module', 'type': 'string'}}, 'required': ['collection_name', 'module_name'], 'type': 'object'}, description="""Retrieve comprehensive information about an Ansible module including schema and documentation"""), # AgentWong/IaC Memory MCP Server/get_ansible_module_info
    Tool(name="""IaC Memory MCP Server_get_resource_version_compatibility""", inputSchema={'description': 'Check resource compatibility across provider versions', 'properties': {'provider_name': {'description': 'Name of the Terraform provider', 'type': 'string'}, 'resource_name': {'description': 'Name of the resource to check', 'type': 'string'}, 'version': {'description': 'Target provider version to check compatibility against', 'type': 'string'}}, 'required': ['provider_name', 'resource_name', 'version'], 'type': 'object'}, description="""Check resource compatibility across provider versions"""), # AgentWong/IaC Memory MCP Server/get_resource_version_compatibility
    Tool(name="""IaC Memory MCP Server_add_terraform_provider""", inputSchema={'description': 'Add a new Terraform provider to the memory store with version and documentation information', 'properties': {'doc_url': {'description': 'Documentation URL', 'type': 'string'}, 'name': {'description': 'Provider name', 'type': 'string'}, 'source_url': {'description': 'Source repository URL', 'type': 'string'}, 'version': {'description': 'Provider version', 'type': 'string'}}, 'required': ['name', 'version', 'source_url', 'doc_url'], 'type': 'object'}, description="""Add a new Terraform provider to the memory store with version and documentation information"""), # AgentWong/IaC Memory MCP Server/add_terraform_provider
    Tool(name="""IaC Memory MCP Server_update_provider_version""", inputSchema={'description': "Update an existing Terraform provider's version information and documentation links", 'properties': {'new_doc_url': {'description': 'New documentation URL', 'type': 'string'}, 'new_source_url': {'description': 'New source URL', 'type': 'string'}, 'new_version': {'description': 'New version', 'type': 'string'}, 'provider_name': {'description': 'Name of the provider', 'type': 'string'}}, 'required': ['provider_name', 'new_version'], 'type': 'object'}, description="""Update an existing Terraform provider's version information and documentation links"""), # AgentWong/IaC Memory MCP Server/update_provider_version
    Tool(name="""IaC Memory MCP Server_add_terraform_resource""", inputSchema={'description': 'Add a new Terraform resource definition with its schema and version information', 'properties': {'doc_url': {'description': 'Documentation URL', 'type': 'string'}, 'name': {'description': 'Resource name', 'type': 'string'}, 'provider_id': {'description': 'Provider ID', 'type': 'string'}, 'resource_type': {'description': 'Resource type', 'type': 'string'}, 'schema': {'description': 'Resource schema', 'type': 'string'}, 'version': {'description': 'Resource version', 'type': 'string'}}, 'required': ['provider', 'name', 'resource_type', 'schema', 'version', 'doc_url'], 'type': 'object'}, description="""Add a new Terraform resource definition with its schema and version information"""), # AgentWong/IaC Memory MCP Server/add_terraform_resource
    Tool(name="""IaC Memory MCP Server_update_resource_schema""", inputSchema={'description': "Update an existing Terraform resource's schema and related information", 'properties': {'new_doc_url': {'description': 'New documentation URL', 'type': 'string'}, 'new_schema': {'description': 'New schema', 'type': 'string'}, 'new_version': {'description': 'New version', 'type': 'string'}, 'resource_id': {'description': 'Resource ID', 'type': 'string'}}, 'required': ['resource_id', 'new_schema'], 'type': 'object'}, description="""Update an existing Terraform resource's schema and related information"""), # AgentWong/IaC Memory MCP Server/update_resource_schema
    Tool(name="""IaC Memory MCP Server_add_ansible_collection""", inputSchema={'description': 'Add a new Ansible collection to the memory store with version and documentation information', 'properties': {'doc_url': {'description': 'Documentation URL', 'type': 'string'}, 'name': {'description': 'Collection name', 'type': 'string'}, 'source_url': {'description': 'Source repository URL', 'type': 'string'}, 'version': {'description': 'Collection version', 'type': 'string'}}, 'required': ['name', 'version', 'source_url', 'doc_url'], 'type': 'object'}, description="""Add a new Ansible collection to the memory store with version and documentation information"""), # AgentWong/IaC Memory MCP Server/add_ansible_collection
    Tool(name="""IaC Memory MCP Server_update_collection_version""", inputSchema={'description': "Update an existing Ansible collection's version information and documentation links", 'properties': {'collection_id': {'description': 'Collection ID', 'type': 'string'}, 'new_doc_url': {'description': 'New documentation URL', 'type': 'string'}, 'new_source_url': {'description': 'New source URL', 'type': 'string'}, 'new_version': {'description': 'New version', 'type': 'string'}}, 'required': ['collection_id', 'new_version'], 'type': 'object'}, description="""Update an existing Ansible collection's version information and documentation links"""), # AgentWong/IaC Memory MCP Server/update_collection_version
    Tool(name="""IaC Memory MCP Server_add_ansible_module""", inputSchema={'description': 'Add a new Ansible module definition with its schema and version information', 'properties': {'collection': {'description': 'Collection ID or name', 'type': 'string'}, 'doc_url': {'description': 'Documentation URL', 'type': 'string'}, 'module_type': {'description': 'Module type', 'type': 'string'}, 'name': {'description': 'Module name', 'type': 'string'}, 'schema': {'description': 'Module schema', 'type': 'string'}, 'version': {'description': 'Module version', 'type': 'string'}}, 'required': ['collection', 'name', 'module_type', 'schema', 'version', 'doc_url'], 'type': 'object'}, description="""Add a new Ansible module definition with its schema and version information"""), # AgentWong/IaC Memory MCP Server/add_ansible_module
    Tool(name="""IaC Memory MCP Server_update_module_version""", inputSchema={'description': "Update an existing Ansible module's schema and related information", 'properties': {'module_id': {'description': 'Module ID', 'type': 'string'}, 'new_doc_url': {'description': 'New documentation URL', 'type': 'string'}, 'new_schema': {'description': 'New schema', 'type': 'string'}, 'new_version': {'description': 'New version', 'type': 'string'}}, 'required': ['module_id', 'new_schema'], 'type': 'object'}, description="""Update an existing Ansible module's schema and related information"""), # AgentWong/IaC Memory MCP Server/update_module_version
    Tool(name="""IaC Memory MCP Server_get_module_version_compatibility""", inputSchema={'description': 'Check module compatibility across collection versions', 'properties': {'collection_name': {'description': 'Name of the Ansible collection', 'type': 'string'}, 'module_name': {'description': 'Name of the module to check', 'type': 'string'}, 'version': {'description': 'Target collection version to check compatibility against', 'type': 'string'}}, 'required': ['collection_name', 'module_name', 'version'], 'type': 'object'}, description="""Check module compatibility across collection versions"""), # AgentWong/IaC Memory MCP Server/get_module_version_compatibility
    Tool(name="""IaC Memory MCP Server_create_entity""", inputSchema={'description': 'Create a new entity in the knowledge graph with optional initial observations', 'properties': {'name': {'description': 'Entity name', 'type': 'string'}, 'observation': {'description': 'Initial observation', 'type': 'string'}, 'type': {'description': 'Entity type', 'type': 'string'}}, 'required': ['name', 'type'], 'type': 'object'}, description="""Create a new entity in the knowledge graph with optional initial observations"""), # AgentWong/IaC Memory MCP Server/create_entity
    Tool(name="""IaC Memory MCP Server_update_entity""", inputSchema={'description': "Update an existing entity's properties and add new observations", 'properties': {'id': {'description': 'Entity ID', 'type': 'string'}, 'name': {'description': 'New name', 'type': 'string'}, 'observation': {'description': 'New observation', 'type': 'string'}, 'type': {'description': 'New type', 'type': 'string'}}, 'required': ['id'], 'type': 'object'}, description="""Update an existing entity's properties and add new observations"""), # AgentWong/IaC Memory MCP Server/update_entity
    Tool(name="""IaC Memory MCP Server_delete_entity""", inputSchema={'description': 'Remove an entity and its relationships from the knowledge graph', 'properties': {'id': {'description': 'Entity ID', 'type': 'string'}}, 'required': ['id'], 'type': 'object'}, description="""Remove an entity and its relationships from the knowledge graph"""), # AgentWong/IaC Memory MCP Server/delete_entity
    Tool(name="""IaC Memory MCP Server_view_relationships""", inputSchema={'description': 'Retrieve all relationships and observations for a specific entity', 'properties': {'entity_id': {'description': 'Entity ID', 'type': 'string'}}, 'required': ['entity_id'], 'type': 'object'}, description="""Retrieve all relationships and observations for a specific entity"""), # AgentWong/IaC Memory MCP Server/view_relationships
    Tool(name="""Browser Use Server_screenshot""", inputSchema={'properties': {'full_page': {'default': False, 'description': 'Whether to capture the full page or just the viewport', 'type': 'boolean'}, 'steps': {'description': 'Comma-separated actions or sentences describing steps to take after page load (e.g., "click #submit, scroll down" or "Fill the login form and submit")', 'type': 'string'}, 'url': {'description': 'The URL to navigate to', 'type': 'string'}}, 'required': ['url'], 'type': 'object'}, description="""Take a screenshot of a webpage"""), # ztobs/Browser Use Server/screenshot
    Tool(name="""Browser Use Server_get_html""", inputSchema={'properties': {'steps': {'description': 'Comma-separated actions or sentences describing steps to take after page load (e.g., "click #submit, scroll down" or "Fill the login form and submit")', 'type': 'string'}, 'url': {'description': 'The URL to navigate to', 'type': 'string'}}, 'required': ['url'], 'type': 'object'}, description="""Get the HTML content of a webpage"""), # ztobs/Browser Use Server/get_html
    Tool(name="""Browser Use Server_execute_js""", inputSchema={'properties': {'script': {'description': 'The JavaScript code to execute', 'type': 'string'}, 'steps': {'description': 'Comma-separated actions or sentences describing steps to take after page load (e.g., "click #submit, scroll down" or "Fill the login form and submit")', 'type': 'string'}, 'url': {'description': 'The URL to navigate to', 'type': 'string'}}, 'required': ['url', 'script'], 'type': 'object'}, description="""Execute JavaScript code on a webpage"""), # ztobs/Browser Use Server/execute_js
    Tool(name="""Browser Use Server_get_console_logs""", inputSchema={'properties': {'steps': {'description': 'Comma-separated actions or sentences describing steps to take after page load (e.g., "click #submit, scroll down" or "Fill the login form and submit")', 'type': 'string'}, 'url': {'description': 'The URL to navigate to', 'type': 'string'}}, 'required': ['url'], 'type': 'object'}, description="""Get the console logs of a webpage"""), # ztobs/Browser Use Server/get_console_logs
    Tool(name="""Skrape MCP Server_get_markdown""", inputSchema={'properties': {'options': {'default': {'renderJs': True}, 'description': 'Additional scraping options', 'properties': {'renderJs': {'default': True, 'description': 'Whether to render the JavaScript content of the website', 'type': 'boolean'}}, 'type': 'object'}, 'returnJson': {'default': False, 'description': 'Whether to return JSON response (true) or raw markdown (false)', 'type': 'boolean'}, 'url': {'description': 'URL of the webpage to scrape', 'type': 'string'}}, 'required': ['url'], 'type': 'object'}, description="""Get markdown content from a webpage using skrape.ai"""), # skrapeai/Skrape MCP Server/get_markdown
    Tool(name="""Postman Tool Generation MCP Server_generate_ai_tool""", inputSchema={'properties': {'agentFramework': {'description': 'AI agent framework to use', 'enum': ['openai', 'mistral', 'gemini', 'anthropic', 'langchain', 'autogen'], 'type': 'string'}, 'collectionId': {'description': 'The Public API Network collection ID', 'type': 'string'}, 'language': {'description': 'Programming language to use', 'enum': ['javascript', 'typescript'], 'type': 'string'}, 'requestId': {'description': 'The public request ID', 'type': 'string'}}, 'required': ['collectionId', 'requestId', 'language', 'agentFramework'], 'type': 'object'}, description="""Generate code for an AI agent tool using a Postman collection and request"""), # giovannicocco/Postman Tool Generation MCP Server/generate_ai_tool
    Tool(name="""MCP Spotify Server_get_artist_top_tracks""", inputSchema={'properties': {'id': {'description': 'The Spotify ID or URI for the artist', 'type': 'string'}, 'market': {'description': 'Optional. An ISO 3166-1 alpha-2 country code', 'type': 'string'}}, 'required': ['id'], 'type': 'object'}, description="""Get Spotify catalog information about an artist's top tracks"""), # superseoworld/MCP Spotify Server/get_artist_top_tracks
    Tool(name="""MCP Spotify Server_get_artist_related_artists""", inputSchema={'properties': {'id': {'description': 'The Spotify ID or URI for the artist', 'type': 'string'}}, 'required': ['id'], 'type': 'object'}, description="""Get Spotify catalog information about artists similar to a given artist"""), # superseoworld/MCP Spotify Server/get_artist_related_artists
    Tool(name="""MCP Spotify Server_get_access_token""", inputSchema={'properties': {}, 'required': [], 'type': 'object'}, description="""Get a valid Spotify access token for API requests"""), # superseoworld/MCP Spotify Server/get_access_token
    Tool(name="""MCP Spotify Server_search""", inputSchema={'properties': {'limit': {'default': 20, 'description': 'Maximum number of results (1-50)', 'maximum': 50, 'minimum': 1, 'type': 'number'}, 'query': {'description': 'Search query', 'type': 'string'}, 'type': {'description': 'Type of item to search for', 'enum': ['track', 'album', 'artist', 'playlist'], 'type': 'string'}}, 'required': ['query', 'type'], 'type': 'object'}, description="""Search for tracks, albums, artists, or playlists"""), # superseoworld/MCP Spotify Server/search
    Tool(name="""MCP Spotify Server_get_artist""", inputSchema={'properties': {'id': {'description': 'The Spotify ID or URI for the artist', 'type': 'string'}}, 'required': ['id'], 'type': 'object'}, description="""Get Spotify catalog information for an artist"""), # superseoworld/MCP Spotify Server/get_artist
    Tool(name="""MCP Spotify Server_get_multiple_artists""", inputSchema={'properties': {'ids': {'description': 'Array of Spotify artist IDs or URIs (max 50)', 'items': {'type': 'string'}, 'maxItems': 50, 'type': 'array'}}, 'required': ['ids'], 'type': 'object'}, description="""Get Spotify catalog information for multiple artists"""), # superseoworld/MCP Spotify Server/get_multiple_artists
    Tool(name="""MCP Spotify Server_get_artist_albums""", inputSchema={'properties': {'id': {'description': 'The Spotify ID or URI for the artist', 'type': 'string'}, 'include_groups': {'description': 'Optional. Filter by album types', 'items': {'enum': ['album', 'single', 'appears_on', 'compilation'], 'type': 'string'}, 'type': 'array'}, 'limit': {'default': 20, 'description': 'Maximum number of albums to return (1-50)', 'maximum': 50, 'minimum': 1, 'type': 'number'}, 'offset': {'default': 0, 'description': 'The index of the first album to return', 'minimum': 0, 'type': 'number'}}, 'required': ['id'], 'type': 'object'}, description="""Get Spotify catalog information about an artist's albums"""), # superseoworld/MCP Spotify Server/get_artist_albums
    Tool(name="""MCP Spotify Server_get_album""", inputSchema={'properties': {'id': {'description': 'The Spotify ID or URI for the album', 'type': 'string'}}, 'required': ['id'], 'type': 'object'}, description="""Get Spotify catalog information for an album"""), # superseoworld/MCP Spotify Server/get_album
    Tool(name="""MCP Spotify Server_get_album_tracks""", inputSchema={'properties': {'id': {'description': 'The Spotify ID or URI for the album', 'type': 'string'}, 'limit': {'default': 20, 'description': 'Maximum number of tracks to return (1-50)', 'maximum': 50, 'minimum': 1, 'type': 'number'}, 'offset': {'default': 0, 'description': 'The index of the first track to return', 'minimum': 0, 'type': 'number'}}, 'required': ['id'], 'type': 'object'}, description="""Get Spotify catalog information for an album's tracks"""), # superseoworld/MCP Spotify Server/get_album_tracks
    Tool(name="""MCP Spotify Server_get_multiple_albums""", inputSchema={'properties': {'ids': {'description': 'Array of Spotify album IDs or URIs (max 20)', 'items': {'type': 'string'}, 'maxItems': 20, 'type': 'array'}}, 'required': ['ids'], 'type': 'object'}, description="""Get Spotify catalog information for multiple albums"""), # superseoworld/MCP Spotify Server/get_multiple_albums
    Tool(name="""MCP Spotify Server_get_track""", inputSchema={'properties': {'id': {'description': 'The Spotify ID or URI for the track', 'type': 'string'}}, 'required': ['id'], 'type': 'object'}, description="""Get Spotify catalog information for a track"""), # superseoworld/MCP Spotify Server/get_track
    Tool(name="""MCP Spotify Server_get_available_genres""", inputSchema={'properties': {}, 'required': [], 'type': 'object'}, description="""Get a list of available genres for recommendations"""), # superseoworld/MCP Spotify Server/get_available_genres
    Tool(name="""MCP Spotify Server_get_new_releases""", inputSchema={'properties': {'country': {'description': 'Optional. A country code (ISO 3166-1 alpha-2)', 'type': 'string'}, 'limit': {'default': 20, 'description': 'Maximum number of releases to return (1-50)', 'maximum': 50, 'minimum': 1, 'type': 'number'}, 'offset': {'default': 0, 'description': 'The index of the first release to return', 'minimum': 0, 'type': 'number'}}, 'type': 'object'}, description="""Get a list of new album releases featured in Spotify"""), # superseoworld/MCP Spotify Server/get_new_releases
    Tool(name="""MCP Spotify Server_get_recommendations""", inputSchema={'properties': {'limit': {'default': 20, 'description': 'Maximum number of recommendations (1-100)', 'maximum': 100, 'minimum': 1, 'type': 'number'}, 'seed_artists': {'description': 'Array of Spotify artist IDs or URIs', 'items': {'type': 'string'}, 'type': 'array'}, 'seed_genres': {'description': 'Array of genre names', 'items': {'type': 'string'}, 'type': 'array'}, 'seed_tracks': {'description': 'Array of Spotify track IDs or URIs', 'items': {'type': 'string'}, 'type': 'array'}}, 'required': [], 'type': 'object'}, description="""Get track recommendations based on seed tracks, artists, or genres"""), # superseoworld/MCP Spotify Server/get_recommendations
    Tool(name="""MCP Spotify Server_get_audiobook""", inputSchema={'properties': {'id': {'description': 'The Spotify ID or URI for the audiobook', 'type': 'string'}, 'market': {'description': 'Optional. An ISO 3166-1 alpha-2 country code', 'type': 'string'}}, 'required': ['id'], 'type': 'object'}, description="""Get Spotify catalog information for an audiobook"""), # superseoworld/MCP Spotify Server/get_audiobook
    Tool(name="""MCP Spotify Server_get_multiple_audiobooks""", inputSchema={'properties': {'ids': {'description': 'Array of Spotify audiobook IDs or URIs (max 50)', 'items': {'type': 'string'}, 'maxItems': 50, 'type': 'array'}, 'market': {'description': 'Optional. An ISO 3166-1 alpha-2 country code', 'type': 'string'}}, 'required': ['ids'], 'type': 'object'}, description="""Get Spotify catalog information for multiple audiobooks"""), # superseoworld/MCP Spotify Server/get_multiple_audiobooks
    Tool(name="""MCP Spotify Server_get_audiobook_chapters""", inputSchema={'properties': {'id': {'description': 'The Spotify ID or URI for the audiobook', 'type': 'string'}, 'limit': {'description': 'Maximum number of chapters to return (1-50)', 'maximum': 50, 'minimum': 1, 'type': 'number'}, 'market': {'description': 'Optional. An ISO 3166-1 alpha-2 country code', 'type': 'string'}, 'offset': {'description': 'The index of the first chapter to return', 'minimum': 0, 'type': 'number'}}, 'required': ['id'], 'type': 'object'}, description="""Get Spotify catalog information about an audiobook's chapters"""), # superseoworld/MCP Spotify Server/get_audiobook_chapters
    Tool(name="""MCP Spotify Server_get_playlist""", inputSchema={'properties': {'id': {'description': 'The Spotify ID or URI of the playlist', 'type': 'string'}, 'market': {'description': 'Optional. An ISO 3166-1 alpha-2 country code', 'type': 'string'}}, 'required': ['id'], 'type': 'object'}, description="""Get a playlist owned by a Spotify user"""), # superseoworld/MCP Spotify Server/get_playlist
    Tool(name="""MCP Spotify Server_get_playlist_tracks""", inputSchema={'properties': {'fields': {'description': 'Optional. Filters for the query', 'type': 'string'}, 'id': {'description': 'The Spotify ID or URI of the playlist', 'type': 'string'}, 'limit': {'description': 'Optional. Maximum number of tracks to return (1-100)', 'maximum': 100, 'minimum': 1, 'type': 'number'}, 'market': {'description': 'Optional. An ISO 3166-1 alpha-2 country code', 'type': 'string'}, 'offset': {'description': 'Optional. Index of the first track to return', 'minimum': 0, 'type': 'number'}}, 'required': ['id'], 'type': 'object'}, description="""Get full details of the tracks of a playlist"""), # superseoworld/MCP Spotify Server/get_playlist_tracks
    Tool(name="""MCP Spotify Server_get_playlist_items""", inputSchema={'properties': {'fields': {'description': 'Optional. Filters for the query', 'type': 'string'}, 'id': {'description': 'The Spotify ID or URI of the playlist', 'type': 'string'}, 'limit': {'description': 'Optional. Maximum number of items to return (1-100)', 'maximum': 100, 'minimum': 1, 'type': 'number'}, 'market': {'description': 'Optional. An ISO 3166-1 alpha-2 country code', 'type': 'string'}, 'offset': {'description': 'Optional. Index of the first item to return', 'minimum': 0, 'type': 'number'}}, 'required': ['id'], 'type': 'object'}, description="""Get full details of the items of a playlist"""), # superseoworld/MCP Spotify Server/get_playlist_items
    Tool(name="""MCP Spotify Server_modify_playlist""", inputSchema={'properties': {'collaborative': {'description': 'Optional. If true, the playlist will become collaborative', 'type': 'boolean'}, 'description': {'description': 'Optional. New description for the playlist', 'type': 'string'}, 'id': {'description': 'The Spotify ID or URI of the playlist', 'type': 'string'}, 'name': {'description': 'Optional. New name for the playlist', 'type': 'string'}, 'public': {'description': 'Optional. If true the playlist will be public', 'type': 'boolean'}}, 'required': ['id'], 'type': 'object'}, description="""Change a playlist's name and public/private state"""), # superseoworld/MCP Spotify Server/modify_playlist
    Tool(name="""MCP Spotify Server_get_current_user_playlists""", inputSchema={'properties': {'limit': {'description': 'Maximum number of playlists to return (1-50)', 'maximum': 50, 'minimum': 1, 'type': 'number'}, 'offset': {'description': 'The index of the first playlist to return', 'minimum': 0, 'type': 'number'}}, 'type': 'object'}, description="""Get a list of the playlists owned or followed by the current Spotify user"""), # superseoworld/MCP Spotify Server/get_current_user_playlists
    Tool(name="""MCP Spotify Server_add_tracks_to_playlist""", inputSchema={'properties': {'id': {'description': 'The Spotify ID or URI of the playlist', 'type': 'string'}, 'position': {'description': 'Optional. The position to insert the tracks (zero-based)', 'minimum': 0, 'type': 'number'}, 'uris': {'description': 'Array of Spotify track URIs to add', 'items': {'type': 'string'}, 'type': 'array'}}, 'required': ['id', 'uris'], 'type': 'object'}, description="""Add one or more tracks to a playlist"""), # superseoworld/MCP Spotify Server/add_tracks_to_playlist
    Tool(name="""MCP Spotify Server_remove_tracks_from_playlist""", inputSchema={'properties': {'id': {'description': 'The Spotify ID or URI of the playlist', 'type': 'string'}, 'snapshot_id': {'description': "Optional. The playlist's snapshot ID", 'type': 'string'}, 'tracks': {'description': 'Array of objects containing Spotify track URIs to remove', 'items': {'properties': {'positions': {'description': 'Optional positions of the track to remove', 'items': {'type': 'number'}, 'type': 'array'}, 'uri': {'description': 'Spotify URI of the track to remove', 'type': 'string'}}, 'required': ['uri'], 'type': 'object'}, 'type': 'array'}}, 'required': ['id', 'tracks'], 'type': 'object'}, description="""Remove one or more tracks from a playlist"""), # superseoworld/MCP Spotify Server/remove_tracks_from_playlist
    Tool(name="""MCP Spotify Server_get_featured_playlists""", inputSchema={'properties': {'limit': {'description': 'Optional. Maximum number of playlists (1-50)', 'maximum': 50, 'minimum': 1, 'type': 'number'}, 'locale': {'description': 'Optional. Desired language (format: es_MX)', 'type': 'string'}, 'offset': {'description': 'Optional. Index of the first playlist to return', 'minimum': 0, 'type': 'number'}}, 'type': 'object'}, description="""Get a list of Spotify featured playlists"""), # superseoworld/MCP Spotify Server/get_featured_playlists
    Tool(name="""MCP Spotify Server_get_category_playlists""", inputSchema={'properties': {'category_id': {'description': 'The Spotify category ID', 'type': 'string'}, 'limit': {'description': 'Optional. Maximum number of playlists (1-50)', 'maximum': 50, 'minimum': 1, 'type': 'number'}, 'offset': {'description': 'Optional. Index of the first playlist to return', 'minimum': 0, 'type': 'number'}}, 'required': ['category_id'], 'type': 'object'}, description="""Get a list of Spotify playlists tagged with a particular category"""), # superseoworld/MCP Spotify Server/get_category_playlists
    Tool(name="""Zotero MCP Server_zotero_item_metadata""", inputSchema={'properties': {'item_key': {'title': 'Item Key', 'type': 'string'}}, 'required': ['item_key'], 'title': 'get_item_metadataArguments', 'type': 'object'}, description="""Get metadata information about a specific Zotero item, given the item key."""), # kujenga/Zotero MCP Server/zotero_item_metadata
    Tool(name="""Zotero MCP Server_zotero_item_fulltext""", inputSchema={'properties': {'item_key': {'title': 'Item Key', 'type': 'string'}}, 'required': ['item_key'], 'title': 'get_item_fulltextArguments', 'type': 'object'}, description="""Get the full text content of a Zotero item, given the item key of a parent item or specific attachment."""), # kujenga/Zotero MCP Server/zotero_item_fulltext
    Tool(name="""Zotero MCP Server_zotero_search_items""", inputSchema={'properties': {'limit': {'anyOf': [{'type': 'integer'}, {'type': 'null'}], 'default': 10, 'title': 'Limit'}, 'qmode': {'anyOf': [{'enum': ['titleCreatorYear', 'everything'], 'type': 'string'}, {'type': 'null'}], 'default': 'titleCreatorYear', 'title': 'Qmode'}, 'query': {'title': 'Query', 'type': 'string'}, 'tag': {'anyOf': [{'type': 'string'}, {'type': 'null'}], 'default': None, 'title': 'Tag'}}, 'required': ['query'], 'title': 'search_itemsArguments', 'type': 'object'}, description="""Search for items in your Zotero library, given a query string, query mode (titleCreatorYear or everything), and optional tag search (supports boolean searches). Returned results can be looked up with zotero_get_fulltext or zotero_get_metadata."""), # kujenga/Zotero MCP Server/zotero_search_items
    Tool(name="""Modes MCP Server_list_modes""", inputSchema={'properties': {}, 'type': 'object'}, description="""List all custom modes"""), # ccc0168/Modes MCP Server/list_modes
    Tool(name="""Modes MCP Server_get_mode""", inputSchema={'properties': {'slug': {'description': 'Slug of the mode to retrieve', 'type': 'string'}}, 'required': ['slug'], 'type': 'object'}, description="""Get details of a specific mode"""), # ccc0168/Modes MCP Server/get_mode
    Tool(name="""Modes MCP Server_create_mode""", inputSchema={'properties': {'customInstructions': {'description': 'Optional additional instructions for the mode', 'type': 'string'}, 'groups': {'description': 'Array of allowed tool groups', 'items': {'oneOf': [{'type': 'string'}, {'items': [{'type': 'string'}, {'properties': {'description': {'type': 'string'}, 'fileRegex': {'type': 'string'}}, 'required': ['fileRegex', 'description'], 'type': 'object'}], 'type': 'array'}]}, 'type': 'array'}, 'name': {'description': 'Display name for the mode', 'type': 'string'}, 'roleDefinition': {'description': "Detailed description of the mode's role and capabilities", 'type': 'string'}, 'slug': {'description': 'Unique slug for the mode (lowercase letters, numbers, and hyphens)', 'type': 'string'}}, 'required': ['slug', 'name', 'roleDefinition', 'groups'], 'type': 'object'}, description="""Create a new custom mode"""), # ccc0168/Modes MCP Server/create_mode
    Tool(name="""Modes MCP Server_update_mode""", inputSchema={'properties': {'slug': {'description': 'Slug of the mode to update', 'type': 'string'}, 'updates': {'properties': {'customInstructions': {'type': 'string'}, 'groups': {'items': {'oneOf': [{'type': 'string'}, {'items': [{'type': 'string'}, {'properties': {'description': {'type': 'string'}, 'fileRegex': {'type': 'string'}}, 'required': ['fileRegex', 'description'], 'type': 'object'}], 'type': 'array'}]}, 'type': 'array'}, 'name': {'type': 'string'}, 'roleDefinition': {'type': 'string'}}, 'type': 'object'}}, 'required': ['slug', 'updates'], 'type': 'object'}, description="""Update an existing custom mode"""), # ccc0168/Modes MCP Server/update_mode
    Tool(name="""Modes MCP Server_delete_mode""", inputSchema={'properties': {'slug': {'description': 'Slug of the mode to delete', 'type': 'string'}}, 'required': ['slug'], 'type': 'object'}, description="""Delete a custom mode"""), # ccc0168/Modes MCP Server/delete_mode
    Tool(name="""Modes MCP Server_validate_mode""", inputSchema={'properties': {'mode': {'properties': {'customInstructions': {'type': 'string'}, 'groups': {'type': 'array'}, 'name': {'type': 'string'}, 'roleDefinition': {'type': 'string'}, 'slug': {'type': 'string'}}, 'required': ['slug', 'name', 'roleDefinition', 'groups'], 'type': 'object'}}, 'required': ['mode'], 'type': 'object'}, description="""Validate a mode configuration without saving it"""), # ccc0168/Modes MCP Server/validate_mode
    Tool(name="""Brave Search MCP Server_brave_web_search""", inputSchema={'properties': {'count': {'anyOf': [{'type': 'integer'}, {'type': 'null'}], 'default': 20, 'title': 'Count'}, 'query': {'title': 'Query', 'type': 'string'}}, 'required': ['query'], 'title': 'brave_web_searchArguments', 'type': 'object'}, description="""Execute web search using Brave Search API with improved results\n            \n            Args:\n                query: Search terms\n                count: Desired number of results (10-20)\n            """), # arben-adm/Brave Search MCP Server/brave_web_search
    Tool(name="""Brave Search MCP Server_brave_local_search""", inputSchema={'properties': {'count': {'anyOf': [{'type': 'integer'}, {'type': 'null'}], 'default': 20, 'title': 'Count'}, 'query': {'title': 'Query', 'type': 'string'}}, 'required': ['query'], 'title': 'brave_local_searchArguments', 'type': 'object'}, description="""Search for local businesses and places\n            \n            Args:\n                query: Location terms\n                count: Results (1-20\n            """), # arben-adm/Brave Search MCP Server/brave_local_search
    Tool(name="""Waldur MCP Server_query""", inputSchema={'properties': {'sql': {'title': 'Sql', 'type': 'string'}}, 'required': ['sql'], 'title': 'queryArguments', 'type': 'object'}, description="""Run a read-only SQL query"""), # waldur/Waldur MCP Server/query
    Tool(name="""Waldur MCP Server_list_customers""", inputSchema={'properties': {}, 'title': 'list_customersArguments', 'type': 'object'}, description="""List all customers"""), # waldur/Waldur MCP Server/list_customers
    Tool(name="""Waldur MCP Server_list_projects""", inputSchema={'properties': {}, 'title': 'list_projectsArguments', 'type': 'object'}, description="""List all projects"""), # waldur/Waldur MCP Server/list_projects
    Tool(name="""Waldur MCP Server_list_resources""", inputSchema={'properties': {}, 'title': 'list_resourcesArguments', 'type': 'object'}, description="""List all resources"""), # waldur/Waldur MCP Server/list_resources
    Tool(name="""Waldur MCP Server_list_invoices""", inputSchema={'properties': {}, 'title': 'list_invoicesArguments', 'type': 'object'}, description="""List all invoices"""), # waldur/Waldur MCP Server/list_invoices
    Tool(name="""Waldur MCP Server_list_offerings""", inputSchema={'properties': {}, 'title': 'list_offeringsArguments', 'type': 'object'}, description="""List all offerings"""), # waldur/Waldur MCP Server/list_offerings
    Tool(name="""Waldur MCP Server_create_invitation""", inputSchema={'properties': {'emails': {'items': {'type': 'string'}, 'title': 'Emails', 'type': 'array'}, 'extra_invitation_text': {'default': '', 'title': 'Extra Invitation Text', 'type': 'string'}, 'role': {'title': 'Role', 'type': 'string'}, 'scope_name': {'title': 'Scope Name', 'type': 'string'}, 'scope_type': {'enum': ['customer', 'project'], 'title': 'Scope Type', 'type': 'string'}}, 'required': ['scope_type', 'scope_name', 'role', 'emails'], 'title': 'create_invitationArguments', 'type': 'object'}, description="""Invite users to project or organization by email\n\nArgs:\n    scope_type: Whether to invite users to organization or project\n    scope_name: Name of the organization or project to invite users to\n    role: Role to assign to invited users\n    emails: List of email addresses to invite\n    extra_invitation_text: Custom message to include in the invitation\n"""), # waldur/Waldur MCP Server/create_invitation
    Tool(name="""Shopify MCP Server_get-products-by-collection""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'collectionId': {'description': 'ID of the collection to get products from', 'type': 'string'}, 'limit': {'default': 10, 'description': 'Maximum number of products to return', 'type': 'number'}}, 'required': ['collectionId'], 'type': 'object'}, description="""Get products from a specific collection"""), # amir-bengherbi/Shopify MCP Server/get-products-by-collection
    Tool(name="""Shopify MCP Server_get-products-by-ids""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'productIds': {'description': 'Array of product IDs to retrieve', 'items': {'type': 'string'}, 'type': 'array'}}, 'required': ['productIds'], 'type': 'object'}, description="""Get products by their IDs"""), # amir-bengherbi/Shopify MCP Server/get-products-by-ids
    Tool(name="""Shopify MCP Server_get-variants-by-ids""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'variantIds': {'description': 'Array of variant IDs to retrieve', 'items': {'type': 'string'}, 'type': 'array'}}, 'required': ['variantIds'], 'type': 'object'}, description="""Get product variants by their IDs"""), # amir-bengherbi/Shopify MCP Server/get-variants-by-ids
    Tool(name="""Shopify MCP Server_get-products""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'limit': {'description': 'Maximum number of products to return', 'type': 'number'}, 'searchTitle': {'description': 'Search title, if missing, will return all products', 'type': 'string'}}, 'required': ['limit'], 'type': 'object'}, description="""Get all products or search by title"""), # amir-bengherbi/Shopify MCP Server/get-products
    Tool(name="""Shopify MCP Server_get-customers""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'limit': {'description': 'Limit of customers to return', 'type': 'number'}, 'next': {'description': 'Next page cursor', 'type': 'string'}}, 'type': 'object'}, description="""Get shopify customers with pagination support"""), # amir-bengherbi/Shopify MCP Server/get-customers
    Tool(name="""Shopify MCP Server_tag-customer""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'customerId': {'description': 'Customer ID to tag', 'type': 'string'}, 'tags': {'description': 'Tags to add to the customer', 'items': {'type': 'string'}, 'type': 'array'}}, 'required': ['customerId', 'tags'], 'type': 'object'}, description="""Add tags to a customer"""), # amir-bengherbi/Shopify MCP Server/tag-customer
    Tool(name="""Shopify MCP Server_get-orders""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'after': {'description': 'Next page cursor', 'type': 'string'}, 'first': {'description': 'Limit of orders to return', 'type': 'number'}, 'query': {'description': 'Filter orders using query syntax', 'type': 'string'}, 'reverse': {'description': 'Reverse sort order', 'type': 'boolean'}, 'sortKey': {'description': 'Field to sort by', 'enum': ['PROCESSED_AT', 'TOTAL_PRICE', 'ID', 'CREATED_AT', 'UPDATED_AT', 'ORDER_NUMBER'], 'type': 'string'}}, 'type': 'object'}, description="""Get shopify orders with advanced filtering and sorting"""), # amir-bengherbi/Shopify MCP Server/get-orders
    Tool(name="""Shopify MCP Server_get-order""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'orderId': {'description': 'ID of the order to retrieve', 'type': 'string'}}, 'required': ['orderId'], 'type': 'object'}, description="""Get a single order by ID"""), # amir-bengherbi/Shopify MCP Server/get-order
    Tool(name="""Shopify MCP Server_create-discount""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'appliesOncePerCustomer': {'description': 'Whether discount can be used only once per customer', 'type': 'boolean'}, 'code': {'description': 'Discount code that customers will enter', 'type': 'string'}, 'endsAt': {'description': 'Optional end date in ISO format', 'type': 'string'}, 'startsAt': {'description': 'Start date in ISO format', 'type': 'string'}, 'title': {'description': 'Title of the discount', 'type': 'string'}, 'value': {'description': 'Discount value (percentage as decimal or fixed amount)', 'type': 'number'}, 'valueType': {'description': 'Type of discount', 'enum': ['percentage', 'fixed_amount'], 'type': 'string'}}, 'required': ['title', 'code', 'valueType', 'value', 'startsAt', 'appliesOncePerCustomer'], 'type': 'object'}, description="""Create a basic discount code"""), # amir-bengherbi/Shopify MCP Server/create-discount
    Tool(name="""Shopify MCP Server_create-draft-order""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'email': {'description': 'Customer email', 'format': 'email', 'type': 'string'}, 'lineItems': {'description': 'Line items to add to the order', 'items': {'additionalProperties': False, 'properties': {'quantity': {'type': 'number'}, 'variantId': {'type': 'string'}}, 'required': ['variantId', 'quantity'], 'type': 'object'}, 'type': 'array'}, 'note': {'description': 'Optional note for the order', 'type': 'string'}, 'shippingAddress': {'additionalProperties': False, 'description': 'Shipping address details', 'properties': {'address1': {'type': 'string'}, 'city': {'type': 'string'}, 'country': {'type': 'string'}, 'countryCode': {'type': 'string'}, 'firstName': {'type': 'string'}, 'lastName': {'type': 'string'}, 'province': {'type': 'string'}, 'zip': {'type': 'string'}}, 'required': ['address1', 'city', 'province', 'country', 'zip', 'firstName', 'lastName', 'countryCode'], 'type': 'object'}}, 'required': ['lineItems', 'email', 'shippingAddress'], 'type': 'object'}, description="""Create a draft order"""), # amir-bengherbi/Shopify MCP Server/create-draft-order
    Tool(name="""Shopify MCP Server_complete-draft-order""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'draftOrderId': {'description': 'ID of the draft order to complete', 'type': 'string'}, 'variantId': {'description': 'ID of the variant in the draft order', 'type': 'string'}}, 'required': ['draftOrderId', 'variantId'], 'type': 'object'}, description="""Complete a draft order"""), # amir-bengherbi/Shopify MCP Server/complete-draft-order
    Tool(name="""Shopify MCP Server_get-collections""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'limit': {'default': 10, 'description': 'Maximum number of collections to return', 'type': 'number'}, 'name': {'description': 'Filter collections by name', 'type': 'string'}}, 'type': 'object'}, description="""Get all collections"""), # amir-bengherbi/Shopify MCP Server/get-collections
    Tool(name="""Shopify MCP Server_get-shop""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {}, 'type': 'object'}, description="""Get shop details"""), # amir-bengherbi/Shopify MCP Server/get-shop
    Tool(name="""Shopify MCP Server_get-shop-details""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {}, 'type': 'object'}, description="""Get extended shop details including shipping countries"""), # amir-bengherbi/Shopify MCP Server/get-shop-details
    Tool(name="""Shopify MCP Server_manage-webhook""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'action': {'description': 'Action to perform with webhook', 'enum': ['subscribe', 'find', 'unsubscribe'], 'type': 'string'}, 'callbackUrl': {'description': 'Webhook callback URL', 'format': 'uri', 'type': 'string'}, 'topic': {'description': 'Webhook topic to subscribe to', 'enum': ['orders/updated'], 'type': 'string'}, 'webhookId': {'description': 'Webhook ID (required for unsubscribe)', 'type': 'string'}}, 'required': ['action', 'callbackUrl', 'topic'], 'type': 'object'}, description="""Subscribe, find, or unsubscribe webhooks"""), # amir-bengherbi/Shopify MCP Server/manage-webhook
    Tool(name="""MCP-researcher Server_chat_perplexity""", inputSchema={'properties': {'chat_id': {'description': 'Optional: ID of an existing chat to continue. If not provided, a new chat will be created.', 'type': 'string'}, 'message': {'description': 'The message to send to Perplexity AI', 'type': 'string'}}, 'required': ['message'], 'type': 'object'}, description="""Maintains ongoing conversations with Perplexity AI. Creates new chats or continues existing ones with full history context."""), # DaInfernalCoder/MCP-researcher Server/chat_perplexity
    Tool(name="""MCP-researcher Server_search""", inputSchema={'properties': {'detail_level': {'description': 'Optional: Desired level of detail (brief, normal, detailed)', 'enum': ['brief', 'normal', 'detailed'], 'type': 'string'}, 'query': {'description': 'The search query or question', 'type': 'string'}}, 'required': ['query'], 'type': 'object'}, description="""Perform a general search query to get comprehensive information on any topic"""), # DaInfernalCoder/MCP-researcher Server/search
    Tool(name="""MCP-researcher Server_get_documentation""", inputSchema={'properties': {'context': {'description': 'Additional context or specific aspects to focus on', 'type': 'string'}, 'query': {'description': 'The technology, library, or API to get documentation for', 'type': 'string'}}, 'required': ['query'], 'type': 'object'}, description="""Get documentation and usage examples for a specific technology, library, or API"""), # DaInfernalCoder/MCP-researcher Server/get_documentation
    Tool(name="""MCP-researcher Server_find_apis""", inputSchema={'properties': {'context': {'description': 'Additional context about the project or specific needs', 'type': 'string'}, 'requirement': {'description': "The functionality or requirement you're looking to fulfill", 'type': 'string'}}, 'required': ['requirement'], 'type': 'object'}, description="""Find and evaluate APIs that could be integrated into a project"""), # DaInfernalCoder/MCP-researcher Server/find_apis
    Tool(name="""MCP-researcher Server_check_deprecated_code""", inputSchema={'properties': {'code': {'description': 'The code snippet or dependency to check', 'type': 'string'}, 'technology': {'description': "The technology or framework context (e.g., 'React', 'Node.js')", 'type': 'string'}}, 'required': ['code'], 'type': 'object'}, description="""Check if code or dependencies might be using deprecated features"""), # DaInfernalCoder/MCP-researcher Server/check_deprecated_code
    Tool(name="""Mentor MCP Server_second_opinion""", inputSchema={'properties': {'user_request': {'description': "The user's original request (e.g., 'Explain Python to me' or 'Build a login system')", 'type': 'string'}}, 'required': ['user_request'], 'type': 'object'}, description="""Provides a second opinion on a user's request by analyzing it with an LLM and listing critical considerations."""), # cyanheads/Mentor MCP Server/second_opinion
    Tool(name="""Mentor MCP Server_code_review""", inputSchema={'oneOf': [{'required': ['file_path', 'language']}, {'required': ['code_snippet', 'language']}], 'properties': {'code_snippet': {'description': 'Optional small code snippet for quick reviews (alternative to file_path)', 'type': 'string'}, 'file_path': {'description': 'The full path to the local file containing the code to review', 'type': 'string'}, 'language': {'description': 'The programming language of the code', 'type': 'string'}}, 'type': 'object'}, description="""Provides a code review for a given file or code snippet, focusing on potential bugs, style issues, performance bottlenecks, and security vulnerabilities."""), # cyanheads/Mentor MCP Server/code_review
    Tool(name="""Mentor MCP Server_design_critique""", inputSchema={'properties': {'design_document': {'description': 'A description or URL to the design document/image', 'type': 'string'}, 'design_type': {'description': "Type of design (e.g., 'web UI', 'system architecture', 'mobile app')", 'type': 'string'}}, 'required': ['design_document', 'design_type'], 'type': 'object'}, description="""Offers a critique of a design document, UI/UX mockup, or architectural diagram, focusing on usability, aesthetics, consistency, accessibility, and potential design flaws."""), # cyanheads/Mentor MCP Server/design_critique
    Tool(name="""Mentor MCP Server_writing_feedback""", inputSchema={'properties': {'text': {'description': 'The text to review', 'type': 'string'}, 'writing_type': {'description': "The type of writing (e.g., 'essay', 'article', 'documentation')", 'type': 'string'}}, 'required': ['text', 'writing_type'], 'type': 'object'}, description="""Provides feedback on a piece of writing, such as an essay, article, or technical documentation, focusing on clarity, grammar, style, structure, and overall effectiveness."""), # cyanheads/Mentor MCP Server/writing_feedback
    Tool(name="""Mentor MCP Server_brainstorm_enhancements""", inputSchema={'properties': {'concept': {'description': 'A description of the concept, product, or feature to enhance', 'type': 'string'}}, 'required': ['concept'], 'type': 'object'}, description="""Generates creative ideas for improving a given concept, product, or feature, focusing on innovation, feasibility, and user value."""), # cyanheads/Mentor MCP Server/brainstorm_enhancements
    Tool(name="""Modes MCP Server_list_modes""", inputSchema={'properties': {}, 'type': 'object'}, description="""List all custom modes"""), # mkc909/Modes MCP Server/list_modes
    Tool(name="""Modes MCP Server_get_mode""", inputSchema={'properties': {'slug': {'description': 'Slug of the mode to retrieve', 'type': 'string'}}, 'required': ['slug'], 'type': 'object'}, description="""Get details of a specific mode"""), # mkc909/Modes MCP Server/get_mode
    Tool(name="""Modes MCP Server_create_mode""", inputSchema={'properties': {'customInstructions': {'description': 'Optional additional instructions for the mode', 'type': 'string'}, 'groups': {'description': 'Array of allowed tool groups', 'items': {'oneOf': [{'type': 'string'}, {'items': [{'type': 'string'}, {'properties': {'description': {'type': 'string'}, 'fileRegex': {'type': 'string'}}, 'required': ['fileRegex', 'description'], 'type': 'object'}], 'type': 'array'}]}, 'type': 'array'}, 'name': {'description': 'Display name for the mode', 'type': 'string'}, 'roleDefinition': {'description': "Detailed description of the mode's role and capabilities", 'type': 'string'}, 'slug': {'description': 'Unique slug for the mode (lowercase letters, numbers, and hyphens)', 'type': 'string'}}, 'required': ['slug', 'name', 'roleDefinition', 'groups'], 'type': 'object'}, description="""Create a new custom mode"""), # mkc909/Modes MCP Server/create_mode
    Tool(name="""Modes MCP Server_update_mode""", inputSchema={'properties': {'slug': {'description': 'Slug of the mode to update', 'type': 'string'}, 'updates': {'properties': {'customInstructions': {'type': 'string'}, 'groups': {'items': {'oneOf': [{'type': 'string'}, {'items': [{'type': 'string'}, {'properties': {'description': {'type': 'string'}, 'fileRegex': {'type': 'string'}}, 'required': ['fileRegex', 'description'], 'type': 'object'}], 'type': 'array'}]}, 'type': 'array'}, 'name': {'type': 'string'}, 'roleDefinition': {'type': 'string'}}, 'type': 'object'}}, 'required': ['slug', 'updates'], 'type': 'object'}, description="""Update an existing custom mode"""), # mkc909/Modes MCP Server/update_mode
    Tool(name="""Modes MCP Server_delete_mode""", inputSchema={'properties': {'slug': {'description': 'Slug of the mode to delete', 'type': 'string'}}, 'required': ['slug'], 'type': 'object'}, description="""Delete a custom mode"""), # mkc909/Modes MCP Server/delete_mode
    Tool(name="""Modes MCP Server_validate_mode""", inputSchema={'properties': {'mode': {'properties': {'customInstructions': {'type': 'string'}, 'groups': {'type': 'array'}, 'name': {'type': 'string'}, 'roleDefinition': {'type': 'string'}, 'slug': {'type': 'string'}}, 'required': ['slug', 'name', 'roleDefinition', 'groups'], 'type': 'object'}}, 'required': ['mode'], 'type': 'object'}, description="""Validate a mode configuration without saving it"""), # mkc909/Modes MCP Server/validate_mode
    Tool(name="""RAT MCP Server_generate_response""", inputSchema={'properties': {'clearContext': {'default': False, 'description': 'Clear conversation history before this request', 'type': 'boolean'}, 'includeHistory': {'default': True, 'description': 'Include Cline conversation history for context', 'type': 'boolean'}, 'prompt': {'description': "The user's input prompt", 'type': 'string'}, 'showReasoning': {'default': False, 'description': 'Whether to include reasoning in response', 'type': 'boolean'}}, 'required': ['prompt'], 'type': 'object'}, description="""Generate a response using DeepSeek's reasoning and Claude's response generation through OpenRouter."""), # newideas99/RAT MCP Server/generate_response
    Tool(name="""RAT MCP Server_check_response_status""", inputSchema={'properties': {'taskId': {'description': 'The task ID returned by generate_response', 'type': 'string'}}, 'required': ['taskId'], 'type': 'object'}, description="""Check the status of a response generation task"""), # newideas99/RAT MCP Server/check_response_status
    Tool(name="""MCP Inception MCP Server_execute_map_reduce_mcp_client""", inputSchema={'properties': {'initialValue': {'description': 'Initial value for the accumulator (optional).', 'type': 'string'}, 'items': {'description': 'Array of items to process.', 'items': {'type': 'string'}, 'type': 'array'}, 'mapPrompt': {'description': 'Template prompt for processing each individual item. Use {item} as placeholder for the current item.', 'type': 'string'}, 'reducePrompt': {'description': 'Template prompt for reducing results. Use {accumulator} and {result} as placeholders.', 'type': 'string'}}, 'required': ['mapPrompt', 'reducePrompt', 'items'], 'type': 'object'}, description="""Process multiple items in parallel then sequentially reduce the results to a single output."""), # tanevanwifferen/MCP Inception MCP Server/execute_map_reduce_mcp_client
    Tool(name="""MCP Inception MCP Server_execute_mcp_client""", inputSchema={'properties': {'command': {'description': 'The MCP client command to execute', 'type': 'string'}}, 'required': ['command'], 'type': 'object'}, description="""Offload certain tasks to AI. Used for research purposes, do not use for code editing or anything code related. Only used to fetch data."""), # tanevanwifferen/MCP Inception MCP Server/execute_mcp_client
    Tool(name="""MCP Inception MCP Server_execute_parallel_mcp_client""", inputSchema={'properties': {'items': {'description': 'Array of parameters to process in parallel', 'items': {'type': 'string'}, 'type': 'array'}, 'prompt': {'description': 'The base prompt to use for all executions', 'type': 'string'}}, 'required': ['prompt', 'items'], 'type': 'object'}, description="""Execute multiple AI tasks in parallel, with responses in JSON key-value pairs."""), # tanevanwifferen/MCP Inception MCP Server/execute_parallel_mcp_client
    Tool(name="""MCP Server for eSignatures_create_contract""", inputSchema={'properties': {'assigned_user_email': {'description': 'Assigns an eSignatures user as contract owner with edit/view/send rights and notification settings. Contract owners get email notifications for signings and full contract completion if enabled on their Profile.', 'type': 'string'}, 'contract_source': {'description': 'Identifies the originating system. Currently only mcpserver supported for MCP requests.', 'enum': ['mcpserver'], 'type': 'string'}, 'custom_branding': {'description': 'Customize branding for documents and emails.', 'properties': {'company_name': {'description': 'Custom company name shown as the sender.', 'type': 'string'}, 'logo_url': {'description': 'URL for custom logo (PNG, recommended 400px size).', 'type': 'string'}}, 'type': 'object'}, 'custom_webhook_url': {'description': 'Overrides default webhook HTTPS URL for this contract, defined on the API page in eSignatures. Retries 6 times with 1 hour delays, timeout is 20 seconds.', 'type': 'string'}, 'document_elements': {'description': 'Customize document content with headers, text, images, etc. Owners can manually replace {{placeholder fields}} in the eSignatures editor, and signers can fill in Signer fields. Use placeholders for signer names unless names are already provided. The contract title is automatically added as the first line.', 'items': {'oneOf': [{'properties': {'text': {'type': 'string'}, 'text_alignment': {'default': 'left', 'enum': ['center', 'right', 'justified'], 'type': 'string'}, 'type': {'description': 'Header lines. Do not add the title of the template/contract as the first line; it will already be included at the beginning of the contracts.', 'enum': ['text_header_one', 'text_header_two', 'text_header_three'], 'type': 'string'}}, 'required': ['type', 'text']}, {'properties': {'depth': {'default': 0, 'description': 'Indentation level of text, defaults to 0.', 'type': 'integer'}, 'text': {'type': 'string'}, 'text_alignment': {'default': 'left', 'enum': ['center', 'right', 'justified'], 'type': 'string'}, 'text_styles': {'description': "An array defining text style ranges within the element. For Placeholder fields, ensure the moustache brackets around the placeholder also match the style. Example for '{{rate}} percent': [{offset:0, length:8, style:'bold'}]", 'items': {'properties': {'length': {'description': 'Number of characters in the styled range', 'type': 'integer'}, 'offset': {'description': 'Start index of styled text (0-based)', 'type': 'integer'}, 'style': {'description': 'Style to apply', 'enum': ['bold', 'italic', 'underline'], 'type': 'string'}}, 'type': 'object'}, 'type': 'array'}, 'type': {'description': 'For paragraphs and non-list text content.', 'enum': ['text_normal'], 'type': 'string'}}, 'required': ['type', 'text']}, {'properties': {'depth': {'default': 0, 'description': "Depth of list nesting, default 0. For ordered lists, numbering persists at the same or deeper indentation levels; paragraphs don't interrupt numbering.", 'type': 'integer'}, 'text': {'type': 'string'}, 'type': {'description': 'For list items. Use ordered_list_item for sequential/numbered lists, unordered_list_item for bullet points. Lists continue at the same indentation level until interrupted by another element type which is not a list or indented paragraph.', 'enum': ['ordered_list_item', 'unordered_list_item'], 'type': 'string'}}, 'required': ['type', 'text']}, {'properties': {'signer_field_assigned_to': {'description': "Specifies which signer(s) can interact with this field based on signing order. 'first_signer' means only the first signer to open and sign can fill the field; others with the same or later order cannot. The same rule applies for 'second_signer' and 'last_signer'. 'every_signer' shows the field to each signer, with separate values in the final PDF. Examples: 'Primary contact for property issues' (first signer) and 'My mobile number' (every signer).", 'enum': ['first_signer', 'second_signer', 'last_signer', 'every_signer'], 'type': 'string'}, 'signer_field_dropdown_options': {'description': 'Options for dropdown fields, separated by newline \n characters', 'type': 'string'}, 'signer_field_id': {'description': 'Unique ID for the Signer field, used in Webhook notifications for value inclusion. If not specified, values are excluded from Webhook notifications and CSV exports.', 'type': 'string'}, 'signer_field_required': {'enum': ['yes', 'no'], 'type': 'string'}, 'text': {'type': 'string'}, 'type': {'description': 'Signer fields allow input or selection by signers. Do not add any signer fields for collecting signatures, names, dates, company names or titles or anything similar at the end of documents. Radio buttons group automatically, do not insert any other elements (like text) between radio buttons that should be grouped together. Instead, place descriptive text before or after the complete radio button group.', 'enum': ['signer_field_text', 'signer_field_text_area', 'signer_field_date', 'signer_field_dropdown', 'signer_field_checkbox', 'signer_field_radiobutton', 'signer_field_file_upload'], 'type': 'string'}}, 'required': ['type', 'text', 'signer_field_assigned_to']}, {'properties': {'image_alignment': {'default': 'left', 'enum': ['center', 'right'], 'type': 'string'}, 'image_base64': {'description': 'The base64-encoded png or jpg image (max 0.5MB).', 'type': 'string'}, 'image_height_rem': {'maximum': 38, 'minimum': 2, 'type': 'number'}, 'type': {'enum': ['image'], 'type': 'string'}}, 'required': ['type', 'image_base64']}, {'properties': {'table_cells': {'items': {'items': {'properties': {'alignment': {'default': 'left', 'enum': ['center', 'right'], 'type': 'string'}, 'styles': {'items': {'enum': ['bold', 'italic'], 'type': 'string'}, 'type': 'array'}, 'text': {'type': 'string'}}, 'type': 'object'}, 'type': 'array'}, 'type': 'array'}, 'type': {'enum': ['table'], 'type': 'string'}}, 'required': ['type', 'table_cells']}, {'properties': {'template_id': {'description': 'ID of the template to insert; Placeholder fields apply within this template too.', 'type': 'string'}, 'type': {'description': 'Nested template inclusion. Maximum depth: 1 level', 'enum': ['template'], 'type': 'string'}}, 'required': ['type', 'template_id']}], 'type': 'object'}, 'type': 'array'}, 'emails': {'description': 'Customize email communications for signing and final documents.', 'properties': {'cc_email_addresses': {'description': "Email addresses CC'd when sending the signed contract PDF.", 'items': {'type': 'string'}, 'type': 'array'}, 'final_contract_subject': {'description': 'Email subject for the final contract email.', 'type': 'string'}, 'final_contract_text': {'description': 'Body of final contract email; use __FULL_NAME__ for personalization. First line is bold and larger.', 'type': 'string'}, 'reply_to': {'description': 'Custom reply-to email address (defaults to support email if not set).', 'type': 'string'}, 'signature_request_subject': {'description': 'Email subject for signature request emails.', 'type': 'string'}, 'signature_request_text': {'description': 'Email body of signature request email; use __FULL_NAME__ for personalization. First line is bold and larger.', 'type': 'string'}}, 'type': 'object'}, 'expires_in_hours': {'description': "Sets contract expiry time in hours; expired contracts can't be signed. Expiry period can be extended per contract in eSignatures.", 'type': 'string'}, 'labels': {'description': 'Assigns labels to the contract, overriding template labels. Labels assist in organizing contracts without using folders.', 'items': {'type': 'string'}, 'type': 'array'}, 'locale': {'description': 'Language for signer page and emails.', 'enum': ['es', 'hu', 'da', 'id', 'ro', 'sk', 'pt', 'hr', 'sl', 'de', 'it', 'pl', 'rs', 'sv', 'en', 'ja', 'en-GB', 'fr', 'cz', 'vi', 'no', 'zh-CN', 'nl'], 'type': 'string'}, 'mcp_query': {'description': 'The original text query that the user typed which triggered this MCP command execution. Used for logging and debugging purposes.', 'type': 'string'}, 'metadata': {'description': 'Custom data for contract owners and webhook notifications; e.g. internal IDs.', 'type': 'string'}, 'placeholder_fields': {'description': 'Replaces text placeholders in templates when creating a contract. Example: {{interest_rate}}. Do not add placeholder values when creating a draft.', 'items': {'properties': {'api_key': {'description': "The template's placeholder key, e.g., for {{interest_rate}}, api_key is 'interest_rate'.", 'type': 'string'}, 'document_elements': {'description': 'Allows insertion of custom elements like headers, text, images into placeholders.', 'items': {'oneOf': [{'properties': {'text': {'type': 'string'}, 'text_alignment': {'default': 'left', 'enum': ['center', 'right', 'justified'], 'type': 'string'}, 'type': {'description': 'Header lines. Do not add the title of the template/contract as the first line; it will already be included at the beginning of the contracts.', 'enum': ['text_header_one', 'text_header_two', 'text_header_three'], 'type': 'string'}}, 'required': ['type', 'text']}, {'properties': {'depth': {'default': 0, 'description': 'Indentation level of text, defaults to 0.', 'type': 'integer'}, 'text': {'type': 'string'}, 'text_alignment': {'default': 'left', 'enum': ['center', 'right', 'justified'], 'type': 'string'}, 'text_styles': {'description': "An array defining text style ranges within the element. For Placeholder fields, ensure the moustache brackets around the placeholder also match the style. Example for '{{rate}} percent': [{offset:0, length:8, style:'bold'}]", 'items': {'properties': {'length': {'description': 'Number of characters in the styled range', 'type': 'integer'}, 'offset': {'description': 'Start index of styled text (0-based)', 'type': 'integer'}, 'style': {'description': 'Style to apply', 'enum': ['bold', 'italic', 'underline'], 'type': 'string'}}, 'type': 'object'}, 'type': 'array'}, 'type': {'description': 'For paragraphs and non-list text content.', 'enum': ['text_normal'], 'type': 'string'}}, 'required': ['type', 'text']}, {'properties': {'depth': {'default': 0, 'description': "Depth of list nesting, default 0. For ordered lists, numbering persists at the same or deeper indentation levels; paragraphs don't interrupt numbering.", 'type': 'integer'}, 'text': {'type': 'string'}, 'type': {'description': 'For list items. Use ordered_list_item for sequential/numbered lists, unordered_list_item for bullet points. Lists continue at the same indentation level until interrupted by another element type which is not a list or indented paragraph.', 'enum': ['ordered_list_item', 'unordered_list_item'], 'type': 'string'}}, 'required': ['type', 'text']}, {'properties': {'signer_field_assigned_to': {'description': "Specifies which signer(s) can interact with this field based on signing order. 'first_signer' means only the first signer to open and sign can fill the field; others with the same or later order cannot. The same rule applies for 'second_signer' and 'last_signer'. 'every_signer' shows the field to each signer, with separate values in the final PDF. Examples: 'Primary contact for property issues' (first signer) and 'My mobile number' (every signer).", 'enum': ['first_signer', 'second_signer', 'last_signer', 'every_signer'], 'type': 'string'}, 'signer_field_dropdown_options': {'description': 'Options for dropdown fields, separated by newline \n characters', 'type': 'string'}, 'signer_field_id': {'description': 'Unique ID for the Signer field, used in Webhook notifications for value inclusion. If not specified, values are excluded from Webhook notifications and CSV exports.', 'type': 'string'}, 'signer_field_required': {'enum': ['yes', 'no'], 'type': 'string'}, 'text': {'type': 'string'}, 'type': {'description': 'Signer fields allow input or selection by signers. Do not add any signer fields for collecting signatures, names, dates, company names or titles or anything similar at the end of documents. Radio buttons group automatically, do not insert any other elements (like text) between radio buttons that should be grouped together. Instead, place descriptive text before or after the complete radio button group.', 'enum': ['signer_field_text', 'signer_field_text_area', 'signer_field_date', 'signer_field_dropdown', 'signer_field_checkbox', 'signer_field_radiobutton', 'signer_field_file_upload'], 'type': 'string'}}, 'required': ['type', 'text', 'signer_field_assigned_to']}, {'properties': {'image_alignment': {'default': 'left', 'enum': ['center', 'right'], 'type': 'string'}, 'image_base64': {'description': 'The base64-encoded png or jpg image (max 0.5MB).', 'type': 'string'}, 'image_height_rem': {'maximum': 38, 'minimum': 2, 'type': 'number'}, 'type': {'enum': ['image'], 'type': 'string'}}, 'required': ['type', 'image_base64']}, {'properties': {'table_cells': {'items': {'items': {'properties': {'alignment': {'default': 'left', 'enum': ['center', 'right'], 'type': 'string'}, 'styles': {'items': {'enum': ['bold', 'italic'], 'type': 'string'}, 'type': 'array'}, 'text': {'type': 'string'}}, 'type': 'object'}, 'type': 'array'}, 'type': 'array'}, 'type': {'enum': ['table'], 'type': 'string'}}, 'required': ['type', 'table_cells']}, {'properties': {'template_id': {'description': 'ID of the template to insert; Placeholder fields apply within this template too.', 'type': 'string'}, 'type': {'description': 'Nested template inclusion. Maximum depth: 1 level', 'enum': ['template'], 'type': 'string'}}, 'required': ['type', 'template_id']}], 'type': 'object'}, 'type': 'array'}, 'value': {'description': 'Text that replaces the placeholder.', 'type': 'string'}}, 'type': 'object'}, 'type': 'array'}, 'save_as_draft': {'description': 'Saves contract as draft for further editing; draft can be edited and sent via UI. URL: https://esignatures.com/contracts/contract_id/edit, where contract_id is in the API response.', 'enum': ['yes', 'no'], 'type': 'string'}, 'signer_fields': {'description': 'Set default values for Signer fields.', 'items': {'properties': {'default_value': {'description': "Default input value (use '1' for checkboxes and radio buttons, 'YYYY-mm-dd' for dates).", 'type': 'string'}, 'select_position': {'description': 'Pre-selected option index for dropdowns (0-based).', 'type': 'string'}, 'signer_field_id': {'description': 'Signer field ID of the Signer field, defined in the template or document_elements.', 'type': 'string'}}, 'required': ['signer_field_id'], 'type': 'object'}, 'type': 'array'}, 'signers': {'description': 'List of individuals required to sign the contract. Only include specific persons with their contact details; do not add generic signers.', 'items': {'properties': {'auto_sign': {'description': "Automatically signs document if 'yes'; only for your signature not for other signers.", 'type': 'string'}, 'company_name': {'description': "Signer's company name.", 'type': 'string'}, 'email': {'description': "Signer's email address.", 'type': 'string'}, 'mobile': {'description': "Signer's mobile number (E.123 format).", 'type': 'string'}, 'multi_factor_authentications': {'description': 'Authentication methods for signers (sms_verification_code, email_verification_code). Requires the relevant contact details.', 'items': {'enum': ['sms_verification_code', 'email_verification_code'], 'type': 'string'}, 'type': 'array'}, 'name': {'description': "Signer's name.", 'type': 'string'}, 'redirect_url': {'description': 'URL for signer redirection post-signing.', 'type': 'string'}, 'signature_request_delivery_methods': {'description': 'Methods for delivering signature request. Empty list skips sending. Default calculated. Requires contact details.', 'items': {'enum': ['email', 'sms'], 'type': 'string'}, 'type': 'array'}, 'signed_document_delivery_method': {'description': 'Method to deliver signed document (email, sms). Usually required by law. Default calculated.', 'enum': ['email', 'sms'], 'type': 'string'}, 'signing_order': {'description': 'Order in which signers receive the contract; same number signers are notified together. By default, sequential.', 'type': 'string'}}, 'required': ['name'], 'type': 'object'}, 'type': 'array'}, 'template_id': {'description': 'GUID of a mobile-friendly contract template within eSignatures. The template provides content, title, and labels. Required unless document_elements is provided.', 'type': 'string'}, 'test': {'description': "Marks contract as 'demo' with no fees; adds DEMO stamp, disables reminders.", 'enum': ['yes', 'no'], 'type': 'string'}, 'title': {'description': "Sets the contract's title, which appears as the first line in contracts and PDF files, in email subjects, and overrides the template's title.", 'type': 'string'}}, 'required': ['contract_source', 'mcp_query'], 'type': 'object'}, description="""Creates a new contract. The contract can be a draft which the user can customize/send, or the contract can be sent instantly. So called 'signature fields' like Name/Date/signature-line must be left out, they are all handled automatically. Contract owners can customize the content by replacing {{placeholder fields}} inside the content, and the signers can fill in Signer fields when they sign the contract."""), # esignaturescom/MCP Server for eSignatures/create_contract
    Tool(name="""MCP Server for eSignatures_query_contract""", inputSchema={'properties': {'contract_id': {'description': "GUID of the contract (draft contracts can't be queried, only sent contracts).", 'type': 'string'}}, 'required': ['contract_id'], 'type': 'object'}, description="""Responds with the contract details, contract_id, status, final PDF url if present, title, labels, metadata, expiry time if present, and signer details with all signer events (signer events are included only for recent contracts, with rate limiting)."""), # esignaturescom/MCP Server for eSignatures/query_contract
    Tool(name="""MCP Server for eSignatures_withdraw_contract""", inputSchema={'properties': {'contract_id': {'description': 'GUID of the contract to be withdrawn.', 'type': 'string'}}, 'required': ['contract_id'], 'type': 'object'}, description="""Withdraws a sent contract."""), # esignaturescom/MCP Server for eSignatures/withdraw_contract
    Tool(name="""MCP Server for eSignatures_delete_contract""", inputSchema={'properties': {'contract_id': {'description': 'GUID of the contract to be deleted.', 'type': 'string'}}, 'required': ['contract_id'], 'type': 'object'}, description="""Deletes a contract. The contract can only be deleted if it's a test contract or a draft contract."""), # esignaturescom/MCP Server for eSignatures/delete_contract
    Tool(name="""MCP Server for eSignatures_list_recent_contracts""", inputSchema={'properties': {}, 'required': [], 'type': 'object'}, description="""Returns the the details of the latest 100 contracts."""), # esignaturescom/MCP Server for eSignatures/list_recent_contracts
    Tool(name="""MCP Server for eSignatures_create_template""", inputSchema={'properties': {'document_elements': {'description': 'Customize template content with headers, text, images. Owners can manually replace {{placeholder fields}} in the eSignatures contract editor, and signers can fill in Signer fields when signing the document. Use placeholders for signer names if needed, instead of Signer fields. Contract title auto-inserts as the first line.', 'items': {'oneOf': [{'properties': {'text': {'type': 'string'}, 'text_alignment': {'default': 'left', 'enum': ['center', 'right', 'justified'], 'type': 'string'}, 'type': {'description': 'Header lines. Do not add the title of the template/contract as the first line; it will already be included at the beginning of the contracts.', 'enum': ['text_header_one', 'text_header_two', 'text_header_three'], 'type': 'string'}}, 'required': ['type', 'text']}, {'properties': {'depth': {'default': 0, 'description': 'Indentation level of text, defaults to 0.', 'type': 'integer'}, 'text': {'type': 'string'}, 'text_alignment': {'default': 'left', 'enum': ['center', 'right', 'justified'], 'type': 'string'}, 'text_styles': {'description': "An array defining text style ranges within the element. For Placeholder fields, ensure the moustache brackets around the placeholder also match the style. Example for '{{rate}} percent': [{offset:0, length:8, style:'bold'}]", 'items': {'properties': {'length': {'description': 'Number of characters in the styled range', 'type': 'integer'}, 'offset': {'description': 'Start index of styled text (0-based)', 'type': 'integer'}, 'style': {'description': 'Style to apply', 'enum': ['bold', 'italic', 'underline'], 'type': 'string'}}, 'type': 'object'}, 'type': 'array'}, 'type': {'description': 'For paragraphs and non-list text content.', 'enum': ['text_normal'], 'type': 'string'}}, 'required': ['type', 'text']}, {'properties': {'depth': {'default': 0, 'description': "Depth of list nesting, default 0. For ordered lists, numbering persists at the same or deeper indentation levels; paragraphs don't interrupt numbering.", 'type': 'integer'}, 'text': {'type': 'string'}, 'type': {'description': 'For list items. Use ordered_list_item for sequential/numbered lists, unordered_list_item for bullet points. Lists continue at the same indentation level until interrupted by another element type which is not a list or indented paragraph.', 'enum': ['ordered_list_item', 'unordered_list_item'], 'type': 'string'}}, 'required': ['type', 'text']}, {'properties': {'signer_field_assigned_to': {'description': "Specifies which signer(s) can interact with this field based on signing order. 'first_signer' means only the first signer to open and sign can fill the field; others with the same or later order cannot. The same rule applies for 'second_signer' and 'last_signer'. 'every_signer' shows the field to each signer, with separate values in the final PDF. Examples: 'Primary contact for property issues' (first signer) and 'My mobile number' (every signer).", 'enum': ['first_signer', 'second_signer', 'last_signer', 'every_signer'], 'type': 'string'}, 'signer_field_dropdown_options': {'description': 'Options for dropdown fields, separated by newline \n characters', 'type': 'string'}, 'signer_field_id': {'description': 'Unique ID for the Signer field, used in Webhook notifications for value inclusion. If not specified, values are excluded from Webhook notifications and CSV exports.', 'type': 'string'}, 'signer_field_required': {'enum': ['yes', 'no'], 'type': 'string'}, 'text': {'type': 'string'}, 'type': {'description': 'Signer fields allow input or selection by signers. Do not add any signer fields for collecting signatures, names, dates, company names or titles or anything similar at the end of documents. Radio buttons group automatically, do not insert any other elements (like text) between radio buttons that should be grouped together. Instead, place descriptive text before or after the complete radio button group.', 'enum': ['signer_field_text', 'signer_field_text_area', 'signer_field_date', 'signer_field_dropdown', 'signer_field_checkbox', 'signer_field_radiobutton', 'signer_field_file_upload'], 'type': 'string'}}, 'required': ['type', 'text', 'signer_field_assigned_to']}, {'properties': {'image_alignment': {'default': 'left', 'enum': ['center', 'right'], 'type': 'string'}, 'image_base64': {'description': 'The base64-encoded png or jpg image (max 0.5MB).', 'type': 'string'}, 'image_height_rem': {'maximum': 38, 'minimum': 2, 'type': 'number'}, 'type': {'enum': ['image'], 'type': 'string'}}, 'required': ['type', 'image_base64']}, {'properties': {'table_cells': {'items': {'items': {'properties': {'alignment': {'default': 'left', 'enum': ['center', 'right'], 'type': 'string'}, 'styles': {'items': {'enum': ['bold', 'italic'], 'type': 'string'}, 'type': 'array'}, 'text': {'type': 'string'}}, 'type': 'object'}, 'type': 'array'}, 'type': 'array'}, 'type': {'enum': ['table'], 'type': 'string'}}, 'required': ['type', 'table_cells']}, {'properties': {'template_id': {'description': 'ID of the template to insert; Placeholder fields apply within this template too.', 'type': 'string'}, 'type': {'description': 'Nested template inclusion. Maximum depth: 1 level', 'enum': ['template'], 'type': 'string'}}, 'required': ['type', 'template_id']}], 'type': 'object'}, 'type': 'array'}, 'labels': {'description': 'Assign labels for organizing templates and contracts; labels are inherited by contracts.', 'items': {'type': 'string'}, 'type': 'array'}, 'title': {'description': 'Title for the new template; used for contracts based on this template.', 'type': 'string'}}, 'required': ['title', 'document_elements'], 'type': 'object'}, description="""Creates a reusable contract template for contracts to be based on."""), # esignaturescom/MCP Server for eSignatures/create_template
    Tool(name="""MCP Server for eSignatures_update_template""", inputSchema={'properties': {'document_elements': {'description': 'The content of the template like headers, text, and images for the document.', 'items': {'oneOf': [{'properties': {'text': {'type': 'string'}, 'text_alignment': {'default': 'left', 'enum': ['center', 'right', 'justified'], 'type': 'string'}, 'type': {'description': 'Header lines. Do not add the title of the template/contract as the first line; it will already be included at the beginning of the contracts.', 'enum': ['text_header_one', 'text_header_two', 'text_header_three'], 'type': 'string'}}, 'required': ['type', 'text']}, {'properties': {'depth': {'default': 0, 'description': 'Indentation level of text, defaults to 0.', 'type': 'integer'}, 'text': {'type': 'string'}, 'text_alignment': {'default': 'left', 'enum': ['center', 'right', 'justified'], 'type': 'string'}, 'text_styles': {'description': "An array defining text style ranges within the element. For Placeholder fields, ensure the moustache brackets around the placeholder also match the style. Example for '{{rate}} percent': [{offset:0, length:8, style:'bold'}]", 'items': {'properties': {'length': {'description': 'Number of characters in the styled range', 'type': 'integer'}, 'offset': {'description': 'Start index of styled text (0-based)', 'type': 'integer'}, 'style': {'description': 'Style to apply', 'enum': ['bold', 'italic', 'underline'], 'type': 'string'}}, 'type': 'object'}, 'type': 'array'}, 'type': {'description': 'For paragraphs and non-list text content.', 'enum': ['text_normal'], 'type': 'string'}}, 'required': ['type', 'text']}, {'properties': {'depth': {'default': 0, 'description': "Depth of list nesting, default 0. For ordered lists, numbering persists at the same or deeper indentation levels; paragraphs don't interrupt numbering.", 'type': 'integer'}, 'text': {'type': 'string'}, 'type': {'description': 'For list items. Use ordered_list_item for sequential/numbered lists, unordered_list_item for bullet points. Lists continue at the same indentation level until interrupted by another element type which is not a list or indented paragraph.', 'enum': ['ordered_list_item', 'unordered_list_item'], 'type': 'string'}}, 'required': ['type', 'text']}, {'properties': {'signer_field_assigned_to': {'description': "Specifies which signer(s) can interact with this field based on signing order. 'first_signer' means only the first signer to open and sign can fill the field; others with the same or later order cannot. The same rule applies for 'second_signer' and 'last_signer'. 'every_signer' shows the field to each signer, with separate values in the final PDF. Examples: 'Primary contact for property issues' (first signer) and 'My mobile number' (every signer).", 'enum': ['first_signer', 'second_signer', 'last_signer', 'every_signer'], 'type': 'string'}, 'signer_field_dropdown_options': {'description': 'Options for dropdown fields, separated by newline \n characters', 'type': 'string'}, 'signer_field_id': {'description': 'Unique ID for the Signer field, used in Webhook notifications for value inclusion. If not specified, values are excluded from Webhook notifications and CSV exports.', 'type': 'string'}, 'signer_field_required': {'enum': ['yes', 'no'], 'type': 'string'}, 'text': {'type': 'string'}, 'type': {'description': 'Signer fields allow input or selection by signers. Do not add any signer fields for collecting signatures, names, dates, company names or titles or anything similar at the end of documents. Radio buttons group automatically, do not insert any other elements (like text) between radio buttons that should be grouped together. Instead, place descriptive text before or after the complete radio button group.', 'enum': ['signer_field_text', 'signer_field_text_area', 'signer_field_date', 'signer_field_dropdown', 'signer_field_checkbox', 'signer_field_radiobutton', 'signer_field_file_upload'], 'type': 'string'}}, 'required': ['type', 'text', 'signer_field_assigned_to']}, {'properties': {'image_alignment': {'default': 'left', 'enum': ['center', 'right'], 'type': 'string'}, 'image_base64': {'description': 'The base64-encoded png or jpg image (max 0.5MB).', 'type': 'string'}, 'image_height_rem': {'maximum': 38, 'minimum': 2, 'type': 'number'}, 'type': {'enum': ['image'], 'type': 'string'}}, 'required': ['type', 'image_base64']}, {'properties': {'table_cells': {'items': {'items': {'properties': {'alignment': {'default': 'left', 'enum': ['center', 'right'], 'type': 'string'}, 'styles': {'items': {'enum': ['bold', 'italic'], 'type': 'string'}, 'type': 'array'}, 'text': {'type': 'string'}}, 'type': 'object'}, 'type': 'array'}, 'type': 'array'}, 'type': {'enum': ['table'], 'type': 'string'}}, 'required': ['type', 'table_cells']}, {'properties': {'template_id': {'description': 'ID of the template to insert; Placeholder fields apply within this template too.', 'type': 'string'}, 'type': {'description': 'Nested template inclusion. Maximum depth: 1 level', 'enum': ['template'], 'type': 'string'}}, 'required': ['type', 'template_id']}], 'type': 'object'}, 'type': 'array'}, 'labels': {'description': 'List of labels to be assigned to the template.', 'items': {'type': 'string'}, 'type': 'array'}, 'title': {'description': 'The new title of the template.', 'type': 'string'}}, 'type': 'object'}, description="""Updates the title, labels or the content of a contract template."""), # esignaturescom/MCP Server for eSignatures/update_template
    Tool(name="""MCP Server for eSignatures_remove_template_collaborator""", inputSchema={'properties': {'template_collaborator_id': {'description': "Collaborator's GUID.", 'type': 'string'}, 'template_id': {'description': "Templates's GUID.", 'type': 'string'}}, 'required': ['template_id', 'template_collaborator_id'], 'type': 'object'}, description="""Removes the template collaborator"""), # esignaturescom/MCP Server for eSignatures/remove_template_collaborator
    Tool(name="""MCP Server for eSignatures_list_template_collaborators""", inputSchema={'properties': {'template_id': {'type': 'string'}}, 'required': ['template_id'], 'type': 'object'}, description="""Returns the list of template collaborators, including their GUID, name, email, and the HTTPS link for editing the template"""), # esignaturescom/MCP Server for eSignatures/list_template_collaborators
    Tool(name="""MCP Server for eSignatures_query_template""", inputSchema={'properties': {'template_id': {'description': 'GUID of the template.', 'type': 'string'}}, 'required': ['template_id'], 'type': 'object'}, description="""Responds with the template details, template_id, title, labels, created_at, list of the Placeholder fields in the template, list of Signer fields int he template, and the full content inside document_elements"""), # esignaturescom/MCP Server for eSignatures/query_template
    Tool(name="""MCP Server for eSignatures_delete_template""", inputSchema={'properties': {'template_id': {'description': 'GUID of the template to be deleted.', 'type': 'string'}}, 'required': ['template_id'], 'type': 'object'}, description="""Deletes a contract template."""), # esignaturescom/MCP Server for eSignatures/delete_template
    Tool(name="""MCP Server for eSignatures_list_templates""", inputSchema={'properties': {}, 'type': 'object'}, description="""Lists the templates."""), # esignaturescom/MCP Server for eSignatures/list_templates
    Tool(name="""MCP Server for eSignatures_add_template_collaborator""", inputSchema={'properties': {'email': {'description': "Collaborator's email; triggers an invitation email when provided", 'type': 'string'}, 'name': {'description': "Collaborator's name", 'type': 'string'}, 'template_id': {'type': 'string'}}, 'required': ['template_id'], 'type': 'object'}, description="""Creates a HTTPS link for editing a contract template; sends an invitation email if an email is provided.."""), # esignaturescom/MCP Server for eSignatures/add_template_collaborator
    Tool(name="""BlueSky MCP Server_bluesky_get_profile""", inputSchema={'properties': {}, 'type': 'object'}, description="""Get a user's profile information"""), # berlinbra/BlueSky MCP Server/bluesky_get_profile
    Tool(name="""BlueSky MCP Server_bluesky_get_posts""", inputSchema={'properties': {'cursor': {'description': 'Pagination cursor for next page of results', 'type': 'string'}, 'limit': {'default': 50, 'description': 'Maximum number of posts to return (default 50, max 100)', 'type': 'integer'}}, 'type': 'object'}, description="""Get recent posts from a user"""), # berlinbra/BlueSky MCP Server/bluesky_get_posts
    Tool(name="""BlueSky MCP Server_bluesky_search_posts""", inputSchema={'properties': {'cursor': {'description': 'Pagination cursor for next page of results', 'type': 'string'}, 'limit': {'default': 25, 'description': 'Maximum number of posts to return (default 25, max 100)', 'type': 'integer'}, 'query': {'description': 'The search query', 'type': 'string'}}, 'required': ['query'], 'type': 'object'}, description="""Search for posts on Bluesky"""), # berlinbra/BlueSky MCP Server/bluesky_search_posts
    Tool(name="""BlueSky MCP Server_bluesky_get_follows""", inputSchema={'properties': {'cursor': {'description': 'Pagination cursor for next page of results', 'type': 'string'}, 'limit': {'default': 50, 'description': 'Maximum number of follows to return (default 50, max 100)', 'type': 'integer'}}, 'type': 'object'}, description="""Get a list of accounts the user follows"""), # berlinbra/BlueSky MCP Server/bluesky_get_follows
    Tool(name="""BlueSky MCP Server_bluesky_get_followers""", inputSchema={'properties': {'cursor': {'description': 'Pagination cursor for next page of results', 'type': 'string'}, 'limit': {'default': 50, 'description': 'Maximum number of followers to return (default 50, max 100)', 'type': 'integer'}}, 'type': 'object'}, description="""Get a list of accounts following the user"""), # berlinbra/BlueSky MCP Server/bluesky_get_followers
    Tool(name="""BlueSky MCP Server_bluesky_get_liked_posts""", inputSchema={'properties': {'cursor': {'description': 'Pagination cursor for next page of results', 'type': 'string'}, 'limit': {'default': 50, 'description': 'Maximum number of liked posts to return (default 50, max 100)', 'type': 'integer'}}, 'type': 'object'}, description="""Get a list of posts liked by the user"""), # berlinbra/BlueSky MCP Server/bluesky_get_liked_posts
    Tool(name="""BlueSky MCP Server_bluesky_get_personal_feed""", inputSchema={'properties': {'cursor': {'description': 'Pagination cursor for next page of results', 'type': 'string'}, 'limit': {'default': 50, 'description': 'Maximum number of feed items to return (default 50, max 100)', 'type': 'integer'}}, 'type': 'object'}, description="""Get your personalized Bluesky feed"""), # berlinbra/BlueSky MCP Server/bluesky_get_personal_feed
    Tool(name="""BlueSky MCP Server_bluesky_search_profiles""", inputSchema={'properties': {'cursor': {'description': 'Pagination cursor for next page of results', 'type': 'string'}, 'limit': {'default': 25, 'description': 'Maximum number of results to return (default 25, max 100)', 'type': 'integer'}, 'query': {'description': 'Search query string', 'type': 'string'}}, 'required': ['query'], 'type': 'object'}, description="""Search for Bluesky profiles"""), # berlinbra/BlueSky MCP Server/bluesky_search_profiles
    Tool(name="""Toolkit MCP Server_checkConnectivity""", inputSchema={'properties': {'host': {'description': 'Target host', 'type': 'string'}, 'port': {'description': 'Target port', 'type': 'number'}, 'timeout': {'default': 5000, 'description': 'Connection timeout in milliseconds', 'type': 'number'}}, 'required': ['host', 'port'], 'type': 'object'}, description="""Test TCP connectivity to a host and port"""), # cyanheads/Toolkit MCP Server/checkConnectivity
    Tool(name="""Toolkit MCP Server_getCurrentTime""", inputSchema={'properties': {'locale': {'default': 'en-US', 'description': 'Locale for formatting (e.g., en-US)', 'type': 'string'}, 'timeZone': {'default': 'UTC', 'description': 'Time zone (e.g., America/New_York)', 'type': 'string'}}, 'type': 'object'}, description="""Get current time formatted with Intl.DateTimeFormat"""), # cyanheads/Toolkit MCP Server/getCurrentTime
    Tool(name="""Toolkit MCP Server_getSystemInfo""", inputSchema={'properties': {}, 'type': 'object'}, description="""Get system information using Node.js os module"""), # cyanheads/Toolkit MCP Server/getSystemInfo
    Tool(name="""Toolkit MCP Server_getLoadAverage""", inputSchema={'properties': {}, 'type': 'object'}, description="""Get system load average for 1, 5, and 15 minutes"""), # cyanheads/Toolkit MCP Server/getLoadAverage
    Tool(name="""Toolkit MCP Server_getNetworkInterfaces""", inputSchema={'properties': {}, 'type': 'object'}, description="""Get network interface information"""), # cyanheads/Toolkit MCP Server/getNetworkInterfaces
    Tool(name="""Toolkit MCP Server_getPublicIP""", inputSchema={'properties': {}, 'type': 'object'}, description="""Get public IP address using ip-api.com"""), # cyanheads/Toolkit MCP Server/getPublicIP
    Tool(name="""Toolkit MCP Server_pingHost""", inputSchema={'properties': {'count': {'default': 4, 'description': 'Number of ping requests', 'type': 'number'}, 'host': {'description': 'Target host to ping', 'type': 'string'}}, 'required': ['host'], 'type': 'object'}, description="""Ping a host using system ping command"""), # cyanheads/Toolkit MCP Server/pingHost
    Tool(name="""Toolkit MCP Server_traceroute""", inputSchema={'properties': {'host': {'description': 'Target host', 'type': 'string'}}, 'required': ['host'], 'type': 'object'}, description="""Perform traceroute to a host"""), # cyanheads/Toolkit MCP Server/traceroute
    Tool(name="""Toolkit MCP Server_geolocate""", inputSchema={'properties': {'query': {'description': 'IP address or domain to lookup', 'type': 'string'}}, 'required': ['query'], 'type': 'object'}, description="""Get geolocation information for an IP address or domain"""), # cyanheads/Toolkit MCP Server/geolocate
    Tool(name="""Toolkit MCP Server_clearGeoCache""", inputSchema={'properties': {}, 'type': 'object'}, description="""Clear the geolocation cache"""), # cyanheads/Toolkit MCP Server/clearGeoCache
    Tool(name="""Toolkit MCP Server_generateUUID""", inputSchema={'properties': {}, 'type': 'object'}, description="""Generate a random UUID using crypto.randomUUID()"""), # cyanheads/Toolkit MCP Server/generateUUID
    Tool(name="""Toolkit MCP Server_generateQRCode""", inputSchema={'properties': {'data': {'description': 'Data to encode in QR code', 'type': 'string'}, 'errorCorrectionLevel': {'default': 'M', 'description': 'Error correction level', 'enum': ['L', 'M', 'Q', 'H'], 'type': 'string'}, 'type': {'default': 'terminal', 'description': 'Output type (terminal, svg, or base64)', 'enum': ['terminal', 'svg', 'base64'], 'type': 'string'}}, 'required': ['data'], 'type': 'object'}, description="""Generate a QR code from input data"""), # cyanheads/Toolkit MCP Server/generateQRCode
    Tool(name="""Toolkit MCP Server_convertTimezone""", inputSchema={'properties': {'date': {'description': 'Date/time string to convert (ISO 8601 format)', 'type': 'string'}, 'format': {'default': 'full', 'description': 'Output format (full, date, time, iso)', 'enum': ['full', 'date', 'time', 'iso'], 'type': 'string'}, 'fromTZ': {'description': 'Source timezone (IANA timezone identifier)', 'type': 'string'}, 'toTZ': {'description': 'Target timezone (IANA timezone identifier)', 'type': 'string'}}, 'required': ['date', 'fromTZ', 'toTZ'], 'type': 'object'}, description="""Convert date/time between timezones using Luxon"""), # cyanheads/Toolkit MCP Server/convertTimezone
    Tool(name="""Toolkit MCP Server_listTimezones""", inputSchema={'properties': {'region': {'description': 'Filter timezones by region (e.g., America, Europe)', 'optional': True, 'type': 'string'}}, 'type': 'object'}, description="""List all available IANA timezones"""), # cyanheads/Toolkit MCP Server/listTimezones
    Tool(name="""Toolkit MCP Server_hashData""", inputSchema={'properties': {'algorithm': {'default': 'sha256', 'description': 'Hash algorithm to use', 'enum': ['md5', 'sha1', 'sha256', 'sha512'], 'type': 'string'}, 'encoding': {'default': 'hex', 'description': 'Output encoding', 'enum': ['hex', 'base64'], 'type': 'string'}, 'input': {'description': 'Data to hash', 'type': 'string'}}, 'required': ['input'], 'type': 'object'}, description="""Hash input data using Node.js crypto module"""), # cyanheads/Toolkit MCP Server/hashData
    Tool(name="""Toolkit MCP Server_compareHashes""", inputSchema={'properties': {'hash1': {'description': 'First hash to compare', 'type': 'string'}, 'hash2': {'description': 'Second hash to compare', 'type': 'string'}}, 'required': ['hash1', 'hash2'], 'type': 'object'}, description="""Compare two hashes in constant time"""), # cyanheads/Toolkit MCP Server/compareHashes
    Tool(name="""mcp-pyodide_read-image""", inputSchema={'properties': {'imagePath': {'description': 'Path of the image file', 'type': 'string'}, 'mountName': {'description': 'Name of the mount point', 'type': 'string'}}, 'required': ['mountName', 'imagePath'], 'type': 'object'}, description="""Read an image from a mounted directory"""), # yonaka15/mcp-pyodide/read-image
    Tool(name="""mcp-pyodide_execute-python""", inputSchema={'properties': {'code': {'description': 'Python code to execute', 'type': 'string'}, 'timeout': {'description': 'Execution timeout in milliseconds (default: 5000)', 'type': 'number'}}, 'required': ['code'], 'type': 'object'}, description="""Execute Python code using Pyodide with output capture. When generating images, they will be automatically saved to the output directory instead of being displayed. Images can be accessed from the saved file paths that will be included in the output."""), # yonaka15/mcp-pyodide/execute-python
    Tool(name="""mcp-pyodide_install-python-packages""", inputSchema={'properties': {'package': {'description': 'Python package to install', 'type': 'string'}}, 'required': ['package'], 'type': 'object'}, description="""Install Python packages using Pyodide"""), # yonaka15/mcp-pyodide/install-python-packages
    Tool(name="""mcp-pyodide_get-mount-points""", inputSchema={'properties': {}, 'type': 'object'}, description="""List mounted directories"""), # yonaka15/mcp-pyodide/get-mount-points
    Tool(name="""mcp-pyodide_list-mounted-directory""", inputSchema={'properties': {'mountName': {'description': 'Name of the mount point', 'type': 'string'}}, 'required': ['mountName'], 'type': 'object'}, description="""List contents of a mounted directory"""), # yonaka15/mcp-pyodide/list-mounted-directory
    Tool(name="""Kobold MCP Server_kobold_max_context_length""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'apiUrl': {'default': 'http://localhost:5001', 'type': 'string'}}, 'type': 'object'}, description="""Get current max context length setting"""), # PhialsBasement/Kobold MCP Server/kobold_max_context_length
    Tool(name="""Kobold MCP Server_kobold_max_length""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'apiUrl': {'default': 'http://localhost:5001', 'type': 'string'}}, 'type': 'object'}, description="""Get current max length setting"""), # PhialsBasement/Kobold MCP Server/kobold_max_length
    Tool(name="""Kobold MCP Server_kobold_generate""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'apiUrl': {'default': 'http://localhost:5001', 'type': 'string'}, 'max_context_length': {'type': 'number'}, 'max_length': {'type': 'number'}, 'prompt': {'type': 'string'}, 'repetition_penalty': {'type': 'number'}, 'seed': {'type': 'number'}, 'stop_sequence': {'items': {'type': 'string'}, 'type': 'array'}, 'temperature': {'type': 'number'}, 'top_k': {'type': 'number'}, 'top_p': {'type': 'number'}}, 'required': ['prompt'], 'type': 'object'}, description="""Generate text with KoboldAI"""), # PhialsBasement/Kobold MCP Server/kobold_generate
    Tool(name="""Kobold MCP Server_kobold_model_info""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'apiUrl': {'default': 'http://localhost:5001', 'type': 'string'}}, 'type': 'object'}, description="""Get current model information"""), # PhialsBasement/Kobold MCP Server/kobold_model_info
    Tool(name="""Kobold MCP Server_kobold_version""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'apiUrl': {'default': 'http://localhost:5001', 'type': 'string'}}, 'type': 'object'}, description="""Get KoboldAI version information"""), # PhialsBasement/Kobold MCP Server/kobold_version
    Tool(name="""Kobold MCP Server_kobold_perf_info""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'apiUrl': {'default': 'http://localhost:5001', 'type': 'string'}}, 'type': 'object'}, description="""Get performance information"""), # PhialsBasement/Kobold MCP Server/kobold_perf_info
    Tool(name="""Kobold MCP Server_kobold_token_count""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'apiUrl': {'default': 'http://localhost:5001', 'type': 'string'}, 'text': {'type': 'string'}}, 'required': ['text'], 'type': 'object'}, description="""Count tokens in text"""), # PhialsBasement/Kobold MCP Server/kobold_token_count
    Tool(name="""Kobold MCP Server_kobold_detokenize""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'apiUrl': {'default': 'http://localhost:5001', 'type': 'string'}, 'tokens': {'items': {'type': 'number'}, 'type': 'array'}}, 'required': ['tokens'], 'type': 'object'}, description="""Convert token IDs to text"""), # PhialsBasement/Kobold MCP Server/kobold_detokenize
    Tool(name="""Kobold MCP Server_kobold_transcribe""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'apiUrl': {'default': 'http://localhost:5001', 'type': 'string'}, 'audio': {'type': 'string'}, 'language': {'type': 'string'}}, 'required': ['audio'], 'type': 'object'}, description="""Transcribe audio using Whisper"""), # PhialsBasement/Kobold MCP Server/kobold_transcribe
    Tool(name="""Kobold MCP Server_kobold_web_search""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'apiUrl': {'default': 'http://localhost:5001', 'type': 'string'}, 'query': {'type': 'string'}}, 'required': ['query'], 'type': 'object'}, description="""Search the web via DuckDuckGo"""), # PhialsBasement/Kobold MCP Server/kobold_web_search
    Tool(name="""Kobold MCP Server_kobold_tts""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'apiUrl': {'default': 'http://localhost:5001', 'type': 'string'}, 'speed': {'type': 'number'}, 'text': {'type': 'string'}, 'voice': {'type': 'string'}}, 'required': ['text'], 'type': 'object'}, description="""Generate text-to-speech audio"""), # PhialsBasement/Kobold MCP Server/kobold_tts
    Tool(name="""Kobold MCP Server_kobold_abort""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'apiUrl': {'default': 'http://localhost:5001', 'type': 'string'}}, 'type': 'object'}, description="""Abort the currently ongoing generation"""), # PhialsBasement/Kobold MCP Server/kobold_abort
    Tool(name="""Kobold MCP Server_kobold_last_logprobs""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'apiUrl': {'default': 'http://localhost:5001', 'type': 'string'}}, 'type': 'object'}, description="""Get token logprobs from the last request"""), # PhialsBasement/Kobold MCP Server/kobold_last_logprobs
    Tool(name="""Kobold MCP Server_kobold_sd_models""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'apiUrl': {'default': 'http://localhost:5001', 'type': 'string'}}, 'type': 'object'}, description="""List available Stable Diffusion models"""), # PhialsBasement/Kobold MCP Server/kobold_sd_models
    Tool(name="""Kobold MCP Server_kobold_sd_samplers""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'apiUrl': {'default': 'http://localhost:5001', 'type': 'string'}}, 'type': 'object'}, description="""List available Stable Diffusion samplers"""), # PhialsBasement/Kobold MCP Server/kobold_sd_samplers
    Tool(name="""Kobold MCP Server_kobold_txt2img""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'apiUrl': {'default': 'http://localhost:5001', 'type': 'string'}, 'cfg_scale': {'type': 'number'}, 'height': {'type': 'number'}, 'negative_prompt': {'type': 'string'}, 'prompt': {'type': 'string'}, 'sampler_name': {'type': 'string'}, 'seed': {'type': 'number'}, 'steps': {'type': 'number'}, 'width': {'type': 'number'}}, 'required': ['prompt'], 'type': 'object'}, description="""Generate image from text prompt"""), # PhialsBasement/Kobold MCP Server/kobold_txt2img
    Tool(name="""Kobold MCP Server_kobold_complete""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'apiUrl': {'default': 'http://localhost:5001', 'type': 'string'}, 'max_tokens': {'type': 'number'}, 'prompt': {'type': 'string'}, 'stop': {'items': {'type': 'string'}, 'type': 'array'}, 'temperature': {'type': 'number'}, 'top_p': {'type': 'number'}}, 'required': ['prompt'], 'type': 'object'}, description="""Text completion (OpenAI-compatible)"""), # PhialsBasement/Kobold MCP Server/kobold_complete
    Tool(name="""Kobold MCP Server_kobold_img2img""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'apiUrl': {'default': 'http://localhost:5001', 'type': 'string'}, 'cfg_scale': {'type': 'number'}, 'denoising_strength': {'type': 'number'}, 'height': {'type': 'number'}, 'init_images': {'items': {'type': 'string'}, 'type': 'array'}, 'negative_prompt': {'type': 'string'}, 'prompt': {'type': 'string'}, 'sampler_name': {'type': 'string'}, 'seed': {'type': 'number'}, 'steps': {'type': 'number'}, 'width': {'type': 'number'}}, 'required': ['prompt', 'init_images'], 'type': 'object'}, description="""Transform existing image using prompt"""), # PhialsBasement/Kobold MCP Server/kobold_img2img
    Tool(name="""Kobold MCP Server_kobold_interrogate""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'apiUrl': {'default': 'http://localhost:5001', 'type': 'string'}, 'image': {'type': 'string'}}, 'required': ['image'], 'type': 'object'}, description="""Generate caption for image"""), # PhialsBasement/Kobold MCP Server/kobold_interrogate
    Tool(name="""Kobold MCP Server_kobold_chat""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'apiUrl': {'default': 'http://localhost:5001', 'type': 'string'}, 'max_tokens': {'type': 'number'}, 'messages': {'items': {'additionalProperties': False, 'properties': {'content': {'type': 'string'}, 'role': {'enum': ['system', 'user', 'assistant'], 'type': 'string'}}, 'required': ['role', 'content'], 'type': 'object'}, 'type': 'array'}, 'stop': {'items': {'type': 'string'}, 'type': 'array'}, 'temperature': {'type': 'number'}, 'top_p': {'type': 'number'}}, 'required': ['messages'], 'type': 'object'}, description="""Chat completion (OpenAI-compatible)"""), # PhialsBasement/Kobold MCP Server/kobold_chat
    Tool(name="""Together AI Image MCP Server_generate_image""", inputSchema={'properties': {'format': {'default': 'png', 'description': 'Output format for the generated images', 'enum': ['png', 'jpg', 'svg'], 'type': 'string'}, 'height': {'default': 768, 'description': 'Image height in pixels', 'type': 'number'}, 'model': {'default': 'black-forest-labs/FLUX.1.1-pro', 'description': 'Model to use for generation', 'type': 'string'}, 'n': {'default': 1, 'description': 'Number of images to generate', 'type': 'number'}, 'outputDir': {'description': 'Full absolute path where images will be saved (e.g., /Users/username/Projects/myapp/src/assets)', 'examples': ['/Users/asanstefanski/Private Projekte/democline/src/assets'], 'pattern': '^/', 'type': 'string'}, 'prompt': {'description': 'Text description of the image to generate', 'type': 'string'}, 'steps': {'default': 28, 'description': 'Number of inference steps', 'type': 'number'}, 'width': {'default': 1024, 'description': 'Image width in pixels', 'type': 'number'}}, 'required': ['prompt'], 'type': 'object'}, description="""Generate an image using Together AI"""), # stefanskiasan/Together AI Image MCP Server/generate_image
    Tool(name="""MCP Chrome Google Search_web-search""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'pageNumber': {'default': 1, 'description': 'Which page of results to fetch (1-5). Each page contains ~10 results', 'maximum': 5, 'minimum': 1, 'type': 'number'}, 'query_text': {'description': 'Plain text to search for (no Google operators plain text only - use other parameters for site/date filtering)', 'minLength': 1, 'type': 'string'}, 'site': {'description': "Limit search to specific domain (e.g. 'github.com' or 'docs.python.org')", 'type': 'string'}, 'timeframe': {'description': 'Time range filter (h=hour, d=day, w=week, m=month, y=year)', 'enum': ['h', 'd', 'w', 'm', 'y'], 'type': 'string'}}, 'required': ['query_text'], 'type': 'object'}, description="""Search webpages and get a specific page of results (each page has ~10 results). Optionally filter by site and timeframe."""), # cmann50/MCP Chrome Google Search/web-search
    Tool(name="""MCP Chrome Google Search_web_fetch""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'includeLinks': {'default': False, 'description': 'Whether to include extracted links in the output', 'type': 'boolean'}, 'url': {'description': 'Webpage URL to fetch (must include http:// or https://)', 'format': 'uri', 'type': 'string'}}, 'required': ['url'], 'type': 'object'}, description="""Extract readable text content from a webpage using Chrome browser automation.\n\nKey Features:\n- Returns main content text and optionally links"""), # cmann50/MCP Chrome Google Search/web_fetch
    Tool(name="""MCP Variance Log_log-query""", inputSchema={'properties': {'context_summary': {'description': 'Summary of interaction context', 'type': 'string'}, 'interaction_type': {'description': 'Type of interaction being monitored', 'type': 'string'}, 'message_content': {'description': "The user's message content", 'type': 'string'}, 'probability_class': {'description': 'Classification of interaction probability', 'enum': ['HIGH', 'MEDIUM', 'LOW'], 'type': 'string'}, 'reasoning': {'description': 'Explanation for the probability classification', 'type': 'string'}, 'response_content': {'description': "The system's response content", 'type': 'string'}, 'session_id': {'description': "Unique identifier for the chat session.\n                            Format: <date>_<user>_<sequence>\n                            Example: 20240124_u1_001\n\n                            Components:\n                            - date: YYYYMMDD\n                            - user: 'u' + user number\n                            - sequence: 3-digit sequential number\n\n                            Valid examples:\n                            - 20240124_u1_001\n                            - 20240124_u1_002\n                            - 20240125_u2_001", 'pattern': '^\\d{8}_u\\d+_\\d{3}$', 'type': 'string'}, 'user_id': {'description': 'Identifier for the user', 'type': 'string'}}, 'required': ['session_id', 'user_id', 'interaction_type', 'probability_class', 'message_content', 'response_content', 'context_summary', 'reasoning'], 'type': 'object'}, description="""\n                Conversation Variation analysis\n                Continuously monitor our conversation and automatically log unusual or noteworthy interactions based on the following criteria:\n\n                1. Probability Classifications:\n                HIGH (Not Logged):\n                - Common questions and responses\n                - Standard technical inquiries\n                - Regular clarifications\n                - Normal conversation flow\n\n                MEDIUM (Logged):\n                - Unexpected but plausible technical issues\n                - Unusual patterns in user behavior\n                - Noteworthy insights or connections\n                - Edge cases in normal usage\n                - Uncommon but valid use cases\n\n                LOW (Logged with Priority):\n                - Highly unusual technical phenomena\n                - Potentially problematic patterns\n                - Critical edge cases\n                - Unexpected system behaviors\n                - Novel or unique use cases\n            """), # truaxki/MCP Variance Log/log-query
    Tool(name="""MCP Variance Log_read-logs""", inputSchema={'properties': {'end_date': {'description': 'Filter logs before this date (ISO format YYYY-MM-DDTHH:MM:SS)', 'type': 'string'}, 'full_details': {'default': False, 'description': 'If true, show all fields; if false, show only context summaries', 'type': 'boolean'}, 'limit': {'default': 10, 'description': 'Maximum number of logs to retrieve', 'maximum': 100, 'minimum': 1, 'type': 'integer'}, 'start_date': {'description': 'Filter logs after this date (ISO format YYYY-MM-DDTHH:MM:SS)', 'type': 'string'}}, 'required': ['limit'], 'type': 'object'}, description="""Retrieve logged conversation variations from the database."""), # truaxki/MCP Variance Log/read-logs
    Tool(name="""MCP Variance Log_read_query""", inputSchema={'properties': {'query': {'description': 'SELECT SQL query to execute', 'type': 'string'}}, 'required': ['query'], 'type': 'object'}, description="""Execute a SELECT query on the SQLite database\n\n                Schema Reference:\n                Table: chat_monitoring\n                Fields:\n                - log_id (INTEGER PRIMARY KEY)\n                - timestamp (DATETIME)\n                - session_id (TEXT)\n                - user_id (TEXT)\n                - interaction_type (TEXT)\n                - probability_class (TEXT: HIGH, MEDIUM, LOW)\n                - message_content (TEXT)\n                - response_content (TEXT)\n                - context_summary (TEXT)\n                - reasoning (TEXT)\n\n                Example:\n                SELECT timestamp, probability_class, context_summary \n                FROM chat_monitoring \n                WHERE probability_class = 'LOW'\n                LIMIT 5;\n                """), # truaxki/MCP Variance Log/read_query
    Tool(name="""MCP Variance Log_write_query""", inputSchema={'properties': {'query': {'description': 'Non-SELECT SQL query to execute', 'type': 'string'}}, 'required': ['query'], 'type': 'object'}, description="""Execute an INSERT, UPDATE, or DELETE query"""), # truaxki/MCP Variance Log/write_query
    Tool(name="""MCP Variance Log_create_table""", inputSchema={'properties': {'query': {'description': 'CREATE TABLE SQL statement', 'type': 'string'}}, 'required': ['query'], 'type': 'object'}, description="""Create a new table in the SQLite database"""), # truaxki/MCP Variance Log/create_table
    Tool(name="""MCP Variance Log_list_tables""", inputSchema={'properties': {}, 'type': 'object'}, description="""List all tables in the database"""), # truaxki/MCP Variance Log/list_tables
    Tool(name="""MCP Variance Log_describe_table""", inputSchema={'properties': {'table_name': {'description': 'Name of the table to describe', 'type': 'string'}}, 'required': ['table_name'], 'type': 'object'}, description="""Show structure of a specific table"""), # truaxki/MCP Variance Log/describe_table
    Tool(name="""MCP Variance Log_append_insight""", inputSchema={'properties': {'insight': {'description': 'Business insight discovered from data analysis', 'type': 'string'}}, 'required': ['insight'], 'type': 'object'}, description="""Add a business insight to the memo"""), # truaxki/MCP Variance Log/append_insight
    Tool(name="""MCP Browser Use Server_run_browser_agent""", inputSchema={'properties': {'add_infos': {'default': '', 'title': 'Add Infos', 'type': 'string'}, 'task': {'title': 'Task', 'type': 'string'}}, 'required': ['task'], 'title': 'run_browser_agentArguments', 'type': 'object'}, description="""Handle run-browser-agent tool calls."""), # JovaniPink/MCP Browser Use Server/run_browser_agent
    Tool(name="""mcp-server-axiom-js_queryApl""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'query': {'description': 'The APL query to run', 'type': 'string'}}, 'required': ['query'], 'type': 'object'}, description="""# Instructions\n1. Query Axiom datasets using Axiom Processing Language (APL). The query must be a valid APL query string.\n2. ALWAYS get the schema of the dataset before running queries rather than guessing.\n    You can do this by getting a single event and projecting all fields.\n3. Keep in mind that there's a maximum row limit of 65000 rows per query.\n4. Prefer aggregations over non aggregating queries when possible to reduce the amount of data returned.\n5. Be selective in what you project in each query (unless otherwise needed, like for discovering the schema).\n    It's expensive to project all fields.\n6. ALWAYS restrict the time range of the query to the smallest possible range that\n    meets your needs. This will reduce the amount of data scanned and improve query performance.\n7. NEVER guess the schema of the dataset. If you don't where something is, use search first to find in which fields\n    it appears.\n\n# Examples\nBasic:\n- Filter: ['logs'] | where ['severity'] == \"error\" or ['duration'] > 500ms\n- Time range: ['logs'] | where ['_time'] > ago(2h) and ['_time'] < now()\n- Project rename: ['logs'] | project-rename responseTime=['duration'], path=['url']\n\nAggregations:\n- Count by: ['logs'] | summarize count() by bin(['_time'], 5m), ['status']\n- Multiple aggs: ['logs'] | summarize count(), avg(['duration']), max(['duration']), p95=percentile(['duration'], 95) by ['endpoint']\n- Dimensional: ['logs'] | summarize dimensional_analysis(['isError'], pack_array(['endpoint'], ['status']))\n- Histograms: ['logs'] | summarize histogram(['responseTime'], 100) by ['endpoint']\n- Distinct: ['logs'] | summarize dcount(['userId']) by bin_auto(['_time'])\n\nSearch & Parse:\n- Search all: search \"error\" or \"exception\"\n- Parse logs: ['logs'] | parse-kv ['message'] as (duration:long, error:string) with (pair_delimiter=\",\")\n- Regex extract: ['logs'] | extend errorCode = extract(\"error code ([0-9]+)\", 1, ['message'])\n- Contains ops: ['logs'] | where ['message'] contains_cs \"ERROR\" or ['message'] startswith \"FATAL\"\n\nData Shaping:\n- Extend & Calculate: ['logs'] | extend duration_s = ['duration']/1000, success = ['status'] < 400\n- Dynamic: ['logs'] | extend props = parse_json(['properties']) | where ['props.level'] == \"error\"\n- Pack/Unpack: ['logs'] | extend fields = pack(\"status\", ['status'], \"duration\", ['duration'])\n- Arrays: ['logs'] | where ['url'] in (\"login\", \"logout\", \"home\") | where array_length(['tags']) > 0\n\nAdvanced:\n- Make series: ['metrics'] | make-series avg(['cpu']) default=0 on ['_time'] step 1m by ['host']\n- Join: ['errors'] | join kind=inner (['users'] | project ['userId'], ['email']) on ['userId']\n- Union: union ['logs-app*'] | where ['severity'] == \"error\"\n- Fork: ['logs'] | fork (where ['status'] >= 500 | as errors) (where ['status'] < 300 | as success)\n- Case: ['logs'] | extend level = case(['status'] >= 500, \"error\", ['status'] >= 400, \"warn\", \"info\")\n\nTime Operations:\n- Bin & Range: ['logs'] | where ['_time'] between(datetime(2024-01-01)..now())\n- Multiple time bins: ['logs'] | summarize count() by bin(['_time'], 1h), bin(['_time'], 1d)\n- Time shifts: ['logs'] | extend prev_hour = ['_time'] - 1h\n\nString Operations:\n- String funcs: ['logs'] | extend domain = tolower(extract(\"://([^/]+)\", 1, ['url']))\n- Concat: ['logs'] | extend full_msg = strcat(['level'], \": \", ['message'])\n- Replace: ['logs'] | extend clean_msg = replace_regex(\"(password=)[^&]*\", \"\\1***\", ['message'])\n\nCommon Patterns:\n- Error analysis: ['logs'] | where ['severity'] == \"error\" | summarize error_count=count() by ['error_code'], ['service']\n- Status codes: ['logs'] | summarize requests=count() by ['status'], bin_auto(['_time']) | where ['status'] >= 500\n- Latency tracking: ['logs'] | summarize p50=percentile(['duration'], 50), p90=percentile(['duration'], 90) by ['endpoint']\n- User activity: ['logs'] | summarize user_actions=count() by ['userId'], ['action'], bin(['_time'], 1h)"""), # ThetaBird/mcp-server-axiom-js/queryApl
    Tool(name="""mcp-server-axiom-js_listDatasets""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {}, 'type': 'object'}, description="""List all available Axiom datasets"""), # ThetaBird/mcp-server-axiom-js/listDatasets
    Tool(name="""mcp-server-axiom-js_getDatasetInfoAndSchema""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'dataset': {'description': 'The dataset to get info and schema for', 'type': 'string'}}, 'required': ['dataset'], 'type': 'object'}, description="""Get dataset info and schema"""), # ThetaBird/mcp-server-axiom-js/getDatasetInfoAndSchema
    Tool(name="""mcp-sequentialthinking-tools_sequentialthinking_tools""", inputSchema={'properties': {'branch_from_thought': {'description': 'Branching point thought number', 'minimum': 1, 'type': 'integer'}, 'branch_id': {'description': 'Branch identifier', 'type': 'string'}, 'current_step': {'description': 'Current step recommendation', 'properties': {'expected_outcome': {'description': 'What to expect from this step', 'type': 'string'}, 'next_step_conditions': {'description': 'Conditions to consider for the next step', 'items': {'type': 'string'}, 'type': 'array'}, 'recommended_tools': {'description': 'Tools recommended for this step', 'items': {'properties': {'alternatives': {'description': 'Alternative tools that could be used', 'items': {'type': 'string'}, 'type': 'array'}, 'confidence': {'description': '0-1 indicating confidence in recommendation', 'maximum': 1, 'minimum': 0, 'type': 'number'}, 'priority': {'description': 'Order in the recommendation sequence', 'type': 'number'}, 'rationale': {'description': 'Why this tool is recommended', 'type': 'string'}, 'suggested_inputs': {'description': 'Optional suggested parameters', 'type': 'object'}, 'tool_name': {'description': 'Name of the tool being recommended', 'type': 'string'}}, 'required': ['tool_name', 'confidence', 'rationale', 'priority'], 'type': 'object'}, 'type': 'array'}, 'step_description': {'description': 'What needs to be done', 'type': 'string'}}, 'required': ['step_description', 'recommended_tools', 'expected_outcome'], 'type': 'object'}, 'is_revision': {'description': 'Whether this revises previous thinking', 'type': 'boolean'}, 'needs_more_thoughts': {'description': 'If more thoughts are needed', 'type': 'boolean'}, 'next_thought_needed': {'description': 'Whether another thought step is needed', 'type': 'boolean'}, 'previous_steps': {'description': 'Steps already recommended', 'items': {'properties': {'expected_outcome': {'description': 'What to expect from this step', 'type': 'string'}, 'next_step_conditions': {'description': 'Conditions to consider for the next step', 'items': {'type': 'string'}, 'type': 'array'}, 'recommended_tools': {'description': 'Tools recommended for this step', 'items': {'properties': {'alternatives': {'description': 'Alternative tools that could be used', 'items': {'type': 'string'}, 'type': 'array'}, 'confidence': {'description': '0-1 indicating confidence in recommendation', 'maximum': 1, 'minimum': 0, 'type': 'number'}, 'priority': {'description': 'Order in the recommendation sequence', 'type': 'number'}, 'rationale': {'description': 'Why this tool is recommended', 'type': 'string'}, 'suggested_inputs': {'description': 'Optional suggested parameters', 'type': 'object'}, 'tool_name': {'description': 'Name of the tool being recommended', 'type': 'string'}}, 'required': ['tool_name', 'confidence', 'rationale', 'priority'], 'type': 'object'}, 'type': 'array'}, 'step_description': {'description': 'What needs to be done', 'type': 'string'}}, 'required': ['step_description', 'recommended_tools', 'expected_outcome'], 'type': 'object'}, 'type': 'array'}, 'remaining_steps': {'description': 'High-level descriptions of upcoming steps', 'items': {'type': 'string'}, 'type': 'array'}, 'revises_thought': {'description': 'Which thought is being reconsidered', 'minimum': 1, 'type': 'integer'}, 'thought': {'description': 'Your current thinking step', 'type': 'string'}, 'thought_number': {'description': 'Current thought number', 'minimum': 1, 'type': 'integer'}, 'total_thoughts': {'description': 'Estimated total thoughts needed', 'minimum': 1, 'type': 'integer'}}, 'required': ['thought', 'next_thought_needed', 'thought_number', 'total_thoughts'], 'type': 'object'}, description="""A detailed tool for dynamic and reflective problem-solving through thoughts.\nThis tool helps analyze problems through a flexible thinking process that can adapt and evolve.\nEach thought can build on, question, or revise previous insights as understanding deepens.\n\nIMPORTANT: When initializing this tool, you must pass all available tools that you want the sequential thinking process to be able to use. The tool will analyze these tools and provide recommendations for their use.\n\nWhen to use this tool:\n- Breaking down complex problems into steps\n- Planning and design with room for revision\n- Analysis that might need course correction\n- Problems where the full scope might not be clear initially\n- Problems that require a multi-step solution\n- Tasks that need to maintain context over multiple steps\n- Situations where irrelevant information needs to be filtered out\n- When you need guidance on which tools to use and in what order\n\nKey features:\n- You can adjust total_thoughts up or down as you progress\n- You can question or revise previous thoughts\n- You can add more thoughts even after reaching what seemed like the end\n- You can express uncertainty and explore alternative approaches\n- Not every thought needs to build linearly - you can branch or backtrack\n- Generates a solution hypothesis\n- Verifies the hypothesis based on the Chain of Thought steps\n- Recommends appropriate tools for each step\n- Provides rationale for tool recommendations\n- Suggests tool execution order and parameters\n- Tracks previous recommendations and remaining steps\n\nParameters explained:\n- thought: Your current thinking step, which can include:\n* Regular analytical steps\n* Revisions of previous thoughts\n* Questions about previous decisions\n* Realizations about needing more analysis\n* Changes in approach\n* Hypothesis generation\n* Hypothesis verification\n* Tool recommendations and rationale\n- next_thought_needed: True if you need more thinking, even if at what seemed like the end\n- thought_number: Current number in sequence (can go beyond initial total if needed)\n- total_thoughts: Current estimate of thoughts needed (can be adjusted up/down)\n- is_revision: A boolean indicating if this thought revises previous thinking\n- revises_thought: If is_revision is true, which thought number is being reconsidered\n- branch_from_thought: If branching, which thought number is the branching point\n- branch_id: Identifier for the current branch (if any)\n- needs_more_thoughts: If reaching end but realizing more thoughts needed\n- current_step: Current step recommendation, including:\n* step_description: What needs to be done\n* recommended_tools: Tools recommended for this step\n* expected_outcome: What to expect from this step\n* next_step_conditions: Conditions to consider for the next step\n- previous_steps: Steps already recommended\n- remaining_steps: High-level descriptions of upcoming steps\n\nYou should:\n1. Start with an initial estimate of needed thoughts, but be ready to adjust\n2. Feel free to question or revise previous thoughts\n3. Don't hesitate to add more thoughts if needed, even at the \"end\"\n4. Express uncertainty when present\n5. Mark thoughts that revise previous thinking or branch into new paths\n6. Ignore information that is irrelevant to the current step\n7. Generate a solution hypothesis when appropriate\n8. Verify the hypothesis based on the Chain of Thought steps\n9. Consider available tools that could help with the current step\n10. Provide clear rationale for tool recommendations\n11. Suggest specific tool parameters when appropriate\n12. Consider alternative tools for each step\n13. Track progress through the recommended steps\n14. Provide a single, ideally correct answer as the final output\n15. Only set next_thought_needed to false when truly done and a satisfactory answer is reached"""), # spences10/mcp-sequentialthinking-tools/sequentialthinking_tools
    Tool(name="""Julia Documentation MCP Server_get-doc""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'detail_level': {'description': 'Level of documentation detail: concise (just signatures), full (standard docs), or all (including internals)', 'enum': ['concise', 'full', 'all'], 'type': 'string'}, 'include_unexported': {'description': 'Whether to include unexported symbols', 'type': 'boolean'}, 'path': {'description': "Path to Julia object (e.g., 'Base.sort', 'AbstractArray')", 'type': 'string'}}, 'required': ['path'], 'type': 'object'}, description="""Get Julia documentation for a package, module, type, function, or method"""), # jonathanfischer97/Julia Documentation MCP Server/get-doc
    Tool(name="""Julia Documentation MCP Server_list-package""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'include_unexported': {'description': 'Whether to include unexported symbols', 'type': 'boolean'}, 'path': {'description': 'Package or module name', 'type': 'string'}}, 'required': ['path'], 'type': 'object'}, description="""List available symbols in a Julia package or module"""), # jonathanfischer97/Julia Documentation MCP Server/list-package
    Tool(name="""Julia Documentation MCP Server_explore-project""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'path': {'description': 'Path to Julia project', 'type': 'string'}}, 'required': ['path'], 'type': 'object'}, description="""Explore a Julia project's structure and dependencies"""), # jonathanfischer97/Julia Documentation MCP Server/explore-project
    Tool(name="""Julia Documentation MCP Server_get-source""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'path': {'description': "Path to Julia object (e.g., 'Base.sort', 'AbstractArray')", 'type': 'string'}}, 'required': ['path'], 'type': 'object'}, description="""Get Julia source code for a function, type, or method"""), # jonathanfischer97/Julia Documentation MCP Server/get-source
    Tool(name="""Linear MCP Server_create_issue""", inputSchema={'properties': {'assigneeId': {'description': 'ID of the user to assign the issue to. Use "me" to assign to the current authenticated user, or a specific user ID.', 'type': 'string'}, 'description': {'description': 'Description of the issue (markdown supported)', 'type': 'string'}, 'labelIds': {'description': 'Array of label IDs to attach to the issue', 'items': {'type': 'string'}, 'type': 'array'}, 'parentId': {'description': 'ID of the parent issue. If provided, creates a subissue.', 'type': 'string'}, 'priority': {'description': 'Priority of the issue (0-4)', 'type': 'number'}, 'status': {'description': 'Status of the issue', 'type': 'string'}, 'teamId': {'description': 'ID of the team to create the issue in. Required unless parentId is provided.', 'type': 'string'}, 'title': {'description': 'Title of the issue', 'type': 'string'}}, 'required': ['title'], 'type': 'object'}, description="""Create a new Linear issue with optional parent linking. Supports self-assignment using \"me\" as assigneeId."""), # cosmix/Linear MCP Server/create_issue
    Tool(name="""Linear MCP Server_update_issue""", inputSchema={'properties': {'assigneeId': {'description': 'ID of the new assignee. Use "me" to assign to the current authenticated user, or a specific user ID.', 'type': 'string'}, 'description': {'description': 'New description for the issue (markdown supported)', 'type': 'string'}, 'issueId': {'description': 'ID or key of the issue to update', 'type': 'string'}, 'labelIds': {'description': 'New array of label IDs', 'items': {'type': 'string'}, 'type': 'array'}, 'priority': {'description': 'New priority for the issue (0-4)', 'type': 'number'}, 'status': {'description': 'New status for the issue', 'type': 'string'}, 'title': {'description': 'New title for the issue', 'type': 'string'}}, 'required': ['issueId'], 'type': 'object'}, description="""Update an existing Linear issue. Supports self-assignment using \"me\" as assigneeId."""), # cosmix/Linear MCP Server/update_issue
    Tool(name="""Linear MCP Server_get_issue""", inputSchema={'properties': {'includeRelationships': {'default': False, 'description': 'Include comments, parent/sub-issues, and related issues. Also extracts mentions from content.', 'type': 'boolean'}, 'issueId': {'description': 'The ID or key of the Linear issue', 'type': 'string'}}, 'required': ['issueId'], 'type': 'object'}, description="""Get detailed information about a specific Linear issue including optional relationships and cleaned content"""), # cosmix/Linear MCP Server/get_issue
    Tool(name="""Linear MCP Server_search_issues""", inputSchema={'properties': {'filter': {'description': 'Optional filters to narrow down search results', 'properties': {'assignedTo': {'description': 'Filter by assignee. Use "me" to find issues assigned to the current user, or a specific user ID.', 'type': 'string'}, 'createdBy': {'description': 'Filter by creator. Use "me" to find issues created by the current user, or a specific user ID.', 'type': 'string'}}, 'type': 'object'}, 'includeRelationships': {'default': False, 'description': 'Include additional metadata like team and labels in search results', 'type': 'boolean'}, 'projectId': {'description': 'Filter issues by project ID. Takes precedence over projectName if both are provided.', 'type': 'string'}, 'projectName': {'description': 'Filter issues by project name. Will be used to find matching projects if projectId is not provided.', 'type': 'string'}, 'query': {'description': 'Text to search in issue titles and descriptions. Can be empty string if only using filters.', 'type': 'string'}}, 'required': ['query'], 'type': 'object'}, description="""Search for Linear issues using a query string and advanced filters. Supports filtering by assignee, creator, and project. Examples: 1. Find your assigned issues: {query: \"\", filter: {assignedTo: \"me\"}}, 2. Find issues you created: {query: \"\", filter: {createdBy: \"me\"}}, 3. Find issues assigned to specific user: {query: \"\", filter: {assignedTo: \"user-id-123\"}}, 4. Find issues in a specific project: {query: \"bug\", projectId: \"project-123\"}, 5. Find issues by project name: {query: \"feature\", projectName: \"Website Redesign\"}"""), # cosmix/Linear MCP Server/search_issues
    Tool(name="""Linear MCP Server_get_teams""", inputSchema={'properties': {'nameFilter': {'description': 'Optional filter to search by team name or key', 'type': 'string'}}, 'type': 'object'}, description="""Get a list of Linear teams with optional name/key filtering"""), # cosmix/Linear MCP Server/get_teams
    Tool(name="""Linear MCP Server_create_comment""", inputSchema={'properties': {'body': {'description': 'Content of the comment (markdown supported)', 'type': 'string'}, 'issueId': {'description': 'ID or key of the issue to comment on', 'type': 'string'}}, 'required': ['issueId', 'body'], 'type': 'object'}, description="""Create a new comment on a Linear issue"""), # cosmix/Linear MCP Server/create_comment
    Tool(name="""Linear MCP Server_delete_issue""", inputSchema={'properties': {'issueId': {'description': 'ID or key of the issue to delete', 'type': 'string'}}, 'required': ['issueId'], 'type': 'object'}, description="""Delete an existing Linear issue"""), # cosmix/Linear MCP Server/delete_issue
    Tool(name="""Linear MCP Server_get_projects""", inputSchema={'properties': {'after': {'description': 'Cursor for pagination. Use the endCursor from a previous response to fetch the next page', 'type': 'string'}, 'first': {'default': 50, 'description': 'Number of items to return (default: 50, max: 100)', 'type': 'number'}, 'includeArchived': {'default': True, 'description': 'Whether to include archived projects (default: true)', 'type': 'boolean'}, 'nameFilter': {'description': 'Optional filter to search by project name', 'type': 'string'}}, 'required': [], 'type': 'object'}, description="""Get a list of Linear projects with optional name filtering and pagination"""), # cosmix/Linear MCP Server/get_projects
    Tool(name="""Linear MCP Server_get_project_updates""", inputSchema={'properties': {'after': {'description': 'Cursor for pagination. Use the endCursor from a previous response to fetch the next page', 'type': 'string'}, 'createdAfter': {'description': 'ISO date string. Only return updates created after this date', 'type': 'string'}, 'createdBefore': {'description': 'ISO date string. Only return updates created before this date', 'type': 'string'}, 'first': {'default': 50, 'description': 'Number of items to return (default: 50, max: 100)', 'type': 'number'}, 'health': {'description': 'Filter updates by health status (e.g., "onTrack", "atRisk", "offTrack")', 'type': 'string'}, 'includeArchived': {'default': True, 'description': 'Whether to include archived updates (default: true)', 'type': 'boolean'}, 'projectId': {'description': 'ID of the project to get updates for', 'type': 'string'}, 'userId': {'description': 'Filter updates by creator. Use "me" to find updates created by the current user, or a specific user ID', 'type': 'string'}}, 'required': ['projectId'], 'type': 'object'}, description="""Get project updates for a given project ID with optional filtering parameters"""), # cosmix/Linear MCP Server/get_project_updates
    Tool(name="""ESA MCP Server_search_esa_posts""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'order': {'default': 'desc', 'enum': ['asc', 'desc'], 'type': 'string'}, 'page': {'default': 1, 'minimum': 1, 'type': 'number'}, 'perPage': {'default': 50, 'maximum': 100, 'minimum': 1, 'type': 'number'}, 'query': {'type': 'string'}, 'sort': {'default': 'best_match', 'enum': ['created', 'updated', 'number', 'stars', 'comments', 'best_match'], 'type': 'string'}, 'teamName': {'default': 'my-team-name', 'type': 'string'}}, 'required': ['query'], 'type': 'object'}, description="""Search posts in esa.io. Response is paginated. For efficient search, you can use customized queries like the following: keyword for partial match, \"keyword\" for exact match, keyword1 keyword2 for AND match, keyword1 OR keyword2 for OR match, -keyword for excluding keywords, title:keyword for title match, wip:true or wip:false for WIP posts, kind:stock or kind:flow for kind match, category:category_name for partial match with category name, in:category_name for prefix match with category name, on:category_name for exact match with category name, body:keyword for body match, tag:tag_name or tag:tag_name case_sensitive:true for tag match, user:screen_name for post author's screen name, updated_by:screen_name for post updater's screen name, comment:keyword for partial match with comments, starred:true or starred:false for starred posts, watched:true or watched:false for watched posts, watched_by:screen_name for screen name of members watching the post, sharing:true or sharing:false for shared posts, stars:>3 for posts with more than 3 stars, watches:>3 for posts with more than 3 watches, comments:>3 for posts with more than 3 comments, done:>=3 for posts with 3 or more done items, undone:>=3 for posts with 3 or more undone items, created:>YYYY-MM-DD for filtering by creation date, updated:>YYYY-MM-DD for filtering by update date"""), # d-kimuson/ESA MCP Server/search_esa_posts
    Tool(name="""ESA MCP Server_read_esa_post""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'postNumber': {'type': 'number'}, 'teamName': {'default': 'my-team-name', 'type': 'string'}}, 'required': ['postNumber'], 'type': 'object'}, description="""Read a post in esa.io."""), # d-kimuson/ESA MCP Server/read_esa_post
    Tool(name="""ESA MCP Server_read_esa_multiple_posts""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'postNumbers': {'items': {'type': 'number'}, 'type': 'array'}, 'teamName': {'default': 'my-team-name', 'type': 'string'}}, 'required': ['postNumbers'], 'type': 'object'}, description="""Read multiple posts in esa.io."""), # d-kimuson/ESA MCP Server/read_esa_multiple_posts
    Tool(name="""Obsidian MCP Server_obsidian_list_files_in_vault""", inputSchema={'properties': {}, 'required': [], 'type': 'object'}, description="""Lists all files and directories in the root directory of your Obsidian vault. Returns a hierarchical structure of files and folders, including metadata like file type."""), # cyanheads/Obsidian MCP Server/obsidian_list_files_in_vault
    Tool(name="""Obsidian MCP Server_obsidian_list_files_in_dir""", inputSchema={'properties': {'dirpath': {'description': 'Path to list files from (relative to your vault root). Note that empty directories will not be returned.', 'format': 'path', 'type': 'string'}}, 'required': ['dirpath'], 'type': 'object'}, description="""Lists all files and directories that exist in a specific Obsidian directory. Returns a hierarchical structure showing files, folders, and their relationships. Useful for exploring vault organization and finding specific files."""), # cyanheads/Obsidian MCP Server/obsidian_list_files_in_dir
    Tool(name="""Obsidian MCP Server_obsidian_get_file_contents""", inputSchema={'properties': {'filepath': {'description': 'Path to the relevant file (relative to your vault root).', 'format': 'path', 'type': 'string'}}, 'required': ['filepath'], 'type': 'object'}, description="""Return the content of a single file in your vault. Supports markdown files, text files, and other readable formats. Returns the raw content including any YAML frontmatter."""), # cyanheads/Obsidian MCP Server/obsidian_get_file_contents
    Tool(name="""Obsidian MCP Server_obsidian_find_in_file""", inputSchema={'properties': {'contextLength': {'default': 10, 'description': 'Number of characters to include before and after each match for context (default: 10)', 'type': 'integer'}, 'query': {'description': 'Text pattern to search for. Can include tags, keywords, or phrases.', 'type': 'string'}}, 'required': ['query'], 'type': 'object'}, description="""Full-text search across all files in the vault. Returns matching files with surrounding context for each match. Useful for finding specific content, references, or patterns across notes."""), # cyanheads/Obsidian MCP Server/obsidian_find_in_file
    Tool(name="""Obsidian MCP Server_obsidian_append_content""", inputSchema={'properties': {'content': {'description': 'Content to append to the file', 'type': 'string'}, 'filepath': {'description': 'Path to the file (relative to vault root)', 'format': 'path', 'type': 'string'}}, 'required': ['filepath', 'content'], 'type': 'object'}, description="""Append content to a new or existing file in the vault."""), # cyanheads/Obsidian MCP Server/obsidian_append_content
    Tool(name="""Obsidian MCP Server_obsidian_patch_content""", inputSchema={'properties': {'content': {'description': 'New content for the note (replaces existing content)', 'type': 'string'}, 'filepath': {'description': 'Path to the file (relative to vault root)', 'format': 'path', 'type': 'string'}}, 'required': ['filepath', 'content'], 'type': 'object'}, description="""Update the entire content of an existing note or create a new one."""), # cyanheads/Obsidian MCP Server/obsidian_patch_content
    Tool(name="""Obsidian MCP Server_obsidian_complex_search""", inputSchema={'properties': {'query': {'description': 'JsonLogic query object. Example: {"glob": ["*.md", {"var": "path"}]} matches all markdown files', 'type': 'object'}}, 'required': ['query'], 'type': 'object'}, description="""Advanced search functionality using JsonLogic queries. Enables complex file filtering based on paths, metadata, modification times, and content patterns. Supports logical operations, date comparisons, and pattern matching."""), # cyanheads/Obsidian MCP Server/obsidian_complex_search
    Tool(name="""Obsidian MCP Server_obsidian_get_properties""", inputSchema={'properties': {'filepath': {'description': 'Path to the note file (relative to vault root)', 'format': 'path', 'type': 'string'}}, 'required': ['filepath'], 'type': 'object'}, description="""Get properties (title, tags, status, etc.) from an Obsidian note's YAML frontmatter. Returns all available properties including custom fields."""), # cyanheads/Obsidian MCP Server/obsidian_get_properties
    Tool(name="""Obsidian MCP Server_obsidian_update_properties""", inputSchema={'properties': {'filepath': {'description': 'Path to the note file (relative to vault root)', 'format': 'path', 'type': 'string'}, 'properties': {'additionalProperties': False, 'description': 'Properties to update', 'properties': {'author': {'type': 'string'}, 'custom': {'additionalProperties': True, 'type': 'object'}, 'dependencies': {'items': {'type': 'string'}, 'type': 'array'}, 'papers': {'items': {'type': 'string'}, 'type': 'array'}, 'platform': {'type': 'string'}, 'repository': {'format': 'uri', 'type': 'string'}, 'sources': {'items': {'type': 'string'}, 'type': 'array'}, 'status': {'items': {'enum': ['draft', 'in-progress', 'review', 'complete'], 'type': 'string'}, 'type': 'array'}, 'tags': {'items': {'pattern': '^#', 'type': 'string'}, 'type': 'array'}, 'title': {'type': 'string'}, 'type': {'items': {'enum': ['concept', 'architecture', 'specification', 'protocol', 'api', 'research', 'implementation', 'guide', 'reference'], 'type': 'string'}, 'type': 'array'}, 'urls': {'items': {'format': 'uri', 'type': 'string'}, 'type': 'array'}, 'version': {'type': 'string'}}, 'type': 'object'}}, 'required': ['filepath', 'properties'], 'type': 'object'}, description="""Update properties in an Obsidian note's YAML frontmatter. Intelligently merges arrays (tags, type, status), handles custom fields, and automatically manages timestamps (created by Obsidian, modified by MCP server). Existing properties not included in the update are preserved."""), # cyanheads/Obsidian MCP Server/obsidian_update_properties
    Tool(name="""Jina.ai Grounding MCP Server_ground_statement""", inputSchema={'properties': {'no_cache': {'default': False, 'description': 'Whether to bypass cache for fresh results', 'type': 'boolean'}, 'references': {'description': 'Optional list of URLs to restrict search to. Only provide URLs that are publicly accessible and contain information relevant to the statement. If the URLs do not contain the necessary information, the grounding will fail. For best results, either provide URLs you are certain contain the information, or omit this parameter to search the entire web.', 'items': {'type': 'string'}, 'type': 'array'}, 'statement': {'description': 'Statement to be grounded', 'type': 'string'}}, 'required': ['statement'], 'type': 'object'}, description="""Ground a statement using real-time web search results to check factuality. When providing URLs via the references parameter, ensure they are publicly accessible and contain relevant information about the statement. If the URLs do not contain the necessary information, try removing the URL restrictions to search the entire web."""), # spences10/Jina.ai Grounding MCP Server/ground_statement
    Tool(name="""EOL MCP Server_check_version""", inputSchema={'properties': {'product': {'description': 'Software product name (e.g., python, nodejs, ubuntu)', 'examples': ['python', 'nodejs', 'ubuntu'], 'type': 'string'}, 'version': {'description': 'Specific version to check (e.g., 3.8, 16, 20.04)', 'examples': ['3.8', '16', '20.04'], 'type': 'string'}}, 'required': ['product'], 'type': 'object'}, description="""Check EOL status and support information for software versions"""), # ducthinh993/EOL MCP Server/check_version
    Tool(name="""EOL MCP Server_check_cve""", inputSchema={'properties': {'product': {'description': 'Software product name', 'examples': ['python', 'nodejs'], 'type': 'string'}, 'vendor': {'description': 'Software vendor (optional)', 'examples': ['canonical', 'redhat'], 'type': 'string'}, 'version': {'description': 'Version to check for vulnerabilities', 'examples': ['3.8.0', '16.13.0'], 'type': 'string'}}, 'required': ['product', 'version'], 'type': 'object'}, description="""Scan for known security vulnerabilities and support status"""), # ducthinh993/EOL MCP Server/check_cve
    Tool(name="""EOL MCP Server_list_products""", inputSchema={'properties': {'filter': {'description': 'Optional search term to filter products', 'examples': ['python', 'linux', 'database'], 'type': 'string'}}, 'type': 'object'}, description="""Browse or search available software products"""), # ducthinh993/EOL MCP Server/list_products
    Tool(name="""EOL MCP Server_compare_versions""", inputSchema={'properties': {'product': {'description': 'Software product name (e.g., python, nodejs)', 'examples': ['python', 'nodejs'], 'type': 'string'}, 'version': {'description': 'Current version being used', 'examples': ['3.8', '16'], 'type': 'string'}}, 'required': ['product', 'version'], 'type': 'object'}, description="""Compare versions and get detailed upgrade analysis"""), # ducthinh993/EOL MCP Server/compare_versions
    Tool(name="""EOL MCP Server_get_all_details""", inputSchema={'properties': {'product': {'description': 'Software product name (e.g., python, nodejs)', 'examples': ['python', 'nodejs'], 'type': 'string'}}, 'required': ['product'], 'type': 'object'}, description="""Get comprehensive lifecycle details for all versions of a product"""), # ducthinh993/EOL MCP Server/get_all_details
    Tool(name="""Azure DevOps MCP Server for Cline_update_wiki_page""", inputSchema={'properties': {'comment': {'description': 'Comment for the update (optional)', 'type': 'string'}, 'content': {'description': 'Page content in markdown format', 'type': 'string'}, 'path': {'description': 'Page path', 'type': 'string'}, 'wikiIdentifier': {'description': 'Wiki identifier', 'type': 'string'}}, 'required': ['wikiIdentifier', 'path', 'content'], 'type': 'object'}, description="""Create or update a wiki page"""), # stefanskiasan/Azure DevOps MCP Server for Cline/update_wiki_page
    Tool(name="""Azure DevOps MCP Server for Cline_list_projects""", inputSchema={'properties': {}, 'required': [], 'type': 'object'}, description="""List all projects in the Azure DevOps organization"""), # stefanskiasan/Azure DevOps MCP Server for Cline/list_projects
    Tool(name="""Azure DevOps MCP Server for Cline_get_work_item""", inputSchema={'properties': {'$expand': {'description': 'Expand options (None=0, Relations=1, Fields=2, Links=3, All=4)', 'enum': [0, 1, 2, 3, 4], 'type': 'number'}, 'asOf': {'description': 'As of a specific date (ISO 8601)', 'format': 'date-time', 'type': 'string'}, 'errorPolicy': {'description': 'Error policy (Fail=1, Omit=2)', 'enum': [1, 2], 'type': 'number'}, 'fields': {'description': 'Fields to include (e.g., "System.Title", "System.State")', 'items': {'type': 'string'}, 'type': 'array'}, 'ids': {'description': 'Work item IDs', 'items': {'type': 'number'}, 'type': 'array'}}, 'required': ['ids'], 'type': 'object'}, description="""Get work items by IDs"""), # stefanskiasan/Azure DevOps MCP Server for Cline/get_work_item
    Tool(name="""Azure DevOps MCP Server for Cline_list_work_items""", inputSchema={'properties': {'query': {'description': 'WIQL query to filter work items', 'type': 'string'}}, 'required': ['query'], 'type': 'object'}, description="""List work items from a board"""), # stefanskiasan/Azure DevOps MCP Server for Cline/list_work_items
    Tool(name="""Azure DevOps MCP Server for Cline_create_work_item""", inputSchema={'properties': {'document': {'description': 'Array of JSON patch operations to apply', 'items': {'properties': {'op': {'description': 'The patch operation to perform', 'enum': ['add', 'remove', 'replace', 'move', 'copy', 'test'], 'type': 'string'}, 'path': {'description': 'The path for the operation (e.g., /fields/System.Title)', 'type': 'string'}, 'value': {'description': 'The value for the operation'}}, 'required': ['op', 'path'], 'type': 'object'}, 'type': 'array'}, 'type': {'description': 'Work item type (e.g., "Bug", "Task", "User Story")', 'type': 'string'}}, 'required': ['type', 'document'], 'type': 'object'}, description="""Create a new work item using JSON patch operations"""), # stefanskiasan/Azure DevOps MCP Server for Cline/create_work_item
    Tool(name="""Azure DevOps MCP Server for Cline_update_work_item""", inputSchema={'properties': {'document': {'description': 'Array of JSON patch operations to apply', 'items': {'properties': {'op': {'description': 'The patch operation to perform', 'enum': ['add', 'remove', 'replace', 'move', 'copy', 'test'], 'type': 'string'}, 'path': {'description': 'The path for the operation (e.g., /fields/System.Title)', 'type': 'string'}, 'value': {'description': 'The value for the operation'}}, 'required': ['op', 'path'], 'type': 'object'}, 'type': 'array'}, 'id': {'description': 'ID of the work item to update', 'type': 'number'}}, 'required': ['id', 'document'], 'type': 'object'}, description="""Update an existing work item using JSON patch operations"""), # stefanskiasan/Azure DevOps MCP Server for Cline/update_work_item
    Tool(name="""Azure DevOps MCP Server for Cline_get_boards""", inputSchema={'properties': {'team': {'description': 'Team name (optional)', 'type': 'string'}}, 'type': 'object'}, description="""List available boards in the project"""), # stefanskiasan/Azure DevOps MCP Server for Cline/get_boards
    Tool(name="""Azure DevOps MCP Server for Cline_get_wikis""", inputSchema={'properties': {}, 'type': 'object'}, description="""List all wikis in the project"""), # stefanskiasan/Azure DevOps MCP Server for Cline/get_wikis
    Tool(name="""Azure DevOps MCP Server for Cline_get_wiki_page""", inputSchema={'properties': {'includeContent': {'description': 'Include page content (optional, defaults to true)', 'type': 'boolean'}, 'path': {'description': 'Page path', 'type': 'string'}, 'version': {'description': 'Version (optional, defaults to main)', 'type': 'string'}, 'wikiIdentifier': {'description': 'Wiki identifier', 'type': 'string'}}, 'required': ['wikiIdentifier', 'path'], 'type': 'object'}, description="""Get a wiki page by path"""), # stefanskiasan/Azure DevOps MCP Server for Cline/get_wiki_page
    Tool(name="""Azure DevOps MCP Server for Cline_create_wiki""", inputSchema={'properties': {'mappedPath': {'description': 'Mapped path (optional, defaults to /)', 'type': 'string'}, 'name': {'description': 'Wiki name', 'type': 'string'}, 'projectId': {'description': 'Project ID (optional, defaults to current project)', 'type': 'string'}}, 'required': ['name'], 'type': 'object'}, description="""Create a new wiki"""), # stefanskiasan/Azure DevOps MCP Server for Cline/create_wiki
    Tool(name="""Azure DevOps MCP Server for Cline_list_pipelines""", inputSchema={'properties': {'folder': {'description': 'Filter pipelines by folder path (optional)', 'type': 'string'}, 'name': {'description': 'Filter pipelines by name (optional)', 'type': 'string'}}, 'type': 'object'}, description="""List all pipelines in the project"""), # stefanskiasan/Azure DevOps MCP Server for Cline/list_pipelines
    Tool(name="""Azure DevOps MCP Server for Cline_trigger_pipeline""", inputSchema={'properties': {'branch': {'description': 'Branch to run the pipeline on (optional, defaults to default branch)', 'type': 'string'}, 'pipelineId': {'description': 'Pipeline ID to trigger', 'type': 'number'}, 'variables': {'additionalProperties': {'type': 'string'}, 'description': 'Pipeline variables to override (optional)', 'type': 'object'}}, 'required': ['pipelineId'], 'type': 'object'}, description="""Trigger a pipeline run"""), # stefanskiasan/Azure DevOps MCP Server for Cline/trigger_pipeline
    Tool(name="""Azure DevOps MCP Server for Cline_list_pull_requests""", inputSchema={'properties': {'creatorId': {'description': 'Filter by creator ID (optional)', 'type': 'string'}, 'repositoryId': {'description': 'Filter by repository ID (optional)', 'type': 'string'}, 'status': {'description': 'Filter by PR status (active, completed, abandoned)', 'enum': ['active', 'completed', 'abandoned'], 'type': 'string'}}, 'type': 'object'}, description="""List all pull requests in the project"""), # stefanskiasan/Azure DevOps MCP Server for Cline/list_pull_requests
    Tool(name="""Azure DevOps MCP Server for Cline_create_pull_request""", inputSchema={'properties': {'description': {'description': 'Pull request description', 'type': 'string'}, 'repositoryId': {'description': 'Repository ID', 'type': 'string'}, 'reviewers': {'description': 'List of reviewer IDs (optional)', 'items': {'type': 'string'}, 'type': 'array'}, 'sourceRefName': {'description': 'Source branch name (e.g. refs/heads/feature)', 'type': 'string'}, 'targetRefName': {'description': 'Target branch name (e.g. refs/heads/main)', 'type': 'string'}, 'title': {'description': 'Pull request title', 'type': 'string'}}, 'required': ['repositoryId', 'sourceRefName', 'targetRefName', 'title'], 'type': 'object'}, description="""Create a new pull request"""), # stefanskiasan/Azure DevOps MCP Server for Cline/create_pull_request
    Tool(name="""Azure DevOps MCP Server for Cline_update_pull_request""", inputSchema={'properties': {'description': {'description': 'New description (optional)', 'type': 'string'}, 'mergeStrategy': {'description': 'Merge strategy (optional)', 'enum': ['squash', 'rebase', 'merge'], 'type': 'string'}, 'pullRequestId': {'description': 'Pull Request ID', 'type': 'number'}, 'status': {'description': 'New status (active, abandoned, completed)', 'enum': ['active', 'abandoned', 'completed'], 'type': 'string'}, 'title': {'description': 'New title (optional)', 'type': 'string'}}, 'required': ['pullRequestId'], 'type': 'object'}, description="""Update an existing pull request"""), # stefanskiasan/Azure DevOps MCP Server for Cline/update_pull_request
    Tool(name="""MCP JinaAI Search Server_search""", inputSchema={'properties': {'browser_locale': {'description': 'Browser locale for rendering content', 'type': 'string'}, 'enable_iframe': {'default': False, 'description': 'Extract content from iframes', 'type': 'boolean'}, 'enable_shadow_dom': {'default': False, 'description': 'Extract content from shadow DOM', 'type': 'boolean'}, 'format': {'default': 'text', 'description': 'Response format (json or text)', 'enum': ['json', 'text'], 'type': 'string'}, 'gather_images': {'default': False, 'description': 'Gather all images at the end of the response', 'type': 'boolean'}, 'gather_links': {'default': False, 'description': 'Gather all links at the end of the response', 'type': 'boolean'}, 'image_caption': {'default': False, 'description': 'Caption images in the content', 'type': 'boolean'}, 'no_cache': {'default': False, 'description': 'Bypass cache for fresh results', 'type': 'boolean'}, 'query': {'description': 'Search query', 'type': 'string'}, 'resolve_redirects': {'default': True, 'description': 'Follow redirect chains to final URL', 'type': 'boolean'}, 'stream': {'default': False, 'description': 'Enable stream mode for large pages', 'type': 'boolean'}, 'token_budget': {'description': 'Maximum number of tokens for this request', 'minimum': 1, 'type': 'number'}}, 'required': ['query'], 'type': 'object'}, description="""Search the web and get clean, LLM-friendly content using Jina.ai Reader. Returns top 5 results with URLs and clean content."""), # spences10/MCP JinaAI Search Server/search
    Tool(name="""MCP Puppeteer Linux Server_puppeteer_navigate""", inputSchema={'properties': {'url': {'type': 'string'}}, 'required': ['url'], 'type': 'object'}, description="""Navigate to a URL"""), # PhialsBasement/MCP Puppeteer Linux Server/puppeteer_navigate
    Tool(name="""MCP Puppeteer Linux Server_puppeteer_screenshot""", inputSchema={'properties': {'height': {'description': 'Height in pixels (default: 600)', 'type': 'number'}, 'name': {'description': 'Name for the screenshot', 'type': 'string'}, 'selector': {'description': 'CSS selector for element to screenshot', 'type': 'string'}, 'width': {'description': 'Width in pixels (default: 800)', 'type': 'number'}}, 'required': ['name'], 'type': 'object'}, description="""Take a screenshot of the current page or a specific element"""), # PhialsBasement/MCP Puppeteer Linux Server/puppeteer_screenshot
    Tool(name="""MCP Puppeteer Linux Server_puppeteer_click""", inputSchema={'properties': {'selector': {'description': 'CSS selector for element to click', 'type': 'string'}}, 'required': ['selector'], 'type': 'object'}, description="""Click an element on the page"""), # PhialsBasement/MCP Puppeteer Linux Server/puppeteer_click
    Tool(name="""MCP Puppeteer Linux Server_puppeteer_fill""", inputSchema={'properties': {'selector': {'description': 'CSS selector for input field', 'type': 'string'}, 'value': {'description': 'Value to fill', 'type': 'string'}}, 'required': ['selector', 'value'], 'type': 'object'}, description="""Fill out an input field"""), # PhialsBasement/MCP Puppeteer Linux Server/puppeteer_fill
    Tool(name="""MCP Puppeteer Linux Server_puppeteer_select""", inputSchema={'properties': {'selector': {'description': 'CSS selector for element to select', 'type': 'string'}, 'value': {'description': 'Value to select', 'type': 'string'}}, 'required': ['selector', 'value'], 'type': 'object'}, description="""Select an element on the page with Select tag"""), # PhialsBasement/MCP Puppeteer Linux Server/puppeteer_select
    Tool(name="""MCP Puppeteer Linux Server_puppeteer_hover""", inputSchema={'properties': {'selector': {'description': 'CSS selector for element to hover', 'type': 'string'}}, 'required': ['selector'], 'type': 'object'}, description="""Hover an element on the page"""), # PhialsBasement/MCP Puppeteer Linux Server/puppeteer_hover
    Tool(name="""MCP Puppeteer Linux Server_puppeteer_evaluate""", inputSchema={'properties': {'script': {'description': 'JavaScript code to execute', 'type': 'string'}}, 'required': ['script'], 'type': 'object'}, description="""Execute JavaScript in the browser console"""), # PhialsBasement/MCP Puppeteer Linux Server/puppeteer_evaluate
    Tool(name="""mcp-wsl-exec_execute_command""", inputSchema={'properties': {'command': {'description': 'Command to execute', 'type': 'string'}, 'timeout': {'description': 'Timeout in milliseconds', 'type': 'number'}, 'working_dir': {'description': 'Working directory for command execution', 'type': 'string'}}, 'required': ['command'], 'type': 'object'}, description="""Execute a command in WSL"""), # spences10/mcp-wsl-exec/execute_command
    Tool(name="""mcp-wsl-exec_confirm_command""", inputSchema={'properties': {'confirm': {'description': 'Whether to proceed with the command execution', 'type': 'boolean'}, 'confirmation_id': {'description': 'Confirmation ID received from execute_command', 'type': 'string'}}, 'required': ['confirmation_id', 'confirm'], 'type': 'object'}, description="""Confirm execution of a dangerous command"""), # spences10/mcp-wsl-exec/confirm_command
    Tool(name="""AppTweak MCP Server_search_app""", inputSchema={'properties': {'country': {'default': 'US', 'description': 'Two-letter country code (e.g., US, GB)', 'type': 'string'}, 'language': {'default': 'en', 'description': 'Two-letter language code (e.g., en, fr)', 'type': 'string'}, 'platform': {'description': 'Platform to search on (ios/android)', 'enum': ['ios', 'android'], 'type': 'string'}, 'query': {'description': 'App name to search for', 'type': 'string'}}, 'required': ['query', 'platform'], 'type': 'object'}, description="""Search for an app by name and platform (ios/android)"""), # robertredbox/AppTweak MCP Server/search_app
    Tool(name="""AppTweak MCP Server_get_app_details""", inputSchema={'properties': {'appId': {'description': 'App ID (e.g., com.example.app for Android or 123456789 for iOS)', 'type': 'string'}, 'country': {'default': 'US', 'description': 'Two-letter country code (e.g., US, GB)', 'type': 'string'}, 'language': {'default': 'en', 'description': 'Two-letter language code (e.g., en, fr)', 'type': 'string'}, 'platform': {'description': 'Platform (ios/android)', 'enum': ['ios', 'android'], 'type': 'string'}}, 'required': ['appId', 'platform'], 'type': 'object'}, description="""Get detailed information about an app by ID"""), # robertredbox/AppTweak MCP Server/get_app_details
    Tool(name="""AppTweak MCP Server_analyze_top_keywords""", inputSchema={'properties': {'appIds': {'description': 'Array of app IDs to analyze', 'items': {'type': 'string'}, 'type': 'array'}, 'country': {'default': 'US', 'description': 'Two-letter country code (e.g., US, GB)', 'type': 'string'}, 'limit': {'default': 10, 'description': 'Number of keywords to analyze per app (max 20)', 'maximum': 20, 'type': 'number'}, 'platform': {'description': 'Platform (ios/android)', 'enum': ['ios', 'android'], 'type': 'string'}, 'sortBy': {'default': 'score', 'description': 'How to sort keyword suggestions: score (keyword quality), volume (search popularity), rank (ranking difficulty)', 'enum': ['score', 'volume', 'rank'], 'type': 'string'}}, 'required': ['appIds', 'platform'], 'type': 'object'}, description="""Get keyword suggestions sorted by score (keyword quality), volume (search popularity), or rank (ranking difficulty)"""), # robertredbox/AppTweak MCP Server/analyze_top_keywords
    Tool(name="""AppTweak MCP Server_analyze_reviews""", inputSchema={'properties': {'appId': {'description': 'App ID to analyze reviews for', 'type': 'string'}, 'country': {'default': 'US', 'description': 'Two-letter country code (e.g., US, GB)', 'type': 'string'}, 'language': {'default': 'en', 'description': 'Filter reviews by language (e.g., en, es)', 'type': 'string'}, 'platform': {'description': 'Platform (ios/android)', 'enum': ['ios', 'android'], 'type': 'string'}}, 'required': ['appId', 'platform'], 'type': 'object'}, description="""Analyze app reviews and ratings to extract user satisfaction insights"""), # robertredbox/AppTweak MCP Server/analyze_reviews
    Tool(name="""MCP Webcam Server_capture""", inputSchema={'parameters': {}, 'type': 'object'}, description="""Gets the latest picture from the webcam. You can use this  if the human asks questions about their immediate environment,  if you want to see the human or to examine an object they may be referring to or showing you."""), # evalstate/MCP Webcam Server/capture
    Tool(name="""MCP Webcam Server_screenshot""", inputSchema={'parameters': {}, 'type': 'object'}, description="""Gets a screenshot of the current screen or window"""), # evalstate/MCP Webcam Server/screenshot
    Tool(name="""MCP Perplexity Search_chat_completion""", inputSchema={'properties': {'custom_template': {'description': 'Custom prompt template. If provided, overrides prompt_template.', 'properties': {'format': {'description': 'Response format', 'enum': ['text', 'markdown', 'json'], 'type': 'string'}, 'include_sources': {'description': 'Whether to include source URLs in responses', 'type': 'boolean'}, 'system': {'description': "System message that sets the assistant's role and behavior", 'type': 'string'}}, 'required': ['system'], 'type': 'object'}, 'format': {'default': 'text', 'description': 'Response format. Use json for structured data, markdown for formatted text with code blocks. Overrides template format if provided.', 'enum': ['text', 'markdown', 'json'], 'type': 'string'}, 'include_sources': {'default': False, 'description': 'Include source URLs in the response. Overrides template setting if provided.', 'type': 'boolean'}, 'max_tokens': {'default': 1024, 'description': 'The maximum number of tokens to generate in the response. One token is roughly 4 characters for English text.', 'maximum': 4096, 'minimum': 1, 'type': 'number'}, 'messages': {'items': {'properties': {'content': {'type': 'string'}, 'role': {'enum': ['system', 'user', 'assistant'], 'type': 'string'}}, 'required': ['role', 'content'], 'type': 'object'}, 'type': 'array'}, 'model': {'default': 'sonar', 'description': 'Model to use for completion. Note: llama-3.1 models will be deprecated after 2/22/2025', 'enum': ['sonar-pro', 'sonar', 'llama-3.1-sonar-small-128k-online', 'llama-3.1-sonar-large-128k-online', 'llama-3.1-sonar-huge-128k-online'], 'type': 'string'}, 'prompt_template': {'description': 'Predefined prompt template to use for common use cases. Available templates:\n- technical_docs: Technical documentation with code examples and source references\n- security_practices: Security best practices and implementation guidelines with references\n- code_review: Code analysis focusing on best practices and improvements\n- api_docs: API documentation in structured JSON format with examples', 'enum': ['technical_docs', 'security_practices', 'code_review', 'api_docs'], 'type': 'string'}, 'temperature': {'default': 0.7, 'description': 'Controls randomness in the output. Higher values (e.g. 0.8) make the output more random, while lower values (e.g. 0.2) make it more focused and deterministic.', 'maximum': 1, 'minimum': 0, 'type': 'number'}}, 'required': ['messages'], 'type': 'object'}, description="""Generate chat completions using the Perplexity API"""), # spences10/MCP Perplexity Search/chat_completion
    Tool(name="""Vilnius Transport MCP Server_find_stops""", inputSchema={'properties': {'name': {'description': 'Full or partial name of the stop to search for', 'type': 'string'}}, 'required': ['name'], 'type': 'object'}, description="""Search for public transport stops by name"""), # sarunasdaujotis/Vilnius Transport MCP Server/find_stops
    Tool(name="""Vilnius Transport MCP Server_find_closest_stop""", inputSchema={'properties': {'coordinates': {'description': "Coordinates as 'latitude, longitude' (e.g., '54.687157, 25.279652')", 'type': 'string'}}, 'required': ['coordinates'], 'type': 'object'}, description="""Find the closest public transport stop to given coordinates"""), # sarunasdaujotis/Vilnius Transport MCP Server/find_closest_stop
    Tool(name="""Starknet MCP Server_get_block""", inputSchema={'properties': {'blockNumber': {'description': 'The block number to get', 'type': 'number'}}, 'required': [], 'type': 'object'}, description="""Get a block from the Starknet blockchain"""), # milancermak/Starknet MCP Server/get_block
    Tool(name="""tavily-search-mcp-server_tavily_search""", inputSchema={'properties': {'days': {'default': 3, 'description': 'The number of days back from the current date to include in the search results (for news topic).', 'type': 'number'}, 'exclude_domains': {'default': [], 'description': 'A list of domains to specifically exclude from the search results.', 'items': {'type': 'string'}, 'type': 'array'}, 'include_answer': {'default': False, 'description': "Include a short answer to original query, generated by an LLM based on Tavily's search results.", 'type': 'boolean'}, 'include_domains': {'default': [], 'description': 'A list of domains to specifically include in the search results.', 'items': {'type': 'string'}, 'type': 'array'}, 'include_image_descriptions': {'default': False, 'description': 'When include_images is set to True, this option adds descriptive text for each image.', 'type': 'boolean'}, 'include_images': {'default': False, 'description': 'Include a list of query-related images in the response.', 'type': 'boolean'}, 'include_raw_content': {'default': False, 'description': 'Include the cleaned and parsed HTML content of each search result.', 'type': 'boolean'}, 'max_results': {'default': 5, 'description': 'The maximum number of search results to return.', 'type': 'number'}, 'query': {'description': 'The search query.', 'type': 'string'}, 'search_depth': {'default': 'basic', 'description': 'The depth of the search. It can be "basic" or "advanced".', 'enum': ['basic', 'advanced'], 'type': 'string'}, 'time_range': {'description': 'The time range back from the current date to include in the search results. Accepted values include "day","week","month","year" or "d","w","m","y".', 'enum': ['day', 'week', 'month', 'year', 'd', 'w', 'm', 'y'], 'type': 'string'}, 'topic': {'default': 'general', 'description': 'The category of the search. Currently: only "general" and "news" are supported.', 'enum': ['general', 'news'], 'type': 'string'}}, 'required': ['query'], 'type': 'object'}, description="""Performs a web search using the Tavily Search API, optimized for LLMs. Use this for broad information gathering, recent events, or when you need diverse web sources. Supports search depth, topic selection, time range filtering, and domain inclusion/exclusion."""), # apappascs/tavily-search-mcp-server/tavily_search
    Tool(name="""mcp-tung-shing_get-tung-shing""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'days': {'anyOf': [{'minimum': 1, 'type': 'integer'}, {'pattern': '^\\d+$', 'type': 'string'}], 'default': 1, 'description': 'The number of consecutive days to retrieve'}, 'startDate': {'default': '2025-03-09', 'description': 'The start date as a string in the format "YYYY-MM-DD"', 'type': 'string'}}, 'type': 'object'}, description="""Get the daily almanac from Tung Shing"""), # baranwang/mcp-tung-shing/get-tung-shing
    Tool(name="""MCP Server Fetch TypeScript_get_raw_text""", inputSchema={'properties': {'url': {'description': 'URL of the target resource containing raw text content (JSON, XML, CSV, TSV, plain text, etc.).', 'type': 'string'}}, 'required': ['url'], 'type': 'object'}, description="""Retrieves raw text content directly from a URL without browser rendering. Ideal for structured data formats like JSON, XML, CSV, TSV, or plain text files. Best used when fast, direct access to the source content is needed without processing dynamic elements."""), # tatn/MCP Server Fetch TypeScript/get_raw_text
    Tool(name="""MCP Server Fetch TypeScript_get_rendered_html""", inputSchema={'properties': {'url': {'description': 'URL of the target web page that requires JavaScript execution or dynamic content rendering.', 'type': 'string'}}, 'required': ['url'], 'type': 'object'}, description="""Fetches fully rendered HTML content using a headless browser, including JavaScript-generated content. Essential for modern web applications, single-page applications (SPAs), or any content that requires client-side rendering to be complete."""), # tatn/MCP Server Fetch TypeScript/get_rendered_html
    Tool(name="""MCP Server Fetch TypeScript_get_markdown""", inputSchema={'properties': {'url': {'description': 'URL of the web page to convert to Markdown format, supporting various HTML elements and structures.', 'type': 'string'}}, 'required': ['url'], 'type': 'object'}, description="""Converts web page content to well-formatted Markdown, preserving structural elements like tables and definition lists. Recommended as the default tool for web content extraction when a clean, readable text format is needed while maintaining document structure."""), # tatn/MCP Server Fetch TypeScript/get_markdown
    Tool(name="""MCP Server Fetch TypeScript_get_markdown_summary""", inputSchema={'properties': {'url': {'description': 'URL of the web page whose main content should be extracted and converted to Markdown.', 'type': 'string'}}, 'required': ['url'], 'type': 'object'}, description="""Extracts and converts the main content area of a web page to Markdown format, automatically removing navigation menus, headers, footers, and other peripheral content. Perfect for capturing the core content of articles, blog posts, or documentation pages."""), # tatn/MCP Server Fetch TypeScript/get_markdown_summary
    Tool(name="""MCP Server Fetch Python_get-raw-text""", inputSchema={'properties': {'url': {'description': 'URL of the target web page (text, JSON, XML, csv, tsv, etc.).', 'type': 'string'}}, 'required': ['url'], 'type': 'object'}, description="""Extracts raw text content directly from URLs without browser rendering. Ideal for structured data formats like JSON, XML, CSV, TSV, or plain text files. Best used when fast, direct access to the source content is needed without processing dynamic elements."""), # tatn/MCP Server Fetch Python/get-raw-text
    Tool(name="""MCP Server Fetch Python_get-rendered-html""", inputSchema={'properties': {'url': {'description': 'URL of the target web page (ordinary HTML including JavaScript, etc.).', 'type': 'string'}}, 'required': ['url'], 'type': 'object'}, description="""Fetches fully rendered HTML content using a headless browser, including JavaScript-generated content. Essential for modern web applications, single-page applications (SPAs), or any content that requires client-side rendering to be complete."""), # tatn/MCP Server Fetch Python/get-rendered-html
    Tool(name="""MCP Server Fetch Python_get-markdown""", inputSchema={'properties': {'url': {'description': 'URL of the target web page (ordinary HTML, etc.).', 'type': 'string'}}, 'required': ['url'], 'type': 'object'}, description="""Converts web page content to well-formatted Markdown, preserving structural elements like tables and definition lists. Recommended as the default tool for web content extraction when a clean, readable text format is needed while maintaining document structure."""), # tatn/MCP Server Fetch Python/get-markdown
    Tool(name="""MCP Server Fetch Python_get-markdown-from-media""", inputSchema={'properties': {'url': {'description': 'URL of the target web page (images, videos, etc.).', 'type': 'string'}}, 'required': ['url'], 'type': 'object'}, description="""Performs AI-powered content extraction from media files (images and videos) and converts the results to Markdown format. Specialized tool for visual content analysis that utilizes computer vision and OCR capabilities to generate descriptive text from media sources."""), # tatn/MCP Server Fetch Python/get-markdown-from-media
    Tool(name="""Penrose MCP Server_create_domain""", inputSchema={'properties': {'name': {'description': 'Domain name', 'type': 'string'}, 'types': {'items': {'properties': {'name': {'description': 'Type name', 'type': 'string'}, 'predicates': {'items': {'properties': {'args': {'items': {'type': 'string'}, 'type': 'array'}, 'name': {'type': 'string'}}, 'required': ['name', 'args'], 'type': 'object'}, 'type': 'array'}}, 'required': ['name'], 'type': 'object'}, 'type': 'array'}}, 'required': ['name', 'types'], 'type': 'object'}, description="""Create domain-specific language (DSL) definitions"""), # bmorphism/Penrose MCP Server/create_domain
    Tool(name="""Penrose MCP Server_create_substance""", inputSchema={'properties': {'declarations': {'items': {'properties': {'objects': {'items': {'type': 'string'}, 'type': 'array'}, 'type': {'type': 'string'}}, 'required': ['type', 'objects'], 'type': 'object'}, 'type': 'array'}, 'domain': {'description': 'Reference to domain', 'type': 'string'}, 'statements': {'items': {'properties': {'args': {'items': {'type': 'string'}, 'type': 'array'}, 'predicate': {'type': 'string'}}, 'required': ['predicate', 'args'], 'type': 'object'}, 'type': 'array'}}, 'required': ['domain', 'declarations', 'statements'], 'type': 'object'}, description="""Define mathematical objects and relationships"""), # bmorphism/Penrose MCP Server/create_substance
    Tool(name="""Penrose MCP Server_create_style""", inputSchema={'properties': {'canvas': {'properties': {'height': {'type': 'number'}, 'width': {'type': 'number'}}, 'required': ['width', 'height'], 'type': 'object'}, 'rules': {'items': {'properties': {'constraints': {'items': {'type': 'string'}, 'type': 'array'}, 'properties': {'type': 'object'}, 'selector': {'type': 'string'}}, 'required': ['selector', 'properties', 'constraints'], 'type': 'object'}, 'type': 'array'}}, 'required': ['canvas', 'rules'], 'type': 'object'}, description="""Define visual representation rules"""), # bmorphism/Penrose MCP Server/create_style
    Tool(name="""Penrose MCP Server_generate_diagram""", inputSchema={'properties': {'domain': {'type': 'string'}, 'style': {'type': 'string'}, 'substance': {'type': 'string'}, 'variation': {'type': 'string'}}, 'required': ['domain', 'substance', 'style'], 'type': 'object'}, description="""Generate diagram from domain/substance/style"""), # bmorphism/Penrose MCP Server/generate_diagram
    Tool(name="""Brev_get_instance_types""", inputSchema={'properties': {'cloud_provider': {'description': 'The cloud provider to get instance types for', 'enum': ['aws', 'gcp', 'azure', 'crusoe', 'lambda-labs', 'fluidstack', 'launchpad', 'akash', 'gcpalpha']}}, 'required': ['cloud_provider'], 'type': 'object'}, description="""Get available instances types for a cloud provider"""), # brevdev/Brev/get_instance_types
    Tool(name="""Brev_create_workspace""", inputSchema={'properties': {'cloud_provider': {'description': 'The cloud provider for the workspace', 'enum': ['aws', 'gcp', 'azure', 'crusoe', 'lambda-labs', 'fluidstack', 'launchpad', 'akash', 'gcpalpha']}, 'instance_type': {'description': 'The instance type of the workspace', 'type': 'string'}, 'name': {'description': 'The name of the workspace', 'type': 'string'}}, 'required': ['cloud_provider'], 'type': 'object'}, description="""Create a workspace from an instance type and cloud provider"""), # brevdev/Brev/create_workspace
    Tool(name="""Steel MCP Server_navigate""", inputSchema={'properties': {'url': {'description': 'The URL to navigate to', 'type': 'string'}}, 'required': ['url'], 'type': 'object'}, description="""Navigate to a specified URL"""), # steel-dev/Steel MCP Server/navigate
    Tool(name="""Steel MCP Server_search""", inputSchema={'properties': {'query': {'description': 'The text to search for on Google', 'type': 'string'}}, 'required': ['query'], 'type': 'object'}, description="""Perform a Google search by navigating to https://www.google.com/search?q=encodedQuery using the provided query text."""), # steel-dev/Steel MCP Server/search
    Tool(name="""Steel MCP Server_click""", inputSchema={'properties': {'label': {'description': 'The label of the element to click, as shown in the annotated screenshot', 'type': 'number'}}, 'required': ['label'], 'type': 'object'}, description="""Click an element on the page specified by its numbered label from the annotated screenshot"""), # steel-dev/Steel MCP Server/click
    Tool(name="""Steel MCP Server_type""", inputSchema={'properties': {'label': {'description': 'The label of the input field', 'type': 'number'}, 'replaceText': {'description': 'If true, clears any existing text in the input field before typing the new text.', 'type': 'boolean'}, 'text': {'description': 'The text to type into the input field', 'type': 'string'}}, 'required': ['label', 'text'], 'type': 'object'}, description="""Type text into an input field specified by its numbered label from the annotated screenshot. Optionally replace existing text first."""), # steel-dev/Steel MCP Server/type
    Tool(name="""Steel MCP Server_scroll_down""", inputSchema={'properties': {'pixels': {'description': 'The number of pixels to scroll down. If not specified, scrolls down one page.', 'type': 'integer'}}, 'required': [], 'type': 'object'}, description="""Scroll down the page by a pixel amount - if no pixels are specified, scrolls down one page"""), # steel-dev/Steel MCP Server/scroll_down
    Tool(name="""Steel MCP Server_scroll_up""", inputSchema={'properties': {'pixels': {'description': 'The number of pixels to scroll up. If not specified, scrolls up one page.', 'type': 'integer'}}, 'required': [], 'type': 'object'}, description="""Scroll up the page by a pixel amount - if no pixels are specified, scrolls up one page"""), # steel-dev/Steel MCP Server/scroll_up
    Tool(name="""Steel MCP Server_go_back""", inputSchema={'properties': {}, 'required': [], 'type': 'object'}, description="""Go back to the previous page in the browser history"""), # steel-dev/Steel MCP Server/go_back
    Tool(name="""Steel MCP Server_wait""", inputSchema={'properties': {'seconds': {'description': 'Number of seconds to wait (max 10). Start with a smaller value (2-3 seconds) and increase if needed.', 'maximum': 10, 'minimum': 0, 'type': 'number'}}, 'required': ['seconds'], 'type': 'object'}, description="""Use this tool when a page appears to be loading or not fully rendered. Common scenarios include: when elements are missing from a screenshot that should be there, when a page looks incomplete or broken, when dynamic content is still loading, or when a previous action (like clicking a button) hasn't fully processed yet. Waits for a specified number of seconds (up to 10) to allow the page to finish loading or rendering."""), # steel-dev/Steel MCP Server/wait
    Tool(name="""Steel MCP Server_save_unmarked_screenshot""", inputSchema={'properties': {'resourceName': {'description': "The name under which the unmarked screenshot will be saved as a resource (e.g. 'before_login'). If not provided, one will be generated.", 'type': 'string'}}, 'required': [], 'type': 'object'}, description="""Capture a screenshot without bounding boxes and store it as a resource. Provide a resourceName to identify the screenshot. It's useful for when you want to view a page unobstructed by annotations or the user asks for a screenshot of the page."""), # steel-dev/Steel MCP Server/save_unmarked_screenshot
    Tool(name="""LlamaCloud MCP Server_get_information""", inputSchema={'properties': {'query': {'description': 'The query used to get information about your knowledge base.', 'type': 'string'}}, 'required': ['query'], 'type': 'object'}, description="""Get information from your knowledge base to answer questions."""), # run-llama/LlamaCloud MCP Server/get_information
    Tool(name="""Folderr_set_api_token""", inputSchema={'properties': {'token': {'description': 'API token generated from Folderr developers section', 'type': 'string'}}, 'required': ['token'], 'type': 'object'}, description="""Set an API token for authentication (alternative to login)"""), # folderr-tech/Folderr/set_api_token
    Tool(name="""Folderr_login""", inputSchema={'properties': {'email': {'description': 'User email', 'type': 'string'}, 'password': {'description': 'User password', 'type': 'string'}}, 'required': ['email', 'password'], 'type': 'object'}, description="""Login to Folderr with email and password"""), # folderr-tech/Folderr/login
    Tool(name="""Folderr_list_assistants""", inputSchema={'properties': {}, 'required': [], 'type': 'object'}, description="""List all available assistants"""), # folderr-tech/Folderr/list_assistants
    Tool(name="""Folderr_ask_assistant""", inputSchema={'properties': {'assistant_id': {'description': 'ID of the assistant to ask', 'type': 'string'}, 'question': {'description': 'Question to ask the assistant', 'type': 'string'}}, 'required': ['assistant_id', 'question'], 'type': 'object'}, description="""Ask a question to a specific assistant"""), # folderr-tech/Folderr/ask_assistant
    Tool(name="""Folderr_list_workflows""", inputSchema={'properties': {}, 'required': [], 'type': 'object'}, description="""List all available workflows"""), # folderr-tech/Folderr/list_workflows
    Tool(name="""Folderr_get_workflow_inputs""", inputSchema={'properties': {'workflow_id': {'description': 'ID of the workflow', 'type': 'string'}}, 'required': ['workflow_id'], 'type': 'object'}, description="""Get the required inputs for a workflow"""), # folderr-tech/Folderr/get_workflow_inputs
    Tool(name="""Folderr_execute_workflow""", inputSchema={'properties': {'inputs': {'additionalProperties': True, 'description': 'Input values required by the workflow', 'type': 'object'}, 'workflow_id': {'description': 'ID of the workflow', 'type': 'string'}}, 'required': ['workflow_id', 'inputs'], 'type': 'object'}, description="""Execute a workflow with the required inputs"""), # folderr-tech/Folderr/execute_workflow
    Tool(name="""Eyevinn Open Source Cloud MCP Server_osc_create_db""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'name': {'description': 'Name of the database', 'pattern': '^[a-z0-9]+$', 'type': 'string'}, 'type': {'description': 'Type of database [SQL, NoSQL, MemoryDb]', 'type': 'string'}}, 'required': ['name', 'type'], 'type': 'object'}, description="""Create a new database instance in Eyevinn Open Source Cloud"""), # EyevinnOSC/Eyevinn Open Source Cloud MCP Server/osc_create_db
    Tool(name="""Eyevinn Open Source Cloud MCP Server_osc_create_bucket""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'name': {'description': 'Name of the bucket', 'pattern': '^[a-z0-9]+$', 'type': 'string'}}, 'required': ['name'], 'type': 'object'}, description="""Create an S3 compatible bucket in Eyevinn Open Source Cloud"""), # EyevinnOSC/Eyevinn Open Source Cloud MCP Server/osc_create_bucket
    Tool(name="""Eyevinn Open Source Cloud MCP Server_osc_create_vod""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'pipeline': {'description': 'Name of the pipeline', 'pattern': '^[a-z0-9]+$', 'type': 'string'}, 'source': {'description': 'Source video URL', 'type': 'string'}}, 'required': ['pipeline', 'source'], 'type': 'object'}, description="""Create a VOD package using a VOD pipeline in Eyevinn Open Source Cloud"""), # EyevinnOSC/Eyevinn Open Source Cloud MCP Server/osc_create_vod
    Tool(name="""Eyevinn Open Source Cloud MCP Server_osc_create_vod_pipeline""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'name': {'description': 'Name of the pipeline', 'pattern': '^[a-z0-9]+$', 'type': 'string'}}, 'required': ['name'], 'type': 'object'}, description="""Create a VOD pipeline in Eyevinn Open Source Cloud"""), # EyevinnOSC/Eyevinn Open Source Cloud MCP Server/osc_create_vod_pipeline
    Tool(name="""Eyevinn Open Source Cloud MCP Server_osc_remove_vod_pipeline""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'name': {'description': 'Name of the pipeline', 'type': 'string'}}, 'required': ['name'], 'type': 'object'}, description="""Remove a VOD pipeline in Eyevinn Open Source Cloud"""), # EyevinnOSC/Eyevinn Open Source Cloud MCP Server/osc_remove_vod_pipeline
    Tool(name="""Upstash MCP Server_redis_database_create_new""", inputSchema={'properties': {'name': {'description': 'Name of the database.', 'type': 'string'}, 'primary_region': {'description': 'Primary Region of the Global Database.', 'enum': ['us-east-1', 'us-west-1', 'us-west-2', 'eu-west-1', 'eu-central-1', 'ap-southeast-1', 'ap-southeast-2', 'sa-east-1'], 'type': 'string'}, 'read_regions': {'description': 'Array of read regions of the db', 'items': {'enum': ['us-east-1', 'us-west-1', 'us-west-2', 'eu-west-1', 'eu-central-1', 'ap-southeast-1', 'ap-southeast-2', 'sa-east-1'], 'type': 'string'}, 'type': 'array'}}, 'required': ['name', 'primary_region'], 'type': 'object'}, description="""Create a new Upstash redis database. \nNOTE: Ask user for the region and name of the database.\nNOTE: Don't show the database ID from the response to the user unless explicitly asked or needed.\n"""), # upstash/Upstash MCP Server/redis_database_create_new
    Tool(name="""Upstash MCP Server_redis_database_delete""", inputSchema={'properties': {'database_id': {'description': 'The ID of the database to delete.', 'type': 'string'}}, 'required': ['database_id'], 'type': 'object'}, description="""Delete an Upstash redis database."""), # upstash/Upstash MCP Server/redis_database_delete
    Tool(name="""Upstash MCP Server_redis_database_list_databases""", inputSchema={'properties': {}, 'type': 'object'}, description="""List all Upstash redis databases. Only their names and ids.\nNOTE: Don't show the database ID from the response to the user unless explicitly asked or needed.\n"""), # upstash/Upstash MCP Server/redis_database_list_databases
    Tool(name="""Upstash MCP Server_timestamps_to_date""", inputSchema={'properties': {'timestamps': {'description': 'Array of timestamps to convert', 'items': {'type': 'number'}, 'type': 'array'}}, 'required': ['timestamps'], 'type': 'object'}, description="""Use this tool to convert a timestamp to a human-readable date"""), # upstash/Upstash MCP Server/timestamps_to_date
    Tool(name="""Upstash MCP Server_redis_database_run_multiple_redis_commands""", inputSchema={'properties': {'commands': {'description': "The Redis commands to run. Example: [['SET', 'foo', 'bar'], ['GET', 'foo']]", 'items': {'items': {'type': 'string'}, 'type': 'array'}, 'type': 'array'}, 'database_rest_token': {'description': 'The REST token of the database.', 'type': 'string'}, 'database_rest_url': {'description': 'The REST URL of the database. Example: https://***.upstash.io', 'type': 'string'}}, 'required': ['database_rest_url', 'database_rest_token', 'commands'], 'type': 'object'}, description="""Run multiple Redis commands on a specific Upstash redis database"""), # upstash/Upstash MCP Server/redis_database_run_multiple_redis_commands
    Tool(name="""Upstash MCP Server_redis_database_run_single_redis_command""", inputSchema={'properties': {'command': {'description': "The Redis command to run. Example: ['SET', 'foo', 'bar', 'EX', 100]", 'items': {'type': 'string'}, 'type': 'array'}, 'database_rest_token': {'description': 'The REST token of the database.', 'type': 'string'}, 'database_rest_url': {'description': 'The REST URL of the database. Example: https://***.upstash.io', 'type': 'string'}}, 'required': ['database_rest_url', 'database_rest_token', 'command'], 'type': 'object'}, description="""Run a single Redis command on a specific Upstash redis database.\nNOTE: For discovery, use SCAN over KEYS. Use TYPE to get the type of a key.\nNOTE: SCAN cursor [MATCH pattern] [COUNT count] [TYPE type]"""), # upstash/Upstash MCP Server/redis_database_run_single_redis_command
    Tool(name="""Upstash MCP Server_redis_database_get_details""", inputSchema={'properties': {'database_id': {'description': 'The ID of the database to get details for.', 'type': 'string'}}, 'required': ['database_id'], 'type': 'object'}, description="""Get further details of a specific Upstash redis database. Includes all details of the database including usage statistics.\ndb_disk_threshold: Total disk usage limit.\ndb_memory_threshold: Maximum memory usage.\ndb_daily_bandwidth_limit: Maximum daily network bandwidth usage.\ndb_request_limit: Total number of commands allowed.\nAll sizes are in bytes\n\nNOTE: Don't show the database ID from the response to the user unless explicitly asked or needed.\n\n      """), # upstash/Upstash MCP Server/redis_database_get_details
    Tool(name="""Upstash MCP Server_redis_database_update_regions""", inputSchema={'properties': {'id': {'description': 'The ID of your database.', 'type': 'string'}, 'read_regions': {'description': 'Array of the new read regions of the database. This will replace the old regions array. Available regions: us-east-1, us-west-1, us-west-2, eu-west-1, eu-central-1, ap-southeast-1, ap-southeast-2, sa-east-1', 'items': {'enum': ['us-east-1', 'us-west-1', 'us-west-2', 'eu-west-1', 'eu-central-1', 'ap-southeast-1', 'ap-southeast-2', 'sa-east-1'], 'type': 'string'}, 'type': 'array'}}, 'required': ['id', 'read_regions'], 'type': 'object'}, description="""Update the read regions of an Upstash redis database."""), # upstash/Upstash MCP Server/redis_database_update_regions
    Tool(name="""Upstash MCP Server_redis_database_reset_password""", inputSchema={'properties': {'id': {'description': 'The ID of your database.', 'type': 'string'}}, 'required': ['id'], 'type': 'object'}, description="""Reset the password of an Upstash redis database."""), # upstash/Upstash MCP Server/redis_database_reset_password
    Tool(name="""Upstash MCP Server_redis_database_get_usage_last_5_days""", inputSchema={'properties': {'id': {'description': 'The ID of your database.', 'type': 'string'}}, 'required': ['id'], 'type': 'object'}, description="""Get PRECISE command count and bandwidth usage statistics of an Upstash redis database over the last 5 days. This is a precise stat, not an average.\nNOTE: Ask user first if they want to see stats for each database seperately or just for one."""), # upstash/Upstash MCP Server/redis_database_get_usage_last_5_days
    Tool(name="""Upstash MCP Server_redis_database_get_stats""", inputSchema={'properties': {'id': {'description': 'The ID of your database.', 'type': 'string'}, 'period': {'description': 'The period of the stats.', 'enum': ['1h', '3h', '12h', '1d', '3d', '7d'], 'type': 'string'}, 'type': {'anyOf': [{'const': 'read_latency_mean', 'type': 'string'}, {'const': 'write_latency_mean', 'type': 'string'}, {'const': 'keyspace', 'description': 'Number of keys in db', 'type': 'string'}, {'const': 'throughput', 'description': 'commands per second (sampled), calculate area for estimated count', 'type': 'string'}, {'const': 'diskusage', 'description': 'Current disk usage in bytes', 'type': 'string'}], 'description': 'The type of stat to get'}}, 'required': ['id', 'period', 'type'], 'type': 'object'}, description="""Get SAMPLED usage statistics of an Upstash redis database over a period of time (1h, 3h, 12h, 1d, 3d, 7d). Use this to check for peak usages and latency problems.\nIncludes: read_latency_mean, write_latency_mean, keyspace, throughput (cmds/sec), diskusage\nNOTE: If the user does not specify which stat to get, use throughput as default."""), # upstash/Upstash MCP Server/redis_database_get_stats
    Tool(name="""Upstash MCP Server_redis_database_create_backup""", inputSchema={'properties': {'backup_name': {'description': 'A name for the backup.', 'type': 'string'}, 'database_id': {'description': 'The ID of the database to create a backup for.', 'type': 'string'}}, 'required': ['database_id', 'backup_name'], 'type': 'object'}, description="""Create a backup of a specific Upstash redis database.\nNOTE: Ask user to choose a name for the backup"""), # upstash/Upstash MCP Server/redis_database_create_backup
    Tool(name="""Upstash MCP Server_redis_database_delete_backup""", inputSchema={'properties': {'backup_id': {'description': 'The ID of the backup to delete.', 'type': 'string'}, 'database_id': {'description': 'The ID of the database to delete a backup from.', 'type': 'string'}}, 'required': ['database_id', 'backup_id'], 'type': 'object'}, description="""Delete a backup of a specific Upstash redis database."""), # upstash/Upstash MCP Server/redis_database_delete_backup
    Tool(name="""Upstash MCP Server_redis_database_restore_backup""", inputSchema={'properties': {'backup_id': {'description': 'The ID of the backup to restore.', 'type': 'string'}, 'database_id': {'description': 'The ID of the database to restore a backup to.', 'type': 'string'}}, 'required': ['database_id', 'backup_id'], 'type': 'object'}, description="""Restore a backup of a specific Upstash redis database. A backup can only be restored to the same database it was created from."""), # upstash/Upstash MCP Server/redis_database_restore_backup
    Tool(name="""Upstash MCP Server_redis_database_list_backups""", inputSchema={'properties': {'database_id': {'description': 'The ID of the database to list backups for.', 'type': 'string'}}, 'required': ['database_id'], 'type': 'object'}, description="""List all backups of a specific Upstash redis database."""), # upstash/Upstash MCP Server/redis_database_list_backups
    Tool(name="""Upstash MCP Server_redis_database_set_daily_backup""", inputSchema={'properties': {'database_id': {'description': 'The ID of the database to enable or disable daily backups for.', 'type': 'string'}, 'enable': {'description': 'Whether to enable or disable daily backups.', 'type': 'boolean'}}, 'required': ['database_id', 'enable'], 'type': 'object'}, description="""Enable or disable daily backups for a specific Upstash redis database."""), # upstash/Upstash MCP Server/redis_database_set_daily_backup
    Tool(name="""Genkit MCP_echo""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'message': {'description': 'Message to echo', 'type': 'string'}}, 'required': ['message'], 'type': 'object'}, description="""Echoes back the input"""), # firebase/Genkit MCP/echo
    Tool(name="""Genkit MCP_add""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'a': {'description': 'First number', 'type': 'number'}, 'b': {'description': 'Second number', 'type': 'number'}}, 'required': ['a', 'b'], 'type': 'object'}, description="""Adds two numbers"""), # firebase/Genkit MCP/add
    Tool(name="""Genkit MCP_printEnv""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {}, 'type': 'object'}, description="""Prints all environment variables, helpful for debugging MCP server configuration"""), # firebase/Genkit MCP/printEnv
    Tool(name="""Genkit MCP_longRunningOperation""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'duration': {'default': 10, 'description': 'Duration of the operation in seconds', 'type': 'number'}, 'steps': {'default': 5, 'description': 'Number of steps in the operation', 'type': 'number'}}, 'type': 'object'}, description="""Demonstrates a long running operation with progress updates"""), # firebase/Genkit MCP/longRunningOperation
    Tool(name="""Genkit MCP_sampleLLM""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'maxTokens': {'default': 100, 'description': 'Maximum number of tokens to generate', 'type': 'number'}, 'prompt': {'description': 'The prompt to send to the LLM', 'type': 'string'}}, 'required': ['prompt'], 'type': 'object'}, description="""Samples from an LLM using MCP's sampling feature"""), # firebase/Genkit MCP/sampleLLM
    Tool(name="""Genkit MCP_getTinyImage""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {}, 'type': 'object'}, description="""Returns the MCP_TINY_IMAGE"""), # firebase/Genkit MCP/getTinyImage
    Tool(name="""mcp-server-motherduck_initialize-connection""", inputSchema={'properties': {'type': {'description': "Type of the database, either 'DuckDB' or 'MotherDuck'", 'type': 'string'}}, 'required': ['type'], 'type': 'object'}, description="""Create a connection to either a local DuckDB or MotherDuck and retrieve available databases"""), # motherduckdb/mcp-server-motherduck/initialize-connection
    Tool(name="""mcp-server-motherduck_read-schemas""", inputSchema={'properties': {'type': {'database_name': 'string', 'description': 'name of the database'}}, 'required': ['database_name'], 'type': 'object'}, description="""Get table schemas from a specific DuckDB/MotherDuck database"""), # motherduckdb/mcp-server-motherduck/read-schemas
    Tool(name="""mcp-server-motherduck_execute-query""", inputSchema={'properties': {'query': {'description': 'SQL query to execute', 'type': 'string'}}, 'required': ['query'], 'type': 'object'}, description="""Execute a query on the MotherDuck (DuckDB) database"""), # motherduckdb/mcp-server-motherduck/execute-query
    Tool(name="""Memory Store MCP Server_search_web""", inputSchema={'properties': {'query': {'description': 'Search query', 'type': 'string'}}, 'required': ['query'], 'type': 'object'}, description="""Search the web using Google"""), # divslingerx/Memory Store MCP Server/search_web
    Tool(name="""Daytona MCP Python Interpreter_python_interpreter""", inputSchema={'properties': {'code': {'description': 'Python code to execute', 'type': 'string'}}, 'required': ['code'], 'type': 'object'}, description="""Execute Python code in a Daytona workspace"""), # nkkko/Daytona MCP Python Interpreter/python_interpreter
    Tool(name="""MCP Svelte Docs Server_search_docs""", inputSchema={'properties': {'context': {'default': 1, 'description': 'Number of surrounding paragraphs', 'maximum': 3, 'minimum': 0, 'type': 'number'}, 'doc_type': {'default': 'all', 'description': 'Filter by documentation type', 'enum': ['api', 'tutorial', 'example', 'error', 'all'], 'type': 'string'}, 'include_hierarchy': {'default': True, 'description': 'Include section hierarchy', 'type': 'boolean'}, 'package': {'description': 'Filter by package', 'enum': ['svelte', 'kit', 'cli'], 'type': 'string'}, 'query': {'description': 'Search keywords or natural language query', 'type': 'string'}}, 'required': ['query'], 'type': 'object'}, description="""Search Svelte documentation using specific technical terms and concepts. Returns relevant documentation sections with context.\n\nQuery Guidelines:\n- Use technical terms found in documentation (e.g., \"route parameters\", \"state management\", \"lifecycle hooks\")\n- Search for specific features or concepts rather than asking questions\n- Include relevant package names for targeted results (e.g., \"sveltekit\", \"stores\")\n\nExample Queries by Category:\n\n1. Svelte 5 Runes:\n- \"state management runes\"          (finds $state and state management docs)\n- \"derived state calculation\"       (locates $derived documentation)\n- \"effect lifecycle runes\"          (finds $effect usage patterns)\n- \"bindable props svelte\"          (shows $bindable property usage)\n\n2. Component Patterns:\n- \"component lifecycle\"             (finds lifecycle documentation)\n- \"event handling svelte5\"          (shows new event handling patterns)\n- \"component state management\"      (locates state management docs)\n- \"props typescript definition\"     (finds prop typing information)\n\n3. SvelteKit Features:\n- \"route parameters sveltekit\"      (finds routing documentation)\n- \"server routes api\"               (locates API route docs)\n- \"page data loading\"              (shows data loading patterns)\n- \"form actions sveltekit\"         (finds form handling docs)\n\n4. Error Documentation:\n- \"missing export error\"           (finds specific error docs)\n- \"binding validation errors\"      (locates validation error info)\n- \"lifecycle hook errors\"          (shows lifecycle-related errors)\n- \"typescript prop errors\"         (finds prop typing errors)\n\nQuery Pattern Examples:\n \"How do I manage state?\"   \"state management runes\"\n \"What are lifecycle hooks?\"   \"component lifecycle\"\n \"How do I handle events?\"   \"event handling svelte5\"\n \"How do I create dynamic routes?\"   \"route parameters sveltekit\""""), # spences10/MCP Svelte Docs Server/search_docs
    Tool(name="""MCP Svelte Docs Server_get_next_chunk""", inputSchema={'properties': {'chunk_number': {'description': 'Chunk number to retrieve (1-based)', 'minimum': 1, 'type': 'number'}, 'uri': {'description': 'Document URI', 'type': 'string'}}, 'required': ['uri', 'chunk_number'], 'type': 'object'}, description="""Retrieve subsequent chunks of large documents"""), # spences10/MCP Svelte Docs Server/get_next_chunk
    Tool(name="""Google Custom Search Engine MCP Server_google_search""", inputSchema={'properties': {'search_term': {'type': 'string'}}, 'required': ['search_term'], 'type': 'object'}, description="""Search the custom search engine using the search term. Regular query arguments can also be used, like appending site:reddit.com or after:2024-04-30. If available and/or requested, the links of the search results should be used in a follow-up request using a different tool to get the full content. Example: \"claude.ai features site:reddit.com after:2024-04-30\""""), # Richard-Weiss/Google Custom Search Engine MCP Server/google_search
    Tool(name="""MCP Server Diff TypeScript_get-unified-diff""", inputSchema={'properties': {'newString': {'description': 'new string to compare', 'type': 'string'}, 'oldString': {'description': 'old string to compare', 'type': 'string'}}, 'required': ['oldString', 'newString'], 'type': 'object'}, description="""Get the difference between two text articles in Unified diff format."""), # tatn/MCP Server Diff TypeScript/get-unified-diff
    Tool(name="""Bitbucket Server MCP_add_comment""", inputSchema={'properties': {'parentId': {'description': 'Parent comment ID for replies', 'type': 'number'}, 'prId': {'description': 'Pull request ID', 'type': 'number'}, 'project': {'description': 'Bitbucket project key', 'type': 'string'}, 'repository': {'description': 'Repository slug', 'type': 'string'}, 'text': {'description': 'Comment text', 'type': 'string'}}, 'required': ['repository', 'prId', 'text'], 'type': 'object'}, description="""Add a comment to a pull request"""), # garc33/Bitbucket Server MCP/add_comment
    Tool(name="""Bitbucket Server MCP_create_pull_request""", inputSchema={'properties': {'description': {'description': 'PR description', 'type': 'string'}, 'project': {'description': 'Bitbucket project key', 'type': 'string'}, 'repository': {'description': 'Repository slug', 'type': 'string'}, 'reviewers': {'description': 'List of reviewer usernames', 'items': {'type': 'string'}, 'type': 'array'}, 'sourceBranch': {'description': 'Source branch name', 'type': 'string'}, 'targetBranch': {'description': 'Target branch name', 'type': 'string'}, 'title': {'description': 'PR title', 'type': 'string'}}, 'required': ['repository', 'title', 'sourceBranch', 'targetBranch'], 'type': 'object'}, description="""Create a new pull request"""), # garc33/Bitbucket Server MCP/create_pull_request
    Tool(name="""Bitbucket Server MCP_get_pull_request""", inputSchema={'properties': {'prId': {'description': 'Pull request ID', 'type': 'number'}, 'project': {'description': 'Bitbucket project key', 'type': 'string'}, 'repository': {'description': 'Repository slug', 'type': 'string'}}, 'required': ['repository', 'prId'], 'type': 'object'}, description="""Get pull request details"""), # garc33/Bitbucket Server MCP/get_pull_request
    Tool(name="""Bitbucket Server MCP_merge_pull_request""", inputSchema={'properties': {'message': {'description': 'Merge commit message', 'type': 'string'}, 'prId': {'description': 'Pull request ID', 'type': 'number'}, 'project': {'description': 'Bitbucket project key', 'type': 'string'}, 'repository': {'description': 'Repository slug', 'type': 'string'}, 'strategy': {'description': 'Merge strategy to use', 'enum': ['merge-commit', 'squash', 'fast-forward'], 'type': 'string'}}, 'required': ['repository', 'prId'], 'type': 'object'}, description="""Merge a pull request"""), # garc33/Bitbucket Server MCP/merge_pull_request
    Tool(name="""Bitbucket Server MCP_decline_pull_request""", inputSchema={'properties': {'message': {'description': 'Reason for declining', 'type': 'string'}, 'prId': {'description': 'Pull request ID', 'type': 'number'}, 'project': {'description': 'Bitbucket project key', 'type': 'string'}, 'repository': {'description': 'Repository slug', 'type': 'string'}}, 'required': ['repository', 'prId'], 'type': 'object'}, description="""Decline a pull request"""), # garc33/Bitbucket Server MCP/decline_pull_request
    Tool(name="""Bitbucket Server MCP_get_diff""", inputSchema={'properties': {'contextLines': {'description': 'Number of context lines', 'type': 'number'}, 'prId': {'description': 'Pull request ID', 'type': 'number'}, 'project': {'description': 'Bitbucket project key', 'type': 'string'}, 'repository': {'description': 'Repository slug', 'type': 'string'}}, 'required': ['repository', 'prId'], 'type': 'object'}, description="""Get pull request diff"""), # garc33/Bitbucket Server MCP/get_diff
    Tool(name="""Bitbucket Server MCP_get_reviews""", inputSchema={'properties': {'prId': {'description': 'Pull request ID', 'type': 'number'}, 'project': {'description': 'Bitbucket project key', 'type': 'string'}, 'repository': {'description': 'Repository slug', 'type': 'string'}}, 'required': ['repository', 'prId'], 'type': 'object'}, description="""Get pull request reviews"""), # garc33/Bitbucket Server MCP/get_reviews
    Tool(name="""MCP Server Diff Python_get-unified-diff""", inputSchema={'properties': {'string_a': {'type': 'string'}, 'string_b': {'type': 'string'}}, 'required': ['string_a', 'string_b'], 'type': 'object'}, description="""Get the difference between two text articles in Unified diff format. Use this when you want to extract the difference between texts."""), # tatn/MCP Server Diff Python/get-unified-diff
    Tool(name="""Project Handoffs MCP Server_list_templates""", inputSchema={'properties': {}, 'type': 'object'}, description="""List available templates for next steps, working sessions, and handoffs"""), # davidorex/Project Handoffs MCP Server/list_templates
    Tool(name="""Project Handoffs MCP Server_create_project""", inputSchema={'properties': {'description': {'description': 'Project description', 'type': 'string'}, 'name': {'description': 'Project name', 'type': 'string'}}, 'required': ['name', 'description'], 'type': 'object'}, description="""Create a new project for tracking AI session handoffs"""), # davidorex/Project Handoffs MCP Server/create_project
    Tool(name="""Project Handoffs MCP Server_delete_project""", inputSchema={'properties': {'projectId': {'description': 'Project identifier', 'type': 'string'}}, 'required': ['projectId'], 'type': 'object'}, description="""Delete a project and all its data"""), # davidorex/Project Handoffs MCP Server/delete_project
    Tool(name="""Project Handoffs MCP Server_create_next_step""", inputSchema={'properties': {'dependencies': {'description': 'IDs of steps that must be completed first', 'items': {'type': 'string'}, 'type': 'array'}, 'description': {'description': 'Detailed description of work', 'type': 'string'}, 'parentStepId': {'description': 'ID of parent step if this is a substep', 'type': 'string'}, 'priority': {'description': 'Implementation priority level', 'enum': ['core-critical', 'full-required', 'enhancement'], 'type': 'string'}, 'projectId': {'description': 'Project identifier', 'type': 'string'}, 'title': {'description': 'Brief title of the next step', 'type': 'string'}}, 'required': ['projectId', 'title', 'description', 'priority'], 'type': 'object'}, description="""Create a new next step in a project"""), # davidorex/Project Handoffs MCP Server/create_next_step
    Tool(name="""Project Handoffs MCP Server_start_working_session""", inputSchema={'properties': {'nextStepId': {'description': 'ID of the next step to work on', 'type': 'string'}, 'projectId': {'description': 'Project identifier', 'type': 'string'}}, 'required': ['projectId', 'nextStepId'], 'type': 'object'}, description="""Start working on a next step"""), # davidorex/Project Handoffs MCP Server/start_working_session
    Tool(name="""Project Handoffs MCP Server_create_handoff""", inputSchema={'properties': {'codeState': {'description': 'Current state of codebase', 'type': 'string'}, 'completedWork': {'description': 'Summary of completed work', 'type': 'string'}, 'environmentState': {'description': 'Development environment state', 'type': 'string'}, 'newNextSteps': {'description': 'List of new next steps identified', 'items': {'type': 'string'}, 'type': 'array'}, 'projectId': {'description': 'Project identifier', 'type': 'string'}, 'sessionId': {'description': 'Working session ID', 'type': 'string'}, 'unresolvedIssues': {'description': 'List of unresolved issues', 'items': {'type': 'string'}, 'type': 'array'}}, 'required': ['projectId', 'sessionId', 'completedWork', 'codeState', 'environmentState'], 'type': 'object'}, description="""Complete a working session with handoff details"""), # davidorex/Project Handoffs MCP Server/create_handoff
    Tool(name="""Project Handoffs MCP Server_get_latest_next_steps""", inputSchema={'properties': {'projectId': {'description': 'Project identifier', 'type': 'string'}}, 'required': ['projectId'], 'type': 'object'}, description="""Get open next steps ordered by priority"""), # davidorex/Project Handoffs MCP Server/get_latest_next_steps
    Tool(name="""Project Handoffs MCP Server_get_next_step_history""", inputSchema={'properties': {'projectId': {'description': 'Project identifier', 'type': 'string'}, 'stepId': {'description': 'Next step ID', 'type': 'string'}}, 'required': ['projectId', 'stepId'], 'type': 'object'}, description="""Get complete history of a next step including session and handoff"""), # davidorex/Project Handoffs MCP Server/get_next_step_history
    Tool(name="""Markdownify MCP Server_youtube-to-markdown""", inputSchema={'properties': {'url': {'description': 'URL of the YouTube video', 'type': 'string'}}, 'required': ['url'], 'type': 'object'}, description="""Convert a YouTube video to markdown, including transcript if available"""), # zcaceres/Markdownify MCP Server/youtube-to-markdown
    Tool(name="""Markdownify MCP Server_webpage-to-markdown""", inputSchema={'properties': {'url': {'description': 'URL of the webpage to convert', 'type': 'string'}}, 'required': ['url'], 'type': 'object'}, description="""Convert a webpage to markdown"""), # zcaceres/Markdownify MCP Server/webpage-to-markdown
    Tool(name="""Markdownify MCP Server_xlsx-to-markdown""", inputSchema={'properties': {'filepath': {'description': 'Absolute path of the XLSX file to convert', 'type': 'string'}}, 'required': ['filepath'], 'type': 'object'}, description="""Convert an XLSX file to markdown"""), # zcaceres/Markdownify MCP Server/xlsx-to-markdown
    Tool(name="""Markdownify MCP Server_audio-to-markdown""", inputSchema={'properties': {'filepath': {'description': 'Absolute path of the audio file to convert', 'type': 'string'}}, 'required': ['filepath'], 'type': 'object'}, description="""Convert an audio file to markdown, including transcription if possible"""), # zcaceres/Markdownify MCP Server/audio-to-markdown
    Tool(name="""Markdownify MCP Server_bing-search-to-markdown""", inputSchema={'properties': {'url': {'description': 'URL of the Bing search results page', 'type': 'string'}}, 'required': ['url'], 'type': 'object'}, description="""Convert a Bing search results page to markdown"""), # zcaceres/Markdownify MCP Server/bing-search-to-markdown
    Tool(name="""Markdownify MCP Server_docx-to-markdown""", inputSchema={'properties': {'filepath': {'description': 'Absolute path of the DOCX file to convert', 'type': 'string'}}, 'required': ['filepath'], 'type': 'object'}, description="""Convert a DOCX file to markdown"""), # zcaceres/Markdownify MCP Server/docx-to-markdown
    Tool(name="""Markdownify MCP Server_get-markdown-file""", inputSchema={'properties': {'filepath': {'description': "Absolute path to file of markdown'd text", 'type': 'string'}}, 'required': ['filepath'], 'type': 'object'}, description="""Get a markdown file by absolute file path"""), # zcaceres/Markdownify MCP Server/get-markdown-file
    Tool(name="""Markdownify MCP Server_image-to-markdown""", inputSchema={'properties': {'filepath': {'description': 'Absolute path of the image file to convert', 'type': 'string'}}, 'required': ['filepath'], 'type': 'object'}, description="""Convert an image to markdown, including metadata and description"""), # zcaceres/Markdownify MCP Server/image-to-markdown
    Tool(name="""Markdownify MCP Server_pdf-to-markdown""", inputSchema={'properties': {'filepath': {'description': 'Absolute path of the PDF file to convert', 'type': 'string'}}, 'required': ['filepath'], 'type': 'object'}, description="""Convert a PDF file to markdown"""), # zcaceres/Markdownify MCP Server/pdf-to-markdown
    Tool(name="""Markdownify MCP Server_pptx-to-markdown""", inputSchema={'properties': {'filepath': {'description': 'Absolute path of the PPTX file to convert', 'type': 'string'}}, 'required': ['filepath'], 'type': 'object'}, description="""Convert a PPTX file to markdown"""), # zcaceres/Markdownify MCP Server/pptx-to-markdown
    Tool(name="""Fetch MCP Server_fetch_html""", inputSchema={'properties': {'headers': {'description': 'Optional headers to include in the request', 'type': 'object'}, 'url': {'description': 'URL of the website to fetch', 'type': 'string'}}, 'required': ['url'], 'type': 'object'}, description="""Fetch a website and return the content as HTML"""), # zcaceres/Fetch MCP Server/fetch_html
    Tool(name="""Fetch MCP Server_fetch_markdown""", inputSchema={'properties': {'headers': {'description': 'Optional headers to include in the request', 'type': 'object'}, 'url': {'description': 'URL of the website to fetch', 'type': 'string'}}, 'required': ['url'], 'type': 'object'}, description="""Fetch a website and return the content as Markdown"""), # zcaceres/Fetch MCP Server/fetch_markdown
    Tool(name="""Fetch MCP Server_fetch_txt""", inputSchema={'properties': {'headers': {'description': 'Optional headers to include in the request', 'type': 'object'}, 'url': {'description': 'URL of the website to fetch', 'type': 'string'}}, 'required': ['url'], 'type': 'object'}, description="""Fetch a website, return the content as plain text (no HTML)"""), # zcaceres/Fetch MCP Server/fetch_txt
    Tool(name="""Fetch MCP Server_fetch_json""", inputSchema={'properties': {'headers': {'description': 'Optional headers to include in the request', 'type': 'object'}, 'url': {'description': 'URL of the JSON to fetch', 'type': 'string'}}, 'required': ['url'], 'type': 'object'}, description="""Fetch a JSON file from a URL"""), # zcaceres/Fetch MCP Server/fetch_json
    Tool(name="""Super Windows CLI MCP Server_execute_command""", inputSchema={'properties': {'command': {'description': 'Command to execute', 'type': 'string'}, 'shell': {'description': 'Shell to use for command execution', 'enum': ['powershell', 'cmd', 'gitbash'], 'type': 'string'}, 'workingDir': {'description': 'Working directory for command execution (optional)', 'type': 'string'}}, 'required': ['shell', 'command'], 'type': 'object'}, description="""Execute a command in the specified shell (powershell, cmd, or gitbash)\n\nExample usage (PowerShell):\n```json\n{\n  \"shell\": \"powershell\",\n  \"command\": \"Get-Process | Select-Object -First 5\",\n  \"workingDir\": \"C:\\Users\\username\"\n}\n```\n\nExample usage (CMD):\n```json\n{\n  \"shell\": \"cmd\",\n  \"command\": \"dir /b\",\n  \"workingDir\": \"C:\\Projects\"\n}\n```\n\nExample usage (Git Bash):\n```json\n{\n  \"shell\": \"gitbash\",\n  \"command\": \"ls -la\",\n  \"workingDir\": \"/c/Users/username\"\n}\n```"""), # delorenj/Super Windows CLI MCP Server/execute_command
    Tool(name="""Super Windows CLI MCP Server_get_command_history""", inputSchema={'properties': {'limit': {'description': 'Maximum number of history entries to return (default: 10, max: 1000)', 'type': 'number'}}, 'type': 'object'}, description="""Get the history of executed commands\n\nExample usage:\n```json\n{\n  \"limit\": 5\n}\n```\n\nExample response:\n```json\n[\n  {\n    \"command\": \"Get-Process\",\n    \"output\": \"...\",\n    \"timestamp\": \"2024-03-20T10:30:00Z\",\n    \"exitCode\": 0\n  }\n]\n```"""), # delorenj/Super Windows CLI MCP Server/get_command_history
    Tool(name="""Super Windows CLI MCP Server_ssh_execute""", inputSchema={'properties': {'command': {'description': 'Command to execute', 'type': 'string'}, 'connectionId': {'description': 'ID of the SSH connection to use', 'enum': [], 'type': 'string'}}, 'required': ['connectionId', 'command'], 'type': 'object'}, description="""Execute a command on a remote host via SSH\n\nExample usage:\n```json\n{\n  \"connectionId\": \"raspberry-pi\",\n  \"command\": \"uname -a\"\n}\n```\n\nConfiguration required in config.json:\n```json\n{\n  \"ssh\": {\n    \"enabled\": true,\n    \"connections\": {\n      \"raspberry-pi\": {\n        \"host\": \"raspberrypi.local\",\n        \"port\": 22,\n        \"username\": \"pi\",\n        \"password\": \"raspberry\"\n      }\n    }\n  }\n}\n```"""), # delorenj/Super Windows CLI MCP Server/ssh_execute
    Tool(name="""Super Windows CLI MCP Server_ssh_disconnect""", inputSchema={'properties': {'connectionId': {'description': 'ID of the SSH connection to disconnect', 'enum': [], 'type': 'string'}}, 'required': ['connectionId'], 'type': 'object'}, description="""Disconnect from an SSH server\n\nExample usage:\n```json\n{\n  \"connectionId\": \"raspberry-pi\"\n}\n```\n\nUse this to cleanly close SSH connections when they're no longer needed."""), # delorenj/Super Windows CLI MCP Server/ssh_disconnect
    Tool(name="""MCP Server Starter_hello_tool""", inputSchema={'properties': {'name': {'description': 'The name of the person to greet', 'type': 'string'}}, 'required': ['name'], 'type': 'object'}, description="""Hello tool"""), # StevenStavrakis/MCP Server Starter/hello_tool
    Tool(name="""SwitchBot MCP Server_list_devices""", inputSchema={'properties': {}, 'required': [], 'type': 'object'}, description=""""""), # genm/SwitchBot MCP Server/list_devices
    Tool(name="""SwitchBot MCP Server_get_device_status""", inputSchema={'properties': {'deviceId': {'description': 'ID', 'type': 'string'}}, 'required': ['deviceId'], 'type': 'object'}, description=""""""), # genm/SwitchBot MCP Server/get_device_status
    Tool(name="""SwitchBot MCP Server_control_device""", inputSchema={'properties': {'command': {'description': 'turnOn, turnOff', 'enum': ['turnOn', 'turnOff'], 'type': 'string'}, 'deviceId': {'description': 'ID', 'type': 'string'}}, 'required': ['deviceId', 'command'], 'type': 'object'}, description=""""""), # genm/SwitchBot MCP Server/control_device
    Tool(name="""MCP JinaAI Reader Server_read_url""", inputSchema={'properties': {'format': {'default': 'json', 'description': 'Response format (json or stream)', 'enum': ['json', 'stream'], 'type': 'string'}, 'no_cache': {'default': False, 'description': 'Bypass cache for fresh results', 'type': 'boolean'}, 'remove_selector': {'description': 'CSS selector to exclude specific elements', 'type': 'string'}, 'target_selector': {'description': 'CSS selector to focus on specific elements', 'type': 'string'}, 'timeout': {'description': 'Maximum time in seconds to wait for webpage load', 'type': 'number'}, 'url': {'description': 'URL to process', 'type': 'string'}, 'wait_for_selector': {'description': 'CSS selector to wait for specific elements', 'type': 'string'}, 'with_generated_alt': {'description': 'Add alt text to images lacking captions', 'type': 'boolean'}, 'with_iframe': {'description': 'Include iframe content in response', 'type': 'boolean'}, 'with_images_summary': {'description': 'Gather all images at the end of response', 'type': 'boolean'}, 'with_links_summary': {'description': 'Gather all links at the end of response', 'type': 'boolean'}}, 'required': ['url'], 'type': 'object'}, description="""Convert any URL to LLM-friendly text using Jina.ai Reader"""), # spences10/MCP JinaAI Reader Server/read_url
    Tool(name="""Dify MCP Server_antd-component-codegen-mcp-tool""", inputSchema={'properties': {'imageFilePath': {'description': 'The image file absolute path to send', 'type': 'string'}, 'query': {'description': 'The message to send', 'type': 'string'}}, 'required': ['query'], 'type': 'object'}, description="""Send a message to Dify chat API for generating antd biz components code"""), # AI-FE/Dify MCP Server/antd-component-codegen-mcp-tool
    Tool(name="""Test Runner MCP_run_tests""", inputSchema={'properties': {'command': {'description': 'Test command to execute (e.g., "bats tests/*.bats")', 'type': 'string'}, 'env': {'additionalProperties': {'type': 'string'}, 'description': 'Environment variables for test execution', 'type': 'object'}, 'framework': {'description': 'Testing framework being used', 'enum': ['bats', 'pytest', 'flutter', 'jest', 'go'], 'type': 'string'}, 'outputDir': {'description': 'Directory to store test results', 'type': 'string'}, 'timeout': {'description': 'Test execution timeout in milliseconds (default: 300000)', 'type': 'number'}, 'workingDir': {'description': 'Working directory for test execution', 'type': 'string'}}, 'required': ['command', 'workingDir', 'framework'], 'type': 'object'}, description="""Run tests and capture output"""), # privsim/Test Runner MCP/run_tests
    Tool(name="""Xano MCP Server_get_workspaces""", inputSchema={'additionalProperties': False, 'properties': {}, 'type': 'object'}, description="""Get all available workspaces"""), # SarimSiddd/Xano MCP Server/get_workspaces
    Tool(name="""Xano MCP Server_create_table""", inputSchema={'additionalProperties': False, 'properties': {'description': {'description': 'Optional description for the table', 'type': 'string'}, 'docs': {'description': 'Optional documentation for the table', 'type': 'string'}, 'name': {'description': 'Name of the table to create', 'type': 'string'}, 'workspaceId': {'description': 'ID of the workspace to create the table in', 'type': 'number'}}, 'required': ['name', 'workspaceId'], 'type': 'object'}, description="""Create a new table in a workspace"""), # SarimSiddd/Xano MCP Server/create_table
    Tool(name="""Xano MCP Server_get_table_content""", inputSchema={'properties': {'pagination': {'properties': {'items': {'description': 'Items per page', 'type': 'number'}, 'page': {'description': 'Page number', 'type': 'number'}}, 'type': 'object'}, 'tableId': {'description': 'ID of the table', 'type': 'string'}}, 'required': ['tableId'], 'type': 'object'}, description="""Get content from a table"""), # SarimSiddd/Xano MCP Server/get_table_content
    Tool(name="""Xano MCP Server_add_table_content""", inputSchema={'properties': {'content': {'additionalProperties': True, 'description': 'Content to add to the table', 'type': 'object'}, 'tableId': {'description': 'ID of the table', 'type': 'string'}}, 'required': ['tableId', 'content'], 'type': 'object'}, description="""Add content to a table"""), # SarimSiddd/Xano MCP Server/add_table_content
    Tool(name="""Xano MCP Server_update_table_content""", inputSchema={'properties': {'content': {'additionalProperties': True, 'description': 'Updated content data', 'type': 'object'}, 'contentId': {'description': 'ID of the content to update', 'type': 'string'}, 'tableId': {'description': 'ID of the table', 'type': 'string'}}, 'required': ['tableId', 'contentId', 'content'], 'type': 'object'}, description="""Update content in a table"""), # SarimSiddd/Xano MCP Server/update_table_content
    Tool(name="""Xano MCP Server_get_all_tables""", inputSchema={'properties': {'workspaceId': {'description': 'ID of the workspace', 'type': 'number'}}, 'required': ['workspaceId'], 'type': 'object'}, description="""Get all tables in a workspace"""), # SarimSiddd/Xano MCP Server/get_all_tables
    Tool(name="""Browser-Use MCP Server_run_browser_agent""", inputSchema={'properties': {'add_infos': {'default': '', 'title': 'Add Infos', 'type': 'string'}, 'task': {'title': 'Task', 'type': 'string'}}, 'required': ['task'], 'title': 'run_browser_agentArguments', 'type': 'object'}, description="""Handle run-browser-agent tool calls."""), # Saik0s/Browser-Use MCP Server/run_browser_agent
    Tool(name="""MCP Server for Ticketmaster Events_search_ticketmaster""", inputSchema={'properties': {'attractionId': {'description': 'Specific attraction ID to search', 'type': 'string'}, 'city': {'description': 'City name', 'type': 'string'}, 'classificationName': {'description': 'Event classification/category (e.g., "Sports", "Music")', 'type': 'string'}, 'countryCode': {'description': 'Country code (e.g., US, CA)', 'type': 'string'}, 'endDate': {'description': 'End date in YYYY-MM-DD format', 'type': 'string'}, 'format': {'default': 'json', 'description': 'Output format (defaults to json)', 'enum': ['json', 'text'], 'type': 'string'}, 'keyword': {'description': 'Search keyword or term', 'type': 'string'}, 'startDate': {'description': 'Start date in YYYY-MM-DD format', 'type': 'string'}, 'stateCode': {'description': 'State code (e.g., NY, CA)', 'type': 'string'}, 'type': {'description': 'Type of search to perform', 'enum': ['event', 'venue', 'attraction'], 'type': 'string'}, 'venueId': {'description': 'Specific venue ID to search', 'type': 'string'}}, 'required': ['type'], 'type': 'object'}, description="""Search for events, venues, or attractions on Ticketmaster"""), # delorenj/MCP Server for Ticketmaster Events/search_ticketmaster
    Tool(name="""MCP Tavily Search Server_tavily_search""", inputSchema={'properties': {'cache_ttl': {'default': 3600, 'description': 'Cache time-to-live in seconds', 'type': 'number'}, 'exclude_domains': {'default': [], 'description': 'List of domains to exclude from search', 'items': {'type': 'string'}, 'type': 'array'}, 'force_refresh': {'default': False, 'description': 'Force fresh results ignoring cache', 'type': 'boolean'}, 'include_answer': {'default': True, 'description': 'Include an AI-generated answer based on search results', 'type': 'boolean'}, 'include_domains': {'default': [], 'description': 'List of trusted domains to include in search', 'items': {'type': 'string'}, 'type': 'array'}, 'max_results': {'default': 10, 'description': 'Maximum number of results to return', 'type': 'number'}, 'min_score': {'default': 0, 'description': 'Minimum relevancy score for results (0-1)', 'type': 'number'}, 'query': {'description': 'Search query', 'type': 'string'}, 'response_format': {'default': 'text', 'description': 'Format of the search results', 'enum': ['text', 'json', 'markdown'], 'type': 'string'}, 'search_depth': {'default': 'basic', 'description': 'The depth of the search ("basic" for faster results, "advanced" for more thorough search)', 'enum': ['basic', 'advanced'], 'type': 'string'}}, 'required': ['query'], 'type': 'object'}, description="""Search the web using Tavily Search API, optimized for high-quality, factual results"""), # spences10/MCP Tavily Search Server/tavily_search
    Tool(name="""MCP Tavily Search Server_tavily_get_search_context""", inputSchema={'properties': {'max_tokens': {'default': 2000, 'description': 'Maximum length of generated context', 'type': 'number'}, 'query': {'description': 'Search query for context generation', 'type': 'string'}, 'response_format': {'default': 'text', 'description': 'Format of the context response', 'enum': ['text', 'json'], 'type': 'string'}}, 'required': ['query'], 'type': 'object'}, description="""Generate context for RAG applications using Tavily search"""), # spences10/MCP Tavily Search Server/tavily_get_search_context
    Tool(name="""MCP Tavily Search Server_tavily_qna_search""", inputSchema={'properties': {'include_sources': {'default': True, 'description': 'Include source citations in the answer', 'type': 'boolean'}, 'query': {'description': 'Question to be answered', 'type': 'string'}, 'response_format': {'default': 'text', 'description': 'Format of the answer response', 'enum': ['text', 'json'], 'type': 'string'}}, 'required': ['query'], 'type': 'object'}, description="""Get direct answers to questions using Tavily search"""), # spences10/MCP Tavily Search Server/tavily_qna_search
    Tool(name="""MCP Windows Website Downloader Server_download""", inputSchema={'properties': {'url': {'description': 'Documentation site URL', 'type': 'string'}}, 'required': ['url'], 'type': 'object'}, description="""Download documentation website for RAG indexing"""), # angrysky56/MCP Windows Website Downloader Server/download
    Tool(name="""cooper-hewitt-mcp_search-objects""", inputSchema={'properties': {'page': {'description': 'Page number (optional)', 'type': 'number'}, 'perPage': {'description': 'Results per page (optional)', 'type': 'number'}, 'query': {'description': 'Search query', 'type': 'string'}}, 'required': ['query'], 'type': 'object'}, description="""Search for objects in the Cooper Hewitt collection"""), # behole/cooper-hewitt-mcp/search-objects
    Tool(name="""cooper-hewitt-mcp_get-object""", inputSchema={'properties': {'id': {'description': 'Object ID', 'type': 'string'}}, 'required': ['id'], 'type': 'object'}, description="""Get detailed information about a specific object"""), # behole/cooper-hewitt-mcp/get-object
    Tool(name="""PolyMarket MCP Server_get-market-info""", inputSchema={'properties': {'market_id': {'description': 'Market ID or slug', 'type': 'string'}}, 'required': ['market_id'], 'type': 'object'}, description="""Get detailed information about a specific prediction market"""), # berlinbra/PolyMarket MCP Server/get-market-info
    Tool(name="""PolyMarket MCP Server_list-markets""", inputSchema={'properties': {'limit': {'default': 10, 'description': 'Number of markets to return (default: 10)', 'maximum': 100, 'minimum': 1, 'type': 'integer'}, 'offset': {'default': 0, 'description': 'Number of markets to skip (for pagination)', 'minimum': 0, 'type': 'integer'}, 'status': {'description': 'Filter by market status (e.g., open, closed, resolved)', 'enum': ['active', 'resolved'], 'type': 'string'}}, 'type': 'object'}, description="""Get a list of prediction markets with optional filters"""), # berlinbra/PolyMarket MCP Server/list-markets
    Tool(name="""PolyMarket MCP Server_get-market-prices""", inputSchema={'properties': {'market_id': {'description': 'Market ID or slug', 'type': 'string'}}, 'required': ['market_id'], 'type': 'object'}, description="""Get current prices and trading information for a market"""), # berlinbra/PolyMarket MCP Server/get-market-prices
    Tool(name="""PolyMarket MCP Server_get-market-history""", inputSchema={'properties': {'market_id': {'description': 'Market ID or slug', 'type': 'string'}, 'timeframe': {'default': '7d', 'description': 'Time period for historical data', 'enum': ['1d', '7d', '30d', 'all'], 'type': 'string'}}, 'required': ['market_id'], 'type': 'object'}, description="""Get historical price and volume data for a market"""), # berlinbra/PolyMarket MCP Server/get-market-history
    Tool(name="""Textwell MCP Server_write-text""", inputSchema={'properties': {'mode': {'default': 'replace', 'description': 'replace: overwrite all, insert: at cursor, add: at end', 'enum': ['replace', 'insert', 'add'], 'type': 'string'}, 'text': {'description': 'Content to write to Textwell', 'type': 'string'}}, 'required': ['text'], 'type': 'object'}, description="""Write text to Textwell application"""), # worldnine/Textwell MCP Server/write-text
    Tool(name="""Branch Thinking MCP Server_branch-thinking""", inputSchema={'anyOf': [{'required': ['content', 'type']}, {'required': ['command']}], 'properties': {'branchId': {'description': 'Optional: ID of the branch (generated if not provided)', 'type': 'string'}, 'command': {'description': 'Optional: Navigation command', 'properties': {'branchId': {'description': 'Branch ID for commands that require it', 'type': 'string'}, 'type': {'description': 'Command type', 'enum': ['list', 'focus', 'history'], 'type': 'string'}}, 'required': ['type'], 'type': 'object'}, 'confidence': {'description': 'Optional: Confidence score (0-1)', 'type': 'number'}, 'content': {'description': 'The thought content', 'type': 'string'}, 'crossRefs': {'description': 'Optional: Cross-references to other branches', 'items': {'properties': {'reason': {'type': 'string'}, 'strength': {'type': 'number'}, 'toBranch': {'type': 'string'}, 'type': {'type': 'string'}}, 'type': 'object'}, 'type': 'array'}, 'keyPoints': {'description': 'Optional: Key points identified in the thought', 'items': {'type': 'string'}, 'type': 'array'}, 'parentBranchId': {'description': 'Optional: ID of the parent branch', 'type': 'string'}, 'relatedInsights': {'description': 'Optional: IDs of related insights', 'items': {'type': 'string'}, 'type': 'array'}, 'type': {'description': "Type of thought (e.g., 'analysis', 'hypothesis', 'observation')", 'type': 'string'}}, 'type': 'object'}, description="""A tool for managing multiple branches of thought with insights and cross-references.\n  \nEach thought can:\n- Belong to a specific branch\n- Generate insights\n- Create cross-references to other branches\n- Include confidence scores and key points\n\nThe system tracks:\n- Branch priorities and states\n- Relationships between thoughts\n- Accumulated insights\n- Cross-branch connections\n\nCommands:\n- list: Show all branches and their status\n- focus [branchId]: Switch focus to a specific branch\n- history [branchId?]: Show the history of thoughts in a branch (uses active branch if none specified)"""), # m-siles/Branch Thinking MCP Server/branch-thinking
    Tool(name="""Iaptic MCP Server_customer_list""", inputSchema={'properties': {'limit': {'description': 'Maximum number of customers to return (default: 100)', 'type': 'number'}, 'offset': {'description': 'Number of customers to skip for pagination', 'type': 'number'}}, 'type': 'object'}, description="""List customers from your Iaptic account.\n- Returns a paginated list of customers with their purchase status\n- Each customer includes:\n  - Application username\n  - Last purchase information\n  - Subscription status (active/lapsed)\n  - Renewal intent\n  - Trial/introductory period status\n- Use limit and offset for pagination (default: 100 customers per page)\n- Results are ordered by creation date (newest first)"""), # iaptic/Iaptic MCP Server/customer_list
    Tool(name="""Iaptic MCP Server_customer_get""", inputSchema={'properties': {'customerId': {'description': 'Unique identifier of the customer', 'type': 'string'}}, 'required': ['customerId'], 'type': 'object'}, description="""Get detailed information about a specific customer.\n- Returns complete customer profile including:\n  - Application username\n  - Purchase history\n  - Active and expired subscriptions\n  - Last purchase details\n  - Subscription renewal status\n  - Trial and introductory period information\n- Required: customerId parameter"""), # iaptic/Iaptic MCP Server/customer_get
    Tool(name="""Iaptic MCP Server_customer_add_purchase""", inputSchema={'properties': {'customerId': {'description': 'Application username of the customer', 'type': 'string'}, 'purchaseId': {'description': 'ID of the purchase to associate', 'type': 'string'}}, 'required': ['customerId', 'purchaseId'], 'type': 'object'}, description="""Manually associate a customer with a purchase.\n- Links a purchase to a specific customer\n- Takes priority over receipt validation links\n- Useful for manual purchase management\n- Purchase format should be \"platform:purchaseId\", for example apple:123109519983\n- Required: customerId and purchaseId"""), # iaptic/Iaptic MCP Server/customer_add_purchase
    Tool(name="""Iaptic MCP Server_customer_subscription""", inputSchema={'properties': {'customerId': {'description': 'Application username of the customer', 'type': 'string'}}, 'required': ['customerId'], 'type': 'object'}, description="""Get customer's subscription status.\n- Returns active subscription details if any\n- Includes:\n  - Subscription status and expiry\n  - Payment and renewal information\n  - Trial/introductory period status\n- Simpler alternative to customer_get for subscription-only apps"""), # iaptic/Iaptic MCP Server/customer_subscription
    Tool(name="""Iaptic MCP Server_customer_transactions""", inputSchema={'properties': {'customerId': {'description': 'Application username of the customer', 'type': 'string'}}, 'required': ['customerId'], 'type': 'object'}, description="""Get customer's transaction history.\n- Returns list of all transactions\n- Includes:\n  - Payment details\n  - Transaction status\n  - Associated purchases\n  - Timestamps"""), # iaptic/Iaptic MCP Server/customer_transactions
    Tool(name="""Iaptic MCP Server_purchase_list""", inputSchema={'properties': {'customerId': {'description': 'Filter purchases by customer ID', 'type': 'string'}, 'enddate': {'description': 'Filter purchases before this date (ISO format, e.g. 2024-12-31)', 'type': 'string'}, 'limit': {'description': 'Maximum number of purchases to return (default: 100, max: 1000)', 'type': 'number'}, 'offset': {'description': 'Number of purchases to skip for pagination', 'type': 'number'}, 'startdate': {'description': 'Filter purchases after this date (ISO format, e.g. 2024-01-01)', 'type': 'string'}}, 'type': 'object'}, description="""List purchases from your Iaptic account.\n- Returns a paginated list of purchases\n- Use limit and offset for pagination (default: 100 per page)\n- Filter by date range using startdate and enddate (ISO format)\n- Filter by customerId to see purchases from a specific customer\n- Results include purchase status, product info, and transaction details\n- Results are ordered by purchase date (newest first)"""), # iaptic/Iaptic MCP Server/purchase_list
    Tool(name="""Iaptic MCP Server_purchase_get""", inputSchema={'properties': {'purchaseId': {'description': 'Unique identifier of the purchase', 'type': 'string'}}, 'required': ['purchaseId'], 'type': 'object'}, description="""Get detailed information about a specific purchase.\n- Returns complete purchase details including:\n  - Product information\n  - Purchase status\n  - Associated transactions\n  - Customer information\n  - Subscription details (if applicable)\n- Required: purchaseId parameter"""), # iaptic/Iaptic MCP Server/purchase_get
    Tool(name="""Iaptic MCP Server_transaction_list""", inputSchema={'properties': {'enddate': {'description': 'Filter transactions before this date (ISO format, e.g. 2024-12-31)', 'type': 'string'}, 'limit': {'description': 'Maximum number of transactions to return (default: 100, max: 1000)', 'type': 'number'}, 'offset': {'description': 'Number of transactions to skip for pagination', 'type': 'number'}, 'purchaseId': {'description': 'Filter transactions by purchase ID', 'type': 'string'}, 'startdate': {'description': 'Filter transactions after this date (ISO format, e.g. 2024-01-01)', 'type': 'string'}}, 'type': 'object'}, description="""List financial transactions from your Iaptic account.\n- Returns a paginated list of transactions\n- Use limit and offset for pagination (default: 100 per page)\n- Filter by date range using startdate and enddate (ISO format)\n- Filter by purchaseId to see transactions for a specific purchase\n- Results include transaction status, amount, currency, and payment details\n- Results are ordered by transaction date (newest first)\n- Important: Use date filtering to avoid retrieving too many records"""), # iaptic/Iaptic MCP Server/transaction_list
    Tool(name="""Iaptic MCP Server_transaction_get""", inputSchema={'properties': {'transactionId': {'description': 'Unique identifier of the transaction', 'type': 'string'}}, 'required': ['transactionId'], 'type': 'object'}, description="""Get detailed information about a specific transaction.\n- Returns complete transaction details including:\n  - Transaction status\n  - Amount and currency\n  - Payment method details\n  - Associated purchase information\n  - Customer information\n  - Timestamps and audit data\n- Required: transactionId parameter"""), # iaptic/Iaptic MCP Server/transaction_get
    Tool(name="""Iaptic MCP Server_stats_get""", inputSchema={'properties': {}, 'type': 'object'}, description="""Get general transactions, revenue and usage statistics from your Iaptic account.\n- Returns aggregated metrics including:\n  - Total revenue\n  - Number of active subscriptions\n  - Customer growth metrics\n  - Transaction success rates\n  - Revenue by product type\n- Data is aggregated across all your applications"""), # iaptic/Iaptic MCP Server/stats_get
    Tool(name="""Iaptic MCP Server_stats_app""", inputSchema={'properties': {}, 'type': 'object'}, description="""Get statistics specific to your application.\n- Returns app-specific metrics including:\n  - App revenue and growth\n  - Active subscriptions for this app\n  - Customer metrics for this app\n  - Product performance statistics\n  - Transaction metrics\n- Uses the app name provided during server initialization"""), # iaptic/Iaptic MCP Server/stats_app
    Tool(name="""Iaptic MCP Server_stripe_prices""", inputSchema={'properties': {}, 'type': 'object'}, description="""Get available Stripe products and prices.\n- Returns list of products with their associated prices\n- Each product includes:\n  - Product ID and display name\n  - Description and metadata\n  - Available pricing offers\n  - Subscription terms if applicable\n- Results are cached for 5 minutes"""), # iaptic/Iaptic MCP Server/stripe_prices
    Tool(name="""Iaptic MCP Server_event_list""", inputSchema={'properties': {'enddate': {'description': 'Filter events before this date (ISO format, e.g. 2024-12-31)', 'type': 'string'}, 'limit': {'description': 'Maximum number of events to return (default: 100)', 'type': 'number'}, 'offset': {'description': 'Number of events to skip for pagination', 'type': 'number'}, 'startdate': {'description': 'Filter events after this date (ISO format, e.g. 2024-01-01)', 'type': 'string'}}, 'type': 'object'}, description="""List recent events from your Iaptic account.\n- Returns a paginated list of system events\n- Events include:\n  - Receipt validations\n  - Platform notifications (Apple/Google/etc)\n  - Webhook deliveries\n  - Purchase status changes\n  - Subscription renewals\n- Use limit and offset for pagination\n- Results ordered by date (newest first)"""), # iaptic/Iaptic MCP Server/event_list
    Tool(name="""Iaptic MCP Server_iaptic_switch_app""", inputSchema={'properties': {'apiKey': {'description': 'API key for the app (not required if using master key)', 'type': 'string'}, 'appName': {'description': 'Name of the app to switch to', 'type': 'string'}}, 'required': ['appName'], 'type': 'object'}, description="""Switch to a different Iaptic app.\n- Allows temporarily using a different app's credentials\n- All subsequent API calls will use the new app name and API key\n- If using a master key, only the app name needs to be changed\n- Useful for managing multiple apps in the same session\n- Required: appName parameter (apiKey required only if not using master key)"""), # iaptic/Iaptic MCP Server/iaptic_switch_app
    Tool(name="""Iaptic MCP Server_iaptic_reset_app""", inputSchema={'properties': {}, 'type': 'object'}, description="""Reset to the default Iaptic app.\n- Reverts to the original app credentials provided during server initialization\n- All subsequent API calls will use the default app name and API key\n- Use this after using iaptic_switch_app to return to the default app"""), # iaptic/Iaptic MCP Server/iaptic_reset_app
    Tool(name="""Iaptic MCP Server_iaptic_current_app""", inputSchema={'properties': {}, 'type': 'object'}, description="""Get information about the currently active Iaptic app.\n- Returns the current app name\n- Indicates whether using default or custom credentials\n- Shows if using a master key for authentication"""), # iaptic/Iaptic MCP Server/iaptic_current_app
    Tool(name="""Coin Flip MCP Server_flip_coin""", inputSchema={'properties': {'sideNames': {'description': 'Optional custom names for sides (must match number of sides)', 'items': {'type': 'string'}, 'type': 'array'}, 'sides': {'description': 'Number of sides (default: 3)', 'type': 'number'}}, 'type': 'object'}, description="""Flip a coin with n sides using true randomness from random.org. For 3-sided coins, try creative side names like:\n- past/present/future (temporal analysis)\n- true/unknown/false (epistemic states)\n- win/draw/lose (outcome evaluation)\n- rock/paper/scissors (cyclic relationships)\n- less/same/more (abstraction levels)\n- below/within/above (hierarchical positioning)\n- predecessor/current/successor (ordinal progression)\n\nMeta-usage patterns:\n1. Use less/same/more to guide abstraction level of discourse\n2. Use past/present/future to determine temporal focus\n3. Chain multiple flips to create decision trees\n4. Use predecessor/current/successor for ordinal analysis\n\nOrdinal Meta-patterns:\n- Use predecessor to refine previous concepts\n- Use current to stabilize existing patterns\n- Use successor to evolve into new forms\n\nDefault ternary values are -/0/+"""), # TeglonLabs/Coin Flip MCP Server/flip_coin
    Tool(name="""MCP Starter Server_hello_tool""", inputSchema={'properties': {'name': {'description': 'The name of the person to greet', 'type': 'string'}}, 'required': ['name'], 'type': 'object'}, description="""Hello tool"""), # MatthewDailey/MCP Starter Server/hello_tool
    Tool(name="""Xcode MCP Server_set_projects_base_dir""", inputSchema={'properties': {'baseDir': {'description': 'Absolute path to the directory containing Xcode projects', 'type': 'string'}}, 'required': ['baseDir'], 'type': 'object'}, description="""Set the base directory where Xcode projects are stored"""), # r-huijts/Xcode MCP Server/set_projects_base_dir
    Tool(name="""Xcode MCP Server_set_project_path""", inputSchema={'properties': {'projectPath': {'description': 'Path to the .xcodeproj directory', 'type': 'string'}}, 'required': ['projectPath'], 'type': 'object'}, description="""Explicitly set the path to the Xcode project to work with"""), # r-huijts/Xcode MCP Server/set_project_path
    Tool(name="""Xcode MCP Server_get_active_project""", inputSchema={'properties': {}, 'type': 'object'}, description="""Get information about the currently active Xcode project"""), # r-huijts/Xcode MCP Server/get_active_project
    Tool(name="""Xcode MCP Server_read_file""", inputSchema={'properties': {'filePath': {'description': 'Path to the file within the project', 'type': 'string'}}, 'required': ['filePath'], 'type': 'object'}, description="""Read contents of a file in the Xcode project"""), # r-huijts/Xcode MCP Server/read_file
    Tool(name="""Xcode MCP Server_write_file""", inputSchema={'properties': {'content': {'description': 'Content to write to the file', 'type': 'string'}, 'createIfMissing': {'description': "Whether to create the file if it doesn't exist", 'type': 'boolean'}, 'filePath': {'description': 'Path to the file within the project', 'type': 'string'}}, 'required': ['filePath', 'content'], 'type': 'object'}, description="""Write or update contents of a file in the Xcode project"""), # r-huijts/Xcode MCP Server/write_file
    Tool(name="""Xcode MCP Server_analyze_file""", inputSchema={'properties': {'filePath': {'description': 'Path to the source file', 'type': 'string'}}, 'required': ['filePath'], 'type': 'object'}, description="""Analyze source file for issues and suggestions"""), # r-huijts/Xcode MCP Server/analyze_file
    Tool(name="""Xcode MCP Server_build_project""", inputSchema={'properties': {'configuration': {'description': 'Build configuration (Debug/Release)', 'type': 'string'}, 'scheme': {'description': 'Build scheme name', 'type': 'string'}}, 'required': ['configuration', 'scheme'], 'type': 'object'}, description="""Build the current Xcode project"""), # r-huijts/Xcode MCP Server/build_project
    Tool(name="""Xcode MCP Server_run_tests""", inputSchema={'properties': {'testPlan': {'description': 'Name of the test plan to run', 'type': 'string'}}, 'type': 'object'}, description="""Run tests for the current Xcode project"""), # r-huijts/Xcode MCP Server/run_tests
    Tool(name="""Xcode MCP Server_list_project_files""", inputSchema={'properties': {'fileType': {'description': "Filter by file extension (e.g., 'swift', 'm')", 'type': 'string'}, 'projectPath': {'description': 'Path to the .xcodeproj directory', 'type': 'string'}}, 'required': ['projectPath'], 'type': 'object'}, description="""List all files in an Xcode project"""), # r-huijts/Xcode MCP Server/list_project_files
    Tool(name="""Anti-Bullshit MCP Server_analyze_claim""", inputSchema={'properties': {'framework': {'description': 'Validation framework to use (empirical, responsible, harmonic, or pluralistic)', 'enum': ['empirical', 'responsible', 'harmonic', 'pluralistic'], 'type': 'string'}, 'text': {'description': 'Claim to analyze', 'type': 'string'}}, 'required': ['text'], 'type': 'object'}, description="""Analyze a claim using multiple epistemological frameworks and suggest validation steps"""), # bmorphism/Anti-Bullshit MCP Server/analyze_claim
    Tool(name="""Anti-Bullshit MCP Server_validate_sources""", inputSchema={'properties': {'framework': {'description': 'Validation framework to use', 'enum': ['empirical', 'responsible', 'harmonic', 'pluralistic'], 'type': 'string'}, 'text': {'description': 'Text containing claims and sources to validate', 'type': 'string'}}, 'required': ['text'], 'type': 'object'}, description="""Validate sources and evidence using configured framework"""), # bmorphism/Anti-Bullshit MCP Server/validate_sources
    Tool(name="""Anti-Bullshit MCP Server_check_manipulation""", inputSchema={'properties': {'text': {'description': 'Text to analyze for manipulation', 'type': 'string'}}, 'required': ['text'], 'type': 'object'}, description="""Check for manipulation tactics across different cultural contexts"""), # bmorphism/Anti-Bullshit MCP Server/check_manipulation
    Tool(name="""SystemPrompt MCP Notion Server_systemprompt_list_notion_pages""", inputSchema={'additionalProperties': False, 'properties': {'maxResults': {'description': 'Maximum number of pages to return in the response. Defaults to 50 if not specified.', 'type': 'number'}}, 'type': 'object'}, description="""Lists all accessible Notion pages in your workspace, sorted by last edited time. Returns key metadata including title, URL, and last edited timestamp."""), # Ejb503/SystemPrompt MCP Notion Server/systemprompt_list_notion_pages
    Tool(name="""SystemPrompt MCP Notion Server_systemprompt_list_notion_databases""", inputSchema={'additionalProperties': False, 'properties': {'maxResults': {'description': 'Maximum number of databases to return in the response. Defaults to 50 if not specified.', 'type': 'number'}}, 'type': 'object'}, description="""Lists all accessible Notion databases in your workspace, sorted by last edited time. Returns key metadata including database title, schema, and last edited timestamp."""), # Ejb503/SystemPrompt MCP Notion Server/systemprompt_list_notion_databases
    Tool(name="""SystemPrompt MCP Notion Server_systemprompt_search_notion_pages""", inputSchema={'additionalProperties': False, 'properties': {'maxResults': {'description': 'Maximum number of search results to return. Defaults to 10 if not specified.', 'type': 'number'}, 'query': {'description': 'Search query to find relevant Notion pages. Can include keywords, phrases, or partial matches.', 'type': 'string'}}, 'required': ['query'], 'type': 'object'}, description="""Performs a full-text search across all accessible Notion pages using the provided query. Searches through titles, content, and metadata to find relevant matches."""), # Ejb503/SystemPrompt MCP Notion Server/systemprompt_search_notion_pages
    Tool(name="""SystemPrompt MCP Notion Server_systemprompt_search_notion_pages_by_title""", inputSchema={'additionalProperties': False, 'properties': {'maxResults': {'description': 'Maximum number of matching pages to return. Defaults to 10 if not specified.', 'type': 'number'}, 'title': {'description': 'Title text to search for. Can be exact or partial match.', 'type': 'string'}}, 'required': ['title'], 'type': 'object'}, description="""Searches specifically for Notion pages with titles matching the provided query. Useful for finding exact or similar title matches when you know the page name."""), # Ejb503/SystemPrompt MCP Notion Server/systemprompt_search_notion_pages_by_title
    Tool(name="""SystemPrompt MCP Notion Server_systemprompt_get_notion_page""", inputSchema={'additionalProperties': False, 'properties': {'pageId': {'description': 'The unique identifier of the Notion page to retrieve. Must be a valid Notion page ID.', 'type': 'string'}}, 'required': ['pageId'], 'type': 'object'}, description="""Retrieves comprehensive details of a specific Notion page, including its content, properties, and metadata. Returns the complete page structure and all nested content blocks."""), # Ejb503/SystemPrompt MCP Notion Server/systemprompt_get_notion_page
    Tool(name="""SystemPrompt MCP Notion Server_systemprompt_create_notion_page""", inputSchema={'additionalProperties': False, 'properties': {'databaseId': {'description': 'The ID of the database to create the page in', 'type': 'string'}, 'userInstructions': {'description': 'Basic instructions or outline for the page content. These will be expanded into a comprehensive structure with appropriate sections, formatting, and enhanced detail. Can include desired title, key points, or general direction.', 'type': 'string'}}, 'required': ['databaseId', 'userInstructions'], 'type': 'object'}, description="""Creates a rich, comprehensive Notion page that expands upon basic user inputs. Takes simple instructions and content, then generates a detailed, well-structured page with appropriate sections, formatting, and supplementary content."""), # Ejb503/SystemPrompt MCP Notion Server/systemprompt_create_notion_page
    Tool(name="""SystemPrompt MCP Notion Server_systemprompt_update_notion_page""", inputSchema={'additionalProperties': False, 'properties': {'pageId': {'description': 'The unique identifier of the Notion page to update. Must be a valid Notion page ID.', 'type': 'string'}, 'userInstructions': {'description': 'Natural language instructions for updating the page. These will be expanded into comprehensive changes, potentially including new sections, enhanced formatting, additional context, and improved structure while respecting existing content. Can include specific changes, content additions, or general directions for improvement.', 'type': 'string'}}, 'required': ['pageId', 'userInstructions'], 'type': 'object'}, description="""Updates an existing Notion page with rich, comprehensive content based on user instructions. Takes simple inputs and transforms them into well-structured, detailed page content while preserving existing information. Can enhance, reorganize, or expand the current content while maintaining page integrity."""), # Ejb503/SystemPrompt MCP Notion Server/systemprompt_update_notion_page
    Tool(name="""SystemPrompt MCP Notion Server_systemprompt_delete_notion_page""", inputSchema={'additionalProperties': False, 'properties': {'pageId': {'description': 'The unique identifier of the Notion page to delete. Must be a valid Notion page ID. Warning: deletion is permanent.', 'type': 'string'}}, 'required': ['pageId'], 'type': 'object'}, description="""Permanently deletes a specified Notion page and all its contents. This action cannot be undone, so use with caution."""), # Ejb503/SystemPrompt MCP Notion Server/systemprompt_delete_notion_page
    Tool(name="""IACR MCP Server_search_papers""", inputSchema={'properties': {'category': {'type': 'string'}, 'max_results': {'default': 20, 'type': 'number'}, 'query': {'type': 'string'}, 'year': {'type': 'number'}}, 'required': ['query'], 'type': 'object'}, description="""Search for papers in the IACR Cryptology ePrint Archive"""), # doomdagadiggiedahdah/IACR MCP Server/search_papers
    Tool(name="""IACR MCP Server_get_paper_details""", inputSchema={'properties': {'paper_id': {'type': 'string'}}, 'required': ['paper_id'], 'type': 'object'}, description="""Retrieve details of a specific paper by its ID"""), # doomdagadiggiedahdah/IACR MCP Server/get_paper_details
    Tool(name="""IACR MCP Server_download_paper""", inputSchema={'properties': {'format': {'default': 'pdf', 'enum': ['pdf', 'txt'], 'type': 'string'}, 'paper_id': {'type': 'string'}}, 'required': ['paper_id'], 'type': 'object'}, description="""Download a paper in PDF or TXT format"""), # doomdagadiggiedahdah/IACR MCP Server/download_paper
    Tool(name="""Linear MCP Server_create_issue""", inputSchema={'properties': {'assigneeId': {'description': 'Assignee user ID (optional)', 'type': 'string'}, 'description': {'description': 'Issue description (markdown supported)', 'type': 'string'}, 'labels': {'description': 'Label IDs to apply (optional)', 'items': {'type': 'string'}, 'type': 'array'}, 'priority': {'description': 'Priority (0-4, optional)', 'maximum': 4, 'minimum': 0, 'type': 'number'}, 'teamId': {'description': 'Team ID', 'type': 'string'}, 'title': {'description': 'Issue title', 'type': 'string'}}, 'required': ['title', 'teamId'], 'type': 'object'}, description="""Create a new issue in Linear"""), # ibraheem4/Linear MCP Server/create_issue
    Tool(name="""Linear MCP Server_list_issues""", inputSchema={'properties': {'assigneeId': {'description': 'Filter by assignee ID (optional)', 'type': 'string'}, 'first': {'description': 'Number of issues to return (default: 50)', 'type': 'number'}, 'status': {'description': 'Filter by status (optional)', 'type': 'string'}, 'teamId': {'description': 'Filter by team ID (optional)', 'type': 'string'}}, 'type': 'object'}, description="""List issues with optional filters"""), # ibraheem4/Linear MCP Server/list_issues
    Tool(name="""Linear MCP Server_update_issue""", inputSchema={'properties': {'assigneeId': {'description': 'New assignee ID (optional)', 'type': 'string'}, 'description': {'description': 'New description (optional)', 'type': 'string'}, 'issueId': {'description': 'Issue ID', 'type': 'string'}, 'priority': {'description': 'New priority (0-4, optional)', 'maximum': 4, 'minimum': 0, 'type': 'number'}, 'status': {'description': 'New status (optional)', 'type': 'string'}, 'title': {'description': 'New title (optional)', 'type': 'string'}}, 'required': ['issueId'], 'type': 'object'}, description="""Update an existing issue"""), # ibraheem4/Linear MCP Server/update_issue
    Tool(name="""Linear MCP Server_list_teams""", inputSchema={'properties': {}, 'type': 'object'}, description="""List all teams in the workspace"""), # ibraheem4/Linear MCP Server/list_teams
    Tool(name="""Linear MCP Server_list_projects""", inputSchema={'properties': {'first': {'description': 'Number of projects to return (default: 50)', 'type': 'number'}, 'teamId': {'description': 'Filter by team ID (optional)', 'type': 'string'}}, 'type': 'object'}, description="""List all projects"""), # ibraheem4/Linear MCP Server/list_projects
    Tool(name="""Linear MCP Server_search_issues""", inputSchema={'properties': {'first': {'description': 'Number of results to return (default: 50)', 'type': 'number'}, 'query': {'description': 'Search query text', 'type': 'string'}}, 'required': ['query'], 'type': 'object'}, description="""Search for issues using a text query"""), # ibraheem4/Linear MCP Server/search_issues
    Tool(name="""Linear MCP Server_get_issue""", inputSchema={'properties': {'issueId': {'description': 'Issue ID', 'type': 'string'}}, 'required': ['issueId'], 'type': 'object'}, description="""Get detailed information about a specific issue"""), # ibraheem4/Linear MCP Server/get_issue
    Tool(name="""mcp-memory-libsql_create_entities""", inputSchema={'properties': {'entities': {'items': {'properties': {'embedding': {'description': 'Optional vector embedding for similarity search', 'items': {'type': 'number'}, 'type': 'array'}, 'entityType': {'type': 'string'}, 'name': {'type': 'string'}, 'observations': {'items': {'type': 'string'}, 'type': 'array'}}, 'required': ['name', 'entityType', 'observations'], 'type': 'object'}, 'type': 'array'}}, 'required': ['entities'], 'type': 'object'}, description="""Create new entities with observations and optional embeddings"""), # spences10/mcp-memory-libsql/create_entities
    Tool(name="""mcp-memory-libsql_search_nodes""", inputSchema={'properties': {'query': {'oneOf': [{'description': 'Text search query', 'type': 'string'}, {'description': 'Vector for similarity search', 'items': {'type': 'number'}, 'type': 'array'}]}}, 'required': ['query'], 'type': 'object'}, description="""Search for entities and their relations using text or vector similarity"""), # spences10/mcp-memory-libsql/search_nodes
    Tool(name="""mcp-memory-libsql_read_graph""", inputSchema={'properties': {}, 'required': [], 'type': 'object'}, description="""Get recent entities and their relations"""), # spences10/mcp-memory-libsql/read_graph
    Tool(name="""mcp-memory-libsql_create_relations""", inputSchema={'properties': {'relations': {'items': {'properties': {'source': {'type': 'string'}, 'target': {'type': 'string'}, 'type': {'type': 'string'}}, 'required': ['source', 'target', 'type'], 'type': 'object'}, 'type': 'array'}}, 'required': ['relations'], 'type': 'object'}, description="""Create relations between entities"""), # spences10/mcp-memory-libsql/create_relations
    Tool(name="""mcp-memory-libsql_delete_entity""", inputSchema={'properties': {'name': {'description': 'Name of the entity to delete', 'type': 'string'}}, 'required': ['name'], 'type': 'object'}, description="""Delete an entity and all its associated data (observations and relations)"""), # spences10/mcp-memory-libsql/delete_entity
    Tool(name="""mcp-memory-libsql_delete_relation""", inputSchema={'properties': {'source': {'description': 'Source entity name', 'type': 'string'}, 'target': {'description': 'Target entity name', 'type': 'string'}, 'type': {'description': 'Type of relation', 'type': 'string'}}, 'required': ['source', 'target', 'type'], 'type': 'object'}, description="""Delete a specific relation between entities"""), # spences10/mcp-memory-libsql/delete_relation
    Tool(name="""n8n Workflow Builder MCP Server_delete_workflow""", inputSchema={'properties': {'id': {'type': 'string'}}, 'required': ['id'], 'type': 'object'}, description="""Delete a workflow by ID"""), # makafeli/n8n Workflow Builder MCP Server/delete_workflow
    Tool(name="""n8n Workflow Builder MCP Server_activate_workflow""", inputSchema={'properties': {'id': {'type': 'string'}}, 'required': ['id'], 'type': 'object'}, description="""Activate a workflow by ID"""), # makafeli/n8n Workflow Builder MCP Server/activate_workflow
    Tool(name="""n8n Workflow Builder MCP Server_deactivate_workflow""", inputSchema={'properties': {'id': {'type': 'string'}}, 'required': ['id'], 'type': 'object'}, description="""Deactivate a workflow by ID"""), # makafeli/n8n Workflow Builder MCP Server/deactivate_workflow
    Tool(name="""n8n Workflow Builder MCP Server_list_workflows""", inputSchema={'properties': {}, 'type': 'object'}, description="""List all workflows from n8n"""), # makafeli/n8n Workflow Builder MCP Server/list_workflows
    Tool(name="""n8n Workflow Builder MCP Server_create_workflow""", inputSchema={'properties': {'connections': {'items': {'properties': {'source': {'type': 'string'}, 'sourceOutput': {'default': 0, 'type': 'number'}, 'target': {'type': 'string'}, 'targetInput': {'default': 0, 'type': 'number'}}, 'required': ['source', 'target'], 'type': 'object'}, 'type': 'array'}, 'name': {'type': 'string'}, 'nodes': {'items': {'properties': {'name': {'type': 'string'}, 'parameters': {'type': 'object'}, 'type': {'type': 'string'}}, 'required': ['type', 'name'], 'type': 'object'}, 'type': 'array'}}, 'required': ['nodes'], 'type': 'object'}, description="""Create a new workflow in n8n"""), # makafeli/n8n Workflow Builder MCP Server/create_workflow
    Tool(name="""n8n Workflow Builder MCP Server_get_workflow""", inputSchema={'properties': {'id': {'type': 'string'}}, 'required': ['id'], 'type': 'object'}, description="""Get a workflow by ID"""), # makafeli/n8n Workflow Builder MCP Server/get_workflow
    Tool(name="""n8n Workflow Builder MCP Server_update_workflow""", inputSchema={'properties': {'connections': {'type': 'array'}, 'id': {'type': 'string'}, 'nodes': {'type': 'array'}}, 'required': ['id', 'nodes'], 'type': 'object'}, description="""Update an existing workflow"""), # makafeli/n8n Workflow Builder MCP Server/update_workflow
    Tool(name="""n8n Workflow Builder MCP Server_list_executions""", inputSchema={'properties': {'cursor': {'type': 'string'}, 'includeData': {'type': 'boolean'}, 'limit': {'type': 'number'}, 'projectId': {'type': 'string'}, 'status': {'enum': ['error', 'success', 'waiting'], 'type': 'string'}, 'workflowId': {'type': 'string'}}, 'type': 'object'}, description="""List all executions from n8n with optional filters"""), # makafeli/n8n Workflow Builder MCP Server/list_executions
    Tool(name="""n8n Workflow Builder MCP Server_get_execution""", inputSchema={'properties': {'id': {'type': 'number'}, 'includeData': {'type': 'boolean'}}, 'required': ['id'], 'type': 'object'}, description="""Get details of a specific execution by ID"""), # makafeli/n8n Workflow Builder MCP Server/get_execution
    Tool(name="""n8n Workflow Builder MCP Server_delete_execution""", inputSchema={'properties': {'id': {'type': 'number'}}, 'required': ['id'], 'type': 'object'}, description="""Delete an execution by ID"""), # makafeli/n8n Workflow Builder MCP Server/delete_execution
    Tool(name="""MCP Web Research Server_deep_research""", inputSchema={'properties': {'maxBranching': {'description': 'Maximum number of related paths to explore', 'maximum': 3, 'minimum': 1, 'type': 'number'}, 'maxDepth': {'description': 'Maximum depth of related content exploration', 'maximum': 2, 'minimum': 1, 'type': 'number'}, 'minRelevanceScore': {'description': 'Minimum relevance score for including content', 'maximum': 1, 'minimum': 0, 'type': 'number'}, 'timeout': {'description': 'Research timeout in milliseconds', 'maximum': 55000, 'minimum': 30000, 'type': 'number'}, 'topic': {'description': 'Research topic or question', 'type': 'string'}}, 'required': ['topic'], 'type': 'object'}, description="""Perform deep research on a topic with content extraction and analysis"""), # qpd-v/MCP Web Research Server/deep_research
    Tool(name="""MCP Web Research Server_parallel_search""", inputSchema={'properties': {'maxParallel': {'description': 'Maximum number of parallel searches', 'maximum': 5, 'minimum': 1, 'type': 'number'}, 'queries': {'description': 'Array of search queries to execute in parallel', 'items': {'type': 'string'}, 'type': 'array'}}, 'required': ['queries'], 'type': 'object'}, description="""Perform multiple Google searches in parallel"""), # qpd-v/MCP Web Research Server/parallel_search
    Tool(name="""MCP Web Research Server_visit_page""", inputSchema={'properties': {'url': {'description': 'URL to visit', 'type': 'string'}}, 'required': ['url'], 'type': 'object'}, description="""Visit a webpage and extract its content"""), # qpd-v/MCP Web Research Server/visit_page
    Tool(name="""Holaspirit MCP Server_list_tasks""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'organizationId': {'type': 'string'}}, 'required': ['organizationId'], 'type': 'object'}, description="""List all tasks in the organization"""), # syucream/Holaspirit MCP Server/list_tasks
    Tool(name="""Holaspirit MCP Server_list_metrics""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'organizationId': {'type': 'string'}}, 'required': ['organizationId'], 'type': 'object'}, description="""List all metrics in the organization"""), # syucream/Holaspirit MCP Server/list_metrics
    Tool(name="""Holaspirit MCP Server_list_circles""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'organizationId': {'type': 'string'}}, 'required': ['organizationId'], 'type': 'object'}, description="""List all circles in the organization"""), # syucream/Holaspirit MCP Server/list_circles
    Tool(name="""Holaspirit MCP Server_get_circle""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'circleId': {'type': 'string'}, 'organizationId': {'type': 'string'}}, 'required': ['organizationId', 'circleId'], 'type': 'object'}, description="""Get details of a specific circle"""), # syucream/Holaspirit MCP Server/get_circle
    Tool(name="""Holaspirit MCP Server_list_roles""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'organizationId': {'type': 'string'}}, 'required': ['organizationId'], 'type': 'object'}, description="""List all roles in the organization"""), # syucream/Holaspirit MCP Server/list_roles
    Tool(name="""Holaspirit MCP Server_get_role""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'organizationId': {'type': 'string'}, 'roleId': {'type': 'string'}}, 'required': ['organizationId', 'roleId'], 'type': 'object'}, description="""Get details of a specific role"""), # syucream/Holaspirit MCP Server/get_role
    Tool(name="""Holaspirit MCP Server_list_domains""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'organizationId': {'type': 'string'}}, 'required': ['organizationId'], 'type': 'object'}, description="""List all domains in the organization"""), # syucream/Holaspirit MCP Server/list_domains
    Tool(name="""Holaspirit MCP Server_list_policies""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'organizationId': {'type': 'string'}}, 'required': ['organizationId'], 'type': 'object'}, description="""List all policies in the organization"""), # syucream/Holaspirit MCP Server/list_policies
    Tool(name="""Holaspirit MCP Server_list_meetings""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'organizationId': {'type': 'string'}}, 'required': ['organizationId'], 'type': 'object'}, description="""List all meetings in the organization"""), # syucream/Holaspirit MCP Server/list_meetings
    Tool(name="""Holaspirit MCP Server_get_meeting""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'meetingId': {'type': 'string'}, 'organizationId': {'type': 'string'}}, 'required': ['organizationId', 'meetingId'], 'type': 'object'}, description="""Get details of a specific meeting"""), # syucream/Holaspirit MCP Server/get_meeting
    Tool(name="""Placid MCP Server_placid_list_templates""", inputSchema={'properties': {'collection_id': {'description': 'Optional: Filter templates by collection ID', 'type': 'string'}, 'custom_data': {'description': 'Optional: Filter by custom reference data', 'type': 'string'}, 'tags': {'description': 'Optional: Filter templates by tags', 'items': {'type': 'string'}, 'type': 'array'}}, 'type': 'object'}, description="""Get a list of available Placid templates with optional filtering. Each template includes its title, ID, preview image URL, available layers, and tags."""), # felores/Placid MCP Server/placid_list_templates
    Tool(name="""Placid MCP Server_placid_generate_image""", inputSchema={'properties': {'layers': {'additionalProperties': {'oneOf': [{'properties': {'text': {'description': 'Content for text layers', 'type': 'string'}}, 'required': ['text'], 'type': 'object'}, {'properties': {'image': {'description': 'URL for image/video layers', 'format': 'uri', 'type': 'string'}}, 'required': ['image'], 'type': 'object'}]}, 'description': 'Key-value pairs for dynamic content. Keys must match template layer names.', 'type': 'object'}, 'template_id': {'description': 'UUID of the template to use', 'type': 'string'}}, 'required': ['template_id', 'layers'], 'type': 'object'}, description="""Generate an image using a template and provided assets"""), # felores/Placid MCP Server/placid_generate_image
    Tool(name="""Placid MCP Server_placid_generate_video""", inputSchema={'properties': {'audio': {'description': 'URL of mp3 audio file for this video', 'type': 'string'}, 'audio_duration': {'description': "Set to 'auto' to trim audio to video length", 'type': 'string'}, 'audio_trim_end': {'description': "Timestamp of the trim end point (e.g. '00:00:55' or '00:00:55.25')", 'type': 'string'}, 'audio_trim_start': {'description': "Timestamp of the trim start point (e.g. '00:00:45' or '00:00:45.25')", 'type': 'string'}, 'layers': {'additionalProperties': {'oneOf': [{'properties': {'text': {'description': 'Content for text layers', 'type': 'string'}}, 'required': ['text'], 'type': 'object'}, {'properties': {'image': {'description': 'URL for image layers', 'format': 'uri', 'type': 'string'}}, 'required': ['image'], 'type': 'object'}, {'properties': {'video': {'description': 'URL for video layers (.mp4)', 'format': 'uri', 'type': 'string'}}, 'required': ['video'], 'type': 'object'}]}, 'description': 'Key-value pairs for dynamic content. Keys must match template layer names.', 'type': 'object'}, 'template_id': {'description': 'UUID of the template to use', 'type': 'string'}}, 'required': ['template_id', 'layers'], 'type': 'object'}, description="""Generate a video using one or more templates and provided assets. Every 10 seconds of video uses 10 credits."""), # felores/Placid MCP Server/placid_generate_video
    Tool(name="""MCP Notes Server_list-all-notes""", inputSchema={'properties': {}, 'type': 'object'}, description="""Read all stored notes"""), # truaxki/MCP Notes Server/list-all-notes
    Tool(name="""MCP Notes Server_update-note""", inputSchema={'properties': {'content': {'type': 'string'}, 'name': {'type': 'string'}}, 'required': ['name', 'content'], 'type': 'object'}, description="""Update an existing note"""), # truaxki/MCP Notes Server/update-note
    Tool(name="""MCP Notes Server_delete-note""", inputSchema={'properties': {'name': {'type': 'string'}}, 'required': ['name'], 'type': 'object'}, description="""Delete an existing note"""), # truaxki/MCP Notes Server/delete-note
    Tool(name="""MCP Notes Server_add-note""", inputSchema={'properties': {'content': {'type': 'string'}, 'name': {'type': 'string'}}, 'required': ['name', 'content'], 'type': 'object'}, description="""Create a new note"""), # truaxki/MCP Notes Server/add-note
    Tool(name="""Scrapbox Cosense MCP Server_create_page""", inputSchema={'properties': {'body': {'description': 'Content in markdown format that will be converted to Scrapbox format. Supports standard markdown syntax including links, code blocks, lists, and emphasis.', 'type': 'string'}, 'title': {'description': 'Title of the new page', 'type': 'string'}}, 'required': ['title'], 'type': 'object'}, description="""\n        Create a new page in my-research-notes project on cosense (scrapbox)\n        \n        Creates a new page with the specified title and optional body text.\n        The page will be opened in your default browser.\n        """), # worldnine/Scrapbox Cosense MCP Server/create_page
    Tool(name="""Scrapbox Cosense MCP Server_get_page""", inputSchema={'properties': {'pageTitle': {'description': 'Title of the page', 'type': 'string'}}, 'required': ['pageTitle'], 'type': 'object'}, description="""\n        Get a page from my-research-notes project on cosense (scrapbox)\n        Returns page content and its linked pages.\n        Page content includes title and description in plain text format.\n        """), # worldnine/Scrapbox Cosense MCP Server/get_page
    Tool(name="""Scrapbox Cosense MCP Server_list_pages""", inputSchema={'properties': {'excludePinned': {'description': 'Whether to exclude pinned pages from the results', 'type': 'boolean'}, 'limit': {'description': 'Maximum number of pages to return (1-1000)', 'maximum': 1000, 'minimum': 1, 'type': 'number'}, 'skip': {'description': 'Number of pages to skip', 'minimum': 0, 'type': 'number'}, 'sort': {'description': 'Sort method for the page list', 'enum': ['updated', 'created', 'accessed', 'linked', 'views', 'title'], 'type': 'string'}}, 'required': [], 'type': 'object'}, description="""\n        List pages from my-research-notes project on cosense (scrapbox) with flexible sorting options.\n        \n        Available sorting methods:\n        - updated: Sort by last update time\n        - created: Sort by creation time\n        - accessed: Sort by access time\n        - linked: Sort by number of incoming links\n        - views: Sort by view count\n        - title: Sort by page title\n        """), # worldnine/Scrapbox Cosense MCP Server/list_pages
    Tool(name="""Scrapbox Cosense MCP Server_search_pages""", inputSchema={'properties': {'query': {'description': 'Search query string', 'type': 'string'}}, 'required': ['query'], 'type': 'object'}, description="""\n        Search pages in my-research-notes project on cosense (scrapbox)\n        \n        Supports various search features:\n        - Basic search: \"keyword\"\n        - Multiple keywords: \"word1 word2\" (AND search)\n        - Exclude words: \"word1 -word2\"\n        - Exact phrase: \"\\\"exact phrase\\\"\"\n        """), # worldnine/Scrapbox Cosense MCP Server/search_pages
    Tool(name="""Keboola Explorer MCP Server_get_bucket_metadata""", inputSchema={'properties': {'bucket_id': {'description': 'Unique ID of the bucket.', 'title': 'Bucket Id', 'type': 'string'}}, 'required': ['bucket_id'], 'title': 'get_bucket_metadataArguments', 'type': 'object'}, description="""Get detailed information about a specific bucket."""), # keboola/Keboola Explorer MCP Server/get_bucket_metadata
    Tool(name="""Keboola Explorer MCP Server_list_bucket_info""", inputSchema={'properties': {}, 'title': 'list_bucket_infoArguments', 'type': 'object'}, description="""List information about all buckets in the project."""), # keboola/Keboola Explorer MCP Server/list_bucket_info
    Tool(name="""Keboola Explorer MCP Server_list_bucket_tables""", inputSchema={'properties': {'bucket_id': {'description': 'Unique ID of the bucket.', 'title': 'Bucket Id', 'type': 'string'}}, 'required': ['bucket_id'], 'title': 'list_bucket_tablesArguments', 'type': 'object'}, description="""List all tables in a specific bucket with their basic information."""), # keboola/Keboola Explorer MCP Server/list_bucket_tables
    Tool(name="""Keboola Explorer MCP Server_get_table_metadata""", inputSchema={'properties': {'table_id': {'description': 'Unique ID of the table.', 'title': 'Table Id', 'type': 'string'}}, 'required': ['table_id'], 'title': 'get_table_metadataArguments', 'type': 'object'}, description="""Get detailed information about a specific table including its DB identifier and column information."""), # keboola/Keboola Explorer MCP Server/get_table_metadata
    Tool(name="""Keboola Explorer MCP Server_query_table""", inputSchema={'properties': {'sql_query': {'description': 'SQL SELECT query to run.', 'title': 'Sql Query', 'type': 'string'}}, 'required': ['sql_query'], 'title': 'query_tableArguments', 'type': 'object'}, description="""\n    Executes an SQL SELECT query to get the data from the underlying snowflake database.\n    * When constructing the SQL SELECT query make sure to use the fully qualified table names\n      that include the database name, schema name and the table name.\n    * The fully qualified table name can be found in the table information, use a tool to get the information\n      about tables. The fully qualified table name can be found in the response for that tool.\n    * Snowflake is case-sensitive so always wrap the column names in double quotes.\n\n    Examples:\n    * SQL queries must include the fully qualified table names including the database name, e.g.:\n      SELECT * FROM \"db_name\".\"db_schema_name\".\"table_name\";\n    """), # keboola/Keboola Explorer MCP Server/query_table
    Tool(name="""Keboola Explorer MCP Server_list_components""", inputSchema={'properties': {}, 'title': 'list_componentsArguments', 'type': 'object'}, description="""List all available components and their configurations."""), # keboola/Keboola Explorer MCP Server/list_components
    Tool(name="""Keboola Explorer MCP Server_list_component_configs""", inputSchema={'properties': {'component_id': {'title': 'Component Id', 'type': 'string'}}, 'required': ['component_id'], 'title': 'list_component_configsArguments', 'type': 'object'}, description="""List all configurations for a specific component."""), # keboola/Keboola Explorer MCP Server/list_component_configs
    Tool(name="""MCP Terminal Server_execute_command""", inputSchema={'properties': {'args': {'description': 'Command arguments', 'items': {'type': 'string'}, 'type': 'array'}, 'command': {'description': 'Command to execute', 'type': 'string'}, 'cwd': {'description': 'Working directory for command execution', 'type': 'string'}}, 'required': ['command'], 'type': 'object'}, description="""Execute a command in the local system"""), # dillip285/MCP Terminal Server/execute_command
    Tool(name="""mcp-shell-server_shell_execute""", inputSchema={'properties': {'command': {'description': 'Command and its arguments as array', 'items': {'type': 'string'}, 'type': 'array'}, 'directory': {'description': 'Working directory where the command will be executed', 'type': 'string'}, 'stdin': {'description': 'Input to be passed to the command via stdin', 'type': 'string'}, 'timeout': {'description': 'Maximum execution time in seconds', 'minimum': 0, 'type': 'integer'}}, 'required': ['command', 'directory'], 'type': 'object'}, description="""Execute a shell command\nAllowed commands: grep, find, echo, cat, ls"""), # tumf/mcp-shell-server/shell_execute
    Tool(name="""MCP Web Browser Server_browse_to""", inputSchema={'properties': {'context': {'anyOf': [{}, {'type': 'null'}], 'default': None, 'title': 'Context'}, 'url': {'title': 'Url', 'type': 'string'}}, 'required': ['url'], 'title': 'browse_toArguments', 'type': 'object'}, description="""\n    Navigate to a specific URL and return the page's HTML content.\n    \n    Args:\n        url: The full URL to navigate to\n        context: Optional context object for logging (ignored)\n    \n    Returns:\n        The full HTML content of the page\n    """), # random-robbie/MCP Web Browser Server/browse_to
    Tool(name="""MCP Web Browser Server_extract_text_content""", inputSchema={'properties': {'context': {'anyOf': [{}, {'type': 'null'}], 'default': None, 'title': 'Context'}, 'selector': {'anyOf': [{'type': 'string'}, {'type': 'null'}], 'default': None, 'title': 'Selector'}}, 'title': 'extract_text_contentArguments', 'type': 'object'}, description="""\n    Extract text content from the current page, optionally using a CSS selector.\n    \n    Args:\n        selector: Optional CSS selector to target specific elements\n        context: Optional context object for logging (ignored)\n    \n    Returns:\n        Extracted text content\n    """), # random-robbie/MCP Web Browser Server/extract_text_content
    Tool(name="""MCP Web Browser Server_click_element""", inputSchema={'properties': {'context': {'anyOf': [{}, {'type': 'null'}], 'default': None, 'title': 'Context'}, 'selector': {'title': 'Selector', 'type': 'string'}}, 'required': ['selector'], 'title': 'click_elementArguments', 'type': 'object'}, description="""\n    Click an element on the current page.\n    \n    Args:\n        selector: CSS selector for the element to click\n        context: Optional context object for logging (ignored)\n    \n    Returns:\n        Confirmation message or error details\n    """), # random-robbie/MCP Web Browser Server/click_element
    Tool(name="""MCP Web Browser Server_get_page_screenshots""", inputSchema={'properties': {'context': {'anyOf': [{}, {'type': 'null'}], 'default': None, 'title': 'Context'}, 'full_page': {'default': False, 'title': 'Full Page', 'type': 'boolean'}, 'selector': {'anyOf': [{'type': 'string'}, {'type': 'null'}], 'default': None, 'title': 'Selector'}}, 'title': 'get_page_screenshotsArguments', 'type': 'object'}, description="""\n    Capture screenshot of the current page.\n    \n    Args:\n        full_page: Whether to capture the entire page or just the viewport\n        selector: Optional CSS selector to screenshot a specific element\n        context: Optional context object for logging (ignored)\n    \n    Returns:\n        Base64 encoded screenshot image\n    """), # random-robbie/MCP Web Browser Server/get_page_screenshots
    Tool(name="""MCP Web Browser Server_get_page_links""", inputSchema={'properties': {'context': {'anyOf': [{}, {'type': 'null'}], 'default': None, 'title': 'Context'}}, 'title': 'get_page_linksArguments', 'type': 'object'}, description="""\n    Extract all links from the current page.\n    \n    Args:\n        context: Optional context object for logging (ignored)\n    \n    Returns:\n        List of links found on the page\n    """), # random-robbie/MCP Web Browser Server/get_page_links
    Tool(name="""MCP Web Browser Server_input_text""", inputSchema={'properties': {'context': {'anyOf': [{}, {'type': 'null'}], 'default': None, 'title': 'Context'}, 'selector': {'title': 'Selector', 'type': 'string'}, 'text': {'title': 'Text', 'type': 'string'}}, 'required': ['selector', 'text'], 'title': 'input_textArguments', 'type': 'object'}, description="""\n    Input text into a specific element on the page.\n    \n    Args:\n        selector: CSS selector for the input element\n        text: Text to input\n        context: Optional context object for logging (ignored)\n    \n    Returns:\n        Confirmation message\n    """), # random-robbie/MCP Web Browser Server/input_text
    Tool(name="""Project Content Server_latest_project_data""", inputSchema={'properties': {'projectPath': {'description': 'Path to the project directory', 'type': 'string'}}, 'required': ['projectPath'], 'type': 'object'}, description="""Get latest project data including file names and contents"""), # MaheshDoiphode/Project Content Server/latest_project_data
    Tool(name="""Duck Duck MCP_search""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'options': {'additionalProperties': False, 'properties': {'numResults': {'default': 50, 'type': 'number'}, 'region': {'default': 'zh-cn', 'type': 'string'}, 'safeSearch': {'default': 'MODERATE', 'enum': ['OFF', 'MODERATE', 'STRICT'], 'type': 'string'}}, 'type': 'object'}, 'query': {'type': 'string'}}, 'required': ['query'], 'type': 'object'}, description="""Search the web using DuckDuckGo"""), # qwang07/Duck Duck MCP/search
    Tool(name="""MCP Rand_roll_dice""", inputSchema={'properties': {'dice': {'description': 'Array of dice to roll', 'items': {'description': 'Dice notation (e.g., "2d6", "1d20", "4d4")', 'type': 'string'}, 'type': 'array'}}, 'required': ['dice'], 'type': 'object'}, description="""Roll a set of dice using standard dice notation (e.g., \"2d6\" for two six-sided dice, \"3d6+5\" for three six-sided dice plus 5)"""), # turlockmike/MCP Rand/roll_dice
    Tool(name="""MCP Rand_generate_uuid""", inputSchema={'properties': {}, 'type': 'object'}, description="""Generate a random UUID v4"""), # turlockmike/MCP Rand/generate_uuid
    Tool(name="""MCP Rand_generate_random_number""", inputSchema={'properties': {'max': {'description': 'Maximum value (inclusive). Defaults to 100.', 'type': 'number'}, 'min': {'description': 'Minimum value (inclusive). Defaults to 0.', 'type': 'number'}}, 'type': 'object'}, description="""Generate a random number within a specified range"""), # turlockmike/MCP Rand/generate_random_number
    Tool(name="""MCP Rand_generate_gaussian""", inputSchema={'properties': {}, 'type': 'object'}, description="""Generate a random number following a Gaussian (normal) distribution between 0 and 1"""), # turlockmike/MCP Rand/generate_gaussian
    Tool(name="""MCP Rand_generate_string""", inputSchema={'properties': {'charset': {'description': 'Character set to use (alphanumeric, numeric, lowercase, uppercase, special). Defaults to alphanumeric.', 'enum': ['alphanumeric', 'numeric', 'lowercase', 'uppercase', 'special'], 'type': 'string'}, 'length': {'description': 'Length of the string to generate. Defaults to 10.', 'type': 'number'}}, 'type': 'object'}, description="""Generate a random string with specified length and character set"""), # turlockmike/MCP Rand/generate_string
    Tool(name="""MCP Rand_draw_cards""", inputSchema={'properties': {'count': {'description': 'Number of cards to draw', 'type': 'number'}, 'deckState': {'description': 'Optional base64 encoded string representing the current deck state', 'type': 'string'}}, 'required': ['count'], 'type': 'object'}, description="""Draw cards from a standard deck of playing cards"""), # turlockmike/MCP Rand/draw_cards
    Tool(name="""MCP Rand_generate_password""", inputSchema={'properties': {'length': {'description': 'Password length (minimum 8, default 16)', 'type': 'number'}}, 'type': 'object'}, description="""Generate a strong password with a mix of character types. WARNING: While this password is generated locally on your machine, it is recommended to use a dedicated password manager for generating and storing passwords securely."""), # turlockmike/MCP Rand/generate_password
    Tool(name="""MCP2Brave_search_brave_with_summary""", inputSchema={'properties': {'query': {'title': 'Query', 'type': 'string'}}, 'required': ['query'], 'title': 'search_brave_with_summaryArguments', 'type': 'object'}, description="""Search the web using Brave Search API """), # mcp2everything/MCP2Brave/search_brave_with_summary
    Tool(name="""MCP2Brave_brave_search_summary""", inputSchema={'properties': {'query': {'title': 'Query', 'type': 'string'}}, 'required': ['query'], 'title': 'brave_search_summaryArguments', 'type': 'object'}, description="""Brave"""), # mcp2everything/MCP2Brave/brave_search_summary
    Tool(name="""MCP2Brave_get_url_content_direct""", inputSchema={'properties': {'url': {'title': 'Url', 'type': 'string'}}, 'required': ['url'], 'title': 'get_url_content_directArguments', 'type': 'object'}, description="""Get webpage content directly using HTTP request\n    \n    Args:\n        url (str): The URL to fetch content from\n        \n    Returns:\n        str: The webpage content and metadata\n    """), # mcp2everything/MCP2Brave/get_url_content_direct
    Tool(name="""MCP2Brave_url_content""", inputSchema={'properties': {'url': {'title': 'Url', 'type': 'string'}}, 'required': ['url'], 'title': 'url_contentArguments', 'type': 'object'}, description="""\n    \n    :\n        url (str): \n        \n    :\n        str: \n    """), # mcp2everything/MCP2Brave/url_content
    Tool(name="""MCP2Brave_search_news""", inputSchema={'properties': {'query': {'title': 'Query', 'type': 'string'}}, 'required': ['query'], 'title': 'search_newsArguments', 'type': 'object'}, description="""Search news using Brave News API\n    \n    Args:\n        query (str): The search query for news\n        \n    Returns:\n        str: News search results including titles, sources, dates and descriptions\n    """), # mcp2everything/MCP2Brave/search_news
    Tool(name="""MCP2Brave_search_news_info""", inputSchema={'properties': {'query': {'title': 'Query', 'type': 'string'}}, 'required': ['query'], 'title': 'search_news_infoArguments', 'type': 'object'}, description="""BraveAPI\n    \n    :\n        query (str): \n        \n    :\n        str: \n    """), # mcp2everything/MCP2Brave/search_news_info
    Tool(name="""MCP TODO Checklist Server_todo_show""", inputSchema={'properties': {'listTitle': {'description': 'Ttulo da lista', 'type': 'string'}}, 'required': ['listTitle'], 'type': 'object'}, description="""Mostra os detalhes de uma lista especfica"""), # hevener10/MCP TODO Checklist Server/todo_show
    Tool(name="""MCP TODO Checklist Server_todo_complete""", inputSchema={'properties': {'listTitle': {'description': 'Ttulo da lista', 'type': 'string'}, 'taskTitle': {'description': 'Ttulo da tarefa', 'type': 'string'}}, 'required': ['listTitle', 'taskTitle'], 'type': 'object'}, description="""Marca uma tarefa como concluda"""), # hevener10/MCP TODO Checklist Server/todo_complete
    Tool(name="""MCP TODO Checklist Server_todo_create""", inputSchema={'properties': {'description': {'description': 'Descrio da lista (opcional)', 'type': 'string'}, 'title': {'description': 'Ttulo da lista', 'type': 'string'}}, 'required': ['title'], 'type': 'object'}, description="""Cria uma nova lista de tarefas"""), # hevener10/MCP TODO Checklist Server/todo_create
    Tool(name="""MCP TODO Checklist Server_todo_add""", inputSchema={'properties': {'dueDate': {'description': 'Data de vencimento (YYYY-MM-DD)', 'type': 'string'}, 'listTitle': {'description': 'Ttulo da lista', 'type': 'string'}, 'priority': {'description': 'Prioridade da tarefa', 'enum': ['low', 'medium', 'high'], 'type': 'string'}, 'tags': {'description': 'Tags da tarefa', 'items': {'type': 'string'}, 'type': 'array'}, 'taskTitle': {'description': 'Ttulo da tarefa', 'type': 'string'}}, 'required': ['listTitle', 'taskTitle'], 'type': 'object'}, description="""Adiciona uma nova tarefa  lista"""), # hevener10/MCP TODO Checklist Server/todo_add
    Tool(name="""MCP TODO Checklist Server_todo_list""", inputSchema={'properties': {}, 'type': 'object'}, description="""Lista todas as listas de tarefas"""), # hevener10/MCP TODO Checklist Server/todo_list
    Tool(name="""UseScraper MCP Server_scrape""", inputSchema={'properties': {'advanced_proxy': {'description': 'Use advanced proxy to circumvent bot detection (default: false)', 'type': 'boolean'}, 'extract_object': {'description': 'Optional object specifying data to extract', 'type': 'object'}, 'format': {'description': 'Format to save crawled page content. Strongly recommended to keep as markdown for optimal AI processing (default: markdown)', 'enum': ['text', 'html', 'markdown'], 'type': 'string'}, 'url': {'description': 'URL to scrape', 'type': 'string'}}, 'required': ['url'], 'type': 'object'}, description="""Scrape content from a webpage using UseScraper API"""), # tanevanwifferen/UseScraper MCP Server/scrape
    Tool(name="""iTerm MCP Server_write_to_terminal""", inputSchema={'properties': {'command': {'description': 'The command to run or text to write to the terminal', 'type': 'string'}}, 'required': ['command'], 'type': 'object'}, description="""Writes text to the active iTerm terminal - often used to run a command in the terminal"""), # ferrislucas/iTerm MCP Server/write_to_terminal
    Tool(name="""iTerm MCP Server_read_terminal_output""", inputSchema={'properties': {'linesOfOutput': {'description': 'The number of lines of output to read.', 'type': 'number'}}, 'required': ['linesOfOutput'], 'type': 'object'}, description="""Reads the output from the active iTerm terminal"""), # ferrislucas/iTerm MCP Server/read_terminal_output
    Tool(name="""iTerm MCP Server_send_control_character""", inputSchema={'properties': {'letter': {'description': "The letter corresponding to the control character (e.g., 'C' for Control-C)", 'type': 'string'}}, 'required': ['letter'], 'type': 'object'}, description="""Sends a control character to the active iTerm terminal (e.g., Control-C)"""), # ferrislucas/iTerm MCP Server/send_control_character
    Tool(name="""Code Snippet Server_create_snippet""", inputSchema={'properties': {'code': {'description': 'Code snippet', 'type': 'string'}, 'language': {'description': 'Programming language', 'type': 'string'}, 'tags': {'description': 'Snippet tags', 'items': {'type': 'string'}, 'type': 'array'}, 'title': {'description': 'Snippet title', 'type': 'string'}}, 'required': ['title', 'language', 'code'], 'type': 'object'}, description="""Create a snippet (specify title, language, and code)"""), # ngeojiajun/Code Snippet Server/create_snippet
    Tool(name="""Code Snippet Server_list_snippets""", inputSchema={'properties': {'language': {'description': 'Filter by specific language', 'type': 'string'}, 'tag': {'description': 'Filter by specific tag', 'type': 'string'}}, 'type': 'object'}, description="""List snippets (can filter by language or tags)"""), # ngeojiajun/Code Snippet Server/list_snippets
    Tool(name="""Code Snippet Server_delete_snippet""", inputSchema={'properties': {'id': {'description': 'ID of snippet to delete', 'type': 'string'}}, 'required': ['id'], 'type': 'object'}, description="""Delete a snippet (specify ID)"""), # ngeojiajun/Code Snippet Server/delete_snippet
    Tool(name="""Twitter MCP Server_createList""", inputSchema={'properties': {'description': {'description': 'A description of the list', 'type': 'string'}, 'name': {'description': 'The name of the list', 'type': 'string'}, 'private': {'description': 'Whether the list should be private', 'type': 'boolean'}}, 'required': ['name'], 'type': 'object'}, description="""Create a new Twitter list"""), # crazyrabbitLTC/Twitter MCP Server/createList
    Tool(name="""Twitter MCP Server_postTweet""", inputSchema={'properties': {'text': {'description': 'The text of the tweet', 'type': 'string'}}, 'required': ['text'], 'type': 'object'}, description="""Post a tweet to Twitter"""), # crazyrabbitLTC/Twitter MCP Server/postTweet
    Tool(name="""Twitter MCP Server_addUserToList""", inputSchema={'properties': {'listId': {'description': 'The ID of the list', 'type': 'string'}, 'username': {'description': 'The username of the user to add', 'type': 'string'}}, 'required': ['listId', 'username'], 'type': 'object'}, description="""Add a user to a Twitter list"""), # crazyrabbitLTC/Twitter MCP Server/addUserToList
    Tool(name="""Twitter MCP Server_postTweetWithMedia""", inputSchema={'properties': {'altText': {'description': 'Alternative text for the media (accessibility)', 'type': 'string'}, 'mediaPath': {'description': 'Local file path to the media to upload', 'type': 'string'}, 'mediaType': {'description': 'MIME type of the media file', 'enum': ['image/jpeg', 'image/png', 'image/gif', 'video/mp4'], 'type': 'string'}, 'text': {'description': 'The text of the tweet', 'type': 'string'}}, 'required': ['text', 'mediaPath', 'mediaType'], 'type': 'object'}, description="""Post a tweet with media attachment to Twitter"""), # crazyrabbitLTC/Twitter MCP Server/postTweetWithMedia
    Tool(name="""Twitter MCP Server_likeTweet""", inputSchema={'properties': {'tweetId': {'description': 'The ID of the tweet to like', 'type': 'string'}}, 'required': ['tweetId'], 'type': 'object'}, description="""Like a tweet by its ID"""), # crazyrabbitLTC/Twitter MCP Server/likeTweet
    Tool(name="""Twitter MCP Server_unlikeTweet""", inputSchema={'properties': {'tweetId': {'description': 'The ID of the tweet to unlike', 'type': 'string'}}, 'required': ['tweetId'], 'type': 'object'}, description="""Unlike a previously liked tweet"""), # crazyrabbitLTC/Twitter MCP Server/unlikeTweet
    Tool(name="""Twitter MCP Server_getLikedTweets""", inputSchema={'properties': {'maxResults': {'description': 'The maximum number of results to return (default: 100, max: 100)', 'maximum': 100, 'minimum': 1, 'type': 'number'}, 'tweetFields': {'description': 'Additional tweet fields to include in the response', 'items': {'enum': ['created_at', 'author_id', 'conversation_id', 'public_metrics', 'entities', 'context_annotations'], 'type': 'string'}, 'type': 'array'}, 'userId': {'description': 'The ID of the user whose likes to fetch', 'type': 'string'}}, 'required': ['userId'], 'type': 'object'}, description="""Get a list of tweets liked by a user"""), # crazyrabbitLTC/Twitter MCP Server/getLikedTweets
    Tool(name="""Twitter MCP Server_searchTweets""", inputSchema={'properties': {'maxResults': {'description': 'Maximum number of results to return', 'type': 'number'}, 'query': {'description': 'The search query', 'type': 'string'}, 'tweetFields': {'description': 'Fields to include in the tweet objects', 'items': {'type': 'string'}, 'type': 'array'}}, 'required': ['query'], 'type': 'object'}, description="""Search for tweets using a query string"""), # crazyrabbitLTC/Twitter MCP Server/searchTweets
    Tool(name="""Twitter MCP Server_replyToTweet""", inputSchema={'properties': {'text': {'description': 'The text of the reply', 'type': 'string'}, 'tweetId': {'description': 'The ID of the tweet to reply to', 'type': 'string'}}, 'required': ['tweetId', 'text'], 'type': 'object'}, description="""Reply to a tweet"""), # crazyrabbitLTC/Twitter MCP Server/replyToTweet
    Tool(name="""Twitter MCP Server_getUserTimeline""", inputSchema={'properties': {'expansions': {'description': 'Additional fields to expand in the response', 'items': {'enum': ['author_id', 'referenced_tweets.id', 'in_reply_to_user_id', 'attachments.media_keys'], 'type': 'string'}, 'type': 'array'}, 'maxResults': {'description': 'Maximum number of results to return', 'type': 'number'}, 'tweetFields': {'description': 'Fields to include in the tweet objects', 'items': {'enum': ['created_at', 'author_id', 'conversation_id', 'public_metrics', 'entities', 'context_annotations'], 'type': 'string'}, 'type': 'array'}, 'userFields': {'description': 'User fields to include in the response', 'items': {'enum': ['username', 'name', 'profile_image_url', 'verified'], 'type': 'string'}, 'type': 'array'}, 'userId': {'description': 'The ID of the user', 'type': 'string'}}, 'required': ['userId'], 'type': 'object'}, description="""Get recent tweets from a user timeline"""), # crazyrabbitLTC/Twitter MCP Server/getUserTimeline
    Tool(name="""Twitter MCP Server_getTweetById""", inputSchema={'properties': {'tweetFields': {'description': 'Fields to include in the tweet object', 'items': {'type': 'string'}, 'type': 'array'}, 'tweetId': {'description': 'The ID of the tweet', 'type': 'string'}}, 'required': ['tweetId'], 'type': 'object'}, description="""Get a tweet by its ID"""), # crazyrabbitLTC/Twitter MCP Server/getTweetById
    Tool(name="""Twitter MCP Server_getUserInfo""", inputSchema={'properties': {'username': {'description': 'The username of the user', 'type': 'string'}}, 'required': ['username'], 'type': 'object'}, description="""Get information about a Twitter user"""), # crazyrabbitLTC/Twitter MCP Server/getUserInfo
    Tool(name="""Twitter MCP Server_getTweetsByIds""", inputSchema={'properties': {'tweetFields': {'description': 'Additional tweet fields to include in the response', 'items': {'enum': ['created_at', 'author_id', 'conversation_id', 'public_metrics', 'entities', 'context_annotations'], 'type': 'string'}, 'type': 'array'}, 'tweetIds': {'description': 'Array of tweet IDs to fetch', 'items': {'type': 'string'}, 'maxItems': 100, 'type': 'array'}}, 'required': ['tweetIds'], 'type': 'object'}, description="""Get multiple tweets by their IDs"""), # crazyrabbitLTC/Twitter MCP Server/getTweetsByIds
    Tool(name="""Twitter MCP Server_retweet""", inputSchema={'properties': {'tweetId': {'description': 'The ID of the tweet to retweet', 'type': 'string'}}, 'required': ['tweetId'], 'type': 'object'}, description="""Retweet a tweet by its ID"""), # crazyrabbitLTC/Twitter MCP Server/retweet
    Tool(name="""Twitter MCP Server_undoRetweet""", inputSchema={'properties': {'tweetId': {'description': 'The ID of the tweet to un-retweet', 'type': 'string'}}, 'required': ['tweetId'], 'type': 'object'}, description="""Undo a retweet by its ID"""), # crazyrabbitLTC/Twitter MCP Server/undoRetweet
    Tool(name="""Twitter MCP Server_getRetweets""", inputSchema={'properties': {'maxResults': {'description': 'The maximum number of results to return (default: 100, max: 100)', 'maximum': 100, 'minimum': 1, 'type': 'number'}, 'tweetId': {'description': 'The ID of the tweet to get retweets for', 'type': 'string'}, 'userFields': {'description': 'Additional user fields to include in the response', 'items': {'enum': ['description', 'profile_image_url', 'public_metrics', 'verified'], 'type': 'string'}, 'type': 'array'}}, 'required': ['tweetId'], 'type': 'object'}, description="""Get a list of retweets of a tweet"""), # crazyrabbitLTC/Twitter MCP Server/getRetweets
    Tool(name="""Twitter MCP Server_followUser""", inputSchema={'properties': {'username': {'description': 'The username of the user to follow', 'type': 'string'}}, 'required': ['username'], 'type': 'object'}, description="""Follow a user by their username"""), # crazyrabbitLTC/Twitter MCP Server/followUser
    Tool(name="""Twitter MCP Server_unfollowUser""", inputSchema={'properties': {'username': {'description': 'The username of the user to unfollow', 'type': 'string'}}, 'required': ['username'], 'type': 'object'}, description="""Unfollow a user by their username"""), # crazyrabbitLTC/Twitter MCP Server/unfollowUser
    Tool(name="""Twitter MCP Server_getFollowers""", inputSchema={'properties': {'maxResults': {'description': 'Maximum number of followers to return', 'type': 'number'}, 'userFields': {'description': 'Fields to include in the user objects', 'items': {'type': 'string'}, 'type': 'array'}, 'username': {'description': 'The username of the account', 'type': 'string'}}, 'required': ['username'], 'type': 'object'}, description="""Get followers of a user"""), # crazyrabbitLTC/Twitter MCP Server/getFollowers
    Tool(name="""Twitter MCP Server_getFollowing""", inputSchema={'properties': {'maxResults': {'description': 'The maximum number of results to return (default: 100, max: 1000)', 'maximum': 1000, 'minimum': 1, 'type': 'number'}, 'userFields': {'description': 'Additional user fields to include in the response', 'items': {'enum': ['description', 'profile_image_url', 'public_metrics', 'verified', 'location', 'url'], 'type': 'string'}, 'type': 'array'}, 'username': {'description': 'The username of the user whose following list to fetch', 'type': 'string'}}, 'required': ['username'], 'type': 'object'}, description="""Get a list of users that a user is following"""), # crazyrabbitLTC/Twitter MCP Server/getFollowing
    Tool(name="""Twitter MCP Server_removeUserFromList""", inputSchema={'properties': {'listId': {'description': 'The ID of the list', 'type': 'string'}, 'username': {'description': 'The username of the user to remove', 'type': 'string'}}, 'required': ['listId', 'username'], 'type': 'object'}, description="""Remove a user from a Twitter list"""), # crazyrabbitLTC/Twitter MCP Server/removeUserFromList
    Tool(name="""Twitter MCP Server_getListMembers""", inputSchema={'properties': {'listId': {'description': 'The ID of the list', 'type': 'string'}, 'maxResults': {'description': 'The maximum number of results to return (default: 100, max: 100)', 'maximum': 100, 'minimum': 1, 'type': 'number'}, 'userFields': {'description': 'Additional user fields to include in the response', 'items': {'enum': ['description', 'profile_image_url', 'public_metrics', 'verified', 'location', 'url'], 'type': 'string'}, 'type': 'array'}}, 'required': ['listId'], 'type': 'object'}, description="""Get members of a Twitter list"""), # crazyrabbitLTC/Twitter MCP Server/getListMembers
    Tool(name="""Twitter MCP Server_getUserLists""", inputSchema={'properties': {'listFields': {'description': 'Additional list fields to include in the response', 'items': {'enum': ['created_at', 'follower_count', 'member_count', 'private', 'description'], 'type': 'string'}, 'type': 'array'}, 'maxResults': {'description': 'The maximum number of results to return (default: 100, max: 100)', 'maximum': 100, 'minimum': 1, 'type': 'number'}, 'username': {'description': 'The username of the user whose lists to fetch', 'type': 'string'}}, 'required': ['username'], 'type': 'object'}, description="""Get lists owned by a user"""), # crazyrabbitLTC/Twitter MCP Server/getUserLists
    Tool(name="""Twitter MCP Server_getHashtagAnalytics""", inputSchema={'properties': {'endTime': {'description': 'End time for the analysis (ISO 8601)', 'type': 'string'}, 'hashtag': {'description': 'The hashtag to analyze (with or without #)', 'type': 'string'}, 'startTime': {'description': 'Start time for the analysis (ISO 8601)', 'type': 'string'}}, 'required': ['hashtag'], 'type': 'object'}, description="""Get analytics for a specific hashtag"""), # crazyrabbitLTC/Twitter MCP Server/getHashtagAnalytics
    Tool(name="""Twitter MCP Server_deleteTweet""", inputSchema={'properties': {'tweetId': {'description': 'The ID of the tweet to delete', 'type': 'string'}}, 'required': ['tweetId'], 'type': 'object'}, description="""Delete a tweet by its ID"""), # crazyrabbitLTC/Twitter MCP Server/deleteTweet
    Tool(name="""Metal MCP Server_search_metal_docs""", inputSchema={'properties': {'limit': {'default': 3, 'description': 'Maximum number of results to return', 'type': 'number'}, 'query': {'description': 'Natural language query about Metal Framework', 'type': 'string'}}, 'required': ['query'], 'type': 'object'}, description="""Search Metal Framework documentation and code examples using natural language queries"""), # aldrin-labs/Metal MCP Server/search_metal_docs
    Tool(name="""Metal MCP Server_generate_metal_code""", inputSchema={'properties': {'language': {'default': 'swift', 'description': 'Programming language (objective-c, swift, or metal)', 'type': 'string'}, 'task': {'description': 'Description of the Metal task to generate code for', 'type': 'string'}}, 'required': ['task'], 'type': 'object'}, description="""Generate Metal Framework code for common tasks"""), # aldrin-labs/Metal MCP Server/generate_metal_code
    Tool(name="""Sequential Thinking MCP Server_sequential_thinking""", inputSchema={'properties': {'branch_from_thought': {'anyOf': [{'type': 'integer'}, {'type': 'null'}], 'default': None, 'title': 'Branch From Thought'}, 'branch_id': {'anyOf': [{'type': 'string'}, {'type': 'null'}], 'default': None, 'title': 'Branch Id'}, 'is_revision': {'anyOf': [{'type': 'boolean'}, {'type': 'null'}], 'default': None, 'title': 'Is Revision'}, 'needs_more_thoughts': {'anyOf': [{'type': 'boolean'}, {'type': 'null'}], 'default': None, 'title': 'Needs More Thoughts'}, 'next_thought_needed': {'title': 'Next Thought Needed', 'type': 'boolean'}, 'revises_thought': {'anyOf': [{'type': 'integer'}, {'type': 'null'}], 'default': None, 'title': 'Revises Thought'}, 'score': {'anyOf': [{'type': 'number'}, {'type': 'null'}], 'default': None, 'title': 'Score'}, 'stage': {'title': 'Stage', 'type': 'string'}, 'tags': {'anyOf': [{'items': {'type': 'string'}, 'type': 'array'}, {'type': 'null'}], 'default': None, 'title': 'Tags'}, 'thought': {'title': 'Thought', 'type': 'string'}, 'thought_number': {'title': 'Thought Number', 'type': 'integer'}, 'total_thoughts': {'title': 'Total Thoughts', 'type': 'integer'}}, 'required': ['thought', 'thought_number', 'total_thoughts', 'next_thought_needed', 'stage'], 'title': 'sequential_thinkingArguments', 'type': 'object'}, description="""\n        An advanced tool for dynamic and reflective problem-solving through structured thoughts.\n        \n        Args:\n            thought: The content of the current thought\n            thought_number: Current position in the sequence\n            total_thoughts: Expected total number of thoughts\n            next_thought_needed: Whether another thought should follow\n            stage: Current thinking stage (e.g., \"Problem Definition\", \"Analysis\")\n            is_revision: Whether this revises a previous thought\n            revises_thought: Number of thought being revised\n            branch_from_thought: Starting point for a new thought branch\n            branch_id: Identifier for the current branch\n            needs_more_thoughts: Whether additional thoughts are needed\n            score: Quality score (0.0 to 1.0)\n            tags: Categories or labels for the thought\n            \n        Returns:\n            JSON string containing thought analysis and metadata\n        """), # arben-adm/Sequential Thinking MCP Server/sequential_thinking
    Tool(name="""Sequential Thinking MCP Server_get_thinking_summary""", inputSchema={'properties': {}, 'title': 'get_thinking_summaryArguments', 'type': 'object'}, description="""\n        Generate a comprehensive summary of the entire thinking process.\n        \n        Returns:\n            JSON string containing analysis of thought history\n        """), # arben-adm/Sequential Thinking MCP Server/get_thinking_summary
    Tool(name="""Sequential Thinking MCP Server_clear_thinking_history""", inputSchema={'properties': {}, 'title': 'clear_thinking_historyArguments', 'type': 'object'}, description="""\n        Clear all recorded thoughts and reset the server state.\n        \n        Returns:\n            Confirmation message\n        """), # arben-adm/Sequential Thinking MCP Server/clear_thinking_history
    Tool(name="""Elasticsearch MCP Server_list_indices""", inputSchema={'properties': {}, 'title': 'list_indicesArguments', 'type': 'object'}, description="""List all indices in the Elasticsearch cluster"""), # cr7258/Elasticsearch MCP Server/list_indices
    Tool(name="""Elasticsearch MCP Server_get_mapping""", inputSchema={'properties': {'index': {'title': 'Index', 'type': 'string'}}, 'required': ['index'], 'title': 'get_mappingArguments', 'type': 'object'}, description="""Get index mapping"""), # cr7258/Elasticsearch MCP Server/get_mapping
    Tool(name="""Elasticsearch MCP Server_get_settings""", inputSchema={'properties': {'index': {'title': 'Index', 'type': 'string'}}, 'required': ['index'], 'title': 'get_settingsArguments', 'type': 'object'}, description="""Get index settings"""), # cr7258/Elasticsearch MCP Server/get_settings
    Tool(name="""Elasticsearch MCP Server_search_documents""", inputSchema={'properties': {'body': {'title': 'Body', 'type': 'object'}, 'index': {'title': 'Index', 'type': 'string'}}, 'required': ['index', 'body'], 'title': 'search_documentsArguments', 'type': 'object'}, description="""Search documents in an index with a custom query"""), # cr7258/Elasticsearch MCP Server/search_documents
    Tool(name="""Elasticsearch MCP Server_get_cluster_health""", inputSchema={'properties': {}, 'title': 'get_cluster_healthArguments', 'type': 'object'}, description="""Get cluster health status"""), # cr7258/Elasticsearch MCP Server/get_cluster_health
    Tool(name="""Elasticsearch MCP Server_get_cluster_stats""", inputSchema={'properties': {}, 'title': 'get_cluster_statsArguments', 'type': 'object'}, description="""Get cluster statistics"""), # cr7258/Elasticsearch MCP Server/get_cluster_stats
    Tool(name="""Zig MCP Server_optimize_code""", inputSchema={'properties': {'code': {'description': 'Zig code to optimize', 'type': 'string'}, 'optimizationLevel': {'description': 'Optimization level to target', 'enum': ['Debug', 'ReleaseSafe', 'ReleaseFast', 'ReleaseSmall'], 'type': 'string'}}, 'required': ['code'], 'type': 'object'}, description="""Optimize Zig code for better performance"""), # openSVM/Zig MCP Server/optimize_code
    Tool(name="""Zig MCP Server_estimate_compute_units""", inputSchema={'properties': {'code': {'description': 'Zig code to analyze', 'type': 'string'}}, 'required': ['code'], 'type': 'object'}, description="""Estimate computational complexity and resource usage"""), # openSVM/Zig MCP Server/estimate_compute_units
    Tool(name="""Zig MCP Server_generate_code""", inputSchema={'properties': {'context': {'description': 'Additional context or requirements', 'type': 'string'}, 'prompt': {'description': 'Natural language description of desired code', 'type': 'string'}}, 'required': ['prompt'], 'type': 'object'}, description="""Generate Zig code from natural language description"""), # openSVM/Zig MCP Server/generate_code
    Tool(name="""Zig MCP Server_get_recommendations""", inputSchema={'properties': {'code': {'description': 'Zig code to analyze', 'type': 'string'}, 'prompt': {'description': 'Natural language query for specific recommendations', 'type': 'string'}}, 'required': ['code'], 'type': 'object'}, description="""Get code improvement recommendations and best practices"""), # openSVM/Zig MCP Server/get_recommendations
    Tool(name="""mcp-server-chatsum_query_chat_messages""", inputSchema={'properties': {'limit': {'default': 100, 'description': 'chat messages limit', 'type': 'number'}, 'room_names': {'description': 'chat room names', 'items': {'description': 'chat room name', 'type': 'string'}, 'type': 'array'}, 'talker_names': {'description': 'talker names', 'items': {'description': 'talker name', 'type': 'string'}, 'type': 'array'}}, 'required': [], 'type': 'object'}, description="""query chat messages with given parameters"""), # chatmcp/mcp-server-chatsum/query_chat_messages
    Tool(name="""mcp-server-collector_extract-mcp-servers-from-content""", inputSchema={'properties': {'content': {'description': 'content containing mcp servers', 'type': 'string'}}, 'required': ['content'], 'type': 'object'}, description="""Extract MCP Servers from given content"""), # chatmcp/mcp-server-collector/extract-mcp-servers-from-content
    Tool(name="""mcp-server-collector_extract-mcp-servers-from-url""", inputSchema={'properties': {'url': {'type': 'string'}}, 'required': ['url'], 'type': 'object'}, description="""Extract MCP Servers from a URL"""), # chatmcp/mcp-server-collector/extract-mcp-servers-from-url
    Tool(name="""mcp-server-collector_submit-mcp-server""", inputSchema={'properties': {'avatar_url': {'description': 'avatar URL of the MCP Server to submit', 'type': 'string'}, 'url': {'description': 'URL of the MCP Server to submit', 'type': 'string'}}, 'required': ['url'], 'type': 'object'}, description="""Submit MCP Server to MCP Servers Directory like mcp.so"""), # chatmcp/mcp-server-collector/submit-mcp-server
    Tool(name="""Loxo MCP Server_get-activity-types""", inputSchema={'properties': {}, 'required': [], 'type': 'object'}, description="""Get a list of activity types from Loxo"""), # tbensonwest/Loxo MCP Server/get-activity-types
    Tool(name="""Loxo MCP Server_spark-search-activity-types""", inputSchema={'properties': {}, 'required': [], 'type': 'object'}, description="""Get a list of activity types from Spark Search"""), # tbensonwest/Loxo MCP Server/spark-search-activity-types
    Tool(name="""Loxo MCP Server_get-todays-tasks""", inputSchema={'properties': {}, 'required': [], 'type': 'object'}, description="""Get all tasks and scheduled activities for today"""), # tbensonwest/Loxo MCP Server/get-todays-tasks
    Tool(name="""Loxo MCP Server_get-call-queue""", inputSchema={'properties': {}, 'required': [], 'type': 'object'}, description="""Get the current call queue"""), # tbensonwest/Loxo MCP Server/get-call-queue
    Tool(name="""Loxo MCP Server_add-to-call-queue""", inputSchema={'properties': {'entity_id': {'description': 'ID of the candidate or contact', 'type': 'string'}, 'entity_type': {'description': 'Type of entity (candidate or contact)', 'enum': ['candidate', 'contact'], 'type': 'string'}, 'notes': {'description': 'Notes about why this call is needed', 'type': 'string'}, 'priority': {'default': 'medium', 'description': 'Priority level for the call', 'enum': ['high', 'medium', 'low'], 'type': 'string'}}, 'required': ['entity_type', 'entity_id'], 'type': 'object'}, description="""Add a candidate or contact to the call queue"""), # tbensonwest/Loxo MCP Server/add-to-call-queue
    Tool(name="""Loxo MCP Server_schedule-activity""", inputSchema={'properties': {'activity_type_id': {'description': 'ID of the activity type', 'type': 'string'}, 'entity_id': {'description': 'ID of the entity', 'type': 'string'}, 'entity_type': {'description': 'Type of entity (candidate, contact, job)', 'enum': ['candidate', 'contact', 'job'], 'type': 'string'}, 'notes': {'description': 'Notes about the scheduled activity', 'type': 'string'}, 'scheduled_for': {'description': 'ISO datetime when the activity should occur', 'type': 'string'}}, 'required': ['entity_type', 'entity_id', 'activity_type_id', 'scheduled_for'], 'type': 'object'}, description="""Schedule a future activity (like a call or meeting)"""), # tbensonwest/Loxo MCP Server/schedule-activity
    Tool(name="""Loxo MCP Server_search-candidates""", inputSchema={'properties': {'company': {'description': 'Company name to search for (optional)', 'type': 'string'}, 'page': {'description': 'Page number for pagination', 'type': 'number'}, 'per_page': {'description': 'Number of results per page', 'type': 'number'}, 'query': {'description': 'General search query (optional)', 'type': 'string'}, 'title': {'description': 'Job title to search for (optional)', 'type': 'string'}}, 'type': 'object'}, description="""Search for candidates in Loxo with specific criteria"""), # tbensonwest/Loxo MCP Server/search-candidates
    Tool(name="""Loxo MCP Server_get-candidate""", inputSchema={'properties': {'id': {'description': 'Candidate ID', 'type': 'string'}}, 'required': ['id'], 'type': 'object'}, description="""Get detailed information about a specific candidate"""), # tbensonwest/Loxo MCP Server/get-candidate
    Tool(name="""Loxo MCP Server_search-jobs""", inputSchema={'properties': {'page': {'description': 'Page number for pagination', 'type': 'number'}, 'per_page': {'description': 'Number of results per page', 'type': 'number'}, 'query': {'description': 'Search query for jobs', 'type': 'string'}}, 'required': ['query'], 'type': 'object'}, description="""Search for jobs in Loxo"""), # tbensonwest/Loxo MCP Server/search-jobs
    Tool(name="""Loxo MCP Server_get-job""", inputSchema={'properties': {'id': {'description': 'Job ID', 'type': 'string'}}, 'required': ['id'], 'type': 'object'}, description="""Get detailed information about a specific job"""), # tbensonwest/Loxo MCP Server/get-job
    Tool(name="""Loxo MCP Server_add-note""", inputSchema={'properties': {'content': {'description': 'Content of the note', 'type': 'string'}, 'entity_id': {'description': 'ID of the entity', 'type': 'string'}, 'entity_type': {'description': 'Type of entity (candidate or job)', 'enum': ['candidate', 'job'], 'type': 'string'}}, 'required': ['entity_type', 'entity_id', 'content'], 'type': 'object'}, description="""Add a note to a candidate or job"""), # tbensonwest/Loxo MCP Server/add-note
    Tool(name="""Loxo MCP Server_log-activity""", inputSchema={'properties': {'activity_type_id': {'description': 'ID of the activity type', 'type': 'string'}, 'entity_id': {'description': 'ID of the entity', 'type': 'string'}, 'entity_type': {'description': 'Type of entity (candidate or job)', 'enum': ['candidate', 'job'], 'type': 'string'}, 'notes': {'description': 'Notes about the activity', 'type': 'string'}}, 'required': ['entity_type', 'entity_id', 'activity_type_id'], 'type': 'object'}, description="""Log an activity for a candidate or job"""), # tbensonwest/Loxo MCP Server/log-activity
    Tool(name="""Email Checker MCP Server_verify_email""", inputSchema={'properties': {'email': {'title': 'Email', 'type': 'string'}}, 'required': ['email'], 'title': 'verify_emailArguments', 'type': 'object'}, description="""\n    Verify an email address using the 2ip.me API.\n\n    Args:\n        email (str): The email address to verify\n\n    Returns:\n        str: \"true\" or \"false\" indicating if the email is valid\n    """), # ravinahp/Email Checker MCP Server/verify_email
    Tool(name="""MCP Webscan Server_extract-links""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'baseUrl': {'format': 'uri', 'type': 'string'}, 'limit': {'default': 100, 'maximum': 5000, 'minimum': 1, 'type': 'number'}, 'url': {'format': 'uri', 'type': 'string'}}, 'required': ['url'], 'type': 'object'}, description="""Extract and analyze all hyperlinks from a web page, organizing them into a structured format with URLs, anchor text, and contextual information. Performance-optimized with stream processing and worker threads for efficient handling of large pages. Works with either a direct URL or raw HTML content. Handles relative and absolute URLs properly by supporting an optional base URL parameter. Results can be limited to prevent overwhelming output for link-dense pages. Returns a comprehensive link inventory that includes destination URLs, link text, titles (if available), and whether links are internal or external to the source domain. Useful for site mapping, content analysis, broken link checking, SEO analysis, and as a preparatory step for targeted crawling operations."""), # bsmi021/MCP Webscan Server/extract-links
    Tool(name="""MCP Webscan Server_crawl-site""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'maxDepth': {'default': 3, 'maximum': 10, 'minimum': 1, 'type': 'number'}, 'url': {'format': 'uri', 'type': 'string'}}, 'required': ['url'], 'type': 'object'}, description="""Crawl a website and return a list of all the URLs found"""), # bsmi021/MCP Webscan Server/crawl-site
    Tool(name="""MCP Webscan Server_check-links""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'url': {'format': 'uri', 'type': 'string'}}, 'required': ['url'], 'type': 'object'}, description="""Check for broken links on a page"""), # bsmi021/MCP Webscan Server/check-links
    Tool(name="""MCP Webscan Server_fetch-page""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'selector': {'type': 'string'}, 'url': {'format': 'uri', 'type': 'string'}}, 'required': ['url'], 'type': 'object'}, description="""Fetch a web page and convert it to Markdown"""), # bsmi021/MCP Webscan Server/fetch-page
    Tool(name="""MCP Webscan Server_find-patterns""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'pattern': {'type': 'string'}, 'url': {'format': 'uri', 'type': 'string'}}, 'required': ['url', 'pattern'], 'type': 'object'}, description="""Find all links that match a given pattern"""), # bsmi021/MCP Webscan Server/find-patterns
    Tool(name="""MCP Webscan Server_generate-site-map""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'baseUrl': {'format': 'uri', 'type': 'string'}, 'limit': {'default': 100, 'maximum': 5000, 'minimum': 1, 'type': 'number'}, 'url': {'format': 'uri', 'type': 'string'}}, 'required': ['url'], 'type': 'object'}, description="""Generate a sitemap for a website"""), # bsmi021/MCP Webscan Server/generate-site-map
    Tool(name="""AiDD MCP Server_get_allowed_directory""", inputSchema={'properties': {}, 'required': [], 'type': 'object'}, description="""Get the current working directory that this server is allowed to access."""), # skydeckai/AiDD MCP Server/get_allowed_directory
    Tool(name="""AiDD MCP Server_write_file""", inputSchema={'properties': {'content': {'description': 'Content to write to the file', 'type': 'string'}, 'path': {'description': 'Path where to write the file', 'type': 'string'}}, 'required': ['path', 'content'], 'type': 'object'}, description="""Create a new file or overwrite an existing file with new content. Use this to save changes, create new files, or update existing ones. Use with caution as it will overwrite existing files without warning. Path must be relative to the allowed directory. Creates parent directories if needed. Example: Path='notes.txt', Content='Meeting notes for project X'"""), # skydeckai/AiDD MCP Server/write_file
    Tool(name="""AiDD MCP Server_update_allowed_directory""", inputSchema={'properties': {'directory': {'description': "Directory to allow access to. Must be an absolute path. Use ~ to refer to the user's home directory.", 'type': 'string'}}, 'required': ['directory'], 'type': 'object'}, description="""Change the working directory that this server is allowed to access. Use this to switch between different projects."""), # skydeckai/AiDD MCP Server/update_allowed_directory
    Tool(name="""AiDD MCP Server_create_directory""", inputSchema={'properties': {'path': {'description': 'Path of the directory to create', 'type': 'string'}}, 'required': ['path'], 'type': 'object'}, description="""Create a new directory or ensure a directory exists. Can create multiple nested directories in one operation. If the directory already exists, this operation will succeed silently. Useful for setting up project structure or organizing files. Only works within the allowed directory. Example: Enter 'src/components' to create nested directories."""), # skydeckai/AiDD MCP Server/create_directory
    Tool(name="""AiDD MCP Server_edit_file""", inputSchema={'properties': {'dryRun': {'default': False, 'description': 'Preview changes without applying', 'type': 'boolean'}, 'edits': {'description': 'List of edit operations', 'items': {'properties': {'newText': {'description': 'Text to replace with', 'type': 'string'}, 'oldText': {'description': 'Text to search for (can be substring)', 'type': 'string'}}, 'required': ['oldText', 'newText'], 'type': 'object'}, 'type': 'array'}, 'options': {'properties': {'normalizeWhitespace': {'default': True, 'description': 'Normalize spaces while preserving structure', 'type': 'boolean'}, 'partialMatch': {'default': True, 'description': 'Enable fuzzy matching', 'type': 'boolean'}, 'preserveIndentation': {'default': True, 'description': 'Keep existing indentation', 'type': 'boolean'}}, 'type': 'object'}, 'path': {'description': 'File to edit', 'type': 'string'}}, 'required': ['path', 'edits'], 'type': 'object'}, description="""Make line-based edits to a text file. Each edit replaces exact line sequences with new content. Returns a git-style diff showing the changes made. Only works within the allowed directory. Always use dryRun first to preview changes before applying them."""), # skydeckai/AiDD MCP Server/edit_file
    Tool(name="""AiDD MCP Server_list_directory""", inputSchema={'properties': {'path': {'description': 'Path of the directory to list', 'type': 'string'}}, 'required': ['path'], 'type': 'object'}, description="""Get a detailed listing of files and directories in the specified path. This tool is essential for understanding directory structure and finding specific files within a directory. Only works within the allowed directory. Example: Enter 'src' to list contents of the src directory, or '.' for current directory."""), # skydeckai/AiDD MCP Server/list_directory
    Tool(name="""AiDD MCP Server_read_file""", inputSchema={'properties': {'path': {'description': 'Path to the file to read', 'type': 'string'}}, 'required': ['path'], 'type': 'object'}, description="""Read the complete contents of a file from the file system. Handles various text encodings and provides detailed error messages if the file cannot be read. Use this tool when you need to examine the contents of a single file. Only works within the allowed directory.Example: Enter 'src/main.py' to read a Python file."""), # skydeckai/AiDD MCP Server/read_file
    Tool(name="""AiDD MCP Server_read_multiple_files""", inputSchema={'properties': {'paths': {'description': 'List of file paths to read', 'items': {'type': 'string'}, 'type': 'array'}}, 'required': ['paths'], 'type': 'object'}, description="""Read the contents of multiple files simultaneously. This is more efficient than reading files one by one when you need to analyze or compare multiple files. Each file's content is returned with its path as a reference. Failed reads for individual files won't stop the entire operation. Only works within the allowed directory.Example: Enter ['src/main.py', 'README.md'] to read both files."""), # skydeckai/AiDD MCP Server/read_multiple_files
    Tool(name="""AiDD MCP Server_move_file""", inputSchema={'properties': {'destination': {'description': 'Destination path where to move the file or directory', 'type': 'string'}, 'source': {'description': 'Source path of the file or directory to move', 'type': 'string'}}, 'required': ['source', 'destination'], 'type': 'object'}, description="""Move or rename a file or directory to a new location. This tool can be used to reorganize files and directories. Both source and destination must be within the allowed directory. If the destination already exists, the operation will fail. Parent directories of the destination will be created if they don't exist. Example: source='old.txt', destination='new/path/new.txt'"""), # skydeckai/AiDD MCP Server/move_file
    Tool(name="""AiDD MCP Server_search_files""", inputSchema={'properties': {'include_hidden': {'description': 'Whether to include hidden files and directories (defaults to false)', 'type': 'boolean'}, 'path': {'description': 'Starting directory for the search (defaults to allowed directory)', 'type': 'string'}, 'pattern': {'description': 'Pattern to search for in file and directory names', 'type': 'string'}}, 'required': ['pattern'], 'type': 'object'}, description="""Search for files and directories matching a pattern. The search is recursive and case-insensitive. Only searches within the allowed directory. Returns paths relative to the allowed directory. Searches in file and directory names, not content. For searching within file contents, use the tree_sitter_map tool which can locate specific code elements like functions and classes. Example: pattern='.py' finds all Python files, pattern='test' finds all items with 'test' in the name."""), # skydeckai/AiDD MCP Server/search_files
    Tool(name="""AiDD MCP Server_delete_file""", inputSchema={'properties': {'path': {'description': 'Path to the file or empty directory to delete', 'type': 'string'}}, 'required': ['path'], 'type': 'object'}, description="""Delete a file or empty directory from the file system. Use with caution as this operation cannot be undone. For safety, this tool will not delete non-empty directories. Only works within the allowed directory. Example: path='old_file.txt' removes the specified file."""), # skydeckai/AiDD MCP Server/delete_file
    Tool(name="""AiDD MCP Server_get_file_info""", inputSchema={'properties': {'path': {'description': 'Path to the file or directory', 'type': 'string'}}, 'required': ['path'], 'type': 'object'}, description="""Get detailed information about a file or directory. Returns size, creation time, modification time, access time, type (file/directory), and permissions. All times are in ISO 8601 format. This tool is perfect for understanding file characteristics without reading the actual content. Only works within the allowed directory. Example: path='src/main.py' returns details about main.py"""), # skydeckai/AiDD MCP Server/get_file_info
    Tool(name="""AiDD MCP Server_directory_tree""", inputSchema={'properties': {'path': {'description': 'Root directory to analyze', 'type': 'string'}}, 'required': ['path'], 'type': 'object'}, description="""Get a recursive tree view of files and directories in the specified path as a JSON structure. Each entry includes 'name', 'type' (file/directory), and 'children' for directories. Files have no children array, while directories always have a children array (which may be empty). The output is formatted with 2-space indentation for readability. Only works within the allowed directory. Useful for understanding project structure. Example: Enter '.' for current directory, or 'src' for a specific directory."""), # skydeckai/AiDD MCP Server/directory_tree
    Tool(name="""AiDD MCP Server_execute_code""", inputSchema={'properties': {'code': {'description': "Code to execute on the user's local machine in the current working directory", 'type': 'string'}, 'language': {'description': 'Programming language to use', 'enum': ['python', 'javascript', 'ruby', 'php', 'go', 'rust'], 'type': 'string'}, 'timeout': {'default': 5, 'description': 'Maximum execution time in seconds', 'maximum': 30, 'minimum': 1, 'type': 'integer'}}, 'required': ['language', 'code'], 'type': 'object'}, description="""Execute arbitrary code in various programming languages on the user's local machine within the current working directory. Supported languages: python, javascript, ruby, php, go, rust. Always review the code carefully before execution to prevent unintended consequences. You MUST explicitly show the user the code that will be executed and get his confirmation before using this tool. Examples: - Python: code='print(sum(range(10)))'. - JavaScript: code='console.log(Array.from({length: 5}, (_, i) => i*2))'. - Ruby: code='puts (1..5).reduce(:+)'. """), # skydeckai/AiDD MCP Server/execute_code
    Tool(name="""AiDD MCP Server_execute_shell_script""", inputSchema={'properties': {'script': {'description': "Shell script to execute on the user's local machine", 'type': 'string'}, 'timeout': {'default': 300, 'description': 'Maximum execution time in seconds (default: 300, max: 600)', 'type': 'integer'}}, 'required': ['script'], 'type': 'object'}, description="""Execute a shell script (bash/sh) on the user's local machine within the current working directory. This tool can execute shell commands and scripts for system automation and management tasks. It is designed to perform tasks on the user's local environment, such as opening applications, installing packages and more. Always review the script carefully before execution to prevent unintended consequences. You MUST explicitly show the user the script that will be executed and get his confirmation before using this tool. Examples: - script='echo \"Current directory:\" && pwd'. - script='for i in {1..5}; do echo $i; done'. """), # skydeckai/AiDD MCP Server/execute_shell_script
    Tool(name="""AiDD MCP Server_tree_sitter_map""", inputSchema={'properties': {'path': {'description': 'Root directory to analyze', 'type': 'string'}}, 'required': ['path'], 'type': 'object'}, description="""Build a tree-sitter based structural map of source code files. This tool analyzes code structure to identify classes, functions, and methods. Only analyzes files within the allowed directory. Useful for code analysis and understanding project structure. Example: Enter '.' to analyze all source files in current directory, or 'src' to analyze all files in the src directory."""), # skydeckai/AiDD MCP Server/tree_sitter_map
    Tool(name="""AiDD MCP Server_git_init""", inputSchema={'properties': {'initial_branch': {'default': 'main', 'description': "Name of the initial branch (defaults to 'main')", 'type': 'string'}, 'path': {'description': 'Path where to initialize the repository', 'type': 'string'}}, 'required': ['path'], 'type': 'object'}, description="""Initialize a new Git repository. Creates a new Git repository in the specified directory. If the directory doesn't exist, it will be created. Directory must be within the allowed directory."""), # skydeckai/AiDD MCP Server/git_init
    Tool(name="""AiDD MCP Server_git_status""", inputSchema={'properties': {'repo_path': {'description': 'Path to git repository', 'type': 'string'}}, 'required': ['repo_path'], 'type': 'object'}, description="""Shows the working tree status of a git repository. Returns information about staged, unstaged, and untracked files. Repository must be within the allowed directory."""), # skydeckai/AiDD MCP Server/git_status
    Tool(name="""AiDD MCP Server_git_diff_unstaged""", inputSchema={'properties': {'repo_path': {'description': 'Path to git repository', 'type': 'string'}}, 'required': ['repo_path'], 'type': 'object'}, description="""Shows changes in working directory not yet staged for commit. Returns a unified diff format of all unstaged changes. Repository must be within the allowed directory."""), # skydeckai/AiDD MCP Server/git_diff_unstaged
    Tool(name="""AiDD MCP Server_git_diff_staged""", inputSchema={'properties': {'repo_path': {'description': 'Path to git repository', 'type': 'string'}}, 'required': ['repo_path'], 'type': 'object'}, description="""Shows changes staged for commit. Returns a unified diff format of all staged changes. Repository must be within the allowed directory."""), # skydeckai/AiDD MCP Server/git_diff_staged
    Tool(name="""AiDD MCP Server_git_diff""", inputSchema={'properties': {'repo_path': {'description': 'Path to git repository', 'type': 'string'}, 'target': {'description': 'Target branch or commit to compare with', 'type': 'string'}}, 'required': ['repo_path', 'target'], 'type': 'object'}, description="""Shows differences between branches or commits. Returns a unified diff format comparing current state with target. Repository must be within the allowed directory."""), # skydeckai/AiDD MCP Server/git_diff
    Tool(name="""AiDD MCP Server_git_commit""", inputSchema={'properties': {'message': {'description': 'Commit message', 'type': 'string'}, 'repo_path': {'description': 'Path to git repository', 'type': 'string'}}, 'required': ['repo_path', 'message'], 'type': 'object'}, description="""Records changes to the repository. Commits all staged changes with the provided message. Repository must be within the allowed directory."""), # skydeckai/AiDD MCP Server/git_commit
    Tool(name="""AiDD MCP Server_git_add""", inputSchema={'properties': {'files': {'description': 'List of file paths to stage', 'items': {'type': 'string'}, 'type': 'array'}, 'repo_path': {'description': 'Path to git repository', 'type': 'string'}}, 'required': ['repo_path', 'files'], 'type': 'object'}, description="""Adds file contents to the staging area. Stages specified files for the next commit. Repository must be within the allowed directory."""), # skydeckai/AiDD MCP Server/git_add
    Tool(name="""AiDD MCP Server_git_reset""", inputSchema={'properties': {'repo_path': {'description': 'Path to git repository', 'type': 'string'}}, 'required': ['repo_path'], 'type': 'object'}, description="""Unstages all staged changes. Removes all files from the staging area. Repository must be within the allowed directory."""), # skydeckai/AiDD MCP Server/git_reset
    Tool(name="""AiDD MCP Server_git_log""", inputSchema={'properties': {'max_count': {'default': 10, 'description': 'Maximum number of commits to show', 'type': 'integer'}, 'repo_path': {'description': 'Path to git repository', 'type': 'string'}}, 'required': ['repo_path'], 'type': 'object'}, description="""Shows the commit logs. Returns information about recent commits including hash, author, date, and message. Repository must be within the allowed directory."""), # skydeckai/AiDD MCP Server/git_log
    Tool(name="""AiDD MCP Server_git_create_branch""", inputSchema={'properties': {'base_branch': {'default': None, 'description': 'Starting point for the new branch (optional)', 'type': 'string'}, 'branch_name': {'description': 'Name of the new branch', 'type': 'string'}, 'repo_path': {'description': 'Path to git repository', 'type': 'string'}}, 'required': ['repo_path', 'branch_name'], 'type': 'object'}, description="""Creates a new branch. Creates a new branch from the specified base branch or current HEAD. Repository must be within the allowed directory."""), # skydeckai/AiDD MCP Server/git_create_branch
    Tool(name="""AiDD MCP Server_git_checkout""", inputSchema={'properties': {'branch_name': {'description': 'Name of branch to checkout', 'type': 'string'}, 'repo_path': {'description': 'Path to git repository', 'type': 'string'}}, 'required': ['repo_path', 'branch_name'], 'type': 'object'}, description="""Switches branches. Checks out the specified branch. Repository must be within the allowed directory."""), # skydeckai/AiDD MCP Server/git_checkout
    Tool(name="""AiDD MCP Server_git_show""", inputSchema={'properties': {'repo_path': {'description': 'Path to git repository', 'type': 'string'}, 'revision': {'description': 'The revision (commit hash, branch name, tag) to show', 'type': 'string'}}, 'required': ['repo_path', 'revision'], 'type': 'object'}, description="""Shows the contents of a commit. Returns detailed information about a specific commit including the changes it introduced. Repository must be within the allowed directory."""), # skydeckai/AiDD MCP Server/git_show
    Tool(name="""AiDD MCP Server_get_system_info""", inputSchema={'properties': {}, 'required': [], 'type': 'object'}, description="""Get detailed system information including OS, CPU, memory, disk, and network details (such as WiFi network name). This tool provides comprehensive information about the system environment. Also returns the current working directory (allowed directory) of the AiDD MCP server. Useful for system analysis, debugging, environment verification, and workspace management."""), # skydeckai/AiDD MCP Server/get_system_info
    Tool(name="""mcp-clickhouse_list_tables""", inputSchema={'properties': {'database': {'title': 'Database', 'type': 'string'}, 'like': {'default': None, 'title': 'Like', 'type': 'string'}}, 'required': ['database'], 'title': 'list_tablesArguments', 'type': 'object'}, description=""""""), # ClickHouse/mcp-clickhouse/list_tables
    Tool(name="""mcp-clickhouse_run_select_query""", inputSchema={'properties': {'query': {'title': 'Query', 'type': 'string'}}, 'required': ['query'], 'title': 'run_select_queryArguments', 'type': 'object'}, description=""""""), # ClickHouse/mcp-clickhouse/run_select_query
    Tool(name="""mcp-clickhouse_list_databases""", inputSchema={'properties': {}, 'title': 'list_databasesArguments', 'type': 'object'}, description=""""""), # ClickHouse/mcp-clickhouse/list_databases
    Tool(name="""Replicate MCP Server_search_models""", inputSchema={'properties': {'query': {'description': 'Search query', 'type': 'string'}}, 'required': ['query'], 'type': 'object'}, description="""Search for models using semantic search"""), # deepfates/Replicate MCP Server/search_models
    Tool(name="""Replicate MCP Server_list_models""", inputSchema={'properties': {'cursor': {'description': 'Pagination cursor', 'type': 'string'}, 'owner': {'description': 'Filter by model owner', 'type': 'string'}}, 'type': 'object'}, description="""List available models with optional filtering"""), # deepfates/Replicate MCP Server/list_models
    Tool(name="""Replicate MCP Server_list_collections""", inputSchema={'properties': {'cursor': {'description': 'Pagination cursor', 'type': 'string'}}, 'type': 'object'}, description="""List available model collections"""), # deepfates/Replicate MCP Server/list_collections
    Tool(name="""Replicate MCP Server_get_collection""", inputSchema={'properties': {'slug': {'description': 'Collection slug', 'type': 'string'}}, 'required': ['slug'], 'type': 'object'}, description="""Get details of a specific collection"""), # deepfates/Replicate MCP Server/get_collection
    Tool(name="""Replicate MCP Server_create_prediction""", inputSchema={'oneOf': [{'required': ['version', 'input']}, {'required': ['model', 'input']}], 'properties': {'input': {'additionalProperties': True, 'description': 'Input parameters for the model', 'type': 'object'}, 'model': {'description': 'Model name to use (for official models)', 'type': 'string'}, 'version': {'description': 'Model version ID to use (for community models)', 'type': 'string'}, 'webhook_url': {'description': 'Optional webhook URL for notifications', 'type': 'string'}}, 'type': 'object'}, description="""Create a new prediction using either a model version (for community models) or model name (for official models)"""), # deepfates/Replicate MCP Server/create_prediction
    Tool(name="""Replicate MCP Server_cancel_prediction""", inputSchema={'properties': {'prediction_id': {'description': 'ID of the prediction to cancel', 'type': 'string'}}, 'required': ['prediction_id'], 'type': 'object'}, description="""Cancel a running prediction"""), # deepfates/Replicate MCP Server/cancel_prediction
    Tool(name="""Replicate MCP Server_get_prediction""", inputSchema={'properties': {'prediction_id': {'description': 'ID of the prediction to get details for', 'type': 'string'}}, 'required': ['prediction_id'], 'type': 'object'}, description="""Get details about a specific prediction"""), # deepfates/Replicate MCP Server/get_prediction
    Tool(name="""Replicate MCP Server_list_predictions""", inputSchema={'properties': {'cursor': {'description': 'Cursor for pagination', 'type': 'string'}, 'limit': {'default': 10, 'description': 'Maximum number of predictions to return', 'type': 'number'}}, 'type': 'object'}, description="""List recent predictions"""), # deepfates/Replicate MCP Server/list_predictions
    Tool(name="""Replicate MCP Server_get_model""", inputSchema={'properties': {'name': {'description': 'Model name', 'type': 'string'}, 'owner': {'description': 'Model owner', 'type': 'string'}}, 'required': ['owner', 'name'], 'type': 'object'}, description="""Get details of a specific model including available versions"""), # deepfates/Replicate MCP Server/get_model
    Tool(name="""Replicate MCP Server_view_image""", inputSchema={'properties': {'url': {'description': 'URL of the image to display', 'type': 'string'}}, 'required': ['url'], 'type': 'object'}, description="""Display an image in the system's default web browser"""), # deepfates/Replicate MCP Server/view_image
    Tool(name="""Replicate MCP Server_clear_image_cache""", inputSchema={'properties': {}, 'type': 'object'}, description="""Clear the image viewer cache"""), # deepfates/Replicate MCP Server/clear_image_cache
    Tool(name="""Replicate MCP Server_get_image_cache_stats""", inputSchema={'properties': {}, 'type': 'object'}, description="""Get statistics about the image cache"""), # deepfates/Replicate MCP Server/get_image_cache_stats
    Tool(name="""Cloudinary MCP Server_upload""", inputSchema={'properties': {'file': {'description': 'Path to file, URL, or base64 data URI to upload', 'type': 'string'}, 'overwrite': {'description': 'Whether to overwrite existing assets with the same public ID', 'type': 'boolean'}, 'public_id': {'description': 'Public ID to assign to the uploaded asset. This will be used in the final URL. If not provided, Cloudinary will generate one.', 'type': 'string'}, 'resource_type': {'description': 'Type of resource to upload. For videos, the upload will return a streaming response as it processes in chunks.', 'enum': ['image', 'video', 'raw'], 'type': 'string'}, 'tags': {'description': 'Tags to assign to the uploaded asset', 'items': {'type': 'string'}, 'type': 'array'}}, 'required': ['file'], 'type': 'object'}, description="""Upload media (images/videos) to Cloudinary. For large files, the upload is processed in chunks and returns a streaming response. The uploaded asset will be available at:\n- HTTP: http://res.cloudinary.com/{cloud_name}/{resource_type}/upload/v1/{public_id}.{format}\n- HTTPS: https://res.cloudinary.com/{cloud_name}/{resource_type}/upload/v1/{public_id}.{format}\nwhere cloud_name='dadljfaoz', resource_type is 'image' or 'video', and format is determined by the file extension."""), # felores/Cloudinary MCP Server/upload
    Tool(name="""MCP Browser Tabs Server_get_tabs""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {}, 'type': 'object'}, description="""Get all open tabs from Google Chrome browser"""), # kazuph/MCP Browser Tabs Server/get_tabs
    Tool(name="""MCP Browser Tabs Server_close_tab""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'tabIndex': {'exclusiveMinimum': 0, 'type': 'integer'}, 'windowIndex': {'exclusiveMinimum': 0, 'type': 'integer'}}, 'required': ['windowIndex', 'tabIndex'], 'type': 'object'}, description="""Close a specific tab in Google Chrome by window and tab index. When closing multiple tabs, start from the highest index numbers to avoid index shifting. After closing tabs, use get_tabs to confirm the changes."""), # kazuph/MCP Browser Tabs Server/close_tab
    Tool(name="""Tavily Search MCP Agent_comprehensive_search""", inputSchema={'properties': {'query': {'title': 'Query', 'type': 'string'}}, 'required': ['query'], 'title': 'comprehensive_searchArguments', 'type': 'object'}, description="""\n    Perform a comprehensive search across multiple topics using Tavily.\n    \n    Args:\n        query: The search query to research\n    """), # arben-adm/Tavily Search MCP Agent/comprehensive_search
    Tool(name="""DynamoDB MCP Server_create_table""", inputSchema={'properties': {'partitionKey': {'description': 'Name of the partition key', 'type': 'string'}, 'partitionKeyType': {'description': 'Type of partition key (S=String, N=Number, B=Binary)', 'enum': ['S', 'N', 'B'], 'type': 'string'}, 'readCapacity': {'description': 'Provisioned read capacity units', 'type': 'number'}, 'sortKey': {'description': 'Name of the sort key (optional)', 'type': 'string'}, 'sortKeyType': {'description': 'Type of sort key (optional)', 'enum': ['S', 'N', 'B'], 'type': 'string'}, 'tableName': {'description': 'Name of the table to create', 'type': 'string'}, 'writeCapacity': {'description': 'Provisioned write capacity units', 'type': 'number'}}, 'required': ['tableName', 'partitionKey', 'partitionKeyType', 'readCapacity', 'writeCapacity'], 'type': 'object'}, description="""Creates a new DynamoDB table with specified configuration"""), # imankamyabi/DynamoDB MCP Server/create_table
    Tool(name="""DynamoDB MCP Server_update_capacity""", inputSchema={'properties': {'readCapacity': {'description': 'New read capacity units', 'type': 'number'}, 'tableName': {'description': 'Name of the table', 'type': 'string'}, 'writeCapacity': {'description': 'New write capacity units', 'type': 'number'}}, 'required': ['tableName', 'readCapacity', 'writeCapacity'], 'type': 'object'}, description="""Updates the provisioned capacity of a table"""), # imankamyabi/DynamoDB MCP Server/update_capacity
    Tool(name="""DynamoDB MCP Server_put_item""", inputSchema={'properties': {'item': {'description': 'Item to put into the table', 'type': 'object'}, 'tableName': {'description': 'Name of the table', 'type': 'string'}}, 'required': ['tableName', 'item'], 'type': 'object'}, description="""Inserts or replaces an item in a table"""), # imankamyabi/DynamoDB MCP Server/put_item
    Tool(name="""DynamoDB MCP Server_get_item""", inputSchema={'properties': {'key': {'description': 'Primary key of the item to retrieve', 'type': 'object'}, 'tableName': {'description': 'Name of the table', 'type': 'string'}}, 'required': ['tableName', 'key'], 'type': 'object'}, description="""Retrieves an item from a table by its primary key"""), # imankamyabi/DynamoDB MCP Server/get_item
    Tool(name="""DynamoDB MCP Server_query_table""", inputSchema={'properties': {'expressionAttributeNames': {'description': 'Attribute name mappings', 'optional': True, 'type': 'object'}, 'expressionAttributeValues': {'description': 'Values for the key condition expression', 'type': 'object'}, 'filterExpression': {'description': 'Filter expression for results', 'optional': True, 'type': 'string'}, 'keyConditionExpression': {'description': 'Key condition expression', 'type': 'string'}, 'limit': {'description': 'Maximum number of items to return', 'optional': True, 'type': 'number'}, 'tableName': {'description': 'Name of the table', 'type': 'string'}}, 'required': ['tableName', 'keyConditionExpression', 'expressionAttributeValues'], 'type': 'object'}, description="""Queries a table using key conditions and optional filters"""), # imankamyabi/DynamoDB MCP Server/query_table
    Tool(name="""DynamoDB MCP Server_scan_table""", inputSchema={'properties': {'expressionAttributeNames': {'description': 'Attribute name mappings', 'optional': True, 'type': 'object'}, 'expressionAttributeValues': {'description': 'Values for the filter expression', 'optional': True, 'type': 'object'}, 'filterExpression': {'description': 'Filter expression', 'optional': True, 'type': 'string'}, 'limit': {'description': 'Maximum number of items to return', 'optional': True, 'type': 'number'}, 'tableName': {'description': 'Name of the table', 'type': 'string'}}, 'required': ['tableName'], 'type': 'object'}, description="""Scans an entire table with optional filters"""), # imankamyabi/DynamoDB MCP Server/scan_table
    Tool(name="""DynamoDB MCP Server_describe_table""", inputSchema={'properties': {'tableName': {'description': 'Name of the table to describe', 'type': 'string'}}, 'required': ['tableName'], 'type': 'object'}, description="""Gets detailed information about a DynamoDB table"""), # imankamyabi/DynamoDB MCP Server/describe_table
    Tool(name="""DynamoDB MCP Server_list_tables""", inputSchema={'properties': {'exclusiveStartTableName': {'description': 'Name of the table to start from for pagination (optional)', 'type': 'string'}, 'limit': {'description': 'Maximum number of tables to return (optional)', 'type': 'number'}}, 'type': 'object'}, description="""Lists all DynamoDB tables in the account"""), # imankamyabi/DynamoDB MCP Server/list_tables
    Tool(name="""DynamoDB MCP Server_create_gsi""", inputSchema={'properties': {'indexName': {'description': 'Name of the new index', 'type': 'string'}, 'nonKeyAttributes': {'description': 'Non-key attributes to project (optional)', 'items': {'type': 'string'}, 'type': 'array'}, 'partitionKey': {'description': 'Partition key for the index', 'type': 'string'}, 'partitionKeyType': {'description': 'Type of partition key', 'enum': ['S', 'N', 'B'], 'type': 'string'}, 'projectionType': {'description': 'Type of projection', 'enum': ['ALL', 'KEYS_ONLY', 'INCLUDE'], 'type': 'string'}, 'readCapacity': {'description': 'Provisioned read capacity units', 'type': 'number'}, 'sortKey': {'description': 'Sort key for the index (optional)', 'type': 'string'}, 'sortKeyType': {'description': 'Type of sort key (optional)', 'enum': ['S', 'N', 'B'], 'type': 'string'}, 'tableName': {'description': 'Name of the table', 'type': 'string'}, 'writeCapacity': {'description': 'Provisioned write capacity units', 'type': 'number'}}, 'required': ['tableName', 'indexName', 'partitionKey', 'partitionKeyType', 'projectionType', 'readCapacity', 'writeCapacity'], 'type': 'object'}, description="""Creates a global secondary index on a table"""), # imankamyabi/DynamoDB MCP Server/create_gsi
    Tool(name="""DynamoDB MCP Server_update_gsi""", inputSchema={'properties': {'indexName': {'description': 'Name of the index to update', 'type': 'string'}, 'readCapacity': {'description': 'New read capacity units', 'type': 'number'}, 'tableName': {'description': 'Name of the table', 'type': 'string'}, 'writeCapacity': {'description': 'New write capacity units', 'type': 'number'}}, 'required': ['tableName', 'indexName', 'readCapacity', 'writeCapacity'], 'type': 'object'}, description="""Updates the provisioned capacity of a global secondary index"""), # imankamyabi/DynamoDB MCP Server/update_gsi
    Tool(name="""DynamoDB MCP Server_create_lsi""", inputSchema={'properties': {'indexName': {'description': 'Name of the new index', 'type': 'string'}, 'nonKeyAttributes': {'description': 'Non-key attributes to project (optional)', 'items': {'type': 'string'}, 'type': 'array'}, 'partitionKey': {'description': 'Partition key for the table', 'type': 'string'}, 'partitionKeyType': {'description': 'Type of partition key', 'enum': ['S', 'N', 'B'], 'type': 'string'}, 'projectionType': {'description': 'Type of projection', 'enum': ['ALL', 'KEYS_ONLY', 'INCLUDE'], 'type': 'string'}, 'readCapacity': {'description': 'Provisioned read capacity units (optional, default: 5)', 'type': 'number'}, 'sortKey': {'description': 'Sort key for the index', 'type': 'string'}, 'sortKeyType': {'description': 'Type of sort key', 'enum': ['S', 'N', 'B'], 'type': 'string'}, 'tableName': {'description': 'Name of the table', 'type': 'string'}, 'writeCapacity': {'description': 'Provisioned write capacity units (optional, default: 5)', 'type': 'number'}}, 'required': ['tableName', 'indexName', 'partitionKey', 'partitionKeyType', 'sortKey', 'sortKeyType', 'projectionType'], 'type': 'object'}, description="""Creates a local secondary index on a table (must be done during table creation)"""), # imankamyabi/DynamoDB MCP Server/create_lsi
    Tool(name="""DynamoDB MCP Server_update_item""", inputSchema={'properties': {'conditionExpression': {'description': 'Condition for update (optional)', 'type': 'string'}, 'expressionAttributeNames': {'description': 'Attribute name mappings', 'type': 'object'}, 'expressionAttributeValues': {'description': 'Values for the update expression', 'type': 'object'}, 'key': {'description': 'Primary key of the item to update', 'type': 'object'}, 'returnValues': {'description': 'What values to return', 'enum': ['NONE', 'ALL_OLD', 'UPDATED_OLD', 'ALL_NEW', 'UPDATED_NEW'], 'type': 'string'}, 'tableName': {'description': 'Name of the table', 'type': 'string'}, 'updateExpression': {'description': "Update expression (e.g., 'SET #n = :name')", 'type': 'string'}}, 'required': ['tableName', 'key', 'updateExpression', 'expressionAttributeNames', 'expressionAttributeValues'], 'type': 'object'}, description="""Updates specific attributes of an item in a table"""), # imankamyabi/DynamoDB MCP Server/update_item
    Tool(name="""github-manager MCP Server_list_orgs""", inputSchema={'properties': {}, 'required': [], 'type': 'object'}, description="""List GitHub organizations the authenticated user belongs to"""), # wheelhousedev/github-manager MCP Server/list_orgs
    Tool(name="""github-manager MCP Server_list_repos""", inputSchema={'properties': {'org': {'description': 'Organization name', 'type': 'string'}}, 'required': ['org'], 'type': 'object'}, description="""List repositories in an organization"""), # wheelhousedev/github-manager MCP Server/list_repos
    Tool(name="""github-manager MCP Server_create_repo""", inputSchema={'properties': {'description': {'description': 'Repository description', 'type': 'string'}, 'name': {'description': 'Repository name', 'type': 'string'}, 'org': {'description': 'Organization name', 'type': 'string'}, 'private': {'description': 'Whether the repository should be private', 'type': 'boolean'}}, 'required': ['org', 'name'], 'type': 'object'}, description="""Create a new repository in an organization"""), # wheelhousedev/github-manager MCP Server/create_repo
    Tool(name="""github-manager MCP Server_add_collaborator""", inputSchema={'properties': {'org': {'description': 'Organization name', 'type': 'string'}, 'permission': {'description': 'Permission level (pull, push, admin)', 'enum': ['pull', 'push', 'admin'], 'type': 'string'}, 'repo': {'description': 'Repository name', 'type': 'string'}, 'username': {'description': 'GitHub username to add', 'type': 'string'}}, 'required': ['org', 'repo', 'username', 'permission'], 'type': 'object'}, description="""Add a collaborator to a repository"""), # wheelhousedev/github-manager MCP Server/add_collaborator
    Tool(name="""github-manager MCP Server_update_repo_settings""", inputSchema={'properties': {'org': {'description': 'Organization name', 'type': 'string'}, 'repo': {'description': 'Repository name', 'type': 'string'}, 'settings': {'description': 'Repository settings to update', 'properties': {'allow_merge_commit': {'description': 'Allow merge commits', 'type': 'boolean'}, 'allow_rebase_merge': {'description': 'Allow rebase merging', 'type': 'boolean'}, 'allow_squash_merge': {'description': 'Allow squash merging', 'type': 'boolean'}, 'has_issues': {'description': 'Enable issues', 'type': 'boolean'}, 'has_projects': {'description': 'Enable projects', 'type': 'boolean'}, 'has_wiki': {'description': 'Enable wiki', 'type': 'boolean'}}, 'type': 'object'}}, 'required': ['org', 'repo', 'settings'], 'type': 'object'}, description="""Update repository settings"""), # wheelhousedev/github-manager MCP Server/update_repo_settings
    Tool(name="""Zotero MCP Connector_get_collections""", inputSchema={'$defs': {'Context': {'description': 'Context object providing access to MCP capabilities.\n\nThis provides a cleaner interface to MCP\'s RequestContext functionality.\nIt gets injected into tool and resource functions that request it via type hints.\n\nTo use context in a tool function, add a parameter with the Context type annotation:\n\n```python\n@server.tool()\ndef my_tool(x: int, ctx: Context) -> str:\n    # Log messages to the client\n    ctx.info(f"Processing {x}")\n    ctx.debug("Debug info")\n    ctx.warning("Warning message")\n    ctx.error("Error message")\n\n    # Report progress\n    ctx.report_progress(50, 100)\n\n    # Access resources\n    data = ctx.read_resource("resource://data")\n\n    # Get request info\n    request_id = ctx.request_id\n    client_id = ctx.client_id\n\n    return str(x)\n```\n\nThe context parameter name can be anything as long as it\'s annotated with Context.\nThe context is optional - tools that don\'t need it can omit the parameter.', 'properties': {}, 'title': 'Context', 'type': 'object'}}, 'properties': {'ctx': {'$ref': '#/$defs/Context'}, 'limit': {'anyOf': [{'type': 'integer'}, {'type': 'null'}], 'default': None, 'title': 'Limit'}}, 'required': ['ctx'], 'title': 'get_collectionsArguments', 'type': 'object'}, description="""List all collections in the local Zotero library."""), # gyger/Zotero MCP Connector/get_collections
    Tool(name="""Zotero MCP Connector_get_collection_items""", inputSchema={'$defs': {'Context': {'description': 'Context object providing access to MCP capabilities.\n\nThis provides a cleaner interface to MCP\'s RequestContext functionality.\nIt gets injected into tool and resource functions that request it via type hints.\n\nTo use context in a tool function, add a parameter with the Context type annotation:\n\n```python\n@server.tool()\ndef my_tool(x: int, ctx: Context) -> str:\n    # Log messages to the client\n    ctx.info(f"Processing {x}")\n    ctx.debug("Debug info")\n    ctx.warning("Warning message")\n    ctx.error("Error message")\n\n    # Report progress\n    ctx.report_progress(50, 100)\n\n    # Access resources\n    data = ctx.read_resource("resource://data")\n\n    # Get request info\n    request_id = ctx.request_id\n    client_id = ctx.client_id\n\n    return str(x)\n```\n\nThe context parameter name can be anything as long as it\'s annotated with Context.\nThe context is optional - tools that don\'t need it can omit the parameter.', 'properties': {}, 'title': 'Context', 'type': 'object'}}, 'properties': {'collection_key': {'title': 'Collection Key', 'type': 'string'}, 'ctx': {'$ref': '#/$defs/Context'}, 'limit': {'anyOf': [{'type': 'integer'}, {'type': 'null'}], 'default': None, 'title': 'Limit'}}, 'required': ['collection_key', 'ctx'], 'title': 'get_collection_itemsArguments', 'type': 'object'}, description="""Gets all items in a specific Zotero collection."""), # gyger/Zotero MCP Connector/get_collection_items
    Tool(name="""Zotero MCP Connector_get_item_details""", inputSchema={'$defs': {'Context': {'description': 'Context object providing access to MCP capabilities.\n\nThis provides a cleaner interface to MCP\'s RequestContext functionality.\nIt gets injected into tool and resource functions that request it via type hints.\n\nTo use context in a tool function, add a parameter with the Context type annotation:\n\n```python\n@server.tool()\ndef my_tool(x: int, ctx: Context) -> str:\n    # Log messages to the client\n    ctx.info(f"Processing {x}")\n    ctx.debug("Debug info")\n    ctx.warning("Warning message")\n    ctx.error("Error message")\n\n    # Report progress\n    ctx.report_progress(50, 100)\n\n    # Access resources\n    data = ctx.read_resource("resource://data")\n\n    # Get request info\n    request_id = ctx.request_id\n    client_id = ctx.client_id\n\n    return str(x)\n```\n\nThe context parameter name can be anything as long as it\'s annotated with Context.\nThe context is optional - tools that don\'t need it can omit the parameter.', 'properties': {}, 'title': 'Context', 'type': 'object'}}, 'properties': {'ctx': {'$ref': '#/$defs/Context'}, 'item_key': {'title': 'Item Key', 'type': 'string'}}, 'required': ['item_key', 'ctx'], 'title': 'get_item_detailsArguments', 'type': 'object'}, description="""Get detailed information about a specific item in the library"""), # gyger/Zotero MCP Connector/get_item_details
    Tool(name="""Zotero MCP Connector_get_tags""", inputSchema={'$defs': {'Context': {'description': 'Context object providing access to MCP capabilities.\n\nThis provides a cleaner interface to MCP\'s RequestContext functionality.\nIt gets injected into tool and resource functions that request it via type hints.\n\nTo use context in a tool function, add a parameter with the Context type annotation:\n\n```python\n@server.tool()\ndef my_tool(x: int, ctx: Context) -> str:\n    # Log messages to the client\n    ctx.info(f"Processing {x}")\n    ctx.debug("Debug info")\n    ctx.warning("Warning message")\n    ctx.error("Error message")\n\n    # Report progress\n    ctx.report_progress(50, 100)\n\n    # Access resources\n    data = ctx.read_resource("resource://data")\n\n    # Get request info\n    request_id = ctx.request_id\n    client_id = ctx.client_id\n\n    return str(x)\n```\n\nThe context parameter name can be anything as long as it\'s annotated with Context.\nThe context is optional - tools that don\'t need it can omit the parameter.', 'properties': {}, 'title': 'Context', 'type': 'object'}}, 'properties': {'ctx': {'$ref': '#/$defs/Context'}, 'limit': {'anyOf': [{'type': 'integer'}, {'type': 'null'}], 'default': None, 'title': 'Limit'}}, 'required': ['ctx'], 'title': 'get_tagsArguments', 'type': 'object'}, description="""Get tags used in the Zotero library"""), # gyger/Zotero MCP Connector/get_tags
    Tool(name="""Zotero MCP Connector_get_recent""", inputSchema={'$defs': {'Context': {'description': 'Context object providing access to MCP capabilities.\n\nThis provides a cleaner interface to MCP\'s RequestContext functionality.\nIt gets injected into tool and resource functions that request it via type hints.\n\nTo use context in a tool function, add a parameter with the Context type annotation:\n\n```python\n@server.tool()\ndef my_tool(x: int, ctx: Context) -> str:\n    # Log messages to the client\n    ctx.info(f"Processing {x}")\n    ctx.debug("Debug info")\n    ctx.warning("Warning message")\n    ctx.error("Error message")\n\n    # Report progress\n    ctx.report_progress(50, 100)\n\n    # Access resources\n    data = ctx.read_resource("resource://data")\n\n    # Get request info\n    request_id = ctx.request_id\n    client_id = ctx.client_id\n\n    return str(x)\n```\n\nThe context parameter name can be anything as long as it\'s annotated with Context.\nThe context is optional - tools that don\'t need it can omit the parameter.', 'properties': {}, 'title': 'Context', 'type': 'object'}}, 'properties': {'ctx': {'$ref': '#/$defs/Context'}, 'limit': {'anyOf': [{'type': 'integer'}, {'type': 'null'}], 'default': 10, 'title': 'Limit'}}, 'required': ['ctx'], 'title': 'get_recentArguments', 'type': 'object'}, description="""Get recently added items (e.g. papers or attachements) to your library"""), # gyger/Zotero MCP Connector/get_recent
    Tool(name="""Zotero MCP Connector_search_library""", inputSchema={'$defs': {'Context': {'description': 'Context object providing access to MCP capabilities.\n\nThis provides a cleaner interface to MCP\'s RequestContext functionality.\nIt gets injected into tool and resource functions that request it via type hints.\n\nTo use context in a tool function, add a parameter with the Context type annotation:\n\n```python\n@server.tool()\ndef my_tool(x: int, ctx: Context) -> str:\n    # Log messages to the client\n    ctx.info(f"Processing {x}")\n    ctx.debug("Debug info")\n    ctx.warning("Warning message")\n    ctx.error("Error message")\n\n    # Report progress\n    ctx.report_progress(50, 100)\n\n    # Access resources\n    data = ctx.read_resource("resource://data")\n\n    # Get request info\n    request_id = ctx.request_id\n    client_id = ctx.client_id\n\n    return str(x)\n```\n\nThe context parameter name can be anything as long as it\'s annotated with Context.\nThe context is optional - tools that don\'t need it can omit the parameter.', 'properties': {}, 'title': 'Context', 'type': 'object'}}, 'properties': {'ctx': {'$ref': '#/$defs/Context'}, 'itemType': {'default': '-attachment', 'title': 'Itemtype', 'type': 'string'}, 'limit': {'anyOf': [{'type': 'integer'}, {'type': 'null'}], 'default': None, 'title': 'Limit'}, 'qmode': {'anyOf': [{'const': 'everything', 'type': 'string'}, {'const': 'titleCreatorYear', 'type': 'string'}], 'default': 'titleCreatorYear', 'title': 'Qmode'}, 'query': {'title': 'Query', 'type': 'string'}}, 'required': ['query', 'ctx'], 'title': 'search_libraryArguments', 'type': 'object'}, description="""Search the local Zotero library of the user."""), # gyger/Zotero MCP Connector/search_library
    Tool(name="""Things MCP Server_get-areas""", inputSchema={'properties': {'include_items': {'default': False, 'description': 'Include projects and tasks within areas', 'type': 'boolean'}}, 'required': [], 'type': 'object'}, description="""Get all areas from Things"""), # hald/Things MCP Server/get-areas
    Tool(name="""Things MCP Server_get-inbox""", inputSchema={'properties': {}, 'required': [], 'type': 'object'}, description="""Get todos from Inbox"""), # hald/Things MCP Server/get-inbox
    Tool(name="""Things MCP Server_get-today""", inputSchema={'properties': {}, 'required': [], 'type': 'object'}, description="""Get todos due today"""), # hald/Things MCP Server/get-today
    Tool(name="""Things MCP Server_get-upcoming""", inputSchema={'properties': {}, 'required': [], 'type': 'object'}, description="""Get upcoming todos"""), # hald/Things MCP Server/get-upcoming
    Tool(name="""Things MCP Server_get-anytime""", inputSchema={'properties': {}, 'required': [], 'type': 'object'}, description="""Get todos from Anytime list"""), # hald/Things MCP Server/get-anytime
    Tool(name="""Things MCP Server_get-someday""", inputSchema={'properties': {}, 'required': [], 'type': 'object'}, description="""Get todos from Someday list"""), # hald/Things MCP Server/get-someday
    Tool(name="""Things MCP Server_get-todos""", inputSchema={'properties': {'include_items': {'default': True, 'description': 'Include checklist items', 'type': 'boolean'}, 'project_uuid': {'description': 'Optional UUID of a specific project to get todos from', 'type': 'string'}}, 'required': [], 'type': 'object'}, description="""Get todos from Things, optionally filtered by project"""), # hald/Things MCP Server/get-todos
    Tool(name="""Things MCP Server_get-projects""", inputSchema={'properties': {'include_items': {'default': False, 'description': 'Include tasks within projects', 'type': 'boolean'}}, 'required': [], 'type': 'object'}, description="""Get all projects from Things"""), # hald/Things MCP Server/get-projects
    Tool(name="""Things MCP Server_get-logbook""", inputSchema={'properties': {'limit': {'description': 'Maximum number of entries to return. Defaults to 50', 'maximum': 100, 'minimum': 1, 'type': 'integer'}, 'period': {'description': "Time period to look back (e.g., '3d', '1w', '2m', '1y'). Defaults to '7d'", 'pattern': '^\\d+[dwmy]$', 'type': 'string'}}, 'required': [], 'type': 'object'}, description="""Get completed todos from Logbook, defaults to last 7 days"""), # hald/Things MCP Server/get-logbook
    Tool(name="""Things MCP Server_get-trash""", inputSchema={'properties': {}, 'required': [], 'type': 'object'}, description="""Get trashed todos"""), # hald/Things MCP Server/get-trash
    Tool(name="""Things MCP Server_get-tags""", inputSchema={'properties': {'include_items': {'default': False, 'description': 'Include items tagged with each tag', 'type': 'boolean'}}, 'required': [], 'type': 'object'}, description="""Get all tags"""), # hald/Things MCP Server/get-tags
    Tool(name="""Things MCP Server_get-tagged-items""", inputSchema={'properties': {'tag': {'description': 'Tag title to filter by', 'type': 'string'}}, 'required': ['tag'], 'type': 'object'}, description="""Get items with a specific tag"""), # hald/Things MCP Server/get-tagged-items
    Tool(name="""Things MCP Server_search-todos""", inputSchema={'properties': {'query': {'description': 'Search term to look for in todo titles and notes', 'type': 'string'}}, 'required': ['query'], 'type': 'object'}, description="""Search todos by title or notes"""), # hald/Things MCP Server/search-todos
    Tool(name="""Things MCP Server_search-advanced""", inputSchema={'properties': {'area': {'description': 'Filter by area UUID', 'type': 'string'}, 'deadline': {'description': 'Filter by deadline (YYYY-MM-DD)', 'type': 'string'}, 'start_date': {'description': 'Filter by start date (YYYY-MM-DD)', 'type': 'string'}, 'status': {'description': 'Filter by todo status', 'enum': ['incomplete', 'completed', 'canceled'], 'type': 'string'}, 'tag': {'description': 'Filter by tag', 'type': 'string'}, 'type': {'description': 'Filter by item type', 'enum': ['to-do', 'project', 'heading'], 'type': 'string'}}, 'required': [], 'type': 'object'}, description="""Advanced todo search with multiple filters"""), # hald/Things MCP Server/search-advanced
    Tool(name="""Things MCP Server_get-recent""", inputSchema={'properties': {'period': {'description': "Time period (e.g., '3d', '1w', '2m', '1y')", 'pattern': '^\\d+[dwmy]$', 'type': 'string'}}, 'required': ['period'], 'type': 'object'}, description="""Get recently created items"""), # hald/Things MCP Server/get-recent
    Tool(name="""Things MCP Server_add-todo""", inputSchema={'properties': {'checklist_items': {'description': 'Checklist items to add', 'items': {'type': 'string'}, 'type': 'array'}, 'deadline': {'description': 'Deadline for the todo (YYYY-MM-DD)', 'type': 'string'}, 'heading': {'description': 'Heading to add under', 'type': 'string'}, 'list_id': {'description': 'ID of project/area to add to', 'type': 'string'}, 'list_title': {'description': 'Title of project/area to add to', 'type': 'string'}, 'notes': {'description': 'Notes for the todo', 'type': 'string'}, 'tags': {'description': 'Tags to apply to the todo', 'items': {'type': 'string'}, 'type': 'array'}, 'title': {'description': 'Title of the todo', 'type': 'string'}, 'when': {'description': 'When to schedule the todo (today, tomorrow, evening, anytime, someday, or YYYY-MM-DD)', 'type': 'string'}}, 'required': ['title'], 'type': 'object'}, description="""Create a new todo in Things"""), # hald/Things MCP Server/add-todo
    Tool(name="""Things MCP Server_add-project""", inputSchema={'properties': {'area_id': {'description': 'ID of area to add to', 'type': 'string'}, 'area_title': {'description': 'Title of area to add to', 'type': 'string'}, 'deadline': {'description': 'Deadline for the project', 'type': 'string'}, 'notes': {'description': 'Notes for the project', 'type': 'string'}, 'tags': {'description': 'Tags to apply to the project', 'items': {'type': 'string'}, 'type': 'array'}, 'title': {'description': 'Title of the project', 'type': 'string'}, 'todos': {'description': 'Initial todos to create in the project', 'items': {'type': 'string'}, 'type': 'array'}, 'when': {'description': 'When to schedule the project', 'type': 'string'}}, 'required': ['title'], 'type': 'object'}, description="""Create a new project in Things"""), # hald/Things MCP Server/add-project
    Tool(name="""Things MCP Server_update-todo""", inputSchema={'properties': {'canceled': {'description': 'Mark as canceled', 'type': 'boolean'}, 'completed': {'description': 'Mark as completed', 'type': 'boolean'}, 'deadline': {'description': 'New deadline', 'type': 'string'}, 'id': {'description': 'ID of the todo to update', 'type': 'string'}, 'notes': {'description': 'New notes', 'type': 'string'}, 'tags': {'description': 'New tags', 'items': {'type': 'string'}, 'type': 'array'}, 'title': {'description': 'New title', 'type': 'string'}, 'when': {'description': 'New schedule', 'type': 'string'}}, 'required': ['id'], 'type': 'object'}, description="""Update an existing todo in Things"""), # hald/Things MCP Server/update-todo
    Tool(name="""Things MCP Server_update-project""", inputSchema={'properties': {'canceled': {'description': 'Mark as canceled', 'type': 'boolean'}, 'completed': {'description': 'Mark as completed', 'type': 'boolean'}, 'deadline': {'description': 'New deadline', 'type': 'string'}, 'id': {'description': 'ID of the project to update', 'type': 'string'}, 'notes': {'description': 'New notes', 'type': 'string'}, 'tags': {'description': 'New tags', 'items': {'type': 'string'}, 'type': 'array'}, 'title': {'description': 'New title', 'type': 'string'}, 'when': {'description': 'New schedule', 'type': 'string'}}, 'required': ['id'], 'type': 'object'}, description="""Update an existing project in Things"""), # hald/Things MCP Server/update-project
    Tool(name="""Things MCP Server_show-item""", inputSchema={'properties': {'filter_tags': {'description': 'Optional tags to filter by', 'items': {'type': 'string'}, 'type': 'array'}, 'id': {'description': 'ID of item to show, or one of: inbox, today, upcoming, anytime, someday, logbook', 'type': 'string'}, 'query': {'description': 'Optional query to filter by', 'type': 'string'}}, 'required': ['id'], 'type': 'object'}, description="""Show a specific item or list in Things"""), # hald/Things MCP Server/show-item
    Tool(name="""Things MCP Server_search-items""", inputSchema={'properties': {'query': {'description': 'Search query', 'type': 'string'}}, 'required': ['query'], 'type': 'object'}, description="""Search for items in Things"""), # hald/Things MCP Server/search-items
    Tool(name="""Redmine MCP Server_list_issues""", inputSchema={'properties': {'additionalProperties': {'pattern': '^cf_\\d+$', 'type': 'string'}, 'assigned_to_id': {'description': 'Filter by assignee. Use me for your assignments', 'type': 'string'}, 'created_on': {'description': 'Filter by creation date like >=2024-01-01', 'pattern': '^(>=|<=|><)?\\d{4}-\\d{2}-\\d{2}(\\|\\d{4}-\\d{2}-\\d{2})?$', 'type': 'string'}, 'include': {'description': 'Additional data to include as comma separated values\n- attachments: file attachments\n- relations: issue relations', 'pattern': '^(attachments|relations)(,(attachments|relations))*$', 'type': 'string'}, 'issue_id': {'description': 'Filter by one or more issue IDs as comma separated list', 'type': 'string'}, 'limit': {'default': 25, 'description': 'Maximum issues to return, from 1 to 100', 'maximum': 100, 'minimum': 1, 'type': 'number'}, 'offset': {'default': 0, 'description': 'Number of issues to skip', 'minimum': 0, 'type': 'number'}, 'parent_id': {'description': 'Filter by parent issue ID', 'type': 'number'}, 'project_id': {'description': 'Filter by project ID as number or key as text', 'type': 'string'}, 'sort': {'description': 'Sort field and direction like last.updated:desc or priority:asc', 'pattern': '^[a-z_]+(:(asc|desc))?$', 'type': 'string'}, 'status_id': {'description': 'Filter by open, closed, * for any, or specific status ID', 'enum': ['open', 'closed', '*'], 'type': 'string'}, 'subproject_id': {'description': 'Control subproject inclusion. Use !* to exclude subprojects', 'type': 'string'}, 'tracker_id': {'description': 'Filter by tracker ID', 'type': 'number'}, 'updated_on': {'description': 'Filter by update date like >=2024-01-01T00:00:00Z', 'pattern': '^(>=|<=|><)?\\d{4}-\\d{2}-\\d{2}(T\\d{2}:\\d{2}:\\d{2}Z)?(\\|\\d{4}-\\d{2}-\\d{2}(T\\d{2}:\\d{2}:\\d{2}Z)?)?$', 'type': 'string'}}, 'type': 'object'}, description="""List and search Redmine issues. Provides flexible filtering and sorting options. Supports filtering by custom fields using field IDs and patterns. Available since Redmine 1.0"""), # yonaka15/Redmine MCP Server/list_issues
    Tool(name="""Redmine MCP Server_create_issue""", inputSchema={'properties': {'assigned_to_id': {'description': 'User ID to assign this issue to', 'type': 'number'}, 'category_id': {'description': 'Issue category ID', 'type': 'number'}, 'custom_fields': {'description': 'List of custom field values', 'items': {'properties': {'id': {'description': 'Custom field ID', 'type': 'number'}, 'value': {'description': 'Value or list of values for the field as JSON string', 'type': 'string'}}, 'required': ['id', 'value'], 'type': 'object'}, 'type': 'array'}, 'description': {'description': 'Detailed issue description', 'type': 'string'}, 'due_date': {'description': 'Issue due date as YYYY-MM-DD', 'pattern': '^\\d{4}-\\d{2}-\\d{2}$', 'type': 'string'}, 'estimated_hours': {'description': 'Estimated time in hours', 'type': 'number'}, 'fixed_version_id': {'description': 'Target version or milestone ID', 'type': 'number'}, 'is_private': {'description': 'Set true to make issue private', 'type': 'boolean'}, 'parent_issue_id': {'description': 'Parent issue ID for subtasks', 'type': 'number'}, 'priority_id': {'description': 'Priority level ID', 'type': 'number'}, 'project_id': {'description': 'Project ID where issue will be created', 'type': 'number'}, 'start_date': {'description': 'Issue start date as YYYY-MM-DD', 'pattern': '^\\d{4}-\\d{2}-\\d{2}$', 'type': 'string'}, 'status_id': {'description': 'Initial status ID for the issue', 'type': 'number'}, 'subject': {'description': 'Issue title or summary', 'type': 'string'}, 'tracker_id': {'description': 'Type of issue determined by tracker ID', 'type': 'number'}, 'watcher_user_ids': {'description': 'List of user IDs to add as watchers', 'items': {'type': 'number'}, 'type': 'array'}}, 'required': ['project_id', 'subject'], 'type': 'object'}, description="""Create a new issue. Requires project ID and subject fields. Returns success or validation error status. Available since Redmine 1.0"""), # yonaka15/Redmine MCP Server/create_issue
    Tool(name="""Redmine MCP Server_list_projects""", inputSchema={'properties': {'include': {'description': 'Additional data to include as comma separated values\n- trackers: list project trackers\n- categories: list project categories\n- modules: list project modules. Since 2.6.0\n- time tracking: list time activities. Since 3.4.0', 'pattern': '^(trackers|issue_categories|enabled_modules|time_entry_activities|issue_custom_fields)(,(trackers|issue_categories|enabled_modules|time_entry_activities|issue_custom_fields))*$', 'type': 'string'}, 'limit': {'default': 25, 'description': 'Maximum projects to return, from 1 to 100', 'maximum': 100, 'minimum': 1, 'type': 'number'}, 'offset': {'default': 0, 'description': 'Number of projects to skip', 'minimum': 0, 'type': 'number'}, 'status': {'description': 'Filter projects by status\n- 1: active projects. Default\n- 5: archived projects\n- 9: closed projects', 'enum': [1, 5, 9], 'type': 'number'}}, 'type': 'object'}, description="""List all accessible projects. Shows both public projects and authorized private projects. Includes trackers, categories, modules and custom fields. Available since Redmine 1.0"""), # yonaka15/Redmine MCP Server/list_projects
    Tool(name="""Redmine MCP Server_update_issue""", inputSchema={'properties': {'assigned_to_id': {'description': 'Reassign issue to this user ID', 'type': 'number'}, 'category_id': {'description': 'Change issue category', 'type': 'number'}, 'custom_fields': {'description': 'Update custom field values', 'items': {'properties': {'id': {'description': 'Custom field ID to update', 'type': 'number'}, 'value': {'description': 'New value or list of values for the field as JSON string', 'type': 'string'}}, 'required': ['id', 'value'], 'type': 'object'}, 'type': 'array'}, 'description': {'description': 'New issue description', 'type': 'string'}, 'due_date': {'description': 'Change due date as YYYY-MM-DD', 'pattern': '^\\d{4}-\\d{2}-\\d{2}$', 'type': 'string'}, 'estimated_hours': {'description': 'Update time estimate in hours', 'type': 'number'}, 'fixed_version_id': {'description': 'Change target version or milestone', 'type': 'number'}, 'id': {'description': 'ID of issue to update', 'type': 'number'}, 'is_private': {'description': 'Change issue privacy setting', 'type': 'boolean'}, 'notes': {'description': 'Add a note about the changes', 'type': 'string'}, 'parent_issue_id': {'description': 'Move issue under this parent ID', 'type': 'number'}, 'priority_id': {'description': 'Change priority level', 'type': 'number'}, 'private_notes': {'description': 'Set true to make note private', 'type': 'boolean'}, 'project_id': {'description': 'Move issue to this project ID', 'type': 'number'}, 'start_date': {'description': 'Change start date as YYYY-MM-DD', 'pattern': '^\\d{4}-\\d{2}-\\d{2}$', 'type': 'string'}, 'status_id': {'description': 'Change status to this ID', 'type': 'number'}, 'subject': {'description': 'New issue title or summary', 'type': 'string'}, 'tracker_id': {'description': 'Change issue type to this tracker ID', 'type': 'number'}}, 'required': ['id'], 'type': 'object'}, description="""Update an existing issue. Modify any issue fields as needed. Returns success or validation error status. Available since Redmine 1.0"""), # yonaka15/Redmine MCP Server/update_issue
    Tool(name="""Redmine MCP Server_delete_issue""", inputSchema={'properties': {'id': {'description': 'ID of issue to delete', 'type': 'number'}}, 'required': ['id'], 'type': 'object'}, description="""Delete an issue permanently. This action cannot be undone. Returns success status on completion. Available since Redmine 1.0"""), # yonaka15/Redmine MCP Server/delete_issue
    Tool(name="""Redmine MCP Server_add_issue_watcher""", inputSchema={'properties': {'issue_id': {'description': 'Issue ID to add watcher to', 'type': 'number'}, 'user_id': {'description': 'User ID to add as watcher', 'type': 'number'}}, 'required': ['issue_id', 'user_id'], 'type': 'object'}, description="""Add a user as watcher to an issue. Enables user to receive issue updates. Available since Redmine 1.0"""), # yonaka15/Redmine MCP Server/add_issue_watcher
    Tool(name="""Redmine MCP Server_remove_issue_watcher""", inputSchema={'properties': {'issue_id': {'description': 'Issue ID to remove watcher from', 'type': 'number'}, 'user_id': {'description': 'User ID to remove from watchers', 'type': 'number'}}, 'required': ['issue_id', 'user_id'], 'type': 'object'}, description="""Remove a user from issue watchers. Stops issue update notifications. Available since Redmine 1.0"""), # yonaka15/Redmine MCP Server/remove_issue_watcher
    Tool(name="""Redmine MCP Server_show_project""", inputSchema={'properties': {'id': {'description': 'Project ID as number or project key as text', 'type': 'string'}, 'include': {'description': 'Additional data to include as comma separated values\n- trackers: list project trackers\n- categories: list project categories\n- modules: list project modules. Since 2.6.0\n- time tracking: list time activities. Since 3.4.0', 'pattern': '^(trackers|issue_categories|enabled_modules|time_entry_activities|issue_custom_fields)(,(trackers|issue_categories|enabled_modules|time_entry_activities|issue_custom_fields))*$', 'type': 'string'}}, 'required': ['id'], 'type': 'object'}, description="""Get detailed project information. Specify using project ID or key. Supports retrieving additional data. Available since Redmine 1.0"""), # yonaka15/Redmine MCP Server/show_project
    Tool(name="""Redmine MCP Server_create_project""", inputSchema={'properties': {'description': {'description': 'Project description', 'type': 'string'}, 'enabled_module_names': {'description': 'List of enabled modules', 'items': {'enum': ['boards', 'calendar', 'documents', 'files', 'gantt', 'issue_tracking', 'news', 'repository', 'time_tracking', 'wiki'], 'type': 'string'}, 'type': 'array'}, 'homepage': {'description': 'Project website URL', 'type': 'string'}, 'identifier': {'description': 'Project key for URLs. Start with letter or number', 'pattern': '^[a-z0-9][a-z0-9_-]*$', 'type': 'string'}, 'inherit_members': {'default': False, 'description': 'Set true to inherit parent members', 'type': 'boolean'}, 'is_public': {'default': True, 'description': 'Set true to make project public', 'type': 'boolean'}, 'name': {'description': 'Name of the project', 'type': 'string'}, 'parent_id': {'description': 'Create as subproject under this ID', 'type': 'number'}, 'tracker_ids': {'description': 'List of enabled tracker IDs', 'items': {'type': 'number'}, 'type': 'array'}}, 'required': ['name', 'identifier'], 'type': 'object'}, description="""Create a new project. Provide name and key. Configure optional settings like modules and trackers. Available since Redmine 1.0"""), # yonaka15/Redmine MCP Server/create_project
    Tool(name="""Redmine MCP Server_update_project""", inputSchema={'properties': {'description': {'description': 'New project description', 'type': 'string'}, 'enabled_module_names': {'description': 'New list of enabled modules', 'items': {'enum': ['boards', 'calendar', 'documents', 'files', 'gantt', 'issue_tracking', 'news', 'repository', 'time_tracking', 'wiki'], 'type': 'string'}, 'type': 'array'}, 'homepage': {'description': 'New project website URL', 'type': 'string'}, 'id': {'description': 'Project ID as number or key as text', 'type': 'string'}, 'identifier': {'description': 'New project key for URLs. Start with letter or number', 'pattern': '^[a-z0-9][a-z0-9_-]*$', 'type': 'string'}, 'inherit_members': {'description': 'Change member inheritance setting', 'type': 'boolean'}, 'is_public': {'description': 'Change project visibility', 'type': 'boolean'}, 'name': {'description': 'New project name', 'type': 'string'}, 'parent_id': {'description': 'Move under new parent ID', 'type': 'number'}, 'tracker_ids': {'description': 'New list of enabled tracker IDs', 'items': {'type': 'number'}, 'type': 'array'}}, 'required': ['id'], 'type': 'object'}, description="""Update project settings. Specify ID or key to identify project. Only specified fields will be changed. Available since Redmine 1.0"""), # yonaka15/Redmine MCP Server/update_project
    Tool(name="""Redmine MCP Server_archive_project""", inputSchema={'properties': {'id': {'description': 'Project ID as number or key as text', 'type': 'string'}}, 'required': ['id'], 'type': 'object'}, description="""Archive a project. Project becomes read only. Available since Redmine 5.0"""), # yonaka15/Redmine MCP Server/archive_project
    Tool(name="""Redmine MCP Server_unarchive_project""", inputSchema={'properties': {'id': {'description': 'Project ID as number or key as text', 'type': 'string'}}, 'required': ['id'], 'type': 'object'}, description="""Restore an archived project. Project becomes editable again. Available since Redmine 5.0"""), # yonaka15/Redmine MCP Server/unarchive_project
    Tool(name="""Redmine MCP Server_delete_project""", inputSchema={'properties': {'id': {'description': 'Project ID as number or key as text', 'type': 'string'}}, 'required': ['id'], 'type': 'object'}, description="""Delete project permanently. Deletes all project data and subprojects. This action cannot be undone. Available since Redmine 1.0"""), # yonaka15/Redmine MCP Server/delete_project
    Tool(name="""Redmine MCP Server_list_time_entries""", inputSchema={'properties': {'from': {'description': 'Show entries from this date in YYYY-MM-DD format', 'pattern': '^\\d{4}-\\d{2}-\\d{2}$', 'type': 'string'}, 'limit': {'default': 25, 'description': 'Maximum entries to return, from 1 to 100', 'maximum': 100, 'minimum': 1, 'type': 'number'}, 'offset': {'default': 0, 'description': 'Number of entries to skip', 'minimum': 0, 'type': 'number'}, 'project_id': {'description': 'Project ID as number or project key as text', 'type': 'string'}, 'spent_on': {'description': 'Show entries for specific date in YYYY-MM-DD format', 'type': 'string'}, 'to': {'description': 'Show entries until this date in YYYY-MM-DD format', 'pattern': '^\\d{4}-\\d{2}-\\d{2}$', 'type': 'string'}, 'user_id': {'description': 'Filter by user. Use me to show your own entries', 'type': 'number'}}, 'type': 'object'}, description="""List and search logged time records. Filter by user, project and date range. Returns up to 100 entries per request. Available since Redmine 1.1"""), # yonaka15/Redmine MCP Server/list_time_entries
    Tool(name="""Redmine MCP Server_show_time_entry""", inputSchema={'properties': {'id': {'description': 'ID of the time record to show', 'type': 'number'}}, 'required': ['id'], 'type': 'object'}, description="""Get details of a time record. Returns complete information. Available since Redmine 1.1"""), # yonaka15/Redmine MCP Server/show_time_entry
    Tool(name="""Redmine MCP Server_create_time_entry""", inputSchema={'oneOf': [{'required': ['project_id']}, {'required': ['issue_id']}], 'properties': {'activity_id': {'description': 'Activity type ID. Required if no default exists', 'type': 'number'}, 'comments': {'description': 'Optional comments up to 255 characters', 'maxLength': 255, 'type': 'string'}, 'hours': {'description': 'Number of hours spent. Can use decimals', 'exclusiveMinimum': True, 'minimum': 0, 'type': 'number'}, 'issue_id': {'description': 'Issue ID to log time against', 'type': 'number'}, 'project_id': {'description': 'Project ID as number or project key as text', 'type': 'string'}, 'spent_on': {'description': 'Date in YYYY-MM-DD format. Defaults to today', 'pattern': '^\\d{4}-\\d{2}-\\d{2}$', 'type': 'string'}, 'user_id': {'description': 'Log time for this user ID. Requires admin rights', 'type': 'number'}}, 'required': ['hours'], 'type': 'object'}, description="""Record spent time on projects or issues. Hours and project or issue ID required. Activity type ID required if no default exists. Available since Redmine 1.1"""), # yonaka15/Redmine MCP Server/create_time_entry
    Tool(name="""Redmine MCP Server_update_time_entry""", inputSchema={'properties': {'activity_id': {'description': 'New activity type ID', 'type': 'number'}, 'comments': {'description': 'New comments up to 255 characters', 'maxLength': 255, 'type': 'string'}, 'hours': {'description': 'New number of hours. Can use decimals', 'exclusiveMinimum': True, 'minimum': 0, 'type': 'number'}, 'id': {'description': 'ID of time record to update', 'type': 'number'}, 'issue_id': {'description': 'Change linked issue ID', 'type': 'number'}, 'spent_on': {'description': 'New date in YYYY-MM-DD format', 'pattern': '^\\d{4}-\\d{2}-\\d{2}$', 'type': 'string'}}, 'required': ['id'], 'type': 'object'}, description="""Update an existing time record. Modify hours, activity and comments. Cannot change project after creation. Available since Redmine 1.1"""), # yonaka15/Redmine MCP Server/update_time_entry
    Tool(name="""Redmine MCP Server_delete_time_entry""", inputSchema={'properties': {'id': {'description': 'ID of time record to delete', 'type': 'number'}}, 'required': ['id'], 'type': 'object'}, description="""Delete a time record permanently. This action cannot be undone. Available since Redmine 1.1"""), # yonaka15/Redmine MCP Server/delete_time_entry
    Tool(name="""Redmine MCP Server_list_users""", inputSchema={'properties': {'group_id': {'description': 'Show only users who belong to this group', 'type': 'number'}, 'limit': {'default': 25, 'description': 'Number of users per page, from 1 to 100', 'maximum': 100, 'minimum': 1, 'type': 'number'}, 'name': {'description': 'Filter by login, firstname, lastname and mail. When using space, matches firstname and lastname', 'type': 'string'}, 'offset': {'default': 0, 'description': 'Number of users to skip', 'minimum': 0, 'type': 'number'}, 'status': {'description': 'Filter users by status\n- 1: Active users\n- 2: Registered users\n- 3: Locked users', 'enum': [1, 2, 3], 'type': 'number'}}, 'type': 'object'}, description="""List all users in the system. Shows active and locked accounts. Admin privileges required. Available since Redmine 1.1"""), # yonaka15/Redmine MCP Server/list_users
    Tool(name="""Redmine MCP Server_show_user""", inputSchema={'properties': {'id': {'description': "User ID as number or 'current' for own details", 'type': 'string'}, 'include': {'description': 'Additional data to include as comma separated values\n- memberships: list project memberships and roles\n- groups: list group memberships. Since 2.1', 'pattern': '^(memberships|groups)(,(memberships|groups))*$', 'type': 'string'}}, 'required': ['id'], 'type': 'object'}, description="""Get details of a specific user. Use 'current' to get your own info. Returned fields depend on privileges. Available since Redmine 1.1"""), # yonaka15/Redmine MCP Server/show_user
    Tool(name="""Redmine MCP Server_create_user""", inputSchema={'properties': {'auth_source_id': {'description': 'Authentication mode ID', 'type': 'number'}, 'firstname': {'description': 'User first name', 'type': 'string'}, 'generate_password': {'default': False, 'description': 'Generate random password', 'type': 'boolean'}, 'lastname': {'description': 'User last name', 'type': 'string'}, 'login': {'description': 'User login name', 'type': 'string'}, 'mail': {'description': 'User email address', 'format': 'email', 'type': 'string'}, 'mail_notification': {'description': 'Email notification preferences', 'enum': ['all', 'selected', 'only_my_events', 'only_assigned', 'only_owner', 'none'], 'type': 'string'}, 'must_change_passwd': {'default': False, 'description': 'Force password change at next login', 'type': 'boolean'}, 'password': {'description': 'User password. Optional if generate password is enabled', 'type': 'string'}, 'send_information': {'default': False, 'description': 'Send account information to the user', 'type': 'boolean'}}, 'required': ['login', 'firstname', 'lastname', 'mail'], 'type': 'object'}, description="""Create a new user account. Admin privileges required. Returns success or validation error status. Available since Redmine 1.1"""), # yonaka15/Redmine MCP Server/create_user
    Tool(name="""Redmine MCP Server_update_user""", inputSchema={'properties': {'admin': {'description': 'Grant admin privileges', 'type': 'boolean'}, 'auth_source_id': {'description': 'Authentication mode ID', 'type': 'number'}, 'firstname': {'description': 'User first name', 'type': 'string'}, 'id': {'description': 'ID of user to update', 'type': 'number'}, 'lastname': {'description': 'User last name', 'type': 'string'}, 'login': {'description': 'User login name', 'type': 'string'}, 'mail': {'description': 'User email address', 'format': 'email', 'type': 'string'}, 'mail_notification': {'description': 'Email notification preferences', 'enum': ['all', 'selected', 'only_my_events', 'only_assigned', 'only_owner', 'none'], 'type': 'string'}, 'must_change_passwd': {'description': 'Force password change at next login', 'type': 'boolean'}, 'password': {'description': 'New password', 'type': 'string'}}, 'required': ['id'], 'type': 'object'}, description="""Update an existing user. Admin privileges required. Returns success or validation error status. Available since Redmine 1.1"""), # yonaka15/Redmine MCP Server/update_user
    Tool(name="""Redmine MCP Server_delete_user""", inputSchema={'properties': {'id': {'description': 'ID of user to delete', 'type': 'number'}}, 'required': ['id'], 'type': 'object'}, description="""Delete a user permanently. Admin privileges required. This action cannot be undone. Available since Redmine 1.1"""), # yonaka15/Redmine MCP Server/delete_user
    Tool(name="""MCP Reasoner_mcp-reasoner""", inputSchema={'properties': {'nextThoughtNeeded': {'description': 'Whether another step is needed', 'type': 'boolean'}, 'strategyType': {'description': 'Reasoning strategy to use (beam_search or mcts)', 'enum': ['beam_search', 'mcts'], 'type': 'string'}, 'thought': {'description': 'Current reasoning step', 'type': 'string'}, 'thoughtNumber': {'description': 'Current step number', 'minimum': 1, 'type': 'integer'}, 'totalThoughts': {'description': 'Total expected steps', 'minimum': 1, 'type': 'integer'}}, 'required': ['thought', 'thoughtNumber', 'totalThoughts', 'nextThoughtNeeded'], 'type': 'object'}, description="""Advanced reasoning tool with multiple strategies including Beam Search and Monte Carlo Tree Search"""), # parmarjh/MCP Reasoner/mcp-reasoner
    Tool(name="""Penumbra MCP Server_get_validator_set""", inputSchema={'properties': {}, 'required': [], 'type': 'object'}, description="""Get the current validator set information"""), # bmorphism/Penumbra MCP Server/get_validator_set
    Tool(name="""Penumbra MCP Server_get_chain_status""", inputSchema={'properties': {}, 'required': [], 'type': 'object'}, description="""Get current chain status including block height and chain ID"""), # bmorphism/Penumbra MCP Server/get_chain_status
    Tool(name="""Penumbra MCP Server_get_transaction""", inputSchema={'properties': {'hash': {'description': 'Transaction hash', 'type': 'string'}}, 'required': ['hash'], 'type': 'object'}, description="""Get details of a specific transaction"""), # bmorphism/Penumbra MCP Server/get_transaction
    Tool(name="""Penumbra MCP Server_get_dex_state""", inputSchema={'properties': {}, 'required': [], 'type': 'object'}, description="""Get current DEX state including latest batch auction results"""), # bmorphism/Penumbra MCP Server/get_dex_state
    Tool(name="""Penumbra MCP Server_get_governance_proposals""", inputSchema={'properties': {'status': {'default': 'active', 'description': 'Filter proposals by status', 'enum': ['active', 'completed', 'all'], 'type': 'string'}}, 'required': [], 'type': 'object'}, description="""Get active governance proposals"""), # bmorphism/Penumbra MCP Server/get_governance_proposals
    Tool(name="""Puppeteer MCP Server_puppeteer_navigate""", inputSchema={'properties': {'url': {'type': 'string'}}, 'required': ['url'], 'type': 'object'}, description="""Navigate to a URL"""), # jwaldor/Puppeteer MCP Server/puppeteer_navigate
    Tool(name="""Puppeteer MCP Server_puppeteer_page_history""", inputSchema={'properties': {}, 'required': [], 'type': 'object'}, description="""Get the history of visited URLs, most recent urls first"""), # jwaldor/Puppeteer MCP Server/puppeteer_page_history
    Tool(name="""Puppeteer MCP Server_make_http_request""", inputSchema={'properties': {'body': {'description': 'Body to include in the request', 'type': 'object'}, 'headers': {'description': 'Headers to include in the request', 'type': 'object'}, 'type': {'description': 'Type of the request. GET, POST, PUT, DELETE', 'type': 'string'}, 'url': {'description': 'Url to make the request to', 'type': 'string'}}, 'required': ['type', 'url', 'headers', 'body'], 'type': 'object'}, description="""Make an HTTP request with curl"""), # jwaldor/Puppeteer MCP Server/make_http_request
    Tool(name="""Puppeteer MCP Server_semantic_search_requests""", inputSchema={'properties': {'page_url': {'description': 'The page within which to search for requests', 'type': 'string'}, 'query': {'description': 'Your search request. Make this specific and detailed to get the best results', 'type': 'string'}}, 'required': ['query', 'page_url'], 'type': 'object'}, description="""Semantically search for requests that occurred within a page URL. Returns the top 10 results."""), # jwaldor/Puppeteer MCP Server/semantic_search_requests
    Tool(name="""Redis MCP Server_hmset""", inputSchema={'properties': {'fields': {'additionalProperties': {'type': 'string'}, 'description': 'Field-value pairs to set', 'type': 'object'}, 'key': {'description': 'Hash key', 'type': 'string'}}, 'required': ['key', 'fields'], 'type': 'object'}, description="""Set multiple hash fields to multiple values"""), # farhankaz/Redis MCP Server/hmset
    Tool(name="""Redis MCP Server_hget""", inputSchema={'properties': {'field': {'description': 'Field to get', 'type': 'string'}, 'key': {'description': 'Hash key', 'type': 'string'}}, 'required': ['key', 'field'], 'type': 'object'}, description="""Get the value of a hash field"""), # farhankaz/Redis MCP Server/hget
    Tool(name="""Redis MCP Server_hgetall""", inputSchema={'properties': {'key': {'description': 'Hash key', 'type': 'string'}}, 'required': ['key'], 'type': 'object'}, description="""Get all the fields and values in a hash"""), # farhankaz/Redis MCP Server/hgetall
    Tool(name="""Redis MCP Server_scan""", inputSchema={'properties': {'count': {'description': 'Number of keys to return per iteration (optional)', 'minimum': 1, 'type': 'number'}, 'pattern': {'description': 'Pattern to match (e.g., "user:*" or "schedule:*")', 'type': 'string'}}, 'required': ['pattern'], 'type': 'object'}, description="""Scan Redis keys matching a pattern"""), # farhankaz/Redis MCP Server/scan
    Tool(name="""Redis MCP Server_set""", inputSchema={'properties': {'key': {'description': 'Key to set', 'type': 'string'}, 'nx': {'description': 'Only set if key does not exist', 'type': 'boolean'}, 'px': {'description': 'Set expiry in milliseconds', 'type': 'number'}, 'value': {'description': 'Value to set', 'type': 'string'}}, 'required': ['key', 'value'], 'type': 'object'}, description="""Set string value with optional NX (only if not exists) and PX (expiry in milliseconds) options"""), # farhankaz/Redis MCP Server/set
    Tool(name="""Redis MCP Server_get""", inputSchema={'properties': {'key': {'description': 'Key to get', 'type': 'string'}}, 'required': ['key'], 'type': 'object'}, description="""Get string value"""), # farhankaz/Redis MCP Server/get
    Tool(name="""Redis MCP Server_del""", inputSchema={'properties': {'key': {'description': 'Key to delete', 'type': 'string'}}, 'required': ['key'], 'type': 'object'}, description="""Delete a key"""), # farhankaz/Redis MCP Server/del
    Tool(name="""Redis MCP Server_zadd""", inputSchema={'properties': {'key': {'description': 'Sorted set key', 'type': 'string'}, 'members': {'description': 'Array of score-value pairs to add', 'items': {'properties': {'score': {'description': 'Score for the member', 'type': 'number'}, 'value': {'description': 'Member value', 'type': 'string'}}, 'required': ['score', 'value'], 'type': 'object'}, 'type': 'array'}}, 'required': ['key', 'members'], 'type': 'object'}, description="""Add one or more members to a sorted set"""), # farhankaz/Redis MCP Server/zadd
    Tool(name="""Redis MCP Server_zrange""", inputSchema={'properties': {'key': {'description': 'Sorted set key', 'type': 'string'}, 'start': {'description': 'Start index (0-based)', 'type': 'number'}, 'stop': {'description': 'Stop index (inclusive)', 'type': 'number'}, 'withScores': {'default': False, 'description': 'Include scores in output', 'type': 'boolean'}}, 'required': ['key', 'start', 'stop'], 'type': 'object'}, description="""Return a range of members from a sorted set by index"""), # farhankaz/Redis MCP Server/zrange
    Tool(name="""Redis MCP Server_zrangebyscore""", inputSchema={'properties': {'key': {'description': 'Sorted set key', 'type': 'string'}, 'max': {'description': 'Maximum score', 'type': 'number'}, 'min': {'description': 'Minimum score', 'type': 'number'}, 'withScores': {'default': False, 'description': 'Include scores in output', 'type': 'boolean'}}, 'required': ['key', 'min', 'max'], 'type': 'object'}, description="""Return members from a sorted set with scores between min and max"""), # farhankaz/Redis MCP Server/zrangebyscore
    Tool(name="""Redis MCP Server_zrem""", inputSchema={'properties': {'key': {'description': 'Sorted set key', 'type': 'string'}, 'members': {'description': 'Array of members to remove', 'items': {'type': 'string'}, 'type': 'array'}}, 'required': ['key', 'members'], 'type': 'object'}, description="""Remove one or more members from a sorted set"""), # farhankaz/Redis MCP Server/zrem
    Tool(name="""Redis MCP Server_sadd""", inputSchema={'properties': {'key': {'description': 'Set key', 'type': 'string'}, 'members': {'description': 'Members to add to the set', 'items': {'type': 'string'}, 'type': 'array'}}, 'required': ['key', 'members'], 'type': 'object'}, description="""Add one or more members to a set"""), # farhankaz/Redis MCP Server/sadd
    Tool(name="""Redis MCP Server_smembers""", inputSchema={'properties': {'key': {'description': 'Set key', 'type': 'string'}}, 'required': ['key'], 'type': 'object'}, description="""Get all members in a set"""), # farhankaz/Redis MCP Server/smembers
    Tool(name="""GitHub MCP Server_create_or_update_file""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'branch': {'description': 'Branch to create/update the file in', 'type': 'string'}, 'content': {'description': 'Content of the file', 'type': 'string'}, 'message': {'description': 'Commit message', 'type': 'string'}, 'owner': {'description': 'Repository owner (username or organization)', 'type': 'string'}, 'path': {'description': 'Path where to create/update the file', 'type': 'string'}, 'repo': {'description': 'Repository name', 'type': 'string'}, 'sha': {'description': 'SHA of the file being replaced (required when updating existing files)', 'type': 'string'}}, 'required': ['owner', 'repo', 'path', 'content', 'message', 'branch'], 'type': 'object'}, description="""Create or update a single file in a GitHub repository"""), # asbloom-py/GitHub MCP Server/create_or_update_file
    Tool(name="""GitHub MCP Server_search_repositories""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'page': {'description': 'Page number for pagination (default: 1)', 'type': 'number'}, 'perPage': {'description': 'Number of results per page (default: 30, max: 100)', 'type': 'number'}, 'query': {'description': 'Search query (see GitHub search syntax)', 'type': 'string'}}, 'required': ['query'], 'type': 'object'}, description="""Search for GitHub repositories"""), # asbloom-py/GitHub MCP Server/search_repositories
    Tool(name="""GitHub MCP Server_create_repository""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'autoInit': {'description': 'Initialize with README.md', 'type': 'boolean'}, 'description': {'description': 'Repository description', 'type': 'string'}, 'name': {'description': 'Repository name', 'type': 'string'}, 'private': {'description': 'Whether the repository should be private', 'type': 'boolean'}}, 'required': ['name'], 'type': 'object'}, description="""Create a new GitHub repository in your account"""), # asbloom-py/GitHub MCP Server/create_repository
    Tool(name="""GitHub MCP Server_get_file_contents""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'branch': {'description': 'Branch to get contents from', 'type': 'string'}, 'owner': {'description': 'Repository owner (username or organization)', 'type': 'string'}, 'path': {'description': 'Path to the file or directory', 'type': 'string'}, 'repo': {'description': 'Repository name', 'type': 'string'}}, 'required': ['owner', 'repo', 'path'], 'type': 'object'}, description="""Get the contents of a file or directory from a GitHub repository"""), # asbloom-py/GitHub MCP Server/get_file_contents
    Tool(name="""GitHub MCP Server_push_files""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'branch': {'description': "Branch to push to (e.g., 'main' or 'master')", 'type': 'string'}, 'files': {'description': 'Array of files to push', 'items': {'additionalProperties': False, 'properties': {'content': {'description': 'Content of the file', 'type': 'string'}, 'path': {'description': 'Path where to create the file', 'type': 'string'}}, 'required': ['path', 'content'], 'type': 'object'}, 'type': 'array'}, 'message': {'description': 'Commit message', 'type': 'string'}, 'owner': {'description': 'Repository owner (username or organization)', 'type': 'string'}, 'repo': {'description': 'Repository name', 'type': 'string'}}, 'required': ['owner', 'repo', 'branch', 'files', 'message'], 'type': 'object'}, description="""Push multiple files to a GitHub repository in a single commit"""), # asbloom-py/GitHub MCP Server/push_files
    Tool(name="""GitHub MCP Server_create_issue""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'assignees': {'description': 'Array of usernames to assign', 'items': {'type': 'string'}, 'type': 'array'}, 'body': {'description': 'Issue body/description', 'type': 'string'}, 'labels': {'description': 'Array of label names', 'items': {'type': 'string'}, 'type': 'array'}, 'milestone': {'description': 'Milestone number to assign', 'type': 'number'}, 'owner': {'description': 'Repository owner (username or organization)', 'type': 'string'}, 'repo': {'description': 'Repository name', 'type': 'string'}, 'title': {'description': 'Issue title', 'type': 'string'}}, 'required': ['owner', 'repo', 'title'], 'type': 'object'}, description="""Create a new issue in a GitHub repository"""), # asbloom-py/GitHub MCP Server/create_issue
    Tool(name="""GitHub MCP Server_create_pull_request""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'base': {'description': 'The name of the branch you want the changes pulled into', 'type': 'string'}, 'body': {'description': 'Pull request body/description', 'type': 'string'}, 'draft': {'description': 'Whether to create the pull request as a draft', 'type': 'boolean'}, 'head': {'description': 'The name of the branch where your changes are implemented', 'type': 'string'}, 'maintainer_can_modify': {'description': 'Whether maintainers can modify the pull request', 'type': 'boolean'}, 'owner': {'description': 'Repository owner (username or organization)', 'type': 'string'}, 'repo': {'description': 'Repository name', 'type': 'string'}, 'title': {'description': 'Pull request title', 'type': 'string'}}, 'required': ['owner', 'repo', 'title', 'head', 'base'], 'type': 'object'}, description="""Create a new pull request in a GitHub repository"""), # asbloom-py/GitHub MCP Server/create_pull_request
    Tool(name="""GitHub MCP Server_fork_repository""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'organization': {'description': 'Optional: organization to fork to (defaults to your personal account)', 'type': 'string'}, 'owner': {'description': 'Repository owner (username or organization)', 'type': 'string'}, 'repo': {'description': 'Repository name', 'type': 'string'}}, 'required': ['owner', 'repo'], 'type': 'object'}, description="""Fork a GitHub repository to your account or specified organization"""), # asbloom-py/GitHub MCP Server/fork_repository
    Tool(name="""GitHub MCP Server_create_branch""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'branch': {'description': 'Name for the new branch', 'type': 'string'}, 'from_branch': {'description': "Optional: source branch to create from (defaults to the repository's default branch)", 'type': 'string'}, 'owner': {'description': 'Repository owner (username or organization)', 'type': 'string'}, 'repo': {'description': 'Repository name', 'type': 'string'}}, 'required': ['owner', 'repo', 'branch'], 'type': 'object'}, description="""Create a new branch in a GitHub repository"""), # asbloom-py/GitHub MCP Server/create_branch
    Tool(name="""MCP Server Replicate_generate_image""", inputSchema={'properties': {'height': {'anyOf': [{'type': 'integer'}, {'type': 'null'}], 'default': None, 'title': 'Height'}, 'num_outputs': {'default': 1, 'title': 'Num Outputs', 'type': 'integer'}, 'prompt': {'title': 'Prompt', 'type': 'string'}, 'quality': {'default': 'balanced', 'title': 'Quality', 'type': 'string'}, 'seed': {'anyOf': [{'type': 'integer'}, {'type': 'null'}], 'default': None, 'title': 'Seed'}, 'style': {'anyOf': [{'type': 'string'}, {'type': 'null'}], 'default': None, 'title': 'Style'}, 'width': {'anyOf': [{'type': 'integer'}, {'type': 'null'}], 'default': None, 'title': 'Width'}}, 'required': ['prompt'], 'title': 'generate_imageArguments', 'type': 'object'}, description="""Generate an image using the specified parameters."""), # gerred/MCP Server Replicate/generate_image
    Tool(name="""MCP Server Replicate_list_models""", inputSchema={'properties': {'owner': {'anyOf': [{'type': 'string'}, {'type': 'null'}], 'default': None, 'title': 'Owner'}}, 'title': 'list_modelsArguments', 'type': 'object'}, description="""List available models on Replicate with optional filtering by owner."""), # gerred/MCP Server Replicate/list_models
    Tool(name="""MCP Server Replicate_search_models""", inputSchema={'properties': {'query': {'title': 'Query', 'type': 'string'}}, 'required': ['query'], 'title': 'search_modelsArguments', 'type': 'object'}, description="""Search for models using semantic search."""), # gerred/MCP Server Replicate/search_models
    Tool(name="""MCP Server Replicate_list_collections""", inputSchema={'properties': {}, 'title': 'list_collectionsArguments', 'type': 'object'}, description="""List available model collections on Replicate."""), # gerred/MCP Server Replicate/list_collections
    Tool(name="""MCP Server Replicate_get_collection_details""", inputSchema={'properties': {'collection_slug': {'title': 'Collection Slug', 'type': 'string'}}, 'required': ['collection_slug'], 'title': 'get_collection_detailsArguments', 'type': 'object'}, description="""Get detailed information about a specific collection."""), # gerred/MCP Server Replicate/get_collection_details
    Tool(name="""MCP Server Replicate_list_hardware""", inputSchema={'properties': {}, 'title': 'list_hardwareArguments', 'type': 'object'}, description="""List available hardware options for running models."""), # gerred/MCP Server Replicate/list_hardware
    Tool(name="""MCP Server Replicate_list_templates""", inputSchema={'properties': {}, 'title': 'list_templatesArguments', 'type': 'object'}, description="""List all available templates with their schemas."""), # gerred/MCP Server Replicate/list_templates
    Tool(name="""MCP Server Replicate_validate_template_parameters""", inputSchema={'properties': {'input': {'title': 'Input', 'type': 'object'}}, 'required': ['input'], 'title': 'validate_template_parametersArguments', 'type': 'object'}, description="""Validate parameters against a template schema."""), # gerred/MCP Server Replicate/validate_template_parameters
    Tool(name="""MCP Server Replicate_create_prediction""", inputSchema={'properties': {'confirmed': {'default': False, 'title': 'Confirmed', 'type': 'boolean'}, 'input': {'title': 'Input', 'type': 'object'}}, 'required': ['input'], 'title': 'create_predictionArguments', 'type': 'object'}, description="""Create a new prediction using a specific model version on Replicate.\n\n        Args:\n            input: Model input parameters including version or model details\n            confirmed: Whether the user has explicitly confirmed the generation\n\n        Returns:\n            Prediction details if confirmed, or a confirmation request if not\n        """), # gerred/MCP Server Replicate/create_prediction
    Tool(name="""MCP Server Replicate_get_prediction""", inputSchema={'properties': {'max_retries': {'anyOf': [{'type': 'integer'}, {'type': 'null'}], 'default': None, 'title': 'Max Retries'}, 'prediction_id': {'title': 'Prediction Id', 'type': 'string'}, 'wait': {'default': False, 'title': 'Wait', 'type': 'boolean'}}, 'required': ['prediction_id'], 'title': 'get_predictionArguments', 'type': 'object'}, description="""Get the status and results of a prediction."""), # gerred/MCP Server Replicate/get_prediction
    Tool(name="""MCP Server Replicate_cancel_prediction""", inputSchema={'properties': {'prediction_id': {'title': 'Prediction Id', 'type': 'string'}}, 'required': ['prediction_id'], 'title': 'cancel_predictionArguments', 'type': 'object'}, description="""Cancel a running prediction."""), # gerred/MCP Server Replicate/cancel_prediction
    Tool(name="""MCP Server Replicate_get_webhook_secret""", inputSchema={'properties': {}, 'title': 'get_webhook_secretArguments', 'type': 'object'}, description="""Get the signing secret for verifying webhook requests."""), # gerred/MCP Server Replicate/get_webhook_secret
    Tool(name="""MCP Server Replicate_verify_webhook""", inputSchema={'$defs': {'WebhookEvent': {'description': 'A webhook event from Replicate.', 'properties': {'data': {'description': 'Event-specific data payload', 'title': 'Data', 'type': 'object'}, 'prediction_id': {'description': 'ID of the prediction that triggered this event', 'title': 'Prediction Id', 'type': 'string'}, 'timestamp': {'description': 'When this event occurred', 'format': 'date-time', 'title': 'Timestamp', 'type': 'string'}, 'type': {'$ref': '#/$defs/WebhookEventType'}}, 'required': ['type', 'prediction_id', 'timestamp', 'data'], 'title': 'WebhookEvent', 'type': 'object'}, 'WebhookEventType': {'description': 'Types of events that can trigger webhooks.', 'enum': ['start', 'output', 'logs', 'completed'], 'title': 'WebhookEventType', 'type': 'string'}, 'WebhookPayload': {'description': 'The full payload of a webhook request.', 'properties': {'event': {'$ref': '#/$defs/WebhookEvent'}, 'prediction': {'description': 'Full prediction object at time of event', 'title': 'Prediction', 'type': 'object'}}, 'required': ['event', 'prediction'], 'title': 'WebhookPayload', 'type': 'object'}}, 'properties': {'payload': {'$ref': '#/$defs/WebhookPayload'}, 'secret': {'title': 'Secret', 'type': 'string'}, 'signature': {'title': 'Signature', 'type': 'string'}}, 'required': ['payload', 'signature', 'secret'], 'title': 'verify_webhookArguments', 'type': 'object'}, description="""Verify that a webhook request came from Replicate using HMAC-SHA256.\n\n        Args:\n            payload: The webhook payload to verify\n            signature: The signature from the X-Replicate-Signature header\n            secret: The webhook signing secret from get_webhook_secret\n\n        Returns:\n            True if signature is valid, False otherwise\n        """), # gerred/MCP Server Replicate/verify_webhook
    Tool(name="""MCP Server Replicate_search_available_models""", inputSchema={'properties': {'query': {'title': 'Query', 'type': 'string'}, 'style': {'anyOf': [{'type': 'string'}, {'type': 'null'}], 'default': None, 'title': 'Style'}}, 'required': ['query'], 'title': 'search_available_modelsArguments', 'type': 'object'}, description="""Search for available models matching the query.\n\n        Args:\n            query: Search query describing the desired model\n            style: Optional style to filter by\n\n        Returns:\n            List of matching models with scores\n        """), # gerred/MCP Server Replicate/search_available_models
    Tool(name="""MCP Server Replicate_get_model_details""", inputSchema={'properties': {'model_id': {'title': 'Model Id', 'type': 'string'}}, 'required': ['model_id'], 'title': 'get_model_detailsArguments', 'type': 'object'}, description="""Get detailed information about a specific model.\n\n        Args:\n            model_id: Model identifier in format owner/name\n\n        Returns:\n            Detailed model information\n        """), # gerred/MCP Server Replicate/get_model_details
    Tool(name="""MCP Server Replicate_subscribe_to_generation""", inputSchema={'$defs': {'SubscriptionRequest': {'description': 'Request model for subscription operations.', 'properties': {'session_id': {'description': 'ID of the session making the request', 'title': 'Session Id', 'type': 'string'}, 'uri': {'description': 'Resource URI to subscribe to', 'title': 'Uri', 'type': 'string'}}, 'required': ['uri', 'session_id'], 'title': 'SubscriptionRequest', 'type': 'object'}}, 'properties': {'request': {'$ref': '#/$defs/SubscriptionRequest'}}, 'required': ['request'], 'title': 'subscribe_to_generationArguments', 'type': 'object'}, description="""Handle resource subscription requests."""), # gerred/MCP Server Replicate/subscribe_to_generation
    Tool(name="""MCP Server Replicate_unsubscribe_from_generation""", inputSchema={'$defs': {'SubscriptionRequest': {'description': 'Request model for subscription operations.', 'properties': {'session_id': {'description': 'ID of the session making the request', 'title': 'Session Id', 'type': 'string'}, 'uri': {'description': 'Resource URI to subscribe to', 'title': 'Uri', 'type': 'string'}}, 'required': ['uri', 'session_id'], 'title': 'SubscriptionRequest', 'type': 'object'}}, 'properties': {'request': {'$ref': '#/$defs/SubscriptionRequest'}}, 'required': ['request'], 'title': 'unsubscribe_from_generationArguments', 'type': 'object'}, description="""Handle resource unsubscribe requests."""), # gerred/MCP Server Replicate/unsubscribe_from_generation
    Tool(name="""MCP Server Replicate_open_image_with_system""", inputSchema={'properties': {'image_url': {'title': 'Image Url', 'type': 'string'}}, 'required': ['image_url'], 'title': 'open_image_with_systemArguments', 'type': 'object'}, description="""Open an image URL with the system's default application.\n\n        Args:\n            image_url: URL of the image to open\n\n        Returns:\n            Dict containing status of the operation\n        """), # gerred/MCP Server Replicate/open_image_with_system
    Tool(name="""IAC Memory MCP Server_get_terraform_provider_info""", inputSchema={'description': 'Retrieve comprehensive information about a Terraform provider', 'properties': {'provider_name': {'description': 'Name of the Terraform provider', 'type': 'string'}}, 'required': ['provider_name'], 'type': 'object'}, description="""Retrieve comprehensive information about a Terraform provider"""), # AgentWong/IAC Memory MCP Server/get_terraform_provider_info
    Tool(name="""IAC Memory MCP Server_list_terraform_providers""", inputSchema={'description': 'List all cached Terraform providers with basic metadata', 'properties': {'filter_criteria': {'description': 'Optional filtering criteria', 'properties': {'name_pattern': {'description': 'Regex pattern to filter provider names', 'type': 'string'}}, 'type': 'object'}}, 'required': [], 'type': 'object'}, description="""List all cached Terraform providers with basic metadata"""), # AgentWong/IAC Memory MCP Server/list_terraform_providers
    Tool(name="""IAC Memory MCP Server_get_provider_version_history""", inputSchema={'description': 'Retrieve version history for a specific Terraform provider', 'properties': {'provider_name': {'description': 'Name of the Terraform provider', 'type': 'string'}}, 'required': ['provider_name'], 'type': 'object'}, description="""Retrieve version history for a specific Terraform provider"""), # AgentWong/IAC Memory MCP Server/get_provider_version_history
    Tool(name="""IAC Memory MCP Server_get_terraform_resource_info""", inputSchema={'description': 'Retrieve comprehensive information about a Terraform resource including schema and documentation', 'properties': {'provider_name': {'description': 'Name of the Terraform provider', 'type': 'string'}, 'resource_name': {'description': 'Name of the resource', 'type': 'string'}}, 'required': ['provider_name', 'resource_name'], 'type': 'object'}, description="""Retrieve comprehensive information about a Terraform resource including schema and documentation"""), # AgentWong/IAC Memory MCP Server/get_terraform_resource_info
    Tool(name="""IAC Memory MCP Server_list_provider_resources""", inputSchema={'description': 'List all resources associated with a specific Terraform provider', 'properties': {'filter_criteria': {'description': 'Optional filtering criteria', 'properties': {'type_pattern': {'description': 'Regex pattern to filter resource types', 'type': 'string'}}, 'type': 'object'}, 'provider_name': {'description': 'Name of the Terraform provider', 'type': 'string'}}, 'required': ['provider_name'], 'type': 'object'}, description="""List all resources associated with a specific Terraform provider"""), # AgentWong/IAC Memory MCP Server/list_provider_resources
    Tool(name="""IAC Memory MCP Server_get_ansible_collection_info""", inputSchema={'description': 'Retrieve comprehensive information about an Ansible collection', 'properties': {'collection_name': {'description': 'Name of the Ansible collection', 'type': 'string'}}, 'required': ['collection_name'], 'type': 'object'}, description="""Retrieve comprehensive information about an Ansible collection"""), # AgentWong/IAC Memory MCP Server/get_ansible_collection_info
    Tool(name="""IAC Memory MCP Server_list_ansible_collections""", inputSchema={'description': 'List all cached Ansible collections with basic metadata', 'properties': {'filter_criteria': {'description': 'Optional filtering criteria', 'properties': {'name_pattern': {'description': 'Regex pattern to filter collection names', 'type': 'string'}}, 'type': 'object'}}, 'required': [], 'type': 'object'}, description="""List all cached Ansible collections with basic metadata"""), # AgentWong/IAC Memory MCP Server/list_ansible_collections
    Tool(name="""IAC Memory MCP Server_get_collection_version_history""", inputSchema={'description': 'Retrieve version history for a specific Ansible collection', 'properties': {'collection_name': {'description': 'Name of the Ansible collection', 'type': 'string'}}, 'required': ['collection_name'], 'type': 'object'}, description="""Retrieve version history for a specific Ansible collection"""), # AgentWong/IAC Memory MCP Server/get_collection_version_history
    Tool(name="""IAC Memory MCP Server_get_ansible_module_info""", inputSchema={'description': 'Retrieve comprehensive information about an Ansible module including schema and documentation', 'properties': {'collection_name': {'description': 'Name of the Ansible collection', 'type': 'string'}, 'module_name': {'description': 'Name of the module', 'type': 'string'}}, 'required': ['collection_name', 'module_name'], 'type': 'object'}, description="""Retrieve comprehensive information about an Ansible module including schema and documentation"""), # AgentWong/IAC Memory MCP Server/get_ansible_module_info
    Tool(name="""IAC Memory MCP Server_get_resource_version_compatibility""", inputSchema={'description': 'Check resource compatibility across provider versions', 'properties': {'provider_name': {'description': 'Name of the Terraform provider', 'type': 'string'}, 'resource_name': {'description': 'Name of the resource to check', 'type': 'string'}, 'version': {'description': 'Target provider version to check compatibility against', 'type': 'string'}}, 'required': ['provider_name', 'resource_name', 'version'], 'type': 'object'}, description="""Check resource compatibility across provider versions"""), # AgentWong/IAC Memory MCP Server/get_resource_version_compatibility
    Tool(name="""IAC Memory MCP Server_add_terraform_provider""", inputSchema={'description': 'Add a new Terraform provider to the memory store with version and documentation information', 'properties': {'doc_url': {'description': 'Documentation URL', 'type': 'string'}, 'name': {'description': 'Provider name', 'type': 'string'}, 'source_url': {'description': 'Source repository URL', 'type': 'string'}, 'version': {'description': 'Provider version', 'type': 'string'}}, 'required': ['name', 'version', 'source_url', 'doc_url'], 'type': 'object'}, description="""Add a new Terraform provider to the memory store with version and documentation information"""), # AgentWong/IAC Memory MCP Server/add_terraform_provider
    Tool(name="""IAC Memory MCP Server_update_provider_version""", inputSchema={'description': "Update an existing Terraform provider's version information and documentation links", 'properties': {'new_doc_url': {'description': 'New documentation URL', 'type': 'string'}, 'new_source_url': {'description': 'New source URL', 'type': 'string'}, 'new_version': {'description': 'New version', 'type': 'string'}, 'provider_name': {'description': 'Name of the provider', 'type': 'string'}}, 'required': ['provider_name', 'new_version'], 'type': 'object'}, description="""Update an existing Terraform provider's version information and documentation links"""), # AgentWong/IAC Memory MCP Server/update_provider_version
    Tool(name="""IAC Memory MCP Server_add_terraform_resource""", inputSchema={'description': 'Add a new Terraform resource definition with its schema and version information', 'properties': {'doc_url': {'description': 'Documentation URL', 'type': 'string'}, 'name': {'description': 'Resource name', 'type': 'string'}, 'provider_id': {'description': 'Provider ID', 'type': 'string'}, 'resource_type': {'description': 'Resource type', 'type': 'string'}, 'schema': {'description': 'Resource schema', 'type': 'string'}, 'version': {'description': 'Resource version', 'type': 'string'}}, 'required': ['provider', 'name', 'resource_type', 'schema', 'version', 'doc_url'], 'type': 'object'}, description="""Add a new Terraform resource definition with its schema and version information"""), # AgentWong/IAC Memory MCP Server/add_terraform_resource
    Tool(name="""IAC Memory MCP Server_update_resource_schema""", inputSchema={'description': "Update an existing Terraform resource's schema and related information", 'properties': {'new_doc_url': {'description': 'New documentation URL', 'type': 'string'}, 'new_schema': {'description': 'New schema', 'type': 'string'}, 'new_version': {'description': 'New version', 'type': 'string'}, 'resource_id': {'description': 'Resource ID', 'type': 'string'}}, 'required': ['resource_id', 'new_schema'], 'type': 'object'}, description="""Update an existing Terraform resource's schema and related information"""), # AgentWong/IAC Memory MCP Server/update_resource_schema
    Tool(name="""IAC Memory MCP Server_add_ansible_collection""", inputSchema={'description': 'Add a new Ansible collection to the memory store with version and documentation information', 'properties': {'doc_url': {'description': 'Documentation URL', 'type': 'string'}, 'name': {'description': 'Collection name', 'type': 'string'}, 'source_url': {'description': 'Source repository URL', 'type': 'string'}, 'version': {'description': 'Collection version', 'type': 'string'}}, 'required': ['name', 'version', 'source_url', 'doc_url'], 'type': 'object'}, description="""Add a new Ansible collection to the memory store with version and documentation information"""), # AgentWong/IAC Memory MCP Server/add_ansible_collection
    Tool(name="""IAC Memory MCP Server_update_collection_version""", inputSchema={'description': "Update an existing Ansible collection's version information and documentation links", 'properties': {'collection_id': {'description': 'Collection ID', 'type': 'string'}, 'new_doc_url': {'description': 'New documentation URL', 'type': 'string'}, 'new_source_url': {'description': 'New source URL', 'type': 'string'}, 'new_version': {'description': 'New version', 'type': 'string'}}, 'required': ['collection_id', 'new_version'], 'type': 'object'}, description="""Update an existing Ansible collection's version information and documentation links"""), # AgentWong/IAC Memory MCP Server/update_collection_version
    Tool(name="""IAC Memory MCP Server_add_ansible_module""", inputSchema={'description': 'Add a new Ansible module definition with its schema and version information', 'properties': {'collection': {'description': 'Collection ID or name', 'type': 'string'}, 'doc_url': {'description': 'Documentation URL', 'type': 'string'}, 'module_type': {'description': 'Module type', 'type': 'string'}, 'name': {'description': 'Module name', 'type': 'string'}, 'schema': {'description': 'Module schema', 'type': 'string'}, 'version': {'description': 'Module version', 'type': 'string'}}, 'required': ['collection', 'name', 'module_type', 'schema', 'version', 'doc_url'], 'type': 'object'}, description="""Add a new Ansible module definition with its schema and version information"""), # AgentWong/IAC Memory MCP Server/add_ansible_module
    Tool(name="""IAC Memory MCP Server_update_module_version""", inputSchema={'description': "Update an existing Ansible module's schema and related information", 'properties': {'module_id': {'description': 'Module ID', 'type': 'string'}, 'new_doc_url': {'description': 'New documentation URL', 'type': 'string'}, 'new_schema': {'description': 'New schema', 'type': 'string'}, 'new_version': {'description': 'New version', 'type': 'string'}}, 'required': ['module_id', 'new_schema'], 'type': 'object'}, description="""Update an existing Ansible module's schema and related information"""), # AgentWong/IAC Memory MCP Server/update_module_version
    Tool(name="""IAC Memory MCP Server_get_module_version_compatibility""", inputSchema={'description': 'Check module compatibility across collection versions', 'properties': {'collection_name': {'description': 'Name of the Ansible collection', 'type': 'string'}, 'module_name': {'description': 'Name of the module to check', 'type': 'string'}, 'version': {'description': 'Target collection version to check compatibility against', 'type': 'string'}}, 'required': ['collection_name', 'module_name', 'version'], 'type': 'object'}, description="""Check module compatibility across collection versions"""), # AgentWong/IAC Memory MCP Server/get_module_version_compatibility
    Tool(name="""IAC Memory MCP Server_create_entity""", inputSchema={'description': 'Create a new entity in the knowledge graph with optional initial observations', 'properties': {'name': {'description': 'Entity name', 'type': 'string'}, 'observation': {'description': 'Initial observation', 'type': 'string'}, 'type': {'description': 'Entity type', 'type': 'string'}}, 'required': ['name', 'type'], 'type': 'object'}, description="""Create a new entity in the knowledge graph with optional initial observations"""), # AgentWong/IAC Memory MCP Server/create_entity
    Tool(name="""IAC Memory MCP Server_update_entity""", inputSchema={'description': "Update an existing entity's properties and add new observations", 'properties': {'id': {'description': 'Entity ID', 'type': 'string'}, 'name': {'description': 'New name', 'type': 'string'}, 'observation': {'description': 'New observation', 'type': 'string'}, 'type': {'description': 'New type', 'type': 'string'}}, 'required': ['id'], 'type': 'object'}, description="""Update an existing entity's properties and add new observations"""), # AgentWong/IAC Memory MCP Server/update_entity
    Tool(name="""IAC Memory MCP Server_delete_entity""", inputSchema={'description': 'Remove an entity and its relationships from the knowledge graph', 'properties': {'id': {'description': 'Entity ID', 'type': 'string'}}, 'required': ['id'], 'type': 'object'}, description="""Remove an entity and its relationships from the knowledge graph"""), # AgentWong/IAC Memory MCP Server/delete_entity
    Tool(name="""IAC Memory MCP Server_view_relationships""", inputSchema={'description': 'Retrieve all relationships and observations for a specific entity', 'properties': {'entity_id': {'description': 'Entity ID', 'type': 'string'}}, 'required': ['entity_id'], 'type': 'object'}, description="""Retrieve all relationships and observations for a specific entity"""), # AgentWong/IAC Memory MCP Server/view_relationships
    Tool(name="""Discord Raw API MCP Server_discord_api""", inputSchema={'properties': {'endpoint': {'description': "Discord API endpoint (e.g., 'guilds/{guild.id}/roles' or command like '/role create')", 'type': 'string'}, 'method': {'description': 'HTTP method (GET, POST, PUT, PATCH, DELETE)', 'enum': ['GET', 'POST', 'PUT', 'PATCH', 'DELETE'], 'type': 'string'}, 'payload': {'description': 'Optional request payload/body', 'type': 'object'}}, 'required': ['method', 'endpoint'], 'type': 'object'}, description="""Execute raw Discord API commands. Supports both REST API calls and application commands."""), # hanweg/Discord Raw API MCP Server/discord_api
    Tool(name="""MCP Neo4j Server_execute_query""", inputSchema={'properties': {'params': {'additionalProperties': True, 'description': 'Query parameters', 'type': 'object'}, 'query': {'description': 'Cypher query to execute', 'type': 'string'}}, 'required': ['query'], 'type': 'object'}, description="""Execute a Cypher query on Neo4j database"""), # da-okazaki/MCP Neo4j Server/execute_query
    Tool(name="""MCP Neo4j Server_create_node""", inputSchema={'properties': {'label': {'description': 'Node label', 'type': 'string'}, 'properties': {'additionalProperties': True, 'description': 'Node properties', 'type': 'object'}}, 'required': ['label', 'properties'], 'type': 'object'}, description="""Create a new node in Neo4j"""), # da-okazaki/MCP Neo4j Server/create_node
    Tool(name="""MCP Neo4j Server_create_relationship""", inputSchema={'properties': {'fromNodeId': {'description': 'ID of the source node', 'type': 'number'}, 'properties': {'additionalProperties': True, 'description': 'Relationship properties', 'type': 'object'}, 'toNodeId': {'description': 'ID of the target node', 'type': 'number'}, 'type': {'description': 'Relationship type', 'type': 'string'}}, 'required': ['fromNodeId', 'toNodeId', 'type'], 'type': 'object'}, description="""Create a relationship between two nodes"""), # da-okazaki/MCP Neo4j Server/create_relationship
    Tool(name="""Babashka MCP Server_execute""", inputSchema={'properties': {'code': {'description': 'Babashka code to execute', 'type': 'string'}, 'timeout': {'description': 'Timeout in milliseconds (default: 30000)', 'maximum': 300000, 'minimum': 1000, 'type': 'number'}}, 'required': ['code'], 'type': 'object'}, description="""Execute Babashka (bb) code"""), # bmorphism/Babashka MCP Server/execute
    Tool(name="""Obsidian MCP Server_get_vault_contents""", inputSchema={'properties': {'path': {'default': '', 'description': 'Vault: ', 'type': 'string'}}, 'type': 'object'}, description="""Obsidian Vault"""), # Sunwood-ai-labs/Obsidian MCP Server/get_vault_contents
    Tool(name="""Gemini Search MCP Server_search""", inputSchema={'properties': {'query': {'description': '', 'type': 'string'}}, 'required': ['query'], 'type': 'object'}, description="""Gemini 2.0Google"""), # Lorhlona/Gemini Search MCP Server/search
    Tool(name="""Gemini Search MCP Server_analyze_file""", inputSchema={'properties': {'file_path': {'description': 'PDF', 'type': 'string'}, 'query': {'description': '', 'type': 'string'}}, 'required': ['file_path'], 'type': 'object'}, description="""Gemini 2.0PDF"""), # Lorhlona/Gemini Search MCP Server/analyze_file
    Tool(name="""Gemini Search MCP Server_analyze_files""", inputSchema={'properties': {'file_paths': {'description': '', 'items': {'description': 'PDF', 'type': 'string'}, 'type': 'array'}, 'query': {'description': '', 'type': 'string'}}, 'required': ['file_paths'], 'type': 'object'}, description=""""""), # Lorhlona/Gemini Search MCP Server/analyze_files
    Tool(name="""Playwright Server MCP_playwright_navigate""", inputSchema={'properties': {'url': {'type': 'string'}}, 'required': ['url'], 'type': 'object'}, description="""Navigate to a URL,thip op will auto create a session"""), # blackwhite084/Playwright Server MCP/playwright_navigate
    Tool(name="""Playwright Server MCP_playwright_screenshot""", inputSchema={'properties': {'name': {'type': 'string'}, 'selector': {'description': 'CSS selector for element to screenshot,null is full page', 'type': 'string'}}, 'required': ['name'], 'type': 'object'}, description="""Take a screenshot of the current page or a specific element"""), # blackwhite084/Playwright Server MCP/playwright_screenshot
    Tool(name="""Playwright Server MCP_playwright_click""", inputSchema={'properties': {'selector': {'description': 'CSS selector for element to click', 'type': 'string'}}, 'required': ['selector'], 'type': 'object'}, description="""Click an element on the page using CSS selector"""), # blackwhite084/Playwright Server MCP/playwright_click
    Tool(name="""Playwright Server MCP_playwright_fill""", inputSchema={'properties': {'selector': {'description': 'CSS selector for input field', 'type': 'string'}, 'value': {'description': 'Value to fill', 'type': 'string'}}, 'required': ['selector', 'value'], 'type': 'object'}, description="""Fill out an input field"""), # blackwhite084/Playwright Server MCP/playwright_fill
    Tool(name="""Playwright Server MCP_playwright_evaluate""", inputSchema={'properties': {'script': {'description': 'JavaScript code to execute', 'type': 'string'}}, 'required': ['script'], 'type': 'object'}, description="""Execute JavaScript in the browser console"""), # blackwhite084/Playwright Server MCP/playwright_evaluate
    Tool(name="""Playwright Server MCP_playwright_click_text""", inputSchema={'properties': {'text': {'description': 'Text content of the element to click', 'type': 'string'}}, 'required': ['text'], 'type': 'object'}, description="""Click an element on the page by its text content"""), # blackwhite084/Playwright Server MCP/playwright_click_text
    Tool(name="""Playwright Server MCP_playwright_get_text_content""", inputSchema={'properties': {}, 'type': 'object'}, description="""Get the text content of all elements"""), # blackwhite084/Playwright Server MCP/playwright_get_text_content
    Tool(name="""Playwright Server MCP_playwright_get_html_content""", inputSchema={'properties': {'selector': {'description': 'CSS selector for the element', 'type': 'string'}}, 'required': ['selector'], 'type': 'object'}, description="""Get the HTML content of the page"""), # blackwhite084/Playwright Server MCP/playwright_get_html_content
    Tool(name="""Metaplex MCP Server_search_docs""", inputSchema={'properties': {'query': {'type': 'string'}}, 'required': ['query'], 'type': 'object'}, description="""Search Metaplex documentation"""), # aldrin-labs/Metaplex MCP Server/search_docs
    Tool(name="""Metaplex MCP Server_get_repo""", inputSchema={'properties': {'repo': {'type': 'string'}}, 'required': ['repo'], 'type': 'object'}, description="""Get Metaplaex repository details"""), # aldrin-labs/Metaplex MCP Server/get_repo
    Tool(name="""Metaplex MCP Server_search_code""", inputSchema={'properties': {'query': {'type': 'string'}, 'repo': {'type': 'string'}}, 'required': ['query'], 'type': 'object'}, description="""Search code in Metaplaex repositories"""), # aldrin-labs/Metaplex MCP Server/search_code
    Tool(name="""Say MCP Server_speak""", inputSchema={'properties': {'background': {'default': False, 'description': 'Run speech in background to unblock further MCP interaction', 'type': 'boolean'}, 'rate': {'default': 175, 'description': 'Speaking rate (words per minute)', 'maximum': 500, 'minimum': 1, 'type': 'number'}, 'text': {'description': 'Text to speak', 'type': 'string'}, 'voice': {'default': 'Alex', 'description': 'Voice to use (e.g., "Alex", "Victoria", "Daniel")', 'type': 'string'}}, 'required': ['text'], 'type': 'object'}, description="""Use macOS text-to-speech to speak text aloud"""), # bmorphism/Say MCP Server/speak
    Tool(name="""Say MCP Server_list_voices""", inputSchema={'properties': {}, 'type': 'object'}, description="""List available text-to-speech voices"""), # bmorphism/Say MCP Server/list_voices
    Tool(name="""npm-search-mcp-server_search_npm_packages""", inputSchema={'properties': {'query': {'description': 'Search query', 'type': 'string'}}, 'required': ['query'], 'type': 'object'}, description="""Search for npm packages"""), # btwiuse/npm-search-mcp-server/search_npm_packages
    Tool(name="""MCP Server Trello_get_cards_by_list_id""", inputSchema={'properties': {'listId': {'description': 'ID of the Trello list', 'type': 'string'}}, 'required': ['listId'], 'type': 'object'}, description="""Fetch cards from a specific Trello list"""), # delorenj/MCP Server Trello/get_cards_by_list_id
    Tool(name="""MCP Server Trello_get_lists""", inputSchema={'properties': {}, 'required': [], 'type': 'object'}, description="""Retrieve all lists from the specified board"""), # delorenj/MCP Server Trello/get_lists
    Tool(name="""MCP Server Trello_update_card_details""", inputSchema={'properties': {'cardId': {'description': 'ID of the card to update', 'type': 'string'}, 'description': {'description': 'New description for the card', 'type': 'string'}, 'dueDate': {'description': 'New due date for the card (ISO 8601 format)', 'type': 'string'}, 'labels': {'description': 'New array of label IDs for the card', 'items': {'type': 'string'}, 'type': 'array'}, 'name': {'description': 'New name for the card', 'type': 'string'}}, 'required': ['cardId'], 'type': 'object'}, description="""Update an existing card's details"""), # delorenj/MCP Server Trello/update_card_details
    Tool(name="""MCP Server Trello_archive_card""", inputSchema={'properties': {'cardId': {'description': 'ID of the card to archive', 'type': 'string'}}, 'required': ['cardId'], 'type': 'object'}, description="""Send a card to the archive"""), # delorenj/MCP Server Trello/archive_card
    Tool(name="""MCP Server Trello_add_list_to_board""", inputSchema={'properties': {'name': {'description': 'Name of the new list', 'type': 'string'}}, 'required': ['name'], 'type': 'object'}, description="""Add a new list to the board"""), # delorenj/MCP Server Trello/add_list_to_board
    Tool(name="""MCP Server Trello_archive_list""", inputSchema={'properties': {'listId': {'description': 'ID of the list to archive', 'type': 'string'}}, 'required': ['listId'], 'type': 'object'}, description="""Send a list to the archive"""), # delorenj/MCP Server Trello/archive_list
    Tool(name="""MCP Server Trello_get_recent_activity""", inputSchema={'properties': {'limit': {'description': 'Number of activities to fetch (default: 10)', 'type': 'number'}}, 'required': [], 'type': 'object'}, description="""Fetch recent activity on the Trello board"""), # delorenj/MCP Server Trello/get_recent_activity
    Tool(name="""MCP Server Trello_add_card_to_list""", inputSchema={'properties': {'description': {'description': 'Description of the card', 'type': 'string'}, 'dueDate': {'description': 'Due date for the card (ISO 8601 format)', 'type': 'string'}, 'labels': {'description': 'Array of label IDs to apply to the card', 'items': {'type': 'string'}, 'type': 'array'}, 'listId': {'description': 'ID of the list to add the card to', 'type': 'string'}, 'name': {'description': 'Name of the card', 'type': 'string'}}, 'required': ['listId', 'name'], 'type': 'object'}, description="""Add a new card to a specified list"""), # delorenj/MCP Server Trello/add_card_to_list
    Tool(name="""MCP Server Trello_get_my_cards""", inputSchema={'properties': {}, 'required': [], 'type': 'object'}, description="""Fetch all cards assigned to the current user"""), # delorenj/MCP Server Trello/get_my_cards
    Tool(name="""solana-docs-mcp-server_get_latest_docs""", inputSchema={'properties': {'section': {'description': 'Documentation section to fetch (e.g., "developing", "running-validator", "economics")', 'type': 'string'}}, 'required': ['section'], 'type': 'object'}, description="""Get latest Solana documentation sections"""), # aldrin-labs/solana-docs-mcp-server/get_latest_docs
    Tool(name="""solana-docs-mcp-server_search_docs""", inputSchema={'properties': {'query': {'description': 'Search query', 'type': 'string'}}, 'required': ['query'], 'type': 'object'}, description="""Search through Solana documentation"""), # aldrin-labs/solana-docs-mcp-server/search_docs
    Tool(name="""solana-docs-mcp-server_get_api_reference""", inputSchema={'properties': {'item': {'description': 'API item to look up (e.g., "transaction", "pubkey", "system_instruction")', 'type': 'string'}}, 'required': ['item'], 'type': 'object'}, description="""Get Solana SDK API reference details"""), # aldrin-labs/solana-docs-mcp-server/get_api_reference
    Tool(name="""mcp-server-firecrawl_firecrawl_scrape""", inputSchema={'properties': {'actions': {'description': 'List of actions to perform before scraping', 'items': {'properties': {'direction': {'description': 'Scroll direction', 'enum': ['up', 'down'], 'type': 'string'}, 'fullPage': {'description': 'Take full page screenshot', 'type': 'boolean'}, 'key': {'description': 'Key to press (for press action)', 'type': 'string'}, 'milliseconds': {'description': 'Time to wait in milliseconds (for wait action)', 'type': 'number'}, 'script': {'description': 'JavaScript code to execute', 'type': 'string'}, 'selector': {'description': 'CSS selector for the target element', 'type': 'string'}, 'text': {'description': 'Text to write (for write action)', 'type': 'string'}, 'type': {'description': 'Type of action to perform', 'enum': ['wait', 'click', 'screenshot', 'write', 'press', 'scroll', 'scrape', 'executeJavascript'], 'type': 'string'}}, 'required': ['type'], 'type': 'object'}, 'type': 'array'}, 'excludeTags': {'description': 'HTML tags to exclude from extraction', 'items': {'type': 'string'}, 'type': 'array'}, 'extract': {'description': 'Configuration for structured data extraction', 'properties': {'prompt': {'description': 'User prompt for LLM extraction', 'type': 'string'}, 'schema': {'description': 'Schema for structured data extraction', 'type': 'object'}, 'systemPrompt': {'description': 'System prompt for LLM extraction', 'type': 'string'}}, 'type': 'object'}, 'formats': {'description': "Content formats to extract (default: ['markdown'])", 'items': {'enum': ['markdown', 'html', 'rawHtml', 'screenshot', 'links', 'screenshot@fullPage', 'extract'], 'type': 'string'}, 'type': 'array'}, 'includeTags': {'description': 'HTML tags to specifically include in extraction', 'items': {'type': 'string'}, 'type': 'array'}, 'location': {'description': 'Location settings for scraping', 'properties': {'country': {'description': 'Country code for geolocation', 'type': 'string'}, 'languages': {'description': 'Language codes for content', 'items': {'type': 'string'}, 'type': 'array'}}, 'type': 'object'}, 'mobile': {'description': 'Use mobile viewport', 'type': 'boolean'}, 'onlyMainContent': {'description': 'Extract only the main content, filtering out navigation, footers, etc.', 'type': 'boolean'}, 'removeBase64Images': {'description': 'Remove base64 encoded images from output', 'type': 'boolean'}, 'skipTlsVerification': {'description': 'Skip TLS certificate verification', 'type': 'boolean'}, 'timeout': {'description': 'Maximum time in milliseconds to wait for the page to load', 'type': 'number'}, 'url': {'description': 'The URL to scrape', 'type': 'string'}, 'waitFor': {'description': 'Time in milliseconds to wait for dynamic content to load', 'type': 'number'}}, 'required': ['url'], 'type': 'object'}, description="""Scrape a single webpage with advanced options for content extraction. Supports various formats including markdown, HTML, and screenshots. Can execute custom actions like clicking or scrolling before scraping."""), # mendableai/mcp-server-firecrawl/firecrawl_scrape
    Tool(name="""mcp-server-firecrawl_firecrawl_map""", inputSchema={'properties': {'ignoreSitemap': {'description': 'Skip sitemap.xml discovery and only use HTML links', 'type': 'boolean'}, 'includeSubdomains': {'description': 'Include URLs from subdomains in results', 'type': 'boolean'}, 'limit': {'description': 'Maximum number of URLs to return', 'type': 'number'}, 'search': {'description': 'Optional search term to filter URLs', 'type': 'string'}, 'sitemapOnly': {'description': 'Only use sitemap.xml for discovery, ignore HTML links', 'type': 'boolean'}, 'url': {'description': 'Starting URL for URL discovery', 'type': 'string'}}, 'required': ['url'], 'type': 'object'}, description="""Discover URLs from a starting point. Can use both sitemap.xml and HTML link discovery."""), # mendableai/mcp-server-firecrawl/firecrawl_map
    Tool(name="""mcp-server-firecrawl_firecrawl_crawl""", inputSchema={'properties': {'allowBackwardLinks': {'description': 'Allow crawling links that point to parent directories', 'type': 'boolean'}, 'allowExternalLinks': {'description': 'Allow crawling links to external domains', 'type': 'boolean'}, 'deduplicateSimilarURLs': {'description': 'Remove similar URLs during crawl', 'type': 'boolean'}, 'excludePaths': {'description': 'URL paths to exclude from crawling', 'items': {'type': 'string'}, 'type': 'array'}, 'ignoreQueryParameters': {'description': 'Ignore query parameters when comparing URLs', 'type': 'boolean'}, 'ignoreSitemap': {'description': 'Skip sitemap.xml discovery', 'type': 'boolean'}, 'includePaths': {'description': 'Only crawl these URL paths', 'items': {'type': 'string'}, 'type': 'array'}, 'limit': {'description': 'Maximum number of pages to crawl', 'type': 'number'}, 'maxDepth': {'description': 'Maximum link depth to crawl', 'type': 'number'}, 'scrapeOptions': {'description': 'Options for scraping each page', 'properties': {'excludeTags': {'items': {'type': 'string'}, 'type': 'array'}, 'formats': {'items': {'enum': ['markdown', 'html', 'rawHtml', 'screenshot', 'links', 'screenshot@fullPage', 'extract'], 'type': 'string'}, 'type': 'array'}, 'includeTags': {'items': {'type': 'string'}, 'type': 'array'}, 'onlyMainContent': {'type': 'boolean'}, 'waitFor': {'type': 'number'}}, 'type': 'object'}, 'url': {'description': 'Starting URL for the crawl', 'type': 'string'}, 'webhook': {'oneOf': [{'description': 'Webhook URL to notify when crawl is complete', 'type': 'string'}, {'properties': {'headers': {'description': 'Custom headers for webhook requests', 'type': 'object'}, 'url': {'description': 'Webhook URL', 'type': 'string'}}, 'required': ['url'], 'type': 'object'}]}}, 'required': ['url'], 'type': 'object'}, description="""Start an asynchronous crawl of multiple pages from a starting URL. Supports depth control, path filtering, and webhook notifications."""), # mendableai/mcp-server-firecrawl/firecrawl_crawl
    Tool(name="""mcp-server-firecrawl_firecrawl_batch_scrape""", inputSchema={'properties': {'options': {'properties': {'excludeTags': {'items': {'type': 'string'}, 'type': 'array'}, 'formats': {'items': {'enum': ['markdown', 'html', 'rawHtml', 'screenshot', 'links', 'screenshot@fullPage', 'extract'], 'type': 'string'}, 'type': 'array'}, 'includeTags': {'items': {'type': 'string'}, 'type': 'array'}, 'onlyMainContent': {'type': 'boolean'}, 'waitFor': {'type': 'number'}}, 'type': 'object'}, 'urls': {'description': 'List of URLs to scrape', 'items': {'type': 'string'}, 'type': 'array'}}, 'required': ['urls'], 'type': 'object'}, description="""Scrape multiple URLs in batch mode. Returns a job ID that can be used to check status."""), # mendableai/mcp-server-firecrawl/firecrawl_batch_scrape
    Tool(name="""mcp-server-firecrawl_firecrawl_check_batch_status""", inputSchema={'properties': {'id': {'description': 'Batch job ID to check', 'type': 'string'}}, 'required': ['id'], 'type': 'object'}, description="""Check the status of a batch scraping job."""), # mendableai/mcp-server-firecrawl/firecrawl_check_batch_status
    Tool(name="""mcp-server-firecrawl_firecrawl_check_crawl_status""", inputSchema={'properties': {'id': {'description': 'Crawl job ID to check', 'type': 'string'}}, 'required': ['id'], 'type': 'object'}, description="""Check the status of a crawl job."""), # mendableai/mcp-server-firecrawl/firecrawl_check_crawl_status
    Tool(name="""mcp-server-firecrawl_firecrawl_search""", inputSchema={'properties': {'country': {'description': 'Country code for search results (default: us)', 'type': 'string'}, 'filter': {'description': 'Search filter', 'type': 'string'}, 'lang': {'description': 'Language code for search results (default: en)', 'type': 'string'}, 'limit': {'description': 'Maximum number of results to return (default: 5)', 'type': 'number'}, 'location': {'description': 'Location settings for search', 'properties': {'country': {'description': 'Country code for geolocation', 'type': 'string'}, 'languages': {'description': 'Language codes for content', 'items': {'type': 'string'}, 'type': 'array'}}, 'type': 'object'}, 'query': {'description': 'Search query string', 'type': 'string'}, 'scrapeOptions': {'description': 'Options for scraping search results', 'properties': {'formats': {'description': 'Content formats to extract from search results', 'items': {'enum': ['markdown', 'html', 'rawHtml'], 'type': 'string'}, 'type': 'array'}, 'onlyMainContent': {'description': 'Extract only the main content from results', 'type': 'boolean'}, 'waitFor': {'description': 'Time in milliseconds to wait for dynamic content', 'type': 'number'}}, 'type': 'object'}, 'tbs': {'description': 'Time-based search filter', 'type': 'string'}}, 'required': ['query'], 'type': 'object'}, description="""Search and retrieve content from web pages with optional scraping. Returns SERP results by default (url, title, description) or full page content when scrapeOptions are provided."""), # mendableai/mcp-server-firecrawl/firecrawl_search
    Tool(name="""mcp-server-firecrawl_firecrawl_extract""", inputSchema={'properties': {'allowExternalLinks': {'description': 'Allow extraction from external links', 'type': 'boolean'}, 'enableWebSearch': {'description': 'Enable web search for additional context', 'type': 'boolean'}, 'includeSubdomains': {'description': 'Include subdomains in extraction', 'type': 'boolean'}, 'prompt': {'description': 'Prompt for the LLM extraction', 'type': 'string'}, 'schema': {'description': 'JSON schema for structured data extraction', 'type': 'object'}, 'systemPrompt': {'description': 'System prompt for LLM extraction', 'type': 'string'}, 'urls': {'description': 'List of URLs to extract information from', 'items': {'type': 'string'}, 'type': 'array'}}, 'required': ['urls'], 'type': 'object'}, description="""Extract structured information from web pages using LLM. Supports both cloud AI and self-hosted LLM extraction."""), # mendableai/mcp-server-firecrawl/firecrawl_extract
    Tool(name="""mcp-server-firecrawl_firecrawl_deep_research""", inputSchema={'properties': {'maxDepth': {'description': 'Maximum depth of research iterations (1-10)', 'type': 'number'}, 'maxUrls': {'description': 'Maximum number of URLs to analyze (1-1000)', 'type': 'number'}, 'query': {'description': 'The query to research', 'type': 'string'}, 'timeLimit': {'description': 'Time limit in seconds (30-300)', 'type': 'number'}}, 'required': ['query'], 'type': 'object'}, description="""Conduct deep research on a query using web crawling, search, and AI analysis."""), # mendableai/mcp-server-firecrawl/firecrawl_deep_research
    Tool(name="""Playwright MCP Server_playwright_navigate""", inputSchema={'properties': {'url': {'type': 'string'}}, 'required': ['url'], 'type': 'object'}, description="""Navigate to a URL"""), # lebrodus/Playwright MCP Server/playwright_navigate
    Tool(name="""Playwright MCP Server_playwright_screenshot""", inputSchema={'properties': {'downloadsDir': {'description': "Custom downloads directory path (default: user's Downloads folder)", 'type': 'string'}, 'height': {'description': 'Height in pixels (default: 600)', 'type': 'number'}, 'name': {'description': 'Name for the screenshot', 'type': 'string'}, 'savePng': {'description': 'Save screenshot as PNG file (default: false)', 'type': 'boolean'}, 'selector': {'description': 'CSS selector for element to screenshot', 'type': 'string'}, 'storeBase64': {'description': 'Store screenshot in base64 format (default: true)', 'type': 'boolean'}, 'width': {'description': 'Width in pixels (default: 800)', 'type': 'number'}}, 'required': ['name'], 'type': 'object'}, description="""Take a screenshot of the current page or a specific element"""), # lebrodus/Playwright MCP Server/playwright_screenshot
    Tool(name="""Playwright MCP Server_playwright_click""", inputSchema={'properties': {'selector': {'description': 'CSS selector for element to click', 'type': 'string'}}, 'required': ['selector'], 'type': 'object'}, description="""Click an element on the page"""), # lebrodus/Playwright MCP Server/playwright_click
    Tool(name="""Playwright MCP Server_playwright_fill""", inputSchema={'properties': {'selector': {'description': 'CSS selector for input field', 'type': 'string'}, 'value': {'description': 'Value to fill', 'type': 'string'}}, 'required': ['selector', 'value'], 'type': 'object'}, description="""fill out an input field"""), # lebrodus/Playwright MCP Server/playwright_fill
    Tool(name="""Playwright MCP Server_playwright_select""", inputSchema={'properties': {'selector': {'description': 'CSS selector for element to select', 'type': 'string'}, 'value': {'description': 'Value to select', 'type': 'string'}}, 'required': ['selector', 'value'], 'type': 'object'}, description="""Select an element on the page with Select tag"""), # lebrodus/Playwright MCP Server/playwright_select
    Tool(name="""Playwright MCP Server_playwright_hover""", inputSchema={'properties': {'selector': {'description': 'CSS selector for element to hover', 'type': 'string'}}, 'required': ['selector'], 'type': 'object'}, description="""Hover an element on the page"""), # lebrodus/Playwright MCP Server/playwright_hover
    Tool(name="""Playwright MCP Server_playwright_evaluate""", inputSchema={'properties': {'script': {'description': 'JavaScript code to execute', 'type': 'string'}}, 'required': ['script'], 'type': 'object'}, description="""Execute JavaScript in the browser console"""), # lebrodus/Playwright MCP Server/playwright_evaluate
    Tool(name="""Playwright MCP Server_playwright_get""", inputSchema={'properties': {'url': {'description': 'URL to perform GET operation', 'type': 'string'}}, 'required': ['url'], 'type': 'object'}, description="""Perform an HTTP GET request"""), # lebrodus/Playwright MCP Server/playwright_get
    Tool(name="""Playwright MCP Server_playwright_post""", inputSchema={'properties': {'url': {'description': 'URL to perform POST operation', 'type': 'string'}, 'value': {'description': 'Data to post in the body', 'type': 'string'}}, 'required': ['url', 'value'], 'type': 'object'}, description="""Perform an HTTP POST request"""), # lebrodus/Playwright MCP Server/playwright_post
    Tool(name="""Playwright MCP Server_playwright_put""", inputSchema={'properties': {'url': {'description': 'URL to perform PUT operation', 'type': 'string'}, 'value': {'description': 'Data to PUT in the body', 'type': 'string'}}, 'required': ['url', 'value'], 'type': 'object'}, description="""Perform an HTTP PUT request"""), # lebrodus/Playwright MCP Server/playwright_put
    Tool(name="""Playwright MCP Server_playwright_patch""", inputSchema={'properties': {'url': {'description': 'URL to perform PUT operation', 'type': 'string'}, 'value': {'description': 'Data to PATCH in the body', 'type': 'string'}}, 'required': ['url', 'value'], 'type': 'object'}, description="""Perform an HTTP PATCH request"""), # lebrodus/Playwright MCP Server/playwright_patch
    Tool(name="""Playwright MCP Server_playwright_delete""", inputSchema={'properties': {'url': {'description': 'URL to perform DELETE operation', 'type': 'string'}}, 'required': ['url'], 'type': 'object'}, description="""Perform an HTTP DELETE request"""), # lebrodus/Playwright MCP Server/playwright_delete
    Tool(name="""WeCom Bot MCP Server_send_wecom_file""", inputSchema={'$defs': {'Context': {'description': 'Context object providing access to MCP capabilities.\n\nThis provides a cleaner interface to MCP\'s RequestContext functionality.\nIt gets injected into tool and resource functions that request it via type hints.\n\nTo use context in a tool function, add a parameter with the Context type annotation:\n\n```python\n@server.tool()\ndef my_tool(x: int, ctx: Context) -> str:\n    # Log messages to the client\n    ctx.info(f"Processing {x}")\n    ctx.debug("Debug info")\n    ctx.warning("Warning message")\n    ctx.error("Error message")\n\n    # Report progress\n    ctx.report_progress(50, 100)\n\n    # Access resources\n    data = ctx.read_resource("resource://data")\n\n    # Get request info\n    request_id = ctx.request_id\n    client_id = ctx.client_id\n\n    return str(x)\n```\n\nThe context parameter name can be anything as long as it\'s annotated with Context.\nThe context is optional - tools that don\'t need it can omit the parameter.', 'properties': {}, 'title': 'Context', 'type': 'object'}}, 'properties': {'ctx': {'anyOf': [{'$ref': '#/$defs/Context'}, {'type': 'null'}], 'default': None}, 'file_path': {'anyOf': [{'type': 'string'}, {'format': 'path', 'type': 'string'}], 'title': 'File Path'}}, 'required': ['file_path'], 'title': 'send_wecom_fileArguments', 'type': 'object'}, description="""Send file to WeCom.\n\n    Args:\n        file_path: Path to file\n        ctx: FastMCP context\n\n    Returns:\n        dict: Response containing status and message\n\n    Raises:\n        WeComError: If file is not found or API call fails\n\n    """), # loonghao/WeCom Bot MCP Server/send_wecom_file
    Tool(name="""WeCom Bot MCP Server_send_wecom_image""", inputSchema={'$defs': {'Context': {'description': 'Context object providing access to MCP capabilities.\n\nThis provides a cleaner interface to MCP\'s RequestContext functionality.\nIt gets injected into tool and resource functions that request it via type hints.\n\nTo use context in a tool function, add a parameter with the Context type annotation:\n\n```python\n@server.tool()\ndef my_tool(x: int, ctx: Context) -> str:\n    # Log messages to the client\n    ctx.info(f"Processing {x}")\n    ctx.debug("Debug info")\n    ctx.warning("Warning message")\n    ctx.error("Error message")\n\n    # Report progress\n    ctx.report_progress(50, 100)\n\n    # Access resources\n    data = ctx.read_resource("resource://data")\n\n    # Get request info\n    request_id = ctx.request_id\n    client_id = ctx.client_id\n\n    return str(x)\n```\n\nThe context parameter name can be anything as long as it\'s annotated with Context.\nThe context is optional - tools that don\'t need it can omit the parameter.', 'properties': {}, 'title': 'Context', 'type': 'object'}}, 'properties': {'ctx': {'anyOf': [{'$ref': '#/$defs/Context'}, {'type': 'null'}], 'default': None}, 'image_path': {'anyOf': [{'type': 'string'}, {'format': 'path', 'type': 'string'}], 'title': 'Image Path'}}, 'required': ['image_path'], 'title': 'send_wecom_imageArguments', 'type': 'object'}, description="""Send image to WeCom.\n\n    Args:\n        image_path: Path to image file or URL\n        ctx: FastMCP context\n\n    Returns:\n        dict: Response containing status and message\n\n    Raises:\n        WeComError: If image is not found or API call fails.\n\n    """), # loonghao/WeCom Bot MCP Server/send_wecom_image
    Tool(name="""WeCom Bot MCP Server_send_message""", inputSchema={'$defs': {'Context': {'description': 'Context object providing access to MCP capabilities.\n\nThis provides a cleaner interface to MCP\'s RequestContext functionality.\nIt gets injected into tool and resource functions that request it via type hints.\n\nTo use context in a tool function, add a parameter with the Context type annotation:\n\n```python\n@server.tool()\ndef my_tool(x: int, ctx: Context) -> str:\n    # Log messages to the client\n    ctx.info(f"Processing {x}")\n    ctx.debug("Debug info")\n    ctx.warning("Warning message")\n    ctx.error("Error message")\n\n    # Report progress\n    ctx.report_progress(50, 100)\n\n    # Access resources\n    data = ctx.read_resource("resource://data")\n\n    # Get request info\n    request_id = ctx.request_id\n    client_id = ctx.client_id\n\n    return str(x)\n```\n\nThe context parameter name can be anything as long as it\'s annotated with Context.\nThe context is optional - tools that don\'t need it can omit the parameter.', 'properties': {}, 'title': 'Context', 'type': 'object'}}, 'properties': {'content': {'title': 'Content', 'type': 'string'}, 'ctx': {'anyOf': [{'$ref': '#/$defs/Context'}, {'type': 'null'}], 'default': None}, 'mentioned_list': {'anyOf': [{'items': {'type': 'string'}, 'type': 'array'}, {'type': 'null'}], 'default': None, 'title': 'Mentioned List'}, 'mentioned_mobile_list': {'anyOf': [{'items': {'type': 'string'}, 'type': 'array'}, {'type': 'null'}], 'default': None, 'title': 'Mentioned Mobile List'}, 'msg_type': {'default': 'markdown', 'title': 'Msg Type', 'type': 'string'}}, 'required': ['content'], 'title': 'send_messageArguments', 'type': 'object'}, description="""Send message to WeCom.\n\n    Args:\n        content: Message content\n        msg_type: Message type (text, markdown)\n        mentioned_list: List of mentioned users\n        mentioned_mobile_list: List of mentioned mobile numbers\n        ctx: FastMCP context\n\n    Returns:\n        dict: Response containing status and message\n\n    Raises:\n        WeComError: If message sending fails\n\n    """), # loonghao/WeCom Bot MCP Server/send_message
    Tool(name="""Marginalia MCP Server_search-marginalia""", inputSchema={'properties': {'count': {'description': 'Number of results to return', 'maximum': 100, 'minimum': 1, 'type': 'number'}, 'index': {'description': 'Search index (corresponds to dropdown in main GUI)', 'minimum': 0, 'type': 'number'}, 'query': {'description': 'Search query', 'type': 'string'}}, 'required': ['query'], 'type': 'object'}, description="""Search the web using Marginalia Search"""), # bmorphism/Marginalia MCP Server/search-marginalia
    Tool(name="""Wikimedia MCP Server_search_content""", inputSchema={'properties': {'language': {'default': 'en', 'type': 'string'}, 'limit': {'default': 10, 'maximum': 50, 'minimum': 1, 'type': 'integer'}, 'project': {'default': 'wikipedia', 'type': 'string'}, 'query': {'type': 'string'}}, 'required': ['query'], 'type': 'object'}, description="""Full-text search across Wikimedia page content. Returns snippets matching the query. Parameters: query (required), limit (1-50), project (e.g., 'wikipedia'), language (e.g., 'en')"""), # privetin/Wikimedia MCP Server/search_content
    Tool(name="""Wikimedia MCP Server_get_page""", inputSchema={'properties': {'language': {'default': 'en', 'type': 'string'}, 'project': {'default': 'wikipedia', 'type': 'string'}, 'title': {'type': 'string'}}, 'required': ['title'], 'type': 'object'}, description="""Get Wikimedia page content, title, URL and last modified date. Parameters: title (required), project (e.g., 'wikipedia'), language (e.g., 'en')"""), # privetin/Wikimedia MCP Server/get_page
    Tool(name="""Wikimedia MCP Server_search_titles""", inputSchema={'properties': {'language': {'default': 'en', 'type': 'string'}, 'limit': {'default': 10, 'maximum': 100, 'minimum': 1, 'type': 'integer'}, 'project': {'default': 'wikipedia', 'type': 'string'}, 'query': {'type': 'string'}}, 'required': ['query'], 'type': 'object'}, description="""Search Wikimedia page titles starting with the query. Returns suggestions with descriptions. Parameters: query (required), limit (1-100), project (e.g., 'wikipedia'), language (e.g., 'en')"""), # privetin/Wikimedia MCP Server/search_titles
    Tool(name="""Wikimedia MCP Server_get_languages""", inputSchema={'properties': {'language': {'default': 'en', 'type': 'string'}, 'project': {'default': 'wikipedia', 'type': 'string'}, 'title': {'type': 'string'}}, 'required': ['title'], 'type': 'object'}, description="""Get versions of a Wikimedia page in other languages. Parameters: title (required), project (e.g., 'wikipedia'), language (e.g., 'en')"""), # privetin/Wikimedia MCP Server/get_languages
    Tool(name="""Wikimedia MCP Server_get_featured""", inputSchema={'properties': {'date': {'type': 'string'}, 'language': {'default': 'en', 'type': 'string'}, 'project': {'default': 'wikipedia', 'type': 'string'}}, 'type': 'object'}, description="""Get featured Wikimedia content for a date. Returns featured article, most read pages, and picture of the day. Parameters: date (YYYY/MM/DD, default today), project ('wikipedia' only), language (en/de/fr/es/ru/ja/zh)"""), # privetin/Wikimedia MCP Server/get_featured
    Tool(name="""Wikimedia MCP Server_get_on_this_day""", inputSchema={'properties': {'date': {'type': 'string'}, 'language': {'default': 'en', 'type': 'string'}, 'project': {'default': 'wikipedia', 'type': 'string'}, 'type': {'default': 'all', 'enum': ['all', 'selected', 'births', 'deaths', 'holidays', 'events'], 'type': 'string'}}, 'type': 'object'}, description="""Get historical events from Wikimedia for a date. Parameters: date (MM/DD, default today), type (all/selected/births/deaths/holidays/events), project ('wikipedia' only), language (en/de/fr/es/ru/ja/zh)"""), # privetin/Wikimedia MCP Server/get_on_this_day
    Tool(name="""MPC Tally API Server_list-daos""", inputSchema={'properties': {'afterCursor': {'description': 'Cursor for pagination', 'type': 'string'}, 'limit': {'description': 'Maximum number of DAOs to return (default: 20, max: 50)', 'type': 'number'}, 'sortBy': {'description': "How to sort the DAOs (default: popular). 'explore' prioritizes DAOs with live proposals", 'enum': ['id', 'name', 'explore', 'popular'], 'type': 'string'}}, 'type': 'object'}, description="""List DAOs on Tally sorted by specified criteria"""), # crazyrabbitLTC/MPC Tally API Server/list-daos
    Tool(name="""MPC Tally API Server_get-dao""", inputSchema={'properties': {'slug': {'description': "The DAO's slug (e.g., 'uniswap' or 'aave')", 'type': 'string'}}, 'required': ['slug'], 'type': 'object'}, description="""Get detailed information about a specific DAO"""), # crazyrabbitLTC/MPC Tally API Server/get-dao
    Tool(name="""MPC Tally API Server_list-delegates""", inputSchema={'properties': {'afterCursor': {'description': 'Cursor for pagination', 'type': 'string'}, 'hasDelegators': {'description': 'Filter for delegates with delegators', 'type': 'boolean'}, 'hasVotes': {'description': 'Filter for delegates with votes', 'type': 'boolean'}, 'isSeekingDelegation': {'description': 'Filter for delegates seeking delegation', 'type': 'boolean'}, 'limit': {'description': 'Maximum number of delegates to return (default: 20, max: 50)', 'type': 'number'}, 'organizationSlug': {'description': "The organization's slug (e.g., 'arbitrum')", 'type': 'string'}}, 'required': ['organizationSlug'], 'type': 'object'}, description="""List delegates for a specific organization with their metadata"""), # crazyrabbitLTC/MPC Tally API Server/list-delegates
    Tool(name="""MPC Tally API Server_get-delegators""", inputSchema={'properties': {'address': {'description': 'The Ethereum address to get delegators for (0x format)', 'type': 'string'}, 'afterCursor': {'description': 'Cursor for pagination', 'type': 'string'}, 'beforeCursor': {'description': 'Cursor for previous page pagination', 'type': 'string'}, 'governorId': {'description': 'Filter by specific governor ID', 'type': 'string'}, 'isDescending': {'description': 'Sort in descending order (default: true)', 'type': 'boolean'}, 'limit': {'description': 'Maximum number of delegators to return (default: 20, max: 50)', 'type': 'number'}, 'organizationSlug': {'description': "Filter by organization slug (e.g., 'uniswap'). Alternative to organizationId", 'type': 'string'}, 'sortBy': {'description': 'How to sort the delegators (default: id)', 'enum': ['id', 'votes'], 'type': 'string'}}, 'required': ['address', 'organizationSlug'], 'type': 'object'}, description="""Get list of delegators for a specific address"""), # crazyrabbitLTC/MPC Tally API Server/get-delegators
    Tool(name="""MPC Tally API Server_list-proposals""", inputSchema={'properties': {'afterCursor': {'description': 'Cursor for pagination (string ID)', 'type': 'string'}, 'beforeCursor': {'description': 'Cursor for previous page pagination (string ID)', 'type': 'string'}, 'includeArchived': {'description': 'Include archived proposals', 'type': 'boolean'}, 'isDescending': {'description': 'Sort in descending order (default: true)', 'type': 'boolean'}, 'isDraft': {'description': 'Filter for draft proposals', 'type': 'boolean'}, 'limit': {'description': 'Maximum number of proposals to return (default: 50, max: 50)', 'type': 'number'}, 'slug': {'description': "The slug of the DAO (e.g., 'uniswap')", 'type': 'string'}}, 'required': ['slug'], 'type': 'object'}, description="""List proposals for a specific DAO or organization using its slug"""), # crazyrabbitLTC/MPC Tally API Server/list-proposals
    Tool(name="""MPC Tally API Server_get-proposal""", inputSchema={'oneOf': [{'properties': {'id': {'description': "The proposal's Tally ID (globally unique across all governors)", 'type': 'string'}, 'includeArchived': {'description': 'Include archived proposals', 'type': 'boolean'}, 'isLatest': {'description': 'Get the latest version of the proposal', 'type': 'boolean'}}, 'required': ['id']}, {'properties': {'governorId': {'description': "The governor's ID (required when using onchainId)", 'type': 'string'}, 'includeArchived': {'description': 'Include archived proposals', 'type': 'boolean'}, 'isLatest': {'description': 'Get the latest version of the proposal', 'type': 'boolean'}, 'onchainId': {'description': "The proposal's onchain ID (only unique within a governor)", 'type': 'string'}}, 'required': ['onchainId', 'governorId']}], 'type': 'object'}, description="""Get detailed information about a specific proposal. You must provide either the Tally ID (globally unique) or both onchainId and governorId (unique within a governor)."""), # crazyrabbitLTC/MPC Tally API Server/get-proposal
    Tool(name="""MPC Tally API Server_get-address-votes""", inputSchema={'properties': {'address': {'description': 'The address to get votes for', 'type': 'string'}, 'afterCursor': {'description': 'Cursor for pagination', 'type': 'string'}, 'limit': {'description': 'Maximum number of votes to return (default: 20)', 'type': 'number'}, 'organizationSlug': {'description': 'The organization slug to get votes from', 'type': 'string'}}, 'required': ['address', 'organizationSlug'], 'type': 'object'}, description="""Get votes cast by an address for a specific organization"""), # crazyrabbitLTC/MPC Tally API Server/get-address-votes
    Tool(name="""MPC Tally API Server_get-address-created-proposals""", inputSchema={'properties': {'address': {'description': 'The Ethereum address to get created proposals for', 'type': 'string'}, 'afterCursor': {'description': 'Cursor for pagination', 'type': 'string'}, 'beforeCursor': {'description': 'Cursor for previous page pagination', 'type': 'string'}, 'limit': {'description': 'Maximum number of proposals to return (default: 20)', 'type': 'number'}, 'organizationSlug': {'description': 'The organization slug to get proposals from', 'type': 'string'}}, 'required': ['address', 'organizationSlug'], 'type': 'object'}, description="""Get proposals created by an address for a specific organization"""), # crazyrabbitLTC/MPC Tally API Server/get-address-created-proposals
    Tool(name="""MPC Tally API Server_get-address-daos-proposals""", inputSchema={'properties': {'address': {'description': 'The Ethereum address', 'type': 'string'}, 'afterCursor': {'description': 'Cursor for pagination', 'type': 'string'}, 'limit': {'description': 'Maximum number of proposals to return (default: 20, max: 50)', 'type': 'number'}, 'organizationSlug': {'description': 'The organization slug to get proposals from', 'type': 'string'}}, 'required': ['address', 'organizationSlug'], 'type': 'object'}, description="""Returns proposals from DAOs where a given address has participated (voted, proposed, etc.)"""), # crazyrabbitLTC/MPC Tally API Server/get-address-daos-proposals
    Tool(name="""MPC Tally API Server_get-address-received-delegations""", inputSchema={'properties': {'address': {'description': 'The Ethereum address to get received delegations for (0x format)', 'type': 'string'}, 'isDescending': {'description': 'Sort in descending order', 'type': 'boolean'}, 'limit': {'description': 'Maximum number of delegations to return (default: 20, max: 50)', 'type': 'number'}, 'organizationSlug': {'description': 'Filter by organization slug', 'type': 'string'}, 'sortBy': {'description': 'Field to sort by', 'enum': ['votes'], 'type': 'string'}}, 'required': ['address', 'organizationSlug'], 'type': 'object'}, description="""Returns delegations received by an address"""), # crazyrabbitLTC/MPC Tally API Server/get-address-received-delegations
    Tool(name="""MPC Tally API Server_get-delegate-statement""", inputSchema={'oneOf': [{'properties': {'address': {'description': "The delegate's Ethereum address", 'type': 'string'}, 'governorId': {'description': "The governor's ID", 'type': 'string'}}, 'required': ['governorId']}, {'properties': {'address': {'description': "The delegate's Ethereum address", 'type': 'string'}, 'organizationSlug': {'description': "The organization's slug (e.g., 'uniswap')", 'type': 'string'}}, 'required': ['organizationSlug']}], 'required': ['address'], 'type': 'object'}, description="""Get a delegate's statement for a specific governor or organization"""), # crazyrabbitLTC/MPC Tally API Server/get-delegate-statement
    Tool(name="""MPC Tally API Server_get-address-governances""", inputSchema={'properties': {'address': {'description': 'The Ethereum address to get governances for (0x format)', 'type': 'string'}}, 'required': ['address'], 'type': 'object'}, description="""Returns the list of governances (DAOs) an address has delegated to"""), # crazyrabbitLTC/MPC Tally API Server/get-address-governances
    Tool(name="""MPC Tally API Server_get-proposal-timeline""", inputSchema={'properties': {'proposalId': {'description': 'The ID of the proposal to get the timeline for', 'type': 'string'}}, 'required': ['proposalId'], 'type': 'object'}, description="""Get the timeline of events for a specific proposal"""), # crazyrabbitLTC/MPC Tally API Server/get-proposal-timeline
    Tool(name="""MPC Tally API Server_get-proposal-voters""", inputSchema={'properties': {'afterCursor': {'description': 'Cursor for pagination', 'type': 'string'}, 'beforeCursor': {'description': 'Cursor for previous page pagination', 'type': 'string'}, 'isDescending': {'description': 'Sort in descending order (true shows most recent/largest first)', 'type': 'boolean'}, 'limit': {'description': 'Maximum number of voters to return (default: 20)', 'type': 'number'}, 'proposalId': {'description': 'The ID of the proposal to get voters for', 'type': 'string'}, 'sortBy': {'description': "How to sort the voters ('id' sorts by date (default), 'amount' sorts by voting power)", 'enum': ['id', 'amount'], 'type': 'string'}}, 'required': ['proposalId'], 'type': 'object'}, description="""Get a list of all voters who have voted on a specific proposal"""), # crazyrabbitLTC/MPC Tally API Server/get-proposal-voters
    Tool(name="""MPC Tally API Server_get-address-metadata""", inputSchema={'properties': {'address': {'description': 'The Ethereum address to get metadata for (0x format)', 'type': 'string'}}, 'required': ['address'], 'type': 'object'}, description="""Get metadata information about a specific Ethereum address"""), # crazyrabbitLTC/MPC Tally API Server/get-address-metadata
    Tool(name="""MPC Tally API Server_get-proposal-security-analysis""", inputSchema={'properties': {'proposalId': {'description': 'The ID of the proposal to get security analysis for', 'type': 'string'}}, 'required': ['proposalId'], 'type': 'object'}, description="""Get security analysis for a specific proposal, including threat analysis and simulations"""), # crazyrabbitLTC/MPC Tally API Server/get-proposal-security-analysis
    Tool(name="""MPC Tally API Server_get-proposal-votes-cast""", inputSchema={'properties': {'id': {'description': "The proposal's ID", 'type': 'string'}}, 'required': ['id'], 'type': 'object'}, description="""Get vote statistics and formatted vote counts for a specific proposal"""), # crazyrabbitLTC/MPC Tally API Server/get-proposal-votes-cast
    Tool(name="""MPC Tally API Server_get-proposal-votes-cast-list""", inputSchema={'properties': {'id': {'description': "The proposal's Tally ID (globally unique across all governors)", 'type': 'string'}}, 'required': ['id'], 'type': 'object'}, description="""Get a list of votes cast for a specific proposal, including formatted vote amounts"""), # crazyrabbitLTC/MPC Tally API Server/get-proposal-votes-cast-list
    Tool(name="""MPC Tally API Server_get-governance-proposals-stats""", inputSchema={'properties': {'slug': {'description': "The DAO's slug (e.g., 'uniswap' or 'aave')", 'type': 'string'}}, 'required': ['slug'], 'type': 'object'}, description="""Get statistics about passed and failed proposals for a specific DAO"""), # crazyrabbitLTC/MPC Tally API Server/get-governance-proposals-stats
    Tool(name="""MCP Weather Server_get_hourly_weather""", inputSchema={'properties': {'location': {'title': 'Location', 'type': 'string'}}, 'required': ['location'], 'title': 'get_hourly_weatherArguments', 'type': 'object'}, description="""Get hourly weather forecast for a location."""), # adhikasp/MCP Weather Server/get_hourly_weather
    Tool(name="""MCP Scholarly Server_search-arxiv""", inputSchema={'properties': {'keyword': {'type': 'string'}}, 'required': ['keyword'], 'type': 'object'}, description="""Search arxiv for articles related to the given keyword."""), # adityak74/MCP Scholarly Server/search-arxiv
    Tool(name="""MCP Scholarly Server_search-google-scholar""", inputSchema={'properties': {'keyword': {'type': 'string'}}, 'required': ['keyword'], 'type': 'object'}, description="""Search google scholar for articles related to the given keyword."""), # adityak74/MCP Scholarly Server/search-google-scholar
    Tool(name="""MCP Etherscan Server_check-balance""", inputSchema={'properties': {'address': {'description': 'Ethereum address (0x format)', 'pattern': '^0x[a-fA-F0-9]{40}$', 'type': 'string'}}, 'required': ['address'], 'type': 'object'}, description="""Check the ETH balance of an Ethereum address"""), # crazyrabbitLTC/MCP Etherscan Server/check-balance
    Tool(name="""MCP Etherscan Server_get-transactions""", inputSchema={'properties': {'address': {'description': 'Ethereum address (0x format)', 'pattern': '^0x[a-fA-F0-9]{40}$', 'type': 'string'}, 'limit': {'description': 'Number of transactions to return (max 100)', 'maximum': 100, 'minimum': 1, 'type': 'number'}}, 'required': ['address'], 'type': 'object'}, description="""Get recent transactions for an Ethereum address"""), # crazyrabbitLTC/MCP Etherscan Server/get-transactions
    Tool(name="""MCP Etherscan Server_get-token-transfers""", inputSchema={'properties': {'address': {'description': 'Ethereum address (0x format)', 'pattern': '^0x[a-fA-F0-9]{40}$', 'type': 'string'}, 'limit': {'description': 'Number of transfers to return (max 100)', 'maximum': 100, 'minimum': 1, 'type': 'number'}}, 'required': ['address'], 'type': 'object'}, description="""Get ERC20 token transfers for an Ethereum address"""), # crazyrabbitLTC/MCP Etherscan Server/get-token-transfers
    Tool(name="""MCP Etherscan Server_get-contract-abi""", inputSchema={'properties': {'address': {'description': 'Contract address (0x format)', 'pattern': '^0x[a-fA-F0-9]{40}$', 'type': 'string'}}, 'required': ['address'], 'type': 'object'}, description="""Get the ABI for a smart contract"""), # crazyrabbitLTC/MCP Etherscan Server/get-contract-abi
    Tool(name="""MCP Etherscan Server_get-gas-prices""", inputSchema={'properties': {}, 'type': 'object'}, description="""Get current gas prices in Gwei"""), # crazyrabbitLTC/MCP Etherscan Server/get-gas-prices
    Tool(name="""MCP Etherscan Server_get-ens-name""", inputSchema={'properties': {'address': {'description': 'Ethereum address (0x format)', 'pattern': '^0x[a-fA-F0-9]{40}$', 'type': 'string'}}, 'required': ['address'], 'type': 'object'}, description="""Get the ENS name for an Ethereum address"""), # crazyrabbitLTC/MCP Etherscan Server/get-ens-name
    Tool(name="""Cursor MCP Server_get-alerts""", inputSchema={'properties': {'state': {'description': 'Two-letter state code (e.g. CA, NY)', 'type': 'string'}}, 'required': ['state'], 'type': 'object'}, description="""Get weather alerts for a state"""), # Buga-luga/Cursor MCP Server/get-alerts
    Tool(name="""Cursor MCP Server_get-forecast""", inputSchema={'properties': {'latitude': {'description': 'Latitude of the location', 'type': 'number'}, 'longitude': {'description': 'Longitude of the location', 'type': 'number'}}, 'required': ['latitude', 'longitude'], 'type': 'object'}, description="""Get weather forecast for a location"""), # Buga-luga/Cursor MCP Server/get-forecast
    Tool(name="""Postman MCP Server_run-collection""", inputSchema={'properties': {'collection': {'description': 'Path or URL to the Postman collection', 'type': 'string'}, 'environment': {'description': 'Optional path or URL to environment file', 'type': 'string'}, 'globals': {'description': 'Optional path or URL to globals file', 'type': 'string'}, 'iterationCount': {'description': 'Optional number of iterations to run', 'type': 'number'}}, 'required': ['collection'], 'type': 'object'}, description="""Run a Postman Collection using Newman"""), # shannonlal/Postman MCP Server/run-collection
    Tool(name="""MCP Screenshot Server_take_screenshot""", inputSchema={'properties': {'fullPage': {'description': 'Capture full scrollable page', 'type': 'boolean'}, 'height': {'description': 'Viewport height in pixels', 'maximum': 2160, 'minimum': 1, 'type': 'number'}, 'outputPath': {'description': 'Custom output path (optional)', 'type': 'string'}, 'url': {'description': 'URL to capture (can be http://, https://, or file:///)', 'type': 'string'}, 'width': {'description': 'Viewport width in pixels', 'maximum': 3840, 'minimum': 1, 'type': 'number'}}, 'required': ['url'], 'type': 'object'}, description="""Capture a screenshot of any web page or local GUI"""), # sethbang/MCP Screenshot Server/take_screenshot
    Tool(name="""UIFlowchartCreator_generate_ui_flow""", inputSchema={'additionalProperties': False, 'properties': {'fileExtensions': {'default': ['js', 'jsx', 'ts', 'tsx'], 'description': "List of file extensions to analyze (e.g., ['js', 'jsx', 'ts', 'tsx'] for React, ['ts', 'html'] for Angular)", 'items': {'type': 'string'}, 'type': 'array'}, 'isLocal': {'description': 'Whether to analyze a local repository (true) or GitHub repository (false)', 'type': 'boolean'}, 'owner': {'description': 'GitHub repository owner (required if isLocal is false)', 'type': 'string'}, 'repo': {'description': 'GitHub repository name (required if isLocal is false)', 'type': 'string'}, 'repoPath': {'description': 'Path to local repository or empty string for GitHub repos', 'type': 'string'}}, 'required': ['repoPath', 'isLocal'], 'type': 'object'}, description="""Generate a UI flow diagram by analyzing React/Angular repositories. This tool scans the codebase to identify components, their relationships, and the overall UI structure."""), # umshere/UIFlowchartCreator/generate_ui_flow
    Tool(name="""CoinGecko MCP Server_get-coins""", inputSchema={'properties': {'page': {'description': 'Page number (starts from 1, default: 1)', 'minimum': 1, 'type': 'number'}, 'pageSize': {'description': 'Results per page (default: 100, max: 1000)', 'maximum': 1000, 'minimum': 1, 'type': 'number'}}, 'type': 'object'}, description="""Get a paginated list of all supported coins on CoinGecko. Data up to March 9, 2025"""), # crazyrabbitLTC/CoinGecko MCP Server/get-coins
    Tool(name="""CoinGecko MCP Server_find-coin-ids""", inputSchema={'properties': {'coins': {'description': "Array of coin names or symbols to search for (e.g., ['BTC', 'ethereum', 'DOT'])", 'items': {'type': 'string'}, 'maxItems': 100, 'type': 'array'}}, 'required': ['coins'], 'type': 'object'}, description="""Find CoinGecko IDs for a list of coin names or symbols (case-insensitive). Data up to March 9, 2025"""), # crazyrabbitLTC/CoinGecko MCP Server/find-coin-ids
    Tool(name="""CoinGecko MCP Server_get-historical-data""", inputSchema={'properties': {'from_date': {'description': "Start date in YYYY-MM-DD format (e.g., '2024-01-01')", 'pattern': '^\\d{4}-\\d{2}-\\d{2}$', 'type': 'string'}, 'id': {'description': 'CoinGecko coin ID (use find-coin-ids to lookup)', 'type': 'string'}, 'interval': {'description': 'Data interval - affects maximum time range: 5m (up to 1 day), hourly (up to 90 days), daily (up to 365 days)', 'enum': ['5m', 'hourly', 'daily'], 'type': 'string'}, 'to_date': {'description': "End date in YYYY-MM-DD format (e.g., '2024-12-30')", 'pattern': '^\\d{4}-\\d{2}-\\d{2}$', 'type': 'string'}, 'vs_currency': {'description': "Target currency (e.g., 'usd', 'eur')", 'type': 'string'}}, 'required': ['id', 'vs_currency', 'from_date', 'to_date'], 'type': 'object'}, description="""Get historical price, market cap, and volume data for a specific coin. Data up to March 9, 2025"""), # crazyrabbitLTC/CoinGecko MCP Server/get-historical-data
    Tool(name="""CoinGecko MCP Server_refresh-cache""", inputSchema={'properties': {}, 'type': 'object'}, description="""Manually update the local cache of CoinGecko coin data (automatically refreshed periodically, only needed if seeing stale data)"""), # crazyrabbitLTC/CoinGecko MCP Server/refresh-cache
    Tool(name="""CoinGecko MCP Server_get-ohlc-data""", inputSchema={'properties': {'from_date': {'description': "Start date in YYYY-MM-DD format (e.g., '2024-01-01')", 'pattern': '^\\d{4}-\\d{2}-\\d{2}$', 'type': 'string'}, 'id': {'description': 'CoinGecko coin ID (use find-coin-ids to lookup)', 'type': 'string'}, 'interval': {'description': 'Data interval - daily (up to 180 days) or hourly (up to 31 days)', 'enum': ['daily', 'hourly'], 'type': 'string'}, 'to_date': {'description': "End date in YYYY-MM-DD format (e.g., '2024-12-30')", 'pattern': '^\\d{4}-\\d{2}-\\d{2}$', 'type': 'string'}, 'vs_currency': {'description': "Target currency (e.g., 'usd', 'eur')", 'type': 'string'}}, 'required': ['id', 'vs_currency', 'from_date', 'to_date', 'interval'], 'type': 'object'}, description="""Get OHLC (Open, High, Low, Close) data for a specific coin within a time range. Data up to March 9, 2025"""), # crazyrabbitLTC/CoinGecko MCP Server/get-ohlc-data
    Tool(name="""Supabase NextJS MCP Server_query_data""", inputSchema={'properties': {'filters': {'type': 'object'}, 'select': {'type': 'string'}, 'table': {'type': 'string'}}, 'required': ['table'], 'type': 'object'}, description="""Query data from Supabase"""), # tengfone/Supabase NextJS MCP Server/query_data
    Tool(name="""Supabase NextJS MCP Server_insert_record""", inputSchema={'properties': {'data': {'type': 'object'}, 'table': {'type': 'string'}}, 'required': ['table', 'data'], 'type': 'object'}, description="""Insert a record into Supabase"""), # tengfone/Supabase NextJS MCP Server/insert_record
    Tool(name="""Supabase NextJS MCP Server_update_record""", inputSchema={'properties': {'data': {'type': 'object'}, 'filters': {'type': 'object'}, 'table': {'type': 'string'}}, 'required': ['table', 'filters', 'data'], 'type': 'object'}, description="""Update a record in Supabase"""), # tengfone/Supabase NextJS MCP Server/update_record
    Tool(name="""Supabase NextJS MCP Server_delete_record""", inputSchema={'properties': {'filters': {'type': 'object'}, 'table': {'type': 'string'}}, 'required': ['table', 'filters'], 'type': 'object'}, description="""Delete a record from Supabase"""), # tengfone/Supabase NextJS MCP Server/delete_record
    Tool(name="""MCP GitHub Issue Server_get_issue_task""", inputSchema={'properties': {'url': {'description': 'GitHub issue URL (https://github.com/owner/repo/issues/number)', 'type': 'string'}}, 'required': ['url'], 'type': 'object'}, description="""Fetch GitHub issue details to use as a task"""), # sammcj/MCP GitHub Issue Server/get_issue_task
    Tool(name="""mcp2mqtt_set_pwm""", inputSchema={'properties': {'frequency': {'description': 'PWM(0-100)', 'type': 'integer'}}, 'required': ['frequency'], 'type': 'object'}, description="""PWM0-100"""), # mcp2everything/mcp2mqtt/set_pwm
    Tool(name="""mcp2mqtt_get_pico_info""", inputSchema={'properties': {}, 'required': [], 'type': 'object'}, description="""Pico"""), # mcp2everything/mcp2mqtt/get_pico_info
    Tool(name="""mcp2mqtt_led_control""", inputSchema={'properties': {'state': {'description': 'LED(on/off)', 'enum': ['on', 'off'], 'type': 'string'}}, 'required': ['state'], 'type': 'object'}, description="""LED"""), # mcp2everything/mcp2mqtt/led_control
    Tool(name="""OpenCTI MCP Server_get_latest_reports""", inputSchema={'properties': {'first': {'default': 10, 'description': '', 'type': 'number'}}, 'type': 'object'}, description="""OpenCTI"""), # Spathodea-Network/OpenCTI MCP Server/get_latest_reports
    Tool(name="""OpenCTI MCP Server_get_report_by_id""", inputSchema={'properties': {'id': {'description': 'ID', 'type': 'string'}}, 'required': ['id'], 'type': 'object'}, description="""IDOpenCTI"""), # Spathodea-Network/OpenCTI MCP Server/get_report_by_id
    Tool(name="""OpenCTI MCP Server_search_indicators""", inputSchema={'properties': {'first': {'default': 10, 'description': '', 'type': 'number'}, 'query': {'description': '', 'type': 'string'}}, 'required': ['query'], 'type': 'object'}, description="""OpenCTI"""), # Spathodea-Network/OpenCTI MCP Server/search_indicators
    Tool(name="""OpenCTI MCP Server_search_malware""", inputSchema={'properties': {'first': {'default': 10, 'description': '', 'type': 'number'}, 'query': {'description': '', 'type': 'string'}}, 'required': ['query'], 'type': 'object'}, description="""OpenCTI"""), # Spathodea-Network/OpenCTI MCP Server/search_malware
    Tool(name="""OpenCTI MCP Server_search_threat_actors""", inputSchema={'properties': {'first': {'default': 10, 'description': '', 'type': 'number'}, 'query': {'description': '', 'type': 'string'}}, 'required': ['query'], 'type': 'object'}, description="""OpenCTI"""), # Spathodea-Network/OpenCTI MCP Server/search_threat_actors
    Tool(name="""OpenCTI MCP Server_get_user_by_id""", inputSchema={'properties': {'id': {'description': 'ID', 'type': 'string'}}, 'required': ['id'], 'type': 'object'}, description="""ID"""), # Spathodea-Network/OpenCTI MCP Server/get_user_by_id
    Tool(name="""OpenCTI MCP Server_list_users""", inputSchema={'properties': {}, 'type': 'object'}, description=""""""), # Spathodea-Network/OpenCTI MCP Server/list_users
    Tool(name="""OpenCTI MCP Server_list_groups""", inputSchema={'properties': {'first': {'default': 10, 'description': '', 'type': 'number'}}, 'type': 'object'}, description=""""""), # Spathodea-Network/OpenCTI MCP Server/list_groups
    Tool(name="""OpenCTI MCP Server_list_attack_patterns""", inputSchema={'properties': {'first': {'default': 10, 'description': '', 'type': 'number'}}, 'type': 'object'}, description=""""""), # Spathodea-Network/OpenCTI MCP Server/list_attack_patterns
    Tool(name="""OpenCTI MCP Server_get_campaign_by_name""", inputSchema={'properties': {'name': {'description': '', 'type': 'string'}}, 'required': ['name'], 'type': 'object'}, description=""""""), # Spathodea-Network/OpenCTI MCP Server/get_campaign_by_name
    Tool(name="""OpenCTI MCP Server_list_connectors""", inputSchema={'properties': {}, 'type': 'object'}, description=""""""), # Spathodea-Network/OpenCTI MCP Server/list_connectors
    Tool(name="""OpenCTI MCP Server_list_status_templates""", inputSchema={'properties': {}, 'type': 'object'}, description=""""""), # Spathodea-Network/OpenCTI MCP Server/list_status_templates
    Tool(name="""OpenCTI MCP Server_get_file_by_id""", inputSchema={'properties': {'id': {'description': 'ID', 'type': 'string'}}, 'required': ['id'], 'type': 'object'}, description="""ID"""), # Spathodea-Network/OpenCTI MCP Server/get_file_by_id
    Tool(name="""OpenCTI MCP Server_list_files""", inputSchema={'properties': {}, 'type': 'object'}, description=""""""), # Spathodea-Network/OpenCTI MCP Server/list_files
    Tool(name="""OpenCTI MCP Server_list_marking_definitions""", inputSchema={'properties': {}, 'type': 'object'}, description=""""""), # Spathodea-Network/OpenCTI MCP Server/list_marking_definitions
    Tool(name="""OpenCTI MCP Server_list_labels""", inputSchema={'properties': {}, 'type': 'object'}, description=""""""), # Spathodea-Network/OpenCTI MCP Server/list_labels
    Tool(name="""MCP Package Docs Server_search_package_docs""", inputSchema={'properties': {'fuzzy': {'default': True, 'description': 'Enable fuzzy matching', 'type': 'boolean'}, 'language': {'description': 'Package language/ecosystem', 'enum': ['go', 'python', 'npm'], 'type': 'string'}, 'package': {'description': 'Package name to search within', 'type': 'string'}, 'projectPath': {'description': 'Optional path to project directory for local .npmrc files', 'type': 'string'}, 'query': {'description': 'Search query', 'type': 'string'}}, 'required': ['package', 'query', 'language'], 'type': 'object'}, description="""Search for symbols or content within package documentation"""), # sammcj/MCP Package Docs Server/search_package_docs
    Tool(name="""MCP Package Docs Server_describe_go_package""", inputSchema={'properties': {'package': {'description': 'Full package import path (e.g. encoding/json)', 'type': 'string'}, 'projectPath': {'description': 'Optional path to project directory for local .npmrc files', 'type': 'string'}, 'symbol': {'description': 'Optional symbol name to look up specific documentation', 'type': 'string'}}, 'required': ['package'], 'type': 'object'}, description="""Get a brief description of a Go package"""), # sammcj/MCP Package Docs Server/describe_go_package
    Tool(name="""MCP Package Docs Server_describe_python_package""", inputSchema={'properties': {'package': {'description': 'Package name (e.g. requests)', 'type': 'string'}, 'projectPath': {'description': 'Optional path to project directory for local .npmrc files', 'type': 'string'}, 'symbol': {'description': 'Optional symbol name to look up specific documentation', 'type': 'string'}}, 'required': ['package'], 'type': 'object'}, description="""Get a brief description of a Python package"""), # sammcj/MCP Package Docs Server/describe_python_package
    Tool(name="""MCP Package Docs Server_describe_npm_package""", inputSchema={'properties': {'package': {'description': 'Package name (e.g. axios)', 'type': 'string'}, 'projectPath': {'description': 'Optional path to project directory for local .npmrc files', 'type': 'string'}, 'version': {'description': 'Optional package version', 'type': 'string'}}, 'required': ['package'], 'type': 'object'}, description="""Get a brief description of an NPM package"""), # sammcj/MCP Package Docs Server/describe_npm_package
    Tool(name="""MCP Package Docs Server_get_npm_package_doc""", inputSchema={'properties': {'maxLength': {'description': 'Optional maximum length of the returned documentation', 'type': 'number'}, 'package': {'description': 'Package name (e.g. axios)', 'type': 'string'}, 'projectPath': {'description': 'Optional path to project directory for local .npmrc files', 'type': 'string'}, 'query': {'description': 'Optional search query to filter documentation content', 'type': 'string'}, 'section': {'description': "Optional section to retrieve (e.g. 'installation', 'api', 'examples')", 'type': 'string'}, 'version': {'description': 'Optional package version', 'type': 'string'}}, 'required': ['package'], 'type': 'object'}, description="""Get full documentation for an NPM package"""), # sammcj/MCP Package Docs Server/get_npm_package_doc
    Tool(name="""MCP Package Docs Server_lookup_go_doc""", inputSchema={'properties': {'package': {'description': 'Full package import path (e.g. encoding/json)', 'type': 'string'}, 'projectPath': {'description': 'Optional path to project directory for local .npmrc files', 'type': 'string'}, 'symbol': {'description': 'Optional symbol name to look up specific documentation', 'type': 'string'}}, 'required': ['package'], 'type': 'object'}, description="""[DEPRECATED] Use describe_go_package instead. Get a brief description of a Go package"""), # sammcj/MCP Package Docs Server/lookup_go_doc
    Tool(name="""MCP Package Docs Server_lookup_python_doc""", inputSchema={'properties': {'package': {'description': 'Package name (e.g. requests)', 'type': 'string'}, 'projectPath': {'description': 'Optional path to project directory for local .npmrc files', 'type': 'string'}, 'symbol': {'description': 'Optional symbol name to look up specific documentation', 'type': 'string'}}, 'required': ['package'], 'type': 'object'}, description="""[DEPRECATED] Use describe_python_package instead. Get a brief description of a Python package"""), # sammcj/MCP Package Docs Server/lookup_python_doc
    Tool(name="""MCP Package Docs Server_lookup_npm_doc""", inputSchema={'properties': {'package': {'description': 'Package name (e.g. axios)', 'type': 'string'}, 'projectPath': {'description': 'Optional path to project directory for local .npmrc files', 'type': 'string'}, 'version': {'description': 'Optional package version', 'type': 'string'}}, 'required': ['package'], 'type': 'object'}, description="""[DEPRECATED] Use describe_npm_package instead. Get a brief description of an NPM package"""), # sammcj/MCP Package Docs Server/lookup_npm_doc
    Tool(name="""MCP Package Docs Server_get_hover""", inputSchema={'properties': {'character': {'description': 'Zero-based character offset for hover position', 'type': 'number'}, 'content': {'description': 'The current content of the file', 'type': 'string'}, 'filePath': {'description': 'Absolute or relative path to the source file', 'type': 'string'}, 'languageId': {'description': "The language identifier (e.g., 'typescript', 'javascript')", 'type': 'string'}, 'line': {'description': 'Zero-based line number for hover position', 'type': 'number'}, 'projectRoot': {'description': 'Root directory of the project for resolving imports and node_modules', 'type': 'string'}}, 'required': ['languageId', 'filePath', 'content', 'line', 'character'], 'type': 'object'}, description="""Get hover information for a position in a document using Language Server Protocol"""), # sammcj/MCP Package Docs Server/get_hover
    Tool(name="""MCP Package Docs Server_get_completions""", inputSchema={'properties': {'character': {'description': 'Zero-based character offset for completion position', 'type': 'number'}, 'content': {'description': 'The current content of the file', 'type': 'string'}, 'filePath': {'description': 'Absolute or relative path to the source file', 'type': 'string'}, 'languageId': {'description': "The language identifier (e.g., 'typescript', 'javascript')", 'type': 'string'}, 'line': {'description': 'Zero-based line number for completion position', 'type': 'number'}, 'projectRoot': {'description': 'Root directory of the project for resolving imports and node_modules', 'type': 'string'}}, 'required': ['languageId', 'filePath', 'content', 'line', 'character'], 'type': 'object'}, description="""Get completion suggestions for a position in a document using Language Server Protocol"""), # sammcj/MCP Package Docs Server/get_completions
    Tool(name="""MCP Package Docs Server_get_diagnostics""", inputSchema={'properties': {'content': {'description': 'The current content of the file', 'type': 'string'}, 'filePath': {'description': 'Absolute or relative path to the source file', 'type': 'string'}, 'languageId': {'description': "The language identifier (e.g., 'typescript', 'javascript')", 'type': 'string'}, 'projectRoot': {'description': 'Root directory of the project for resolving imports and node_modules', 'type': 'string'}}, 'required': ['languageId', 'filePath', 'content'], 'type': 'object'}, description="""Get diagnostic information for a document using Language Server Protocol"""), # sammcj/MCP Package Docs Server/get_diagnostics
    Tool(name="""MCP Orchestrator Server_delete_task""", inputSchema={'properties': {'task_id': {'description': 'ID of the task to delete', 'type': 'string'}}, 'required': ['task_id'], 'type': 'object'}, description="""Delete a task if it has no dependents"""), # mokafari/MCP Orchestrator Server/delete_task
    Tool(name="""MCP Orchestrator Server_get_next_task""", inputSchema={'properties': {'instance_id': {'description': 'ID of the instance requesting work', 'type': 'string'}}, 'required': ['instance_id'], 'type': 'object'}, description="""Get the next available task"""), # mokafari/MCP Orchestrator Server/get_next_task
    Tool(name="""MCP Orchestrator Server_create_task""", inputSchema={'properties': {'dependencies': {'description': 'IDs of tasks that must be completed first', 'items': {'type': 'string'}, 'type': 'array'}, 'description': {'description': 'Description of the task', 'type': 'string'}, 'id': {'description': 'Unique identifier for the task', 'type': 'string'}}, 'required': ['id', 'description'], 'type': 'object'}, description="""Create a new task"""), # mokafari/MCP Orchestrator Server/create_task
    Tool(name="""MCP Orchestrator Server_update_task""", inputSchema={'properties': {'dependencies': {'description': 'New list of dependency task IDs', 'items': {'type': 'string'}, 'type': 'array'}, 'description': {'description': 'New description for the task', 'type': 'string'}, 'task_id': {'description': 'ID of the task to update', 'type': 'string'}}, 'required': ['task_id'], 'type': 'object'}, description="""Update an existing pending task"""), # mokafari/MCP Orchestrator Server/update_task
    Tool(name="""MCP Orchestrator Server_complete_task""", inputSchema={'properties': {'instance_id': {'description': 'ID of the instance completing the task', 'type': 'string'}, 'result': {'description': 'Result or output from the task', 'type': 'string'}, 'task_id': {'description': 'ID of the task to complete', 'type': 'string'}}, 'required': ['task_id', 'instance_id', 'result'], 'type': 'object'}, description="""Mark a task as completed"""), # mokafari/MCP Orchestrator Server/complete_task
    Tool(name="""MCP Orchestrator Server_get_task_status""", inputSchema={'properties': {}, 'required': [], 'type': 'object'}, description="""Get status of all tasks"""), # mokafari/MCP Orchestrator Server/get_task_status
    Tool(name="""MCP Orchestrator Server_get_task_details""", inputSchema={'properties': {'task_id': {'description': 'ID of the task to get details for', 'type': 'string'}}, 'required': ['task_id'], 'type': 'object'}, description="""Get details of a specific task"""), # mokafari/MCP Orchestrator Server/get_task_details
    Tool(name="""Google News MCP Server_google_news_search""", inputSchema={'properties': {'gl': {'default': 'us', 'description': 'Country code (e.g., us, uk)', 'type': 'string'}, 'hl': {'default': 'en', 'description': 'Language code (e.g., en)', 'type': 'string'}, 'publication_token': {'description': 'Publication token for specific publishers', 'type': 'string'}, 'q': {'description': 'Search query', 'type': 'string'}, 'section_token': {'description': 'Section token for specific sections', 'type': 'string'}, 'story_token': {'description': 'Story token for full coverage of a story', 'type': 'string'}, 'topic_token': {'description': 'Topic token for specific news topics', 'type': 'string'}}, 'type': 'object'}, description="""Search Google News for articles and news content. Results will be automatically categorized by topic."""), # ChanMeng666/Google News MCP Server/google_news_search
    Tool(name="""mcp-hn_get_stories""", inputSchema={'properties': {'num_stories': {'description': 'Number of stories to get', 'type': 'integer'}, 'story_type': {'description': 'Type of stories to get, one of: `top`, `new`, `ask_hn`, `show_hn`', 'type': 'string'}}, 'type': 'object'}, description="""Get stories from Hacker News. The options are `top`, `new`, `ask_hn`, `show_hn` for types of stories. This doesn't include the comments. Use `get_story_info` to get the comments."""), # erithwik/mcp-hn/get_stories
    Tool(name="""mcp-hn_get_user_info""", inputSchema={'properties': {'num_stories': {'description': 'Number of stories to get, defaults to 10', 'type': 'integer'}, 'user_name': {'description': 'Username of the user', 'type': 'string'}}, 'required': ['user_name'], 'type': 'object'}, description="""Get user info from Hacker News, including the stories they've submitted"""), # erithwik/mcp-hn/get_user_info
    Tool(name="""mcp-hn_search_stories""", inputSchema={'properties': {'num_results': {'description': 'Number of results to get, defaults to 10', 'type': 'integer'}, 'query': {'description': 'Search query', 'type': 'string'}, 'search_by_date': {'description': 'Search by date, defaults to False. If this is False, then we search by relevance, then points, then number of comments.', 'type': 'boolean'}}, 'required': ['query'], 'type': 'object'}, description="""Search stories from Hacker News. It is generally recommended to use simpler queries to get a broader set of results (less than 5 words). Very targetted queries may not return any results."""), # erithwik/mcp-hn/search_stories
    Tool(name="""mcp-hn_get_story_info""", inputSchema={'properties': {'story_id': {'description': 'Story ID', 'type': 'integer'}}, 'type': 'object'}, description="""Get detailed story info from Hacker News, including the comments"""), # erithwik/mcp-hn/get_story_info
    Tool(name="""Figma MCP Server_get-file""", inputSchema={'properties': {'fileKey': {'description': 'The Figma file key', 'type': 'string'}}, 'required': ['fileKey'], 'type': 'object'}, description="""Get details of a Figma file"""), # TimHolden/Figma MCP Server/get-file
    Tool(name="""Figma MCP Server_list-files""", inputSchema={'properties': {'projectId': {'description': 'The Figma project ID', 'type': 'string'}}, 'required': ['projectId'], 'type': 'object'}, description="""List files in a Figma project"""), # TimHolden/Figma MCP Server/list-files
    Tool(name="""MCP Server for ArangoDB_arango_query""", inputSchema={'properties': {'bindVars': {'additionalProperties': True, 'description': 'Query bind variables', 'type': 'object'}, 'query': {'description': 'AQL query string', 'type': 'string'}}, 'required': ['query'], 'type': 'object'}, description="""Execute an AQL query"""), # ravenwits/MCP Server for ArangoDB/arango_query
    Tool(name="""MCP Server for ArangoDB_arango_insert""", inputSchema={'properties': {'collection': {'description': 'Collection name', 'type': 'string'}, 'document': {'additionalProperties': True, 'description': 'Document to insert', 'type': 'object'}}, 'required': ['collection', 'document'], 'type': 'object'}, description="""Insert a document into a collection"""), # ravenwits/MCP Server for ArangoDB/arango_insert
    Tool(name="""MCP Server for ArangoDB_arango_update""", inputSchema={'properties': {'collection': {'description': 'Collection name', 'type': 'string'}, 'key': {'description': 'Document key', 'type': 'string'}, 'update': {'additionalProperties': True, 'description': 'Update object', 'type': 'object'}}, 'required': ['collection', 'key', 'update'], 'type': 'object'}, description="""Update a document in a collection"""), # ravenwits/MCP Server for ArangoDB/arango_update
    Tool(name="""MCP Server for ArangoDB_arango_remove""", inputSchema={'properties': {'collection': {'description': 'Collection name', 'type': 'string'}, 'key': {'description': 'Document key', 'type': 'string'}}, 'required': ['collection', 'key'], 'type': 'object'}, description="""Remove a document from a collection"""), # ravenwits/MCP Server for ArangoDB/arango_remove
    Tool(name="""MCP Server for ArangoDB_arango_backup""", inputSchema={'properties': {'collection': {'description': 'Collection name to backup. If not provided, backs up all collections.', 'optional': True, 'type': 'string'}, 'docLimit': {'description': 'Limit the number of documents to backup. If not provided, backs up all documents.', 'optional': True, 'type': 'integer'}, 'outputDir': {'default': './backup', 'description': 'An absolute directory path to store backup files', 'optional': True, 'type': 'string'}}, 'required': ['outputDir'], 'type': 'object'}, description="""Backup collections to JSON files."""), # ravenwits/MCP Server for ArangoDB/arango_backup
    Tool(name="""MCP Server for ArangoDB_arango_list_collections""", inputSchema={'properties': {}, 'type': 'object'}, description="""List all collections in the database"""), # ravenwits/MCP Server for ArangoDB/arango_list_collections
    Tool(name="""MCP Server for ArangoDB_arango_create_collection""", inputSchema={'properties': {'name': {'description': 'Name of the collection to create', 'type': 'string'}, 'type': {'default': 2, 'description': 'Type of collection to create', 'type': {'2': 'DOCUMENT_COLLECTION', '3': 'EDGE_COLLECTION', 'DOCUMENT_COLLECTION': 2, 'EDGE_COLLECTION': 3}}, 'waitForSync': {'default': False, 'description': 'If true, wait for data to be synchronized to disk before returning', 'type': 'boolean'}}, 'required': ['name'], 'type': 'object'}, description="""Create a new collection in the database"""), # ravenwits/MCP Server for ArangoDB/arango_create_collection
    Tool(name="""mcp-discord_remove_role""", inputSchema={'properties': {'role_id': {'description': 'Role ID to remove', 'type': 'string'}, 'server_id': {'description': 'Discord server ID', 'type': 'string'}, 'user_id': {'description': 'User to remove role from', 'type': 'string'}}, 'required': ['server_id', 'user_id', 'role_id'], 'type': 'object'}, description="""Remove a role from a user"""), # hanweg/mcp-discord/remove_role
    Tool(name="""mcp-discord_get_server_info""", inputSchema={'properties': {'server_id': {'description': 'Discord server (guild) ID', 'type': 'string'}}, 'required': ['server_id'], 'type': 'object'}, description="""Get information about a Discord server"""), # hanweg/mcp-discord/get_server_info
    Tool(name="""mcp-discord_list_members""", inputSchema={'properties': {'limit': {'description': 'Maximum number of members to fetch', 'maximum': 1000, 'minimum': 1, 'type': 'number'}, 'server_id': {'description': 'Discord server (guild) ID', 'type': 'string'}}, 'required': ['server_id'], 'type': 'object'}, description="""Get a list of members in a server"""), # hanweg/mcp-discord/list_members
    Tool(name="""mcp-discord_add_role""", inputSchema={'properties': {'role_id': {'description': 'Role ID to add', 'type': 'string'}, 'server_id': {'description': 'Discord server ID', 'type': 'string'}, 'user_id': {'description': 'User to add role to', 'type': 'string'}}, 'required': ['server_id', 'user_id', 'role_id'], 'type': 'object'}, description="""Add a role to a user"""), # hanweg/mcp-discord/add_role
    Tool(name="""mcp-discord_create_text_channel""", inputSchema={'properties': {'category_id': {'description': 'Optional category ID to place channel in', 'type': 'string'}, 'name': {'description': 'Channel name', 'type': 'string'}, 'server_id': {'description': 'Discord server ID', 'type': 'string'}, 'topic': {'description': 'Optional channel topic', 'type': 'string'}}, 'required': ['server_id', 'name'], 'type': 'object'}, description="""Create a new text channel"""), # hanweg/mcp-discord/create_text_channel
    Tool(name="""mcp-discord_delete_channel""", inputSchema={'properties': {'channel_id': {'description': 'ID of channel to delete', 'type': 'string'}, 'reason': {'description': 'Reason for deletion', 'type': 'string'}}, 'required': ['channel_id'], 'type': 'object'}, description="""Delete a channel"""), # hanweg/mcp-discord/delete_channel
    Tool(name="""mcp-discord_add_reaction""", inputSchema={'properties': {'channel_id': {'description': 'Channel containing the message', 'type': 'string'}, 'emoji': {'description': 'Emoji to react with (Unicode or custom emoji ID)', 'type': 'string'}, 'message_id': {'description': 'Message to react to', 'type': 'string'}}, 'required': ['channel_id', 'message_id', 'emoji'], 'type': 'object'}, description="""Add a reaction to a message"""), # hanweg/mcp-discord/add_reaction
    Tool(name="""mcp-discord_remove_reaction""", inputSchema={'properties': {'channel_id': {'description': 'Channel containing the message', 'type': 'string'}, 'emoji': {'description': 'Emoji to remove (Unicode or custom emoji ID)', 'type': 'string'}, 'message_id': {'description': 'Message to remove reaction from', 'type': 'string'}}, 'required': ['channel_id', 'message_id', 'emoji'], 'type': 'object'}, description="""Remove a reaction from a message"""), # hanweg/mcp-discord/remove_reaction
    Tool(name="""mcp-discord_send_message""", inputSchema={'properties': {'channel_id': {'description': 'Discord channel ID', 'type': 'string'}, 'content': {'description': 'Message content', 'type': 'string'}}, 'required': ['channel_id', 'content'], 'type': 'object'}, description="""Send a message to a specific channel"""), # hanweg/mcp-discord/send_message
    Tool(name="""mcp-discord_read_messages""", inputSchema={'properties': {'channel_id': {'description': 'Discord channel ID', 'type': 'string'}, 'limit': {'description': 'Number of messages to fetch (max 100)', 'maximum': 100, 'minimum': 1, 'type': 'number'}}, 'required': ['channel_id'], 'type': 'object'}, description="""Read recent messages from a channel"""), # hanweg/mcp-discord/read_messages
    Tool(name="""mcp-discord_get_user_info""", inputSchema={'properties': {'user_id': {'description': 'Discord user ID', 'type': 'string'}}, 'required': ['user_id'], 'type': 'object'}, description="""Get information about a Discord user"""), # hanweg/mcp-discord/get_user_info
    Tool(name="""mcp-discord_moderate_message""", inputSchema={'properties': {'channel_id': {'description': 'Channel ID containing the message', 'type': 'string'}, 'message_id': {'description': 'ID of message to moderate', 'type': 'string'}, 'reason': {'description': 'Reason for moderation', 'type': 'string'}, 'timeout_minutes': {'description': 'Optional timeout duration in minutes', 'maximum': 40320, 'minimum': 0, 'type': 'number'}}, 'required': ['channel_id', 'message_id', 'reason'], 'type': 'object'}, description="""Delete a message and optionally timeout the user"""), # hanweg/mcp-discord/moderate_message
    Tool(name="""Hacker News MCP_get_stories""", inputSchema={'properties': {'limit': {'default': 10, 'description': 'Number of stories to return (max 30)', 'maximum': 30, 'minimum': 1, 'type': 'number'}, 'type': {'default': 'top', 'description': 'Type of stories to fetch (top, new, ask, show, jobs)', 'enum': ['top', 'new', 'ask', 'show', 'jobs'], 'type': 'string'}}, 'type': 'object'}, description="""Get stories from Hacker News"""), # pskill9/Hacker News MCP/get_stories
    Tool(name="""Paperless-NGX MCP Server_bulk_edit_documents""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'add_tags': {'items': {'type': 'number'}, 'type': 'array'}, 'correspondent': {'type': 'number'}, 'degrees': {'type': 'number'}, 'delete_originals': {'type': 'boolean'}, 'document_type': {'type': 'number'}, 'documents': {'items': {'type': 'number'}, 'type': 'array'}, 'metadata_document_id': {'type': 'number'}, 'method': {'enum': ['set_correspondent', 'set_document_type', 'set_storage_path', 'add_tag', 'remove_tag', 'modify_tags', 'delete', 'reprocess', 'set_permissions', 'merge', 'split', 'rotate', 'delete_pages'], 'type': 'string'}, 'pages': {'type': 'string'}, 'permissions': {'additionalProperties': False, 'properties': {'merge': {'type': 'boolean'}, 'owner': {'type': ['number', 'null']}, 'set_permissions': {'additionalProperties': False, 'properties': {'change': {'additionalProperties': False, 'properties': {'groups': {'items': {'type': 'number'}, 'type': 'array'}, 'users': {'items': {'type': 'number'}, 'type': 'array'}}, 'required': ['users', 'groups'], 'type': 'object'}, 'view': {'additionalProperties': False, 'properties': {'groups': {'items': {'type': 'number'}, 'type': 'array'}, 'users': {'items': {'type': 'number'}, 'type': 'array'}}, 'required': ['users', 'groups'], 'type': 'object'}}, 'required': ['view', 'change'], 'type': 'object'}}, 'type': 'object'}, 'remove_tags': {'items': {'type': 'number'}, 'type': 'array'}, 'storage_path': {'type': 'number'}, 'tag': {'type': 'number'}}, 'required': ['documents', 'method'], 'type': 'object'}, description="""Perform bulk operations on documents"""), # nloui/Paperless-NGX MCP Server/bulk_edit_documents
    Tool(name="""Paperless-NGX MCP Server_post_document""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'archive_serial_number': {'type': 'string'}, 'correspondent': {'type': 'number'}, 'created': {'type': 'string'}, 'custom_fields': {'items': {'type': 'number'}, 'type': 'array'}, 'document_type': {'type': 'number'}, 'file': {'type': 'string'}, 'filename': {'type': 'string'}, 'storage_path': {'type': 'number'}, 'tags': {'items': {'type': 'number'}, 'type': 'array'}, 'title': {'type': 'string'}}, 'required': ['file', 'filename'], 'type': 'object'}, description="""Upload a new document to Paperless-NGX"""), # nloui/Paperless-NGX MCP Server/post_document
    Tool(name="""Paperless-NGX MCP Server_list_documents""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'page': {'type': 'number'}, 'page_size': {'type': 'number'}}, 'type': 'object'}, description="""List all documents"""), # nloui/Paperless-NGX MCP Server/list_documents
    Tool(name="""Paperless-NGX MCP Server_get_document""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'id': {'type': 'number'}}, 'required': ['id'], 'type': 'object'}, description="""Get a specific document by ID"""), # nloui/Paperless-NGX MCP Server/get_document
    Tool(name="""Paperless-NGX MCP Server_search_documents""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'query': {'type': 'string'}}, 'required': ['query'], 'type': 'object'}, description="""Search documents using full-text query"""), # nloui/Paperless-NGX MCP Server/search_documents
    Tool(name="""Paperless-NGX MCP Server_download_document""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'id': {'type': 'number'}, 'original': {'type': 'boolean'}}, 'required': ['id'], 'type': 'object'}, description="""Download a document by ID"""), # nloui/Paperless-NGX MCP Server/download_document
    Tool(name="""Paperless-NGX MCP Server_list_tags""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {}, 'type': 'object'}, description="""List all tags"""), # nloui/Paperless-NGX MCP Server/list_tags
    Tool(name="""Paperless-NGX MCP Server_create_tag""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'color': {'pattern': '^#[0-9A-Fa-f]{6}$', 'type': 'string'}, 'match': {'type': 'string'}, 'matching_algorithm': {'maximum': 4, 'minimum': 0, 'type': 'integer'}, 'name': {'type': 'string'}}, 'required': ['name'], 'type': 'object'}, description="""Create a new tag"""), # nloui/Paperless-NGX MCP Server/create_tag
    Tool(name="""Paperless-NGX MCP Server_update_tag""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'color': {'pattern': '^#[0-9A-Fa-f]{6}$', 'type': 'string'}, 'id': {'type': 'number'}, 'match': {'type': 'string'}, 'matching_algorithm': {'maximum': 4, 'minimum': 0, 'type': 'integer'}, 'name': {'type': 'string'}}, 'required': ['id', 'name'], 'type': 'object'}, description="""Update an existing tag"""), # nloui/Paperless-NGX MCP Server/update_tag
    Tool(name="""Paperless-NGX MCP Server_delete_tag""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'id': {'type': 'number'}}, 'required': ['id'], 'type': 'object'}, description="""Delete a tag"""), # nloui/Paperless-NGX MCP Server/delete_tag
    Tool(name="""Paperless-NGX MCP Server_bulk_edit_tags""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'merge': {'type': 'boolean'}, 'operation': {'enum': ['set_permissions', 'delete'], 'type': 'string'}, 'owner': {'type': 'number'}, 'permissions': {'additionalProperties': False, 'properties': {'change': {'additionalProperties': False, 'properties': {'groups': {'items': {'type': 'number'}, 'type': 'array'}, 'users': {'items': {'type': 'number'}, 'type': 'array'}}, 'type': 'object'}, 'view': {'additionalProperties': False, 'properties': {'groups': {'items': {'type': 'number'}, 'type': 'array'}, 'users': {'items': {'type': 'number'}, 'type': 'array'}}, 'type': 'object'}}, 'required': ['view', 'change'], 'type': 'object'}, 'tag_ids': {'items': {'type': 'number'}, 'type': 'array'}}, 'required': ['tag_ids', 'operation'], 'type': 'object'}, description="""Bulk edit tags (set permissions or delete)"""), # nloui/Paperless-NGX MCP Server/bulk_edit_tags
    Tool(name="""Paperless-NGX MCP Server_list_correspondents""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {}, 'type': 'object'}, description="""List all correspondents"""), # nloui/Paperless-NGX MCP Server/list_correspondents
    Tool(name="""Paperless-NGX MCP Server_create_correspondent""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'match': {'type': 'string'}, 'matching_algorithm': {'enum': ['any', 'all', 'exact', 'regular expression', 'fuzzy'], 'type': 'string'}, 'name': {'type': 'string'}}, 'required': ['name'], 'type': 'object'}, description="""Create a new correspondent"""), # nloui/Paperless-NGX MCP Server/create_correspondent
    Tool(name="""Paperless-NGX MCP Server_bulk_edit_correspondents""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'correspondent_ids': {'items': {'type': 'number'}, 'type': 'array'}, 'merge': {'type': 'boolean'}, 'operation': {'enum': ['set_permissions', 'delete'], 'type': 'string'}, 'owner': {'type': 'number'}, 'permissions': {'additionalProperties': False, 'properties': {'change': {'additionalProperties': False, 'properties': {'groups': {'items': {'type': 'number'}, 'type': 'array'}, 'users': {'items': {'type': 'number'}, 'type': 'array'}}, 'type': 'object'}, 'view': {'additionalProperties': False, 'properties': {'groups': {'items': {'type': 'number'}, 'type': 'array'}, 'users': {'items': {'type': 'number'}, 'type': 'array'}}, 'type': 'object'}}, 'required': ['view', 'change'], 'type': 'object'}}, 'required': ['correspondent_ids', 'operation'], 'type': 'object'}, description="""Bulk edit correspondents (set permissions or delete)"""), # nloui/Paperless-NGX MCP Server/bulk_edit_correspondents
    Tool(name="""Paperless-NGX MCP Server_list_document_types""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {}, 'type': 'object'}, description="""List all document types"""), # nloui/Paperless-NGX MCP Server/list_document_types
    Tool(name="""Paperless-NGX MCP Server_create_document_type""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'match': {'type': 'string'}, 'matching_algorithm': {'enum': ['any', 'all', 'exact', 'regular expression', 'fuzzy'], 'type': 'string'}, 'name': {'type': 'string'}}, 'required': ['name'], 'type': 'object'}, description="""Create a new document type"""), # nloui/Paperless-NGX MCP Server/create_document_type
    Tool(name="""Paperless-NGX MCP Server_bulk_edit_document_types""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'document_type_ids': {'items': {'type': 'number'}, 'type': 'array'}, 'merge': {'type': 'boolean'}, 'operation': {'enum': ['set_permissions', 'delete'], 'type': 'string'}, 'owner': {'type': 'number'}, 'permissions': {'additionalProperties': False, 'properties': {'change': {'additionalProperties': False, 'properties': {'groups': {'items': {'type': 'number'}, 'type': 'array'}, 'users': {'items': {'type': 'number'}, 'type': 'array'}}, 'type': 'object'}, 'view': {'additionalProperties': False, 'properties': {'groups': {'items': {'type': 'number'}, 'type': 'array'}, 'users': {'items': {'type': 'number'}, 'type': 'array'}}, 'type': 'object'}}, 'required': ['view', 'change'], 'type': 'object'}}, 'required': ['document_type_ids', 'operation'], 'type': 'object'}, description="""Bulk edit document types (set permissions or delete)"""), # nloui/Paperless-NGX MCP Server/bulk_edit_document_types
    Tool(name="""MCP Browser Automation Server_playwright_navigate""", inputSchema={'properties': {'url': {'type': 'string'}}, 'required': ['url'], 'type': 'object'}, description="""Navigate to a URL"""), # hrmeetsingh/MCP Browser Automation Server/playwright_navigate
    Tool(name="""MCP Browser Automation Server_playwright_screenshot""", inputSchema={'properties': {'downloadsDir': {'description': "Custom downloads directory path (default: user's Downloads folder)", 'type': 'string'}, 'height': {'description': 'Height in pixels (default: 600)', 'type': 'number'}, 'name': {'description': 'Name for the screenshot', 'type': 'string'}, 'savePng': {'description': 'Save screenshot as PNG file (default: false)', 'type': 'boolean'}, 'selector': {'description': 'CSS selector for element to screenshot', 'type': 'string'}, 'storeBase64': {'description': 'Store screenshot in base64 format (default: true)', 'type': 'boolean'}, 'width': {'description': 'Width in pixels (default: 800)', 'type': 'number'}}, 'required': ['name'], 'type': 'object'}, description="""Take a screenshot of the current page or a specific element"""), # hrmeetsingh/MCP Browser Automation Server/playwright_screenshot
    Tool(name="""MCP Browser Automation Server_playwright_click""", inputSchema={'properties': {'selector': {'description': 'CSS selector for element to click', 'type': 'string'}}, 'required': ['selector'], 'type': 'object'}, description="""Click an element on the page"""), # hrmeetsingh/MCP Browser Automation Server/playwright_click
    Tool(name="""MCP Browser Automation Server_playwright_fill""", inputSchema={'properties': {'selector': {'description': 'CSS selector for input field', 'type': 'string'}, 'value': {'description': 'Value to fill', 'type': 'string'}}, 'required': ['selector', 'value'], 'type': 'object'}, description="""fill out an input field"""), # hrmeetsingh/MCP Browser Automation Server/playwright_fill
    Tool(name="""MCP Browser Automation Server_playwright_select""", inputSchema={'properties': {'selector': {'description': 'CSS selector for element to select', 'type': 'string'}, 'value': {'description': 'Value to select', 'type': 'string'}}, 'required': ['selector', 'value'], 'type': 'object'}, description="""Select an element on the page with Select tag"""), # hrmeetsingh/MCP Browser Automation Server/playwright_select
    Tool(name="""MCP Browser Automation Server_playwright_hover""", inputSchema={'properties': {'selector': {'description': 'CSS selector for element to hover', 'type': 'string'}}, 'required': ['selector'], 'type': 'object'}, description="""Hover an element on the page"""), # hrmeetsingh/MCP Browser Automation Server/playwright_hover
    Tool(name="""MCP Browser Automation Server_playwright_evaluate""", inputSchema={'properties': {'script': {'description': 'JavaScript code to execute', 'type': 'string'}}, 'required': ['script'], 'type': 'object'}, description="""Execute JavaScript in the browser console"""), # hrmeetsingh/MCP Browser Automation Server/playwright_evaluate
    Tool(name="""MCP Browser Automation Server_playwright_get""", inputSchema={'properties': {'url': {'description': 'URL to perform GET operation', 'type': 'string'}}, 'required': ['url'], 'type': 'object'}, description="""Perform an HTTP GET request"""), # hrmeetsingh/MCP Browser Automation Server/playwright_get
    Tool(name="""MCP Browser Automation Server_playwright_post""", inputSchema={'properties': {'url': {'description': 'URL to perform POST operation', 'type': 'string'}, 'value': {'description': 'Data to post in the body', 'type': 'string'}}, 'required': ['url', 'value'], 'type': 'object'}, description="""Perform an HTTP POST request"""), # hrmeetsingh/MCP Browser Automation Server/playwright_post
    Tool(name="""MCP Browser Automation Server_playwright_put""", inputSchema={'properties': {'url': {'description': 'URL to perform PUT operation', 'type': 'string'}, 'value': {'description': 'Data to PUT in the body', 'type': 'string'}}, 'required': ['url', 'value'], 'type': 'object'}, description="""Perform an HTTP PUT request"""), # hrmeetsingh/MCP Browser Automation Server/playwright_put
    Tool(name="""MCP Browser Automation Server_playwright_patch""", inputSchema={'properties': {'url': {'description': 'URL to perform PUT operation', 'type': 'string'}, 'value': {'description': 'Data to PATCH in the body', 'type': 'string'}}, 'required': ['url', 'value'], 'type': 'object'}, description="""Perform an HTTP PATCH request"""), # hrmeetsingh/MCP Browser Automation Server/playwright_patch
    Tool(name="""MCP Browser Automation Server_playwright_delete""", inputSchema={'properties': {'url': {'description': 'URL to perform DELETE operation', 'type': 'string'}}, 'required': ['url'], 'type': 'object'}, description="""Perform an HTTP DELETE request"""), # hrmeetsingh/MCP Browser Automation Server/playwright_delete
    Tool(name="""Perplexity MCP Server_search""", inputSchema={'properties': {'code': {'description': 'Code snippet to analyze (optional)', 'type': 'string'}, 'language': {'default': 'auto', 'description': 'Programming language of the code snippet (optional)', 'type': 'string'}, 'query': {'description': 'The error or coding question to analyze', 'type': 'string'}}, 'required': ['query'], 'type': 'object'}, description="""Search Perplexity for coding help"""), # PoliTwit1984/Perplexity MCP Server/search
    Tool(name="""Kagi MCP Server_ask_fastgpt""", inputSchema={'properties': {'query': {'type': 'string'}}, 'required': ['query'], 'type': 'object'}, description="""Ask fastgpt to search web and give an answer with references"""), # apridachin/Kagi MCP Server/ask_fastgpt
    Tool(name="""Kagi MCP Server_enrich_web""", inputSchema={'properties': {'query': {'pattern': '^\\s*(\\b\\w+\\b\\s*){1,3}$', 'type': 'string'}}, 'required': ['query'], 'type': 'object'}, description="""Enrich context with web content focused on general, non-commercial web content."""), # apridachin/Kagi MCP Server/enrich_web
    Tool(name="""Kagi MCP Server_enrich_news""", inputSchema={'properties': {'query': {'pattern': '^\\s*(\\b\\w+\\b\\s*){1,3}$', 'type': 'string'}}, 'required': ['query'], 'type': 'object'}, description="""Enrich context with web content focused on non-commercial news and discussions."""), # apridachin/Kagi MCP Server/enrich_news
    Tool(name="""HubSpot MCP Server_hubspot_get_contacts""", inputSchema={'properties': {}, 'type': 'object'}, description="""Get contacts from HubSpot"""), # baryhuang/HubSpot MCP Server/hubspot_get_contacts
    Tool(name="""HubSpot MCP Server_hubspot_create_contact""", inputSchema={'properties': {'email': {'description': "Contact's email address", 'type': 'string'}, 'firstname': {'description': "Contact's first name", 'type': 'string'}, 'lastname': {'description': "Contact's last name", 'type': 'string'}, 'properties': {'description': 'Additional contact properties', 'type': 'object'}}, 'required': ['firstname', 'lastname'], 'type': 'object'}, description="""Create a new contact in HubSpot"""), # baryhuang/HubSpot MCP Server/hubspot_create_contact
    Tool(name="""HubSpot MCP Server_hubspot_get_companies""", inputSchema={'properties': {}, 'type': 'object'}, description="""Get companies from HubSpot"""), # baryhuang/HubSpot MCP Server/hubspot_get_companies
    Tool(name="""HubSpot MCP Server_hubspot_create_company""", inputSchema={'properties': {'name': {'description': 'Company name', 'type': 'string'}, 'properties': {'description': 'Additional company properties', 'type': 'object'}}, 'required': ['name'], 'type': 'object'}, description="""Create a new company in HubSpot"""), # baryhuang/HubSpot MCP Server/hubspot_create_company
    Tool(name="""HubSpot MCP Server_hubspot_get_company_activity""", inputSchema={'properties': {'company_id': {'description': 'HubSpot company ID', 'type': 'string'}}, 'required': ['company_id'], 'type': 'object'}, description="""Get activity history for a specific company"""), # baryhuang/HubSpot MCP Server/hubspot_get_company_activity
    Tool(name="""MCP Compass_recommend-mcp-servers""", inputSchema={'properties': {'query': {'description': "\n                Description for the MCP Server needed. \n                It should be specific and actionable, e.g.:\n                GOOD:\n                - 'MCP Server for AWS Lambda Python3.9 deployment'\n                - 'MCP Server for United Airlines booking API'\n                - 'MCP Server for Stripe refund webhook handling'\n\n                BAD:\n                - 'MCP Server for cloud' (too vague)\n                - 'MCP Server for booking' (which booking system?)\n                - 'MCP Server for payment' (which payment provider?)\n\n                Query should explicitly specify:\n                1. Target platform/vendor (e.g. AWS, Stripe, MongoDB)\n                2. Exact operation/service (e.g. Lambda deployment, webhook handling)\n                3. Additional context if applicable (e.g. Python, refund events)\n                ", 'type': 'string'}}, 'required': ['query'], 'type': 'object'}, description="""\n          Use this tool when there is a need to findn external MCP tools.\n          It explores and recommends existing MCP servers from the \n          internet, based on the description of the MCP Server \n          needed. It returns a list of MCP servers with their IDs, \n          descriptions, GitHub URLs, and similarity scores.\n          """), # liuyoshio/MCP Compass/recommend-mcp-servers
    Tool(name="""@kazuph/mcp-obsidian_obsidian_read_notes""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'paths': {'items': {'type': 'string'}, 'type': 'array'}}, 'required': ['paths'], 'type': 'object'}, description="""Read the contents of multiple notes. Each note's content is returned with its path as a reference. Failed reads for individual notes won't stop the entire operation. Reading too many at once may result in an error."""), # kazuph/@kazuph/mcp-obsidian/obsidian_read_notes
    Tool(name="""@kazuph/mcp-obsidian_obsidian_search_notes""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'query': {'type': 'string'}}, 'required': ['query'], 'type': 'object'}, description="""Searches for a note by its name. The search is case-insensitive and matches partial names. Queries can also be a valid regex. Returns paths of the notes that match the query."""), # kazuph/@kazuph/mcp-obsidian/obsidian_search_notes
    Tool(name="""@kazuph/mcp-obsidian_obsidian_read_notes_dir""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'path': {'type': 'string'}}, 'required': ['path'], 'type': 'object'}, description="""Lists only the directory structure under the specified path. Returns the relative paths of all directories without file contents."""), # kazuph/@kazuph/mcp-obsidian/obsidian_read_notes_dir
    Tool(name="""@kazuph/mcp-obsidian_obsidian_write_note""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'content': {'type': 'string'}, 'path': {'type': 'string'}}, 'required': ['path', 'content'], 'type': 'object'}, description="""Creates a new note at the specified path. Before writing, check the directory structure using obsidian_read_notes_dir. If the target directory is unclear, the operation will be paused and you will be prompted to specify the correct directory."""), # kazuph/@kazuph/mcp-obsidian/obsidian_write_note
    Tool(name="""@kazuph/mcp-youtube_get_youtube_transcript""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'language': {'type': 'string'}, 'url': {'type': 'string'}}, 'required': ['url'], 'type': 'object'}, description="""Download YouTube video transcript and metadata"""), # kazuph/@kazuph/mcp-youtube/get_youtube_transcript
    Tool(name="""@kazuph/mcp-taskmanager_request_planning""", inputSchema={'properties': {'originalRequest': {'type': 'string'}, 'splitDetails': {'type': 'string'}, 'tasks': {'items': {'properties': {'description': {'type': 'string'}, 'title': {'type': 'string'}}, 'required': ['title', 'description'], 'type': 'object'}, 'type': 'array'}}, 'required': ['originalRequest', 'tasks'], 'type': 'object'}, description="""Register a new user request and plan its associated tasks. You must provide 'originalRequest' and 'tasks', and optionally 'splitDetails'.\n\nThis tool initiates a new workflow for handling a user's request. The workflow is as follows:\n1. Use 'request_planning' to register a request and its tasks.\n2. After adding tasks, you MUST use 'get_next_task' to retrieve the first task. A progress table will be displayed.\n3. Use 'get_next_task' to retrieve the next uncompleted task.\n4. **IMPORTANT:** After marking a task as done, the assistant MUST NOT proceed to another task without the user's approval. The user must explicitly approve the completed task using 'approve_task_completion'. A progress table will be displayed before each approval request.\n5. Once a task is approved, you can proceed to 'get_next_task' again to fetch the next pending task.\n6. Repeat this cycle until all tasks are done.\n7. After all tasks are completed (and approved), 'get_next_task' will indicate that all tasks are done and that the request awaits approval for full completion.\n8. The user must then approve the entire request's completion using 'approve_request_completion'. If the user does not approve and wants more tasks, you can again use 'request_planning' to add new tasks and continue the cycle.\n\nThe critical point is to always wait for user approval after completing each task and after all tasks are done, wait for request completion approval. Do not proceed automatically."""), # kazuph/@kazuph/mcp-taskmanager/request_planning
    Tool(name="""@kazuph/mcp-taskmanager_get_next_task""", inputSchema={'properties': {'requestId': {'type': 'string'}}, 'required': ['requestId'], 'type': 'object'}, description="""Given a 'requestId', return the next pending task (not done yet). If all tasks are completed, it will indicate that no more tasks are left and that you must wait for the request completion approval.\n\nA progress table showing the current status of all tasks will be displayed with each response.\n\nIf the same task is returned again or if no new task is provided after a task was marked as done but not yet approved, you MUST NOT proceed. In such a scenario, you must prompt the user for approval via 'approve_task_completion' before calling 'get_next_task' again. Do not skip the user's approval step.\nIn other words:\n- After calling 'mark_task_done', do not call 'get_next_task' again until 'approve_task_completion' is called by the user.\n- If 'get_next_task' returns 'all_tasks_done', it means all tasks have been completed. At this point, you must not start a new request or do anything else until the user decides to 'approve_request_completion' or possibly add more tasks via 'request_planning'."""), # kazuph/@kazuph/mcp-taskmanager/get_next_task
    Tool(name="""@kazuph/mcp-taskmanager_mark_task_done""", inputSchema={'properties': {'completedDetails': {'type': 'string'}, 'requestId': {'type': 'string'}, 'taskId': {'type': 'string'}}, 'required': ['requestId', 'taskId'], 'type': 'object'}, description="""Mark a given task as done after you've completed it. Provide 'requestId' and 'taskId', and optionally 'completedDetails'.\n\nAfter marking a task as done, a progress table will be displayed showing the updated status of all tasks.\n\nAfter this, DO NOT proceed to 'get_next_task' again until the user has explicitly approved this completed task using 'approve_task_completion'."""), # kazuph/@kazuph/mcp-taskmanager/mark_task_done
    Tool(name="""@kazuph/mcp-taskmanager_approve_task_completion""", inputSchema={'properties': {'requestId': {'type': 'string'}, 'taskId': {'type': 'string'}}, 'required': ['requestId', 'taskId'], 'type': 'object'}, description="""Once the assistant has marked a task as done using 'mark_task_done', the user must call this tool to approve that the task is genuinely completed. Only after this approval can you proceed to 'get_next_task' to move on.\n\nA progress table will be displayed before requesting approval, showing the current status of all tasks.\n\nIf the user does not approve, do not call 'get_next_task'. Instead, the user may request changes, or even re-plan tasks by using 'request_planning' again."""), # kazuph/@kazuph/mcp-taskmanager/approve_task_completion
    Tool(name="""@kazuph/mcp-taskmanager_approve_request_completion""", inputSchema={'properties': {'requestId': {'type': 'string'}}, 'required': ['requestId'], 'type': 'object'}, description="""After all tasks are done and approved, this tool finalizes the entire request. The user must call this to confirm that the request is fully completed.\n\nA progress table showing the final status of all tasks will be displayed before requesting final approval.\n\nIf not approved, the user can add new tasks using 'request_planning' and continue the process."""), # kazuph/@kazuph/mcp-taskmanager/approve_request_completion
    Tool(name="""@kazuph/mcp-taskmanager_open_task_details""", inputSchema={'properties': {'taskId': {'type': 'string'}}, 'required': ['taskId'], 'type': 'object'}, description="""Get details of a specific task by 'taskId'. This is for inspecting task information at any point."""), # kazuph/@kazuph/mcp-taskmanager/open_task_details
    Tool(name="""@kazuph/mcp-taskmanager_list_requests""", inputSchema={'properties': {}, 'type': 'object'}, description="""List all requests with their basic information and summary of tasks. This provides a quick overview of all requests in the system."""), # kazuph/@kazuph/mcp-taskmanager/list_requests
    Tool(name="""@kazuph/mcp-taskmanager_add_tasks_to_request""", inputSchema={'properties': {'requestId': {'type': 'string'}, 'tasks': {'items': {'properties': {'description': {'type': 'string'}, 'title': {'type': 'string'}}, 'required': ['title', 'description'], 'type': 'object'}, 'type': 'array'}}, 'required': ['requestId', 'tasks'], 'type': 'object'}, description="""Add new tasks to an existing request. This allows extending a request with additional tasks.\n\nA progress table will be displayed showing all tasks including the newly added ones."""), # kazuph/@kazuph/mcp-taskmanager/add_tasks_to_request
    Tool(name="""@kazuph/mcp-taskmanager_update_task""", inputSchema={'properties': {'description': {'type': 'string'}, 'requestId': {'type': 'string'}, 'taskId': {'type': 'string'}, 'title': {'type': 'string'}}, 'required': ['requestId', 'taskId'], 'type': 'object'}, description="""Update an existing task's title and/or description. Only uncompleted tasks can be updated.\n\nA progress table will be displayed showing the updated task information."""), # kazuph/@kazuph/mcp-taskmanager/update_task
    Tool(name="""@kazuph/mcp-taskmanager_delete_task""", inputSchema={'properties': {'requestId': {'type': 'string'}, 'taskId': {'type': 'string'}}, 'required': ['requestId', 'taskId'], 'type': 'object'}, description="""Delete a specific task from a request. Only uncompleted tasks can be deleted.\n\nA progress table will be displayed showing the remaining tasks after deletion."""), # kazuph/@kazuph/mcp-taskmanager/delete_task
    Tool(name="""@kazuph/mcp-pocket_pocket_get_articles""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'count': {'default': 20, 'type': 'number'}}, 'type': 'object'}, description="""Fetches the latest unread articles from Pocket API. Returns up to 20 articles by default. You can specify the number of articles to fetch (1-20) using the count parameter. Returns the article ID, title, URL, and excerpt for each article."""), # kazuph/@kazuph/mcp-pocket/pocket_get_articles
    Tool(name="""@kazuph/mcp-pocket_pocket_mark_as_read""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'itemId': {'type': 'string'}}, 'required': ['itemId'], 'type': 'object'}, description="""Marks a specific Pocket article as read (archived) using its item ID."""), # kazuph/@kazuph/mcp-pocket/pocket_mark_as_read
    Tool(name="""Perplexity MCP Server_perplexity_search_web""", inputSchema={'properties': {'query': {'type': 'string'}, 'recency': {'default': 'month', 'enum': ['day', 'week', 'month', 'year'], 'type': 'string'}}, 'required': ['query'], 'type': 'object'}, description="""Search the web using Perplexity AI with recency filtering"""), # jsonallen/Perplexity MCP Server/perplexity_search_web
    Tool(name="""MCP Tool Server_fetch""", inputSchema={'properties': {'url': {'description': 'URL to fetch', 'type': 'string'}}, 'required': ['url'], 'type': 'object'}, description="""Fetches a website and returns its content"""), # davidshtian/MCP Tool Server/fetch
    Tool(name="""MCP Memory Service_store_memory""", inputSchema={'properties': {'content': {'type': 'string'}, 'metadata': {'properties': {'tags': {'items': {'type': 'string'}, 'type': 'array'}, 'type': {'type': 'string'}}, 'type': 'object'}}, 'required': ['content'], 'type': 'object'}, description="""Store new information with optional tags"""), # doobidoo/MCP Memory Service/store_memory
    Tool(name="""MCP Memory Service_retrieve_memory""", inputSchema={'properties': {'n_results': {'default': 5, 'type': 'number'}, 'query': {'type': 'string'}}, 'required': ['query'], 'type': 'object'}, description="""Find relevant memories based on query"""), # doobidoo/MCP Memory Service/retrieve_memory
    Tool(name="""MCP Memory Service_search_by_tag""", inputSchema={'properties': {'tags': {'items': {'type': 'string'}, 'type': 'array'}}, 'required': ['tags'], 'type': 'object'}, description="""Search memories by tags"""), # doobidoo/MCP Memory Service/search_by_tag
    Tool(name="""Glide API MCP Server_set_api_version""", inputSchema={'properties': {'apiKey': {'description': 'API key for authentication', 'type': 'string'}, 'version': {'description': 'API version to use', 'enum': ['v1', 'v2'], 'type': 'string'}}, 'required': ['version', 'apiKey'], 'type': 'object'}, description="""Set the Glide API version and authentication to use"""), # knmurphy/Glide API MCP Server/set_api_version
    Tool(name="""Glide API MCP Server_get_app""", inputSchema={'properties': {'appId': {'description': 'ID of the Glide app', 'type': 'string'}}, 'required': ['appId'], 'type': 'object'}, description="""Get information about a Glide app"""), # knmurphy/Glide API MCP Server/get_app
    Tool(name="""Glide API MCP Server_get_tables""", inputSchema={'properties': {'appId': {'description': 'ID of the Glide app', 'type': 'string'}}, 'required': ['appId'], 'type': 'object'}, description="""Get tables for a Glide app"""), # knmurphy/Glide API MCP Server/get_tables
    Tool(name="""Glide API MCP Server_get_table_rows""", inputSchema={'properties': {'appId': {'description': 'ID of the Glide app', 'type': 'string'}, 'limit': {'description': 'Maximum number of rows to return', 'minimum': 1, 'type': 'number'}, 'offset': {'description': 'Number of rows to skip', 'minimum': 0, 'type': 'number'}, 'tableId': {'description': 'ID of the table', 'type': 'string'}}, 'required': ['appId', 'tableId'], 'type': 'object'}, description="""Get rows from a table in a Glide app"""), # knmurphy/Glide API MCP Server/get_table_rows
    Tool(name="""Glide API MCP Server_add_table_row""", inputSchema={'properties': {'appId': {'description': 'ID of the Glide app', 'type': 'string'}, 'tableId': {'description': 'ID of the table', 'type': 'string'}, 'values': {'additionalProperties': True, 'description': 'Column values for the new row', 'type': 'object'}}, 'required': ['appId', 'tableId', 'values'], 'type': 'object'}, description="""Add a new row to a table in a Glide app"""), # knmurphy/Glide API MCP Server/add_table_row
    Tool(name="""Glide API MCP Server_update_table_row""", inputSchema={'properties': {'appId': {'description': 'ID of the Glide app', 'type': 'string'}, 'rowId': {'description': 'ID of the row to update', 'type': 'string'}, 'tableId': {'description': 'ID of the table', 'type': 'string'}, 'values': {'additionalProperties': True, 'description': 'New column values for the row', 'type': 'object'}}, 'required': ['appId', 'tableId', 'rowId', 'values'], 'type': 'object'}, description="""Update an existing row in a table"""), # knmurphy/Glide API MCP Server/update_table_row
    Tool(name="""Veri5ight MCP Server_ethereum_getRecentTransactions""", inputSchema={'properties': {'address': {'description': 'Ethereum address or ENS name', 'type': 'string'}, 'limit': {'description': 'Number of transactions to return (default: 3)', 'type': 'number'}}, 'required': ['address'], 'type': 'object'}, description="""Get recent transactions for an Ethereum address"""), # 5ajaki/Veri5ight MCP Server/ethereum_getRecentTransactions
    Tool(name="""Veri5ight MCP Server_ethereum_getTokenBalance""", inputSchema={'properties': {'address': {'description': 'Ethereum address or ENS name', 'type': 'string'}, 'token': {'description': 'Token contract address or ENS name', 'type': 'string'}}, 'required': ['address', 'token'], 'type': 'object'}, description="""Get ERC20 token balance for an address"""), # 5ajaki/Veri5ight MCP Server/ethereum_getTokenBalance
    Tool(name="""Veri5ight MCP Server_ethereum_getTokenDelegation""", inputSchema={'properties': {'address': {'description': 'Ethereum address or ENS name', 'type': 'string'}, 'token': {'description': 'Token contract address or ENS name', 'type': 'string'}}, 'required': ['address', 'token'], 'type': 'object'}, description="""Get delegation info for an ERC20 governance token"""), # 5ajaki/Veri5ight MCP Server/ethereum_getTokenDelegation
    Tool(name="""Veri5ight MCP Server_ethereum_getContractInfo""", inputSchema={'properties': {'address': {'description': 'Contract address or ENS name', 'type': 'string'}}, 'required': ['address'], 'type': 'object'}, description="""Get information about any contract"""), # 5ajaki/Veri5ight MCP Server/ethereum_getContractInfo
    Tool(name="""Veri5ight MCP Server_ethereum_getTransactionInfo""", inputSchema={'properties': {'hash': {'description': 'Transaction hash', 'type': 'string'}}, 'required': ['hash'], 'type': 'object'}, description="""Get detailed information about an Ethereum transaction"""), # 5ajaki/Veri5ight MCP Server/ethereum_getTransactionInfo
    Tool(name="""PiAPI-MCP Server_generate_image""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'height': {'allOf': [{'type': ['string', 'number']}, {'maximum': 1024, 'minimum': 1, 'type': 'number'}], 'default': 1024}, 'prompt': {'type': 'string'}, 'width': {'allOf': [{'type': ['string', 'number']}, {'maximum': 1024, 'minimum': 1, 'type': 'number'}], 'default': 1024}}, 'required': ['prompt'], 'type': 'object'}, description="""Generate an image from text using PiAPI Flux"""), # apinetwork/PiAPI-MCP Server/generate_image
    Tool(name="""@kazuph/mcp-gmail-gas_gmail_search_messages""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'query': {'minLength': 1, 'type': 'string'}}, 'required': ['query'], 'type': 'object'}, description="""\nGmail\nqueryGmail\n  : \"subject:Meeting newer_than:1d\"\n\nJSON(messageId)\n"""), # kazuph/@kazuph/mcp-gmail-gas/gmail_search_messages
    Tool(name="""@kazuph/mcp-gmail-gas_gmail_get_message""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'messageId': {'minLength': 1, 'type': 'string'}}, 'required': ['messageId'], 'type': 'object'}, description="""\nmessageId\n  : messageId (GmailID)\n"""), # kazuph/@kazuph/mcp-gmail-gas/gmail_get_message
    Tool(name="""@kazuph/mcp-gmail-gas_gmail_download_attachment""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'attachmentId': {'minLength': 1, 'type': 'string'}, 'messageId': {'minLength': 1, 'type': 'string'}, 'outputFilename': {'type': 'string'}}, 'required': ['messageId', 'attachmentId'], 'type': 'object'}, description="""\nmessageIdattachmentId\nDownloads\nattachmentIdattachmentsattachmentname(invoice.pdf)\n  :\n    - messageId: ID\n    - attachmentId: ID\n    - outputFilename: \n"""), # kazuph/@kazuph/mcp-gmail-gas/gmail_download_attachment
    Tool(name="""@kazuph/mcp-fetch_fetch""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'enableFetchImages': {'default': False, 'type': ['boolean', 'string']}, 'ignoreRobotsTxt': {'default': False, 'type': ['boolean', 'string']}, 'imageMaxCount': {'allOf': [{'type': ['number', 'string']}, {'maximum': 10, 'minimum': 0, 'type': 'number'}], 'default': 3}, 'imageMaxHeight': {'allOf': [{'type': ['number', 'string']}, {'maximum': 10000, 'minimum': 100, 'type': 'number'}], 'default': 4000}, 'imageMaxWidth': {'allOf': [{'type': ['number', 'string']}, {'maximum': 10000, 'minimum': 100, 'type': 'number'}], 'default': 1000}, 'imageQuality': {'allOf': [{'type': ['number', 'string']}, {'maximum': 100, 'minimum': 1, 'type': 'number'}], 'default': 80}, 'imageStartIndex': {'allOf': [{'type': ['number', 'string']}, {'minimum': 0, 'type': 'number'}], 'default': 0}, 'maxLength': {'allOf': [{'type': ['number', 'string']}, {'exclusiveMinimum': 0, 'maximum': 1000000, 'type': 'number'}], 'default': 20000}, 'raw': {'default': False, 'type': ['boolean', 'string']}, 'startIndex': {'allOf': [{'type': ['number', 'string']}, {'minimum': 0, 'type': 'number'}], 'default': 0}, 'url': {'format': 'uri', 'type': 'string'}}, 'required': ['url'], 'type': 'object'}, description="""\nRetrieves URLs from the Internet and extracts their content as markdown.\nImages from the page will be processed and included with the response automatically.\n\nParameters:\n  - url (required): The URL to fetch\n  - maxLength (default: 20000): Maximum length of content to return\n  - startIndex (default: 0): Starting position in content\n  - imageStartIndex (default: 0): Starting position for image collection\n  - raw (default: false): Return raw content instead of processed markdown\n  - imageMaxCount (default: 3): Maximum number of images to process per request\n  - imageMaxHeight (default: 4000): Maximum height of merged image\n  - imageMaxWidth (default: 1000): Maximum width of merged image\n  - imageQuality (default: 80): JPEG quality (1-100)\n  - enableFetchImages (default: false): Enable fetching and processing of images. FOR CLAUDE AI ONLY: YOU CAN ENABLE THIS FEATURE!!! CLAUDE IS ALLOWED TO USE IMAGES!!!\n  - ignoreRobotsTxt (default: false): Ignore robots.txt restrictions\n\nImage Processing:\n  - Multiple images are merged vertically into a single JPEG\n  - Images are automatically optimized and resized\n  - GIF animations are converted to static images (first frame)\n  - Use imageStartIndex and imageMaxCount to paginate through all images\n  - Response includes remaining image count and current position\n\nIMPORTANT: All parameters must be in proper JSON format - use double quotes for keys\nand string values, and no quotes for numbers and booleans.\n\nExamples:\n# Initial fetch:\n{\n  \"url\": \"https://example.com\",\n  \"maxLength\": 10000,\n  \"imageMaxCount\": 2\n}\n\n# Fetch next set of images:\n{\n  \"url\": \"https://example.com\",\n  \"imageStartIndex\": 2,\n  \"imageMaxCount\": 2\n}"""), # kazuph/@kazuph/mcp-fetch/fetch
    Tool(name="""@kazuph/mcp-github-pera1_github_get_code""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'branch': {'type': 'string'}, 'dir': {'type': 'string'}, 'ext': {'type': 'string'}, 'file': {'type': 'string'}, 'mode': {'enum': ['tree'], 'type': 'string'}, 'url': {'format': 'uri', 'type': 'string'}}, 'required': ['url'], 'type': 'object'}, description="""\nRetrieves code from a GitHub repository URL and combines it into a single file. The URL must start with \"https://\".\n\nQuery Parameters:\n- dir: Filter files by directory paths (comma-separated)\n  Example: ?dir=src/components,tests/unit\n- ext: Filter files by extensions (comma-separated)\n  Example: ?ext=ts,tsx,js\n- mode: Display mode\n  Example: ?mode=tree (Shows directory structure and README files only)\n- branch: Specify the branch to fetch from (optional)\n  Example: ?branch=feature/new-feature\n- file: Specify a single file to retrieve (optional)\n  Example: ?file=src/components/Button.tsx\n\nExamples:\n1. For GitHub tree URLs with branch:\n  https://github.com/kazuph/pera1/tree/feature/great-branch\n  This URL will be automatically parsed to extract the branch information.\n\n2. For specific directory in a branch:\n  url: https://github.com/modelcontextprotocol/servers\n  dir: src/fetch\n  branch: develop\n\n3. For a single file:\n  url: https://github.com/username/repository\n  file: src/components/Button.tsx\n\n4. For directory structure with README files only:\n  url: https://github.com/username/repository\n  mode: tree\n\nThe tool will correctly parse the repository structure and fetch the files from the specified branch.\n"""), # kazuph/@kazuph/mcp-github-pera1/github_get_code
    Tool(name="""ClickHouse MCP Server_list_databases""", inputSchema={'properties': {}, 'title': 'list_databasesArguments', 'type': 'object'}, description=""""""), # iskakaushik/ClickHouse MCP Server/list_databases
    Tool(name="""ClickHouse MCP Server_list_tables""", inputSchema={'properties': {'database': {'title': 'Database', 'type': 'string'}, 'like': {'default': None, 'title': 'Like', 'type': 'string'}}, 'required': ['database'], 'title': 'list_tablesArguments', 'type': 'object'}, description=""""""), # iskakaushik/ClickHouse MCP Server/list_tables
    Tool(name="""ClickHouse MCP Server_run_select_query""", inputSchema={'properties': {'query': {'title': 'Query', 'type': 'string'}}, 'required': ['query'], 'title': 'run_select_queryArguments', 'type': 'object'}, description=""""""), # iskakaushik/ClickHouse MCP Server/run_select_query
    Tool(name="""Amazon Bedrock MCP Server_generate_image""", inputSchema={'properties': {'cfg_scale': {'description': 'How closely to follow the prompt (1.1-10, default: 6.5)', 'type': 'number'}, 'height': {'description': 'Height of the generated image (default: 1024)', 'type': 'number'}, 'negativePrompt': {'description': 'Optional text description of what to avoid in the image (1-1024 characters)', 'type': 'string'}, 'numberOfImages': {'description': 'Number of images to generate (1-5, default: 1)', 'type': 'number'}, 'prompt': {'description': 'Text description of the image to generate (1-1024 characters)', 'type': 'string'}, 'quality': {'description': 'Quality of the generated image (default: standard)', 'enum': ['standard', 'premium'], 'type': 'string'}, 'seed': {'description': 'Seed for reproducible generation (0-858993459, default: 12)', 'type': 'number'}, 'width': {'description': 'Width of the generated image (default: 1024)', 'type': 'number'}}, 'required': ['prompt'], 'type': 'object'}, description="""Generate image(s) using Amazon Nova Canvas model. The returned data is Base64-encoded string that represent each image that was generated."""), # zxkane/Amazon Bedrock MCP Server/generate_image
    Tool(name="""Google Calendar_delete_event""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'eventId': {'description': 'ID of the event to delete', 'type': 'string'}}, 'required': ['eventId'], 'type': 'object'}, description="""Deletes an event from the calendar"""), # GongRzhe/Google Calendar/delete_event
    Tool(name="""Google Calendar_create_event""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'description': {'description': 'Event description', 'type': 'string'}, 'end': {'additionalProperties': False, 'properties': {'dateTime': {'description': 'End time (ISO format)', 'type': 'string'}, 'timeZone': {'description': 'Time zone', 'type': 'string'}}, 'required': ['dateTime'], 'type': 'object'}, 'location': {'description': 'Event location', 'type': 'string'}, 'start': {'additionalProperties': False, 'properties': {'dateTime': {'description': 'Start time (ISO format)', 'type': 'string'}, 'timeZone': {'description': 'Time zone', 'type': 'string'}}, 'required': ['dateTime'], 'type': 'object'}, 'summary': {'description': 'Event title', 'type': 'string'}}, 'required': ['summary', 'start', 'end'], 'type': 'object'}, description="""Creates a new event in Google Calendar"""), # GongRzhe/Google Calendar/create_event
    Tool(name="""Google Calendar_get_event""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'eventId': {'description': 'ID of the event to retrieve', 'type': 'string'}}, 'required': ['eventId'], 'type': 'object'}, description="""Retrieves details of a specific event"""), # GongRzhe/Google Calendar/get_event
    Tool(name="""Google Calendar_update_event""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'description': {'description': 'New event description', 'type': 'string'}, 'end': {'additionalProperties': False, 'properties': {'dateTime': {'description': 'New end time (ISO format)', 'type': 'string'}, 'timeZone': {'description': 'Time zone', 'type': 'string'}}, 'required': ['dateTime'], 'type': 'object'}, 'eventId': {'description': 'ID of the event to update', 'type': 'string'}, 'location': {'description': 'New event location', 'type': 'string'}, 'start': {'additionalProperties': False, 'properties': {'dateTime': {'description': 'New start time (ISO format)', 'type': 'string'}, 'timeZone': {'description': 'Time zone', 'type': 'string'}}, 'required': ['dateTime'], 'type': 'object'}, 'summary': {'description': 'New event title', 'type': 'string'}}, 'required': ['eventId'], 'type': 'object'}, description="""Updates an existing event"""), # GongRzhe/Google Calendar/update_event
    Tool(name="""Google Calendar_list_events""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'maxResults': {'description': 'Maximum number of events to return', 'type': 'number'}, 'orderBy': {'description': 'Sort order', 'enum': ['startTime', 'updated'], 'type': 'string'}, 'timeMax': {'description': 'End of time range (ISO format)', 'type': 'string'}, 'timeMin': {'description': 'Start of time range (ISO format)', 'type': 'string'}}, 'required': ['timeMin', 'timeMax'], 'type': 'object'}, description="""Lists events within a specified time range"""), # GongRzhe/Google Calendar/list_events
    Tool(name="""MCP NPX Fetch_fetch_html""", inputSchema={'properties': {'headers': {'description': 'Optional headers to include in the request', 'type': 'object'}, 'url': {'description': 'URL of the website to fetch', 'type': 'string'}}, 'required': ['url'], 'type': 'object'}, description="""Fetch a website and return the content as HTML"""), # tokenizin-agency/MCP NPX Fetch/fetch_html
    Tool(name="""MCP NPX Fetch_fetch_markdown""", inputSchema={'properties': {'headers': {'description': 'Optional headers to include in the request', 'type': 'object'}, 'url': {'description': 'URL of the website to fetch', 'type': 'string'}}, 'required': ['url'], 'type': 'object'}, description="""Fetch a website and return the content as Markdown"""), # tokenizin-agency/MCP NPX Fetch/fetch_markdown
    Tool(name="""MCP NPX Fetch_fetch_txt""", inputSchema={'properties': {'headers': {'description': 'Optional headers to include in the request', 'type': 'object'}, 'url': {'description': 'URL of the website to fetch', 'type': 'string'}}, 'required': ['url'], 'type': 'object'}, description="""Fetch a website, return the content as plain text (no HTML)"""), # tokenizin-agency/MCP NPX Fetch/fetch_txt
    Tool(name="""MCP NPX Fetch_fetch_json""", inputSchema={'properties': {'headers': {'description': 'Optional headers to include in the request', 'type': 'object'}, 'url': {'description': 'URL of the JSON to fetch', 'type': 'string'}}, 'required': ['url'], 'type': 'object'}, description="""Fetch a JSON file from a URL"""), # tokenizin-agency/MCP NPX Fetch/fetch_json
    Tool(name="""Australian Bureau of Statistics (ABS)_query_dataset""", inputSchema={'properties': {'datasetId': {'description': 'ID of the dataset to query (e.g., C21_G01_LGA)', 'type': 'string'}}, 'required': ['datasetId'], 'type': 'object'}, description="""Query a specific ABS dataset with optional filters"""), # seansoreilly/Australian Bureau of Statistics (ABS)/query_dataset
    Tool(name="""MCP Server Neurolorap_code_collector""", inputSchema={'properties': {'input_path': {'anyOf': [{'type': 'string'}, {'items': {'type': 'string'}, 'type': 'array'}], 'default': '.', 'title': 'Input Path'}, 'subproject_id': {'anyOf': [{'type': 'string'}, {'type': 'null'}], 'default': None, 'title': 'Subproject Id'}, 'title': {'default': 'Code Collection', 'title': 'Title', 'type': 'string'}}, 'title': 'code_collectorArguments', 'type': 'object'}, description="""Collect code from files into a markdown document"""), # aindreyway/MCP Server Neurolorap/code_collector
    Tool(name="""MCP Server Neurolorap_project_structure_reporter""", inputSchema={'properties': {'ignore_patterns': {'anyOf': [{'items': {'type': 'string'}, 'type': 'array'}, {'type': 'null'}], 'default': None, 'title': 'Ignore Patterns'}, 'output_filename': {'default': 'PROJECT_STRUCTURE_REPORT.md', 'title': 'Output Filename', 'type': 'string'}}, 'title': 'project_structure_reporterArguments', 'type': 'object'}, description="""Generate a report of project structure metrics"""), # aindreyway/MCP Server Neurolorap/project_structure_reporter
    Tool(name="""Cryptocurrency Market Data MCP Server_get-price""", inputSchema={'properties': {'exchange': {'default': 'binance', 'description': 'Exchange to use (supported: binance, coinbase, kraken, kucoin, hyperliquid, huobi, bitfinex, bybit, okx, mexc)', 'enum': ['binance', 'coinbase', 'kraken', 'kucoin', 'hyperliquid', 'huobi', 'bitfinex', 'bybit', 'okx', 'mexc'], 'type': 'string'}, 'symbol': {'description': 'Trading pair symbol (e.g., BTC/USDT, ETH/USDT)', 'type': 'string'}}, 'required': ['symbol'], 'type': 'object'}, description="""Get current price of a cryptocurrency pair from a specific exchange"""), # Nayshins/Cryptocurrency Market Data MCP Server/get-price
    Tool(name="""Cryptocurrency Market Data MCP Server_get-market-summary""", inputSchema={'properties': {'exchange': {'default': 'binance', 'description': 'Exchange to use (supported: binance, coinbase, kraken, kucoin, hyperliquid, huobi, bitfinex, bybit, okx, mexc)', 'enum': ['binance', 'coinbase', 'kraken', 'kucoin', 'hyperliquid', 'huobi', 'bitfinex', 'bybit', 'okx', 'mexc'], 'type': 'string'}, 'symbol': {'description': 'Trading pair symbol (e.g., BTC/USDT, ETH/USDT)', 'type': 'string'}}, 'required': ['symbol'], 'type': 'object'}, description="""Get detailed market summary for a cryptocurrency pair from a specific exchange"""), # Nayshins/Cryptocurrency Market Data MCP Server/get-market-summary
    Tool(name="""Cryptocurrency Market Data MCP Server_get-top-volumes""", inputSchema={'properties': {'exchange': {'default': 'binance', 'description': 'Exchange to use (supported: binance, coinbase, kraken, kucoin, hyperliquid, huobi, bitfinex, bybit, okx, mexc)', 'enum': ['binance', 'coinbase', 'kraken', 'kucoin', 'hyperliquid', 'huobi', 'bitfinex', 'bybit', 'okx', 'mexc'], 'type': 'string'}, 'limit': {'description': 'Number of pairs to return (default: 5)', 'type': 'number'}}, 'type': 'object'}, description="""Get top cryptocurrencies by trading volume from a specific exchange"""), # Nayshins/Cryptocurrency Market Data MCP Server/get-top-volumes
    Tool(name="""Cryptocurrency Market Data MCP Server_list-exchanges""", inputSchema={'properties': {}, 'type': 'object'}, description="""List all supported cryptocurrency exchanges"""), # Nayshins/Cryptocurrency Market Data MCP Server/list-exchanges
    Tool(name="""Cryptocurrency Market Data MCP Server_get-historical-ohlcv""", inputSchema={'properties': {'days_back': {'default': 7, 'description': 'Number of days of historical data to fetch (default: 7, max: 30)', 'maximum': 30, 'type': 'number'}, 'exchange': {'default': 'binance', 'description': 'Exchange to use (supported: binance, coinbase, kraken, kucoin, hyperliquid, huobi, bitfinex, bybit, okx, mexc)', 'enum': ['binance', 'coinbase', 'kraken', 'kucoin', 'hyperliquid', 'huobi', 'bitfinex', 'bybit', 'okx', 'mexc'], 'type': 'string'}, 'symbol': {'description': 'Trading pair symbol (e.g., BTC/USDT, ETH/USDT)', 'type': 'string'}, 'timeframe': {'default': '1h', 'description': 'Timeframe for candlesticks (e.g., 1m, 5m, 15m, 1h, 4h, 1d)', 'enum': ['1m', '5m', '15m', '1h', '4h', '1d'], 'type': 'string'}}, 'required': ['symbol'], 'type': 'object'}, description="""Get historical OHLCV (candlestick) data for a trading pair"""), # Nayshins/Cryptocurrency Market Data MCP Server/get-historical-ohlcv
    Tool(name="""Cryptocurrency Market Data MCP Server_get-price-change""", inputSchema={'properties': {'exchange': {'default': 'binance', 'description': 'Exchange to use (supported: binance, coinbase, kraken, kucoin, hyperliquid, huobi, bitfinex, bybit, okx, mexc)', 'enum': ['binance', 'coinbase', 'kraken', 'kucoin', 'hyperliquid', 'huobi', 'bitfinex', 'bybit', 'okx', 'mexc'], 'type': 'string'}, 'symbol': {'description': 'Trading pair symbol (e.g., BTC/USDT, ETH/USDT)', 'type': 'string'}}, 'required': ['symbol'], 'type': 'object'}, description="""Get price change statistics over different time periods"""), # Nayshins/Cryptocurrency Market Data MCP Server/get-price-change
    Tool(name="""Cryptocurrency Market Data MCP Server_get-volume-history""", inputSchema={'properties': {'days': {'default': 7, 'description': 'Number of days of volume history (default: 7, max: 30)', 'maximum': 30, 'type': 'number'}, 'exchange': {'default': 'binance', 'description': 'Exchange to use (supported: binance, coinbase, kraken, kucoin, hyperliquid, huobi, bitfinex, bybit, okx, mexc)', 'enum': ['binance', 'coinbase', 'kraken', 'kucoin', 'hyperliquid', 'huobi', 'bitfinex', 'bybit', 'okx', 'mexc'], 'type': 'string'}, 'symbol': {'description': 'Trading pair symbol (e.g., BTC/USDT, ETH/USDT)', 'type': 'string'}}, 'required': ['symbol'], 'type': 'object'}, description="""Get trading volume history over time"""), # Nayshins/Cryptocurrency Market Data MCP Server/get-volume-history
    Tool(name="""mcp-tool-builder_create_tool""", inputSchema={'properties': {'code': {'description': 'Python code implementing the tool', 'type': 'string'}, 'description': {'description': 'Description of what the tool should do', 'type': 'string'}, 'tool_name': {'description': 'Name of the new tool', 'type': 'string'}}, 'required': ['tool_name', 'description', 'code'], 'type': 'object'}, description="""Create a new Python tool with specified functionality"""), # hanweg/mcp-tool-builder/create_tool
    Tool(name="""mcp-tool-builder_list_available_tools""", inputSchema={'properties': {}, 'required': [], 'type': 'object'}, description="""List all currently available tools"""), # hanweg/mcp-tool-builder/list_available_tools
    Tool(name="""mcp-tool-builder_get_bitcoin_price""", inputSchema={'properties': {}, 'required': [], 'type': 'object'}, description="""Gets current Bitcoin price in USD from CoinGecko API"""), # hanweg/mcp-tool-builder/get_bitcoin_price
    Tool(name="""mcp-tool-builder_get_weather_forecast""", inputSchema={'properties': {'zip_code': {'type': 'string'}}, 'required': ['zip_code'], 'type': 'object'}, description="""Retrieves weather forecast for a given ZIP code using NWS API"""), # hanweg/mcp-tool-builder/get_weather_forecast
    Tool(name="""Website Downloader_download_website""", inputSchema={'properties': {'depth': {'description': 'Maximum depth level for recursive downloading (optional, defaults to infinite)', 'minimum': 0, 'type': 'number'}, 'outputPath': {'description': 'Path where the website should be downloaded (optional, defaults to current directory)', 'type': 'string'}, 'url': {'description': 'URL of the website to download', 'type': 'string'}}, 'required': ['url'], 'type': 'object'}, description="""Download an entire website using wget"""), # pskill9/Website Downloader/download_website
    Tool(name="""Google Workspace MCP Server_list_emails""", inputSchema={'properties': {'maxResults': {'description': 'Maximum number of emails to return (default: 10)', 'type': 'number'}, 'query': {'description': 'Search query to filter emails', 'type': 'string'}}, 'type': 'object'}, description="""List recent emails from Gmail inbox"""), # epaproditus/Google Workspace MCP Server/list_emails
    Tool(name="""Google Workspace MCP Server_search_emails""", inputSchema={'properties': {'maxResults': {'description': 'Maximum number of emails to return (default: 10)', 'type': 'number'}, 'query': {'description': 'Gmail search query (e.g., "from:example@gmail.com has:attachment")', 'required': True, 'type': 'string'}}, 'required': ['query'], 'type': 'object'}, description="""Search emails with advanced query"""), # epaproditus/Google Workspace MCP Server/search_emails
    Tool(name="""Google Workspace MCP Server_send_email""", inputSchema={'properties': {'bcc': {'description': 'BCC recipients (comma-separated)', 'type': 'string'}, 'body': {'description': 'Email body (can include HTML)', 'type': 'string'}, 'cc': {'description': 'CC recipients (comma-separated)', 'type': 'string'}, 'subject': {'description': 'Email subject', 'type': 'string'}, 'to': {'description': 'Recipient email address', 'type': 'string'}}, 'required': ['to', 'subject', 'body'], 'type': 'object'}, description="""Send a new email"""), # epaproditus/Google Workspace MCP Server/send_email
    Tool(name="""Google Workspace MCP Server_modify_email""", inputSchema={'properties': {'addLabels': {'description': 'Labels to add', 'items': {'type': 'string'}, 'type': 'array'}, 'id': {'description': 'Email ID', 'type': 'string'}, 'removeLabels': {'description': 'Labels to remove', 'items': {'type': 'string'}, 'type': 'array'}}, 'required': ['id'], 'type': 'object'}, description="""Modify email labels (archive, trash, mark read/unread)"""), # epaproditus/Google Workspace MCP Server/modify_email
    Tool(name="""Google Workspace MCP Server_list_events""", inputSchema={'properties': {'maxResults': {'description': 'Maximum number of events to return (default: 10)', 'type': 'number'}, 'timeMax': {'description': 'End time in ISO format', 'type': 'string'}, 'timeMin': {'description': 'Start time in ISO format (default: now)', 'type': 'string'}}, 'type': 'object'}, description="""List upcoming calendar events"""), # epaproditus/Google Workspace MCP Server/list_events
    Tool(name="""Google Workspace MCP Server_create_event""", inputSchema={'properties': {'attendees': {'description': 'List of attendee email addresses', 'items': {'type': 'string'}, 'type': 'array'}, 'description': {'description': 'Event description', 'type': 'string'}, 'end': {'description': 'End time in ISO format', 'type': 'string'}, 'location': {'description': 'Event location', 'type': 'string'}, 'start': {'description': 'Start time in ISO format', 'type': 'string'}, 'summary': {'description': 'Event title', 'type': 'string'}}, 'required': ['summary', 'start', 'end'], 'type': 'object'}, description="""Create a new calendar event"""), # epaproditus/Google Workspace MCP Server/create_event
    Tool(name="""Google Workspace MCP Server_update_event""", inputSchema={'properties': {'attendees': {'description': 'New list of attendee email addresses', 'items': {'type': 'string'}, 'type': 'array'}, 'description': {'description': 'New event description', 'type': 'string'}, 'end': {'description': 'New end time in ISO format', 'type': 'string'}, 'eventId': {'description': 'Event ID to update', 'type': 'string'}, 'location': {'description': 'New event location', 'type': 'string'}, 'start': {'description': 'New start time in ISO format', 'type': 'string'}, 'summary': {'description': 'New event title', 'type': 'string'}}, 'required': ['eventId'], 'type': 'object'}, description="""Update an existing calendar event"""), # epaproditus/Google Workspace MCP Server/update_event
    Tool(name="""Google Workspace MCP Server_delete_event""", inputSchema={'properties': {'eventId': {'description': 'Event ID to delete', 'type': 'string'}}, 'required': ['eventId'], 'type': 'object'}, description="""Delete a calendar event"""), # epaproditus/Google Workspace MCP Server/delete_event
    Tool(name="""Mozilla Readability Parser MCP Server_parse""", inputSchema={'properties': {'url': {'description': 'The website URL to parse', 'type': 'string'}}, 'required': ['url'], 'type': 'object'}, description="""Extracts and transforms webpage content into clean, LLM-optimized Markdown. Returns article title, main content, excerpt, byline and site name. Uses Mozilla's Readability algorithm to remove ads, navigation, footers and non-essential elements while preserving the core content structure."""), # emzimmer/Mozilla Readability Parser MCP Server/parse
    Tool(name="""Meilisearch MCP Server_health-check""", inputSchema={'properties': {}, 'type': 'object'}, description="""Check Meilisearch server health"""), # meilisearch/Meilisearch MCP Server/health-check
    Tool(name="""Meilisearch MCP Server_get-version""", inputSchema={'properties': {}, 'type': 'object'}, description="""Get Meilisearch version information"""), # meilisearch/Meilisearch MCP Server/get-version
    Tool(name="""Meilisearch MCP Server_get-stats""", inputSchema={'properties': {}, 'type': 'object'}, description="""Get database statistics"""), # meilisearch/Meilisearch MCP Server/get-stats
    Tool(name="""Meilisearch MCP Server_get-settings""", inputSchema={'properties': {'indexUid': {'type': 'string'}}, 'required': ['indexUid'], 'type': 'object'}, description="""Get current settings for an index"""), # meilisearch/Meilisearch MCP Server/get-settings
    Tool(name="""Meilisearch MCP Server_create-index""", inputSchema={'properties': {'primaryKey': {'optional': True, 'type': 'string'}, 'uid': {'type': 'string'}}, 'required': ['uid'], 'type': 'object'}, description="""Create a new Meilisearch index"""), # meilisearch/Meilisearch MCP Server/create-index
    Tool(name="""Meilisearch MCP Server_list-indexes""", inputSchema={'properties': {}, 'type': 'object'}, description="""List all Meilisearch indexes"""), # meilisearch/Meilisearch MCP Server/list-indexes
    Tool(name="""Meilisearch MCP Server_update-settings""", inputSchema={'properties': {'indexUid': {'type': 'string'}, 'settings': {'type': 'object'}}, 'required': ['indexUid', 'settings'], 'type': 'object'}, description="""Update settings for an index"""), # meilisearch/Meilisearch MCP Server/update-settings
    Tool(name="""Meilisearch MCP Server_get-documents""", inputSchema={'properties': {'indexUid': {'type': 'string'}, 'limit': {'optional': True, 'type': 'integer'}, 'offset': {'optional': True, 'type': 'integer'}}, 'required': ['indexUid'], 'type': 'object'}, description="""Get documents from an index"""), # meilisearch/Meilisearch MCP Server/get-documents
    Tool(name="""Meilisearch MCP Server_add-documents""", inputSchema={'properties': {'documents': {'type': 'array'}, 'indexUid': {'type': 'string'}, 'primaryKey': {'optional': True, 'type': 'string'}}, 'required': ['indexUid', 'documents'], 'type': 'object'}, description="""Add documents to an index"""), # meilisearch/Meilisearch MCP Server/add-documents
    Tool(name="""Meilisearch MCP Server_search""", inputSchema={'properties': {'filter': {'optional': True, 'type': 'string'}, 'indexUid': {'optional': True, 'type': 'string'}, 'limit': {'optional': True, 'type': 'integer'}, 'offset': {'optional': True, 'type': 'integer'}, 'query': {'type': 'string'}, 'sort': {'items': {'type': 'string'}, 'optional': True, 'type': 'array'}}, 'required': ['query'], 'type': 'object'}, description="""Search through Meilisearch indices. If indexUid is not provided, it will search across all indices."""), # meilisearch/Meilisearch MCP Server/search
    Tool(name="""Meilisearch MCP Server_get-task""", inputSchema={'properties': {'taskUid': {'type': 'integer'}}, 'required': ['taskUid'], 'type': 'object'}, description="""Get information about a specific task"""), # meilisearch/Meilisearch MCP Server/get-task
    Tool(name="""Meilisearch MCP Server_get-connection-settings""", inputSchema={'properties': {}, 'type': 'object'}, description="""Get current Meilisearch connection settings"""), # meilisearch/Meilisearch MCP Server/get-connection-settings
    Tool(name="""Meilisearch MCP Server_update-connection-settings""", inputSchema={'properties': {'api_key': {'optional': True, 'type': 'string'}, 'url': {'optional': True, 'type': 'string'}}, 'type': 'object'}, description="""Update Meilisearch connection settings"""), # meilisearch/Meilisearch MCP Server/update-connection-settings
    Tool(name="""Meilisearch MCP Server_get-tasks""", inputSchema={'properties': {'afterEnqueuedAt': {'optional': True, 'type': 'string'}, 'afterFinishedAt': {'optional': True, 'type': 'string'}, 'afterStartedAt': {'optional': True, 'type': 'string'}, 'batchUids': {'items': {'type': 'string'}, 'optional': True, 'type': 'array'}, 'beforeEnqueuedAt': {'optional': True, 'type': 'string'}, 'beforeFinishedAt': {'optional': True, 'type': 'string'}, 'beforeStartedAt': {'optional': True, 'type': 'string'}, 'canceledBy': {'items': {'type': 'string'}, 'optional': True, 'type': 'array'}, 'from': {'optional': True, 'type': 'integer'}, 'indexUids': {'items': {'type': 'string'}, 'optional': True, 'type': 'array'}, 'limit': {'optional': True, 'type': 'integer'}, 'reverse': {'optional': True, 'type': 'boolean'}, 'statuses': {'items': {'type': 'string'}, 'optional': True, 'type': 'array'}, 'types': {'items': {'type': 'string'}, 'optional': True, 'type': 'array'}, 'uids': {'items': {'type': 'integer'}, 'optional': True, 'type': 'array'}}, 'type': 'object'}, description="""Get list of tasks with optional filters"""), # meilisearch/Meilisearch MCP Server/get-tasks
    Tool(name="""Meilisearch MCP Server_cancel-tasks""", inputSchema={'properties': {'indexUids': {'optional': True, 'type': 'string'}, 'statuses': {'optional': True, 'type': 'string'}, 'types': {'optional': True, 'type': 'string'}, 'uids': {'optional': True, 'type': 'string'}}, 'type': 'object'}, description="""Cancel tasks based on filters"""), # meilisearch/Meilisearch MCP Server/cancel-tasks
    Tool(name="""Meilisearch MCP Server_get-keys""", inputSchema={'properties': {'limit': {'optional': True, 'type': 'integer'}, 'offset': {'optional': True, 'type': 'integer'}}, 'type': 'object'}, description="""Get list of API keys"""), # meilisearch/Meilisearch MCP Server/get-keys
    Tool(name="""Meilisearch MCP Server_create-key""", inputSchema={'properties': {'actions': {'type': 'array'}, 'description': {'optional': True, 'type': 'string'}, 'expiresAt': {'optional': True, 'type': 'string'}, 'indexes': {'type': 'array'}}, 'required': ['actions', 'indexes'], 'type': 'object'}, description="""Create a new API key"""), # meilisearch/Meilisearch MCP Server/create-key
    Tool(name="""Meilisearch MCP Server_delete-key""", inputSchema={'properties': {'key': {'type': 'string'}}, 'required': ['key'], 'type': 'object'}, description="""Delete an API key"""), # meilisearch/Meilisearch MCP Server/delete-key
    Tool(name="""Meilisearch MCP Server_get-health-status""", inputSchema={'properties': {}, 'type': 'object'}, description="""Get comprehensive health status of Meilisearch"""), # meilisearch/Meilisearch MCP Server/get-health-status
    Tool(name="""Meilisearch MCP Server_get-index-metrics""", inputSchema={'properties': {'indexUid': {'type': 'string'}}, 'required': ['indexUid'], 'type': 'object'}, description="""Get detailed metrics for an index"""), # meilisearch/Meilisearch MCP Server/get-index-metrics
    Tool(name="""Meilisearch MCP Server_get-system-info""", inputSchema={'properties': {}, 'type': 'object'}, description="""Get system-level information"""), # meilisearch/Meilisearch MCP Server/get-system-info
    Tool(name="""Rijksmuseum MCP Server_get_artwork_image""", inputSchema={'properties': {'culture': {'default': 'en', 'description': "Language for the API response. Use 'en' for English or 'nl' for Dutch (Nederlands). While this endpoint primarily returns image data, any textual metadata will be in the specified language.", 'enum': ['nl', 'en'], 'type': 'string'}, 'objectNumber': {'description': 'The unique identifier of the artwork in the Rijksmuseum collection. Same format as used in get_artwork_details. The artwork must have an associated image for this to work.', 'type': 'string'}}, 'required': ['objectNumber'], 'type': 'object'}, description="""Retrieve detailed image tile information for high-resolution viewing of an artwork. This tool provides data for implementing deep zoom functionality, allowing detailed examination of the artwork at various zoom levels.\n\nThe response includes multiple zoom levels (z0 to z6):\n- z0: Highest resolution (largest image)\n- z6: Lowest resolution (smallest image)\n\nEach zoom level contains:\n- Total width and height of the image at that level\n- A set of image tiles that make up the complete image\n- Position information (x,y) for each tile\n\nThis is particularly useful for:\n- Implementing deep zoom viewers\n- Studying fine artwork details\n- Analyzing brushwork or conservation details\n- Creating interactive viewing experiences"""), # r-huijts/Rijksmuseum MCP Server/get_artwork_image
    Tool(name="""Rijksmuseum MCP Server_get_user_sets""", inputSchema={'properties': {'culture': {'default': 'en', 'description': "Language for the response data. Use 'en' for English or 'nl' for Dutch (Nederlands). Affects set descriptions and user information.", 'enum': ['nl', 'en'], 'type': 'string'}, 'page': {'default': 0, 'description': 'Page number for paginated results, starting at 0. Use with pageSize to navigate through sets. Note: page * pageSize cannot exceed 10,000.', 'minimum': 0, 'type': 'number'}, 'pageSize': {'default': 10, 'description': 'Number of user sets to return per page. Must be between 1 and 100. Larger values return more results but take longer to process.', 'maximum': 100, 'minimum': 1, 'type': 'number'}}, 'type': 'object'}, description="""Retrieve collections created by Rijksstudio users. These are curated sets of artworks that users have grouped together based on themes, artists, periods, or personal interests.\n\nEach set includes:\n- Basic information (name, description, creation date)\n- Creator details (username, language preference)\n- Collection statistics (number of items)\n- Navigation links (API and web URLs)\n\nThis tool is useful for:\n- Discovering user-curated exhibitions\n- Finding thematically related artworks\n- Exploring popular artwork groupings\n- Studying collection patterns"""), # r-huijts/Rijksmuseum MCP Server/get_user_sets
    Tool(name="""Rijksmuseum MCP Server_get_user_set_details""", inputSchema={'properties': {'culture': {'default': 'en', 'description': "Language for the response data. Use 'en' for English or 'nl' for Dutch (Nederlands). Affects set descriptions and artwork information.", 'enum': ['nl', 'en'], 'type': 'string'}, 'page': {'default': 0, 'description': 'Page number for paginated results, starting at 0. Use with pageSize to navigate through large sets. Note: page * pageSize cannot exceed 10,000.', 'minimum': 0, 'type': 'number'}, 'pageSize': {'default': 25, 'description': 'Number of artworks to return per page. Must be between 1 and 100. Default is 25. Larger values return more artworks but take longer to process.', 'maximum': 100, 'minimum': 1, 'type': 'number'}, 'setId': {'description': "The unique identifier of the user set to fetch. Format is typically 'userId-setname'. This ID can be obtained from the get_user_sets results.", 'type': 'string'}}, 'required': ['setId'], 'type': 'object'}, description="""Retrieve detailed information about a specific user-created collection in Rijksstudio. Returns comprehensive information about the set and its contents, including:\n\n- Set metadata (name, description, creation date)\n- Creator information\n- List of artworks in the set\n- Image data for each artwork\n- Navigation links\n\nThis tool is particularly useful for:\n- Analyzing thematic groupings of artworks\n- Studying curatorial choices\n- Understanding collection patterns\n- Exploring relationships between artworks"""), # r-huijts/Rijksmuseum MCP Server/get_user_set_details
    Tool(name="""Rijksmuseum MCP Server_open_image_in_browser""", inputSchema={'properties': {'imageUrl': {'description': "The full URL of the artwork image to open. Must be a valid HTTP/HTTPS URL from the Rijksmuseum's servers. These URLs can be obtained from artwork search results or details.", 'type': 'string'}}, 'required': ['imageUrl'], 'type': 'object'}, description="""Open a high-resolution image of an artwork in the default web browser for viewing. This tool is useful when you want to examine an artwork visually or show it to the user. Works with any valid Rijksmuseum image URL."""), # r-huijts/Rijksmuseum MCP Server/open_image_in_browser
    Tool(name="""Rijksmuseum MCP Server_get_artist_timeline""", inputSchema={'properties': {'artist': {'description': "The name of the artist to create a timeline for. Must match the museum's naming convention (e.g., 'Rembrandt van Rijn', 'Vincent van Gogh'). Case sensitive and exact match required.", 'type': 'string'}, 'maxWorks': {'default': 10, 'description': 'Maximum number of works to include in the timeline. Works are selected based on significance and quality of available images. Higher numbers give a more complete picture but may include less significant works.', 'maximum': 50, 'minimum': 1, 'type': 'number'}}, 'required': ['artist'], 'type': 'object'}, description="""Generate a chronological timeline of an artist's works in the Rijksmuseum collection. This tool is perfect for studying an artist's development, analyzing their artistic periods, or understanding their contribution to art history over time."""), # r-huijts/Rijksmuseum MCP Server/get_artist_timeline
    Tool(name="""Rijksmuseum MCP Server_search_artwork""", inputSchema={'properties': {'century': {'description': 'Filter artworks by the century they were created in. Use negative numbers for BCE, positive for CE. Range from -1 (100-1 BCE) to 21 (2000-2099 CE). Example: 17 for 17th century (1600-1699).', 'maximum': 21, 'minimum': -1, 'type': 'integer'}, 'color': {'description': "Filter artworks by predominant color. Use hexadecimal color codes without the # symbol. Examples: 'FF0000' for red, '00FF00' for green, '0000FF' for blue. The API will match artworks containing this color.", 'type': 'string'}, 'culture': {'default': 'en', 'description': "Language for the search and returned data. Use 'en' for English or 'nl' for Dutch (Nederlands). Affects artwork titles, descriptions, and other text fields.", 'enum': ['nl', 'en'], 'type': 'string'}, 'imgonly': {'default': False, 'description': 'When true, only returns artworks that have associated images. Set to true if you need to show or analyze the visual aspects of artworks.', 'type': 'boolean'}, 'involvedMaker': {'description': "Search for artworks by a specific artist. Must be case-sensitive and exact, e.g., 'Rembrandt+van+Rijn', 'Vincent+van+Gogh'. Use + for spaces in names.", 'type': 'string'}, 'material': {'description': "Filter by the material used in the artwork. Examples: 'canvas', 'paper', 'wood', 'oil paint', 'marble'. Matches exact material names from the museum's classification.", 'type': 'string'}, 'p': {'default': 0, 'description': "Page number for paginated results, starting at 0. Use in combination with 'ps' to navigate through large result sets. Note: p * ps cannot exceed 10,000.", 'minimum': 0, 'type': 'integer'}, 'ps': {'default': 10, 'description': 'Number of artworks to return per page. Higher values return more results but take longer to process. Maximum of 100 items per page.', 'maximum': 100, 'minimum': 1, 'type': 'integer'}, 'q': {'description': "General search query that will match against artist names, artwork titles, descriptions, materials, techniques, etc. Use this for broad searches like 'sunflowers', 'portrait', 'landscape', etc.", 'type': 'string'}, 'sortBy': {'default': 'relevance', 'description': "Determines the order of results. Options: 'relevance' (best matches first), 'objecttype' (grouped by type), 'chronologic' (oldest to newest), 'achronologic' (newest to oldest), 'artist' (artist name A-Z), 'artistdesc' (artist name Z-A).", 'enum': ['relevance', 'objecttype', 'chronologic', 'achronologic', 'artist', 'artistdesc'], 'type': 'string'}, 'technique': {'description': "Filter by the technique used to create the artwork. Examples: 'oil painting', 'etching', 'watercolor', 'photography'. Matches specific techniques from the museum's classification.", 'type': 'string'}, 'toppieces': {'default': False, 'description': 'When true, only returns artworks designated as masterpieces by the Rijksmuseum. These are the most significant and famous works in the collection.', 'type': 'boolean'}, 'type': {'description': "Filter by the type of artwork. Common values include 'painting', 'print', 'drawing', 'sculpture', 'photograph', 'furniture'. Use singular form.", 'type': 'string'}}, 'type': 'object'}, description="""Search and filter artworks in the Rijksmuseum collection. This tool provides extensive filtering options including artist name, type of artwork, materials, techniques, time periods, colors, and more. Results can be sorted in various ways and are paginated."""), # r-huijts/Rijksmuseum MCP Server/search_artwork
    Tool(name="""Rijksmuseum MCP Server_get_artwork_details""", inputSchema={'properties': {'culture': {'default': 'en', 'description': "Language for the artwork details. Use 'en' for English or 'nl' for Dutch (Nederlands). Affects all textual information including descriptions, titles, and historical documentation.", 'enum': ['nl', 'en'], 'type': 'string'}, 'objectNumber': {'description': "The unique identifier of the artwork in the Rijksmuseum collection. Format is typically a combination of letters and numbers (e.g., 'SK-C-5' for The Night Watch, 'SK-A-3262' for Van Gogh's Self Portrait). Case-sensitive. This ID can be obtained from search results.", 'type': 'string'}}, 'required': ['objectNumber'], 'type': 'object'}, description="""Retrieve comprehensive details about a specific artwork from the Rijksmuseum collection. Returns extensive information including:\n\n- Basic details (title, artist, dates)\n- Physical properties (dimensions, materials, techniques)\n- Historical context (dating, historical persons, documentation)\n- Visual information (colors, image data)\n- Curatorial information (descriptions, labels, location)\n- Acquisition details\n- Exhibition history\n\nThis is the primary tool for in-depth research on a specific artwork, providing all available museum documentation and metadata."""), # r-huijts/Rijksmuseum MCP Server/get_artwork_details
    Tool(name="""markdown2pdf-mcp_create_pdf_from_markdown""", inputSchema={'properties': {'markdown': {'description': 'Markdown content to convert to PDF', 'type': 'string'}, 'outputFilename': {'description': 'The filename of the PDF file to be saved (e.g. "output.pdf"). The environmental variable M2P_OUTPUT_DIR sets the output path directory. If not provided, it will default to user\'s HOME directory.', 'type': 'string'}, 'paperBorder': {'default': '20mm', 'description': 'Border margin for the PDF (default: 2cm). Use CSS units (cm, mm, in, px)', 'pattern': '^[0-9]+(.[0-9]+)?(cm|mm|in|px)$', 'type': 'string'}, 'paperFormat': {'default': 'letter', 'description': 'Paper format for the PDF (default: letter)', 'enum': ['letter', 'a4', 'a3', 'a5', 'legal', 'tabloid'], 'type': 'string'}, 'paperOrientation': {'default': 'portrait', 'description': 'Paper orientation for the PDF (default: portrait)', 'enum': ['portrait', 'landscape'], 'type': 'string'}, 'watermark': {'description': 'Optional watermark text (max 15 characters, uppercase), e.g. "DRAFT", "PRELIMINARY", "CONFIDENTIAL", "FOR REVIEW", etc', 'maxLength': 15, 'pattern': '^[A-Z0-9\\s-]+$', 'type': 'string'}}, 'required': ['markdown'], 'type': 'object'}, description="""Convert markdown content to PDF. Note: Cannot handle LaTeX math equations. Supports basic markdown elements like headers, lists, tables, code blocks, blockquotes, and images (both local and external URLs)."""), # 2b3pro/markdown2pdf-mcp/create_pdf_from_markdown
    Tool(name="""Cedardiff MCP Server_edit_file""", inputSchema={'properties': {'script': {'description': 'CEDARScript commands to execute', 'type': 'string'}, 'workingDir': {'description': 'Working directory for resolving file paths', 'type': 'string'}}, 'required': ['script', 'workingDir'], 'type': 'object'}, description="""Edit a file using CEDARScript syntax"""), # th3w1zard1/Cedardiff MCP Server/edit_file
    Tool(name="""OpenHue MCP Server_get-lights""", inputSchema={'properties': {'lightId': {'description': 'Optional light ID or name to get specific light details', 'type': 'string'}, 'room': {'description': 'Optional room name to filter lights', 'type': 'string'}}, 'type': 'object'}, description="""List all Hue lights or get details for a specific light"""), # lsemenenko/OpenHue MCP Server/get-lights
    Tool(name="""OpenHue MCP Server_control-light""", inputSchema={'properties': {'action': {'description': 'Turn light on or off', 'enum': ['on', 'off'], 'type': 'string'}, 'brightness': {'description': 'Optional brightness level (0-100)', 'maximum': 100, 'minimum': 0, 'type': 'number'}, 'color': {'description': "Optional color name (e.g., 'red', 'blue')", 'type': 'string'}, 'target': {'description': 'Light ID or name', 'type': 'string'}, 'temperature': {'description': 'Optional color temperature in Mirek', 'maximum': 500, 'minimum': 153, 'type': 'number'}}, 'required': ['target', 'action'], 'type': 'object'}, description="""Control a specific Hue light"""), # lsemenenko/OpenHue MCP Server/control-light
    Tool(name="""OpenHue MCP Server_get-rooms""", inputSchema={'properties': {'roomId': {'description': 'Optional room ID or name to get specific room details', 'type': 'string'}}, 'type': 'object'}, description="""List all rooms or get details for a specific room"""), # lsemenenko/OpenHue MCP Server/get-rooms
    Tool(name="""OpenHue MCP Server_control-room""", inputSchema={'properties': {'action': {'description': 'Turn room lights on or off', 'enum': ['on', 'off'], 'type': 'string'}, 'brightness': {'description': 'Optional brightness level (0-100)', 'maximum': 100, 'minimum': 0, 'type': 'number'}, 'color': {'description': 'Optional color name', 'type': 'string'}, 'target': {'description': 'Room ID or name', 'type': 'string'}, 'temperature': {'description': 'Optional color temperature in Mirek', 'maximum': 500, 'minimum': 153, 'type': 'number'}}, 'required': ['target', 'action'], 'type': 'object'}, description="""Control all lights in a room"""), # lsemenenko/OpenHue MCP Server/control-room
    Tool(name="""OpenHue MCP Server_get-scenes""", inputSchema={'properties': {'room': {'description': 'Optional room name to filter scenes', 'type': 'string'}}, 'type': 'object'}, description="""List all scenes or get details for specific scenes"""), # lsemenenko/OpenHue MCP Server/get-scenes
    Tool(name="""OpenHue MCP Server_activate-scene""", inputSchema={'properties': {'mode': {'description': 'Optional scene mode', 'enum': ['active', 'dynamic', 'static'], 'type': 'string'}, 'name': {'description': 'Scene name or ID', 'type': 'string'}, 'room': {'description': 'Optional room name for the scene', 'type': 'string'}}, 'required': ['name'], 'type': 'object'}, description="""Activate a specific scene"""), # lsemenenko/OpenHue MCP Server/activate-scene
    Tool(name="""MCP File Preview Server_preview_file""", inputSchema={'properties': {'filePath': {'description': 'Path to local HTML file', 'type': 'string'}, 'height': {'default': 768, 'description': 'Viewport height', 'type': 'number'}, 'width': {'default': 1024, 'description': 'Viewport width', 'type': 'number'}}, 'required': ['filePath'], 'type': 'object'}, description="""Preview local HTML file and capture screenshot"""), # seanivore/MCP File Preview Server/preview_file
    Tool(name="""MCP File Preview Server_analyze_content""", inputSchema={'properties': {'filePath': {'description': 'Path to local HTML file', 'type': 'string'}}, 'required': ['filePath'], 'type': 'object'}, description="""Analyze HTML content structure"""), # seanivore/MCP File Preview Server/analyze_content
    Tool(name="""SearXNG Server_searxng_web_search""", inputSchema={'properties': {'count': {'default': 20, 'description': 'Number of results', 'type': 'number'}, 'offset': {'default': 0, 'description': 'Pagination offset', 'type': 'number'}, 'query': {'description': 'Search query', 'type': 'string'}}, 'required': ['query'], 'type': 'object'}, description="""Performs a web search using the SearxNG API, ideal for general queries, news, articles, and online content. Use this for broad information gathering, recent events, or when you need diverse web sources."""), # ihor-sokoliuk/SearXNG Server/searxng_web_search
    Tool(name="""SearXNG Server_web_url_read""", inputSchema={'properties': {'url': {'description': 'URL', 'type': 'string'}}, 'required': ['url'], 'type': 'object'}, description="""Read the content from an URL. Use this for further information retrieving to understand the content of each URL."""), # ihor-sokoliuk/SearXNG Server/web_url_read
    Tool(name="""social-media-mcp_post_to_x""", inputSchema={'properties': {'content': {'description': 'Content of the post', 'type': 'string'}, 'threadId': {'description': 'ID of the thread to post to', 'type': 'string'}}, 'required': ['content'], 'type': 'object'}, description="""Post a message to X (formerly Twitter)"""), # angheljf/social-media-mcp/post_to_x
    Tool(name="""social-media-mcp_list_x_posts""", inputSchema={'properties': {'limit': {'description': 'Maximum number of posts to return', 'type': 'number'}, 'threadId': {'description': 'ID of the thread to filter by', 'type': 'string'}}, 'type': 'object'}, description="""List X (formerly Twitter) posts"""), # angheljf/social-media-mcp/list_x_posts
    Tool(name="""social-media-mcp_create_x_thread""", inputSchema={'properties': {'content': {'description': 'Content of the first post', 'type': 'string'}}, 'required': ['content'], 'type': 'object'}, description="""Create a thread on X (formerly Twitter)"""), # angheljf/social-media-mcp/create_x_thread
    Tool(name="""mcp-neovim-server_vim_buffer""", inputSchema={'properties': {'filename': {'description': 'File name to edit (can be empty, assume buffer is already open)', 'type': 'string'}}, 'required': [], 'type': 'object'}, description="""Current VIM text editor buffer with line numbers shown"""), # bigcodegen/mcp-neovim-server/vim_buffer
    Tool(name="""mcp-neovim-server_vim_command""", inputSchema={'properties': {'command': {'description': "Neovim command to enter for navigation and spot editing. For shell commands use without leading colon (e.g. '!ls'). Insert <esc> to return to NORMAL mode. It is possible to send multiple commands separated with <cr>.", 'type': 'string'}}, 'required': ['command'], 'type': 'object'}, description="""Send a command to VIM for navigation, spot editing, and line deletion. For shell commands like ls, use without the leading colon (e.g. '!ls' not ':!ls')."""), # bigcodegen/mcp-neovim-server/vim_command
    Tool(name="""mcp-neovim-server_vim_status""", inputSchema={'properties': {'filename': {'description': 'File name to get status for (can be empty, assume buffer is already open)', 'type': 'string'}}, 'required': [], 'type': 'object'}, description="""Get the status of the VIM editor"""), # bigcodegen/mcp-neovim-server/vim_status
    Tool(name="""mcp-neovim-server_vim_edit""", inputSchema={'properties': {'lines': {'description': 'Lines of strings to insert or replace', 'type': 'string'}, 'mode': {'description': 'Mode for editing lines. insert will insert lines at startLine. replace will replace lines starting at the startLine to the end of the buffer.', 'enum': ['insert', 'replace'], 'type': 'string'}, 'startLine': {'description': 'Line number to start editing', 'type': 'number'}}, 'required': ['startLine', 'mode', 'lines'], 'type': 'object'}, description="""Edit lines using insert or replace in the VIM editor."""), # bigcodegen/mcp-neovim-server/vim_edit
    Tool(name="""mcp-neovim-server_vim_window""", inputSchema={'properties': {'command': {'description': 'Window command (split, vsplit, only, close, wincmd h/j/k/l)', 'enum': ['split', 'vsplit', 'only', 'close', 'wincmd h', 'wincmd j', 'wincmd k', 'wincmd l'], 'type': 'string'}}, 'required': ['command'], 'type': 'object'}, description="""Manipulate Neovim windows (split, close, navigate)"""), # bigcodegen/mcp-neovim-server/vim_window
    Tool(name="""mcp-neovim-server_vim_mark""", inputSchema={'properties': {'column': {'description': 'Column number', 'type': 'number'}, 'line': {'description': 'Line number', 'type': 'number'}, 'mark': {'description': 'Mark name (a-z)', 'pattern': '^[a-z]$', 'type': 'string'}}, 'required': ['mark', 'line', 'column'], 'type': 'object'}, description="""Set a mark at a specific position"""), # bigcodegen/mcp-neovim-server/vim_mark
    Tool(name="""mcp-neovim-server_vim_register""", inputSchema={'properties': {'content': {'description': 'Content to store in register', 'type': 'string'}, 'register': {'description': 'Register name (a-z or ")', 'pattern': '^[a-z"]$', 'type': 'string'}}, 'required': ['register', 'content'], 'type': 'object'}, description="""Set content of a register"""), # bigcodegen/mcp-neovim-server/vim_register
    Tool(name="""mcp-neovim-server_vim_visual""", inputSchema={'properties': {'endColumn': {'description': 'Ending column number', 'type': 'number'}, 'endLine': {'description': 'Ending line number', 'type': 'number'}, 'startColumn': {'description': 'Starting column number', 'type': 'number'}, 'startLine': {'description': 'Starting line number', 'type': 'number'}}, 'required': ['startLine', 'startColumn', 'endLine', 'endColumn'], 'type': 'object'}, description="""Make a visual selection"""), # bigcodegen/mcp-neovim-server/vim_visual
    Tool(name="""Sefaria Jewish Library MCP Server_get_text""", inputSchema={'properties': {'reference': {'description': "The reference of the jewish text, e.g. '     ' or 'Genesis 1:1'", 'type': 'string'}}, 'required': ['reference'], 'type': 'object'}, description="""get a jewish text from the jewish library"""), # Sivan22/Sefaria Jewish Library MCP Server/get_text
    Tool(name="""Sefaria Jewish Library MCP Server_get_commentaries""", inputSchema={'properties': {'reference': {'description': "the reference of the jewish text, e.g. '     ' or 'Genesis 1:1'", 'type': 'string'}}, 'required': ['reference'], 'type': 'object'}, description="""get a list of references of commentaries for a jewish text"""), # Sivan22/Sefaria Jewish Library MCP Server/get_commentaries
    Tool(name="""Sefaria Jewish Library MCP Server_search_texts""", inputSchema={'properties': {'filters': {'default': '[]', 'description': 'Filters to apply to the text path in English (Examples: "Shulkhan Arukh", "maimonides", "talmud").', 'type': 'list'}, 'query': {'description': 'The search query', 'type': 'string'}, 'size': {'default': 10, 'description': 'Number of results to return.', 'type': 'integer'}, 'slop': {'default': 2, 'description': 'The maximum distance between each query word in the resulting document. 0 means an exact match must be found.', 'type': 'integer'}}, 'required': ['query'], 'type': 'object'}, description="""search for jewish texts in the Sefaria library"""), # Sivan22/Sefaria Jewish Library MCP Server/search_texts
    Tool(name="""MCPMC (Minecraft MCP)_find_blocks""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'blockTypes': {'anyOf': [{'type': 'string'}, {'items': {'type': 'string'}, 'type': 'array'}, {'type': 'string'}]}, 'constraints': {'additionalProperties': False, 'properties': {'maxY': {'type': 'number'}, 'minY': {'type': 'number'}, 'requireReachable': {'default': False, 'type': 'boolean'}}, 'type': 'object'}, 'maxCount': {'default': 1, 'type': 'number'}, 'maxDistance': {'default': 32, 'type': 'number'}}, 'required': ['blockTypes'], 'type': 'object'}, description="""Find nearby blocks of specific types. Use this to locate building materials or identify terrain."""), # gerred/MCPMC (Minecraft MCP)/find_blocks
    Tool(name="""MCPMC (Minecraft MCP)_craft_item""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'itemName': {'type': 'string'}, 'quantity': {'type': 'number'}, 'useCraftingTable': {'type': 'boolean'}}, 'required': ['itemName'], 'type': 'object'}, description="""Craft items using materials in inventory. Can use a crafting table if specified."""), # gerred/MCPMC (Minecraft MCP)/craft_item
    Tool(name="""MCPMC (Minecraft MCP)_chat""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'message': {'type': 'string'}}, 'required': ['message'], 'type': 'object'}, description="""Send a chat message to the server"""), # gerred/MCPMC (Minecraft MCP)/chat
    Tool(name="""MCPMC (Minecraft MCP)_navigate_relative""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'dx': {'type': 'number'}, 'dy': {'type': 'number'}, 'dz': {'type': 'number'}}, 'required': ['dx', 'dy', 'dz'], 'type': 'object'}, description="""Make the bot walk relative to its current position. dx moves right(+)/left(-), dy moves up(+)/down(-), dz moves forward(+)/back(-) relative to bot's current position and orientation"""), # gerred/MCPMC (Minecraft MCP)/navigate_relative
    Tool(name="""MCPMC (Minecraft MCP)_dig_block_relative""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'dx': {'type': 'number'}, 'dy': {'type': 'number'}, 'dz': {'type': 'number'}}, 'required': ['dx', 'dy', 'dz'], 'type': 'object'}, description="""Dig a single block relative to the bot's current position. dx moves right(+)/left(-), dy moves up(+)/down(-), dz moves forward(+)/back(-) relative to bot's current position and orientation"""), # gerred/MCPMC (Minecraft MCP)/dig_block_relative
    Tool(name="""MCPMC (Minecraft MCP)_dig_area_relative""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'end': {'$ref': '#/properties/start'}, 'start': {'additionalProperties': False, 'properties': {'dx': {'type': 'number'}, 'dy': {'type': 'number'}, 'dz': {'type': 'number'}}, 'required': ['dx', 'dy', 'dz'], 'type': 'object'}}, 'required': ['start', 'end'], 'type': 'object'}, description="""Dig multiple blocks in an area relative to the bot's current position. Coordinates use the same relative system as dig_block_relative. Use this for clearing spaces."""), # gerred/MCPMC (Minecraft MCP)/dig_area_relative
    Tool(name="""MCPMC (Minecraft MCP)_place_block""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'blockName': {'type': 'string'}, 'x': {'type': 'number'}, 'y': {'type': 'number'}, 'z': {'type': 'number'}}, 'required': ['x', 'y', 'z', 'blockName'], 'type': 'object'}, description="""Place a block from the bot's inventory at the specified position. Use this for building structures."""), # gerred/MCPMC (Minecraft MCP)/place_block
    Tool(name="""MCPMC (Minecraft MCP)_inspect_inventory""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'includeEquipment': {'type': 'boolean'}, 'itemType': {'type': 'string'}}, 'type': 'object'}, description="""Check the contents of the bot's inventory to see available materials."""), # gerred/MCPMC (Minecraft MCP)/inspect_inventory
    Tool(name="""MCPMC (Minecraft MCP)_follow_player""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'distance': {'default': 2, 'type': 'number'}, 'username': {'type': 'string'}}, 'required': ['username'], 'type': 'object'}, description="""Make the bot follow a specific player"""), # gerred/MCPMC (Minecraft MCP)/follow_player
    Tool(name="""MCPMC (Minecraft MCP)_attack_entity""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'entityName': {'type': 'string'}, 'maxDistance': {'default': 5, 'type': 'number'}}, 'required': ['entityName'], 'type': 'object'}, description="""Attack a specific entity near the bot"""), # gerred/MCPMC (Minecraft MCP)/attack_entity
    Tool(name="""mcp-vcd_get-signal""", inputSchema={'properties': {'end_time': {'description': 'End timestamp (optional)', 'type': 'integer'}, 'file_name': {'description': 'Name of the VCD file to analyze', 'type': 'string'}, 'signal_name': {'description': 'Name of the signal to search for', 'type': 'string'}, 'start_time': {'description': 'Start timestamp (optional)', 'type': 'integer'}}, 'required': ['file_name', 'signal_name'], 'type': 'object'}, description="""Get all instances of a specified signal in a VCD file"""), # SeanMcLoughlin/mcp-vcd/get-signal
    Tool(name="""OpenRouter MCP Server_chat_completion""", inputSchema={'properties': {'messages': {'description': 'An array of conversation messages with roles and content', 'items': {'properties': {'content': {'description': 'The content of the message', 'type': 'string'}, 'role': {'description': 'The role of the message sender', 'enum': ['system', 'user', 'assistant'], 'type': 'string'}}, 'required': ['role', 'content'], 'type': 'object'}, 'maxItems': 100, 'minItems': 1, 'type': 'array'}, 'model': {'description': 'The model to use (e.g., "google/gemini-2.0-flash-thinking-exp:free", "undi95/toppy-m-7b:free"). If not provided, uses the default model if set.', 'type': 'string'}, 'temperature': {'description': 'Sampling temperature (0-2)', 'maximum': 2, 'minimum': 0, 'type': 'number'}}, 'required': ['messages'], 'type': 'object'}, description="""Send a message to OpenRouter.ai and get a response"""), # heltonteixeira/OpenRouter MCP Server/chat_completion
    Tool(name="""OpenRouter MCP Server_search_models""", inputSchema={'properties': {'capabilities': {'description': 'Filter by model capabilities', 'properties': {'functions': {'description': 'Requires function calling capability', 'type': 'boolean'}, 'json_mode': {'description': 'Requires JSON mode capability', 'type': 'boolean'}, 'tools': {'description': 'Requires tools capability', 'type': 'boolean'}, 'vision': {'description': 'Requires vision capability', 'type': 'boolean'}}, 'type': 'object'}, 'limit': {'description': 'Maximum number of results to return (default: 10)', 'maximum': 50, 'minimum': 1, 'type': 'number'}, 'maxCompletionPrice': {'description': 'Maximum price per 1K tokens for completions', 'type': 'number'}, 'maxContextLength': {'description': 'Maximum context length in tokens', 'type': 'number'}, 'maxPromptPrice': {'description': 'Maximum price per 1K tokens for prompts', 'type': 'number'}, 'minContextLength': {'description': 'Minimum context length in tokens', 'type': 'number'}, 'provider': {'description': 'Filter by specific provider (e.g., "anthropic", "openai", "cohere")', 'type': 'string'}, 'query': {'description': 'Optional search query to filter by name, description, or provider', 'type': 'string'}}, 'type': 'object'}, description="""Search and filter OpenRouter.ai models based on various criteria"""), # heltonteixeira/OpenRouter MCP Server/search_models
    Tool(name="""OpenRouter MCP Server_get_model_info""", inputSchema={'properties': {'model': {'description': 'The model ID to get information for', 'type': 'string'}}, 'required': ['model'], 'type': 'object'}, description="""Get detailed information about a specific model"""), # heltonteixeira/OpenRouter MCP Server/get_model_info
    Tool(name="""OpenRouter MCP Server_validate_model""", inputSchema={'properties': {'model': {'description': 'The model ID to validate', 'type': 'string'}}, 'required': ['model'], 'type': 'object'}, description="""Check if a model ID is valid"""), # heltonteixeira/OpenRouter MCP Server/validate_model
    Tool(name="""@wopal/mcp-server-hotnews_get_hot_news""", inputSchema={'properties': {'sources': {'description': 'Available HotNews sources (ID: Platform):\n\n{ID: 1, Platform: "Zhihu Hot List ()"},\n{ID: 2, Platform: "36Kr Hot List (36)"},\n{ID: 3, Platform: "Baidu Hot Discussion ()"},\n{ID: 4, Platform: "Bilibili Hot List (B)"},\n{ID: 5, Platform: "Weibo Hot Search ()"},\n{ID: 6, Platform: "Douyin Hot List ()"},\n{ID: 7, Platform: "Hupu Hot List ()"},\n{ID: 8, Platform: "Douban Hot List ()"},\n{ID: 9, Platform: "IT News (IT)"}\n\nExample usage:\n- [3]: Get Baidu Hot Discussion only\n- [1,3,7]: Get hot lists from zhihuHot, Baidu, and huPu\n- [1,2,3,4]: Get hot lists from zhihuHot, 36Kr, Baidu, and Bilibili', 'items': {'maximum': 9, 'minimum': 1, 'type': 'number'}, 'type': 'array'}}, 'required': ['sources'], 'type': 'object'}, description="""Get hot trending lists from various platforms"""), # wopal-cn/@wopal/mcp-server-hotnews/get_hot_news
    Tool(name="""hny-mcp_list_datasets""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'environment': {'type': 'string'}, 'limit': {'type': 'number'}, 'page': {'type': 'number'}, 'search': {'type': 'string'}, 'search_fields': {'anyOf': [{'type': 'string'}, {'items': {'type': 'string'}, 'type': 'array'}]}, 'sort_by': {'enum': ['name', 'slug', 'created_at', 'last_written_at'], 'type': 'string'}, 'sort_order': {'enum': ['asc', 'desc'], 'type': 'string'}}, 'required': ['environment'], 'type': 'object'}, description="""Lists available datasets for the active environment with pagination, sorting, and search support. Returns dataset names, slugs, descriptions, and timestamps."""), # honeycombio/hny-mcp/list_datasets
    Tool(name="""hny-mcp_list_columns""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'dataset': {'description': 'The dataset to fetch columns from', 'minLength': 1, 'type': 'string'}, 'environment': {'description': 'The Honeycomb environment', 'minLength': 1, 'type': 'string'}, 'limit': {'description': 'Number of items per page', 'exclusiveMinimum': 0, 'type': 'integer'}, 'page': {'description': 'Page number (1-based)', 'exclusiveMinimum': 0, 'type': 'integer'}, 'search': {'description': 'Search term to filter results', 'type': 'string'}, 'search_fields': {'anyOf': [{'type': 'string'}, {'items': {'minLength': 1, 'type': 'string'}, 'type': 'array'}], 'description': 'Fields to search in (string or array of strings)'}, 'sort_by': {'description': 'Field to sort by', 'type': 'string'}, 'sort_order': {'description': 'Sort direction', 'enum': ['asc', 'desc'], 'type': 'string'}}, 'required': ['environment', 'dataset'], 'type': 'object'}, description="""Lists all columns available in the specified dataset, including their names, types, descriptions, and hidden status. Supports pagination, sorting by type/name/created_at, and searching by name/description. Note: __all__ is NOT supported as a dataset name."""), # honeycombio/hny-mcp/list_columns
    Tool(name="""hny-mcp_run_query""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'breakdowns': {'description': "MUST use field name 'breakdowns' (not 'group_by'). Columns to group results by.", 'items': {'minLength': 1, 'type': 'string'}, 'type': 'array'}, 'calculations': {'description': " CRITICAL RULE: For COUNT or CONCURRENCY operations, you MUST OMIT the 'column' field COMPLETELY - do not include it at all. For all other operations, the 'column' field is REQUIRED.", 'items': {'additionalProperties': False, 'properties': {'column': {'description': ' CRITICAL: NEVER include this field when op is COUNT or CONCURRENCY. REQUIRED for all other operations.', 'minLength': 1, 'type': 'string'}, 'op': {'description': ' CRITICAL RULES FOR OPERATIONS:\n\n1. FOR COUNT OPERATIONS:\n   - NEVER include a "column" field\n   - CORRECT: {"op": "COUNT"}\n   - INCORRECT: {"op": "COUNT", "column": "anything"} \n   \n2. FOR PERCENTILES:\n   - Use the exact P* operations (P95, P99, etc.)\n   - CORRECT: {"op": "P95", "column": "duration_ms"}\n   - INCORRECT: {"op": "PERCENTILE", "percentile": 95}\n   \n3. ALL operations EXCEPT COUNT and CONCURRENCY REQUIRE a column field\n\nCOMMON ERRORS TO AVOID:\n- DO NOT include "column" with COUNT or CONCURRENCY\n- DO NOT use "PERCENTILE" - use "P95", "P99", etc. instead\n- DO NOT misspell operation names', 'enum': ['COUNT', 'CONCURRENCY', 'SUM', 'AVG', 'COUNT_DISTINCT', 'MAX', 'MIN', 'P001', 'P01', 'P05', 'P10', 'P20', 'P25', 'P50', 'P75', 'P80', 'P90', 'P95', 'P99', 'P999', 'RATE_AVG', 'RATE_SUM', 'RATE_MAX', 'HEATMAP'], 'type': 'string'}}, 'required': ['op'], 'type': 'object'}, 'type': 'array'}, 'dataset': {'description': 'The dataset to query. Use __all__ to query across all datasets in the environment.', 'minLength': 1, 'type': 'string'}, 'end_time': {'description': "MUST use field name 'end_time' (with underscore). Absolute end timestamp in seconds.", 'exclusiveMinimum': 0, 'type': 'integer'}, 'environment': {'description': 'The Honeycomb environment to query', 'minLength': 1, 'type': 'string'}, 'filter_combination': {'description': "MUST use field name 'filter_combination' (not 'combine_filters'). How to combine filters: AND or OR. Default: AND.", 'enum': ['AND', 'OR'], 'type': 'string'}, 'filters': {'description': "MUST use field name 'filters' (an array of filter objects). Pre-calculation filters for the query.", 'items': {'additionalProperties': False, 'properties': {'column': {'description': "MUST use field name 'column'. Name of the column to filter on.", 'minLength': 1, 'type': 'string'}, 'op': {'description': 'MUST use field name \'op\'. Available operators:\n- Equality: "=", "!="\n- Comparison: ">", ">=", "<", "<="\n- String: "starts-with", "does-not-start-with", "ends-with", "does-not-end-with", "contains", "does-not-contain"\n- Existence: "exists", "does-not-exist"\n- Arrays: "in", "not-in" (use with array values)', 'enum': ['=', '!=', '>', '>=', '<', '<=', 'starts-with', 'does-not-start-with', 'ends-with', 'does-not-end-with', 'exists', 'does-not-exist', 'contains', 'does-not-contain', 'in', 'not-in'], 'type': 'string'}, 'value': {'description': "MUST use field name 'value'. Comparison value. Optional for exists operators. Use arrays for in/not-in."}}, 'required': ['column', 'op'], 'type': 'object'}, 'type': 'array'}, 'granularity': {'description': "MUST use field name 'granularity'. Time resolution in seconds. 0 for auto.", 'minimum': 0, 'type': 'integer'}, 'havings': {'description': "MUST use field name 'havings'. Post-calculation filters with same column rules as calculations.", 'items': {'additionalProperties': False, 'properties': {'calculate_op': {'description': "MUST use field name 'calculate_op'. Available operations:\n- NO COLUMN ALLOWED: COUNT, CONCURRENCY\n- REQUIRE COLUMN: SUM, AVG, COUNT_DISTINCT, MAX, MIN, P001, P01, P05, P10, P20, P25, P50, P75, P80, P90, P95, P99, P999, RATE_AVG, RATE_SUM, RATE_MAX", 'enum': ['COUNT', 'CONCURRENCY', 'SUM', 'AVG', 'COUNT_DISTINCT', 'MAX', 'MIN', 'P001', 'P01', 'P05', 'P10', 'P20', 'P25', 'P50', 'P75', 'P80', 'P90', 'P95', 'P99', 'P999', 'RATE_AVG', 'RATE_SUM', 'RATE_MAX'], 'type': 'string'}, 'column': {'description': "MUST use field name 'column'. NEVER use with COUNT/CONCURRENCY. REQUIRED for all other operations.", 'minLength': 1, 'type': 'string'}, 'op': {'description': 'MUST use field name \'op\'. Available comparison operators: "=", "!=", ">", ">=", "<", "<="', 'enum': ['=', '!=', '>', '>=', '<', '<='], 'type': 'string'}, 'value': {'description': "MUST use field name 'value'. Numeric threshold value to compare against.", 'type': 'number'}}, 'required': ['calculate_op', 'op', 'value'], 'type': 'object'}, 'type': 'array'}, 'limit': {'description': "MUST use field name 'limit'. Maximum number of result rows to return.", 'exclusiveMinimum': 0, 'type': 'integer'}, 'orders': {'description': "MUST use field name 'orders' (not 'sort' or 'order_by'). Array of sort configurations.", 'items': {'additionalProperties': False, 'properties': {'column': {'description': "MUST use field name 'column'. Column to order by. Required when sorting by a column directly.", 'minLength': 1, 'type': 'string'}, 'op': {'description': "MUST use field name 'op' when provided. Operation to order by. Must match a calculation operation.", 'type': 'string'}, 'order': {'description': 'MUST use field name \'order\' when provided. Available values: "ascending" (low to high) or "descending" (high to low).', 'enum': ['ascending', 'descending'], 'type': 'string'}}, 'required': ['column'], 'type': 'object'}, 'type': 'array'}, 'start_time': {'description': "MUST use field name 'start_time' (with underscore). Absolute start timestamp in seconds.", 'exclusiveMinimum': 0, 'type': 'integer'}, 'time_range': {'description': "MUST use field name 'time_range' (with underscore). Relative time range in seconds from now.", 'exclusiveMinimum': 0, 'type': 'number'}}, 'required': ['environment', 'dataset', 'calculations'], 'type': 'object'}, description="""Executes a Honeycomb query, returning results with statistical summaries. \n\nCRITICAL RULE: For COUNT operations, NEVER include a \"column\" field in your calculation, even as null or undefined. Example: Use {\"op\": \"COUNT\"} NOT {\"op\": \"COUNT\", \"column\": \"anything\"}.\n\nAdditional Rules:\n1) All parameters must be at the TOP LEVEL (not nested inside a 'query' property)\n2) Field names must be exact - use 'op' (not 'operation'), 'breakdowns' (not 'group_by')\n3) Only use the exact operation names listed in the schema (e.g., use \"P95\" for 95th percentile, not \"PERCENTILE\")\n4) For all operations EXCEPT COUNT and CONCURRENCY, you must specify a \"column\" field\n"""), # honeycombio/hny-mcp/run_query
    Tool(name="""hny-mcp_analyze_columns""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'columns': {'description': 'The names of the columns to analyze', 'items': {'type': 'string'}, 'maxItems': 10, 'minItems': 1, 'type': 'array'}, 'dataset': {'description': 'The dataset containing the column to analyze', 'minLength': 1, 'type': 'string'}, 'environment': {'description': 'The Honeycomb environment containing the dataset', 'minLength': 1, 'type': 'string'}, 'timeRange': {'description': 'Time range in seconds to analyze. Default is 2 hours.', 'exclusiveMinimum': 0, 'type': 'number'}}, 'required': ['environment', 'dataset', 'columns'], 'type': 'object'}, description="""Analyzes specific columns in a dataset by running statistical queries and returning computed metrics.\nThis tool allows users to get statistical information about a specific column, including value distribution, top values, and numeric statistics (for numeric columns).\nSupports analyzing up to 10 columns at once by specifying an array of column names in the 'columns' parameter.\nWhen multiple columns are specified, they will be analyzed together as a group, showing the distribution of their combined values.\nUse this tool before running queries to get a better understanding of the data in your dataset.\n"""), # honeycombio/hny-mcp/analyze_columns
    Tool(name="""hny-mcp_list_boards""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'environment': {'description': 'The Honeycomb environment', 'minLength': 1, 'type': 'string'}, 'limit': {'description': 'Number of items per page', 'exclusiveMinimum': 0, 'type': 'integer'}, 'page': {'description': 'Page number (1-based)', 'exclusiveMinimum': 0, 'type': 'integer'}, 'search': {'description': 'Search term to filter results', 'type': 'string'}, 'search_fields': {'anyOf': [{'type': 'string'}, {'items': {'minLength': 1, 'type': 'string'}, 'type': 'array'}], 'description': 'Fields to search in (string or array of strings)'}, 'sort_by': {'description': 'Field to sort by', 'type': 'string'}, 'sort_order': {'description': 'Sort direction', 'enum': ['asc', 'desc'], 'type': 'string'}}, 'required': ['environment'], 'type': 'object'}, description="""Lists available boards (dashboards) for a specific environment with pagination, sorting, and search support. Returns board IDs, names, descriptions, creation times, and last update times."""), # honeycombio/hny-mcp/list_boards
    Tool(name="""hny-mcp_get_board""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'boardId': {'description': 'The ID of the board to retrieve', 'minLength': 1, 'type': 'string'}, 'environment': {'description': 'The Honeycomb environment', 'minLength': 1, 'type': 'string'}}, 'required': ['environment', 'boardId'], 'type': 'object'}, description="""Retrieves a specific board (dashboard) from a Honeycomb environment. This tool returns a detailed object containing the board's ID, name, description, creation time, and last update time."""), # honeycombio/hny-mcp/get_board
    Tool(name="""hny-mcp_list_markers""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'environment': {'description': 'The Honeycomb environment', 'minLength': 1, 'type': 'string'}, 'limit': {'description': 'Number of items per page', 'exclusiveMinimum': 0, 'type': 'integer'}, 'page': {'description': 'Page number (1-based)', 'exclusiveMinimum': 0, 'type': 'integer'}, 'search': {'description': 'Search term to filter results', 'type': 'string'}, 'search_fields': {'anyOf': [{'type': 'string'}, {'items': {'minLength': 1, 'type': 'string'}, 'type': 'array'}], 'description': 'Fields to search in (string or array of strings)'}, 'sort_by': {'description': 'Field to sort by', 'type': 'string'}, 'sort_order': {'description': 'Sort direction', 'enum': ['asc', 'desc'], 'type': 'string'}}, 'required': ['environment'], 'type': 'object'}, description="""Lists available markers (deployment events) for a specific dataset or environment with pagination, sorting, and search support. Returns IDs, messages, types, URLs, creation times, start times, and end times."""), # honeycombio/hny-mcp/list_markers
    Tool(name="""hny-mcp_list_recipients""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'environment': {'description': 'The Honeycomb environment', 'minLength': 1, 'type': 'string'}, 'limit': {'description': 'Number of items per page', 'exclusiveMinimum': 0, 'type': 'integer'}, 'page': {'description': 'Page number (1-based)', 'exclusiveMinimum': 0, 'type': 'integer'}, 'search': {'description': 'Search term to filter results', 'type': 'string'}, 'search_fields': {'anyOf': [{'type': 'string'}, {'items': {'minLength': 1, 'type': 'string'}, 'type': 'array'}], 'description': 'Fields to search in (string or array of strings)'}, 'sort_by': {'description': 'Field to sort by', 'type': 'string'}, 'sort_order': {'description': 'Sort direction', 'enum': ['asc', 'desc'], 'type': 'string'}}, 'required': ['environment'], 'type': 'object'}, description="""Lists available recipients for notifications in a specific environment. This tool returns a list of all recipients available in the specified environment, including their names, types, targets, and metadata."""), # honeycombio/hny-mcp/list_recipients
    Tool(name="""hny-mcp_list_slos""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'dataset': {'description': 'The dataset to fetch SLOs from', 'type': 'string'}, 'environment': {'description': 'The Honeycomb environment', 'type': 'string'}}, 'required': ['environment', 'dataset'], 'type': 'object'}, description="""Lists available SLOs (Service Level Objectives) for a specific dataset. This tool returns a list of all SLOs available in the specified environment, including their names, descriptions, time periods, and target per million events expected to succeed. NOTE: __all__ is NOT supported as a dataset name -- it is not possible to list all SLOs in an environment."""), # honeycombio/hny-mcp/list_slos
    Tool(name="""hny-mcp_get_slo""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'dataset': {'description': 'The dataset containing the SLO', 'type': 'string'}, 'environment': {'description': 'The Honeycomb environment', 'type': 'string'}, 'sloId': {'description': 'The ID of the SLO to retrieve', 'type': 'string'}}, 'required': ['environment', 'dataset', 'sloId'], 'type': 'object'}, description="""Retrieves a specific SLO (Service Level Objective) by ID with detailed information. This tool returns a detailed object containing the SLO's ID, name, description, time period, target per million, compliance, budget remaining, SLI alias, and timestamps."""), # honeycombio/hny-mcp/get_slo
    Tool(name="""hny-mcp_list_triggers""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'dataset': {'description': 'The dataset to fetch triggers from', 'type': 'string'}, 'environment': {'description': 'The Honeycomb environment', 'type': 'string'}}, 'required': ['environment', 'dataset'], 'type': 'object'}, description="""Lists available triggers (alerts) for a specific dataset. This tool returns a list of all triggers available in the specified dataset, including their names, descriptions, thresholds, and other metadata. NOTE: __all__ is NOT supported as a dataset name -- it is not possible to list all triggers in an environment."""), # honeycombio/hny-mcp/list_triggers
    Tool(name="""hny-mcp_get_trigger""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'dataset': {'description': 'The dataset containing the trigger', 'type': 'string'}, 'environment': {'description': 'The Honeycomb environment', 'type': 'string'}, 'triggerId': {'description': 'The ID of the trigger to retrieve', 'type': 'string'}}, 'required': ['environment', 'dataset', 'triggerId'], 'type': 'object'}, description="""Retrieves a specific trigger (alert) by ID with detailed information. This tool returns a detailed object containing the trigger's ID, name, description, threshold, frequency, alert type, triggered status, disabled status, recipients, evaluation schedule type, and timestamps."""), # honeycombio/hny-mcp/get_trigger
    Tool(name="""hny-mcp_get_trace_link""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'dataset': {'description': 'The dataset containing the trace', 'minLength': 1, 'type': 'string'}, 'environment': {'description': 'The Honeycomb environment', 'minLength': 1, 'type': 'string'}, 'spanId': {'description': 'The unique span ID to jump to within the trace', 'type': 'string'}, 'traceEndTs': {'description': 'End timestamp in Unix epoch seconds', 'minimum': 0, 'type': 'integer'}, 'traceId': {'description': 'The unique trace ID', 'type': 'string'}, 'traceStartTs': {'description': 'Start timestamp in Unix epoch seconds', 'minimum': 0, 'type': 'integer'}}, 'required': ['environment', 'dataset', 'traceId'], 'type': 'object'}, description="""Generates a direct deep link to a specific trace in the Honeycomb UI. This tool creates a URL that opens a specific distributed trace, optionally positioning to a particular span and time range. If no time range is specified, the trace must have been generated within two hours from the current time. If only the start time is provided, the end time is assumed to be 10 minutes from the start time."""), # honeycombio/hny-mcp/get_trace_link
    Tool(name="""hny-mcp_get_instrumentation_help""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'filepath': {'description': 'Path to the file being instrumented', 'type': 'string'}, 'language': {'description': 'Programming language of the code to instrument', 'type': 'string'}}, 'type': 'object'}, description="""Provides important guidance for how to instrument code with OpenTelemetry traces and logs. It is intended to be used when someone wants to instrument their code, or improve instrumentation (such as getting advice on improving their logs or tracing, or creating new instrumentation). It is BEST used after inspecting existing code and telemetry data to understand some operational characteristics. However, if there is no telemetry data to read from Honeycomb, it can still provide guidance on how to instrument code."""), # honeycombio/hny-mcp/get_instrumentation_help
    Tool(name="""mcp-pdf-tools_merge-pdfs""", inputSchema={'properties': {'input_paths': {'description': 'List of input PDF file paths', 'items': {'type': 'string'}, 'type': 'array'}, 'output_path': {'description': 'Output path for merged PDF', 'type': 'string'}}, 'required': ['input_paths', 'output_path'], 'type': 'object'}, description="""Merge multiple PDF files into a single PDF"""), # hanweg/mcp-pdf-tools/merge-pdfs
    Tool(name="""mcp-pdf-tools_extract-pages""", inputSchema={'properties': {'input_path': {'description': 'Input PDF file path', 'type': 'string'}, 'output_path': {'description': 'Output path for new PDF', 'type': 'string'}, 'pages': {'description': 'List of page numbers to extract (1-based indexing)', 'items': {'type': 'integer'}, 'type': 'array'}}, 'required': ['input_path', 'output_path', 'pages'], 'type': 'object'}, description="""Extract specific pages from a PDF file"""), # hanweg/mcp-pdf-tools/extract-pages
    Tool(name="""mcp-pdf-tools_search-pdfs""", inputSchema={'properties': {'base_path': {'description': 'Base directory to search in', 'type': 'string'}, 'pattern': {'description': "Pattern to match against filenames (e.g., 'report*.pdf')", 'type': 'string'}, 'recursive': {'default': True, 'description': 'Whether to search in subdirectories', 'type': 'boolean'}}, 'required': ['base_path'], 'type': 'object'}, description="""Search for PDF files in a directory with optional pattern matching"""), # hanweg/mcp-pdf-tools/search-pdfs
    Tool(name="""mcp-pdf-tools_merge-pdfs-ordered""", inputSchema={'properties': {'base_path': {'description': 'Base directory containing PDFs', 'type': 'string'}, 'fuzzy_matching': {'default': True, 'description': 'Use fuzzy matching for filenames', 'type': 'boolean'}, 'output_path': {'description': 'Output path for merged PDF', 'type': 'string'}, 'patterns': {'description': 'List of patterns or names in desired order', 'items': {'type': 'string'}, 'type': 'array'}}, 'required': ['base_path', 'patterns', 'output_path'], 'type': 'object'}, description="""Merge PDFs in a specific order based on patterns or exact names"""), # hanweg/mcp-pdf-tools/merge-pdfs-ordered
    Tool(name="""mcp-pdf-tools_find-related-pdfs""", inputSchema={'properties': {'base_path': {'description': 'Base directory to search in', 'type': 'string'}, 'min_pattern_occurrences': {'default': 2, 'description': 'Minimum times a pattern must appear to be considered significant', 'type': 'integer'}, 'pattern_matching_only': {'default': False, 'description': 'Only search for repeating substring patterns', 'type': 'boolean'}, 'target_filename': {'description': 'Name of the initial PDF to analyze', 'type': 'string'}}, 'required': ['base_path', 'target_filename'], 'type': 'object'}, description="""Find a PDF and then search for related PDFs based on its content, including common substring patterns"""), # hanweg/mcp-pdf-tools/find-related-pdfs
    Tool(name="""mapbox-mcp-server_mapbox_directions""", inputSchema={'properties': {'coordinates': {'description': 'Array of coordinates', 'items': {'properties': {'latitude': {'description': 'Latitude', 'maximum': 90, 'minimum': -90, 'type': 'number'}, 'longitude': {'description': 'Longitude', 'maximum': 180, 'minimum': -180, 'type': 'number'}}, 'required': ['longitude', 'latitude'], 'type': 'object'}, 'type': 'array'}, 'profile': {'default': 'driving-traffic', 'description': 'Navigation mode', 'enum': ['driving-traffic', 'driving', 'walking', 'cycling'], 'type': 'string'}}, 'required': ['coordinates'], 'type': 'object'}, description="""Get navigation route between two points"""), # AidenYangX/mapbox-mcp-server/mapbox_directions
    Tool(name="""mapbox-mcp-server_mapbox_directions_by_places""", inputSchema={'properties': {'language': {'description': 'Language for geocoding results', 'pattern': '^[a-z]{2}$', 'type': 'string'}, 'places': {'description': 'Array of place names to route between', 'items': {'type': 'string'}, 'minItems': 2, 'type': 'array'}, 'profile': {'default': 'driving', 'description': 'Navigation mode', 'enum': ['driving-traffic', 'driving', 'walking', 'cycling'], 'type': 'string'}}, 'required': ['places'], 'type': 'object'}, description="""Get navigation route between multiple places using their names"""), # AidenYangX/mapbox-mcp-server/mapbox_directions_by_places
    Tool(name="""mapbox-mcp-server_mapbox_matrix""", inputSchema={'properties': {'annotations': {'default': 'duration,distance', 'description': 'Type of matrix to return', 'enum': ['duration', 'distance', 'duration,distance'], 'type': 'string'}, 'approaches': {'description': 'Approaches to coordinates', 'items': {'enum': ['unrestricted', 'curb'], 'type': 'string'}, 'type': 'array'}, 'bearings': {'description': 'Bearings for coordinates', 'items': {'properties': {'angle': {'description': 'Angle in degrees from true north', 'maximum': 360, 'minimum': 0, 'type': 'number'}, 'deviation': {'description': 'Allowed deviation in degrees', 'maximum': 180, 'minimum': 0, 'type': 'number'}}, 'required': ['angle', 'deviation'], 'type': 'object'}, 'type': 'array'}, 'coordinates': {'description': 'Array of coordinates', 'items': {'properties': {'latitude': {'description': 'Latitude', 'maximum': 90, 'minimum': -90, 'type': 'number'}, 'longitude': {'description': 'Longitude', 'maximum': 180, 'minimum': -180, 'type': 'number'}}, 'required': ['longitude', 'latitude'], 'type': 'object'}, 'maxItems': 25, 'minItems': 2, 'type': 'array'}, 'depart_at': {'description': 'Departure time in ISO 8601 format', 'pattern': '^\\d{4}-\\d{2}-\\d{2}T\\d{2}:\\d{2}:\\d{2}Z$', 'type': 'string'}, 'destinations': {'description': 'Indices of destination coordinates', 'items': {'minimum': 0, 'type': 'number'}, 'type': 'array'}, 'fallback_speed': {'description': 'Speed for direct path calculation when no route exists', 'minimum': 0, 'type': 'number'}, 'profile': {'default': 'driving', 'description': 'Navigation mode', 'enum': ['driving', 'walking', 'cycling'], 'type': 'string'}, 'sources': {'description': 'Indices of source coordinates', 'items': {'minimum': 0, 'type': 'number'}, 'type': 'array'}}, 'required': ['coordinates'], 'type': 'object'}, description="""Calculate travel time and distance matrices between coordinates"""), # AidenYangX/mapbox-mcp-server/mapbox_matrix
    Tool(name="""mapbox-mcp-server_mapbox_matrix_by_places""", inputSchema={'properties': {'annotations': {'default': 'duration,distance', 'description': 'Type of matrix to return', 'enum': ['duration', 'distance', 'duration,distance'], 'type': 'string'}, 'depart_at': {'description': 'Departure time in ISO 8601 format', 'pattern': '^\\d{4}-\\d{2}-\\d{2}T\\d{2}:\\d{2}:\\d{2}Z$', 'type': 'string'}, 'destinations': {'description': 'Indices of destination places', 'items': {'minimum': 0, 'type': 'number'}, 'type': 'array'}, 'fallback_speed': {'description': 'Speed for direct path calculation when no route exists', 'minimum': 0, 'type': 'number'}, 'language': {'description': 'Language for geocoding results', 'pattern': '^[a-z]{2}$', 'type': 'string'}, 'places': {'description': 'Array of place names', 'items': {'type': 'string'}, 'maxItems': 25, 'minItems': 2, 'type': 'array'}, 'profile': {'default': 'driving', 'description': 'Navigation mode', 'enum': ['driving', 'walking', 'cycling'], 'type': 'string'}, 'sources': {'description': 'Indices of source places', 'items': {'minimum': 0, 'type': 'number'}, 'type': 'array'}}, 'required': ['places'], 'type': 'object'}, description="""Calculate travel time and distance matrices between places using their names"""), # AidenYangX/mapbox-mcp-server/mapbox_matrix_by_places
    Tool(name="""mapbox-mcp-server_mapbox_geocoding""", inputSchema={'properties': {'fuzzyMatch': {'default': True, 'description': 'Enable/disable fuzzy matching', 'type': 'boolean'}, 'language': {'description': 'Language of the search results', 'pattern': '^[a-z]{2}$', 'type': 'string'}, 'limit': {'default': 5, 'description': 'Limit the number of results', 'maximum': 10, 'minimum': 1, 'type': 'number'}, 'searchText': {'description': 'The search text to geocode', 'type': 'string'}, 'types': {'description': 'Filter results by feature types', 'items': {'enum': ['country', 'region', 'postcode', 'district', 'place', 'locality', 'neighborhood', 'address', 'poi'], 'type': 'string'}, 'type': 'array'}}, 'required': ['searchText'], 'type': 'object'}, description="""Search for places and convert addresses into coordinates"""), # AidenYangX/mapbox-mcp-server/mapbox_geocoding
    Tool(name="""mcp-graphql_introspect-schema""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'endpoint': {'description': 'Optional: Override the default endpoint, the already used endpoint is: http://localhost:3000/graphql', 'format': 'uri', 'type': 'string'}, 'headers': {'anyOf': [{'additionalProperties': {'type': 'string'}, 'type': 'object'}, {'type': 'string'}], 'description': 'Optional: Add additional headers, the already used headers are: {}'}}, 'type': 'object'}, description="""Introspect the GraphQL schema, use this tool before doing a query to get the schema information if you do not have it available as a resource already."""), # blurrah/mcp-graphql/introspect-schema
    Tool(name="""mcp-graphql_query-graphql""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'endpoint': {'description': 'Optional: Override the default endpoint, the already used endpoint is: http://localhost:3000/graphql', 'format': 'uri', 'type': 'string'}, 'headers': {'anyOf': [{'additionalProperties': {'type': 'string'}, 'type': 'object'}, {'type': 'string'}], 'description': 'Optional: Add additional headers, the already used headers are: {}'}, 'query': {'type': 'string'}, 'variables': {'type': 'string'}}, 'required': ['query'], 'type': 'object'}, description="""Query a GraphQL endpoint with the given query and variables"""), # blurrah/mcp-graphql/query-graphql
    Tool(name="""mcp-rest-api_test_request""", inputSchema={'properties': {'body': {'description': 'Optional request body for POST/PUT requests', 'type': 'object'}, 'endpoint': {'description': 'Endpoint path (e.g. "/users"). Do not include full URLs - only the path. Example: "/api/users" will resolve to "https://api.example.org/v2/api/users"', 'type': 'string'}, 'headers': {'additionalProperties': {'type': 'string'}, 'description': 'Optional request headers for one-time use. IMPORTANT: Do not use for sensitive data like API keys - those should be configured via environment variables. This parameter is intended for dynamic, non-sensitive headers that may be needed for specific requests.', 'type': 'object'}, 'method': {'description': 'HTTP method to use', 'enum': ['GET', 'POST', 'PUT', 'DELETE'], 'type': 'string'}}, 'required': ['method', 'endpoint'], 'type': 'object'}, description="""Test a REST API endpoint and get detailed response information. Base URL: https://api.example.org/v2 | SSL Verification enabled (see config resource for SSL settings) | Authentication: No authentication configured | No custom headers defined (see config resource for headers) | The tool automatically: - Normalizes endpoints (adds leading slash, removes trailing slashes) - Handles authentication header injection - Applies custom headers from HEADER_* environment variables - Accepts any HTTP status code as valid - Limits response size to 10000 bytes (see config resource for size limit settings) - Returns detailed response information including: * Full URL called * Status code and text * Response headers * Response body * Request details (method, headers, body) * Response timing * Validation messages | Error Handling: - Network errors are caught and returned with descriptive messages - Invalid status codes are still returned with full response details - Authentication errors include the attempted auth method | See the config resource for all configuration options, including header configuration.\n"""), # dkmaker/mcp-rest-api/test_request
    Tool(name="""MCP server for LogSeq_create_page""", inputSchema={'properties': {'content': {'description': 'Content of the new page', 'type': 'string'}, 'title': {'description': 'Title of the new page', 'type': 'string'}}, 'required': ['title', 'content'], 'type': 'object'}, description="""Create a new page in LogSeq."""), # ergut/MCP server for LogSeq/create_page
    Tool(name="""MCP server for LogSeq_list_pages""", inputSchema={'properties': {'include_journals': {'default': False, 'description': 'Whether to include journal/daily notes in the list', 'type': 'boolean'}}, 'required': [], 'type': 'object'}, description="""Lists all pages in a LogSeq graph."""), # ergut/MCP server for LogSeq/list_pages
    Tool(name="""ElevenLabs MCP Server_generate_audio_simple""", inputSchema={'properties': {'text': {'description': 'Plain text to convert to audio', 'type': 'string'}, 'voice_id': {'description': 'Optional voice ID to use for generation', 'type': 'string'}}, 'required': ['text'], 'type': 'object'}, description="""Generate audio from plain text using default voice settings"""), # mamertofabian/ElevenLabs MCP Server/generate_audio_simple
    Tool(name="""ElevenLabs MCP Server_generate_audio_script""", inputSchema={'properties': {'script': {'description': "JSON string containing script array or plain text. For JSON format, provide an object with a 'script' array containing objects with 'text' (required), 'voice_id' (optional), and 'actor' (optional) fields.", 'type': 'string'}}, 'required': ['script'], 'type': 'object'}, description="""Generate audio from a structured script with multiple voices and actors. \n                    Accepts either:\n                    1. Plain text string\n                    2. JSON string with format: {\n                        \"script\": [\n                            {\n                                \"text\": \"Text to speak\",\n                                \"voice_id\": \"optional-voice-id\",\n                                \"actor\": \"optional-actor-name\"\n                            },\n                            ...\n                        ]\n                    }"""), # mamertofabian/ElevenLabs MCP Server/generate_audio_script
    Tool(name="""ElevenLabs MCP Server_delete_job""", inputSchema={'properties': {'job_id': {'description': 'ID of the job to delete', 'type': 'string'}}, 'required': ['job_id'], 'type': 'object'}, description="""Delete a voiceover job and its associated files"""), # mamertofabian/ElevenLabs MCP Server/delete_job
    Tool(name="""ElevenLabs MCP Server_get_audio_file""", inputSchema={'properties': {'job_id': {'description': 'ID of the job to get audio file for', 'type': 'string'}}, 'required': ['job_id'], 'type': 'object'}, description="""Get the audio file content for a specific job"""), # mamertofabian/ElevenLabs MCP Server/get_audio_file
    Tool(name="""ElevenLabs MCP Server_list_voices""", inputSchema={'properties': {}, 'required': [], 'type': 'object'}, description="""Get a list of all available ElevenLabs voices with metadata"""), # mamertofabian/ElevenLabs MCP Server/list_voices
    Tool(name="""ElevenLabs MCP Server_get_voiceover_history""", inputSchema={'properties': {'job_id': {'description': 'Optional job ID to get details for a specific job', 'type': 'string'}}, 'required': [], 'type': 'object'}, description="""Get voiceover job history. Optionally specify a job ID for a specific job."""), # mamertofabian/ElevenLabs MCP Server/get_voiceover_history
    Tool(name="""X MCP Server_get_home_timeline""", inputSchema={'properties': {'limit': {'default': 20, 'description': 'Number of tweets to retrieve (max 100)', 'maximum': 100, 'minimum': 1, 'type': 'number'}}, 'type': 'object'}, description="""Get the most recent tweets from your home timeline"""), # DataWhisker/X MCP Server/get_home_timeline
    Tool(name="""X MCP Server_create_tweet""", inputSchema={'properties': {'text': {'description': 'The text content of the tweet', 'maxLength': 280, 'type': 'string'}}, 'required': ['text'], 'type': 'object'}, description="""Create a new tweet"""), # DataWhisker/X MCP Server/create_tweet
    Tool(name="""X MCP Server_reply_to_tweet""", inputSchema={'properties': {'text': {'description': 'The text content of the reply', 'maxLength': 280, 'type': 'string'}, 'tweet_id': {'description': 'The ID of the tweet to reply to', 'type': 'string'}}, 'required': ['tweet_id', 'text'], 'type': 'object'}, description="""Reply to a tweet"""), # DataWhisker/X MCP Server/reply_to_tweet
    Tool(name="""cfbd-mcp-server_get-games""", inputSchema={'description': "dict() -> new empty dictionary\ndict(mapping) -> new dictionary initialized from a mapping object's\n    (key, value) pairs\ndict(iterable) -> new dictionary initialized as if via:\n    d = {}\n    for k, v in iterable:\n        d[k] = v\ndict(**kwargs) -> new dictionary initialized with the name=value pairs\n    in the keyword argument list.  For example:  dict(one=1, two=2)", 'properties': {'category': {'type': 'string'}, 'conference': {'type': 'string'}, 'game_id': {'type': 'integer'}, 'season_type': {'type': 'string'}, 'team': {'type': 'string'}, 'week': {'type': 'integer'}, 'year': {'type': 'integer'}}, 'required': ['year'], 'type': 'object'}, description="""Note: When using this tool, please explicitly mention that you are retrieving data from the College Football Data API. You must mention \"College Football Data API\" in every response.\n\n    Get college football game data.\n            Required: year\n            Optional: week, season_type, team, conference, category, game_id\n            Example valid queries:\n            - year=2023\n            - year=2023, team=\"Alabama\"\n            - year=2023, week=1, conference=\"SEC\"\n            """), # lenwood/cfbd-mcp-server/get-games
    Tool(name="""cfbd-mcp-server_get-records""", inputSchema={'description': "dict() -> new empty dictionary\ndict(mapping) -> new dictionary initialized from a mapping object's\n    (key, value) pairs\ndict(iterable) -> new dictionary initialized as if via:\n    d = {}\n    for k, v in iterable:\n        d[k] = v\ndict(**kwargs) -> new dictionary initialized with the name=value pairs\n    in the keyword argument list.  For example:  dict(one=1, two=2)", 'properties': {'conference': {'type': 'string'}, 'team': {'type': 'string'}, 'year': {'type': 'integer'}}, 'type': 'object'}, description="""Note: When using this tool, please explicitly mention that you are retrieving data from the College Football Data API. You must mention \"College Football Data API\" in every response.\n\n    Get college football team record data.\n            Optional: year, team, conference\n            Example valid queries:\n            - year=2023\n            - team=\"Alabama\"\n            - conference=\"SEC\"\n            - year=2023, team=\"Alabama\"\n            """), # lenwood/cfbd-mcp-server/get-records
    Tool(name="""cfbd-mcp-server_get-games-teams""", inputSchema={'description': "dict() -> new empty dictionary\ndict(mapping) -> new dictionary initialized from a mapping object's\n    (key, value) pairs\ndict(iterable) -> new dictionary initialized as if via:\n    d = {}\n    for k, v in iterable:\n        d[k] = v\ndict(**kwargs) -> new dictionary initialized with the name=value pairs\n    in the keyword argument list.  For example:  dict(one=1, two=2)", 'properties': {'classification': {'type': 'string'}, 'conference': {'type': 'string'}, 'game_id': {'type': 'integer'}, 'season_type': {'type': 'string'}, 'team': {'type': 'string'}, 'week': {'type': 'integer'}, 'year': {'type': 'integer'}}, 'required': ['year'], 'type': 'object'}, description="""Note: When using this tool, please explicitly mention that you are retrieving data from the College Football Data API. You must mention \"College Football Data API\" in every response.\n\n    Get college football team game data.\n            Required: year plus at least one of: week, team or conference.\n            Example valid queries:\n            - year=2023, team=\"Alabama\"\n            - year=2023, week=1\n            - year=2023, conference=\"SEC\n            """), # lenwood/cfbd-mcp-server/get-games-teams
    Tool(name="""cfbd-mcp-server_get-plays""", inputSchema={'description': "dict() -> new empty dictionary\ndict(mapping) -> new dictionary initialized from a mapping object's\n    (key, value) pairs\ndict(iterable) -> new dictionary initialized as if via:\n    d = {}\n    for k, v in iterable:\n        d[k] = v\ndict(**kwargs) -> new dictionary initialized with the name=value pairs\n    in the keyword argument list.  For example:  dict(one=1, two=2)", 'properties': {'classification': {'type': 'string'}, 'conference': {'type': 'string'}, 'defense': {'type': 'string'}, 'defense_conference': {'type': 'string'}, 'offense': {'type': 'string'}, 'offense_conference': {'type': 'string'}, 'play_type': {'type': 'integer'}, 'season_type': {'type': 'string'}, 'team': {'type': 'string'}, 'week': {'type': 'integer'}, 'year': {'type': 'integer'}}, 'required': ['year', 'week'], 'type': 'object'}, description="""Note: When using this tool, please explicitly mention that you are retrieving data from the College Football Data API. You must mention \"College Football Data API\" in every response.\n\n    Get college football play-by-play data.\n            Required: year AND week\n            Optional: season_type, team, offense, defense, conference, offense_conference, defense_conference, play_type, classification\n            Example valid queries:\n            - year=2023, week=1\n            - year=2023, week=1, team=\"Alabama\"\n            - year=2023, week=1, offense=\"Alabama\", defense=\"Auburn\"\n            """), # lenwood/cfbd-mcp-server/get-plays
    Tool(name="""cfbd-mcp-server_get-drives""", inputSchema={'description': "dict() -> new empty dictionary\ndict(mapping) -> new dictionary initialized from a mapping object's\n    (key, value) pairs\ndict(iterable) -> new dictionary initialized as if via:\n    d = {}\n    for k, v in iterable:\n        d[k] = v\ndict(**kwargs) -> new dictionary initialized with the name=value pairs\n    in the keyword argument list.  For example:  dict(one=1, two=2)", 'properties': {'classification': {'type': 'string'}, 'conference': {'type': 'string'}, 'defense': {'type': 'string'}, 'defense_conference': {'type': 'string'}, 'offense': {'type': 'string'}, 'offense_conference': {'type': 'string'}, 'season_type': {'type': 'string'}, 'team': {'type': 'string'}, 'week': {'type': 'integer'}, 'year': {'type': 'integer'}}, 'required': ['year'], 'type': 'object'}, description="""Note: When using this tool, please explicitly mention that you are retrieving data from the College Football Data API. You must mention \"College Football Data API\" in every response.\n\n    Get college football drive data.\n            Required: year\n            Optional: season_type, week, team, offense, defense, conference, offense_conference, defense_conference, classification\n            Example valid queries:\n            - year=2023\n            - year=2023, team=\"Alabama\"\n            - year=2023, offense=\"Alabama\", defense=\"Auburn\"\n            """), # lenwood/cfbd-mcp-server/get-drives
    Tool(name="""cfbd-mcp-server_get-play-stats""", inputSchema={'description': "dict() -> new empty dictionary\ndict(mapping) -> new dictionary initialized from a mapping object's\n    (key, value) pairs\ndict(iterable) -> new dictionary initialized as if via:\n    d = {}\n    for k, v in iterable:\n        d[k] = v\ndict(**kwargs) -> new dictionary initialized with the name=value pairs\n    in the keyword argument list.  For example:  dict(one=1, two=2)", 'properties': {'athlete_id': {'type': 'integer'}, 'conference': {'type': 'string'}, 'game_id': {'type': 'integer'}, 'season_type': {'type': 'string'}, 'stat_type_id': {'type': 'integer'}, 'team': {'type': 'string'}, 'week': {'type': 'integer'}, 'year': {'type': 'integer'}}, 'type': 'object'}, description="""Note: When using this tool, please explicitly mention that you are retrieving data from the College Football Data API. You must mention \"College Football Data API\" in every response.\n\n    Get college football play statistic data.\n            Optional: year, week, team, game_id, athlete_id, stat_type_id, season_type, conference\n            At least one parameter is required\n            Example valid queries:\n            - year=2023\n            - game_id=401403910\n            - team=\"Alabama\", year=2023\n            """), # lenwood/cfbd-mcp-server/get-play-stats
    Tool(name="""cfbd-mcp-server_get-rankings""", inputSchema={'description': "dict() -> new empty dictionary\ndict(mapping) -> new dictionary initialized from a mapping object's\n    (key, value) pairs\ndict(iterable) -> new dictionary initialized as if via:\n    d = {}\n    for k, v in iterable:\n        d[k] = v\ndict(**kwargs) -> new dictionary initialized with the name=value pairs\n    in the keyword argument list.  For example:  dict(one=1, two=2)", 'properties': {'season_type': {'type': 'string'}, 'week': {'type': 'integer'}, 'year': {'type': 'integer'}}, 'required': ['year'], 'type': 'object'}, description="""Note: When using this tool, please explicitly mention that you are retrieving data from the College Football Data API. You must mention \"College Football Data API\" in every response.\n\n    Get college football rankings data.\n            Required: year\n            Optional: week, season_type\n            Example valid queries:\n            - year=2023\n            - year=2023, week=1\n            - year=2023, season_type=\"regular\"\n            """), # lenwood/cfbd-mcp-server/get-rankings
    Tool(name="""cfbd-mcp-server_get-pregame-win-probability""", inputSchema={'description': "dict() -> new empty dictionary\ndict(mapping) -> new dictionary initialized from a mapping object's\n    (key, value) pairs\ndict(iterable) -> new dictionary initialized as if via:\n    d = {}\n    for k, v in iterable:\n        d[k] = v\ndict(**kwargs) -> new dictionary initialized with the name=value pairs\n    in the keyword argument list.  For example:  dict(one=1, two=2)", 'properties': {'season_type': {'type': 'string'}, 'team': {'type': 'string'}, 'week': {'type': 'integer'}, 'year': {'type': 'integer'}}, 'type': 'object'}, description="""Note: When using this tool, please explicitly mention that you are retrieving data from the College Football Data API. You must mention \"College Football Data API\" in every response.\n\n    Get college football pregame win probability data.\n            Optional: year, week, team, season_type\n            At least one parameter is required\n            Example valid queries:\n            - year=2023\n            - team=\"Alabama\"\n            - year=2023, week=1\n            """), # lenwood/cfbd-mcp-server/get-pregame-win-probability
    Tool(name="""cfbd-mcp-server_get-advanced-box-score""", inputSchema={'description': "dict() -> new empty dictionary\ndict(mapping) -> new dictionary initialized from a mapping object's\n    (key, value) pairs\ndict(iterable) -> new dictionary initialized as if via:\n    d = {}\n    for k, v in iterable:\n        d[k] = v\ndict(**kwargs) -> new dictionary initialized with the name=value pairs\n    in the keyword argument list.  For example:  dict(one=1, two=2)", 'properties': {'gameId': {'type': 'integer'}}, 'required': ['gameId'], 'type': 'object'}, description="""Note: When using this tool, please explicitly mention that you are retrieving data from the College Football Data API. You must mention \"College Football Data API\" in every response.\n\n    Get advanced box score data for college football games.\n            Required: gameId\n            Example valid queries:\n            - gameId=401403910\n            """), # lenwood/cfbd-mcp-server/get-advanced-box-score
    Tool(name="""MCP-wolfram-alpha_query-wolfram-alpha""", inputSchema={'properties': {'query': {'type': 'string'}}, 'required': ['query'], 'type': 'object'}, description="""Use Wolfram Alpha to answer a question. This tool should be used when you need complex math or symbolic intelligence."""), # SecretiveShell/MCP-wolfram-alpha/query-wolfram-alpha
    Tool(name="""mcp-jira-server_create_issue""", inputSchema={'properties': {'description': {'description': 'Issue description', 'type': 'string'}, 'summary': {'description': 'Issue summary/title', 'type': 'string'}, 'type': {'description': 'Issue type (Task, Epic, or Subtask)', 'type': 'string'}, 'working_dir': {'description': 'Working directory containing .jira-config.json', 'type': 'string'}}, 'required': ['working_dir', 'summary', 'description', 'type'], 'type': 'object'}, description="""Create a new Jira issue"""), # 1broseidon/mcp-jira-server/create_issue
    Tool(name="""mcp-jira-server_list_issues""", inputSchema={'properties': {'status': {'description': 'Filter by status (e.g., "To Do", "In Progress", "Done")', 'type': 'string'}, 'working_dir': {'description': 'Working directory containing .jira-config.json', 'type': 'string'}}, 'required': ['working_dir'], 'type': 'object'}, description="""List issues in the project"""), # 1broseidon/mcp-jira-server/list_issues
    Tool(name="""mcp-jira-server_update_issue""", inputSchema={'properties': {'description': {'description': 'New description', 'type': 'string'}, 'issue_key': {'description': 'Issue key (e.g., PRJ-123)', 'type': 'string'}, 'status': {'description': 'New status', 'type': 'string'}, 'summary': {'description': 'New summary/title', 'type': 'string'}, 'working_dir': {'description': 'Working directory containing .jira-config.json', 'type': 'string'}}, 'required': ['working_dir', 'issue_key'], 'type': 'object'}, description="""Update an existing issue"""), # 1broseidon/mcp-jira-server/update_issue
    Tool(name="""mcp-jira-server_get_issue""", inputSchema={'properties': {'issue_key': {'description': 'Issue key (e.g., PRJ-123)', 'type': 'string'}, 'working_dir': {'description': 'Working directory containing .jira-config.json', 'type': 'string'}}, 'required': ['working_dir', 'issue_key'], 'type': 'object'}, description="""Get details of a specific issue"""), # 1broseidon/mcp-jira-server/get_issue
    Tool(name="""mcp-jira-server_delete_issue""", inputSchema={'properties': {'issue_key': {'description': 'Issue key (e.g., PRJ-123)', 'type': 'string'}, 'working_dir': {'description': 'Working directory containing .jira-config.json', 'type': 'string'}}, 'required': ['working_dir', 'issue_key'], 'type': 'object'}, description="""Delete a Jira issue"""), # 1broseidon/mcp-jira-server/delete_issue
    Tool(name="""mcp-jira-server_add_comment""", inputSchema={'properties': {'comment': {'description': 'Comment text to add to the issue', 'type': 'string'}, 'issue_key': {'description': 'Issue key (e.g., PRJ-123)', 'type': 'string'}, 'working_dir': {'description': 'Working directory containing .jira-config.json', 'type': 'string'}}, 'required': ['working_dir', 'issue_key', 'comment'], 'type': 'object'}, description="""Add a comment to an existing issue"""), # 1broseidon/mcp-jira-server/add_comment
    Tool(name="""Roam Research_roam_add_todo""", inputSchema={'properties': {'todos': {'description': 'List of todo items to add', 'items': {'description': 'Todo item text', 'type': 'string'}, 'type': 'array'}}, 'required': ['todos'], 'type': 'object'}, description="""Add a list of todo items as individual blocks to today's daily page in Roam. Each item becomes its own actionable block with todo status.\nNOTE on Roam-flavored markdown: For direct linking: use [[link]] syntax. For aliased linking, use [alias]([[link]]) syntax. Do not concatenate words in links/hashtags - correct: #[[multiple words]] #self-esteem (for typically hyphenated words)."""), # 2b3pro/Roam Research/roam_add_todo
    Tool(name="""Roam Research_roam_fetch_page_by_title""", inputSchema={'properties': {'title': {'description': 'Title of the page. For date pages, use ordinal date formats such as January 2nd, 2025', 'type': 'string'}}, 'required': ['title'], 'type': 'object'}, description="""Retrieve complete page contents by exact title, including all nested blocks and resolved block references. Use for accessing daily pages, reading and analyzing existing Roam pages."""), # 2b3pro/Roam Research/roam_fetch_page_by_title
    Tool(name="""Roam Research_roam_create_page""", inputSchema={'properties': {'content': {'description': 'Initial content for the page as an array of blocks with explicit nesting levels', 'items': {'properties': {'level': {'description': 'Indentation level (1-10, where 1 is top level)', 'maximum': 10, 'minimum': 1, 'type': 'integer'}, 'text': {'description': 'Content of the block', 'type': 'string'}}, 'required': ['text', 'level'], 'type': 'object'}, 'type': 'array'}, 'title': {'description': 'Title of the new page', 'type': 'string'}}, 'required': ['title'], 'type': 'object'}, description="""Create a new standalone page in Roam with optional content using explicit nesting levels. Best for:\n- Creating foundational concept pages that other pages will link to/from\n- Establishing new topic areas that need their own namespace\n- Setting up reference materials or documentation\n- Making permanent collections of information."""), # 2b3pro/Roam Research/roam_create_page
    Tool(name="""Roam Research_roam_create_block""", inputSchema={'properties': {'content': {'description': 'Content of the block', 'type': 'string'}, 'page_uid': {'description': 'Optional: UID of the page to add block to', 'type': 'string'}, 'title': {'description': "Optional: Title of the page to add block to (defaults to today's date if neither page_uid nor title provided)", 'type': 'string'}}, 'required': ['content'], 'type': 'object'}, description="""Add a new block to an existing Roam page. If no page specified, adds to today's daily note. Best for capturing immediate thoughts, additions to discussions, or content that doesn't warrant its own page. Can specify page by title or UID.\nNOTE on Roam-flavored markdown: For direct linking: use [[link]] syntax. For aliased linking, use [alias]([[link]]) syntax. Do not concatenate words in links/hashtags - correct: #[[multiple words]] #self-esteem (for typically hyphenated words)."""), # 2b3pro/Roam Research/roam_create_block
    Tool(name="""Roam Research_roam_create_outline""", inputSchema={'properties': {'block_text_uid': {'description': 'A relevant title heading for the outline (or UID, if known) of the block under which outline content will be nested. If blank, content will be nested under the page title.', 'type': 'string'}, 'outline': {'description': 'Array of outline items with block text and explicit nesting level', 'items': {'properties': {'level': {'description': 'Indentation level (1-10, where 1 is top level)', 'maximum': 10, 'minimum': 1, 'type': 'integer'}, 'text': {'description': 'Content of the block', 'type': 'string'}}, 'required': ['text', 'level'], 'type': 'object'}, 'type': 'array'}, 'page_title_uid': {'description': 'Title (or UID if known) of the page. Leave blank to use the default daily page', 'type': 'string'}}, 'required': ['outline'], 'type': 'object'}, description="""Add a structured outline to an existing page or block (by title text or uid), with customizable nesting levels. Best for:\n- Adding supplementary structured content to existing pages\n- Creating temporary or working outlines (meeting notes, brainstorms)\n- Organizing thoughts or research under a specific topic\n- Breaking down subtopics or components of a larger concept"""), # 2b3pro/Roam Research/roam_create_outline
    Tool(name="""Roam Research_roam_import_markdown""", inputSchema={'properties': {'content': {'description': 'Nested markdown content to import', 'type': 'string'}, 'order': {'default': 'first', 'description': 'Optional: Where to add the content under the parent ("first" or "last")', 'enum': ['first', 'last'], 'type': 'string'}, 'page_title': {'description': 'Optional: Title of the page containing the parent block (ignored if page_uid provided)', 'type': 'string'}, 'page_uid': {'description': 'Optional: UID of the page containing the parent block', 'type': 'string'}, 'parent_string': {'description': 'Optional: Exact string content of the parent block to add content under (must provide either page_uid or page_title)', 'type': 'string'}, 'parent_uid': {'description': 'Optional: UID of the parent block to add content under', 'type': 'string'}}, 'required': ['content'], 'type': 'object'}, description="""Import nested markdown content into Roam under a specific block. Can locate the parent block by UID or by exact string match within a specific page."""), # 2b3pro/Roam Research/roam_import_markdown
    Tool(name="""Roam Research_roam_search_for_tag""", inputSchema={'properties': {'near_tag': {'description': 'Optional: Another tag to filter results by - will only return blocks where both tags appear', 'type': 'string'}, 'page_title_uid': {'description': "Optional: Title or UID of the page to search in. Defaults to today's daily page if not provided", 'type': 'string'}, 'primary_tag': {'description': 'The main tag to search for (without the [[ ]] brackets)', 'type': 'string'}}, 'required': ['primary_tag'], 'type': 'object'}, description="""Search for blocks containing a specific tag and optionally filter by blocks that also contain another tag nearby. Example: Use this to search for memories that are tagged with the MEMORIES_TAG."""), # 2b3pro/Roam Research/roam_search_for_tag
    Tool(name="""Roam Research_roam_search_by_status""", inputSchema={'properties': {'exclude': {'description': 'Optional: Comma-separated list of terms to filter results by exclusion (matches content or page title)', 'type': 'string'}, 'include': {'description': 'Optional: Comma-separated list of terms to filter results by inclusion (matches content or page title)', 'type': 'string'}, 'page_title_uid': {'description': 'Optional: Title or UID of the page to search in. If not provided, searches across all pages', 'type': 'string'}, 'status': {'description': 'Status to search for (TODO or DONE)', 'enum': ['TODO', 'DONE'], 'type': 'string'}}, 'required': ['status'], 'type': 'object'}, description="""Search for blocks with a specific status (TODO/DONE) across all pages or within a specific page."""), # 2b3pro/Roam Research/roam_search_by_status
    Tool(name="""Roam Research_roam_search_block_refs""", inputSchema={'properties': {'block_uid': {'description': 'Optional: UID of the block to find references to', 'type': 'string'}, 'page_title_uid': {'description': 'Optional: Title or UID of the page to search in. If not provided, searches across all pages', 'type': 'string'}}, 'type': 'object'}, description="""Search for block references within a page or across the entire graph. Can search for references to a specific block or find all block references."""), # 2b3pro/Roam Research/roam_search_block_refs
    Tool(name="""Roam Research_roam_search_hierarchy""", inputSchema={'oneOf': [{'required': ['parent_uid']}, {'required': ['child_uid']}], 'properties': {'child_uid': {'description': 'Optional: UID of the block to find parents of', 'type': 'string'}, 'max_depth': {'description': 'Optional: How many levels deep to search (default: 1)', 'maximum': 10, 'minimum': 1, 'type': 'integer'}, 'page_title_uid': {'description': 'Optional: Title or UID of the page to search in', 'type': 'string'}, 'parent_uid': {'description': 'Optional: UID of the block to find children of', 'type': 'string'}}, 'type': 'object'}, description="""Search for parent or child blocks in the block hierarchy. Can search up or down the hierarchy from a given block."""), # 2b3pro/Roam Research/roam_search_hierarchy
    Tool(name="""Roam Research_roam_find_pages_modified_today""", inputSchema={'properties': {'max_num_pages': {'default': 50, 'description': 'Max number of pages to retrieve (default: 50)', 'type': 'integer'}}, 'type': 'object'}, description="""Find pages that have been modified today (since midnight), with limit."""), # 2b3pro/Roam Research/roam_find_pages_modified_today
    Tool(name="""Roam Research_roam_search_by_text""", inputSchema={'properties': {'page_title_uid': {'description': 'Optional: Title or UID of the page to search in. If not provided, searches across all pages', 'type': 'string'}, 'text': {'description': 'The text to search for', 'type': 'string'}}, 'required': ['text'], 'type': 'object'}, description="""Search for blocks containing specific text across all pages or within a specific page."""), # 2b3pro/Roam Research/roam_search_by_text
    Tool(name="""Roam Research_roam_update_block""", inputSchema={'oneOf': [{'required': ['content']}, {'required': ['transform_pattern']}], 'properties': {'block_uid': {'description': 'UID of the block to update', 'type': 'string'}, 'content': {'description': 'New content for the block. If not provided, transform_pattern will be used.', 'type': 'string'}, 'transform_pattern': {'description': 'Pattern to transform the current content. Used if content is not provided.', 'properties': {'find': {'description': 'Text or regex pattern to find', 'type': 'string'}, 'global': {'default': True, 'description': 'Whether to replace all occurrences', 'type': 'boolean'}, 'replace': {'description': 'Text to replace with', 'type': 'string'}}, 'required': ['find', 'replace'], 'type': 'object'}}, 'required': ['block_uid'], 'type': 'object'}, description="""Update a single block identified by its UID. Use this for individual block updates when you need to either replace the entire content or apply a transform pattern to modify specific parts of the content.\nNOTE on Roam-flavored markdown: For direct linking: use [[link]] syntax. For aliased linking, use [alias]([[link]]) syntax. Do not concatenate words in links/hashtags - correct: #[[multiple words]] #self-esteem (for typically hyphenated words)."""), # 2b3pro/Roam Research/roam_update_block
    Tool(name="""Roam Research_roam_update_multiple_blocks""", inputSchema={'properties': {'updates': {'description': 'Array of block updates to perform', 'items': {'oneOf': [{'required': ['content']}, {'required': ['transform']}], 'properties': {'block_uid': {'description': 'UID of the block to update', 'type': 'string'}, 'content': {'description': 'New content for the block. If not provided, transform will be used.', 'type': 'string'}, 'transform': {'description': 'Pattern to transform the current content. Used if content is not provided.', 'properties': {'find': {'description': 'Text or regex pattern to find', 'type': 'string'}, 'global': {'default': True, 'description': 'Whether to replace all occurrences', 'type': 'boolean'}, 'replace': {'description': 'Text to replace with', 'type': 'string'}}, 'required': ['find', 'replace'], 'type': 'object'}}, 'required': ['block_uid'], 'type': 'object'}, 'type': 'array'}}, 'required': ['updates'], 'type': 'object'}, description="""Efficiently update multiple blocks in a single batch operation. Use this when you need to update several blocks at once to avoid making multiple separate API calls. Each block in the batch can independently either have its content replaced or transformed using a pattern.\nNOTE on Roam-flavored markdown: For direct linking: use [[link]] syntax. For aliased linking, use [alias]([[link]]) syntax. Do not concatenate words in links/hashtags - correct: #[[multiple words]] #self-esteem (for typically hyphenated words)."""), # 2b3pro/Roam Research/roam_update_multiple_blocks
    Tool(name="""Roam Research_roam_search_by_date""", inputSchema={'properties': {'end_date': {'description': 'Optional: End date in ISO format (YYYY-MM-DD)', 'type': 'string'}, 'include_content': {'default': True, 'description': 'Whether to include the content of matching blocks/pages', 'type': 'boolean'}, 'scope': {'description': 'Whether to search blocks, pages, or both', 'enum': ['blocks', 'pages', 'both'], 'type': 'string'}, 'start_date': {'description': 'Start date in ISO format (YYYY-MM-DD)', 'type': 'string'}, 'type': {'description': 'Whether to search by creation date, modification date, or both', 'enum': ['created', 'modified', 'both'], 'type': 'string'}}, 'required': ['start_date', 'type', 'scope'], 'type': 'object'}, description="""Search for blocks or pages based on creation or modification dates. Not for daily pages with ordinal date titles."""), # 2b3pro/Roam Research/roam_search_by_date
    Tool(name="""Roam Research_roam_remember""", inputSchema={'properties': {'categories': {'description': 'Optional categories to tag the memory with (will be converted to Roam tags)', 'items': {'type': 'string'}, 'type': 'array'}, 'memory': {'description': 'The memory detail or information to remember', 'type': 'string'}}, 'required': ['memory'], 'type': 'object'}, description="""Add a memory or piece of information to remember, stored on the daily page with MEMORIES_TAG tag and optional categories. \nNOTE on Roam-flavored markdown: For direct linking: use [[link]] syntax. For aliased linking, use [alias]([[link]]) syntax. Do not concatenate words in links/hashtags - correct: #[[multiple words]] #self-esteem (for typically hyphenated words)."""), # 2b3pro/Roam Research/roam_remember
    Tool(name="""Roam Research_roam_recall""", inputSchema={'properties': {'filter_tag': {'description': 'Include only memories with a specific filter tag. For single word tags use format "tag", for multi-word tags use format "tag word" (without brackets)', 'type': 'string'}, 'sort_by': {'default': 'newest', 'description': 'Sort order for memories based on creation date', 'enum': ['newest', 'oldest'], 'type': 'string'}}, 'type': 'object'}, description="""Retrieve all stored memories on page titled MEMORIES_TAG, or tagged block content with the same name. Returns a combined, deduplicated list of memories. Optionally filter blcoks with a specified tag and sort by creation date."""), # 2b3pro/Roam Research/roam_recall
    Tool(name="""Roam Research_roam_datomic_query""", inputSchema={'properties': {'inputs': {'description': 'Optional array of input parameters for the query', 'items': {'type': 'string'}, 'type': 'array'}, 'query': {'description': 'The Datomic query to execute (in Datalog syntax)', 'type': 'string'}}, 'required': ['query'], 'type': 'object'}, description="""Execute a custom Datomic query on the Roam graph beyond the available search tools. This provides direct access to Roam's query engine for advanced data retrieval. Note: Roam graph is case-sensitive.\nList of some of Roam's data model Namespaces and Attributes: ancestor (descendants), attrs (lookup), block (children, heading, open, order, page, parents, props, refs, string, text-align, uid), children (view-type), create (email, time), descendant (ancestors), edit (email, seen-by, time), entity (attrs), log (id), node (title), page (uid, title), refs (text).\nPredicates (clojure.string/includes?, clojure.string/starts-with?, clojure.string/ends-with?, <, >, <=, >=, =, not=, !=).\nAggregates (distinct, count, sum, max, min, avg, limit).\nTips: Use :block/parents for all ancestor levels, :block/children for direct descendants only; combine clojure.string for complex matching, use distinct to deduplicate, leverage Pull patterns for hierarchies, handle case-sensitivity carefully, and chain ancestry rules for multi-level queries."""), # 2b3pro/Roam Research/roam_datomic_query
    Tool(name="""GitHub Mapper MCP Server_set-github-token""", inputSchema={'properties': {'token': {'description': 'GitHub Personal Access Token', 'type': 'string'}}, 'required': ['token'], 'type': 'object'}, description="""Set the GitHub Personal Access Token for authentication"""), # dazeb/GitHub Mapper MCP Server/set-github-token
    Tool(name="""GitHub Mapper MCP Server_map-github-repo""", inputSchema={'properties': {'repoUrl': {'description': 'URL of the GitHub repository (e.g., https://github.com/username/repo)', 'type': 'string'}}, 'required': ['repoUrl'], 'type': 'object'}, description="""Map a GitHub repository structure and provide summary information"""), # dazeb/GitHub Mapper MCP Server/map-github-repo
    Tool(name="""WebPerfect MCP Server_process_images""", inputSchema={'properties': {'inputDir': {'description': 'Directory containing input images', 'type': 'string'}, 'outputDir': {'description': 'Directory for optimized images', 'type': 'string'}}, 'required': ['inputDir', 'outputDir'], 'type': 'object'}, description="""Process and optimize a batch of images"""), # splendasucks/WebPerfect MCP Server/process_images
    Tool(name="""mcp-neurolora_collect_code""", inputSchema={'properties': {'ignorePatterns': {'description': 'Patterns to ignore (similar to .gitignore)', 'items': {'type': 'string'}, 'optional': True, 'type': 'array'}, 'input': {'oneOf': [{'description': 'Path to directory or file to collect code from', 'type': 'string'}, {'description': 'List of file paths to collect code from', 'items': {'type': 'string'}, 'type': 'array'}]}, 'outputPath': {'description': 'Path where to save the output markdown file', 'examples': ['/path/to/project/src/FULL_CODE_SRC_2024-12-20.md'], 'pattern': '^/.*', 'type': 'string'}}, 'required': ['input', 'outputPath'], 'type': 'object'}, description="""Collect all code from a directory into a single markdown file"""), # aindreyway/mcp-neurolora/collect_code
    Tool(name="""mcp-neurolora_install_base_servers""", inputSchema={'properties': {'configPath': {'description': 'Path to the MCP settings configuration file', 'type': 'string'}}, 'required': ['configPath'], 'type': 'object'}, description="""Install base MCP servers to the configuration"""), # aindreyway/mcp-neurolora/install_base_servers
    Tool(name="""mcp-neurolora_analyze_code""", inputSchema={'additionalProperties': False, 'properties': {'codePath': {'description': 'Absolute path to the code file to analyze (e.g. /Users/username/project/src/code.ts)', 'type': 'string'}}, 'required': ['codePath'], 'type': 'object'}, description="""Analyze code using OpenAI API (requires your API key). The analysis may take a few minutes. So, wait please."""), # aindreyway/mcp-neurolora/analyze_code
    Tool(name="""mcp-neurolora_create_github_issues""", inputSchema={'additionalProperties': False, 'properties': {'issueNumbers': {'description': 'Issue numbers to create (optional, creates all issues if not specified)', 'items': {'type': 'number'}, 'type': 'array'}, 'owner': {'description': 'GitHub repository owner', 'type': 'string'}, 'repo': {'description': 'GitHub repository name', 'type': 'string'}}, 'required': ['owner', 'repo'], 'type': 'object'}, description="""Create GitHub issues from analysis results. Requires GitHub token."""), # aindreyway/mcp-neurolora/create_github_issues
    Tool(name="""mcp-reddit_fetch_reddit_hot_threads""", inputSchema={'properties': {'limit': {'default': 10, 'title': 'Limit', 'type': 'integer'}, 'subreddit': {'title': 'Subreddit', 'type': 'string'}}, 'required': ['subreddit'], 'title': 'fetch_reddit_hot_threadsArguments', 'type': 'object'}, description="""\nFetch hot threads from a subreddit\n\nArgs:\n    subreddit: Name of the subreddit\n    limit: Number of posts to fetch (default: 10)\n    \nReturns:\n    Human readable string containing list of post information\n"""), # adhikasp/mcp-reddit/fetch_reddit_hot_threads
    Tool(name="""mcp-reddit_fetch_reddit_post_content""", inputSchema={'properties': {'comment_depth': {'default': 3, 'title': 'Comment Depth', 'type': 'integer'}, 'comment_limit': {'default': 20, 'title': 'Comment Limit', 'type': 'integer'}, 'post_id': {'title': 'Post Id', 'type': 'string'}}, 'required': ['post_id'], 'title': 'fetch_reddit_post_contentArguments', 'type': 'object'}, description="""\nFetch detailed content of a specific post\n\nArgs:\n    post_id: Reddit post ID\n    comment_limit: Number of top level comments to fetch\n    comment_depth: Maximum depth of comment tree to traverse\n\nReturns:\n    Human readable string containing post content and comments tree\n"""), # adhikasp/mcp-reddit/fetch_reddit_post_content
    Tool(name="""mcp-function-app-tester_test_endpoint""", inputSchema={'properties': {'body': {'description': 'Optional request body for POST/PUT requests', 'type': 'object'}, 'endpoint': {'description': 'Endpoint path (e.g. "/users"). Will be appended to base URL.', 'type': 'string'}, 'headers': {'additionalProperties': {'type': 'string'}, 'description': 'Optional request headers', 'type': 'object'}, 'method': {'description': 'HTTP method to use', 'enum': ['GET', 'POST', 'PUT', 'DELETE'], 'type': 'string'}}, 'required': ['method', 'endpoint'], 'type': 'object'}, description="""Test a Function App endpoint and get detailed response information. The endpoint will be prepended to the base url which is: http://localhost:7071/api"""), # dkmaker/mcp-function-app-tester/test_endpoint
    Tool(name="""language-server-mcp_get_hover""", inputSchema={'properties': {'character': {'description': 'Zero-based character offset for hover position', 'type': 'number'}, 'content': {'description': 'The current content of the file', 'type': 'string'}, 'filePath': {'description': 'Absolute or relative path to the source file', 'type': 'string'}, 'languageId': {'description': 'The language identifier (e.g., "typescript", "javascript")', 'type': 'string'}, 'line': {'description': 'Zero-based line number for hover position', 'type': 'number'}, 'projectRoot': {'description': 'Important: Root directory of the project for resolving imports and node_modules where the tsconfig.json or jsconfig.json is located', 'type': 'string'}}, 'required': ['languageId', 'filePath', 'content', 'line', 'character', 'projectRoot'], 'type': 'object'}, description="""Get hover information for a position in a document"""), # alexwohletz/language-server-mcp/get_hover
    Tool(name="""language-server-mcp_get_completions""", inputSchema={'properties': {'character': {'description': 'Zero-based character offset for completion position', 'type': 'number'}, 'content': {'description': 'The current content of the file', 'type': 'string'}, 'filePath': {'description': 'Absolute or relative path to the source file', 'type': 'string'}, 'languageId': {'description': 'The language identifier (e.g., "typescript", "javascript")', 'type': 'string'}, 'line': {'description': 'Zero-based line number for completion position', 'type': 'number'}, 'projectRoot': {'description': 'Important: Root directory of the project for resolving imports and node_modules where the tsconfig.json or jsconfig.json is located', 'type': 'string'}}, 'required': ['languageId', 'filePath', 'content', 'line', 'character', 'projectRoot'], 'type': 'object'}, description="""Get completion suggestions for a position in a document"""), # alexwohletz/language-server-mcp/get_completions
    Tool(name="""language-server-mcp_get_diagnostics""", inputSchema={'properties': {'content': {'description': 'The current content of the file', 'type': 'string'}, 'filePath': {'description': 'Absolute or relative path to the source file', 'type': 'string'}, 'languageId': {'description': 'The language identifier (e.g., "typescript", "javascript")', 'type': 'string'}, 'projectRoot': {'description': 'Important: Root directory of the project for resolving imports and node_modules where the tsconfig.json or jsconfig.json is located', 'type': 'string'}}, 'required': ['languageId', 'filePath', 'content', 'projectRoot'], 'type': 'object'}, description="""Get diagnostic information for a document"""), # alexwohletz/language-server-mcp/get_diagnostics
    Tool(name="""supabase-mcp_list_tables""", inputSchema={'properties': {'schema': {'description': 'Schema name (optional, defaults to public)', 'type': 'string'}}, 'type': 'object'}, description="""List all tables in the database"""), # DynamicEndpoints/supabase-mcp/list_tables
    Tool(name="""supabase-mcp_update_records""", inputSchema={'properties': {'data': {'description': 'Update data', 'type': 'object'}, 'filter': {'description': 'Filter conditions', 'type': 'object'}, 'returning': {'description': 'Fields to return (optional)', 'items': {'type': 'string'}, 'type': 'array'}, 'table': {'description': 'Table name', 'type': 'string'}}, 'required': ['table', 'data', 'filter'], 'type': 'object'}, description="""Update records in a Supabase table"""), # DynamicEndpoints/supabase-mcp/update_records
    Tool(name="""supabase-mcp_delete_records""", inputSchema={'properties': {'filter': {'description': 'Filter conditions', 'type': 'object'}, 'returning': {'description': 'Fields to return (optional)', 'items': {'type': 'string'}, 'type': 'array'}, 'table': {'description': 'Table name', 'type': 'string'}}, 'required': ['table', 'filter'], 'type': 'object'}, description="""Delete records from a Supabase table"""), # DynamicEndpoints/supabase-mcp/delete_records
    Tool(name="""supabase-mcp_create_record""", inputSchema={'properties': {'data': {'description': 'Record data', 'type': 'object'}, 'returning': {'description': 'Fields to return (optional)', 'items': {'type': 'string'}, 'type': 'array'}, 'table': {'description': 'Table name', 'type': 'string'}}, 'required': ['table', 'data'], 'type': 'object'}, description="""Create a new record in a Supabase table"""), # DynamicEndpoints/supabase-mcp/create_record
    Tool(name="""supabase-mcp_read_records""", inputSchema={'properties': {'filter': {'description': 'Filter conditions (optional)', 'type': 'object'}, 'joins': {'description': 'Table joins (optional)', 'items': {'properties': {'on': {'description': 'Join condition (e.g., "posts.user_id=users.id")', 'type': 'string'}, 'table': {'description': 'Table to join with', 'type': 'string'}, 'type': {'description': 'Join type', 'enum': ['inner', 'left', 'right', 'full'], 'type': 'string'}}, 'required': ['table', 'on'], 'type': 'object'}, 'type': 'array'}, 'limit': {'description': 'Maximum number of records to return (optional)', 'type': 'number'}, 'select': {'description': 'Fields to select (optional)', 'items': {'type': 'string'}, 'type': 'array'}, 'table': {'description': 'Table name', 'type': 'string'}}, 'required': ['table'], 'type': 'object'}, description="""Read records from a Supabase table"""), # DynamicEndpoints/supabase-mcp/read_records
    Tool(name="""supabase-mcp_upload_file""", inputSchema={'properties': {'bucket': {'description': 'Storage bucket name', 'type': 'string'}, 'file': {'description': 'File data as base64 string', 'type': 'object'}, 'options': {'properties': {'cacheControl': {'description': 'Cache control header', 'type': 'string'}, 'contentType': {'description': 'Content type of the file', 'type': 'string'}, 'upsert': {'description': 'Whether to overwrite existing file', 'type': 'boolean'}}, 'type': 'object'}, 'path': {'description': 'File path within the bucket', 'type': 'string'}}, 'required': ['bucket', 'path', 'file'], 'type': 'object'}, description="""Upload a file to Supabase Storage"""), # DynamicEndpoints/supabase-mcp/upload_file
    Tool(name="""supabase-mcp_download_file""", inputSchema={'properties': {'bucket': {'description': 'Storage bucket name', 'type': 'string'}, 'path': {'description': 'File path within the bucket', 'type': 'string'}}, 'required': ['bucket', 'path'], 'type': 'object'}, description="""Download a file from Supabase Storage"""), # DynamicEndpoints/supabase-mcp/download_file
    Tool(name="""supabase-mcp_invoke_function""", inputSchema={'properties': {'function': {'description': 'Function name', 'type': 'string'}, 'options': {'properties': {'headers': {'description': 'Custom headers', 'type': 'object'}, 'responseType': {'description': 'Response type', 'enum': ['json', 'text', 'arraybuffer'], 'type': 'string'}}, 'type': 'object'}, 'params': {'description': 'Function parameters', 'type': 'object'}}, 'required': ['function'], 'type': 'object'}, description="""Invoke a Supabase Edge Function"""), # DynamicEndpoints/supabase-mcp/invoke_function
    Tool(name="""supabase-mcp_list_users""", inputSchema={'properties': {'page': {'description': 'Page number', 'type': 'number'}, 'per_page': {'description': 'Items per page', 'type': 'number'}}, 'type': 'object'}, description="""List users with pagination"""), # DynamicEndpoints/supabase-mcp/list_users
    Tool(name="""supabase-mcp_create_user""", inputSchema={'properties': {'data': {'description': 'Additional user metadata', 'type': 'object'}, 'email': {'description': 'User email', 'type': 'string'}, 'password': {'description': 'User password', 'type': 'string'}}, 'required': ['email', 'password'], 'type': 'object'}, description="""Create a new user"""), # DynamicEndpoints/supabase-mcp/create_user
    Tool(name="""supabase-mcp_update_user""", inputSchema={'properties': {'data': {'description': 'Updated user metadata', 'type': 'object'}, 'email': {'description': 'New email', 'type': 'string'}, 'password': {'description': 'New password', 'type': 'string'}, 'user_id': {'description': 'User ID', 'type': 'string'}}, 'required': ['user_id'], 'type': 'object'}, description="""Update user details"""), # DynamicEndpoints/supabase-mcp/update_user
    Tool(name="""supabase-mcp_delete_user""", inputSchema={'properties': {'user_id': {'description': 'User ID', 'type': 'string'}}, 'required': ['user_id'], 'type': 'object'}, description="""Delete a user"""), # DynamicEndpoints/supabase-mcp/delete_user
    Tool(name="""supabase-mcp_assign_user_role""", inputSchema={'properties': {'role': {'description': 'Role name', 'type': 'string'}, 'user_id': {'description': 'User ID', 'type': 'string'}}, 'required': ['user_id', 'role'], 'type': 'object'}, description="""Assign a role to a user"""), # DynamicEndpoints/supabase-mcp/assign_user_role
    Tool(name="""supabase-mcp_remove_user_role""", inputSchema={'properties': {'role': {'description': 'Role name', 'type': 'string'}, 'user_id': {'description': 'User ID', 'type': 'string'}}, 'required': ['user_id', 'role'], 'type': 'object'}, description="""Remove a role from a user"""), # DynamicEndpoints/supabase-mcp/remove_user_role
    Tool(name="""pocketbase-mcp-server_create_collection""", inputSchema={'properties': {'name': {'description': 'Collection name', 'type': 'string'}, 'schema': {'description': 'Collection schema fields', 'items': {'properties': {'name': {'type': 'string'}, 'options': {'type': 'object'}, 'required': {'type': 'boolean'}, 'type': {'type': 'string'}}, 'type': 'object'}, 'type': 'array'}}, 'required': ['name', 'schema'], 'type': 'object'}, description="""Create a new collection in PocketBase"""), # DynamicEndpoints/pocketbase-mcp-server/create_collection
    Tool(name="""pocketbase-mcp-server_query_collection""", inputSchema={'properties': {'aggregate': {'description': 'Aggregation settings', 'type': 'object'}, 'collection': {'description': 'Collection name', 'type': 'string'}, 'expand': {'description': 'Relations to expand', 'type': 'string'}, 'filter': {'description': 'Filter expression', 'type': 'string'}, 'sort': {'description': 'Sort expression', 'type': 'string'}}, 'required': ['collection'], 'type': 'object'}, description="""Advanced query with filtering, sorting, and aggregation"""), # DynamicEndpoints/pocketbase-mcp-server/query_collection
    Tool(name="""pocketbase-mcp-server_create_record""", inputSchema={'properties': {'collection': {'description': 'Collection name', 'type': 'string'}, 'data': {'description': 'Record data', 'type': 'object'}}, 'required': ['collection', 'data'], 'type': 'object'}, description="""Create a new record in a collection"""), # DynamicEndpoints/pocketbase-mcp-server/create_record
    Tool(name="""pocketbase-mcp-server_list_records""", inputSchema={'properties': {'collection': {'description': 'Collection name', 'type': 'string'}, 'filter': {'description': 'Filter query', 'type': 'string'}, 'page': {'description': 'Page number', 'type': 'number'}, 'perPage': {'description': 'Items per page', 'type': 'number'}, 'sort': {'description': 'Sort field and direction', 'type': 'string'}}, 'required': ['collection'], 'type': 'object'}, description="""List records from a collection with optional filters"""), # DynamicEndpoints/pocketbase-mcp-server/list_records
    Tool(name="""pocketbase-mcp-server_update_record""", inputSchema={'properties': {'collection': {'description': 'Collection name', 'type': 'string'}, 'data': {'description': 'Updated record data', 'type': 'object'}, 'id': {'description': 'Record ID', 'type': 'string'}}, 'required': ['collection', 'id', 'data'], 'type': 'object'}, description="""Update an existing record"""), # DynamicEndpoints/pocketbase-mcp-server/update_record
    Tool(name="""pocketbase-mcp-server_delete_record""", inputSchema={'properties': {'collection': {'description': 'Collection name', 'type': 'string'}, 'id': {'description': 'Record ID', 'type': 'string'}}, 'required': ['collection', 'id'], 'type': 'object'}, description="""Delete a record"""), # DynamicEndpoints/pocketbase-mcp-server/delete_record
    Tool(name="""pocketbase-mcp-server_authenticate_user""", inputSchema={'properties': {'email': {'description': 'User email', 'type': 'string'}, 'password': {'description': 'User password', 'type': 'string'}}, 'required': ['email', 'password'], 'type': 'object'}, description="""Authenticate a user and get auth token"""), # DynamicEndpoints/pocketbase-mcp-server/authenticate_user
    Tool(name="""pocketbase-mcp-server_create_user""", inputSchema={'properties': {'email': {'description': 'User email', 'type': 'string'}, 'name': {'description': 'User name', 'type': 'string'}, 'password': {'description': 'User password', 'type': 'string'}, 'passwordConfirm': {'description': 'Password confirmation', 'type': 'string'}}, 'required': ['email', 'password', 'passwordConfirm'], 'type': 'object'}, description="""Create a new user account"""), # DynamicEndpoints/pocketbase-mcp-server/create_user
    Tool(name="""pocketbase-mcp-server_get_collection_schema""", inputSchema={'properties': {'collection': {'description': 'Collection name', 'type': 'string'}}, 'required': ['collection'], 'type': 'object'}, description="""Get schema details for a collection"""), # DynamicEndpoints/pocketbase-mcp-server/get_collection_schema
    Tool(name="""pocketbase-mcp-server_backup_database""", inputSchema={'properties': {'format': {'description': 'Export format (default: json)', 'enum': ['json', 'csv'], 'type': 'string'}}, 'type': 'object'}, description="""Create a backup of the PocketBase database"""), # DynamicEndpoints/pocketbase-mcp-server/backup_database
    Tool(name="""pocketbase-mcp-server_import_data""", inputSchema={'properties': {'collection': {'description': 'Collection name', 'type': 'string'}, 'data': {'description': 'Array of records to import', 'items': {'type': 'object'}, 'type': 'array'}, 'mode': {'description': 'Import mode (default: create)', 'enum': ['create', 'update', 'upsert'], 'type': 'string'}}, 'required': ['collection', 'data'], 'type': 'object'}, description="""Import data into a collection"""), # DynamicEndpoints/pocketbase-mcp-server/import_data
    Tool(name="""pocketbase-mcp-server_migrate_collection""", inputSchema={'properties': {'collection': {'description': 'Collection name', 'type': 'string'}, 'dataTransforms': {'description': 'Field transformation mappings', 'type': 'object'}, 'newSchema': {'description': 'New collection schema', 'items': {'properties': {'name': {'type': 'string'}, 'options': {'type': 'object'}, 'required': {'type': 'boolean'}, 'type': {'type': 'string'}}, 'type': 'object'}, 'type': 'array'}}, 'required': ['collection', 'newSchema'], 'type': 'object'}, description="""Migrate collection schema with data preservation"""), # DynamicEndpoints/pocketbase-mcp-server/migrate_collection
    Tool(name="""pocketbase-mcp-server_manage_indexes""", inputSchema={'properties': {'action': {'description': 'Action to perform', 'enum': ['create', 'delete', 'list'], 'type': 'string'}, 'collection': {'description': 'Collection name', 'type': 'string'}, 'index': {'description': 'Index configuration (for create)', 'properties': {'fields': {'items': {'type': 'string'}, 'type': 'array'}, 'name': {'type': 'string'}, 'unique': {'type': 'boolean'}}, 'type': 'object'}}, 'required': ['collection', 'action'], 'type': 'object'}, description="""Manage collection indexes"""), # DynamicEndpoints/pocketbase-mcp-server/manage_indexes
    Tool(name="""mcp-codex-keeper_add_documentation""", inputSchema={'properties': {'category': {'description': 'Category of the documentation', 'type': 'string'}, 'description': {'description': 'Description of the documentation', 'type': 'string'}, 'name': {'description': 'Name of the documentation', 'type': 'string'}, 'tags': {'description': 'Tags for additional categorization', 'items': {'type': 'string'}, 'type': 'array'}, 'url': {'description': 'URL of the documentation', 'type': 'string'}, 'version': {'description': 'Version information', 'type': 'string'}}, 'required': ['name', 'url', 'category'], 'type': 'object'}, description="""Add a new documentation source"""), # aindreyway/mcp-codex-keeper/add_documentation
    Tool(name="""mcp-codex-keeper_list_documentation""", inputSchema={'properties': {'category': {'description': 'Filter documentation by category', 'type': 'string'}, 'tag': {'description': 'Filter documentation by tag', 'type': 'string'}}, 'type': 'object'}, description="""List all available documentation sources"""), # aindreyway/mcp-codex-keeper/list_documentation
    Tool(name="""mcp-codex-keeper_update_documentation""", inputSchema={'properties': {'force': {'description': 'Force update even if recently updated', 'type': 'boolean'}, 'name': {'description': 'Name of the documentation to update', 'type': 'string'}}, 'required': ['name'], 'type': 'object'}, description="""Update documentation content from source"""), # aindreyway/mcp-codex-keeper/update_documentation
    Tool(name="""mcp-codex-keeper_search_documentation""", inputSchema={'properties': {'category': {'description': 'Filter by category', 'type': 'string'}, 'query': {'description': 'Search query', 'type': 'string'}, 'tag': {'description': 'Filter by tag', 'type': 'string'}}, 'required': ['query'], 'type': 'object'}, description="""Search through documentation content"""), # aindreyway/mcp-codex-keeper/search_documentation
    Tool(name="""MCP Zotero_get_item_details""", inputSchema={'properties': {'itemKey': {'description': "The paper's item key/ID", 'type': 'string'}}, 'required': ['itemKey'], 'type': 'object'}, description="""Get detailed information about a specific paper"""), # kaliaboi/MCP Zotero/get_item_details
    Tool(name="""MCP Zotero_get_collection_items""", inputSchema={'properties': {'collectionKey': {'description': 'The collection key/ID', 'type': 'string'}}, 'required': ['collectionKey'], 'type': 'object'}, description="""Get all items in a specific collection"""), # kaliaboi/MCP Zotero/get_collection_items
    Tool(name="""MCP Zotero_get_collections""", inputSchema={'properties': {}, 'type': 'object'}, description="""List all collections in your Zotero library"""), # kaliaboi/MCP Zotero/get_collections
    Tool(name="""MCP Zotero_search_library""", inputSchema={'properties': {'query': {'description': 'Search query', 'type': 'string'}}, 'required': ['query'], 'type': 'object'}, description="""Search your entire Zotero library"""), # kaliaboi/MCP Zotero/search_library
    Tool(name="""MCP Zotero_get_recent""", inputSchema={'properties': {'limit': {'description': 'Number of papers to return (default 10)', 'type': 'number'}}, 'type': 'object'}, description="""Get recently added papers to your library"""), # kaliaboi/MCP Zotero/get_recent
    Tool(name="""mcp-azure-tablestorage_query_table""", inputSchema={'properties': {'filter': {'description': 'OData filter string. See description for examples.', 'type': 'string'}, 'limit': {'default': 5, 'description': 'Maximum number of items to return in response (default: 5). Note: Full query is still executed to get total count.', 'type': 'number'}, 'select': {'description': 'Array of property names to select. Example: ["email", "username", "createdDate"]', 'items': {'type': 'string'}, 'type': 'array'}, 'tableName': {'description': 'Name of the table to query', 'type': 'string'}}, 'required': ['tableName'], 'type': 'object'}, description=""" WARNING: This tool returns a limited subset of results (default: 5 items) to protect the LLM's context window. DO NOT increase this limit unless explicitly confirmed by the user.\n\nQuery data from an Azure Storage Table with optional filters.\n\nSupported OData Filter Examples:\n1. Simple equality:\n   filter: \"PartitionKey eq 'COURSE'\"\n   filter: \"email eq 'user@example.com'\"\n\n2. Compound conditions:\n   filter: \"PartitionKey eq 'USER' and email eq 'user@example.com'\"\n   filter: \"PartitionKey eq 'COURSE' and title eq 'GDPR Training'\"\n\n3. Numeric comparisons:\n   filter: \"age gt 25\"\n   filter: \"costPrice le 100\"\n\n4. Date comparisons (ISO 8601 format):\n   filter: \"createdDate gt datetime'2023-01-01T00:00:00Z'\"\n   filter: \"timestamp lt datetime'2024-12-31T23:59:59Z'\"\n\nSupported Operators:\n- eq: Equal\n- ne: Not equal\n- gt: Greater than\n- ge: Greater than or equal\n- lt: Less than\n- le: Less than or equal\n- and: Logical and\n- or: Logical or\n- not: Logical not"""), # dkmaker/mcp-azure-tablestorage/query_table
    Tool(name="""mcp-azure-tablestorage_get_table_schema""", inputSchema={'properties': {'tableName': {'description': 'Name of the table to analyze', 'type': 'string'}}, 'required': ['tableName'], 'type': 'object'}, description="""Get property names and types from a table"""), # dkmaker/mcp-azure-tablestorage/get_table_schema
    Tool(name="""mcp-azure-tablestorage_list_tables""", inputSchema={'properties': {'prefix': {'description': 'Optional prefix to filter table names', 'type': 'string'}}, 'type': 'object'}, description="""List all tables in the storage account"""), # dkmaker/mcp-azure-tablestorage/list_tables
    Tool(name="""mcp-reasoner_mcp-reasoner""", inputSchema={'properties': {'beamWidth': {'description': 'Number of top paths to maintain (n-sampling). Defaults to 3 if not specified', 'maximum': 10, 'minimum': 1, 'type': 'integer'}, 'nextThoughtNeeded': {'description': 'Whether another step is needed', 'type': 'boolean'}, 'numSimulations': {'description': 'Number of MCTS simulations to run. Defaults to 50 if not specified', 'maximum': 150, 'minimum': 1, 'type': 'integer'}, 'strategyType': {'description': 'Reasoning strategy to use (beam_search or mcts)', 'enum': ['beam_search', 'mcts', 'mcts_002_alpha', 'mcts_002_alt_alpha'], 'type': 'string'}, 'thought': {'description': 'Current reasoning step', 'type': 'string'}, 'thoughtNumber': {'description': 'Current step number', 'minimum': 1, 'type': 'integer'}, 'totalThoughts': {'description': 'Total expected steps', 'minimum': 1, 'type': 'integer'}}, 'required': ['thought', 'thoughtNumber', 'totalThoughts', 'nextThoughtNeeded'], 'type': 'object'}, description="""Advanced reasoning tool with multiple strategies including Beam Search and Monte Carlo Tree Search"""), # Jacck/mcp-reasoner/mcp-reasoner
    Tool(name="""mcp-playwright_playwright_post""", inputSchema={'properties': {'url': {'description': 'URL to perform POST operation', 'type': 'string'}, 'value': {'description': 'Data to post in the body', 'type': 'string'}}, 'required': ['url', 'value'], 'type': 'object'}, description="""Perform an HTTP POST request"""), # executeautomation/mcp-playwright/playwright_post
    Tool(name="""mcp-playwright_playwright_hover""", inputSchema={'properties': {'selector': {'description': 'CSS selector for element to hover', 'type': 'string'}}, 'required': ['selector'], 'type': 'object'}, description="""Hover an element on the page"""), # executeautomation/mcp-playwright/playwright_hover
    Tool(name="""mcp-playwright_playwright_put""", inputSchema={'properties': {'url': {'description': 'URL to perform PUT operation', 'type': 'string'}, 'value': {'description': 'Data to PUT in the body', 'type': 'string'}}, 'required': ['url', 'value'], 'type': 'object'}, description="""Perform an HTTP PUT request"""), # executeautomation/mcp-playwright/playwright_put
    Tool(name="""mcp-playwright_playwright_fill""", inputSchema={'properties': {'selector': {'description': 'CSS selector for input field', 'type': 'string'}, 'value': {'description': 'Value to fill', 'type': 'string'}}, 'required': ['selector', 'value'], 'type': 'object'}, description="""fill out an input field"""), # executeautomation/mcp-playwright/playwright_fill
    Tool(name="""mcp-playwright_playwright_evaluate""", inputSchema={'properties': {'script': {'description': 'JavaScript code to execute', 'type': 'string'}}, 'required': ['script'], 'type': 'object'}, description="""Execute JavaScript in the browser console"""), # executeautomation/mcp-playwright/playwright_evaluate
    Tool(name="""mcp-playwright_playwright_get""", inputSchema={'properties': {'url': {'description': 'URL to perform GET operation', 'type': 'string'}}, 'required': ['url'], 'type': 'object'}, description="""Perform an HTTP GET request"""), # executeautomation/mcp-playwright/playwright_get
    Tool(name="""mcp-playwright_playwright_select""", inputSchema={'properties': {'selector': {'description': 'CSS selector for element to select', 'type': 'string'}, 'value': {'description': 'Value to select', 'type': 'string'}}, 'required': ['selector', 'value'], 'type': 'object'}, description="""Select an element on the page with Select tag"""), # executeautomation/mcp-playwright/playwright_select
    Tool(name="""mcp-playwright_playwright_iframe_click""", inputSchema={'properties': {'iframeSelector': {'description': 'CSS selector for the iframe containing the element to click', 'type': 'string'}, 'selector': {'description': 'CSS selector for the element to click', 'type': 'string'}}, 'required': ['iframeSelector', 'selector'], 'type': 'object'}, description="""Click an element in an iframe on the page"""), # executeautomation/mcp-playwright/playwright_iframe_click
    Tool(name="""mcp-playwright_playwright_navigate""", inputSchema={'properties': {'height': {'description': 'Viewport height in pixels (default: 720)', 'type': 'number'}, 'timeout': {'description': 'Navigation timeout in milliseconds', 'type': 'number'}, 'url': {'type': 'string'}, 'waitUntil': {'description': 'Navigation wait condition', 'type': 'string'}, 'width': {'description': 'Viewport width in pixels (default: 1280)', 'type': 'number'}}, 'required': ['url'], 'type': 'object'}, description="""Navigate to a URL"""), # executeautomation/mcp-playwright/playwright_navigate
    Tool(name="""mcp-playwright_playwright_screenshot""", inputSchema={'properties': {'downloadsDir': {'description': "Custom downloads directory path (default: user's Downloads folder)", 'type': 'string'}, 'fullPage': {'description': 'Store screenshot of the entire page (default: false)', 'type': 'boolean'}, 'height': {'description': 'Height in pixels (default: 600)', 'type': 'number'}, 'name': {'description': 'Name for the screenshot', 'type': 'string'}, 'savePng': {'description': 'Save screenshot as PNG file (default: false)', 'type': 'boolean'}, 'selector': {'description': 'CSS selector for element to screenshot', 'type': 'string'}, 'storeBase64': {'description': 'Store screenshot in base64 format (default: true)', 'type': 'boolean'}, 'width': {'description': 'Width in pixels (default: 800)', 'type': 'number'}}, 'required': ['name'], 'type': 'object'}, description="""Take a screenshot of the current page or a specific element"""), # executeautomation/mcp-playwright/playwright_screenshot
    Tool(name="""mcp-playwright_playwright_click""", inputSchema={'properties': {'selector': {'description': 'CSS selector for the element to click', 'type': 'string'}}, 'required': ['selector'], 'type': 'object'}, description="""Click an element on the page"""), # executeautomation/mcp-playwright/playwright_click
    Tool(name="""mcp-playwright_playwright_patch""", inputSchema={'properties': {'url': {'description': 'URL to perform PUT operation', 'type': 'string'}, 'value': {'description': 'Data to PATCH in the body', 'type': 'string'}}, 'required': ['url', 'value'], 'type': 'object'}, description="""Perform an HTTP PATCH request"""), # executeautomation/mcp-playwright/playwright_patch
    Tool(name="""mcp-playwright_playwright_delete""", inputSchema={'properties': {'url': {'description': 'URL to perform DELETE operation', 'type': 'string'}}, 'required': ['url'], 'type': 'object'}, description="""Perform an HTTP DELETE request"""), # executeautomation/mcp-playwright/playwright_delete
    Tool(name="""mcp-screenshot_capture""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'format': {'default': 'markdown', 'enum': ['json', 'markdown', 'vertical', 'horizontal'], 'type': 'string'}, 'region': {'default': 'left', 'enum': ['left', 'right', 'full'], 'type': 'string'}}, 'type': 'object'}, description="""Captures a screenshot of the specified region and performs OCR. Options:\n- region: 'left'/'right'/'full' (default: 'left')\n- format: 'json'/'markdown'/'vertical'/'horizontal' (default: 'markdown')\nThe screenshot is saved to a dated directory in Downloads."""), # kazuph/mcp-screenshot/capture
    Tool(name="""applescript-mcp_system_toggle_dark_mode""", inputSchema={'properties': {}, 'type': 'object'}, description="""[System control and information] Toggle system dark mode"""), # joshrutkowski/applescript-mcp/system_toggle_dark_mode
    Tool(name="""applescript-mcp_system_volume""", inputSchema={'properties': {'level': {'maximum': 100, 'minimum': 0, 'type': 'number'}}, 'required': ['level'], 'type': 'object'}, description="""[System control and information] Set system volume"""), # joshrutkowski/applescript-mcp/system_volume
    Tool(name="""applescript-mcp_system_get_frontmost_app""", inputSchema={'properties': {}, 'type': 'object'}, description="""[System control and information] Get the name of the frontmost application"""), # joshrutkowski/applescript-mcp/system_get_frontmost_app
    Tool(name="""applescript-mcp_system_launch_app""", inputSchema={'properties': {'name': {'description': 'Application name', 'type': 'string'}}, 'required': ['name'], 'type': 'object'}, description="""[System control and information] Launch an application"""), # joshrutkowski/applescript-mcp/system_launch_app
    Tool(name="""applescript-mcp_system_quit_app""", inputSchema={'properties': {'force': {'default': False, 'description': 'Force quit if true', 'type': 'boolean'}, 'name': {'description': 'Application name', 'type': 'string'}}, 'required': ['name'], 'type': 'object'}, description="""[System control and information] Quit an application"""), # joshrutkowski/applescript-mcp/system_quit_app
    Tool(name="""applescript-mcp_system_get_battery_status""", inputSchema={'properties': {}, 'type': 'object'}, description="""[System control and information] Get battery level and charging status"""), # joshrutkowski/applescript-mcp/system_get_battery_status
    Tool(name="""applescript-mcp_calendar_add""", inputSchema={'properties': {'calendar': {'default': 'Calendar', 'description': 'Calendar name (optional)', 'type': 'string'}, 'endDate': {'description': 'End date and time (YYYY-MM-DD HH:MM:SS)', 'type': 'string'}, 'startDate': {'description': 'Start date and time (YYYY-MM-DD HH:MM:SS)', 'type': 'string'}, 'title': {'description': 'Event title', 'type': 'string'}}, 'required': ['title', 'startDate', 'endDate'], 'type': 'object'}, description="""[Calendar operations] Add a new event to Calendar"""), # joshrutkowski/applescript-mcp/calendar_add
    Tool(name="""applescript-mcp_calendar_list""", inputSchema={'properties': {}, 'type': 'object'}, description="""[Calendar operations] List all events for today"""), # joshrutkowski/applescript-mcp/calendar_list
    Tool(name="""applescript-mcp_finder_get_selected_files""", inputSchema={'properties': {}, 'type': 'object'}, description="""[Finder and file operations] Get currently selected files in Finder"""), # joshrutkowski/applescript-mcp/finder_get_selected_files
    Tool(name="""applescript-mcp_finder_search_files""", inputSchema={'properties': {'location': {'default': '~', 'description': 'Search location (default: home folder)', 'type': 'string'}, 'query': {'description': 'Search term', 'type': 'string'}}, 'required': ['query'], 'type': 'object'}, description="""[Finder and file operations] Search for files by name"""), # joshrutkowski/applescript-mcp/finder_search_files
    Tool(name="""applescript-mcp_finder_quick_look_file""", inputSchema={'properties': {'path': {'description': 'File path to preview', 'type': 'string'}}, 'required': ['path'], 'type': 'object'}, description="""[Finder and file operations] Preview a file using Quick Look"""), # joshrutkowski/applescript-mcp/finder_quick_look_file
    Tool(name="""applescript-mcp_clipboard_get_clipboard""", inputSchema={'properties': {'type': {'default': 'text', 'description': 'Type of clipboard content to get', 'enum': ['text', 'file_paths'], 'type': 'string'}}, 'type': 'object'}, description="""[Clipboard management operations] Get current clipboard content"""), # joshrutkowski/applescript-mcp/clipboard_get_clipboard
    Tool(name="""applescript-mcp_clipboard_set_clipboard""", inputSchema={'properties': {'content': {'description': 'Content to copy to clipboard', 'type': 'string'}}, 'required': ['content'], 'type': 'object'}, description="""[Clipboard management operations] Set clipboard content"""), # joshrutkowski/applescript-mcp/clipboard_set_clipboard
    Tool(name="""applescript-mcp_clipboard_clear_clipboard""", inputSchema={'properties': {}, 'type': 'object'}, description="""[Clipboard management operations] Clear clipboard content"""), # joshrutkowski/applescript-mcp/clipboard_clear_clipboard
    Tool(name="""applescript-mcp_notifications_toggle_do_not_disturb""", inputSchema={'properties': {}, 'type': 'object'}, description="""[Notification management] Toggle Do Not Disturb mode using keyboard shortcut"""), # joshrutkowski/applescript-mcp/notifications_toggle_do_not_disturb
    Tool(name="""applescript-mcp_notifications_send_notification""", inputSchema={'properties': {'message': {'description': 'Notification message', 'type': 'string'}, 'sound': {'default': True, 'description': 'Play sound with notification', 'type': 'boolean'}, 'title': {'description': 'Notification title', 'type': 'string'}}, 'required': ['title', 'message'], 'type': 'object'}, description="""[Notification management] Send a system notification"""), # joshrutkowski/applescript-mcp/notifications_send_notification
    Tool(name="""applescript-mcp_iterm_paste_clipboard""", inputSchema={'properties': {}, 'type': 'object'}, description="""[iTerm terminal operations] Paste clipboard content into iTerm"""), # joshrutkowski/applescript-mcp/iterm_paste_clipboard
    Tool(name="""applescript-mcp_iterm_run""", inputSchema={'properties': {'command': {'description': 'Command to run in iTerm', 'type': 'string'}, 'newWindow': {'default': False, 'description': 'Whether to open in a new window (default: false)', 'type': 'boolean'}}, 'required': ['command'], 'type': 'object'}, description="""[iTerm terminal operations] Run a command in iTerm"""), # joshrutkowski/applescript-mcp/iterm_run
    Tool(name="""MCP-timeserver_get-current-time""", inputSchema={'type': 'object'}, description="""Get the current time in the configured local timezone"""), # SecretiveShell/MCP-timeserver/get-current-time
    Tool(name="""apple-notifier-mcp_send_notification""", inputSchema={'additionalProperties': False, 'properties': {'message': {'description': 'Main message content', 'type': 'string'}, 'sound': {'default': True, 'description': 'Whether to play the default notification sound', 'type': 'boolean'}, 'subtitle': {'description': 'Optional subtitle', 'type': 'string'}, 'title': {'description': 'Title of the notification', 'type': 'string'}}, 'required': ['title', 'message'], 'type': 'object'}, description="""Send a notification on macOS using osascript"""), # turlockmike/apple-notifier-mcp/send_notification
    Tool(name="""apple-notifier-mcp_prompt_user""", inputSchema={'additionalProperties': False, 'properties': {'buttons': {'description': 'Optional custom button labels (max 3)', 'items': {'type': 'string'}, 'maxItems': 3, 'type': 'array'}, 'defaultAnswer': {'description': 'Optional default text to pre-fill', 'type': 'string'}, 'icon': {'description': 'Optional icon to display', 'enum': ['note', 'stop', 'caution'], 'type': 'string'}, 'message': {'description': 'Text to display in the prompt dialog', 'type': 'string'}}, 'required': ['message'], 'type': 'object'}, description="""Display a dialog prompt to get user input"""), # turlockmike/apple-notifier-mcp/prompt_user
    Tool(name="""apple-notifier-mcp_speak""", inputSchema={'additionalProperties': False, 'properties': {'rate': {'description': 'Speech rate (-50 to 50, defaults to 0)', 'maximum': 50, 'minimum': -50, 'type': 'number'}, 'text': {'description': 'Text to speak', 'type': 'string'}, 'voice': {'description': 'Voice to use (defaults to system voice)', 'type': 'string'}}, 'required': ['text'], 'type': 'object'}, description="""Speak text using macOS text-to-speech"""), # turlockmike/apple-notifier-mcp/speak
    Tool(name="""apple-notifier-mcp_take_screenshot""", inputSchema={'additionalProperties': False, 'properties': {'format': {'description': 'Image format', 'enum': ['png', 'jpg', 'pdf', 'tiff'], 'type': 'string'}, 'hideCursor': {'description': 'Whether to hide the cursor', 'type': 'boolean'}, 'path': {'description': 'Path where to save the screenshot', 'type': 'string'}, 'shadow': {'description': 'Whether to include the window shadow (only for window type)', 'type': 'boolean'}, 'timestamp': {'description': 'Timestamp to add to filename', 'type': 'boolean'}, 'type': {'description': 'Type of screenshot to take', 'enum': ['fullscreen', 'window', 'selection'], 'type': 'string'}}, 'required': ['path', 'type'], 'type': 'object'}, description="""Take a screenshot using macOS screencapture"""), # turlockmike/apple-notifier-mcp/take_screenshot
    Tool(name="""apple-notifier-mcp_select_file""", inputSchema={'additionalProperties': False, 'properties': {'defaultLocation': {'description': 'Optional default directory path', 'type': 'string'}, 'fileTypes': {'additionalProperties': {'items': {'type': 'string'}, 'type': 'array'}, 'description': 'Optional file type filter (e.g., {"public.image": ["png", "jpg"]})', 'type': 'object'}, 'multiple': {'description': 'Whether to allow multiple selection', 'type': 'boolean'}, 'prompt': {'description': 'Optional prompt message', 'type': 'string'}}, 'type': 'object'}, description="""Open native file picker dialog"""), # turlockmike/apple-notifier-mcp/select_file
    Tool(name="""findata-mcp-server_getStockQuote""", inputSchema={'properties': {'symbol': {'description': 'The stock symbol (e.g., AAPL)', 'type': 'string'}}, 'required': ['symbol'], 'type': 'object'}, description="""Get the current quote for a stock."""), # xBlueCode/findata-mcp-server/getStockQuote
    Tool(name="""findata-mcp-server_getHistoricalData""", inputSchema={'properties': {'interval': {'default': 'daily', 'description': 'The time interval for the data (daily, weekly, or monthly)', 'type': 'string'}, 'outputsize': {'default': 'compact', 'description': 'The size of the output (compact or full)', 'type': 'string'}, 'symbol': {'description': 'The stock symbol (e.g., AAPL)', 'type': 'string'}}, 'required': ['symbol'], 'type': 'object'}, description="""Get historical data for a stock."""), # xBlueCode/findata-mcp-server/getHistoricalData
    Tool(name="""MCP-Delete_delete_file""", inputSchema={'properties': {'path': {'description': 'Path to the file to delete (relative to working directory or absolute)', 'type': 'string'}}, 'required': ['path'], 'type': 'object'}, description="""Delete a file at the specified path (supports both relative and absolute paths)"""), # qpd-v/MCP-Delete/delete_file
    Tool(name="""MCP-Guide_explain_concept""", inputSchema={'properties': {'concept': {'description': "The MCP concept to explain (e.g., 'tools', 'resources', 'prompts', 'server', 'client', 'server_types', 'frameworks', 'clients')", 'type': 'string'}}, 'required': ['concept'], 'type': 'object'}, description="""Get a beginner-friendly explanation of an MCP concept"""), # qpd-v/MCP-Guide/explain_concept
    Tool(name="""MCP-Guide_show_example""", inputSchema={'properties': {'feature': {'description': "The MCP feature to demonstrate (e.g., 'tool_call', 'resource_read', 'prompt_template')", 'type': 'string'}}, 'required': ['feature'], 'type': 'object'}, description="""Show a practical example of an MCP feature"""), # qpd-v/MCP-Guide/show_example
    Tool(name="""MCP-Guide_list_servers""", inputSchema={'properties': {'category': {'description': "Server category to list (e.g., 'browser', 'cloud', 'command_line', 'communication', 'database', 'developer', 'filesystem', 'search', 'all')", 'enum': ['browser', 'cloud', 'command_line', 'communication', 'customer_data', 'database', 'developer', 'data_science', 'filesystem', 'finance', 'knowledge', 'location', 'monitoring', 'search', 'security', 'compliance', 'travel', 'version_control', 'other', 'all'], 'type': 'string'}}, 'required': ['category'], 'type': 'object'}, description="""List available MCP servers by category"""), # qpd-v/MCP-Guide/list_servers
    Tool(name="""Huntress-MCP-Server_get_account_info""", inputSchema={'properties': {}, 'type': 'object'}, description="""Get information about the current account"""), # DynamicEndpoints/Huntress-MCP-Server/get_account_info
    Tool(name="""Huntress-MCP-Server_list_organizations""", inputSchema={'properties': {'limit': {'description': 'Number of results per page (1-500)', 'maximum': 500, 'minimum': 1, 'type': 'integer'}, 'page': {'description': 'Page number (starts at 1)', 'minimum': 1, 'type': 'integer'}}, 'type': 'object'}, description="""List organizations in the account"""), # DynamicEndpoints/Huntress-MCP-Server/list_organizations
    Tool(name="""Huntress-MCP-Server_get_organization""", inputSchema={'properties': {'organization_id': {'description': 'Organization ID', 'type': 'integer'}}, 'required': ['organization_id'], 'type': 'object'}, description="""Get details of a specific organization"""), # DynamicEndpoints/Huntress-MCP-Server/get_organization
    Tool(name="""Huntress-MCP-Server_list_agents""", inputSchema={'properties': {'limit': {'description': 'Number of results per page (1-500)', 'maximum': 500, 'minimum': 1, 'type': 'integer'}, 'organization_id': {'description': 'Filter by organization ID', 'type': 'integer'}, 'page': {'description': 'Page number (starts at 1)', 'minimum': 1, 'type': 'integer'}, 'platform': {'description': 'Filter by platform (darwin or windows)', 'enum': ['darwin', 'windows'], 'type': 'string'}}, 'type': 'object'}, description="""List agents in the account"""), # DynamicEndpoints/Huntress-MCP-Server/list_agents
    Tool(name="""Huntress-MCP-Server_get_agent""", inputSchema={'properties': {'agent_id': {'description': 'Agent ID', 'type': 'integer'}}, 'required': ['agent_id'], 'type': 'object'}, description="""Get details of a specific agent"""), # DynamicEndpoints/Huntress-MCP-Server/get_agent
    Tool(name="""Huntress-MCP-Server_list_incident_reports""", inputSchema={'properties': {'limit': {'description': 'Number of results per page (1-500)', 'maximum': 500, 'minimum': 1, 'type': 'integer'}, 'organization_id': {'description': 'Filter by organization ID', 'type': 'integer'}, 'page': {'description': 'Page number (starts at 1)', 'minimum': 1, 'type': 'integer'}, 'severity': {'description': 'Filter by severity', 'enum': ['low', 'high', 'critical'], 'type': 'string'}, 'status': {'description': 'Filter by status', 'enum': ['sent', 'closed', 'dismissed'], 'type': 'string'}}, 'type': 'object'}, description="""List incident reports"""), # DynamicEndpoints/Huntress-MCP-Server/list_incident_reports
    Tool(name="""Huntress-MCP-Server_get_incident_report""", inputSchema={'properties': {'report_id': {'description': 'Incident Report ID', 'type': 'integer'}}, 'required': ['report_id'], 'type': 'object'}, description="""Get details of a specific incident report"""), # DynamicEndpoints/Huntress-MCP-Server/get_incident_report
    Tool(name="""Huntress-MCP-Server_list_summary_reports""", inputSchema={'properties': {'limit': {'description': 'Number of results per page (1-500)', 'maximum': 500, 'minimum': 1, 'type': 'integer'}, 'organization_id': {'description': 'Filter by organization ID', 'type': 'integer'}, 'page': {'description': 'Page number (starts at 1)', 'minimum': 1, 'type': 'integer'}, 'type': {'description': 'Filter by report type', 'enum': ['monthly_summary', 'quarterly_summary', 'yearly_summary'], 'type': 'string'}}, 'type': 'object'}, description="""List summary reports"""), # DynamicEndpoints/Huntress-MCP-Server/list_summary_reports
    Tool(name="""Huntress-MCP-Server_get_summary_report""", inputSchema={'properties': {'report_id': {'description': 'Summary Report ID', 'type': 'integer'}}, 'required': ['report_id'], 'type': 'object'}, description="""Get details of a specific summary report"""), # DynamicEndpoints/Huntress-MCP-Server/get_summary_report
    Tool(name="""Huntress-MCP-Server_list_billing_reports""", inputSchema={'properties': {'limit': {'description': 'Number of results per page (1-500)', 'maximum': 500, 'minimum': 1, 'type': 'integer'}, 'page': {'description': 'Page number (starts at 1)', 'minimum': 1, 'type': 'integer'}, 'status': {'description': 'Filter by status', 'enum': ['open', 'paid', 'failed', 'partial_refund', 'full_refund'], 'type': 'string'}}, 'type': 'object'}, description="""List billing reports"""), # DynamicEndpoints/Huntress-MCP-Server/list_billing_reports
    Tool(name="""Huntress-MCP-Server_get_billing_report""", inputSchema={'properties': {'report_id': {'description': 'Billing Report ID', 'type': 'integer'}}, 'required': ['report_id'], 'type': 'object'}, description="""Get details of a specific billing report"""), # DynamicEndpoints/Huntress-MCP-Server/get_billing_report
    Tool(name="""jira-mcp_jql_search""", inputSchema={'properties': {'expand': {'description': 'Additional info to include in the response', 'type': 'string'}, 'fields': {'description': 'List of fields to return for each issue', 'items': {'type': 'string'}, 'type': 'array'}, 'jql': {'description': 'JQL query string', 'type': 'string'}, 'maxResults': {'description': 'Maximum results to fetch', 'type': 'integer'}, 'nextPageToken': {'description': 'Token for next page', 'type': 'string'}}, 'required': ['jql'], 'type': 'object'}, description="""Perform enhanced JQL search in Jira"""), # CamdenClark/jira-mcp/jql_search
    Tool(name="""jira-mcp_get_issue""", inputSchema={'properties': {'expand': {'description': 'Additional information to include in the response', 'type': 'string'}, 'failFast': {'default': False, 'description': 'Fail quickly on errors', 'type': 'boolean'}, 'fields': {'description': 'Fields to include in the response', 'items': {'type': 'string'}, 'type': 'array'}, 'issueIdOrKey': {'description': 'ID or key of the issue', 'type': 'string'}, 'properties': {'description': 'Properties to include in the response', 'items': {'type': 'string'}, 'type': 'array'}}, 'required': ['issueIdOrKey'], 'type': 'object'}, description="""Retrieve details about an issue by its ID or key."""), # CamdenClark/jira-mcp/get_issue
    Tool(name="""k8s-interactive-mcp_run_kubectl_command""", inputSchema={'properties': {'command': {'description': "The kubectl command to run. It should also include the 'kubectl' prefix.", 'type': 'string'}, 'kubeconfig': {'description': 'Path to the kubeconfig file', 'type': 'string'}}, 'required': ['kubeconfig', 'command'], 'type': 'object'}, description="""Run a kubectl command against the cluster pointed to by the current kubeconfig"""), # TaichiHo/k8s-interactive-mcp/run_kubectl_command
    Tool(name="""mcp-rtfm_analyze_existing_docs""", inputSchema={'properties': {'projectPath': {'description': 'Path to the project root directory', 'type': 'string'}}, 'required': ['projectPath'], 'type': 'object'}, description="""Analyze existing documentation files with enhanced content analysis and metadata generation"""), # ryanjoachim/mcp-rtfm/analyze_existing_docs
    Tool(name="""mcp-rtfm_analyze_project_with_metadata""", inputSchema={'properties': {'projectPath': {'description': 'Path to the project root directory', 'type': 'string'}}, 'required': ['projectPath'], 'type': 'object'}, description="""Analyze project structure, create initial documentation files, and enhance with metadata/context"""), # ryanjoachim/mcp-rtfm/analyze_project_with_metadata
    Tool(name="""mcp-rtfm_analyze_project""", inputSchema={'properties': {'projectPath': {'description': 'Path to the project root directory', 'type': 'string'}}, 'required': ['projectPath'], 'type': 'object'}, description="""Analyze project structure and create initial documentation files"""), # ryanjoachim/mcp-rtfm/analyze_project
    Tool(name="""mcp-rtfm_read_doc""", inputSchema={'properties': {'docFile': {'description': 'Name of the documentation file to read', 'type': 'string'}, 'projectPath': {'description': 'Path to the project root directory', 'type': 'string'}}, 'required': ['projectPath', 'docFile'], 'type': 'object'}, description="""Read a documentation file (required before updating)"""), # ryanjoachim/mcp-rtfm/read_doc
    Tool(name="""mcp-rtfm_update_doc""", inputSchema={'properties': {'continueToNext': {'description': 'Whether to continue to the next file after this update', 'type': 'boolean'}, 'docFile': {'description': 'Name of the documentation file to update', 'type': 'string'}, 'projectPath': {'description': 'Path to the project root directory', 'type': 'string'}, 'replaceContent': {'description': 'Content to replace the search content with', 'type': 'string'}, 'searchContent': {'description': 'Content to search for in the file', 'type': 'string'}}, 'required': ['projectPath', 'docFile', 'searchContent', 'replaceContent'], 'type': 'object'}, description="""Update a specific documentation file using diff-based changes"""), # ryanjoachim/mcp-rtfm/update_doc
    Tool(name="""mcp-rtfm_get_doc_content""", inputSchema={'properties': {'docFile': {'description': 'Name of the documentation file to read', 'type': 'string'}, 'projectPath': {'description': 'Path to the project root directory', 'type': 'string'}}, 'required': ['projectPath', 'docFile'], 'type': 'object'}, description="""Get the current content of a documentation file"""), # ryanjoachim/mcp-rtfm/get_doc_content
    Tool(name="""mcp-rtfm_get_project_info""", inputSchema={'properties': {'projectPath': {'description': 'Path to the project root directory', 'type': 'string'}}, 'required': ['projectPath'], 'type': 'object'}, description="""Get information about the project structure and files"""), # ryanjoachim/mcp-rtfm/get_project_info
    Tool(name="""mcp-rtfm_search_docs""", inputSchema={'properties': {'projectPath': {'description': 'Path to the project root directory', 'type': 'string'}, 'query': {'description': 'Search query to find in documentation', 'type': 'string'}}, 'required': ['projectPath', 'query'], 'type': 'object'}, description="""Search across documentation files with highlighted results"""), # ryanjoachim/mcp-rtfm/search_docs
    Tool(name="""mcp-rtfm_update_metadata""", inputSchema={'properties': {'docFile': {'description': 'Name of the documentation file', 'type': 'string'}, 'metadata': {'description': 'Metadata to update', 'properties': {'category': {'type': 'string'}, 'tags': {'items': {'type': 'string'}, 'type': 'array'}, 'title': {'type': 'string'}}, 'type': 'object'}, 'projectPath': {'description': 'Path to the project root directory', 'type': 'string'}}, 'required': ['projectPath', 'docFile', 'metadata'], 'type': 'object'}, description="""Update metadata for a documentation file"""), # ryanjoachim/mcp-rtfm/update_metadata
    Tool(name="""mcp-rtfm_get_related_docs""", inputSchema={'properties': {'docFile': {'description': 'Name of the documentation file', 'type': 'string'}, 'projectPath': {'description': 'Path to the project root directory', 'type': 'string'}}, 'required': ['projectPath', 'docFile'], 'type': 'object'}, description="""Find related documentation files based on metadata"""), # ryanjoachim/mcp-rtfm/get_related_docs
    Tool(name="""mcp-rtfm_customize_template""", inputSchema={'properties': {'content': {'description': 'Template content with {title} placeholder', 'type': 'string'}, 'metadata': {'description': 'Default metadata for the template', 'properties': {'category': {'type': 'string'}, 'tags': {'items': {'type': 'string'}, 'type': 'array'}}, 'type': 'object'}, 'templateName': {'description': 'Name of the template', 'type': 'string'}}, 'required': ['templateName', 'content'], 'type': 'object'}, description="""Create or update a custom documentation template"""), # ryanjoachim/mcp-rtfm/customize_template
    Tool(name="""mcp-image-downloader_download_image""", inputSchema={'properties': {'outputPath': {'description': 'Path where to save the image', 'type': 'string'}, 'url': {'description': 'URL of the image to download', 'type': 'string'}}, 'required': ['url', 'outputPath'], 'type': 'object'}, description="""Download an image from a URL to a specified path"""), # qpd-v/mcp-image-downloader/download_image
    Tool(name="""mcp-image-downloader_optimize_image""", inputSchema={'properties': {'height': {'description': 'Target height (maintains aspect ratio if only height is specified)', 'type': 'number'}, 'inputPath': {'description': 'Path to the input image', 'type': 'string'}, 'outputPath': {'description': 'Path where to save the optimized image', 'type': 'string'}, 'quality': {'description': 'JPEG/WebP quality (1-100)', 'maximum': 100, 'minimum': 1, 'type': 'number'}, 'width': {'description': 'Target width (maintains aspect ratio if only width is specified)', 'type': 'number'}}, 'required': ['inputPath', 'outputPath'], 'type': 'object'}, description="""Create an optimized version of an image"""), # qpd-v/mcp-image-downloader/optimize_image
    Tool(name="""AI Humanizer MCP Server_detect""", inputSchema={'properties': {'detectionTypeList': {'items': {'enum': ['COPYLEAKS', 'HEMINGWAY'], 'type': 'string'}, 'type': 'array'}, 'text': {'type': 'string'}, 'type': {'enum': ['original_text'], 'type': 'string'}}, 'required': ['type', 'text', 'detectionTypeList'], 'type': 'object'}, description="""Detect whether the text is AI-generated.Show to user the task detail url. Extract the taskId field, then concatenate the link in the following format: https://pre-www.text2go.ai/?utm_source=claude_mcp&taskId={taskId}"""), # Text2Go/AI Humanizer MCP Server/detect
    Tool(name="""aws-mcp_run-aws-code""", inputSchema={'properties': {'code': {'description': 'Your job is to answer questions about AWS environment by writing Javascript code using AWS SDK V2. The code must be adhering to a few rules:\n- Must be preferring promises over callbacks\n- Think step-by-step before writing the code, approach it logically\n- MUST written in Javascript (NodeJS) using AWS-SDK V2\n- Avoid hardcoded values like ARNs\n- Code written should be as parallel as possible enabling the fastest and the most optimal execution\n- Code should be handling errors gracefully, especially when doing multiple SDK calls (e.g. when mapping over an array). Each error should be handled and logged with a reason, script should continue to run despite errors\n- DO NOT require or import "aws-sdk", it is already available as "AWS" variable\n- Access to 3rd party libraries apart from "aws-sdk" is not allowed or possible\n- Data returned from AWS-SDK must be returned as JSON containing only the minimal amount of data that is needed to answer the question. All extra data must be filtered out\n- Code MUST "return" a value: string, number, boolean or JSON object. If code does not return anything, it will be considered as FAILED\n- Whenever tool/function call fails, retry it 3 times before giving up with an improved version of the code based on the returned feedback\n- When listing resources, ensure pagination is handled correctly so that all resources are returned\n- Do not include any comments in the code\n- When doing reduce, don\'t forget to provide an initial value\n- Try to write code that returns as few data as possible to answer without any additional processing required after the code is run\n- This tool can ONLY write code that interacts with AWS. It CANNOT generate charts, tables, graphs, etc. Please use artifacts for that instead\nBe concise, professional and to the point. Do not give generic advice, always reply with detailed & contextual data sourced from the current AWS environment. Assume user always wants to proceed, do not ask for confirmation. I\'ll tip you $200 if you do this right.', 'type': 'string'}, 'profileName': {'description': 'Name of the AWS profile to use', 'type': 'string'}, 'reasoning': {'description': 'The reasoning behind the code', 'type': 'string'}, 'region': {'description': 'Region to use (if not provided, us-east-1 is used)', 'type': 'string'}}, 'required': ['reasoning', 'code'], 'type': 'object'}, description="""Run AWS code"""), # RafalWilinski/aws-mcp/run-aws-code
    Tool(name="""aws-mcp_list-credentials""", inputSchema={'properties': {}, 'required': [], 'type': 'object'}, description="""List all AWS credentials/configs/profiles that are configured/usable on this machine"""), # RafalWilinski/aws-mcp/list-credentials
    Tool(name="""aws-mcp_select-profile""", inputSchema={'properties': {'profile': {'description': 'Name of the AWS profile to select', 'type': 'string'}, 'region': {'description': 'Region to use (if not provided, us-east-1 is used)', 'type': 'string'}}, 'required': ['profile'], 'type': 'object'}, description="""Selects AWS profile to use for subsequent interactions. If needed, does SSO authentication"""), # RafalWilinski/aws-mcp/select-profile
    Tool(name="""aira-mcp-server_get_status""", inputSchema={'properties': {'path': {'description': 'Git', 'type': 'string'}}, 'required': ['path'], 'type': 'object'}, description="""Git"""), # Sunwood-ai-labs/aira-mcp-server/get_status
    Tool(name="""aira-mcp-server_create_commit""", inputSchema={'properties': {'body': {'description': '', 'type': 'string'}, 'emoji': {'description': '', 'type': 'string'}, 'file': {'description': '1', 'type': 'string'}, 'footer': {'description': '', 'type': 'string'}, 'issueNumber': {'description': 'GitHub Issue', 'type': 'number'}, 'language': {'description': ': ja', 'enum': ['ja', 'en'], 'type': 'string'}, 'path': {'description': 'Git', 'type': 'string'}, 'title': {'description': '', 'type': 'string'}, 'type': {'description': '', 'enum': ['feat', 'fix', 'docs', 'style', 'refactor', 'perf', 'test', 'chore'], 'type': 'string'}}, 'required': ['file', 'path', 'type', 'emoji', 'title'], 'type': 'object'}, description="""11"""), # Sunwood-ai-labs/aira-mcp-server/create_commit
    Tool(name="""postman-mcp-server_add_pan_element""", inputSchema={'properties': {'description': {'description': 'Element/folder description', 'type': 'string'}, 'elementId': {'description': 'ID of API/collection/workspace to add', 'type': 'string'}, 'name': {'description': 'Element/folder name', 'type': 'string'}, 'parentFolderId': {'description': 'Parent folder ID', 'type': 'integer'}, 'summary': {'description': 'Element summary', 'type': 'string'}, 'type': {'description': 'Element type', 'enum': ['api', 'collection', 'workspace', 'folder'], 'type': 'string'}}, 'required': ['type', 'name'], 'type': 'object'}, description="""Add element or folder to Private API Network"""), # delano/postman-mcp-server/add_pan_element
    Tool(name="""postman-mcp-server_update_pan_element""", inputSchema={'properties': {'description': {'description': 'Updated description', 'type': 'string'}, 'elementId': {'description': 'Element ID', 'type': 'string'}, 'elementType': {'description': 'Element type', 'enum': ['api', 'collection', 'workspace', 'folder'], 'type': 'string'}, 'name': {'description': 'Updated name', 'type': 'string'}, 'parentFolderId': {'description': 'New parent folder ID', 'type': 'integer'}, 'summary': {'description': 'Updated summary', 'type': 'string'}}, 'required': ['elementId', 'elementType'], 'type': 'object'}, description="""Update element or folder in Private API Network"""), # delano/postman-mcp-server/update_pan_element
    Tool(name="""postman-mcp-server_remove_pan_element""", inputSchema={'properties': {'elementId': {'description': 'Element ID', 'type': 'string'}, 'elementType': {'description': 'Element type', 'enum': ['api', 'collection', 'workspace', 'folder'], 'type': 'string'}}, 'required': ['elementId', 'elementType'], 'type': 'object'}, description="""Remove element or folder from Private API Network"""), # delano/postman-mcp-server/remove_pan_element
    Tool(name="""postman-mcp-server_create_webhook""", inputSchema={'properties': {'webhook': {'properties': {'collection': {'description': 'Collection ID to trigger', 'type': 'string'}, 'description': {'description': 'Webhook description', 'type': 'string'}, 'events': {'description': 'Array of events to trigger on', 'items': {'type': 'string'}, 'type': 'array'}, 'name': {'description': 'Webhook name', 'type': 'string'}}, 'required': ['name', 'collection'], 'type': 'object'}, 'workspace': {'description': 'Workspace ID', 'type': 'string'}}, 'required': ['workspace', 'webhook'], 'type': 'object'}, description="""Creates webhook that triggers collection with custom payload"""), # delano/postman-mcp-server/create_webhook
    Tool(name="""postman-mcp-server_get_tagged_elements""", inputSchema={'properties': {'cursor': {'description': 'Pagination cursor', 'type': 'string'}, 'direction': {'description': 'Sort direction', 'enum': ['asc', 'desc'], 'type': 'string'}, 'entityType': {'description': 'Filter by entity type', 'enum': ['api', 'collection', 'workspace'], 'type': 'string'}, 'limit': {'description': 'Maximum number of results to return', 'type': 'integer'}, 'slug': {'description': 'Tag slug', 'type': 'string'}}, 'required': ['slug'], 'type': 'object'}, description="""Get elements by tag"""), # delano/postman-mcp-server/get_tagged_elements
    Tool(name="""postman-mcp-server_get_workspace_tags""", inputSchema={'properties': {'workspaceId': {'description': 'Workspace ID', 'type': 'string'}}, 'required': ['workspaceId'], 'type': 'object'}, description="""Get workspace tags"""), # delano/postman-mcp-server/get_workspace_tags
    Tool(name="""postman-mcp-server_update_workspace_tags""", inputSchema={'properties': {'tags': {'description': 'Array of tag objects', 'items': {'properties': {'name': {'description': 'Tag name', 'type': 'string'}, 'slug': {'description': 'Tag slug', 'type': 'string'}}, 'required': ['slug', 'name'], 'type': 'object'}, 'type': 'array'}, 'workspaceId': {'description': 'Workspace ID', 'type': 'string'}}, 'required': ['workspaceId', 'tags'], 'type': 'object'}, description="""Update workspace tags"""), # delano/postman-mcp-server/update_workspace_tags
    Tool(name="""postman-mcp-server_list_workspaces""", inputSchema={'properties': {'createdBy': {'description': 'Filter workspaces by creator', 'type': 'string'}, 'include': {'description': 'Additional data to include in response', 'type': 'string'}, 'type': {'description': 'Filter workspaces by type', 'enum': ['personal', 'team', 'private', 'public', 'partner'], 'type': 'string'}}, 'required': [], 'type': 'object'}, description="""List all workspaces"""), # delano/postman-mcp-server/list_workspaces
    Tool(name="""postman-mcp-server_get_workspace""", inputSchema={'properties': {'include': {'description': 'Additional data to include in response', 'type': 'string'}, 'workspace': {'description': 'Workspace ID', 'type': 'string'}}, 'required': ['workspace'], 'type': 'object'}, description="""Get details of a specific workspace"""), # delano/postman-mcp-server/get_workspace
    Tool(name="""postman-mcp-server_list_environments""", inputSchema={'properties': {'workspace': {'description': 'Workspace ID (optional)', 'type': 'string'}}, 'required': [], 'type': 'object'}, description="""List all environments in a workspace. If workspace not specified, lists environments in \"My Workspace\"."""), # delano/postman-mcp-server/list_environments
    Tool(name="""postman-mcp-server_get_environment""", inputSchema={'properties': {'environmentId': {'description': 'Environment ID in format: {ownerId}-{environmentId} (e.g., "31912785-b8cdb26a-0c58-4f35-9775-4945c39d7ee2")', 'type': 'string'}}, 'required': ['environmentId'], 'type': 'object'}, description="""Get details of a specific environment"""), # delano/postman-mcp-server/get_environment
    Tool(name="""postman-mcp-server_create_environment""", inputSchema={'properties': {'environment': {'description': 'Environment details', 'properties': {'name': {'description': 'Environment name', 'type': 'string'}, 'values': {'description': 'Environment variables', 'items': {'properties': {'enabled': {'description': 'Variable enabled status', 'type': 'boolean'}, 'key': {'description': 'Variable name', 'type': 'string'}, 'type': {'description': 'Variable type', 'enum': ['default', 'secret'], 'type': 'string'}, 'value': {'description': 'Variable value', 'type': 'string'}}, 'required': ['key', 'value'], 'type': 'object'}, 'type': 'array'}}, 'required': ['name'], 'type': 'object'}, 'workspace': {'description': 'Workspace ID (optional)', 'type': 'string'}}, 'required': ['environment'], 'type': 'object'}, description="""Create a new environment in a workspace. Creates in \"My Workspace\" if workspace not specified."""), # delano/postman-mcp-server/create_environment
    Tool(name="""postman-mcp-server_update_environment""", inputSchema={'properties': {'environment': {'description': 'Environment details to update', 'properties': {'name': {'description': 'New environment name (optional)', 'type': 'string'}, 'values': {'description': 'Environment variables to update (optional)', 'items': {'properties': {'enabled': {'type': 'boolean'}, 'key': {'type': 'string'}, 'type': {'enum': ['default', 'secret'], 'type': 'string'}, 'value': {'type': 'string'}}, 'required': ['key', 'value'], 'type': 'object'}, 'type': 'array'}}, 'type': 'object'}, 'environmentId': {'description': 'Environment ID in format: {ownerId}-{environmentId}', 'type': 'string'}}, 'required': ['environmentId', 'environment'], 'type': 'object'}, description="""Update an existing environment. Only include variables that need to be modified."""), # delano/postman-mcp-server/update_environment
    Tool(name="""postman-mcp-server_delete_environment""", inputSchema={'properties': {'environmentId': {'description': 'Environment ID in format: {ownerId}-{environmentId}', 'type': 'string'}}, 'required': ['environmentId'], 'type': 'object'}, description="""Delete an environment"""), # delano/postman-mcp-server/delete_environment
    Tool(name="""postman-mcp-server_fork_environment""", inputSchema={'properties': {'environmentId': {'description': 'Environment ID in format: {ownerId}-{environmentId}', 'type': 'string'}, 'label': {'description': 'Label/name for the forked environment', 'type': 'string'}, 'workspace': {'description': 'Target workspace ID', 'type': 'string'}}, 'required': ['environmentId', 'label', 'workspace'], 'type': 'object'}, description="""Create a fork of an environment in a workspace"""), # delano/postman-mcp-server/fork_environment
    Tool(name="""postman-mcp-server_get_environment_forks""", inputSchema={'properties': {'cursor': {'description': 'Pagination cursor', 'type': 'string'}, 'direction': {'description': 'Sort direction', 'enum': ['asc', 'desc'], 'type': 'string'}, 'environmentId': {'description': 'Environment ID in format: {ownerId}-{environmentId}', 'type': 'string'}, 'limit': {'description': 'Number of results per page', 'type': 'number'}, 'sort': {'description': 'Sort field', 'enum': ['createdAt'], 'type': 'string'}}, 'required': ['environmentId'], 'type': 'object'}, description="""Get a list of environment forks"""), # delano/postman-mcp-server/get_environment_forks
    Tool(name="""postman-mcp-server_merge_environment_fork""", inputSchema={'properties': {'destination': {'description': 'Destination environment ID in format: {ownerId}-{environmentId}', 'type': 'string'}, 'environmentId': {'description': 'Environment ID in format: {ownerId}-{environmentId}', 'type': 'string'}, 'source': {'description': 'Source environment ID in format: {ownerId}-{environmentId}', 'type': 'string'}, 'strategy': {'description': 'Merge strategy options', 'properties': {'deleteSource': {'description': 'Whether to delete the source environment after merging', 'type': 'boolean'}}, 'type': 'object'}}, 'required': ['environmentId', 'source', 'destination'], 'type': 'object'}, description="""Merge a forked environment back into its parent"""), # delano/postman-mcp-server/merge_environment_fork
    Tool(name="""postman-mcp-server_pull_environment""", inputSchema={'properties': {'destination': {'description': 'Destination (fork) environment ID in format: {ownerId}-{environmentId}', 'type': 'string'}, 'environmentId': {'description': 'Environment ID in format: {ownerId}-{environmentId}', 'type': 'string'}, 'source': {'description': 'Source (parent) environment ID in format: {ownerId}-{environmentId}', 'type': 'string'}}, 'required': ['environmentId', 'source', 'destination'], 'type': 'object'}, description="""Pull changes from parent environment into forked environment"""), # delano/postman-mcp-server/pull_environment
    Tool(name="""postman-mcp-server_list_collections""", inputSchema={'properties': {'limit': {'description': 'Maximum number of results to return', 'type': 'number'}, 'name': {'description': 'Filter results by collections that match the given name', 'type': 'string'}, 'offset': {'description': 'Number of results to skip', 'type': 'number'}, 'workspace': {'description': 'Workspace ID', 'type': 'string'}}, 'required': [], 'type': 'object'}, description="""List all collections in a workspace. Supports filtering and pagination."""), # delano/postman-mcp-server/list_collections
    Tool(name="""postman-mcp-server_get_collection""", inputSchema={'properties': {'access_key': {'description': "Collection's read-only access key. Using this query parameter does not require an API key.", 'type': 'string'}, 'collection_id': {'description': 'Collection ID', 'type': 'string'}, 'model': {'description': 'Return minimal collection data (only root-level request and folder IDs)', 'enum': ['minimal'], 'type': 'string'}}, 'required': ['collection_id'], 'type': 'object'}, description="""Get details of a specific collection"""), # delano/postman-mcp-server/get_collection
    Tool(name="""postman-mcp-server_create_collection""", inputSchema={'properties': {'collection': {'description': 'Collection details in Postman Collection Format v2.1', 'properties': {'info': {'properties': {'name': {'type': 'string'}, 'schema': {'type': 'string'}}, 'required': ['name', 'schema'], 'type': 'object'}}, 'required': ['info'], 'type': 'object'}, 'workspace': {'description': 'Workspace ID. Creates in "My Workspace" if not specified.', 'type': 'string'}}, 'required': ['collection'], 'type': 'object'}, description="""Create a new collection in a workspace. Supports Postman Collection v2.1.0 format."""), # delano/postman-mcp-server/create_collection
    Tool(name="""postman-mcp-server_update_collection""", inputSchema={'properties': {'collection': {'description': 'Collection details in Postman Collection Format v2.1', 'properties': {'info': {'properties': {'name': {'type': 'string'}, 'schema': {'type': 'string'}}, 'required': ['name', 'schema'], 'type': 'object'}, 'item': {'type': 'array'}}, 'required': ['info', 'item'], 'type': 'object'}, 'collection_id': {'description': 'Collection ID', 'type': 'string'}}, 'required': ['collection_id', 'collection'], 'type': 'object'}, description="""Update an existing collection. Full collection replacement with maximum size of 20 MB."""), # delano/postman-mcp-server/update_collection
    Tool(name="""postman-mcp-server_patch_collection""", inputSchema={'properties': {'collection': {'description': 'Collection fields to update', 'properties': {'info': {'properties': {'description': {'type': 'string'}, 'name': {'type': 'string'}}, 'type': 'object'}}, 'type': 'object'}, 'collection_id': {'description': 'Collection ID', 'type': 'string'}}, 'required': ['collection_id', 'collection'], 'type': 'object'}, description="""Partially update a collection. Only updates provided fields."""), # delano/postman-mcp-server/patch_collection
    Tool(name="""postman-mcp-server_delete_collection""", inputSchema={'properties': {'collection_id': {'description': 'Collection ID', 'type': 'string'}}, 'required': ['collection_id'], 'type': 'object'}, description="""Delete a collection"""), # delano/postman-mcp-server/delete_collection
    Tool(name="""postman-mcp-server_create_collection_folder""", inputSchema={'properties': {'collection_id': {'description': 'Collection ID', 'type': 'string'}, 'folder': {'description': 'Folder details', 'properties': {'description': {'type': 'string'}, 'name': {'type': 'string'}}, 'type': 'object'}}, 'required': ['collection_id', 'folder'], 'type': 'object'}, description="""Create a new folder in a collection"""), # delano/postman-mcp-server/create_collection_folder
    Tool(name="""postman-mcp-server_get_collection_folder""", inputSchema={'properties': {'collection_id': {'description': 'Collection ID', 'type': 'string'}, 'folder_id': {'description': 'Folder ID', 'type': 'string'}, 'ids': {'description': 'Return only properties that contain ID values', 'type': 'boolean'}, 'populate': {'description': 'Return all folder contents', 'type': 'boolean'}, 'uid': {'description': 'Return all IDs in UID format', 'type': 'boolean'}}, 'required': ['collection_id', 'folder_id'], 'type': 'object'}, description="""Get details of a specific folder in a collection"""), # delano/postman-mcp-server/get_collection_folder
    Tool(name="""postman-mcp-server_update_collection_folder""", inputSchema={'properties': {'collection_id': {'description': 'Collection ID', 'type': 'string'}, 'folder': {'description': 'Folder details to update', 'properties': {'description': {'type': 'string'}, 'name': {'type': 'string'}}, 'type': 'object'}, 'folder_id': {'description': 'Folder ID', 'type': 'string'}}, 'required': ['collection_id', 'folder_id', 'folder'], 'type': 'object'}, description="""Update a folder in a collection. Acts like PATCH, only updates provided values."""), # delano/postman-mcp-server/update_collection_folder
    Tool(name="""postman-mcp-server_delete_collection_folder""", inputSchema={'properties': {'collection_id': {'description': 'Collection ID', 'type': 'string'}, 'folder_id': {'description': 'Folder ID', 'type': 'string'}}, 'required': ['collection_id', 'folder_id'], 'type': 'object'}, description="""Delete a folder from a collection"""), # delano/postman-mcp-server/delete_collection_folder
    Tool(name="""postman-mcp-server_create_collection_request""", inputSchema={'properties': {'collection_id': {'description': 'Collection ID', 'type': 'string'}, 'folder_id': {'description': 'Optional folder ID to create request in', 'type': 'string'}, 'request': {'description': 'Request details', 'properties': {'method': {'type': 'string'}, 'name': {'type': 'string'}, 'url': {'type': 'string'}}, 'type': 'object'}}, 'required': ['collection_id', 'request'], 'type': 'object'}, description="""Create a new request in a collection"""), # delano/postman-mcp-server/create_collection_request
    Tool(name="""postman-mcp-server_get_collection_request""", inputSchema={'properties': {'collection_id': {'description': 'Collection ID', 'type': 'string'}, 'ids': {'description': 'Return only properties that contain ID values', 'type': 'boolean'}, 'populate': {'description': 'Return all request contents', 'type': 'boolean'}, 'request_id': {'description': 'Request ID', 'type': 'string'}, 'uid': {'description': 'Return all IDs in UID format', 'type': 'boolean'}}, 'required': ['collection_id', 'request_id'], 'type': 'object'}, description="""Get details of a specific request in a collection"""), # delano/postman-mcp-server/get_collection_request
    Tool(name="""postman-mcp-server_update_collection_request""", inputSchema={'properties': {'collection_id': {'description': 'Collection ID', 'type': 'string'}, 'request': {'description': 'Request details to update', 'properties': {'method': {'type': 'string'}, 'name': {'type': 'string'}, 'url': {'type': 'string'}}, 'type': 'object'}, 'request_id': {'description': 'Request ID', 'type': 'string'}}, 'required': ['collection_id', 'request_id', 'request'], 'type': 'object'}, description="""Update a request in a collection. Cannot change request folder."""), # delano/postman-mcp-server/update_collection_request
    Tool(name="""postman-mcp-server_delete_collection_request""", inputSchema={'properties': {'collection_id': {'description': 'Collection ID', 'type': 'string'}, 'request_id': {'description': 'Request ID', 'type': 'string'}}, 'required': ['collection_id', 'request_id'], 'type': 'object'}, description="""Delete a request from a collection"""), # delano/postman-mcp-server/delete_collection_request
    Tool(name="""postman-mcp-server_create_collection_response""", inputSchema={'properties': {'collection_id': {'description': 'Collection ID', 'type': 'string'}, 'request_id': {'description': 'Parent request ID', 'type': 'string'}, 'response': {'description': 'Response details', 'properties': {'code': {'type': 'number'}, 'name': {'type': 'string'}, 'status': {'type': 'string'}}, 'type': 'object'}}, 'required': ['collection_id', 'request_id', 'response'], 'type': 'object'}, description="""Create a new response in a collection"""), # delano/postman-mcp-server/create_collection_response
    Tool(name="""postman-mcp-server_get_collection_response""", inputSchema={'properties': {'collection_id': {'description': 'Collection ID', 'type': 'string'}, 'ids': {'description': 'Return only properties that contain ID values', 'type': 'boolean'}, 'populate': {'description': 'Return all response contents', 'type': 'boolean'}, 'response_id': {'description': 'Response ID', 'type': 'string'}, 'uid': {'description': 'Return all IDs in UID format', 'type': 'boolean'}}, 'required': ['collection_id', 'response_id'], 'type': 'object'}, description="""Get details of a specific response in a collection"""), # delano/postman-mcp-server/get_collection_response
    Tool(name="""postman-mcp-server_update_collection_response""", inputSchema={'properties': {'collection_id': {'description': 'Collection ID', 'type': 'string'}, 'response': {'description': 'Response details to update', 'properties': {'code': {'type': 'number'}, 'name': {'type': 'string'}, 'status': {'type': 'string'}}, 'type': 'object'}, 'response_id': {'description': 'Response ID', 'type': 'string'}}, 'required': ['collection_id', 'response_id', 'response'], 'type': 'object'}, description="""Update a response in a collection. Acts like PATCH, only updates provided values."""), # delano/postman-mcp-server/update_collection_response
    Tool(name="""postman-mcp-server_delete_collection_response""", inputSchema={'properties': {'collection_id': {'description': 'Collection ID', 'type': 'string'}, 'response_id': {'description': 'Response ID', 'type': 'string'}}, 'required': ['collection_id', 'response_id'], 'type': 'object'}, description="""Delete a response from a collection"""), # delano/postman-mcp-server/delete_collection_response
    Tool(name="""postman-mcp-server_fork_collection""", inputSchema={'properties': {'collection_id': {'description': 'Collection ID to fork', 'type': 'string'}, 'label': {'description': 'Label for the forked collection', 'type': 'string'}, 'workspace': {'description': 'Destination workspace ID', 'type': 'string'}}, 'required': ['collection_id', 'workspace', 'label'], 'type': 'object'}, description="""Fork a collection to a workspace"""), # delano/postman-mcp-server/fork_collection
    Tool(name="""postman-mcp-server_get_collection_forks""", inputSchema={'properties': {'collection_id': {'description': 'Collection ID', 'type': 'string'}, 'cursor': {'description': 'Pagination cursor', 'type': 'string'}, 'direction': {'description': 'Sort direction', 'enum': ['asc', 'desc'], 'type': 'string'}, 'limit': {'description': 'Maximum number of results to return', 'type': 'number'}, 'sort': {'description': 'Sort field', 'enum': ['createdAt'], 'type': 'string'}}, 'required': ['collection_id'], 'type': 'object'}, description="""Get a list of collection forks"""), # delano/postman-mcp-server/get_collection_forks
    Tool(name="""postman-mcp-server_merge_collection_fork""", inputSchema={'properties': {'destination': {'description': 'Destination collection ID', 'type': 'string'}, 'source': {'description': 'Source collection ID', 'type': 'string'}, 'strategy': {'description': 'Merge strategy', 'enum': ['default', 'updateSourceWithDestination', 'deleteSource'], 'type': 'string'}}, 'required': ['source', 'destination', 'strategy'], 'type': 'object'}, description="""Merge a forked collection back into its parent"""), # delano/postman-mcp-server/merge_collection_fork
    Tool(name="""postman-mcp-server_pull_collection_changes""", inputSchema={'properties': {'collection_id': {'description': 'Collection ID', 'type': 'string'}}, 'required': ['collection_id'], 'type': 'object'}, description="""Pull changes from parent collection into forked collection"""), # delano/postman-mcp-server/pull_collection_changes
    Tool(name="""postman-mcp-server_transfer_collection_items""", inputSchema={'properties': {'ids': {'description': 'IDs of items to transfer', 'items': {'type': 'string'}, 'type': 'array'}, 'location': {'description': 'Location details for placement', 'properties': {'id': {'type': 'string'}, 'model': {'type': 'string'}, 'position': {'type': 'string'}}, 'type': 'object'}, 'mode': {'description': 'Transfer mode', 'enum': ['copy', 'move'], 'type': 'string'}, 'target': {'description': 'Target collection/folder information', 'properties': {'id': {'type': 'string'}, 'model': {'type': 'string'}}, 'type': 'object'}, 'type': {'description': 'Type of items to transfer', 'enum': ['folder', 'request', 'response'], 'type': 'string'}}, 'required': ['type', 'ids', 'target', 'mode'], 'type': 'object'}, description="""Transfer items between collections"""), # delano/postman-mcp-server/transfer_collection_items
    Tool(name="""postman-mcp-server_get_user_info""", inputSchema={'properties': {}, 'required': [], 'type': 'object'}, description="""Get information about the authenticated user"""), # delano/postman-mcp-server/get_user_info
    Tool(name="""postman-mcp-server_list_apis""", inputSchema={'properties': {'createdBy': {'description': 'Filter by creator user ID', 'type': 'number'}, 'cursor': {'description': 'Pagination cursor', 'type': 'string'}, 'description': {'description': 'Filter by description text', 'type': 'string'}, 'limit': {'description': 'Maximum number of results', 'type': 'number'}, 'workspaceId': {'description': 'Workspace ID (required)', 'type': 'string'}}, 'required': ['workspaceId'], 'type': 'object'}, description="""List all APIs in a workspace"""), # delano/postman-mcp-server/list_apis
    Tool(name="""postman-mcp-server_get_api""", inputSchema={'properties': {'apiId': {'description': 'API ID', 'type': 'string'}, 'include': {'description': 'Additional data to include', 'items': {'enum': ['collections', 'versions', 'schemas', 'gitInfo'], 'type': 'string'}, 'type': 'array'}}, 'required': ['apiId'], 'type': 'object'}, description="""Get details of a specific API"""), # delano/postman-mcp-server/get_api
    Tool(name="""postman-mcp-server_create_api""", inputSchema={'properties': {'description': {'description': 'Detailed description (supports Markdown)', 'type': 'string'}, 'name': {'description': 'API name', 'type': 'string'}, 'summary': {'description': 'Brief description', 'type': 'string'}, 'workspaceId': {'description': 'Target workspace ID', 'type': 'string'}}, 'required': ['name', 'workspaceId'], 'type': 'object'}, description="""Create a new API"""), # delano/postman-mcp-server/create_api
    Tool(name="""postman-mcp-server_update_api""", inputSchema={'properties': {'apiId': {'description': 'API ID', 'type': 'string'}, 'description': {'description': 'Updated detailed description', 'type': 'string'}, 'name': {'description': 'New API name', 'type': 'string'}, 'summary': {'description': 'Updated brief description', 'type': 'string'}}, 'required': ['apiId'], 'type': 'object'}, description="""Update an existing API"""), # delano/postman-mcp-server/update_api
    Tool(name="""postman-mcp-server_delete_api""", inputSchema={'properties': {'apiId': {'description': 'API ID', 'type': 'string'}}, 'required': ['apiId'], 'type': 'object'}, description="""Delete an API"""), # delano/postman-mcp-server/delete_api
    Tool(name="""postman-mcp-server_add_api_collection""", inputSchema={'properties': {'apiId': {'description': 'API ID', 'type': 'string'}, 'data': {'description': 'Collection data based on operation type', 'type': 'object'}, 'operationType': {'description': 'Type of collection operation', 'enum': ['COPY_COLLECTION', 'CREATE_NEW', 'GENERATE_FROM_SCHEMA'], 'type': 'string'}}, 'required': ['apiId', 'operationType'], 'type': 'object'}, description="""Add a collection to an API"""), # delano/postman-mcp-server/add_api_collection
    Tool(name="""postman-mcp-server_get_api_collection""", inputSchema={'properties': {'apiId': {'description': 'API ID', 'type': 'string'}, 'collectionId': {'description': 'Collection ID', 'type': 'string'}, 'versionId': {'description': 'Version ID (required for API viewers)', 'type': 'string'}}, 'required': ['apiId', 'collectionId'], 'type': 'object'}, description="""Get a specific collection from an API"""), # delano/postman-mcp-server/get_api_collection
    Tool(name="""postman-mcp-server_create_api_schema""", inputSchema={'properties': {'apiId': {'description': 'API ID', 'type': 'string'}, 'files': {'description': 'Schema files', 'items': {'properties': {'content': {'description': 'File content', 'type': 'string'}, 'path': {'description': 'File path', 'type': 'string'}, 'root': {'properties': {'enabled': {'description': 'Tag as root file (protobuf only)', 'type': 'boolean'}}, 'type': 'object'}}, 'required': ['path', 'content'], 'type': 'object'}, 'type': 'array'}, 'type': {'description': 'Schema type', 'enum': ['proto:2', 'proto:3', 'graphql', 'openapi:3_1', 'openapi:3', 'openapi:2', 'openapi:1', 'raml:1', 'raml:0_8', 'wsdl:2', 'wsdl:1', 'asyncapi:2'], 'type': 'string'}}, 'required': ['apiId', 'type', 'files'], 'type': 'object'}, description="""Create a schema for an API"""), # delano/postman-mcp-server/create_api_schema
    Tool(name="""postman-mcp-server_get_api_schema""", inputSchema={'properties': {'apiId': {'description': 'API ID', 'type': 'string'}, 'bundled': {'description': 'Return schema in bundled format', 'type': 'boolean'}, 'schemaId': {'description': 'Schema ID', 'type': 'string'}, 'versionId': {'description': 'Version ID (required for API viewers)', 'type': 'string'}}, 'required': ['apiId', 'schemaId'], 'type': 'object'}, description="""Get a specific schema from an API"""), # delano/postman-mcp-server/get_api_schema
    Tool(name="""postman-mcp-server_create_api_version""", inputSchema={'properties': {'apiId': {'description': 'API ID', 'type': 'string'}, 'branch': {'description': 'Git branch (for git-linked APIs)', 'type': 'string'}, 'collections': {'description': 'Collection references', 'items': {'properties': {'filePath': {'type': 'string'}, 'id': {'type': 'string'}}, 'type': 'object'}, 'type': 'array'}, 'name': {'description': 'Version name', 'type': 'string'}, 'releaseNotes': {'description': 'Version release notes', 'type': 'string'}, 'schemas': {'description': 'Schema references', 'items': {'properties': {'directoryPath': {'type': 'string'}, 'filePath': {'type': 'string'}, 'id': {'type': 'string'}}, 'type': 'object'}, 'type': 'array'}}, 'required': ['apiId', 'name', 'schemas', 'collections'], 'type': 'object'}, description="""Create a new version of an API"""), # delano/postman-mcp-server/create_api_version
    Tool(name="""postman-mcp-server_get_api_versions""", inputSchema={'properties': {'apiId': {'description': 'API ID', 'type': 'string'}, 'cursor': {'description': 'Pagination cursor', 'type': 'string'}, 'limit': {'description': 'Maximum number of results', 'type': 'number'}}, 'required': ['apiId'], 'type': 'object'}, description="""Get all versions of an API"""), # delano/postman-mcp-server/get_api_versions
    Tool(name="""postman-mcp-server_get_api_version""", inputSchema={'properties': {'apiId': {'description': 'API ID', 'type': 'string'}, 'versionId': {'description': 'Version ID', 'type': 'string'}}, 'required': ['apiId', 'versionId'], 'type': 'object'}, description="""Get a specific version of an API"""), # delano/postman-mcp-server/get_api_version
    Tool(name="""postman-mcp-server_update_api_version""", inputSchema={'properties': {'apiId': {'description': 'API ID', 'type': 'string'}, 'name': {'description': 'New version name', 'type': 'string'}, 'releaseNotes': {'description': 'Updated release notes', 'type': 'string'}, 'versionId': {'description': 'Version ID', 'type': 'string'}}, 'required': ['apiId', 'versionId', 'name'], 'type': 'object'}, description="""Update an API version"""), # delano/postman-mcp-server/update_api_version
    Tool(name="""postman-mcp-server_delete_api_version""", inputSchema={'properties': {'apiId': {'description': 'API ID', 'type': 'string'}, 'versionId': {'description': 'Version ID', 'type': 'string'}}, 'required': ['apiId', 'versionId'], 'type': 'object'}, description="""Delete an API version"""), # delano/postman-mcp-server/delete_api_version
    Tool(name="""postman-mcp-server_get_api_comments""", inputSchema={'properties': {'apiId': {'description': 'API ID', 'type': 'string'}, 'cursor': {'description': 'Pagination cursor', 'type': 'string'}, 'limit': {'description': 'Maximum number of results', 'type': 'number'}}, 'required': ['apiId'], 'type': 'object'}, description="""Get comments for an API"""), # delano/postman-mcp-server/get_api_comments
    Tool(name="""postman-mcp-server_create_api_comment""", inputSchema={'properties': {'apiId': {'description': 'API ID', 'type': 'string'}, 'content': {'description': 'Comment text (max 10,000 characters)', 'type': 'string'}, 'threadId': {'description': 'Thread ID for replies', 'type': 'number'}}, 'required': ['apiId', 'content'], 'type': 'object'}, description="""Create a new comment on an API (max 10,000 characters)"""), # delano/postman-mcp-server/create_api_comment
    Tool(name="""postman-mcp-server_update_api_comment""", inputSchema={'properties': {'apiId': {'description': 'API ID', 'type': 'string'}, 'commentId': {'description': 'Comment ID', 'type': 'number'}, 'content': {'description': 'Updated comment text (max 10,000 characters)', 'type': 'string'}}, 'required': ['apiId', 'commentId', 'content'], 'type': 'object'}, description="""Update an existing API comment (max 10,000 characters)"""), # delano/postman-mcp-server/update_api_comment
    Tool(name="""postman-mcp-server_delete_api_comment""", inputSchema={'properties': {'apiId': {'description': 'API ID', 'type': 'string'}, 'commentId': {'description': 'Comment ID', 'type': 'number'}}, 'required': ['apiId', 'commentId'], 'type': 'object'}, description="""Delete an API comment"""), # delano/postman-mcp-server/delete_api_comment
    Tool(name="""postman-mcp-server_get_api_tags""", inputSchema={'properties': {'apiId': {'description': 'API ID', 'type': 'string'}}, 'required': ['apiId'], 'type': 'object'}, description="""Get tags for an API"""), # delano/postman-mcp-server/get_api_tags
    Tool(name="""postman-mcp-server_update_api_tags""", inputSchema={'properties': {'apiId': {'description': 'API ID', 'type': 'string'}, 'tags': {'description': 'List of tags', 'items': {'properties': {'name': {'description': 'Tag display name', 'type': 'string'}, 'slug': {'description': 'Tag slug', 'type': 'string'}}, 'required': ['slug'], 'type': 'object'}, 'type': 'array'}}, 'required': ['apiId', 'tags'], 'type': 'object'}, description="""Update tags for an API"""), # delano/postman-mcp-server/update_api_tags
    Tool(name="""postman-mcp-server_get_api_schema_files""", inputSchema={'properties': {'apiId': {'description': 'API ID', 'type': 'string'}, 'cursor': {'description': 'Pagination cursor', 'type': 'string'}, 'limit': {'description': 'Maximum number of results', 'type': 'number'}, 'schemaId': {'description': 'Schema ID', 'type': 'string'}, 'versionId': {'description': 'Version ID (required for API viewers)', 'type': 'string'}}, 'required': ['apiId', 'schemaId'], 'type': 'object'}, description="""Get files in an API schema"""), # delano/postman-mcp-server/get_api_schema_files
    Tool(name="""postman-mcp-server_get_schema_file_contents""", inputSchema={'properties': {'apiId': {'description': 'API ID', 'type': 'string'}, 'filePath': {'description': 'Path to the schema file', 'type': 'string'}, 'schemaId': {'description': 'Schema ID', 'type': 'string'}, 'versionId': {'description': 'Version ID (required for API viewers)', 'type': 'string'}}, 'required': ['apiId', 'schemaId', 'filePath'], 'type': 'object'}, description="""Get contents of a schema file"""), # delano/postman-mcp-server/get_schema_file_contents
    Tool(name="""postman-mcp-server_create_update_schema_file""", inputSchema={'properties': {'apiId': {'description': 'API ID', 'type': 'string'}, 'content': {'description': 'File content', 'type': 'string'}, 'filePath': {'description': 'Path to the schema file', 'type': 'string'}, 'root': {'properties': {'enabled': {'description': 'Tag as root file (protobuf only)', 'type': 'boolean'}}, 'type': 'object'}, 'schemaId': {'description': 'Schema ID', 'type': 'string'}}, 'required': ['apiId', 'schemaId', 'filePath', 'content'], 'type': 'object'}, description="""Create or update a schema file"""), # delano/postman-mcp-server/create_update_schema_file
    Tool(name="""postman-mcp-server_delete_schema_file""", inputSchema={'properties': {'apiId': {'description': 'API ID', 'type': 'string'}, 'filePath': {'description': 'Path to the schema file', 'type': 'string'}, 'schemaId': {'description': 'Schema ID', 'type': 'string'}}, 'required': ['apiId', 'schemaId', 'filePath'], 'type': 'object'}, description="""Delete a schema file"""), # delano/postman-mcp-server/delete_schema_file
    Tool(name="""postman-mcp-server_sync_collection_with_schema""", inputSchema={'properties': {'apiId': {'description': 'API ID', 'type': 'string'}, 'collectionId': {'description': 'Collection ID', 'type': 'string'}}, 'required': ['apiId', 'collectionId'], 'type': 'object'}, description="""Sync a collection with its schema"""), # delano/postman-mcp-server/sync_collection_with_schema
    Tool(name="""postman-mcp-server_get_task_status""", inputSchema={'properties': {'apiId': {'description': 'API ID', 'type': 'string'}, 'taskId': {'description': 'Task ID', 'type': 'string'}}, 'required': ['apiId', 'taskId'], 'type': 'object'}, description="""Get status of an asynchronous task"""), # delano/postman-mcp-server/get_task_status
    Tool(name="""postman-mcp-server_list_collection_access_keys""", inputSchema={'properties': {'collectionId': {'description': 'Filter results by collection ID', 'type': 'string'}, 'cursor': {'description': 'Pagination cursor', 'type': 'string'}}, 'required': [], 'type': 'object'}, description="""List collection access keys with optional filtering by collection ID"""), # delano/postman-mcp-server/list_collection_access_keys
    Tool(name="""postman-mcp-server_delete_collection_access_key""", inputSchema={'properties': {'keyId': {'description': 'The collection access key ID to delete', 'type': 'string'}}, 'required': ['keyId'], 'type': 'object'}, description="""Delete a collection access key"""), # delano/postman-mcp-server/delete_collection_access_key
    Tool(name="""postman-mcp-server_list_workspace_roles""", inputSchema={'properties': {}, 'required': [], 'type': 'object'}, description="""Get all available workspace roles based on team's plan"""), # delano/postman-mcp-server/list_workspace_roles
    Tool(name="""postman-mcp-server_get_workspace_roles""", inputSchema={'properties': {'includeScim': {'description': 'Include SCIM info in response', 'type': 'boolean'}, 'workspaceId': {'description': 'The workspace ID', 'type': 'string'}}, 'required': ['workspaceId'], 'type': 'object'}, description="""Get roles for a specific workspace"""), # delano/postman-mcp-server/get_workspace_roles
    Tool(name="""postman-mcp-server_update_workspace_roles""", inputSchema={'properties': {'identifierType': {'description': 'Optional SCIM identifier type', 'enum': ['scim'], 'type': 'string'}, 'operations': {'items': {'properties': {'op': {'description': 'Operation type', 'enum': ['update'], 'type': 'string'}, 'path': {'description': 'Resource path', 'enum': ['/user', '/group', '/team'], 'type': 'string'}, 'value': {'items': {'properties': {'id': {'description': 'User/group/team ID', 'type': 'number'}, 'role': {'description': 'Role to assign', 'enum': ['VIEWER', 'EDITOR'], 'type': 'string'}}, 'required': ['id', 'role'], 'type': 'object'}, 'type': 'array'}}, 'required': ['op', 'path', 'value'], 'type': 'object'}, 'maxItems': 50, 'type': 'array'}, 'workspaceId': {'description': 'The workspace ID', 'type': 'string'}}, 'required': ['workspaceId', 'operations'], 'type': 'object'}, description="""Update workspace roles for users and groups (limited to 50 operations per call)"""), # delano/postman-mcp-server/update_workspace_roles
    Tool(name="""postman-mcp-server_get_collection_roles""", inputSchema={'properties': {'collectionId': {'description': 'The collection ID', 'type': 'string'}}, 'required': ['collectionId'], 'type': 'object'}, description="""Get roles for a collection"""), # delano/postman-mcp-server/get_collection_roles
    Tool(name="""postman-mcp-server_update_collection_roles""", inputSchema={'properties': {'collectionId': {'description': 'The collection ID', 'type': 'string'}, 'operations': {'items': {'properties': {'op': {'description': 'Operation type', 'enum': ['update'], 'type': 'string'}, 'path': {'description': 'Resource path', 'enum': ['/user', '/group', '/team'], 'type': 'string'}, 'value': {'items': {'properties': {'id': {'description': 'User/group/team ID', 'type': 'number'}, 'role': {'description': 'Role to assign', 'enum': ['VIEWER', 'EDITOR'], 'type': 'string'}}, 'required': ['id', 'role'], 'type': 'object'}, 'type': 'array'}}, 'required': ['op', 'path', 'value'], 'type': 'object'}, 'type': 'array'}}, 'required': ['collectionId', 'operations'], 'type': 'object'}, description="""Update collection roles (requires EDITOR role)"""), # delano/postman-mcp-server/update_collection_roles
    Tool(name="""postman-mcp-server_get_authenticated_user""", inputSchema={'properties': {}, 'required': [], 'type': 'object'}, description="""Get authenticated user information"""), # delano/postman-mcp-server/get_authenticated_user
    Tool(name="""postman-mcp-server_list_mocks""", inputSchema={'properties': {'teamId': {'description': 'Return only results that belong to the given team ID', 'type': 'string'}, 'workspace': {'description': 'Return only results found in the given workspace. If both teamId and workspace provided, only workspace is used.', 'type': 'string'}}, 'required': [], 'type': 'object'}, description="""List all mock servers"""), # delano/postman-mcp-server/list_mocks
    Tool(name="""postman-mcp-server_create_mock""", inputSchema={'properties': {'mock': {'properties': {'collection': {'description': 'Collection ID to mock', 'type': 'string'}, 'description': {'description': 'Mock server description', 'type': 'string'}, 'environment': {'description': 'Environment ID to use', 'type': 'string'}, 'name': {'description': 'Mock server name', 'type': 'string'}, 'private': {'description': 'Access control setting', 'type': 'boolean'}, 'versionTag': {'description': 'Collection version tag', 'type': 'string'}}, 'required': ['collection', 'name'], 'type': 'object'}, 'workspace': {'description': 'Workspace ID to create the mock in', 'type': 'string'}}, 'required': ['mock'], 'type': 'object'}, description="""Create a new mock server. Creates in Personal workspace if workspace not specified."""), # delano/postman-mcp-server/create_mock
    Tool(name="""postman-mcp-server_get_mock""", inputSchema={'properties': {'mockId': {'description': 'The mock server ID', 'type': 'string'}}, 'required': ['mockId'], 'type': 'object'}, description="""Get details of a specific mock server"""), # delano/postman-mcp-server/get_mock
    Tool(name="""postman-mcp-server_update_mock""", inputSchema={'properties': {'mock': {'properties': {'description': {'description': 'Updated description', 'type': 'string'}, 'environment': {'description': 'New environment ID', 'type': 'string'}, 'name': {'description': 'New mock server name', 'type': 'string'}, 'private': {'description': 'Updated access control setting', 'type': 'boolean'}, 'versionTag': {'description': 'Updated collection version tag', 'type': 'string'}}, 'type': 'object'}, 'mockId': {'description': 'The mock server ID', 'type': 'string'}}, 'required': ['mockId', 'mock'], 'type': 'object'}, description="""Update an existing mock server"""), # delano/postman-mcp-server/update_mock
    Tool(name="""postman-mcp-server_delete_mock""", inputSchema={'properties': {'mockId': {'description': 'The mock server ID', 'type': 'string'}}, 'required': ['mockId'], 'type': 'object'}, description="""Delete a mock server"""), # delano/postman-mcp-server/delete_mock
    Tool(name="""postman-mcp-server_get_mock_call_logs""", inputSchema={'properties': {'cursor': {'description': 'Pagination cursor', 'type': 'string'}, 'direction': {'description': 'Sort direction', 'enum': ['asc', 'desc'], 'type': 'string'}, 'include': {'description': 'Include additional data (request.headers, request.body, response.headers, response.body)', 'type': 'string'}, 'limit': {'description': 'Maximum number of logs to return (default: 100)', 'type': 'number'}, 'mockId': {'description': 'The mock server ID', 'type': 'string'}, 'requestMethod': {'description': 'Filter by request method', 'type': 'string'}, 'requestPath': {'description': 'Filter by request path', 'type': 'string'}, 'responseStatusCode': {'description': 'Filter by response status code', 'type': 'number'}, 'responseType': {'description': 'Filter by response type', 'type': 'string'}, 'since': {'description': 'Return logs since this timestamp', 'type': 'string'}, 'sort': {'description': 'Sort field', 'enum': ['servedAt'], 'type': 'string'}, 'until': {'description': 'Return logs until this timestamp', 'type': 'string'}}, 'required': ['mockId'], 'type': 'object'}, description="""Get mock call logs. Maximum 6.5MB or 100 call logs per API call. Retention period based on Postman plan."""), # delano/postman-mcp-server/get_mock_call_logs
    Tool(name="""postman-mcp-server_publish_mock""", inputSchema={'properties': {'mockId': {'description': 'The mock server ID', 'type': 'string'}}, 'required': ['mockId'], 'type': 'object'}, description="""Publish mock server (sets Access Control to public)"""), # delano/postman-mcp-server/publish_mock
    Tool(name="""postman-mcp-server_unpublish_mock""", inputSchema={'properties': {'mockId': {'description': 'The mock server ID', 'type': 'string'}}, 'required': ['mockId'], 'type': 'object'}, description="""Unpublish mock server (sets Access Control to private)"""), # delano/postman-mcp-server/unpublish_mock
    Tool(name="""postman-mcp-server_list_server_responses""", inputSchema={'properties': {'mockId': {'description': 'The mock server ID', 'type': 'string'}}, 'required': ['mockId'], 'type': 'object'}, description="""Get all server responses for a mock"""), # delano/postman-mcp-server/list_server_responses
    Tool(name="""postman-mcp-server_create_server_response""", inputSchema={'properties': {'mockId': {'description': 'The mock server ID', 'type': 'string'}, 'serverResponse': {'properties': {'active': {'description': 'Set as active response', 'type': 'boolean'}, 'body': {'description': 'Response body content', 'type': 'string'}, 'code': {'description': 'HTTP status code', 'type': 'number'}, 'delay': {'description': 'Response delay in milliseconds', 'type': 'number'}, 'headers': {'description': 'Response headers', 'items': {'properties': {'key': {'type': 'string'}, 'value': {'type': 'string'}}, 'type': 'object'}, 'type': 'array'}, 'name': {'description': 'Response name', 'type': 'string'}}, 'required': ['name', 'code', 'headers', 'body'], 'type': 'object'}}, 'required': ['mockId', 'serverResponse'], 'type': 'object'}, description="""Create a server response. Only one server response can be active at a time."""), # delano/postman-mcp-server/create_server_response
    Tool(name="""postman-mcp-server_get_server_response""", inputSchema={'properties': {'mockId': {'description': 'The mock server ID', 'type': 'string'}, 'serverResponseId': {'description': 'The server response ID', 'type': 'string'}}, 'required': ['mockId', 'serverResponseId'], 'type': 'object'}, description="""Get a specific server response"""), # delano/postman-mcp-server/get_server_response
    Tool(name="""postman-mcp-server_update_server_response""", inputSchema={'properties': {'mockId': {'description': 'The mock server ID', 'type': 'string'}, 'serverResponse': {'properties': {'active': {'description': 'Change active status', 'type': 'boolean'}, 'body': {'description': 'Updated response body', 'type': 'string'}, 'code': {'description': 'Updated HTTP status code', 'type': 'number'}, 'delay': {'description': 'Updated response delay', 'type': 'number'}, 'headers': {'description': 'Updated response headers', 'items': {'properties': {'key': {'type': 'string'}, 'value': {'type': 'string'}}, 'type': 'object'}, 'type': 'array'}, 'name': {'description': 'Updated response name', 'type': 'string'}}, 'type': 'object'}, 'serverResponseId': {'description': 'The server response ID', 'type': 'string'}}, 'required': ['mockId', 'serverResponseId', 'serverResponse'], 'type': 'object'}, description="""Update a server response"""), # delano/postman-mcp-server/update_server_response
    Tool(name="""postman-mcp-server_delete_server_response""", inputSchema={'properties': {'mockId': {'description': 'The mock server ID', 'type': 'string'}, 'serverResponseId': {'description': 'The server response ID', 'type': 'string'}}, 'required': ['mockId', 'serverResponseId'], 'type': 'object'}, description="""Delete a server response"""), # delano/postman-mcp-server/delete_server_response
    Tool(name="""postman-mcp-server_list_monitors""", inputSchema={'properties': {'workspace': {'description': 'Return only monitors found in the given workspace', 'type': 'string'}}, 'required': [], 'type': 'object'}, description="""Get all monitors"""), # delano/postman-mcp-server/list_monitors
    Tool(name="""postman-mcp-server_get_monitor""", inputSchema={'properties': {'monitorId': {'description': 'Monitor ID', 'type': 'string'}}, 'required': ['monitorId'], 'type': 'object'}, description="""Get details of a specific monitor"""), # delano/postman-mcp-server/get_monitor
    Tool(name="""postman-mcp-server_create_monitor""", inputSchema={'properties': {'monitor': {'description': 'Monitor details', 'properties': {'collection': {'description': 'Collection ID to monitor', 'type': 'string'}, 'environment': {'description': 'Environment ID to use', 'type': 'string'}, 'name': {'description': 'Monitor name', 'type': 'string'}, 'options': {'description': 'Monitor options', 'properties': {'followRedirects': {'description': 'Redirect handling', 'type': 'boolean'}, 'requestTimeout': {'description': 'Request timeout in ms', 'type': 'number'}, 'strictSSL': {'description': 'SSL verification setting', 'type': 'boolean'}}, 'type': 'object'}, 'schedule': {'description': 'Schedule configuration', 'properties': {'cron': {'description': 'Cron expression for timing', 'type': 'string'}, 'timezone': {'description': 'Timezone for schedule', 'type': 'string'}}, 'required': ['cron', 'timezone'], 'type': 'object'}}, 'required': ['name', 'collection', 'schedule'], 'type': 'object'}, 'workspace': {'description': 'Workspace ID', 'type': 'string'}}, 'required': ['monitor'], 'type': 'object'}, description="""Create a new monitor. Cannot create monitors for collections added to an API definition."""), # delano/postman-mcp-server/create_monitor
    Tool(name="""postman-mcp-server_update_monitor""", inputSchema={'properties': {'monitor': {'description': 'Monitor details to update', 'properties': {'collection': {'description': 'New collection ID', 'type': 'string'}, 'environment': {'description': 'New environment ID', 'type': 'string'}, 'name': {'description': 'Updated monitor name', 'type': 'string'}, 'options': {'description': 'Updated monitor options', 'properties': {'followRedirects': {'description': 'Redirect handling', 'type': 'boolean'}, 'requestTimeout': {'description': 'Request timeout in ms', 'type': 'number'}, 'strictSSL': {'description': 'SSL verification setting', 'type': 'boolean'}}, 'type': 'object'}, 'schedule': {'description': 'Updated schedule configuration', 'properties': {'cron': {'description': 'New cron expression', 'type': 'string'}, 'timezone': {'description': 'New timezone', 'type': 'string'}}, 'type': 'object'}}, 'type': 'object'}, 'monitorId': {'description': 'Monitor ID', 'type': 'string'}}, 'required': ['monitorId', 'monitor'], 'type': 'object'}, description="""Update an existing monitor"""), # delano/postman-mcp-server/update_monitor
    Tool(name="""postman-mcp-server_delete_monitor""", inputSchema={'properties': {'monitorId': {'description': 'Monitor ID', 'type': 'string'}}, 'required': ['monitorId'], 'type': 'object'}, description="""Delete a monitor"""), # delano/postman-mcp-server/delete_monitor
    Tool(name="""postman-mcp-server_run_monitor""", inputSchema={'properties': {'async': {'default': False, 'description': 'If true, runs the monitor asynchronously from the created monitor run task', 'type': 'boolean'}, 'monitorId': {'description': 'Monitor ID', 'type': 'string'}}, 'required': ['monitorId'], 'type': 'object'}, description="""Run a monitor. For async=true, response won't include stats, executions, and failures. Use GET /monitors/{id} to get this information for async runs."""), # delano/postman-mcp-server/run_monitor
    Tool(name="""postman-mcp-server_get_accounts""", inputSchema={'properties': {}, 'required': [], 'type': 'object'}, description="""Gets Postman billing account details for the given team"""), # delano/postman-mcp-server/get_accounts
    Tool(name="""postman-mcp-server_list_account_invoices""", inputSchema={'properties': {'accountId': {'description': "The account's ID", 'type': 'string'}, 'status': {'description': "The account's status", 'enum': ['PAID'], 'type': 'string'}}, 'required': ['accountId', 'status'], 'type': 'object'}, description="""Gets all invoices for a Postman billing account filtered by status"""), # delano/postman-mcp-server/list_account_invoices
    Tool(name="""postman-mcp-server_resolve_comment_thread""", inputSchema={'properties': {'threadId': {'description': 'The comment thread ID', 'type': 'string'}}, 'required': ['threadId'], 'type': 'object'}, description="""Resolves a comment and any associated replies"""), # delano/postman-mcp-server/resolve_comment_thread
    Tool(name="""postman-mcp-server_list_pan_elements""", inputSchema={'properties': {'addedBy': {'description': 'Return only elements published by the given user ID', 'type': 'integer'}, 'description': {'description': 'Return only elements whose description includes the given value', 'type': 'string'}, 'direction': {'description': 'Sort direction', 'enum': ['asc', 'desc'], 'type': 'string'}, 'limit': {'description': 'Maximum number of results to return', 'type': 'integer'}, 'name': {'description': 'Return only elements whose name includes the given value', 'type': 'string'}, 'offset': {'description': 'Number of results to skip', 'type': 'integer'}, 'parentFolderId': {'description': 'Return elements in specific folder. Use 0 for root folder.', 'type': 'integer'}, 'since': {'description': 'Return only results created since the given time (ISO 8601)', 'type': 'string'}, 'sort': {'description': 'Sort field', 'enum': ['createdAt', 'updatedAt'], 'type': 'string'}, 'summary': {'description': 'Return only elements whose summary includes the given value', 'type': 'string'}, 'type': {'description': 'Filter by element type', 'enum': ['api', 'folder', 'collection', 'workspace'], 'type': 'string'}, 'until': {'description': 'Return only results created until this given time (ISO 8601)', 'type': 'string'}}, 'required': [], 'type': 'object'}, description="""Get all elements and folders in Private API Network"""), # delano/postman-mcp-server/list_pan_elements
    Tool(name="""BOD-25-01-CSA-Microsoft-Policy-MCP_configure_authenticator_context""", inputSchema={'properties': {}, 'type': 'object'}, description="""Configure Microsoft Authenticator to show login context (MS.AAD.3.3v1)"""), # DynamicEndpoints/BOD-25-01-CSA-Microsoft-Policy-MCP/configure_authenticator_context
    Tool(name="""BOD-25-01-CSA-Microsoft-Policy-MCP_complete_auth_methods_migration""", inputSchema={'properties': {}, 'type': 'object'}, description="""Set Authentication Methods Manage Migration to Complete (MS.AAD.3.4v1)"""), # DynamicEndpoints/BOD-25-01-CSA-Microsoft-Policy-MCP/complete_auth_methods_migration
    Tool(name="""BOD-25-01-CSA-Microsoft-Policy-MCP_enforce_pam""", inputSchema={'properties': {}, 'type': 'object'}, description="""Enforce PAM system for privileged role assignments (MS.AAD.7.5v1)"""), # DynamicEndpoints/BOD-25-01-CSA-Microsoft-Policy-MCP/enforce_pam
    Tool(name="""BOD-25-01-CSA-Microsoft-Policy-MCP_enforce_privileged_mfa""", inputSchema={'properties': {}, 'type': 'object'}, description="""Enforce phishing-resistant MFA for privileged roles (MS.AAD.3.6v1)"""), # DynamicEndpoints/BOD-25-01-CSA-Microsoft-Policy-MCP/enforce_privileged_mfa
    Tool(name="""BOD-25-01-CSA-Microsoft-Policy-MCP_restrict_app_registration""", inputSchema={'properties': {}, 'type': 'object'}, description="""Allow only administrators to register applications (MS.AAD.5.1v1)"""), # DynamicEndpoints/BOD-25-01-CSA-Microsoft-Policy-MCP/restrict_app_registration
    Tool(name="""BOD-25-01-CSA-Microsoft-Policy-MCP_restrict_app_consent""", inputSchema={'properties': {}, 'type': 'object'}, description="""Allow only administrators to consent to applications (MS.AAD.5.2v1)"""), # DynamicEndpoints/BOD-25-01-CSA-Microsoft-Policy-MCP/restrict_app_consent
    Tool(name="""BOD-25-01-CSA-Microsoft-Policy-MCP_configure_admin_consent""", inputSchema={'properties': {}, 'type': 'object'}, description="""Configure admin consent workflow for applications (MS.AAD.5.3v1)"""), # DynamicEndpoints/BOD-25-01-CSA-Microsoft-Policy-MCP/configure_admin_consent
    Tool(name="""BOD-25-01-CSA-Microsoft-Policy-MCP_restrict_group_consent""", inputSchema={'properties': {}, 'type': 'object'}, description="""Prevent group owners from consenting to applications (MS.AAD.5.4v1)"""), # DynamicEndpoints/BOD-25-01-CSA-Microsoft-Policy-MCP/restrict_group_consent
    Tool(name="""BOD-25-01-CSA-Microsoft-Policy-MCP_enforce_granular_roles""", inputSchema={'properties': {}, 'type': 'object'}, description="""Enforce use of granular roles instead of Global Administrator (MS.AAD.7.2v1)"""), # DynamicEndpoints/BOD-25-01-CSA-Microsoft-Policy-MCP/enforce_granular_roles
    Tool(name="""BOD-25-01-CSA-Microsoft-Policy-MCP_disable_password_expiry""", inputSchema={'properties': {}, 'type': 'object'}, description="""Disable password expiration (MS.AAD.6.1v1)"""), # DynamicEndpoints/BOD-25-01-CSA-Microsoft-Policy-MCP/disable_password_expiry
    Tool(name="""BOD-25-01-CSA-Microsoft-Policy-MCP_enforce_cloud_accounts""", inputSchema={'properties': {}, 'type': 'object'}, description="""Enforce cloud-only accounts for privileged users (MS.AAD.7.3v1)"""), # DynamicEndpoints/BOD-25-01-CSA-Microsoft-Policy-MCP/enforce_cloud_accounts
    Tool(name="""BOD-25-01-CSA-Microsoft-Policy-MCP_configure_global_admin_approval""", inputSchema={'properties': {}, 'type': 'object'}, description="""Configure approval requirement for Global Administrator activation (MS.AAD.7.6v1)"""), # DynamicEndpoints/BOD-25-01-CSA-Microsoft-Policy-MCP/configure_global_admin_approval
    Tool(name="""BOD-25-01-CSA-Microsoft-Policy-MCP_configure_role_alerts""", inputSchema={'properties': {'notificationEmails': {'description': 'Email addresses to notify on role assignments', 'items': {'type': 'string'}, 'type': 'array'}}, 'required': ['notificationEmails'], 'type': 'object'}, description="""Configure alerts for privileged role assignments (MS.AAD.7.7v1)"""), # DynamicEndpoints/BOD-25-01-CSA-Microsoft-Policy-MCP/configure_role_alerts
    Tool(name="""BOD-25-01-CSA-Microsoft-Policy-MCP_configure_admin_alerts""", inputSchema={'properties': {'notificationEmails': {'description': 'Email addresses to notify on role activation', 'items': {'type': 'string'}, 'type': 'array'}}, 'required': ['notificationEmails'], 'type': 'object'}, description="""Configure alerts for Global Administrator activation (MS.AAD.7.8v1)"""), # DynamicEndpoints/BOD-25-01-CSA-Microsoft-Policy-MCP/configure_admin_alerts
    Tool(name="""BOD-25-01-CSA-Microsoft-Policy-MCP_get_policy_status""", inputSchema={'properties': {}, 'type': 'object'}, description="""Get current status of all CISA M365 security policies"""), # DynamicEndpoints/BOD-25-01-CSA-Microsoft-Policy-MCP/get_policy_status
    Tool(name="""BOD-25-01-CSA-Microsoft-Policy-MCP_block_legacy_auth""", inputSchema={'properties': {}, 'type': 'object'}, description="""Block legacy authentication (MS.AAD.1.1v1)"""), # DynamicEndpoints/BOD-25-01-CSA-Microsoft-Policy-MCP/block_legacy_auth
    Tool(name="""BOD-25-01-CSA-Microsoft-Policy-MCP_block_high_risk_users""", inputSchema={'properties': {}, 'type': 'object'}, description="""Block users detected as high risk (MS.AAD.2.1v1)"""), # DynamicEndpoints/BOD-25-01-CSA-Microsoft-Policy-MCP/block_high_risk_users
    Tool(name="""BOD-25-01-CSA-Microsoft-Policy-MCP_configure_global_admins""", inputSchema={'properties': {'userIds': {'description': 'List of user IDs to assign Global Administrator role', 'items': {'type': 'string'}, 'maxItems': 8, 'minItems': 2, 'type': 'array'}}, 'required': ['userIds'], 'type': 'object'}, description="""Configure Global Administrator role assignments (MS.AAD.7.1v1)"""), # DynamicEndpoints/BOD-25-01-CSA-Microsoft-Policy-MCP/configure_global_admins
    Tool(name="""BOD-25-01-CSA-Microsoft-Policy-MCP_block_high_risk_signins""", inputSchema={'properties': {}, 'type': 'object'}, description="""Block sign-ins detected as high risk (MS.AAD.2.3v1)"""), # DynamicEndpoints/BOD-25-01-CSA-Microsoft-Policy-MCP/block_high_risk_signins
    Tool(name="""BOD-25-01-CSA-Microsoft-Policy-MCP_enforce_phishing_resistant_mfa""", inputSchema={'properties': {}, 'type': 'object'}, description="""Enforce phishing-resistant MFA for all users (MS.AAD.3.1v1)"""), # DynamicEndpoints/BOD-25-01-CSA-Microsoft-Policy-MCP/enforce_phishing_resistant_mfa
    Tool(name="""BOD-25-01-CSA-Microsoft-Policy-MCP_enforce_alternative_mfa""", inputSchema={'properties': {}, 'type': 'object'}, description="""Enforce alternative MFA method if phishing-resistant MFA not enforced (MS.AAD.3.2v1)"""), # DynamicEndpoints/BOD-25-01-CSA-Microsoft-Policy-MCP/enforce_alternative_mfa
    Tool(name="""maven-mcp-server_get_maven_latest_version""", inputSchema={'properties': {'dependency': {'description': 'Maven coordinate in format "groupId:artifactId[:version][:packaging][:classifier]" (e.g. "org.springframework:spring-core" or "org.springframework:spring-core:5.3.20:jar")', 'type': 'string'}}, 'required': ['dependency'], 'type': 'object'}, description="""Get the latest version of a Maven dependency"""), # Bigsy/maven-mcp-server/get_maven_latest_version
    Tool(name="""maven-mcp-server_check_maven_version_exists""", inputSchema={'properties': {'dependency': {'description': 'Maven coordinate in format "groupId:artifactId[:version][:packaging][:classifier]" (e.g. "org.springframework:spring-core" or "org.springframework:spring-core:5.3.20:jar")', 'type': 'string'}, 'version': {'description': 'Version to check if not included in dependency string', 'type': 'string'}}, 'required': ['dependency'], 'type': 'object'}, description="""Check if a specific version of a Maven dependency exists"""), # Bigsy/maven-mcp-server/check_maven_version_exists
    Tool(name="""unichat-ts-mcp-server_unichat""", inputSchema={'properties': {'messages': {'description': 'Array of exactly two messages: first a system message defining the task, then a user message with the specific query', 'items': {'properties': {'content': {'description': 'The content of the message. For system messages, this should define the context or task. For user messages, this should contain the specific query.', 'type': 'string'}, 'role': {'description': "The role of the message sender. Must be either 'system' or 'user'", 'enum': ['system', 'user'], 'type': 'string'}}, 'required': ['role', 'content'], 'type': 'object'}, 'maxItems': 2, 'minItems': 2, 'type': 'array'}}, 'required': ['messages'], 'type': 'object'}, description="""Chat with an assistant.\n                        Example tool use message:\n                        Ask the unichat to review and evaluate your proposal."""), # amidabuddha/unichat-ts-mcp-server/unichat
    Tool(name="""MCP Word Counter_analyze_text""", inputSchema={'properties': {'filePath': {'description': 'Path to the text file to analyze', 'type': 'string'}}, 'required': ['filePath'], 'type': 'object'}, description="""Count words and characters in a text document"""), # qpd-v/MCP Word Counter/analyze_text
    Tool(name="""mcp-database-server_save_json_doc""", inputSchema={'properties': {'doc': {'description': 'JSON document to save', 'type': 'object'}}, 'required': ['doc'], 'type': 'object'}, description="""Save a JSON document"""), # fireproof-storage/mcp-database-server/save_json_doc
    Tool(name="""mcp-database-server_load_json_doc""", inputSchema={'properties': {'id': {'description': 'ID of document to load', 'type': 'string'}}, 'required': ['id'], 'type': 'object'}, description="""Load a JSON document by ID"""), # fireproof-storage/mcp-database-server/load_json_doc
    Tool(name="""mcp-database-server_delete_json_doc""", inputSchema={'properties': {'id': {'description': 'ID of document to delete', 'type': 'string'}}, 'required': ['id'], 'type': 'object'}, description="""Delete a JSON document by ID"""), # fireproof-storage/mcp-database-server/delete_json_doc
    Tool(name="""mcp-database-server_query_json_docs""", inputSchema={'properties': {'sort_field': {'description': 'Field to sort results by', 'type': 'string'}}, 'required': ['sort_field'], 'type': 'object'}, description="""Query JSON documents sorted by a field"""), # fireproof-storage/mcp-database-server/query_json_docs
    Tool(name="""flightradar24-mcp-server_get_flight_positions""", inputSchema={'properties': {'airports': {'description': 'Comma-separated list of airport ICAO codes', 'type': 'string'}, 'bounds': {'description': 'Geographical bounds (lat1,lon1,lat2,lon2)', 'type': 'string'}, 'categories': {'description': 'Aircraft categories (P,C,J)', 'type': 'string'}, 'limit': {'description': 'Maximum number of results', 'type': 'number'}}, 'type': 'object'}, description="""Get real-time flight positions with various filtering options"""), # sunsetcoder/flightradar24-mcp-server/get_flight_positions
    Tool(name="""flightradar24-mcp-server_get_flight_eta""", inputSchema={'properties': {'flightNumber': {'description': 'Flight number (e.g., UA123)', 'pattern': '^[A-Z0-9]{2,8}$', 'type': 'string'}}, 'required': ['flightNumber'], 'type': 'object'}, description="""Get estimated arrival time for a specific flight"""), # sunsetcoder/flightradar24-mcp-server/get_flight_eta
    Tool(name="""web-browser-mcp-server_browse_webpage""", inputSchema={'properties': {'selectors': {'additionalProperties': {'type': 'string'}, 'description': 'Optional CSS selectors to extract specific content', 'type': 'object'}, 'url': {'description': 'The URL of the webpage to browse', 'type': 'string'}}, 'required': ['url'], 'type': 'object'}, description="""Extract content from a webpage with optional CSS selectors for specific elements"""), # blazickjp/web-browser-mcp-server/browse_webpage
    Tool(name="""atlas-mcp-server_atlas_skill_list""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'filter': {'description': 'Optional search term to filter skills by name or description', 'type': 'string'}}, 'type': 'object'}, description="""Lists available skills with optional fuzzy name matching"""), # cyanheads/atlas-mcp-server/atlas_skill_list
    Tool(name="""atlas-mcp-server_atlas_skill_invoke""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'parameters': {'additionalProperties': {}, 'description': 'Optional parameters to pass to the skills', 'type': 'object'}, 'skills': {'description': "Array of skill names to invoke. Can use dot notation for combining skills (e.g., 'software-engineer.typescript.git')", 'items': {'type': 'string'}, 'minItems': 1, 'type': 'array'}}, 'required': ['skills'], 'type': 'object'}, description="""Executes specific skills (individually or combined)"""), # cyanheads/atlas-mcp-server/atlas_skill_invoke
    Tool(name="""atlas-mcp-server_database_clean""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {}, 'type': 'object'}, description="""Clean the database by removing all nodes and relationships, then reinitialize the schema. This operation cannot be undone."""), # cyanheads/atlas-mcp-server/database_clean
    Tool(name="""atlas-mcp-server_neo4j_search""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'arrayProperties': {'description': 'Optional: Custom array properties to check (in addition to default ones like tags, categories, etc).', 'items': {'type': 'string'}, 'type': 'array'}, 'caseInsensitive': {'description': 'Optional: When true, search ignores letter case.', 'type': 'boolean'}, 'exactMatch': {'description': 'Optional: When true, requires exact matches rather than partial matches.', 'type': 'boolean'}, 'fuzzy': {'description': 'Optional: When true, enables fuzzy matching for approximate string matches.', 'type': 'boolean'}, 'fuzzyThreshold': {'description': 'Optional: Threshold for fuzzy matching (0.0 to 1.0, default 0.5).', 'maximum': 1, 'minimum': 0, 'type': 'number'}, 'label': {'description': 'Optional: neo4j node label filter.', 'type': 'string'}, 'limit': {'description': 'Optional: Number of results per page (default: 100).', 'maximum': 1000, 'minimum': 1, 'type': 'integer'}, 'page': {'description': 'Optional: Page number for paginated results (default: 1).', 'minimum': 1, 'type': 'integer'}, 'property': {'description': 'Property to search on.', 'minLength': 1, 'type': 'string'}, 'value': {'description': 'Search term for CONTAINS filter. Must be at least 1 character long.', 'minLength': 1, 'type': 'string'}, 'wildcard': {'description': "Optional: When true, '*' and '?' in search term are treated as wildcards.", 'type': 'boolean'}}, 'required': ['property', 'value'], 'type': 'object'}, description="""Search the database for nodes with specific property values. Supports case-insensitive, wildcard, and fuzzy matching with pagination options."""), # cyanheads/atlas-mcp-server/neo4j_search
    Tool(name="""atlas-mcp-server_project_create""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'description': {'description': 'Optional project description.', 'type': 'string'}, 'mode': {'description': "'single' for one project, 'bulk' for multiple projects.", 'enum': ['single', 'bulk'], 'type': 'string'}, 'name': {'description': 'Required for single mode: Project name (unique, non-empty).', 'minLength': 1, 'type': 'string'}, 'projects': {'description': 'Required for bulk mode: Array of 1-100 projects. Each project requires a unique name and can have optional description and status.', 'items': {'additionalProperties': False, 'properties': {'description': {'description': 'An optional description of the project that provides additional details or context.', 'type': 'string'}, 'name': {'description': 'The name of the project. Must be unique and at least 1 character long.', 'minLength': 1, 'type': 'string'}, 'status': {'default': 'active', 'description': "The initial status of the project. Defaults to 'active' if not specified. Valid values include: 'active', 'pending', 'completed', 'archived'.", 'enum': ['active', 'pending', 'completed', 'archived'], 'type': 'string'}}, 'required': ['name'], 'type': 'object'}, 'maxItems': 100, 'minItems': 1, 'type': 'array'}, 'status': {'description': "Project status: 'active' (default), 'pending', 'completed', or 'archived'.", 'enum': ['active', 'pending', 'completed', 'archived'], 'type': 'string'}}, 'required': ['mode'], 'type': 'object'}, description="""Create projects with unique names and optional descriptions. Supports both single project creation and bulk operations for multiple projects."""), # cyanheads/atlas-mcp-server/project_create
    Tool(name="""atlas-mcp-server_project_delete""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'mode': {'description': "'single' for one project, 'bulk' for multiple projects.", 'enum': ['single', 'bulk'], 'type': 'string'}, 'projectId': {'description': "Required for single mode: Project ID to delete (must start with 'proj_').", 'type': 'string'}, 'projectIds': {'description': 'Required for bulk mode: Array of 1-100 project IDs to delete.', 'items': {'type': 'string'}, 'maxItems': 100, 'minItems': 1, 'type': 'array'}}, 'required': ['mode'], 'type': 'object'}, description="""Delete projects and their associated data from the system. Supports both single project deletion and bulk operations for multiple projects."""), # cyanheads/atlas-mcp-server/project_delete
    Tool(name="""atlas-mcp-server_project_list""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'category': {'description': "Filter links by category (for 'links' mode)", 'type': 'string'}, 'includeDependencies': {'description': "Include dependencies in project details (for 'details' mode)", 'type': 'boolean'}, 'includeLinks': {'description': "Include links in project details (for 'details' mode)", 'type': 'boolean'}, 'includeMembers': {'description': "Include members in project details (for 'details' mode)", 'type': 'boolean'}, 'includeNotes': {'description': "Include notes in project details (for 'details' mode)", 'type': 'boolean'}, 'limit': {'description': 'Number of items per page (default: 10, max: 100)', 'exclusiveMinimum': 0, 'maximum': 100, 'type': 'integer'}, 'mode': {'description': "The type of project information to retrieve: 'all' for listing all projects, 'details' for a specific project, or specific content like 'notes', 'links', 'dependencies', or 'members'", 'enum': ['all', 'details', 'notes', 'links', 'dependencies', 'members'], 'type': 'string'}, 'page': {'description': 'Page number for pagination (default: 1)', 'exclusiveMinimum': 0, 'type': 'integer'}, 'projectId': {'description': "Project ID (required for all modes except 'all')", 'type': 'string'}, 'role': {'description': "Filter members by role (for 'members' mode)", 'type': 'string'}, 'tags': {'description': "Filter notes by tags (for 'notes' mode)", 'items': {'type': 'string'}, 'type': 'array'}}, 'required': ['mode'], 'type': 'object'}, description="""Unified tool for retrieving project information in various formats. Consolidates all project resource endpoints into a single tool."""), # cyanheads/atlas-mcp-server/project_list
    Tool(name="""atlas-mcp-server_project_dependency_add""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'dependencies': {'description': 'Required for bulk mode: Array of 1-100 dependencies.', 'items': {'additionalProperties': False, 'properties': {'description': {'description': 'Explanation of the dependency relationship.', 'minLength': 1, 'type': 'string'}, 'sourceProjectId': {'description': "Source project ID (dependent, must start with 'proj_').", 'type': 'string'}, 'targetProjectId': {'description': "Target project ID (dependency, must start with 'proj_').", 'type': 'string'}, 'type': {'description': "Dependency type:\n- requires: Source needs target to function\n- extends: Source builds on target\n- implements: Source implements target's interface\n- references: Source uses target", 'enum': ['requires', 'extends', 'implements', 'references'], 'type': 'string'}}, 'required': ['sourceProjectId', 'targetProjectId', 'type', 'description'], 'type': 'object'}, 'maxItems': 100, 'minItems': 1, 'type': 'array'}, 'description': {'description': 'Required for single mode: Explanation of the dependency relationship.', 'minLength': 1, 'type': 'string'}, 'mode': {'description': "'single' for one dependency, 'bulk' for multiple.", 'enum': ['single', 'bulk'], 'type': 'string'}, 'sourceProjectId': {'description': "Required for single mode: Source project ID (dependent, must start with 'proj_').", 'type': 'string'}, 'targetProjectId': {'description': "Required for single mode: Target project ID (dependency, must start with 'proj_').", 'type': 'string'}, 'type': {'description': 'Required for single mode: Dependency type', 'enum': ['requires', 'extends', 'implements', 'references'], 'type': 'string'}}, 'required': ['mode'], 'type': 'object'}, description="""Define relationships between projects with specific dependency types. Supports both single dependency creation and bulk operations with detailed descriptions."""), # cyanheads/atlas-mcp-server/project_dependency_add
    Tool(name="""atlas-mcp-server_project_dependency_remove""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'dependencyId': {'description': 'Required for single mode: Dependency ID to remove.', 'type': 'string'}, 'dependencyIds': {'description': 'Required for bulk mode: Array of 1-100 dependency IDs.', 'items': {'type': 'string'}, 'maxItems': 100, 'minItems': 1, 'type': 'array'}, 'mode': {'description': "'single' for one dependency, 'bulk' for multiple.", 'enum': ['single', 'bulk'], 'type': 'string'}}, 'required': ['mode'], 'type': 'object'}, description="""Remove dependency relationships between projects. Supports both single dependency removal and bulk operations for multiple dependencies."""), # cyanheads/atlas-mcp-server/project_dependency_remove
    Tool(name="""atlas-mcp-server_project_dependency_list""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'projectId': {'description': 'Project ID to list dependencies for (returns both dependencies and dependents).', 'type': 'string'}}, 'required': ['projectId'], 'type': 'object'}, description="""List all dependencies and dependents for a project, showing both projects it depends on and projects that depend on it."""), # cyanheads/atlas-mcp-server/project_dependency_list
    Tool(name="""atlas-mcp-server_project_link_add""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'category': {'description': 'Optional grouping category.', 'type': 'string'}, 'description': {'description': 'Optional context about the resource.', 'type': 'string'}, 'links': {'description': 'Required for bulk mode: Array of 1-100 links with title and URL.', 'items': {'additionalProperties': False, 'properties': {'category': {'description': "Optional grouping category (e.g., 'documentation', 'design').", 'type': 'string'}, 'description': {'description': 'Optional context about the resource.', 'type': 'string'}, 'title': {'description': 'Link title (concise, informative).', 'minLength': 1, 'type': 'string'}, 'url': {'$ref': '#/properties/url', 'description': 'Valid URL with HTTPS protocol (HTTP allowed for localhost).'}}, 'required': ['title', 'url'], 'type': 'object'}, 'maxItems': 100, 'minItems': 1, 'type': 'array'}, 'mode': {'description': "'single' for one link, 'bulk' for multiple links.", 'enum': ['single', 'bulk'], 'type': 'string'}, 'projectId': {'description': "Project ID to add links to (must start with 'proj_').", 'type': 'string'}, 'title': {'description': 'Required for single mode: Link title.', 'minLength': 1, 'type': 'string'}, 'url': {'description': 'Required for single mode: Valid URL with HTTPS protocol.', 'format': 'uri', 'type': 'string'}}, 'required': ['mode', 'projectId'], 'type': 'object'}, description="""Add links to external resources like documentation, designs, or repositories. Supports both single link creation and bulk operations with optional categorization."""), # cyanheads/atlas-mcp-server/project_link_add
    Tool(name="""atlas-mcp-server_project_link_update""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'linkId': {'description': 'Required for single mode: Link ID to update.', 'type': 'string'}, 'links': {'description': 'Required for bulk mode: Array of 1-100 link updates.', 'items': {'additionalProperties': False, 'properties': {'linkId': {'description': "Link ID (must start with 'link_').", 'type': 'string'}, 'updates': {'additionalProperties': False, 'description': 'Fields to update for this link.', 'properties': {'category': {'$ref': '#/properties/updates/properties/category', 'description': "Optional grouping category (e.g., 'documentation', 'design')."}, 'description': {'$ref': '#/properties/updates/properties/description', 'description': 'Optional context about the resource.'}, 'title': {'$ref': '#/properties/updates/properties/title', 'description': 'Link title (concise, informative).'}, 'url': {'$ref': '#/properties/updates/properties/url', 'description': 'Valid URL with HTTPS protocol (HTTP allowed for localhost).'}}, 'type': 'object'}}, 'required': ['linkId', 'updates'], 'type': 'object'}, 'maxItems': 100, 'minItems': 1, 'type': 'array'}, 'mode': {'description': "'single' for one link, 'bulk' for multiple links.", 'enum': ['single', 'bulk'], 'type': 'string'}, 'updates': {'additionalProperties': False, 'description': 'Required for single mode: Fields to update.', 'properties': {'category': {'description': "Optional grouping category (e.g., 'documentation', 'design').", 'type': 'string'}, 'description': {'description': 'Optional context about the resource.', 'type': 'string'}, 'title': {'description': 'Link title (concise, informative).', 'minLength': 1, 'type': 'string'}, 'url': {'description': 'Valid URL with HTTPS protocol (HTTP allowed for localhost).', 'format': 'uri', 'type': 'string'}}, 'type': 'object'}}, 'required': ['mode'], 'type': 'object'}, description="""Update existing project link properties including title, URL, description, and category. Supports both single and bulk update operations."""), # cyanheads/atlas-mcp-server/project_link_update
    Tool(name="""atlas-mcp-server_project_link_delete""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'linkId': {'description': 'Required for single mode: Link ID to delete.', 'type': 'string'}, 'linkIds': {'description': 'Required for bulk mode: Array of 1-100 link IDs to delete.', 'items': {'type': 'string'}, 'maxItems': 100, 'minItems': 1, 'type': 'array'}, 'mode': {'description': "'single' for one link, 'bulk' for multiple links.", 'enum': ['single', 'bulk'], 'type': 'string'}}, 'required': ['mode'], 'type': 'object'}, description="""Delete links from projects permanently. Supports both single link deletion and bulk operations for multiple links."""), # cyanheads/atlas-mcp-server/project_link_delete
    Tool(name="""atlas-mcp-server_project_member_add""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'members': {'description': 'Required for bulk mode: Array of 1-100 members with user ID and role.', 'items': {'additionalProperties': False, 'properties': {'role': {'description': 'Member role:\n- owner: Full project control\n- admin: Manage members and content\n- member: Contribute content\n- viewer: Read-only access', 'enum': ['owner', 'admin', 'member', 'viewer'], 'type': 'string'}, 'userId': {'description': 'User ID to add as member.', 'type': 'string'}}, 'required': ['userId', 'role'], 'type': 'object'}, 'maxItems': 100, 'minItems': 1, 'type': 'array'}, 'mode': {'description': "'single' for one member, 'bulk' for multiple members.", 'enum': ['single', 'bulk'], 'type': 'string'}, 'projectId': {'description': "Project ID to add members to (must start with 'proj_').", 'type': 'string'}, 'role': {'description': 'Required for single mode: Member role.', 'enum': ['owner', 'admin', 'member', 'viewer'], 'type': 'string'}, 'userId': {'description': 'Required for single mode: User ID to add.', 'type': 'string'}}, 'required': ['mode', 'projectId'], 'type': 'object'}, description="""Add users to projects with role-based access control. Supports both single member addition and bulk operations with different permission levels."""), # cyanheads/atlas-mcp-server/project_member_add
    Tool(name="""atlas-mcp-server_project_member_remove""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'memberId': {'description': 'Required for single mode: Member ID to remove.', 'type': 'string'}, 'memberIds': {'description': 'Required for bulk mode: Array of 1-100 member IDs to remove.', 'items': {'type': 'string'}, 'maxItems': 100, 'minItems': 1, 'type': 'array'}, 'mode': {'description': "'single' for one member, 'bulk' for multiple members.", 'enum': ['single', 'bulk'], 'type': 'string'}}, 'required': ['mode'], 'type': 'object'}, description="""Remove members from projects permanently. Supports both single member removal and bulk operations for multiple members."""), # cyanheads/atlas-mcp-server/project_member_remove
    Tool(name="""atlas-mcp-server_project_member_list""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'projectId': {'description': "Project ID to list members for (must start with 'proj_').", 'type': 'string'}}, 'required': ['projectId'], 'type': 'object'}, description="""List all members of a project with their roles and join dates, ordered by join time with owners listed first."""), # cyanheads/atlas-mcp-server/project_member_list
    Tool(name="""atlas-mcp-server_project_note_add""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'mode': {'description': "'single' for one note, 'bulk' for multiple notes.", 'enum': ['single', 'bulk'], 'type': 'string'}, 'notes': {'description': 'Required for bulk mode: Array of 1-100 notes, each with content and optional tags.', 'items': {'additionalProperties': False, 'properties': {'tags': {'description': 'Optional tags for categorization (simple strings without spaces).', 'items': {'type': 'string'}, 'type': 'array'}, 'text': {'description': 'Note content (non-empty text).', 'minLength': 1, 'type': 'string'}}, 'required': ['text'], 'type': 'object'}, 'maxItems': 100, 'minItems': 1, 'type': 'array'}, 'projectId': {'description': "Project ID to add notes to (must start with 'proj_').", 'type': 'string'}, 'tags': {'description': 'Optional tags for categorization.', 'items': {'type': 'string'}, 'type': 'array'}, 'text': {'description': 'Required for single mode: Note content.', 'minLength': 1, 'type': 'string'}}, 'required': ['mode', 'projectId'], 'type': 'object'}, description="""Add notes to projects for documentation and tracking. Supports both single note creation and bulk operations with optional categorization tags."""), # cyanheads/atlas-mcp-server/project_note_add
    Tool(name="""atlas-mcp-server_project_update""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'id': {'description': 'Required for single mode: Project ID to update.', 'type': 'string'}, 'mode': {'description': "'single' for one project, 'bulk' for multiple projects.", 'enum': ['single', 'bulk'], 'type': 'string'}, 'projects': {'description': 'Required for bulk mode: Array of 1-100 project updates.', 'items': {'additionalProperties': False, 'properties': {'id': {'description': "Project ID (must start with 'proj_').", 'type': 'string'}, 'updates': {'additionalProperties': False, 'description': 'Fields to update for this project.', 'properties': {'description': {'$ref': '#/properties/updates/properties/description', 'description': 'Project description for additional context.'}, 'name': {'$ref': '#/properties/updates/properties/name', 'description': 'Project name (must be unique and non-empty).'}, 'status': {'$ref': '#/properties/updates/properties/status', 'description': "Project status ('active', 'pending', 'completed', 'archived')."}}, 'type': 'object'}}, 'required': ['id', 'updates'], 'type': 'object'}, 'maxItems': 100, 'minItems': 1, 'type': 'array'}, 'updates': {'additionalProperties': False, 'description': 'Required for single mode: Fields to update.', 'properties': {'description': {'description': 'Project description for additional context.', 'type': 'string'}, 'name': {'description': 'Project name (must be unique and non-empty).', 'minLength': 1, 'type': 'string'}, 'status': {'description': "Project status ('active', 'pending', 'completed', 'archived').", 'enum': ['active', 'pending', 'completed', 'archived'], 'type': 'string'}}, 'type': 'object'}}, 'required': ['mode'], 'type': 'object'}, description="""Update existing project properties including name, description, and status. Supports both single project updates and bulk operations."""), # cyanheads/atlas-mcp-server/project_update
    Tool(name="""atlas-mcp-server_whiteboard_create""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'data': {'description': 'Initial JSON data (timestamps managed by server).'}, 'id': {'description': 'Unique whiteboard identifier (non-empty).', 'minLength': 1, 'type': 'string'}, 'projectId': {'description': "Optional project ID to link to (must start with 'proj_').", 'type': 'string'}}, 'required': ['id'], 'type': 'object'}, description="""Create a new whiteboard workspace with optional initial data and schema validation. Can be linked to projects for organization."""), # cyanheads/atlas-mcp-server/whiteboard_create
    Tool(name="""atlas-mcp-server_whiteboard_update""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'data': {'description': 'JSON data to store (for partial updates, provide only changed fields).'}, 'id': {'description': 'Whiteboard ID to update.', 'minLength': 1, 'type': 'string'}, 'merge': {'default': True, 'description': 'true: merge with existing data, false: replace all data.', 'type': 'boolean'}}, 'required': ['id'], 'type': 'object'}, description="""Update whiteboard data by merging or replacing content. Supports partial updates to specific fields or complete data replacement."""), # cyanheads/atlas-mcp-server/whiteboard_update
    Tool(name="""atlas-mcp-server_whiteboard_get""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'id': {'description': 'Whiteboard ID to retrieve.', 'minLength': 1, 'type': 'string'}, 'version': {'description': 'Optional version number (defaults to latest). Must be a positive integer.', 'exclusiveMinimum': 0, 'type': 'integer'}}, 'required': ['id'], 'type': 'object'}, description="""Retrieve whiteboard data with version control. Access either the latest version or a specific historical version by number."""), # cyanheads/atlas-mcp-server/whiteboard_get
    Tool(name="""atlas-mcp-server_whiteboard_delete""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'id': {'description': 'Whiteboard ID to delete.', 'minLength': 1, 'type': 'string'}}, 'required': ['id'], 'type': 'object'}, description="""Delete a whiteboard and its entire version history permanently. This operation cannot be undone."""), # cyanheads/atlas-mcp-server/whiteboard_delete
    Tool(name="""mcp-jina-ai_read_webpage""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'format': {'enum': ['Default', 'Markdown', 'HTML', 'Text', 'Screenshot', 'Pageshot'], 'type': 'string'}, 'no_cache': {'type': 'boolean'}, 'url': {'type': 'string'}, 'with_generated_alt': {'type': 'boolean'}, 'with_images': {'type': 'boolean'}, 'with_links': {'type': 'boolean'}}, 'required': ['url'], 'type': 'object'}, description="""Extract content from a webpage in a format optimized for LLMs"""), # JoeBuildsStuff/mcp-jina-ai/read_webpage
    Tool(name="""mcp-jina-ai_search_web""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'count': {'default': 5, 'type': 'number'}, 'query': {'type': 'string'}, 'retain_images': {'default': 'none', 'enum': ['none', 'all'], 'type': 'string'}, 'return_format': {'default': 'markdown', 'enum': ['markdown', 'text', 'html'], 'type': 'string'}, 'with_generated_alt': {'default': True, 'type': 'boolean'}}, 'required': ['query'], 'type': 'object'}, description="""Search the web using Jina AI's search API"""), # JoeBuildsStuff/mcp-jina-ai/search_web
    Tool(name="""mcp-jina-ai_fact_check""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'deepdive': {'default': False, 'type': 'boolean'}, 'statement': {'type': 'string'}}, 'required': ['statement'], 'type': 'object'}, description="""Fact-check a statement using Jina AI's grounding engine"""), # JoeBuildsStuff/mcp-jina-ai/fact_check
    Tool(name="""app-store-connect-mcp-server_list_apps""", inputSchema={'properties': {'limit': {'description': 'Maximum number of apps to return (default: 100)', 'maximum': 200, 'minimum': 1, 'type': 'number'}}, 'type': 'object'}, description="""Get a list of all apps in App Store Connect"""), # JoshuaRileyDev/app-store-connect-mcp-server/list_apps
    Tool(name="""app-store-connect-mcp-server_list_beta_groups""", inputSchema={'properties': {'limit': {'description': 'Maximum number of groups to return (default: 100)', 'maximum': 200, 'minimum': 1, 'type': 'number'}}, 'type': 'object'}, description="""Get a list of all beta groups (internal and external)"""), # JoshuaRileyDev/app-store-connect-mcp-server/list_beta_groups
    Tool(name="""app-store-connect-mcp-server_list_group_testers""", inputSchema={'properties': {'groupId': {'description': 'The ID of the beta group', 'type': 'string'}, 'limit': {'description': 'Maximum number of testers to return (default: 100)', 'maximum': 200, 'minimum': 1, 'type': 'number'}}, 'required': ['groupId'], 'type': 'object'}, description="""Get a list of all testers in a specific beta group"""), # JoshuaRileyDev/app-store-connect-mcp-server/list_group_testers
    Tool(name="""app-store-connect-mcp-server_add_tester_to_group""", inputSchema={'properties': {'email': {'description': 'Email address of the tester', 'type': 'string'}, 'firstName': {'description': 'First name of the tester', 'type': 'string'}, 'groupId': {'description': 'The ID of the beta group', 'type': 'string'}, 'lastName': {'description': 'Last name of the tester', 'type': 'string'}}, 'required': ['groupId', 'email', 'firstName', 'lastName'], 'type': 'object'}, description="""Add a new tester to a beta group"""), # JoshuaRileyDev/app-store-connect-mcp-server/add_tester_to_group
    Tool(name="""app-store-connect-mcp-server_remove_tester_from_group""", inputSchema={'properties': {'groupId': {'description': 'The ID of the beta group', 'type': 'string'}, 'testerId': {'description': 'The ID of the beta tester', 'type': 'string'}}, 'required': ['groupId', 'testerId'], 'type': 'object'}, description="""Remove a tester from a beta group"""), # JoshuaRileyDev/app-store-connect-mcp-server/remove_tester_from_group
    Tool(name="""app-store-connect-mcp-server_get_app_info""", inputSchema={'properties': {'appId': {'description': 'The ID of the app to get information for', 'type': 'string'}, 'include': {'description': 'Optional relationships to include in the response', 'items': {'enum': ['appClips', 'appInfos', 'appStoreVersions', 'availableTerritories', 'betaAppReviewDetail', 'betaGroups', 'betaLicenseAgreement', 'builds', 'endUserLicenseAgreement', 'gameCenterEnabledVersions', 'inAppPurchases', 'preOrder', 'prices', 'reviewSubmissions'], 'type': 'string'}, 'type': 'array'}}, 'required': ['appId'], 'type': 'object'}, description="""Get detailed information about a specific app"""), # JoshuaRileyDev/app-store-connect-mcp-server/get_app_info
    Tool(name="""app-store-connect-mcp-server_disable_bundle_capability""", inputSchema={'properties': {'capabilityId': {'description': 'The ID of the capability to disable', 'type': 'string'}}, 'required': ['capabilityId'], 'type': 'object'}, description="""Disable a capability for a bundle ID"""), # JoshuaRileyDev/app-store-connect-mcp-server/disable_bundle_capability
    Tool(name="""app-store-connect-mcp-server_enable_bundle_capability""", inputSchema={'properties': {'bundleIdId': {'description': 'The ID of the bundle ID', 'type': 'string'}, 'capabilityType': {'description': 'The type of capability to enable', 'enum': ['ICLOUD', 'IN_APP_PURCHASE', 'GAME_CENTER', 'PUSH_NOTIFICATIONS', 'WALLET', 'INTER_APP_AUDIO', 'MAPS', 'ASSOCIATED_DOMAINS', 'PERSONAL_VPN', 'APP_GROUPS', 'HEALTHKIT', 'HOMEKIT', 'WIRELESS_ACCESSORY_CONFIGURATION', 'APPLE_PAY', 'DATA_PROTECTION', 'SIRIKIT', 'NETWORK_EXTENSIONS', 'MULTIPATH', 'HOT_SPOT', 'NFC_TAG_READING', 'CLASSKIT', 'AUTOFILL_CREDENTIAL_PROVIDER', 'ACCESS_WIFI_INFORMATION', 'NETWORK_CUSTOM_PROTOCOL', 'COREMEDIA_HLS_LOW_LATENCY', 'SYSTEM_EXTENSION_INSTALL', 'USER_MANAGEMENT', 'APPLE_ID_AUTH'], 'type': 'string'}, 'settings': {'description': 'Optional capability settings', 'items': {'properties': {'key': {'description': 'The setting key', 'type': 'string'}, 'options': {'items': {'properties': {'enabled': {'type': 'boolean'}, 'key': {'type': 'string'}}, 'type': 'object'}, 'type': 'array'}}, 'type': 'object'}, 'type': 'array'}}, 'required': ['bundleIdId', 'capabilityType'], 'type': 'object'}, description="""Enable a capability for a bundle ID"""), # JoshuaRileyDev/app-store-connect-mcp-server/enable_bundle_capability
    Tool(name="""app-store-connect-mcp-server_create_bundle_id""", inputSchema={'properties': {'identifier': {'description': "The bundle ID string (e.g., 'com.example.app')", 'type': 'string'}, 'name': {'description': 'A name for the bundle ID', 'type': 'string'}, 'platform': {'description': 'The platform for this bundle ID', 'enum': ['IOS', 'MAC_OS', 'UNIVERSAL'], 'type': 'string'}, 'seedId': {'description': "Your team's seed ID (optional)", 'required': False, 'type': 'string'}}, 'required': ['identifier', 'name', 'platform'], 'type': 'object'}, description="""Register a new bundle ID for app development"""), # JoshuaRileyDev/app-store-connect-mcp-server/create_bundle_id
    Tool(name="""app-store-connect-mcp-server_list_bundle_ids""", inputSchema={'properties': {'filter': {'properties': {'identifier': {'description': 'Filter by bundle identifier', 'type': 'string'}, 'name': {'description': 'Filter by name', 'type': 'string'}, 'platform': {'description': 'Filter by platform', 'enum': ['IOS', 'MAC_OS', 'UNIVERSAL'], 'type': 'string'}, 'seedId': {'description': 'Filter by seed ID', 'type': 'string'}}, 'type': 'object'}, 'include': {'description': 'Related resources to include in the response', 'items': {'enum': ['profiles', 'bundleIdCapabilities', 'app'], 'type': 'string'}, 'type': 'array'}, 'limit': {'description': 'Maximum number of bundle IDs to return (default: 100, max: 200)', 'maximum': 200, 'minimum': 1, 'type': 'number'}, 'sort': {'description': 'Sort order for the results', 'enum': ['name', '-name', 'platform', '-platform', 'identifier', '-identifier', 'seedId', '-seedId', 'id', '-id'], 'type': 'string'}}, 'type': 'object'}, description="""Find and list bundle IDs that are registered to your team"""), # JoshuaRileyDev/app-store-connect-mcp-server/list_bundle_ids
    Tool(name="""app-store-connect-mcp-server_get_bundle_id_info""", inputSchema={'properties': {'bundleIdId': {'description': 'The ID of the bundle ID to get information for', 'type': 'string'}, 'fields': {'description': 'Specific fields to include in the response', 'properties': {'bundleIds': {'description': 'Fields to include for the bundle ID', 'items': {'enum': ['name', 'platform', 'identifier', 'seedId'], 'type': 'string'}, 'type': 'array'}}, 'type': 'object'}, 'include': {'description': 'Optional relationships to include in the response', 'items': {'description': 'Related resources to include in the response', 'enum': ['profiles', 'bundleIdCapabilities', 'app'], 'type': 'string'}, 'type': 'array'}}, 'required': ['bundleIdId'], 'type': 'object'}, description="""Get detailed information about a specific bundle ID"""), # JoshuaRileyDev/app-store-connect-mcp-server/get_bundle_id_info
    Tool(name="""app-store-connect-mcp-server_list_devices""", inputSchema={'properties': {'fields': {'properties': {'devices': {'description': 'Fields to include for each device', 'items': {'enum': ['name', 'platform', 'udid', 'deviceClass', 'status', 'model', 'addedDate'], 'type': 'string'}, 'type': 'array'}}, 'type': 'object'}, 'filter': {'properties': {'deviceClass': {'description': 'Filter by device class', 'enum': ['APPLE_WATCH', 'IPAD', 'IPHONE', 'IPOD', 'APPLE_TV', 'MAC'], 'type': 'string'}, 'name': {'description': 'Filter by device name', 'type': 'string'}, 'platform': {'description': 'Filter by platform', 'enum': ['IOS', 'MAC_OS'], 'type': 'string'}, 'status': {'description': 'Filter by status', 'enum': ['ENABLED', 'DISABLED'], 'type': 'string'}, 'udid': {'description': 'Filter by device UDID', 'type': 'string'}}, 'type': 'object'}, 'limit': {'description': 'Maximum number of devices to return (default: 100, max: 200)', 'maximum': 200, 'minimum': 1, 'type': 'number'}, 'sort': {'description': 'Sort order for the results', 'enum': ['name', '-name', 'platform', '-platform', 'status', '-status', 'udid', '-udid', 'deviceClass', '-deviceClass', 'model', '-model', 'addedDate', '-addedDate'], 'type': 'string'}}, 'type': 'object'}, description="""Get a list of all devices registered to your team"""), # JoshuaRileyDev/app-store-connect-mcp-server/list_devices
    Tool(name="""app-store-connect-mcp-server_list_users""", inputSchema={'properties': {'filter': {'properties': {'roles': {'description': 'Filter by user roles', 'items': {'enum': ['ADMIN', 'FINANCE', 'TECHNICAL', 'SALES', 'MARKETING', 'DEVELOPER', 'ACCOUNT_HOLDER', 'READ_ONLY', 'APP_MANAGER', 'ACCESS_TO_REPORTS', 'CUSTOMER_SUPPORT'], 'type': 'string'}, 'type': 'array'}, 'username': {'description': 'Filter by username', 'type': 'string'}, 'visibleApps': {'description': 'Filter by apps the user can see (app IDs)', 'items': {'type': 'string'}, 'type': 'array'}}, 'type': 'object'}, 'include': {'items': {'description': 'Related resources to include in the response', 'enum': ['visibleApps'], 'type': 'string'}, 'type': 'array'}, 'limit': {'description': 'Maximum number of users to return (default: 100, max: 200)', 'maximum': 200, 'minimum': 1, 'type': 'number'}, 'sort': {'description': 'Sort order for the results', 'enum': ['username', '-username', 'firstName', '-firstName', 'lastName', '-lastName', 'roles', '-roles'], 'type': 'string'}}, 'type': 'object'}, description="""Get a list of all users registered on your App Store Connect team"""), # JoshuaRileyDev/app-store-connect-mcp-server/list_users
    Tool(name="""mcp-twikit_get_latest_timeline""", inputSchema={'properties': {'count': {'default': 20, 'title': 'Count', 'type': 'integer'}}, 'title': 'get_latest_timelineArguments', 'type': 'object'}, description="""Get tweets from your home timeline (Following).\n    \n    Args:\n        count: Number of tweets to retrieve (default 20)\n    """), # adhikasp/mcp-twikit/get_latest_timeline
    Tool(name="""mcp-twikit_search_twitter""", inputSchema={'properties': {'count': {'default': 10, 'title': 'Count', 'type': 'integer'}, 'query': {'title': 'Query', 'type': 'string'}, 'sort_by': {'default': 'Top', 'title': 'Sort By', 'type': 'string'}}, 'required': ['query'], 'title': 'search_twitterArguments', 'type': 'object'}, description="""Search twitter with a query. Sort by 'Top' or 'Latest'"""), # adhikasp/mcp-twikit/search_twitter
    Tool(name="""mcp-twikit_get_user_tweets""", inputSchema={'properties': {'count': {'default': 10, 'title': 'Count', 'type': 'integer'}, 'tweet_type': {'default': 'Tweets', 'title': 'Tweet Type', 'type': 'string'}, 'username': {'title': 'Username', 'type': 'string'}}, 'required': ['username'], 'title': 'get_user_tweetsArguments', 'type': 'object'}, description="""Get tweets from a specific user's timeline.\n    \n    Args:\n        username: Twitter username (with or without @)\n        tweet_type: Type of tweets to retrieve - 'Tweets', 'Replies', 'Media', or 'Likes'\n        count: Number of tweets to retrieve (default 10)\n    """), # adhikasp/mcp-twikit/get_user_tweets
    Tool(name="""mcp-twikit_get_timeline""", inputSchema={'properties': {'count': {'default': 20, 'title': 'Count', 'type': 'integer'}}, 'title': 'get_timelineArguments', 'type': 'object'}, description="""Get tweets from your home timeline (For You).\n    \n    Args:\n        count: Number of tweets to retrieve (default 20)\n    """), # adhikasp/mcp-twikit/get_timeline
    Tool(name="""contentful-mcp_search_entries""", inputSchema={'properties': {'environmentId': {'default': 'master', 'description': 'The ID of the environment within the space, by default this will be called Master', 'type': 'string'}, 'query': {'description': 'Query parameters for searching entries', 'properties': {'content_type': {'type': 'string'}, 'limit': {'default': 3, 'description': 'Maximum number of items to return (max: 3)', 'maximum': 3, 'type': 'number'}, 'order': {'type': 'string'}, 'query': {'type': 'string'}, 'select': {'type': 'string'}, 'skip': {'default': 0, 'description': 'Number of items to skip for pagination', 'type': 'number'}}, 'required': ['limit', 'skip'], 'type': 'object'}, 'spaceId': {'description': "The ID of the Contentful space. This must be the space's ID, not its name, ask for this ID if it's unclear.", 'type': 'string'}}, 'required': ['query', 'spaceId', 'environmentId'], 'type': 'object'}, description="""Search for entries using query parameters. Returns a maximum of 3 items per request. Use skip parameter to paginate through results."""), # ivo-toby/contentful-mcp/search_entries
    Tool(name="""contentful-mcp_create_entry""", inputSchema={'properties': {'contentTypeId': {'description': 'The ID of the content type for the new entry', 'type': 'string'}, 'environmentId': {'default': 'master', 'description': 'The ID of the environment within the space, by default this will be called Master', 'type': 'string'}, 'fields': {'description': 'The fields of the entry', 'type': 'object'}, 'spaceId': {'description': "The ID of the Contentful space. This must be the space's ID, not its name, ask for this ID if it's unclear.", 'type': 'string'}}, 'required': ['contentTypeId', 'fields', 'spaceId', 'environmentId'], 'type': 'object'}, description="""Create a new entry in Contentful, before executing this function, you need to know the contentTypeId (not the content type NAME) and the fields of that contentType, you can get the fields definition by using the GET_CONTENT_TYPE tool. """), # ivo-toby/contentful-mcp/create_entry
    Tool(name="""contentful-mcp_get_entry""", inputSchema={'properties': {'entryId': {'type': 'string'}, 'environmentId': {'default': 'master', 'description': 'The ID of the environment within the space, by default this will be called Master', 'type': 'string'}, 'spaceId': {'description': "The ID of the Contentful space. This must be the space's ID, not its name, ask for this ID if it's unclear.", 'type': 'string'}}, 'required': ['entryId', 'spaceId', 'environmentId'], 'type': 'object'}, description="""Retrieve an existing entry"""), # ivo-toby/contentful-mcp/get_entry
    Tool(name="""contentful-mcp_update_entry""", inputSchema={'properties': {'entryId': {'type': 'string'}, 'environmentId': {'default': 'master', 'description': 'The ID of the environment within the space, by default this will be called Master', 'type': 'string'}, 'fields': {'type': 'object'}, 'spaceId': {'description': "The ID of the Contentful space. This must be the space's ID, not its name, ask for this ID if it's unclear.", 'type': 'string'}}, 'required': ['entryId', 'fields', 'spaceId', 'environmentId'], 'type': 'object'}, description="""Update an existing entry, always send all field values, also the fields values that have not been updated"""), # ivo-toby/contentful-mcp/update_entry
    Tool(name="""contentful-mcp_delete_entry""", inputSchema={'properties': {'entryId': {'type': 'string'}, 'environmentId': {'default': 'master', 'description': 'The ID of the environment within the space, by default this will be called Master', 'type': 'string'}, 'spaceId': {'description': "The ID of the Contentful space. This must be the space's ID, not its name, ask for this ID if it's unclear.", 'type': 'string'}}, 'required': ['entryId', 'spaceId', 'environmentId'], 'type': 'object'}, description="""Delete an entry"""), # ivo-toby/contentful-mcp/delete_entry
    Tool(name="""contentful-mcp_publish_entry""", inputSchema={'properties': {'entryId': {'type': 'string'}, 'environmentId': {'default': 'master', 'description': 'The ID of the environment within the space, by default this will be called Master', 'type': 'string'}, 'spaceId': {'description': "The ID of the Contentful space. This must be the space's ID, not its name, ask for this ID if it's unclear.", 'type': 'string'}}, 'required': ['entryId', 'spaceId', 'environmentId'], 'type': 'object'}, description="""Publish an entry"""), # ivo-toby/contentful-mcp/publish_entry
    Tool(name="""contentful-mcp_unpublish_entry""", inputSchema={'properties': {'entryId': {'type': 'string'}, 'environmentId': {'default': 'master', 'description': 'The ID of the environment within the space, by default this will be called Master', 'type': 'string'}, 'spaceId': {'description': "The ID of the Contentful space. This must be the space's ID, not its name, ask for this ID if it's unclear.", 'type': 'string'}}, 'required': ['entryId', 'spaceId', 'environmentId'], 'type': 'object'}, description="""Unpublish an entry"""), # ivo-toby/contentful-mcp/unpublish_entry
    Tool(name="""contentful-mcp_list_assets""", inputSchema={'properties': {'environmentId': {'default': 'master', 'description': 'The ID of the environment within the space, by default this will be called Master', 'type': 'string'}, 'limit': {'default': 3, 'description': 'Maximum number of items to return (max: 3)', 'maximum': 3, 'type': 'number'}, 'skip': {'default': 0, 'description': 'Number of items to skip for pagination', 'type': 'number'}, 'spaceId': {'description': "The ID of the Contentful space. This must be the space's ID, not its name, ask for this ID if it's unclear.", 'type': 'string'}}, 'required': ['limit', 'skip', 'spaceId', 'environmentId'], 'type': 'object'}, description="""List assets in a space. Returns a maximum of 3 items per request. Use skip parameter to paginate through results."""), # ivo-toby/contentful-mcp/list_assets
    Tool(name="""contentful-mcp_upload_asset""", inputSchema={'properties': {'description': {'type': 'string'}, 'environmentId': {'default': 'master', 'description': 'The ID of the environment within the space, by default this will be called Master', 'type': 'string'}, 'file': {'properties': {'contentType': {'type': 'string'}, 'fileName': {'type': 'string'}, 'upload': {'type': 'string'}}, 'required': ['upload', 'fileName', 'contentType'], 'type': 'object'}, 'spaceId': {'description': "The ID of the Contentful space. This must be the space's ID, not its name, ask for this ID if it's unclear.", 'type': 'string'}, 'title': {'type': 'string'}}, 'required': ['title', 'file', 'spaceId', 'environmentId'], 'type': 'object'}, description="""Upload a new asset"""), # ivo-toby/contentful-mcp/upload_asset
    Tool(name="""contentful-mcp_get_asset""", inputSchema={'properties': {'assetId': {'type': 'string'}, 'environmentId': {'default': 'master', 'description': 'The ID of the environment within the space, by default this will be called Master', 'type': 'string'}, 'spaceId': {'description': "The ID of the Contentful space. This must be the space's ID, not its name, ask for this ID if it's unclear.", 'type': 'string'}}, 'required': ['assetId', 'spaceId', 'environmentId'], 'type': 'object'}, description="""Retrieve an asset"""), # ivo-toby/contentful-mcp/get_asset
    Tool(name="""contentful-mcp_update_asset""", inputSchema={'properties': {'assetId': {'type': 'string'}, 'description': {'type': 'string'}, 'environmentId': {'default': 'master', 'description': 'The ID of the environment within the space, by default this will be called Master', 'type': 'string'}, 'file': {'properties': {'contentType': {'type': 'string'}, 'fileName': {'type': 'string'}, 'url': {'type': 'string'}}, 'required': ['url', 'fileName', 'contentType'], 'type': 'object'}, 'spaceId': {'description': "The ID of the Contentful space. This must be the space's ID, not its name, ask for this ID if it's unclear.", 'type': 'string'}, 'title': {'type': 'string'}}, 'required': ['assetId', 'spaceId', 'environmentId'], 'type': 'object'}, description="""Update an asset"""), # ivo-toby/contentful-mcp/update_asset
    Tool(name="""contentful-mcp_delete_asset""", inputSchema={'properties': {'assetId': {'type': 'string'}, 'environmentId': {'default': 'master', 'description': 'The ID of the environment within the space, by default this will be called Master', 'type': 'string'}, 'spaceId': {'description': "The ID of the Contentful space. This must be the space's ID, not its name, ask for this ID if it's unclear.", 'type': 'string'}}, 'required': ['assetId', 'spaceId', 'environmentId'], 'type': 'object'}, description="""Delete an asset"""), # ivo-toby/contentful-mcp/delete_asset
    Tool(name="""contentful-mcp_publish_asset""", inputSchema={'properties': {'assetId': {'type': 'string'}, 'environmentId': {'default': 'master', 'description': 'The ID of the environment within the space, by default this will be called Master', 'type': 'string'}, 'spaceId': {'description': "The ID of the Contentful space. This must be the space's ID, not its name, ask for this ID if it's unclear.", 'type': 'string'}}, 'required': ['assetId', 'spaceId', 'environmentId'], 'type': 'object'}, description="""Publish an asset"""), # ivo-toby/contentful-mcp/publish_asset
    Tool(name="""contentful-mcp_unpublish_asset""", inputSchema={'properties': {'assetId': {'type': 'string'}, 'environmentId': {'default': 'master', 'description': 'The ID of the environment within the space, by default this will be called Master', 'type': 'string'}, 'spaceId': {'description': "The ID of the Contentful space. This must be the space's ID, not its name, ask for this ID if it's unclear.", 'type': 'string'}}, 'required': ['assetId', 'spaceId', 'environmentId'], 'type': 'object'}, description="""Unpublish an asset"""), # ivo-toby/contentful-mcp/unpublish_asset
    Tool(name="""contentful-mcp_list_content_types""", inputSchema={'properties': {'environmentId': {'default': 'master', 'description': 'The ID of the environment within the space, by default this will be called Master', 'type': 'string'}, 'limit': {'default': 10, 'description': 'Maximum number of items to return (max: 3)', 'maximum': 20, 'type': 'number'}, 'skip': {'default': 0, 'description': 'Number of items to skip for pagination', 'type': 'number'}, 'spaceId': {'description': "The ID of the Contentful space. This must be the space's ID, not its name, ask for this ID if it's unclear.", 'type': 'string'}}, 'required': ['limit', 'skip', 'spaceId', 'environmentId'], 'type': 'object'}, description="""List content types in a space. Returns a maximum of 10 items per request. Use skip parameter to paginate through results."""), # ivo-toby/contentful-mcp/list_content_types
    Tool(name="""contentful-mcp_get_content_type""", inputSchema={'properties': {'contentTypeId': {'type': 'string'}, 'environmentId': {'default': 'master', 'description': 'The ID of the environment within the space, by default this will be called Master', 'type': 'string'}, 'spaceId': {'description': "The ID of the Contentful space. This must be the space's ID, not its name, ask for this ID if it's unclear.", 'type': 'string'}}, 'required': ['contentTypeId', 'spaceId', 'environmentId'], 'type': 'object'}, description="""Get details of a specific content type"""), # ivo-toby/contentful-mcp/get_content_type
    Tool(name="""contentful-mcp_create_content_type""", inputSchema={'properties': {'description': {'type': 'string'}, 'displayField': {'type': 'string'}, 'environmentId': {'default': 'master', 'description': 'The ID of the environment within the space, by default this will be called Master', 'type': 'string'}, 'fields': {'description': 'Array of field definitions for the content type', 'items': {'properties': {'id': {'description': 'The ID of the field', 'type': 'string'}, 'items': {'description': 'Required for Array fields. Specifies the type of items in the array', 'properties': {'linkType': {'enum': ['Entry', 'Asset'], 'type': 'string'}, 'type': {'enum': ['Symbol', 'Link'], 'type': 'string'}, 'validations': {'items': {'type': 'object'}, 'type': 'array'}}, 'type': 'object'}, 'linkType': {'description': 'Required for Link fields. Specifies what type of resource this field links to', 'enum': ['Entry', 'Asset'], 'type': 'string'}, 'localized': {'default': False, 'description': 'Whether this field can be localized', 'type': 'boolean'}, 'name': {'description': 'Display name of the field', 'type': 'string'}, 'required': {'default': False, 'description': 'Whether this field is required', 'type': 'boolean'}, 'type': {'description': 'Type of the field (Text, Number, Date, Location, Media, Boolean, JSON, Link, Array, etc)', 'enum': ['Symbol', 'Text', 'Integer', 'Number', 'Date', 'Location', 'Object', 'Boolean', 'Link', 'Array'], 'type': 'string'}, 'validations': {'description': 'Array of validation rules for the field', 'items': {'type': 'object'}, 'type': 'array'}}, 'required': ['id', 'name', 'type'], 'type': 'object'}, 'type': 'array'}, 'name': {'type': 'string'}, 'spaceId': {'description': "The ID of the Contentful space. This must be the space's ID, not its name, ask for this ID if it's unclear.", 'type': 'string'}}, 'required': ['name', 'fields', 'spaceId', 'environmentId'], 'type': 'object'}, description="""Create a new content type"""), # ivo-toby/contentful-mcp/create_content_type
    Tool(name="""contentful-mcp_update_content_type""", inputSchema={'properties': {'contentTypeId': {'type': 'string'}, 'description': {'type': 'string'}, 'displayField': {'type': 'string'}, 'environmentId': {'default': 'master', 'description': 'The ID of the environment within the space, by default this will be called Master', 'type': 'string'}, 'fields': {'items': {'type': 'object'}, 'type': 'array'}, 'name': {'type': 'string'}, 'spaceId': {'description': "The ID of the Contentful space. This must be the space's ID, not its name, ask for this ID if it's unclear.", 'type': 'string'}}, 'required': ['contentTypeId', 'name', 'fields', 'spaceId', 'environmentId'], 'type': 'object'}, description="""Update an existing content type"""), # ivo-toby/contentful-mcp/update_content_type
    Tool(name="""contentful-mcp_delete_content_type""", inputSchema={'properties': {'contentTypeId': {'type': 'string'}, 'environmentId': {'default': 'master', 'description': 'The ID of the environment within the space, by default this will be called Master', 'type': 'string'}, 'spaceId': {'description': "The ID of the Contentful space. This must be the space's ID, not its name, ask for this ID if it's unclear.", 'type': 'string'}}, 'required': ['contentTypeId', 'spaceId', 'environmentId'], 'type': 'object'}, description="""Delete a content type"""), # ivo-toby/contentful-mcp/delete_content_type
    Tool(name="""contentful-mcp_publish_content_type""", inputSchema={'properties': {'contentTypeId': {'type': 'string'}, 'environmentId': {'default': 'master', 'description': 'The ID of the environment within the space, by default this will be called Master', 'type': 'string'}, 'spaceId': {'description': "The ID of the Contentful space. This must be the space's ID, not its name, ask for this ID if it's unclear.", 'type': 'string'}}, 'required': ['contentTypeId', 'spaceId', 'environmentId'], 'type': 'object'}, description="""Publish a content type"""), # ivo-toby/contentful-mcp/publish_content_type
    Tool(name="""contentful-mcp_list_spaces""", inputSchema={'properties': {}, 'type': 'object'}, description="""List all available spaces"""), # ivo-toby/contentful-mcp/list_spaces
    Tool(name="""contentful-mcp_get_space""", inputSchema={'properties': {'spaceId': {'type': 'string'}}, 'required': ['spaceId'], 'type': 'object'}, description="""Get details of a space"""), # ivo-toby/contentful-mcp/get_space
    Tool(name="""contentful-mcp_list_environments""", inputSchema={'properties': {'spaceId': {'type': 'string'}}, 'required': ['spaceId'], 'type': 'object'}, description="""List all environments in a space"""), # ivo-toby/contentful-mcp/list_environments
    Tool(name="""contentful-mcp_create_environment""", inputSchema={'properties': {'environmentId': {'type': 'string'}, 'name': {'type': 'string'}, 'spaceId': {'type': 'string'}}, 'required': ['spaceId', 'environmentId', 'name'], 'type': 'object'}, description="""Create a new environment"""), # ivo-toby/contentful-mcp/create_environment
    Tool(name="""contentful-mcp_delete_environment""", inputSchema={'properties': {'environmentId': {'type': 'string'}, 'spaceId': {'type': 'string'}}, 'required': ['spaceId', 'environmentId'], 'type': 'object'}, description="""Delete an environment"""), # ivo-toby/contentful-mcp/delete_environment
    Tool(name="""Clojars-MCP-Server_get_clojars_latest_version""", inputSchema={'properties': {'dependency': {'description': 'Clojars dependency name in format "group/artifact" (e.g. "metosin/reitit")', 'type': 'string'}}, 'required': ['dependency'], 'type': 'object'}, description="""Get the latest version of a Clojars dependency (Maven artifact)"""), # Bigsy/Clojars-MCP-Server/get_clojars_latest_version
    Tool(name="""Clojars-MCP-Server_check_clojars_version_exists""", inputSchema={'properties': {'dependency': {'description': 'Clojars dependency name in format "group/artifact" (e.g. "metosin/reitit")', 'type': 'string'}, 'version': {'description': 'Version to check (e.g. "0.7.2")', 'type': 'string'}}, 'required': ['dependency', 'version'], 'type': 'object'}, description="""Check if a specific version of a Clojars dependency exists"""), # Bigsy/Clojars-MCP-Server/check_clojars_version_exists
    Tool(name="""cognee-mcp_cognify""", inputSchema={'properties': {'graph_model_file': {'description': 'The path to the graph model file', 'type': 'string'}, 'graph_model_name': {'description': 'The name of the graph model', 'type': 'string'}, 'text': {'description': 'The text to cognify', 'type': 'string'}}, 'required': ['text'], 'type': 'object'}, description="""Cognifies text into knowledge graph"""), # topoteretes/cognee-mcp/cognify
    Tool(name="""cognee-mcp_codify""", inputSchema={'properties': {'repo_path': {'type': 'string'}}, 'required': ['repo_path'], 'type': 'object'}, description="""Transforms codebase into knowledge graph"""), # topoteretes/cognee-mcp/codify
    Tool(name="""cognee-mcp_search""", inputSchema={'properties': {'search_query': {'description': 'The query to search for', 'type': 'string'}, 'search_type': {'description': 'The type of search to perform (e.g., INSIGHTS, CODE)', 'type': 'string'}}, 'required': ['search_query'], 'type': 'object'}, description="""Searches for information in knowledge graph"""), # topoteretes/cognee-mcp/search
    Tool(name="""cognee-mcp_prune""", inputSchema={'properties': {}, 'type': 'object'}, description="""Prunes knowledge graph"""), # topoteretes/cognee-mcp/prune
    Tool(name="""mcp-ragdocs_search_documentation""", inputSchema={'properties': {'limit': {'default': 5, 'description': 'Maximum number of results to return (1-20). Higher limits provide more comprehensive results but may take longer to process. Default is 5.', 'type': 'number'}, 'query': {'description': 'The text to search for in the documentation. Can be a natural language query, specific terms, or code snippets.', 'type': 'string'}}, 'required': ['query'], 'type': 'object'}, description="""Search through stored documentation using natural language queries. Use this tool to find relevant information across all stored documentation sources. Returns matching excerpts with context, ranked by relevance. Useful for finding specific information, code examples, or related documentation."""), # hannesrudolph/mcp-ragdocs/search_documentation
    Tool(name="""mcp-ragdocs_list_sources""", inputSchema={'properties': {}, 'type': 'object'}, description="""List all documentation sources currently stored in the system. Returns a comprehensive list of all indexed documentation including source URLs, titles, and last update times. Use this to understand what documentation is available for searching or to verify if specific sources have been indexed."""), # hannesrudolph/mcp-ragdocs/list_sources
    Tool(name="""mcp-ragdocs_extract_urls""", inputSchema={'properties': {'add_to_queue': {'default': False, 'description': 'If true, automatically add extracted URLs to the processing queue for later indexing. This enables recursive documentation discovery. Use with caution on large sites to avoid excessive queuing.', 'type': 'boolean'}, 'url': {'description': 'The complete URL of the webpage to analyze (must include protocol, e.g., https://). The page must be publicly accessible.', 'type': 'string'}}, 'required': ['url'], 'type': 'object'}, description="""Extract and analyze all URLs from a given web page. This tool crawls the specified webpage, identifies all hyperlinks, and optionally adds them to the processing queue. Useful for discovering related documentation pages, API references, or building a documentation graph. Handles various URL formats and validates links before extraction."""), # hannesrudolph/mcp-ragdocs/extract_urls
    Tool(name="""mcp-ragdocs_remove_documentation""", inputSchema={'properties': {'urls': {'description': 'Array of URLs to remove from the database', 'items': {'description': 'The complete URL of the documentation source to remove. Must exactly match the URL used when the documentation was added.', 'type': 'string'}, 'type': 'array'}}, 'required': ['urls'], 'type': 'object'}, description="""Remove specific documentation sources from the system by their URLs. Use this tool to clean up outdated documentation, remove incorrect sources, or manage the documentation collection. The removal is permanent and will affect future search results. Supports removing multiple URLs in a single operation."""), # hannesrudolph/mcp-ragdocs/remove_documentation
    Tool(name="""mcp-ragdocs_list_queue""", inputSchema={'properties': {}, 'type': 'object'}, description="""List all URLs currently waiting in the documentation processing queue. Shows pending documentation sources that will be processed when run_queue is called. Use this to monitor queue status, verify URLs were added correctly, or check processing backlog. Returns URLs in the order they will be processed."""), # hannesrudolph/mcp-ragdocs/list_queue
    Tool(name="""mcp-ragdocs_run_queue""", inputSchema={'properties': {}, 'type': 'object'}, description="""Process and index all URLs currently in the documentation queue. Each URL is processed sequentially, with proper error handling and retry logic. Progress updates are provided as processing occurs. Use this after adding new URLs to ensure all documentation is indexed and searchable. Long-running operations will process until the queue is empty or an unrecoverable error occurs."""), # hannesrudolph/mcp-ragdocs/run_queue
    Tool(name="""mcp-ragdocs_clear_queue""", inputSchema={'properties': {}, 'type': 'object'}, description="""Remove all pending URLs from the documentation processing queue. Use this to reset the queue when you want to start fresh, remove unwanted URLs, or cancel pending processing. This operation is immediate and permanent - URLs will need to be re-added if you want to process them later. Returns the number of URLs that were cleared from the queue."""), # hannesrudolph/mcp-ragdocs/clear_queue
    Tool(name="""https://github.com/sammcj/mcp-package-version_check_npm_versions""", inputSchema={'properties': {'constraints': {'additionalProperties': {'properties': {'excludePackage': {'description': 'Exclude this package from updates', 'type': 'boolean'}, 'majorVersion': {'description': 'Limit updates to this major version', 'type': 'number'}}, 'type': 'object'}, 'description': 'Optional constraints for specific packages', 'type': 'object'}, 'dependencies': {'additionalProperties': {'type': 'string'}, 'description': 'Dependencies object from package.json', 'type': 'object'}}, 'required': ['dependencies'], 'type': 'object'}, description="""Check latest stable versions for npm packages"""), # sammcj/https://github.com/sammcj/mcp-package-version/check_npm_versions
    Tool(name="""https://github.com/sammcj/mcp-package-version_check_python_versions""", inputSchema={'properties': {'requirements': {'description': 'Array of requirements from requirements.txt', 'items': {'type': 'string'}, 'type': 'array'}}, 'required': ['requirements'], 'type': 'object'}, description="""Check latest stable versions for Python packages"""), # sammcj/https://github.com/sammcj/mcp-package-version/check_python_versions
    Tool(name="""https://github.com/sammcj/mcp-package-version_check_pyproject_versions""", inputSchema={'properties': {'dependencies': {'description': 'Dependencies object from pyproject.toml', 'properties': {'dependencies': {'additionalProperties': {'type': 'string'}, 'description': 'Project dependencies from pyproject.toml', 'type': 'object'}, 'dev-dependencies': {'additionalProperties': {'type': 'string'}, 'description': 'Development dependencies from pyproject.toml', 'type': 'object'}, 'optional-dependencies': {'additionalProperties': {'additionalProperties': {'type': 'string'}, 'type': 'object'}, 'description': 'Optional dependencies from pyproject.toml', 'type': 'object'}}, 'type': 'object'}}, 'required': ['dependencies'], 'type': 'object'}, description="""Check latest stable versions for Python packages in pyproject.toml"""), # sammcj/https://github.com/sammcj/mcp-package-version/check_pyproject_versions
    Tool(name="""https://github.com/sammcj/mcp-package-version_check_maven_versions""", inputSchema={'properties': {'dependencies': {'description': 'Array of Maven dependencies', 'items': {'properties': {'artifactId': {'description': 'Maven artifact ID', 'type': 'string'}, 'groupId': {'description': 'Maven group ID', 'type': 'string'}, 'scope': {'description': 'Dependency scope (e.g., compile, test, provided)', 'type': 'string'}, 'version': {'description': 'Current version (optional)', 'type': 'string'}}, 'required': ['groupId', 'artifactId'], 'type': 'object'}, 'type': 'array'}}, 'required': ['dependencies'], 'type': 'object'}, description="""Check latest stable versions for Java packages in pom.xml"""), # sammcj/https://github.com/sammcj/mcp-package-version/check_maven_versions
    Tool(name="""https://github.com/sammcj/mcp-package-version_check_gradle_versions""", inputSchema={'properties': {'dependencies': {'description': 'Array of Gradle dependencies', 'items': {'properties': {'configuration': {'description': 'Gradle configuration (e.g., implementation, testImplementation)', 'type': 'string'}, 'group': {'description': 'Package group', 'type': 'string'}, 'name': {'description': 'Package name', 'type': 'string'}, 'version': {'description': 'Current version (optional)', 'type': 'string'}}, 'required': ['configuration', 'group', 'name'], 'type': 'object'}, 'type': 'array'}}, 'required': ['dependencies'], 'type': 'object'}, description="""Check latest stable versions for Java packages in build.gradle"""), # sammcj/https://github.com/sammcj/mcp-package-version/check_gradle_versions
    Tool(name="""https://github.com/sammcj/mcp-package-version_check_go_versions""", inputSchema={'properties': {'dependencies': {'description': 'Dependencies from go.mod', 'properties': {'module': {'description': 'Module name', 'type': 'string'}, 'replace': {'description': 'Replacement dependencies', 'items': {'properties': {'new': {'description': 'Replacement package path', 'type': 'string'}, 'old': {'description': 'Original package path', 'type': 'string'}, 'version': {'description': 'Current version', 'type': 'string'}}, 'required': ['old', 'new'], 'type': 'object'}, 'type': 'array'}, 'require': {'description': 'Required dependencies', 'items': {'properties': {'path': {'description': 'Package import path', 'type': 'string'}, 'version': {'description': 'Current version', 'type': 'string'}}, 'required': ['path'], 'type': 'object'}, 'type': 'array'}}, 'required': ['module'], 'type': 'object'}}, 'required': ['dependencies'], 'type': 'object'}, description="""Check latest stable versions for Go packages in go.mod"""), # sammcj/https://github.com/sammcj/mcp-package-version/check_go_versions
    Tool(name="""https://github.com/sammcj/mcp-package-version_check_bedrock_models""", inputSchema={'properties': {'action': {'default': 'list', 'description': 'Action to perform: list all models, search for models, or get a specific model', 'enum': ['list', 'search', 'get'], 'type': 'string'}, 'modelId': {'description': 'Model ID to retrieve (used with action: "get")', 'type': 'string'}, 'provider': {'description': 'Filter by provider name (used with action: "search")', 'type': 'string'}, 'query': {'description': 'Search query for model name or ID (used with action: "search")', 'type': 'string'}, 'region': {'description': 'Filter by AWS region (used with action: "search")', 'type': 'string'}}, 'type': 'object'}, description="""Search, list, and get information about Amazon Bedrock models"""), # sammcj/https://github.com/sammcj/mcp-package-version/check_bedrock_models
    Tool(name="""https://github.com/sammcj/mcp-package-version_get_latest_bedrock_model""", inputSchema={'properties': {}, 'type': 'object'}, description="""Get the latest Claude Sonnet model from Amazon Bedrock (best for coding tasks)"""), # sammcj/https://github.com/sammcj/mcp-package-version/get_latest_bedrock_model
    Tool(name="""https://github.com/sammcj/mcp-package-version_check_docker_tags""", inputSchema={'properties': {'customRegistry': {'description': 'URL for custom registry (required when registry is "custom")', 'type': 'string'}, 'filterTags': {'description': 'Array of regex patterns to filter tags', 'items': {'type': 'string'}, 'type': 'array'}, 'image': {'description': 'Docker image name (e.g., "nginx", "ubuntu", "ghcr.io/owner/repo")', 'type': 'string'}, 'includeDigest': {'default': False, 'description': 'Include image digest in results', 'type': 'boolean'}, 'limit': {'default': 10, 'description': 'Maximum number of tags to return', 'type': 'number'}, 'registry': {'default': 'dockerhub', 'description': 'Registry to check (dockerhub, ghcr, or custom)', 'enum': ['dockerhub', 'ghcr', 'custom'], 'type': 'string'}}, 'required': ['image'], 'type': 'object'}, description="""Check available tags for Docker container images from Docker Hub, GitHub Container Registry, or custom registries"""), # sammcj/https://github.com/sammcj/mcp-package-version/check_docker_tags
    Tool(name="""mcp-search-linkup_search-web""", inputSchema={'properties': {'query': {'description': 'The query to search the web with. This should be a question, no need to write in keywords.', 'type': 'string'}}, 'required': ['query'], 'type': 'object'}, description="""Perform a web search query using Linkup. This tool is helpful for finding information on the web."""), # LinkupPlatform/mcp-search-linkup/search-web
    Tool(name="""mcp-git-ingest_github_directory_structure""", inputSchema={'properties': {'repo_url': {'title': 'Repo Url', 'type': 'string'}}, 'required': ['repo_url'], 'title': 'github_directory_structureArguments', 'type': 'object'}, description="""\n    Clone a GitHub repository and return its directory structure in a tree format.\n    \n    Args:\n        repo_url: The URL of the GitHub repository\n        \n    Returns:\n        A string representation of the repository's directory structure\n    """), # adhikasp/mcp-git-ingest/github_directory_structure
    Tool(name="""mcp-git-ingest_github_read_important_files""", inputSchema={'properties': {'file_paths': {'items': {'type': 'string'}, 'title': 'File Paths', 'type': 'array'}, 'repo_url': {'title': 'Repo Url', 'type': 'string'}}, 'required': ['repo_url', 'file_paths'], 'title': 'github_read_important_filesArguments', 'type': 'object'}, description="""\n    Clone a GitHub repository and read the contents of specified files.\n    \n    Args:\n        repo_url: The URL of the GitHub repository\n        file_paths: List of file paths to read (relative to repository root)\n        \n    Returns:\n        A dictionary mapping file paths to their contents\n    """), # adhikasp/mcp-git-ingest/github_read_important_files
    Tool(name="""mcp-linkedin_get_feed_posts""", inputSchema={'properties': {'limit': {'default': 10, 'title': 'Limit', 'type': 'integer'}, 'offset': {'default': 0, 'title': 'Offset', 'type': 'integer'}}, 'title': 'get_feed_postsArguments', 'type': 'object'}, description="""\n    Retrieve LinkedIn feed posts.\n\n    :return: List of feed post details\n    """), # adhikasp/mcp-linkedin/get_feed_posts
    Tool(name="""mcp-linkedin_search_jobs""", inputSchema={'properties': {'keywords': {'title': 'Keywords', 'type': 'string'}, 'limit': {'default': 3, 'title': 'Limit', 'type': 'integer'}, 'location': {'default': '', 'title': 'Location', 'type': 'string'}, 'offset': {'default': 0, 'title': 'Offset', 'type': 'integer'}}, 'required': ['keywords'], 'title': 'search_jobsArguments', 'type': 'object'}, description="""\n    Search for jobs on LinkedIn.\n    \n    :param keywords: Job search keywords\n    :param limit: Maximum number of job results\n    :param location: Optional location filter\n    :return: List of job details\n    """), # adhikasp/mcp-linkedin/search_jobs
    Tool(name="""MCP-summarization-functions_summarize_command""", inputSchema={'properties': {'command': {'description': 'Command to execute', 'type': 'string'}, 'cwd': {'description': 'Working directory for command execution', 'type': 'string'}, 'hint': {'description': 'Focus area for summarization (e.g., "security_analysis", "api_surface", "error_handling", "dependencies", "type_definitions")', 'enum': ['security_analysis', 'api_surface', 'error_handling', 'dependencies', 'type_definitions'], 'type': 'string'}, 'output_format': {'default': 'text', 'description': 'Desired output format (e.g., "text", "json", "markdown", "outline")', 'enum': ['text', 'json', 'markdown', 'outline'], 'type': 'string'}}, 'required': ['command', 'cwd'], 'type': 'object'}, description="""Execute a command and summarize its output if it exceeds the threshold"""), # Braffolk/MCP-summarization-functions/summarize_command
    Tool(name="""MCP-summarization-functions_summarize_files""", inputSchema={'properties': {'cwd': {'description': 'Working directory for resolving file paths', 'type': 'string'}, 'hint': {'description': 'Focus area for summarization (e.g., "security_analysis", "api_surface", "error_handling", "dependencies", "type_definitions")', 'enum': ['security_analysis', 'api_surface', 'error_handling', 'dependencies', 'type_definitions'], 'type': 'string'}, 'output_format': {'default': 'text', 'description': 'Desired output format (e.g., "text", "json", "markdown", "outline")', 'enum': ['text', 'json', 'markdown', 'outline'], 'type': 'string'}, 'paths': {'description': 'Array of file paths to summarize (relative to cwd)', 'items': {'type': 'string'}, 'type': 'array'}}, 'required': ['paths', 'cwd'], 'type': 'object'}, description="""Summarize the contents of one or more files"""), # Braffolk/MCP-summarization-functions/summarize_files
    Tool(name="""MCP-summarization-functions_summarize_directory""", inputSchema={'properties': {'cwd': {'description': 'Working directory for resolving directory path', 'type': 'string'}, 'hint': {'description': 'Focus area for summarization (e.g., "security_analysis", "api_surface", "error_handling", "dependencies", "type_definitions")', 'enum': ['security_analysis', 'api_surface', 'error_handling', 'dependencies', 'type_definitions'], 'type': 'string'}, 'output_format': {'default': 'text', 'description': 'Desired output format (e.g., "text", "json", "markdown", "outline")', 'enum': ['text', 'json', 'markdown', 'outline'], 'type': 'string'}, 'path': {'description': 'Directory path to summarize (relative to cwd)', 'type': 'string'}, 'recursive': {'description': 'Whether to include subdirectories, safe for large directories', 'type': 'boolean'}}, 'required': ['path', 'cwd'], 'type': 'object'}, description="""Summarize the structure of a directory"""), # Braffolk/MCP-summarization-functions/summarize_directory
    Tool(name="""MCP-summarization-functions_summarize_text""", inputSchema={'properties': {'content': {'description': 'Text content to summarize', 'type': 'string'}, 'hint': {'description': 'Focus area for summarization (e.g., "security_analysis", "api_surface", "error_handling", "dependencies", "type_definitions")', 'enum': ['security_analysis', 'api_surface', 'error_handling', 'dependencies', 'type_definitions'], 'type': 'string'}, 'output_format': {'default': 'text', 'description': 'Desired output format (e.g., "text", "json", "markdown", "outline")', 'enum': ['text', 'json', 'markdown', 'outline'], 'type': 'string'}, 'type': {'description': 'Type of content (e.g., "log output", "API response")', 'type': 'string'}}, 'required': ['content', 'type'], 'type': 'object'}, description="""Summarize any text content (e.g., MCP tool output)"""), # Braffolk/MCP-summarization-functions/summarize_text
    Tool(name="""MCP-summarization-functions_get_full_content""", inputSchema={'properties': {'id': {'description': 'ID of the stored content', 'type': 'string'}}, 'required': ['id'], 'type': 'object'}, description="""Retrieve the full content for a given summary ID"""), # Braffolk/MCP-summarization-functions/get_full_content
    Tool(name="""searxng_search""", inputSchema={'properties': {'query': {'type': 'string'}}, 'required': ['query'], 'type': 'object'}, description="""search the web using searXNG. This will aggregate the results from google, bing, brave, duckduckgo and many others. Use this to find information on the web. Even if you do not have access to the internet, you can still use this tool to search the web."""), # SecretiveShell/searxng/search
    Tool(name="""mcp-server-browserbase_browserbase_create_session""", inputSchema={'properties': {}, 'required': [], 'type': 'object'}, description="""Create a new cloud browser session using Browserbase"""), # browserbase/mcp-server-browserbase/browserbase_create_session
    Tool(name="""mcp-server-browserbase_browserbase_close_session""", inputSchema={'properties': {'sessionId': {'type': 'string'}}, 'required': ['sessionId'], 'type': 'object'}, description="""Close a browser session on Browserbase"""), # browserbase/mcp-server-browserbase/browserbase_close_session
    Tool(name="""mcp-server-browserbase_browserbase_navigate""", inputSchema={'properties': {'url': {'type': 'string'}}, 'required': ['url'], 'type': 'object'}, description="""Navigate to a URL"""), # browserbase/mcp-server-browserbase/browserbase_navigate
    Tool(name="""mcp-server-browserbase_browserbase_screenshot""", inputSchema={'properties': {'height': {'description': 'Height in pixels (default: 600)', 'type': 'number'}, 'name': {'description': 'Name for the screenshot', 'type': 'string'}, 'selector': {'description': 'CSS selector for element to screenshot', 'type': 'string'}, 'width': {'description': 'Width in pixels (default: 800)', 'type': 'number'}}, 'required': ['name'], 'type': 'object'}, description="""Take a screenshot of the current page or a specific element"""), # browserbase/mcp-server-browserbase/browserbase_screenshot
    Tool(name="""mcp-server-browserbase_browserbase_click""", inputSchema={'properties': {'selector': {'description': 'CSS selector for element to click', 'type': 'string'}}, 'required': ['selector'], 'type': 'object'}, description="""Click an element on the page"""), # browserbase/mcp-server-browserbase/browserbase_click
    Tool(name="""mcp-server-browserbase_browserbase_fill""", inputSchema={'properties': {'selector': {'description': 'CSS selector for input field', 'type': 'string'}, 'value': {'description': 'Value to fill', 'type': 'string'}}, 'required': ['selector', 'value'], 'type': 'object'}, description="""Fill out an input field"""), # browserbase/mcp-server-browserbase/browserbase_fill
    Tool(name="""mcp-server-browserbase_browserbase_evaluate""", inputSchema={'properties': {'script': {'description': 'JavaScript code to execute', 'type': 'string'}}, 'required': ['script'], 'type': 'object'}, description="""Execute JavaScript in the browser console"""), # browserbase/mcp-server-browserbase/browserbase_evaluate
    Tool(name="""mcp-server-browserbase_browserbase_get_content""", inputSchema={'properties': {'selector': {'description': 'Optional CSS selector to get content from specific elements (default: returns whole page)', 'type': 'string'}}, 'required': [], 'type': 'object'}, description="""Extract all content from the current page"""), # browserbase/mcp-server-browserbase/browserbase_get_content
    Tool(name="""mcp-pandoc_convert-contents""", inputSchema={'allOf': [{'if': {'properties': {'output_format': {'enum': ['pdf', 'docx', 'rst', 'latex', 'epub']}}}, 'then': {'required': ['output_file']}}], 'oneOf': [{'required': ['contents']}, {'required': ['input_file']}], 'properties': {'contents': {'description': 'The content to be converted (required if input_file not provided)', 'type': 'string'}, 'input_file': {'description': "Complete path to input file including filename and extension (e.g., '/path/to/input.md')", 'type': 'string'}, 'input_format': {'default': 'markdown', 'description': 'Source format of the content (defaults to markdown)', 'enum': ['markdown', 'html', 'pdf', 'docx', 'rst', 'latex', 'epub', 'txt'], 'type': 'string'}, 'output_file': {'description': 'Complete path where to save the output including filename and extension (required for pdf, docx, rst, latex, epub formats)', 'type': 'string'}, 'output_format': {'default': 'markdown', 'description': 'Desired output format (defaults to markdown)', 'enum': ['markdown', 'html', 'pdf', 'docx', 'rst', 'latex', 'epub', 'txt'], 'type': 'string'}}, 'type': 'object'}, description="""Converts content between different formats. Transforms input content from any supported format into the specified output format.\n\n CRITICAL REQUIREMENTS - PLEASE READ:\n1. PDF Conversion:\n   * You MUST install TeX Live BEFORE attempting PDF conversion:\n   * Ubuntu/Debian: `sudo apt-get install texlive-xetex`\n   * macOS: `brew install texlive`\n   * Windows: Install MiKTeX or TeX Live from https://miktex.org/ or https://tug.org/texlive/\n   * PDF conversion will FAIL without this installation\n\n2. File Paths - EXPLICIT REQUIREMENTS:\n   * When asked to save or convert to a file, you MUST provide:\n     - Complete directory path\n     - Filename\n     - File extension\n   * Example request: 'Write a story and save as PDF'\n   * You MUST specify: '/path/to/story.pdf' or 'C:\\Documents\\story.pdf'\n   * The tool will NOT automatically generate filenames or extensions\n\n3. File Location After Conversion:\n   * After successful conversion, the tool will display the exact path where the file is saved\n   * Look for message: 'Content successfully converted and saved to: [file_path]'\n   * You can find your converted file at the specified location\n   * If no path is specified, files may be saved in system temp directory (/tmp/ on Unix systems)\n   * For better control, always provide explicit output file paths\n\nSupported formats:\n- Basic formats: txt, html, markdown\n- Advanced formats (REQUIRE complete file paths): pdf, docx, rst, latex, epub\n\n CORRECT Usage Examples:\n1. 'Convert this text to HTML' (basic conversion)\n   - Tool will show converted content\n\n2. 'Save this text as PDF at /documents/story.pdf'\n   - Correct: specifies path + filename + extension\n   - Tool will show: 'Content successfully converted and saved to: /documents/story.pdf'\n\n INCORRECT Usage Examples:\n1. 'Save this as PDF in /documents/'\n   - Missing filename and extension\n2. 'Convert to PDF'\n   - Missing complete file path\n\nWhen requesting conversion, ALWAYS specify:\n1. The content or input file\n2. The desired output format\n3. For advanced formats: complete output path + filename + extension\nExample: 'Convert this markdown to PDF and save as /path/to/output.pdf'\n\nNote: After conversion, always check the success message for the exact file location."""), # vivekVells/mcp-pandoc/convert-contents
    Tool(name="""VirusTotal MCP Server_get_url_report""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'url': {'description': 'The URL to analyze', 'format': 'uri', 'type': 'string'}}, 'required': ['url'], 'type': 'object'}, description="""Get a comprehensive URL analysis report including security scan results and key relationships (communicating files, contacted domains/IPs, downloaded files, redirects, threat actors). Returns both the basic security analysis and automatically fetched relationship data."""), # BurtTheCoder/VirusTotal MCP Server/get_url_report
    Tool(name="""VirusTotal MCP Server_get_url_relationship""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'cursor': {'type': 'string'}, 'limit': {'default': 10, 'maximum': 40, 'minimum': 1, 'type': 'number'}, 'relationship': {'description': 'Type of relationship to query', 'enum': ['analyses', 'comments', 'communicating_files', 'contacted_domains', 'contacted_ips', 'downloaded_files', 'graphs', 'last_serving_ip_address', 'network_location', 'referrer_files', 'referrer_urls', 'redirecting_urls', 'redirects_to', 'related_comments', 'related_references', 'related_threat_actors', 'submissions'], 'type': 'string'}, 'url': {'description': 'The URL to get relationships for', 'format': 'uri', 'type': 'string'}}, 'required': ['url', 'relationship'], 'type': 'object'}, description="""Query a specific relationship type for a URL with pagination support. Choose from 17 relationship types including analyses, communicating files, contacted domains/IPs, downloaded files, graphs, referrers, redirects, and threat actors. Useful for detailed investigation of specific relationship types."""), # BurtTheCoder/VirusTotal MCP Server/get_url_relationship
    Tool(name="""VirusTotal MCP Server_get_file_report""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'hash': {'description': 'MD5, SHA-1 or SHA-256 hash of the file', 'pattern': '^[a-fA-F0-9]{32,64}$', 'type': 'string'}}, 'required': ['hash'], 'type': 'object'}, description="""Get a comprehensive file analysis report using its hash (MD5/SHA-1/SHA-256). Includes detection results, file properties, and key relationships (behaviors, dropped files, network connections, embedded content, threat actors). Returns both the basic analysis and automatically fetched relationship data."""), # BurtTheCoder/VirusTotal MCP Server/get_file_report
    Tool(name="""VirusTotal MCP Server_get_file_relationship""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'cursor': {'type': 'string'}, 'hash': {'description': 'MD5, SHA-1 or SHA-256 hash of the file', 'pattern': '^[a-fA-F0-9]{32,64}$', 'type': 'string'}, 'limit': {'default': 10, 'maximum': 40, 'minimum': 1, 'type': 'number'}, 'relationship': {'description': 'Type of relationship to query', 'enum': ['analyses', 'behaviours', 'bundled_files', 'carbonblack_children', 'carbonblack_parents', 'ciphered_bundled_files', 'ciphered_parents', 'clues', 'collections', 'comments', 'compressed_parents', 'contacted_domains', 'contacted_ips', 'contacted_urls', 'dropped_files', 'email_attachments', 'email_parents', 'embedded_domains', 'embedded_ips', 'embedded_urls', 'execution_parents', 'graphs', 'itw_domains', 'itw_ips', 'itw_urls', 'memory_pattern_domains', 'memory_pattern_ips', 'memory_pattern_urls', 'overlay_children', 'overlay_parents', 'pcap_children', 'pcap_parents', 'pe_resource_children', 'pe_resource_parents', 'related_references', 'related_threat_actors', 'similar_files', 'submissions', 'screenshots', 'urls_for_embedded_js', 'votes'], 'type': 'string'}}, 'required': ['hash', 'relationship'], 'type': 'object'}, description="""Query a specific relationship type for a file with pagination support. Choose from 41 relationship types including behaviors, network connections, dropped files, embedded content, execution chains, and threat actors. Useful for detailed investigation of specific relationship types."""), # BurtTheCoder/VirusTotal MCP Server/get_file_relationship
    Tool(name="""VirusTotal MCP Server_get_ip_report""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'ip': {'anyOf': [{'format': 'ipv4'}, {'format': 'ipv6'}], 'description': 'IP address to analyze', 'type': 'string'}}, 'required': ['ip'], 'type': 'object'}, description="""Get a comprehensive IP address analysis report including geolocation, reputation data, and key relationships (communicating files, historical certificates/WHOIS, resolutions). Returns both the basic analysis and automatically fetched relationship data."""), # BurtTheCoder/VirusTotal MCP Server/get_ip_report
    Tool(name="""VirusTotal MCP Server_get_ip_relationship""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'cursor': {'type': 'string'}, 'ip': {'anyOf': [{'format': 'ipv4'}, {'format': 'ipv6'}], 'description': 'IP address to analyze', 'type': 'string'}, 'limit': {'default': 10, 'maximum': 40, 'minimum': 1, 'type': 'number'}, 'relationship': {'description': 'Type of relationship to query', 'enum': ['comments', 'communicating_files', 'downloaded_files', 'graphs', 'historical_ssl_certificates', 'historical_whois', 'related_comments', 'related_references', 'related_threat_actors', 'referrer_files', 'resolutions', 'urls'], 'type': 'string'}}, 'required': ['ip', 'relationship'], 'type': 'object'}, description="""Query a specific relationship type for an IP address with pagination support. Choose from 12 relationship types including communicating files, historical SSL certificates, WHOIS records, resolutions, and threat actors. Useful for detailed investigation of specific relationship types."""), # BurtTheCoder/VirusTotal MCP Server/get_ip_relationship
    Tool(name="""VirusTotal MCP Server_get_domain_report""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'domain': {'description': 'Domain name to analyze', 'pattern': '^([a-zA-Z0-9-]+\\.)+[a-zA-Z]{2,}$', 'type': 'string'}, 'relationships': {'description': 'Optional array of relationships to include in the report', 'items': {'enum': ['caa_records', 'cname_records', 'comments', 'communicating_files', 'downloaded_files', 'historical_ssl_certificates', 'historical_whois', 'immediate_parent', 'mx_records', 'ns_records', 'parent', 'referrer_files', 'related_comments', 'related_references', 'related_threat_actors', 'resolutions', 'soa_records', 'siblings', 'subdomains', 'urls', 'user_votes'], 'type': 'string'}, 'type': 'array'}}, 'required': ['domain'], 'type': 'object'}, description="""Get a comprehensive domain analysis report including DNS records, WHOIS data, and key relationships (SSL certificates, subdomains, historical data). Optionally specify which relationships to include in the report. Returns both the basic analysis and relationship data."""), # BurtTheCoder/VirusTotal MCP Server/get_domain_report
    Tool(name="""mcp-datetime_get_datetime""", inputSchema={'properties': {'format': {'description': '\nAvailable formats:\n- date: 2024-12-10\n- date_slash: 2024/12/10\n- date_jp: 20241210\n- datetime: 2024-12-10 00:54:01\n- datetime_jp: 20241210 005401\n- datetime_t: 2024-12-10T00:54:01\n- compact: 20241210005401\n- compact_date: 20241210\n- compact_time: 005401\n- filename_md: 20241210005401.md\n- filename_txt: 20241210005401.txt\n- filename_log: 20241210005401.log\n- iso: 2024-12-10T00:54:01+0900\n- iso_basic: 20241210T005401+0900\n- log: 2024-12-10 00:54:01.123456\n- log_compact: 20241210_005401\n- time: 00:54:01\n- time_jp: 005401\n', 'type': 'string'}}, 'required': ['format'], 'type': 'object'}, description="""Get current date and time in various formats"""), # ZeparHyfar/mcp-datetime/get_datetime
    Tool(name="""mcp-mysql-server_connect_db""", inputSchema={'properties': {'database': {'description': 'Database name', 'type': 'string'}, 'host': {'description': 'Database host', 'type': 'string'}, 'password': {'description': 'Database password', 'type': 'string'}, 'user': {'description': 'Database user', 'type': 'string'}}, 'required': ['host', 'user', 'password', 'database'], 'type': 'object'}, description="""Connect to MySQL database"""), # f4ww4z/mcp-mysql-server/connect_db
    Tool(name="""mcp-mysql-server_query""", inputSchema={'properties': {'params': {'description': 'Query parameters (optional)', 'items': {'type': ['string', 'number', 'boolean', 'null']}, 'type': 'array'}, 'sql': {'description': 'SQL SELECT query', 'type': 'string'}}, 'required': ['sql'], 'type': 'object'}, description="""Execute a SELECT query"""), # f4ww4z/mcp-mysql-server/query
    Tool(name="""mcp-mysql-server_execute""", inputSchema={'properties': {'params': {'description': 'Query parameters (optional)', 'items': {'type': ['string', 'number', 'boolean', 'null']}, 'type': 'array'}, 'sql': {'description': 'SQL query (INSERT, UPDATE, DELETE)', 'type': 'string'}}, 'required': ['sql'], 'type': 'object'}, description="""Execute an INSERT, UPDATE, or DELETE query"""), # f4ww4z/mcp-mysql-server/execute
    Tool(name="""mcp-mysql-server_list_tables""", inputSchema={'properties': {}, 'required': [], 'type': 'object'}, description="""List all tables in the database"""), # f4ww4z/mcp-mysql-server/list_tables
    Tool(name="""mcp-mysql-server_describe_table""", inputSchema={'properties': {'table': {'description': 'Table name', 'type': 'string'}}, 'required': ['table'], 'type': 'object'}, description="""Get table structure"""), # f4ww4z/mcp-mysql-server/describe_table
    Tool(name="""airtable-mcp-server_create_table""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'baseId': {'type': 'string'}, 'description': {'type': 'string'}, 'fields': {'items': {'allOf': [{'properties': {'description': {'type': 'string'}, 'name': {'type': 'string'}}, 'required': ['name'], 'type': 'object'}, {'anyOf': [{'additionalProperties': False, 'properties': {'type': {'const': 'autoNumber', 'type': 'string'}}, 'required': ['type'], 'type': 'object'}, {'additionalProperties': False, 'properties': {'type': {'const': 'barcode', 'type': 'string'}}, 'required': ['type'], 'type': 'object'}, {'additionalProperties': False, 'properties': {'type': {'const': 'button', 'type': 'string'}}, 'required': ['type'], 'type': 'object'}, {'additionalProperties': False, 'description': "Bases on a free or plus plan are limited to using the `'check'` icon and `'greenBright'` color.", 'properties': {'options': {'additionalProperties': False, 'properties': {'color': {'description': 'The color of the checkbox.', 'enum': ['greenBright', 'tealBright', 'cyanBright', 'blueBright', 'purpleBright', 'pinkBright', 'redBright', 'orangeBright', 'yellowBright', 'grayBright'], 'type': 'string'}, 'icon': {'description': 'The icon name of the checkbox.', 'enum': ['check', 'xCheckbox', 'star', 'heart', 'thumbsUp', 'flag', 'dot'], 'type': 'string'}}, 'required': ['color', 'icon'], 'type': 'object'}, 'type': {'const': 'checkbox', 'type': 'string'}}, 'required': ['options', 'type'], 'type': 'object'}, {'additionalProperties': False, 'properties': {'type': {'const': 'createdBy', 'type': 'string'}}, 'required': ['type'], 'type': 'object'}, {'additionalProperties': False, 'properties': {'options': {'additionalProperties': False, 'properties': {'result': {'anyOf': [{'additionalProperties': False, 'properties': {'options': {'additionalProperties': False, 'properties': {'dateFormat': {'additionalProperties': False, 'properties': {'format': {'description': '`format` is always provided when reading.\n(`l` for local, `LL` for friendly, `M/D/YYYY` for us, `D/M/YYYY` for european, `YYYY-MM-DD` for iso)', 'enum': ['l', 'LL', 'M/D/YYYY', 'D/M/YYYY', 'YYYY-MM-DD'], 'type': 'string'}, 'name': {'enum': ['local', 'friendly', 'us', 'european', 'iso'], 'type': 'string'}}, 'required': ['format', 'name'], 'type': 'object'}}, 'required': ['dateFormat'], 'type': 'object'}, 'type': {'const': 'date', 'type': 'string'}}, 'required': ['options', 'type'], 'type': 'object'}, {'additionalProperties': False, 'properties': {'options': {'additionalProperties': False, 'properties': {'dateFormat': {'additionalProperties': False, 'properties': {'format': {'description': '`format` is always provided when reading.\n(`l` for local, `LL` for friendly, `M/D/YYYY` for us, `D/M/YYYY` for european, `YYYY-MM-DD` for iso)', 'enum': ['l', 'LL', 'M/D/YYYY', 'D/M/YYYY', 'YYYY-MM-DD'], 'type': 'string'}, 'name': {'enum': ['local', 'friendly', 'us', 'european', 'iso'], 'type': 'string'}}, 'required': ['format', 'name'], 'type': 'object'}, 'timeFormat': {'additionalProperties': False, 'properties': {'format': {'enum': ['h:mma', 'HH:mm'], 'type': 'string'}, 'name': {'enum': ['12hour', '24hour'], 'type': 'string'}}, 'required': ['format', 'name'], 'type': 'object'}, 'timeZone': {}}, 'required': ['dateFormat', 'timeFormat'], 'type': 'object'}, 'type': {'const': 'dateTime', 'type': 'string'}}, 'required': ['options', 'type'], 'type': 'object'}], 'description': 'This will always be a `date` or `dateTime` field config.'}}, 'type': 'object'}, 'type': {'const': 'createdTime', 'type': 'string'}}, 'required': ['options', 'type'], 'type': 'object'}, {'additionalProperties': False, 'properties': {'options': {'additionalProperties': False, 'properties': {'isValid': {'description': '`false` when recordLinkFieldId is null, e.g. the referenced column was deleted.', 'type': 'boolean'}, 'recordLinkFieldId': {'type': ['string', 'null']}}, 'required': ['isValid'], 'type': 'object'}, 'type': {'const': 'count', 'type': 'string'}}, 'required': ['options', 'type'], 'type': 'object'}, {}, {'additionalProperties': False, 'properties': {'options': {'additionalProperties': False, 'properties': {'isValid': {'description': 'False if this formula/field configuation has an error', 'type': 'boolean'}, 'referencedFieldIds': {'anyOf': [{'items': {'type': 'string'}, 'type': 'array'}, {'type': 'null'}], 'description': 'The fields to check the last modified time of'}, 'result': {'anyOf': [{'additionalProperties': False, 'properties': {'options': {'additionalProperties': False, 'properties': {'dateFormat': {'additionalProperties': False, 'properties': {'format': {'description': '`format` is always provided when reading.\n(`l` for local, `LL` for friendly, `M/D/YYYY` for us, `D/M/YYYY` for european, `YYYY-MM-DD` for iso)', 'enum': ['l', 'LL', 'M/D/YYYY', 'D/M/YYYY', 'YYYY-MM-DD'], 'type': 'string'}, 'name': {'enum': ['local', 'friendly', 'us', 'european', 'iso'], 'type': 'string'}}, 'required': ['format', 'name'], 'type': 'object'}}, 'required': ['dateFormat'], 'type': 'object'}, 'type': {'const': 'date', 'type': 'string'}}, 'required': ['options', 'type'], 'type': 'object'}, {'additionalProperties': False, 'properties': {'options': {'additionalProperties': False, 'properties': {'dateFormat': {'additionalProperties': False, 'properties': {'format': {'description': '`format` is always provided when reading.\n(`l` for local, `LL` for friendly, `M/D/YYYY` for us, `D/M/YYYY` for european, `YYYY-MM-DD` for iso)', 'enum': ['l', 'LL', 'M/D/YYYY', 'D/M/YYYY', 'YYYY-MM-DD'], 'type': 'string'}, 'name': {'enum': ['local', 'friendly', 'us', 'european', 'iso'], 'type': 'string'}}, 'required': ['format', 'name'], 'type': 'object'}, 'timeFormat': {'additionalProperties': False, 'properties': {'format': {'enum': ['h:mma', 'HH:mm'], 'type': 'string'}, 'name': {'enum': ['12hour', '24hour'], 'type': 'string'}}, 'required': ['format', 'name'], 'type': 'object'}, 'timeZone': {}}, 'required': ['dateFormat', 'timeFormat'], 'type': 'object'}, 'type': {'const': 'dateTime', 'type': 'string'}}, 'required': ['options', 'type'], 'type': 'object'}, {'type': 'null'}], 'description': 'This will always be a `date` or `dateTime` field config.'}}, 'required': ['isValid', 'referencedFieldIds', 'result'], 'type': 'object'}, 'type': {'const': 'lastModifiedTime', 'type': 'string'}}, 'required': ['options', 'type'], 'type': 'object'}, {'additionalProperties': False, 'properties': {'type': {'const': 'lastModifiedBy', 'type': 'string'}}, 'required': ['type'], 'type': 'object'}, {'additionalProperties': False, 'properties': {'options': {'additionalProperties': False, 'properties': {'fieldIdInLinkedTable': {'description': 'The field in the linked table that this field is looking up.', 'type': ['string', 'null']}, 'isValid': {'description': 'Is the field currently valid (e.g. false if the linked record field has\nbeen deleted)', 'type': 'boolean'}, 'recordLinkFieldId': {'description': 'The linked record field in the current table.', 'type': ['string', 'null']}, 'result': {'anyOf': [{}, {'type': 'null'}], 'description': 'The field type and options inside of the linked table. See other field\ntype configs on this page for the possible values. Can be null if invalid.'}}, 'required': ['fieldIdInLinkedTable', 'isValid', 'recordLinkFieldId'], 'type': 'object'}, 'type': {'const': 'lookup', 'type': 'string'}}, 'required': ['options', 'type'], 'type': 'object'}, {'additionalProperties': False, 'properties': {'options': {'additionalProperties': False, 'properties': {'precision': {'description': 'Indicates the number of digits shown to the right of the decimal point for this field. (0-8 inclusive)', 'type': 'number'}}, 'required': ['precision'], 'type': 'object'}, 'type': {'const': 'number', 'type': 'string'}}, 'required': ['options', 'type'], 'type': 'object'}, {'additionalProperties': False, 'properties': {'options': {'additionalProperties': False, 'properties': {'precision': {'description': 'Indicates the number of digits shown to the right of the decimal point for this field. (0-8 inclusive)', 'type': 'number'}}, 'required': ['precision'], 'type': 'object'}, 'type': {'const': 'percent', 'type': 'string'}}, 'required': ['options', 'type'], 'type': 'object'}, {'additionalProperties': False, 'properties': {'options': {'additionalProperties': False, 'properties': {'precision': {'description': 'Indicates the number of digits shown to the right of the decimal point for this field. (0-7 inclusive)', 'type': 'number'}, 'symbol': {'description': 'Currency symbol to use.', 'type': 'string'}}, 'required': ['precision', 'symbol'], 'type': 'object'}, 'type': {'const': 'currency', 'type': 'string'}}, 'required': ['options', 'type'], 'type': 'object'}, {'additionalProperties': False, 'properties': {'options': {'additionalProperties': False, 'properties': {'durationFormat': {'enum': ['h:mm', 'h:mm:ss', 'h:mm:ss.S', 'h:mm:ss.SS', 'h:mm:ss.SSS'], 'type': 'string'}}, 'required': ['durationFormat'], 'type': 'object'}, 'type': {'const': 'duration', 'type': 'string'}}, 'required': ['options', 'type'], 'type': 'object'}, {'additionalProperties': False, 'properties': {'type': {'const': 'multilineText', 'type': 'string'}}, 'required': ['type'], 'type': 'object'}, {'additionalProperties': False, 'properties': {'type': {'const': 'phoneNumber', 'type': 'string'}}, 'required': ['type'], 'type': 'object'}, {'additionalProperties': False, 'description': "Bases on a free or plus plan are limited to using the 'star' icon and 'yellowBright' color.", 'properties': {'options': {'additionalProperties': False, 'properties': {'color': {'description': 'The color of selected icons.', 'enum': ['yellowBright', 'orangeBright', 'redBright', 'pinkBright', 'purpleBright', 'blueBright', 'cyanBright', 'tealBright', 'greenBright', 'grayBright'], 'type': 'string'}, 'icon': {'description': 'The icon name used to display the rating.', 'enum': ['star', 'heart', 'thumbsUp', 'flag', 'dot'], 'type': 'string'}, 'max': {'description': 'The maximum value for the rating, from 1 to 10 inclusive.', 'type': 'number'}}, 'required': ['color', 'icon', 'max'], 'type': 'object'}, 'type': {'const': 'rating', 'type': 'string'}}, 'required': ['options', 'type'], 'type': 'object'}, {'additionalProperties': False, 'properties': {'type': {'const': 'richText', 'type': 'string'}}, 'required': ['type'], 'type': 'object'}, {'additionalProperties': False, 'properties': {'options': {'additionalProperties': False, 'properties': {'fieldIdInLinkedTable': {'description': 'The id of the field in the linked table', 'type': 'string'}, 'isValid': {'type': 'boolean'}, 'recordLinkFieldId': {'description': 'The linked field id', 'type': 'string'}, 'referencedFieldIds': {'description': 'The ids of any fields referenced in the rollup formula', 'items': {'type': 'string'}, 'type': 'array'}, 'result': {'anyOf': [{}, {'type': 'null'}], 'description': 'The resulting field type and options for the rollup. See other field\ntype configs on this page for the possible values. Can be null if invalid.'}}, 'type': 'object'}, 'type': {'const': 'rollup', 'type': 'string'}}, 'required': ['options', 'type'], 'type': 'object'}, {'additionalProperties': False, 'properties': {'type': {'const': 'singleLineText', 'type': 'string'}}, 'required': ['type'], 'type': 'object'}, {'additionalProperties': False, 'properties': {'type': {'const': 'email', 'type': 'string'}}, 'required': ['type'], 'type': 'object'}, {'additionalProperties': False, 'properties': {'type': {'const': 'url', 'type': 'string'}}, 'required': ['type'], 'type': 'object'}, {'additionalProperties': False, 'properties': {'options': {'additionalProperties': False, 'properties': {'choices': {'items': {'additionalProperties': False, 'properties': {'color': {'description': 'Optional when the select field is configured to not use colors.\n\nAllowed values: "blueLight2", "cyanLight2", "tealLight2", "greenLight2", "yellowLight2", "orangeLight2", "redLight2", "pinkLight2", "purpleLight2", "grayLight2", "blueLight1", "cyanLight1", "tealLight1", "greenLight1", "yellowLight1", "orangeLight1", "redLight1", "pinkLight1", "purpleLight1", "grayLight1", "blueBright", "cyanBright", "tealBright", "greenBright", "yellowBright", "orangeBright", "redBright", "pinkBright", "purpleBright", "grayBright", "blueDark1", "cyanDark1", "tealDark1", "greenDark1", "yellowDark1", "orangeDark1", "redDark1", "pinkDark1", "purpleDark1", "grayDark1"', 'type': 'string'}, 'id': {'type': 'string'}, 'name': {'type': 'string'}}, 'required': ['id', 'name'], 'type': 'object'}, 'type': 'array'}}, 'required': ['choices'], 'type': 'object'}, 'type': {'const': 'externalSyncSource', 'type': 'string'}}, 'required': ['options', 'type'], 'type': 'object'}, {'additionalProperties': False, 'properties': {'options': {'additionalProperties': False, 'properties': {'prompt': {'description': 'The prompt that is used to generate the results in the AI field, additional object\ntypes may be added in the future. Currently, this is an array of strings or objects that identify any fields interpolated into the prompt.\n\nThe prompt will not currently be provided if this field config is within another\nfields configuration (like a lookup field)', 'items': {'anyOf': [{'type': 'string'}, {'additionalProperties': False, 'properties': {'field': {'additionalProperties': False, 'properties': {'fieldId': {'type': 'string'}}, 'required': ['fieldId'], 'type': 'object'}}, 'required': ['field'], 'type': 'object'}]}, 'type': 'array'}, 'referencedFieldIds': {'description': 'The other fields in the record that are used in the ai field\n\nThe referencedFieldIds will not currently be provided if this field config is within another\nfields configuration (like a lookup field)', 'items': {'type': 'string'}, 'type': 'array'}}, 'type': 'object'}, 'type': {'const': 'aiText', 'type': 'string'}}, 'required': ['options', 'type'], 'type': 'object'}, {'additionalProperties': False, 'description': 'Creating "multipleRecordLinks" fields is supported but updating options for\nexisting "multipleRecordLinks" fields is not supported.', 'properties': {'options': {'additionalProperties': False, 'properties': {'linkedTableId': {'description': 'The ID of the table this field links to', 'type': 'string'}, 'viewIdForRecordSelection': {'description': 'The ID of the view in the linked table\nto use when showing a list of records to select from', 'type': 'string'}}, 'required': ['linkedTableId'], 'type': 'object'}, 'type': {'const': 'multipleRecordLinks', 'type': 'string'}}, 'required': ['options', 'type'], 'type': 'object'}, {'additionalProperties': False, 'properties': {'options': {'additionalProperties': False, 'properties': {'choices': {'items': {'additionalProperties': False, 'properties': {'color': {'description': 'Optional when creating an option.', 'type': 'string'}, 'id': {'description': 'This is not specified when creating new options, useful when specifing existing\noptions (for example: reordering options, keeping old options and adding new ones, etc)', 'type': 'string'}, 'name': {'type': 'string'}}, 'required': ['name'], 'type': 'object'}, 'type': 'array'}}, 'required': ['choices'], 'type': 'object'}, 'type': {'const': 'singleSelect', 'type': 'string'}}, 'required': ['options', 'type'], 'type': 'object'}, {'additionalProperties': False, 'properties': {'options': {'additionalProperties': False, 'properties': {'choices': {'items': {'additionalProperties': False, 'properties': {'color': {'description': 'Optional when creating an option.', 'type': 'string'}, 'id': {'description': 'This is not specified when creating new options, useful when specifing existing\noptions (for example: reordering options, keeping old options and adding new ones, etc)', 'type': 'string'}, 'name': {'type': 'string'}}, 'required': ['name'], 'type': 'object'}, 'type': 'array'}}, 'required': ['choices'], 'type': 'object'}, 'type': {'const': 'multipleSelects', 'type': 'string'}}, 'required': ['options', 'type'], 'type': 'object'}, {'additionalProperties': False, 'properties': {'options': {'additionalProperties': {}, 'type': 'object'}, 'type': {'const': 'singleCollaborator', 'type': 'string'}}, 'required': ['type'], 'type': 'object'}, {'additionalProperties': False, 'properties': {'options': {'additionalProperties': {}, 'type': 'object'}, 'type': {'const': 'multipleCollaborators', 'type': 'string'}}, 'required': ['type'], 'type': 'object'}, {'additionalProperties': False, 'properties': {'options': {'additionalProperties': False, 'properties': {'dateFormat': {'additionalProperties': False, 'properties': {'format': {'description': 'Format is optional when writing, but it must match\nthe corresponding name if provided.\n\n(`l` for local, `LL` for friendly, `M/D/YYYY` for us, `D/M/YYYY` for european, `YYYY-MM-DD` for iso)', 'enum': ['l', 'LL', 'M/D/YYYY', 'D/M/YYYY', 'YYYY-MM-DD'], 'type': 'string'}, 'name': {'enum': ['local', 'friendly', 'us', 'european', 'iso'], 'type': 'string'}}, 'required': ['name'], 'type': 'object'}}, 'required': ['dateFormat'], 'type': 'object'}, 'type': {'const': 'date', 'type': 'string'}}, 'required': ['options', 'type'], 'type': 'object'}, {'additionalProperties': False, 'properties': {'options': {'additionalProperties': False, 'properties': {'dateFormat': {'additionalProperties': False, 'properties': {'format': {'description': 'Format is optional when writing, but it must match\nthe corresponding name if provided.\n\n(`l` for local, `LL` for friendly, `M/D/YYYY` for us, `D/M/YYYY` for european, `YYYY-MM-DD` for iso)', 'enum': ['l', 'LL', 'M/D/YYYY', 'D/M/YYYY', 'YYYY-MM-DD'], 'type': 'string'}, 'name': {'enum': ['local', 'friendly', 'us', 'european', 'iso'], 'type': 'string'}}, 'required': ['name'], 'type': 'object'}, 'timeFormat': {'additionalProperties': False, 'properties': {'format': {'enum': ['h:mma', 'HH:mm'], 'type': 'string'}, 'name': {'enum': ['12hour', '24hour'], 'type': 'string'}}, 'required': ['name'], 'type': 'object'}, 'timeZone': {}}, 'required': ['dateFormat', 'timeFormat'], 'type': 'object'}, 'type': {'const': 'dateTime', 'type': 'string'}}, 'required': ['options', 'type'], 'type': 'object'}, {'additionalProperties': False, 'properties': {'options': {'additionalProperties': False, 'properties': {'isReversed': {'type': 'boolean'}}, 'required': ['isReversed'], 'type': 'object'}, 'type': {'const': 'multipleAttachments', 'type': 'string'}}, 'required': ['type'], 'type': 'object'}]}]}, 'type': 'array'}, 'name': {'type': 'string'}}, 'required': ['baseId', 'name', 'fields'], 'type': 'object'}, description="""Create a new table in a base"""), # domdomegg/airtable-mcp-server/create_table
    Tool(name="""airtable-mcp-server_list_records""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'baseId': {'type': 'string'}, 'maxRecords': {'type': 'number'}, 'tableId': {'type': 'string'}}, 'required': ['baseId', 'tableId'], 'type': 'object'}, description="""List records from a table"""), # domdomegg/airtable-mcp-server/list_records
    Tool(name="""airtable-mcp-server_list_bases""", inputSchema={'properties': {}, 'required': [], 'type': 'object'}, description="""List all accessible Airtable bases"""), # domdomegg/airtable-mcp-server/list_bases
    Tool(name="""airtable-mcp-server_list_tables""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'baseId': {'type': 'string'}}, 'required': ['baseId'], 'type': 'object'}, description="""List all tables in a specific base"""), # domdomegg/airtable-mcp-server/list_tables
    Tool(name="""airtable-mcp-server_get_record""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'baseId': {'type': 'string'}, 'recordId': {'type': 'string'}, 'tableId': {'type': 'string'}}, 'required': ['baseId', 'tableId', 'recordId'], 'type': 'object'}, description="""Get a specific record by ID"""), # domdomegg/airtable-mcp-server/get_record
    Tool(name="""airtable-mcp-server_create_record""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'baseId': {'type': 'string'}, 'fields': {'additionalProperties': {}, 'type': 'object'}, 'tableId': {'type': 'string'}}, 'required': ['baseId', 'tableId', 'fields'], 'type': 'object'}, description="""Create a new record in a table"""), # domdomegg/airtable-mcp-server/create_record
    Tool(name="""airtable-mcp-server_update_records""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'baseId': {'type': 'string'}, 'records': {'items': {'additionalProperties': False, 'properties': {'fields': {'additionalProperties': {}, 'type': 'object'}, 'id': {'type': 'string'}}, 'required': ['id', 'fields'], 'type': 'object'}, 'type': 'array'}, 'tableId': {'type': 'string'}}, 'required': ['baseId', 'tableId', 'records'], 'type': 'object'}, description="""Update one or more records in a table"""), # domdomegg/airtable-mcp-server/update_records
    Tool(name="""airtable-mcp-server_delete_records""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'baseId': {'type': 'string'}, 'recordIds': {'items': {'type': 'string'}, 'type': 'array'}, 'tableId': {'type': 'string'}}, 'required': ['baseId', 'tableId', 'recordIds'], 'type': 'object'}, description="""Delete one or more records from a table"""), # domdomegg/airtable-mcp-server/delete_records
    Tool(name="""airtable-mcp-server_update_table""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'baseId': {'type': 'string'}, 'description': {'type': 'string'}, 'name': {'type': 'string'}, 'tableId': {'type': 'string'}}, 'required': ['baseId', 'tableId'], 'type': 'object'}, description="""Update a table's name or description"""), # domdomegg/airtable-mcp-server/update_table
    Tool(name="""airtable-mcp-server_create_field""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'baseId': {'type': 'string'}, 'nested': {'additionalProperties': False, 'properties': {'field': {'allOf': [{'properties': {'description': {'type': 'string'}, 'name': {'type': 'string'}}, 'required': ['name'], 'type': 'object'}, {'anyOf': [{'additionalProperties': False, 'properties': {'type': {'const': 'autoNumber', 'type': 'string'}}, 'required': ['type'], 'type': 'object'}, {'additionalProperties': False, 'properties': {'type': {'const': 'barcode', 'type': 'string'}}, 'required': ['type'], 'type': 'object'}, {'additionalProperties': False, 'properties': {'type': {'const': 'button', 'type': 'string'}}, 'required': ['type'], 'type': 'object'}, {'additionalProperties': False, 'description': "Bases on a free or plus plan are limited to using the `'check'` icon and `'greenBright'` color.", 'properties': {'options': {'additionalProperties': False, 'properties': {'color': {'description': 'The color of the checkbox.', 'enum': ['greenBright', 'tealBright', 'cyanBright', 'blueBright', 'purpleBright', 'pinkBright', 'redBright', 'orangeBright', 'yellowBright', 'grayBright'], 'type': 'string'}, 'icon': {'description': 'The icon name of the checkbox.', 'enum': ['check', 'xCheckbox', 'star', 'heart', 'thumbsUp', 'flag', 'dot'], 'type': 'string'}}, 'required': ['color', 'icon'], 'type': 'object'}, 'type': {'const': 'checkbox', 'type': 'string'}}, 'required': ['options', 'type'], 'type': 'object'}, {'additionalProperties': False, 'properties': {'type': {'const': 'createdBy', 'type': 'string'}}, 'required': ['type'], 'type': 'object'}, {'additionalProperties': False, 'properties': {'options': {'additionalProperties': False, 'properties': {'result': {'anyOf': [{'additionalProperties': False, 'properties': {'options': {'additionalProperties': False, 'properties': {'dateFormat': {'additionalProperties': False, 'properties': {'format': {'description': '`format` is always provided when reading.\n(`l` for local, `LL` for friendly, `M/D/YYYY` for us, `D/M/YYYY` for european, `YYYY-MM-DD` for iso)', 'enum': ['l', 'LL', 'M/D/YYYY', 'D/M/YYYY', 'YYYY-MM-DD'], 'type': 'string'}, 'name': {'enum': ['local', 'friendly', 'us', 'european', 'iso'], 'type': 'string'}}, 'required': ['format', 'name'], 'type': 'object'}}, 'required': ['dateFormat'], 'type': 'object'}, 'type': {'const': 'date', 'type': 'string'}}, 'required': ['options', 'type'], 'type': 'object'}, {'additionalProperties': False, 'properties': {'options': {'additionalProperties': False, 'properties': {'dateFormat': {'additionalProperties': False, 'properties': {'format': {'description': '`format` is always provided when reading.\n(`l` for local, `LL` for friendly, `M/D/YYYY` for us, `D/M/YYYY` for european, `YYYY-MM-DD` for iso)', 'enum': ['l', 'LL', 'M/D/YYYY', 'D/M/YYYY', 'YYYY-MM-DD'], 'type': 'string'}, 'name': {'enum': ['local', 'friendly', 'us', 'european', 'iso'], 'type': 'string'}}, 'required': ['format', 'name'], 'type': 'object'}, 'timeFormat': {'additionalProperties': False, 'properties': {'format': {'enum': ['h:mma', 'HH:mm'], 'type': 'string'}, 'name': {'enum': ['12hour', '24hour'], 'type': 'string'}}, 'required': ['format', 'name'], 'type': 'object'}, 'timeZone': {}}, 'required': ['dateFormat', 'timeFormat'], 'type': 'object'}, 'type': {'const': 'dateTime', 'type': 'string'}}, 'required': ['options', 'type'], 'type': 'object'}], 'description': 'This will always be a `date` or `dateTime` field config.'}}, 'type': 'object'}, 'type': {'const': 'createdTime', 'type': 'string'}}, 'required': ['options', 'type'], 'type': 'object'}, {'additionalProperties': False, 'properties': {'options': {'additionalProperties': False, 'properties': {'isValid': {'description': '`false` when recordLinkFieldId is null, e.g. the referenced column was deleted.', 'type': 'boolean'}, 'recordLinkFieldId': {'type': ['string', 'null']}}, 'required': ['isValid'], 'type': 'object'}, 'type': {'const': 'count', 'type': 'string'}}, 'required': ['options', 'type'], 'type': 'object'}, {}, {'additionalProperties': False, 'properties': {'options': {'additionalProperties': False, 'properties': {'isValid': {'description': 'False if this formula/field configuation has an error', 'type': 'boolean'}, 'referencedFieldIds': {'anyOf': [{'items': {'type': 'string'}, 'type': 'array'}, {'type': 'null'}], 'description': 'The fields to check the last modified time of'}, 'result': {'anyOf': [{'additionalProperties': False, 'properties': {'options': {'additionalProperties': False, 'properties': {'dateFormat': {'additionalProperties': False, 'properties': {'format': {'description': '`format` is always provided when reading.\n(`l` for local, `LL` for friendly, `M/D/YYYY` for us, `D/M/YYYY` for european, `YYYY-MM-DD` for iso)', 'enum': ['l', 'LL', 'M/D/YYYY', 'D/M/YYYY', 'YYYY-MM-DD'], 'type': 'string'}, 'name': {'enum': ['local', 'friendly', 'us', 'european', 'iso'], 'type': 'string'}}, 'required': ['format', 'name'], 'type': 'object'}}, 'required': ['dateFormat'], 'type': 'object'}, 'type': {'const': 'date', 'type': 'string'}}, 'required': ['options', 'type'], 'type': 'object'}, {'additionalProperties': False, 'properties': {'options': {'additionalProperties': False, 'properties': {'dateFormat': {'additionalProperties': False, 'properties': {'format': {'description': '`format` is always provided when reading.\n(`l` for local, `LL` for friendly, `M/D/YYYY` for us, `D/M/YYYY` for european, `YYYY-MM-DD` for iso)', 'enum': ['l', 'LL', 'M/D/YYYY', 'D/M/YYYY', 'YYYY-MM-DD'], 'type': 'string'}, 'name': {'enum': ['local', 'friendly', 'us', 'european', 'iso'], 'type': 'string'}}, 'required': ['format', 'name'], 'type': 'object'}, 'timeFormat': {'additionalProperties': False, 'properties': {'format': {'enum': ['h:mma', 'HH:mm'], 'type': 'string'}, 'name': {'enum': ['12hour', '24hour'], 'type': 'string'}}, 'required': ['format', 'name'], 'type': 'object'}, 'timeZone': {}}, 'required': ['dateFormat', 'timeFormat'], 'type': 'object'}, 'type': {'const': 'dateTime', 'type': 'string'}}, 'required': ['options', 'type'], 'type': 'object'}, {'type': 'null'}], 'description': 'This will always be a `date` or `dateTime` field config.'}}, 'required': ['isValid', 'referencedFieldIds', 'result'], 'type': 'object'}, 'type': {'const': 'lastModifiedTime', 'type': 'string'}}, 'required': ['options', 'type'], 'type': 'object'}, {'additionalProperties': False, 'properties': {'type': {'const': 'lastModifiedBy', 'type': 'string'}}, 'required': ['type'], 'type': 'object'}, {'additionalProperties': False, 'properties': {'options': {'additionalProperties': False, 'properties': {'fieldIdInLinkedTable': {'description': 'The field in the linked table that this field is looking up.', 'type': ['string', 'null']}, 'isValid': {'description': 'Is the field currently valid (e.g. false if the linked record field has\nbeen deleted)', 'type': 'boolean'}, 'recordLinkFieldId': {'description': 'The linked record field in the current table.', 'type': ['string', 'null']}, 'result': {'anyOf': [{}, {'type': 'null'}], 'description': 'The field type and options inside of the linked table. See other field\ntype configs on this page for the possible values. Can be null if invalid.'}}, 'required': ['fieldIdInLinkedTable', 'isValid', 'recordLinkFieldId'], 'type': 'object'}, 'type': {'const': 'lookup', 'type': 'string'}}, 'required': ['options', 'type'], 'type': 'object'}, {'additionalProperties': False, 'properties': {'options': {'additionalProperties': False, 'properties': {'precision': {'description': 'Indicates the number of digits shown to the right of the decimal point for this field. (0-8 inclusive)', 'type': 'number'}}, 'required': ['precision'], 'type': 'object'}, 'type': {'const': 'number', 'type': 'string'}}, 'required': ['options', 'type'], 'type': 'object'}, {'additionalProperties': False, 'properties': {'options': {'additionalProperties': False, 'properties': {'precision': {'description': 'Indicates the number of digits shown to the right of the decimal point for this field. (0-8 inclusive)', 'type': 'number'}}, 'required': ['precision'], 'type': 'object'}, 'type': {'const': 'percent', 'type': 'string'}}, 'required': ['options', 'type'], 'type': 'object'}, {'additionalProperties': False, 'properties': {'options': {'additionalProperties': False, 'properties': {'precision': {'description': 'Indicates the number of digits shown to the right of the decimal point for this field. (0-7 inclusive)', 'type': 'number'}, 'symbol': {'description': 'Currency symbol to use.', 'type': 'string'}}, 'required': ['precision', 'symbol'], 'type': 'object'}, 'type': {'const': 'currency', 'type': 'string'}}, 'required': ['options', 'type'], 'type': 'object'}, {'additionalProperties': False, 'properties': {'options': {'additionalProperties': False, 'properties': {'durationFormat': {'enum': ['h:mm', 'h:mm:ss', 'h:mm:ss.S', 'h:mm:ss.SS', 'h:mm:ss.SSS'], 'type': 'string'}}, 'required': ['durationFormat'], 'type': 'object'}, 'type': {'const': 'duration', 'type': 'string'}}, 'required': ['options', 'type'], 'type': 'object'}, {'additionalProperties': False, 'properties': {'type': {'const': 'multilineText', 'type': 'string'}}, 'required': ['type'], 'type': 'object'}, {'additionalProperties': False, 'properties': {'type': {'const': 'phoneNumber', 'type': 'string'}}, 'required': ['type'], 'type': 'object'}, {'additionalProperties': False, 'description': "Bases on a free or plus plan are limited to using the 'star' icon and 'yellowBright' color.", 'properties': {'options': {'additionalProperties': False, 'properties': {'color': {'description': 'The color of selected icons.', 'enum': ['yellowBright', 'orangeBright', 'redBright', 'pinkBright', 'purpleBright', 'blueBright', 'cyanBright', 'tealBright', 'greenBright', 'grayBright'], 'type': 'string'}, 'icon': {'description': 'The icon name used to display the rating.', 'enum': ['star', 'heart', 'thumbsUp', 'flag', 'dot'], 'type': 'string'}, 'max': {'description': 'The maximum value for the rating, from 1 to 10 inclusive.', 'type': 'number'}}, 'required': ['color', 'icon', 'max'], 'type': 'object'}, 'type': {'const': 'rating', 'type': 'string'}}, 'required': ['options', 'type'], 'type': 'object'}, {'additionalProperties': False, 'properties': {'type': {'const': 'richText', 'type': 'string'}}, 'required': ['type'], 'type': 'object'}, {'additionalProperties': False, 'properties': {'options': {'additionalProperties': False, 'properties': {'fieldIdInLinkedTable': {'description': 'The id of the field in the linked table', 'type': 'string'}, 'isValid': {'type': 'boolean'}, 'recordLinkFieldId': {'description': 'The linked field id', 'type': 'string'}, 'referencedFieldIds': {'description': 'The ids of any fields referenced in the rollup formula', 'items': {'type': 'string'}, 'type': 'array'}, 'result': {'anyOf': [{}, {'type': 'null'}], 'description': 'The resulting field type and options for the rollup. See other field\ntype configs on this page for the possible values. Can be null if invalid.'}}, 'type': 'object'}, 'type': {'const': 'rollup', 'type': 'string'}}, 'required': ['options', 'type'], 'type': 'object'}, {'additionalProperties': False, 'properties': {'type': {'const': 'singleLineText', 'type': 'string'}}, 'required': ['type'], 'type': 'object'}, {'additionalProperties': False, 'properties': {'type': {'const': 'email', 'type': 'string'}}, 'required': ['type'], 'type': 'object'}, {'additionalProperties': False, 'properties': {'type': {'const': 'url', 'type': 'string'}}, 'required': ['type'], 'type': 'object'}, {'additionalProperties': False, 'properties': {'options': {'additionalProperties': False, 'properties': {'choices': {'items': {'additionalProperties': False, 'properties': {'color': {'description': 'Optional when the select field is configured to not use colors.\n\nAllowed values: "blueLight2", "cyanLight2", "tealLight2", "greenLight2", "yellowLight2", "orangeLight2", "redLight2", "pinkLight2", "purpleLight2", "grayLight2", "blueLight1", "cyanLight1", "tealLight1", "greenLight1", "yellowLight1", "orangeLight1", "redLight1", "pinkLight1", "purpleLight1", "grayLight1", "blueBright", "cyanBright", "tealBright", "greenBright", "yellowBright", "orangeBright", "redBright", "pinkBright", "purpleBright", "grayBright", "blueDark1", "cyanDark1", "tealDark1", "greenDark1", "yellowDark1", "orangeDark1", "redDark1", "pinkDark1", "purpleDark1", "grayDark1"', 'type': 'string'}, 'id': {'type': 'string'}, 'name': {'type': 'string'}}, 'required': ['id', 'name'], 'type': 'object'}, 'type': 'array'}}, 'required': ['choices'], 'type': 'object'}, 'type': {'const': 'externalSyncSource', 'type': 'string'}}, 'required': ['options', 'type'], 'type': 'object'}, {'additionalProperties': False, 'properties': {'options': {'additionalProperties': False, 'properties': {'prompt': {'description': 'The prompt that is used to generate the results in the AI field, additional object\ntypes may be added in the future. Currently, this is an array of strings or objects that identify any fields interpolated into the prompt.\n\nThe prompt will not currently be provided if this field config is within another\nfields configuration (like a lookup field)', 'items': {'anyOf': [{'type': 'string'}, {'additionalProperties': False, 'properties': {'field': {'additionalProperties': False, 'properties': {'fieldId': {'type': 'string'}}, 'required': ['fieldId'], 'type': 'object'}}, 'required': ['field'], 'type': 'object'}]}, 'type': 'array'}, 'referencedFieldIds': {'description': 'The other fields in the record that are used in the ai field\n\nThe referencedFieldIds will not currently be provided if this field config is within another\nfields configuration (like a lookup field)', 'items': {'type': 'string'}, 'type': 'array'}}, 'type': 'object'}, 'type': {'const': 'aiText', 'type': 'string'}}, 'required': ['options', 'type'], 'type': 'object'}, {'additionalProperties': False, 'description': 'Creating "multipleRecordLinks" fields is supported but updating options for\nexisting "multipleRecordLinks" fields is not supported.', 'properties': {'options': {'additionalProperties': False, 'properties': {'linkedTableId': {'description': 'The ID of the table this field links to', 'type': 'string'}, 'viewIdForRecordSelection': {'description': 'The ID of the view in the linked table\nto use when showing a list of records to select from', 'type': 'string'}}, 'required': ['linkedTableId'], 'type': 'object'}, 'type': {'const': 'multipleRecordLinks', 'type': 'string'}}, 'required': ['options', 'type'], 'type': 'object'}, {'additionalProperties': False, 'properties': {'options': {'additionalProperties': False, 'properties': {'choices': {'items': {'additionalProperties': False, 'properties': {'color': {'description': 'Optional when creating an option.', 'type': 'string'}, 'id': {'description': 'This is not specified when creating new options, useful when specifing existing\noptions (for example: reordering options, keeping old options and adding new ones, etc)', 'type': 'string'}, 'name': {'type': 'string'}}, 'required': ['name'], 'type': 'object'}, 'type': 'array'}}, 'required': ['choices'], 'type': 'object'}, 'type': {'const': 'singleSelect', 'type': 'string'}}, 'required': ['options', 'type'], 'type': 'object'}, {'additionalProperties': False, 'properties': {'options': {'additionalProperties': False, 'properties': {'choices': {'items': {'additionalProperties': False, 'properties': {'color': {'description': 'Optional when creating an option.', 'type': 'string'}, 'id': {'description': 'This is not specified when creating new options, useful when specifing existing\noptions (for example: reordering options, keeping old options and adding new ones, etc)', 'type': 'string'}, 'name': {'type': 'string'}}, 'required': ['name'], 'type': 'object'}, 'type': 'array'}}, 'required': ['choices'], 'type': 'object'}, 'type': {'const': 'multipleSelects', 'type': 'string'}}, 'required': ['options', 'type'], 'type': 'object'}, {'additionalProperties': False, 'properties': {'options': {'additionalProperties': {}, 'type': 'object'}, 'type': {'const': 'singleCollaborator', 'type': 'string'}}, 'required': ['type'], 'type': 'object'}, {'additionalProperties': False, 'properties': {'options': {'additionalProperties': {}, 'type': 'object'}, 'type': {'const': 'multipleCollaborators', 'type': 'string'}}, 'required': ['type'], 'type': 'object'}, {'additionalProperties': False, 'properties': {'options': {'additionalProperties': False, 'properties': {'dateFormat': {'additionalProperties': False, 'properties': {'format': {'description': 'Format is optional when writing, but it must match\nthe corresponding name if provided.\n\n(`l` for local, `LL` for friendly, `M/D/YYYY` for us, `D/M/YYYY` for european, `YYYY-MM-DD` for iso)', 'enum': ['l', 'LL', 'M/D/YYYY', 'D/M/YYYY', 'YYYY-MM-DD'], 'type': 'string'}, 'name': {'enum': ['local', 'friendly', 'us', 'european', 'iso'], 'type': 'string'}}, 'required': ['name'], 'type': 'object'}}, 'required': ['dateFormat'], 'type': 'object'}, 'type': {'const': 'date', 'type': 'string'}}, 'required': ['options', 'type'], 'type': 'object'}, {'additionalProperties': False, 'properties': {'options': {'additionalProperties': False, 'properties': {'dateFormat': {'additionalProperties': False, 'properties': {'format': {'description': 'Format is optional when writing, but it must match\nthe corresponding name if provided.\n\n(`l` for local, `LL` for friendly, `M/D/YYYY` for us, `D/M/YYYY` for european, `YYYY-MM-DD` for iso)', 'enum': ['l', 'LL', 'M/D/YYYY', 'D/M/YYYY', 'YYYY-MM-DD'], 'type': 'string'}, 'name': {'enum': ['local', 'friendly', 'us', 'european', 'iso'], 'type': 'string'}}, 'required': ['name'], 'type': 'object'}, 'timeFormat': {'additionalProperties': False, 'properties': {'format': {'enum': ['h:mma', 'HH:mm'], 'type': 'string'}, 'name': {'enum': ['12hour', '24hour'], 'type': 'string'}}, 'required': ['name'], 'type': 'object'}, 'timeZone': {}}, 'required': ['dateFormat', 'timeFormat'], 'type': 'object'}, 'type': {'const': 'dateTime', 'type': 'string'}}, 'required': ['options', 'type'], 'type': 'object'}, {'additionalProperties': False, 'properties': {'options': {'additionalProperties': False, 'properties': {'isReversed': {'type': 'boolean'}}, 'required': ['isReversed'], 'type': 'object'}, 'type': {'const': 'multipleAttachments', 'type': 'string'}}, 'required': ['type'], 'type': 'object'}]}]}}, 'required': ['field'], 'type': 'object'}, 'tableId': {'type': 'string'}}, 'required': ['baseId', 'tableId', 'nested'], 'type': 'object'}, description="""Create a new field in a table"""), # domdomegg/airtable-mcp-server/create_field
    Tool(name="""airtable-mcp-server_update_field""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'baseId': {'type': 'string'}, 'description': {'type': 'string'}, 'fieldId': {'type': 'string'}, 'name': {'type': 'string'}, 'tableId': {'type': 'string'}}, 'required': ['baseId', 'tableId', 'fieldId'], 'type': 'object'}, description="""Update a field's name or description"""), # domdomegg/airtable-mcp-server/update_field
    Tool(name="""mcp-text-editor_append_text_file_contents""", inputSchema={'properties': {'contents': {'description': 'Content to append to the file', 'type': 'string'}, 'encoding': {'default': 'utf-8', 'description': "Text encoding (default: 'utf-8')", 'type': 'string'}, 'file_hash': {'description': 'Hash of the file contents for concurrency control. it should be matched with the file_hash when get_text_file_contents is called.', 'type': 'string'}, 'file_path': {'description': 'Path to the text file. File path must be absolute.', 'type': 'string'}}, 'required': ['file_path', 'contents', 'file_hash'], 'type': 'object'}, description="""Append content to an existing text file. The file must exist."""), # tumf/mcp-text-editor/append_text_file_contents
    Tool(name="""mcp-text-editor_get_text_file_contents""", inputSchema={'properties': {'encoding': {'default': 'utf-8', 'description': "Text encoding (default: 'utf-8')", 'type': 'string'}, 'files': {'description': 'List of files and their line ranges to read', 'items': {'properties': {'file_path': {'description': 'Path to the text file. File path must be absolute.', 'type': 'string'}, 'ranges': {'description': 'List of line ranges to read from the file', 'items': {'properties': {'end': {'description': 'Ending line number (null for end of file)', 'type': ['integer', 'null']}, 'start': {'description': 'Starting line number (1-based)', 'type': 'integer'}}, 'required': ['start'], 'type': 'object'}, 'type': 'array'}}, 'required': ['file_path', 'ranges'], 'type': 'object'}, 'type': 'array'}}, 'required': ['files'], 'type': 'object'}, description="""Read text file contents from multiple files and line ranges. Returns file contents with hashes for concurrency control and line numbers for reference. The hashes are used to detect conflicts when editing the files. File paths must be absolute."""), # tumf/mcp-text-editor/get_text_file_contents
    Tool(name="""mcp-text-editor_create_text_file""", inputSchema={'properties': {'contents': {'description': 'Content to write to the file', 'type': 'string'}, 'encoding': {'default': 'utf-8', 'description': "Text encoding (default: 'utf-8')", 'type': 'string'}, 'file_path': {'description': 'Path to the text file. File path must be absolute.', 'type': 'string'}}, 'required': ['file_path', 'contents'], 'type': 'object'}, description="""Create a new text file with given content. The file must not exist already."""), # tumf/mcp-text-editor/create_text_file
    Tool(name="""mcp-text-editor_delete_text_file_contents""", inputSchema={'properties': {'encoding': {'default': 'utf-8', 'description': "Text encoding (default: 'utf-8')", 'type': 'string'}, 'file_hash': {'description': 'Hash of the file contents for concurrency control. it should be matched with the file_hash when get_text_file_contents is called.', 'type': 'string'}, 'file_path': {'description': 'Path to the text file. File path must be absolute.', 'type': 'string'}, 'ranges': {'description': 'List of line ranges to delete', 'items': {'properties': {'end': {'description': 'Ending line number (null for end of file)', 'type': ['integer', 'null']}, 'range_hash': {'description': 'Hash of the content being deleted. it should be matched with the range_hash when get_text_file_contents is called with the same range.', 'type': 'string'}, 'start': {'description': 'Starting line number (1-based)', 'type': 'integer'}}, 'required': ['start', 'range_hash'], 'type': 'object'}, 'type': 'array'}}, 'required': ['file_path', 'file_hash', 'ranges'], 'type': 'object'}, description="""Delete specified content ranges from a text file. The file must exist. File paths must be absolute. You need to provide the file_hash comes from get_text_file_contents."""), # tumf/mcp-text-editor/delete_text_file_contents
    Tool(name="""mcp-text-editor_insert_text_file_contents""", inputSchema={'properties': {'after': {'description': "Line number after which to insert content (mutually exclusive with 'before')", 'type': 'integer'}, 'before': {'description': "Line number before which to insert content (mutually exclusive with 'after')", 'type': 'integer'}, 'contents': {'description': 'Content to insert', 'type': 'string'}, 'encoding': {'default': 'utf-8', 'description': "Text encoding (default: 'utf-8')", 'type': 'string'}, 'file_hash': {'description': 'Hash of the file contents for concurrency control. it should be matched with the file_hash when get_text_file_contents is called.', 'type': 'string'}, 'file_path': {'description': 'Path to the text file. File path must be absolute.', 'type': 'string'}}, 'required': ['file_path', 'file_hash', 'contents'], 'type': 'object'}, description="""Insert content before or after a specific line in a text file. Uses hash-based validation for concurrency control. You need to provide the file_hash comes from get_text_file_contents."""), # tumf/mcp-text-editor/insert_text_file_contents
    Tool(name="""mcp-text-editor_patch_text_file_contents""", inputSchema={'properties': {'encoding': {'default': 'utf-8', 'description': "Text encoding (default: 'utf-8')", 'type': 'string'}, 'file_hash': {'description': 'Hash of the file contents for concurrency control.', 'type': 'string'}, 'file_path': {'description': 'Path to the text file. File path must be absolute.', 'type': 'string'}, 'patches': {'description': 'List of patches to apply', 'items': {'properties': {'contents': {'description': 'New content to replace the range with', 'type': 'string'}, 'end': {'description': 'Ending line number (null for end of file).it should match the range hash.', 'type': 'integer'}, 'range_hash': {'description': 'Hash of the content being replaced. it should get from get_text_file_contents tool with the same start and end.', 'type': 'string'}, 'start': {'description': 'Starting line number (1-based).it should match the range hash.', 'type': 'integer'}}, 'required': ['start', 'end', 'contents', 'range_hash'], 'type': 'object'}, 'type': 'array'}}, 'required': ['file_path', 'file_hash', 'patches'], 'type': 'object'}, description="""Apply patches to text files with hash-based validation for concurrency control.you need to use get_text_file_contents tool to get the file hash and range hash every time before using this tool. you can use append_text_file_contents tool to append text contents to the file without range hash, start and end. you can use insert_text_file_contents tool to insert text contents to the file without range hash, start and end."""), # tumf/mcp-text-editor/patch_text_file_contents
    Tool(name="""mcp-dice_roll_dice""", inputSchema={'properties': {'notation': {'description': "Dice notation (e.g., '2d6+3', '1d20-2')", 'pattern': '^\\d+d\\d+([+-]\\d+)?$', 'type': 'string'}}, 'required': ['notation'], 'type': 'object'}, description="""Roll dice using standard notation (e.g., '2d6+3', '1d20-2')"""), # yamaton/mcp-dice/roll_dice
    Tool(name="""mcp-shodan_ip_lookup""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'ip': {'description': 'The IP address to query.', 'type': 'string'}}, 'required': ['ip'], 'type': 'object'}, description="""Retrieve comprehensive information about an IP address, including geolocation, open ports, running services, SSL certificates, hostnames, and cloud provider details if available. Returns service banners and HTTP server information when present."""), # BurtTheCoder/mcp-shodan/ip_lookup
    Tool(name="""mcp-shodan_shodan_search""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'max_results': {'default': 10, 'description': 'Maximum results to return.', 'type': 'number'}, 'query': {'description': 'Search query for Shodan.', 'type': 'string'}}, 'required': ['query'], 'type': 'object'}, description="""Search Shodan's database of internet-connected devices. Returns detailed information about matching devices including services, vulnerabilities, and geographic distribution. Supports advanced search filters and returns country-based statistics."""), # BurtTheCoder/mcp-shodan/shodan_search
    Tool(name="""mcp-shodan_cve_lookup""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'cve': {'description': 'The CVE identifier to query (format: CVE-YYYY-NNNNN).', 'pattern': '^CVE-\\d{4}-\\d{4,}$', 'type': 'string'}}, 'required': ['cve'], 'type': 'object'}, description="""Query detailed vulnerability information from Shodan's CVEDB. Returns comprehensive CVE details including CVSS scores (v2/v3), EPSS probability and ranking, KEV status, proposed mitigations, ransomware associations, and affected products (CPEs)."""), # BurtTheCoder/mcp-shodan/cve_lookup
    Tool(name="""mcp-shodan_dns_lookup""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'hostnames': {'description': 'List of hostnames to resolve.', 'items': {'type': 'string'}, 'type': 'array'}}, 'required': ['hostnames'], 'type': 'object'}, description="""Resolve domain names to IP addresses using Shodan's DNS service. Supports batch resolution of multiple hostnames in a single query. Returns IP addresses mapped to their corresponding hostnames."""), # BurtTheCoder/mcp-shodan/dns_lookup
    Tool(name="""mcp-shodan_cpe_lookup""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'count': {'default': False, 'description': 'If true, returns only the count of matching CPEs.', 'type': 'boolean'}, 'limit': {'default': 1000, 'description': 'Maximum number of CPEs to return (max 1000).', 'type': 'number'}, 'product': {'description': 'The name of the product to search for CPEs.', 'type': 'string'}, 'skip': {'default': 0, 'description': 'Number of CPEs to skip (for pagination).', 'type': 'number'}}, 'required': ['product'], 'type': 'object'}, description="""Search for Common Platform Enumeration (CPE) entries by product name in Shodan's CVEDB. Supports pagination and can return either full CPE details or just the total count. Useful for identifying specific versions and configurations of software and hardware."""), # BurtTheCoder/mcp-shodan/cpe_lookup
    Tool(name="""mcp-shodan_cves_by_product""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'count': {'default': False, 'description': 'If true, returns only the count of matching CVEs.', 'type': 'boolean'}, 'cpe23': {'description': 'The CPE version 2.3 identifier (format: cpe:2.3:part:vendor:product:version).', 'type': 'string'}, 'end_date': {'description': 'End date for filtering CVEs (format: YYYY-MM-DDTHH:MM:SS).', 'type': 'string'}, 'is_kev': {'default': False, 'description': 'If true, returns only CVEs with the KEV flag set.', 'type': 'boolean'}, 'limit': {'default': 1000, 'description': 'Maximum number of CVEs to return (max 1000).', 'type': 'number'}, 'product': {'description': 'The name of the product to search for CVEs.', 'type': 'string'}, 'skip': {'default': 0, 'description': 'Number of CVEs to skip (for pagination).', 'type': 'number'}, 'sort_by_epss': {'default': False, 'description': 'If true, sorts CVEs by EPSS score in descending order.', 'type': 'boolean'}, 'start_date': {'description': 'Start date for filtering CVEs (format: YYYY-MM-DDTHH:MM:SS).', 'type': 'string'}}, 'type': 'object'}, description="""Search for vulnerabilities affecting specific products or CPEs. Supports filtering by KEV status, sorting by EPSS score, date ranges, and pagination. Can search by product name or CPE 2.3 identifier. Returns detailed vulnerability information including severity scores and impact assessments."""), # BurtTheCoder/mcp-shodan/cves_by_product
    Tool(name="""mcp-shodan_reverse_dns_lookup""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'ips': {'description': 'List of IP addresses to perform reverse DNS lookup on.', 'items': {'type': 'string'}, 'type': 'array'}}, 'required': ['ips'], 'type': 'object'}, description="""Perform reverse DNS lookups to find hostnames associated with IP addresses. Supports batch lookups of multiple IP addresses in a single query. Returns all known hostnames for each IP address, with clear indication when no hostnames are found."""), # BurtTheCoder/mcp-shodan/reverse_dns_lookup
    Tool(name="""MCP PubMed Search_pubmed_search""", inputSchema={'properties': {'max_results': {'default': 15, 'description': 'Maximum number of results (1-15)', 'type': 'number'}, 'query': {'description': 'Medical/scientific search query', 'type': 'string'}}, 'required': ['query'], 'type': 'object'}, description="""Search PubMed medical literature database"""), # wavelovey/MCP PubMed Search/pubmed_search
    Tool(name="""Apple Shortcuts Server_run_shortcut""", inputSchema={'properties': {'input': {'description': 'Optional input to pass to the shortcut', 'type': 'string'}, 'name': {'description': 'Name of the shortcut to run', 'type': 'string'}}, 'required': ['name'], 'type': 'object'}, description="""Run a Shortcuts automation by name"""), # recursechat/Apple Shortcuts Server/run_shortcut
    Tool(name="""Apple Shortcuts Server_list_shortcuts""", inputSchema={'properties': {}, 'type': 'object'}, description="""List all available shortcuts"""), # recursechat/Apple Shortcuts Server/list_shortcuts
    Tool(name="""Perplexity MCP Server_ask_perplexity""", inputSchema={'properties': {'messages': {'description': 'A list of messages comprising the conversation so far.', 'items': {'properties': {'content': {'description': 'The contents of the message in this turn of conversation.', 'type': 'string'}, 'role': {'description': 'The role of the speaker in this turn of conversation. After the (optional) system message, user and assistant roles should alternate with user then assistant, ending in user.', 'enum': ['system', 'user', 'assistant'], 'type': 'string'}}, 'required': ['content', 'role'], 'type': 'object'}, 'type': 'array'}, 'model': {'description': 'The name of the model that will complete your prompt.', 'enum': ['llama-3.1-sonar-small-128k-online'], 'type': 'string'}}, 'required': ['model', 'messages'], 'type': 'object'}, description="""\nPerplexity equips agents with a specialized tool for efficiently\ngathering source-backed information from the internet, ideal for\nscenarios requiring research, fact-checking, or contextual data to\ninform decisions and responses.\nEach response includes citations, which provide transparent references\nto the sources used for the generated answer, and choices, which\ncontain the model's suggested responses, enabling users to access\nreliable information and diverse perspectives.\nThis function may encounter timeout errors due to long processing times,\nbut retrying the operation can lead to successful completion.\n[Response structure]\n- id: An ID generated uniquely for each response.\n- model: The model used to generate the response.\n- object: The object type, which always equals `chat.completion`.\n- created: The Unix timestamp (in seconds) of when the completion was\n  created.\n- citations[]: Citations for the generated answer.\n- choices[]: The list of completion choices the model generated for the\n  input prompt.\n- usage: Usage statistics for the completion request.\n"""), # tanigami/Perplexity MCP Server/ask_perplexity
    Tool(name="""mcp-installer_install_local_mcp_server""", inputSchema={'properties': {'args': {'description': 'The arguments to pass along', 'items': {'type': 'string'}, 'type': 'array'}, 'env': {'description': 'The environment variables to set, delimited by =', 'items': {'type': 'string'}, 'type': 'array'}, 'path': {'description': 'The path to the MCP server code cloned on your computer', 'type': 'string'}}, 'required': ['path'], 'type': 'object'}, description="""Install an MCP server whose code is cloned locally on your computer"""), # anaisbetts/mcp-installer/install_local_mcp_server
    Tool(name="""mcp-installer_install_repo_mcp_server""", inputSchema={'properties': {'args': {'description': 'The arguments to pass along', 'items': {'type': 'string'}, 'type': 'array'}, 'env': {'description': 'The environment variables to set, delimited by =', 'items': {'type': 'string'}, 'type': 'array'}, 'name': {'description': 'The package name of the MCP server', 'type': 'string'}}, 'required': ['name'], 'type': 'object'}, description="""Install an MCP server via npx or uvx"""), # anaisbetts/mcp-installer/install_repo_mcp_server
    Tool(name="""any-chat-completions-mcp_chat-with-openai""", inputSchema={'properties': {'content': {'description': 'The content of the chat to send to OpenAI', 'type': 'string'}}, 'required': ['content'], 'type': 'object'}, description="""Text chat with OpenAI"""), # pyroprompts/any-chat-completions-mcp/chat-with-openai
    Tool(name="""MCP Atlassian_confluence_search""", inputSchema={'properties': {'limit': {'default': 10, 'description': 'Maximum number of results (1-50)', 'maximum': 50, 'minimum': 1, 'type': 'number'}, 'query': {'description': 'Search query - can be either a simple text (e.g. \'project documentation\') or a CQL query string. Examples of CQL:\n- Basic search: \'type=page AND space=DEV\'\n- Personal space search: \'space="~username"\' (note: personal space keys starting with ~ must be quoted)\n- Search by title: \'title~"Meeting Notes"\'\n- Recent content: \'created >= "2023-01-01"\'\n- Content with specific label: \'label=documentation\'\n- Recently modified content: \'lastModified > startOfMonth("-1M")\'\n- Content modified this year: \'creator = currentUser() AND lastModified > startOfYear()\'\n- Content you contributed to recently: \'contributor = currentUser() AND lastModified > startOfWeek()\'\n- Content watched by user: \'watcher = "user@domain.com" AND type = page\'\n- Exact phrase in content: \'text ~ "\\"Urgent Review Required\\"" AND label = "pending-approval"\'\n- Title wildcards: \'title ~ "Minutes*" AND (space = "HR" OR space = "Marketing")\'\nNote: Special identifiers need proper quoting in CQL: personal space keys (e.g., "~username"), reserved words, numeric IDs, and identifiers with special characters.', 'type': 'string'}, 'spaces_filter': {'description': 'Comma-separated list of space keys to filter results by. Overrides the environment variable CONFLUENCE_SPACES_FILTER if provided.', 'type': 'string'}}, 'required': ['query'], 'type': 'object'}, description="""Search Confluence content using simple terms or CQL"""), # sooperset/MCP Atlassian/confluence_search
    Tool(name="""MCP Atlassian_confluence_get_page""", inputSchema={'properties': {'convert_to_markdown': {'default': True, 'description': 'Whether to convert page to markdown (true) or keep it in raw HTML format (false). Raw HTML can reveal macros (like dates) not visible in markdown, but CAUTION: using HTML significantly increases token usage in AI responses.', 'type': 'boolean'}, 'include_metadata': {'default': True, 'description': 'Whether to include page metadata such as creation date, last update, version, and labels', 'type': 'boolean'}, 'page_id': {'description': "Confluence page ID (numeric ID, can be found in the page URL). For example, in the URL 'https://example.atlassian.net/wiki/spaces/TEAM/pages/123456789/Page+Title', the page ID is '123456789'", 'type': 'string'}}, 'required': ['page_id'], 'type': 'object'}, description="""Get content of a specific Confluence page by ID"""), # sooperset/MCP Atlassian/confluence_get_page
    Tool(name="""MCP Atlassian_confluence_get_page_children""", inputSchema={'properties': {'expand': {'default': 'version', 'description': "Fields to expand in the response (e.g., 'version', 'body.storage')", 'type': 'string'}, 'include_content': {'default': False, 'description': 'Whether to include the page content in the response', 'type': 'boolean'}, 'limit': {'default': 25, 'description': 'Maximum number of child pages to return (1-50)', 'maximum': 50, 'minimum': 1, 'type': 'number'}, 'parent_id': {'description': 'The ID of the parent page whose children you want to retrieve', 'type': 'string'}}, 'required': ['parent_id'], 'type': 'object'}, description="""Get child pages of a specific Confluence page"""), # sooperset/MCP Atlassian/confluence_get_page_children
    Tool(name="""MCP Atlassian_confluence_get_page_ancestors""", inputSchema={'properties': {'page_id': {'description': 'The ID of the page whose ancestors you want to retrieve', 'type': 'string'}}, 'required': ['page_id'], 'type': 'object'}, description="""Get ancestor (parent) pages of a specific Confluence page"""), # sooperset/MCP Atlassian/confluence_get_page_ancestors
    Tool(name="""MCP Atlassian_confluence_get_comments""", inputSchema={'properties': {'page_id': {'description': "Confluence page ID (numeric ID, can be parsed from URL, e.g. from 'https://example.atlassian.net/wiki/spaces/TEAM/pages/123456789/Page+Title' -> '123456789')", 'type': 'string'}}, 'required': ['page_id'], 'type': 'object'}, description="""Get comments for a specific Confluence page"""), # sooperset/MCP Atlassian/confluence_get_comments
    Tool(name="""MCP Atlassian_confluence_create_page""", inputSchema={'properties': {'content': {'description': 'The content of the page in Markdown format. Supports headings, lists, tables, code blocks, and other Markdown syntax', 'type': 'string'}, 'parent_id': {'description': 'Optional parent page ID. If provided, this page will be created as a child of the specified page', 'type': 'string'}, 'space_key': {'description': "The key of the space to create the page in (usually a short uppercase code like 'DEV', 'TEAM', or 'DOC')", 'type': 'string'}, 'title': {'description': 'The title of the page', 'type': 'string'}}, 'required': ['space_key', 'title', 'content'], 'type': 'object'}, description="""Create a new Confluence page"""), # sooperset/MCP Atlassian/confluence_create_page
    Tool(name="""MCP Atlassian_confluence_update_page""", inputSchema={'properties': {'content': {'description': 'The new content of the page in Markdown format', 'type': 'string'}, 'is_minor_edit': {'default': False, 'description': 'Whether this is a minor edit', 'type': 'boolean'}, 'page_id': {'description': 'The ID of the page to update', 'type': 'string'}, 'title': {'description': 'The new title of the page', 'type': 'string'}, 'version_comment': {'default': '', 'description': 'Optional comment for this version', 'type': 'string'}}, 'required': ['page_id', 'title', 'content'], 'type': 'object'}, description="""Update an existing Confluence page"""), # sooperset/MCP Atlassian/confluence_update_page
    Tool(name="""MCP Atlassian_confluence_delete_page""", inputSchema={'properties': {'page_id': {'description': 'The ID of the page to delete', 'type': 'string'}}, 'required': ['page_id'], 'type': 'object'}, description="""Delete an existing Confluence page"""), # sooperset/MCP Atlassian/confluence_delete_page
    Tool(name="""MCP Atlassian_confluence_attach_content""", inputSchema={'properties': {'content': {'description': 'The content to attach (bytes)', 'format': 'binary', 'type': 'string'}, 'name': {'description': 'The name of the attachment', 'type': 'string'}, 'page_id': {'description': 'The ID of the page to attach the content to', 'type': 'string'}}, 'required': ['content', 'name', 'page_id'], 'type': 'object'}, description="""Attach content to a Confluence page"""), # sooperset/MCP Atlassian/confluence_attach_content
    Tool(name="""MCP Atlassian_jira_get_issue""", inputSchema={'properties': {'comment_limit': {'default': 10, 'description': 'Maximum number of comments to include (0 or null for no comments)', 'maximum': 100, 'minimum': 0, 'type': 'integer'}, 'expand': {'default': None, 'description': "Optional fields to expand. Examples: 'renderedFields' (for rendered content), 'transitions' (for available status transitions), 'changelog' (for history)", 'type': 'string'}, 'fields': {'default': 'summary,description,status,assignee,reporter,labels,priority,created,updated,issuetype', 'description': "Fields to return. Can be a comma-separated list (e.g., 'summary,status,customfield_10010'), '*all' for all fields (including custom fields), or omitted for essential fields only", 'type': 'string'}, 'issue_key': {'description': "Jira issue key (e.g., 'PROJ-123')", 'type': 'string'}, 'properties': {'default': None, 'description': 'A comma-separated list of issue properties to return', 'type': 'string'}, 'update_history': {'default': True, 'description': 'Whether to update the issue view history for the requesting user', 'type': 'boolean'}}, 'required': ['issue_key'], 'type': 'object'}, description="""Get details of a specific Jira issue including its Epic links and relationship information"""), # sooperset/MCP Atlassian/jira_get_issue
    Tool(name="""MCP Atlassian_jira_update_issue""", inputSchema={'properties': {'additional_fields': {'default': '{}', 'description': 'Optional JSON string of additional fields to update. Use this for custom fields or more complex updates.', 'type': 'string'}, 'attachments': {'description': 'Optional JSON string or comma-separated list of file paths to attach to the issue. Example: "/path/to/file1.txt,/path/to/file2.txt" or "["/path/to/file1.txt","/path/to/file2.txt"]"', 'type': 'string'}, 'fields': {'description': 'A valid JSON object of fields to update as a string. Example: \'{"summary": "New title", "description": "Updated description", "priority": {"name": "High"}, "assignee": {"name": "john.doe"}}\'', 'type': 'string'}, 'issue_key': {'description': "Jira issue key (e.g., 'PROJ-123')", 'type': 'string'}}, 'required': ['issue_key', 'fields'], 'type': 'object'}, description="""Update an existing Jira issue including changing status, adding Epic links, updating fields, etc."""), # sooperset/MCP Atlassian/jira_update_issue
    Tool(name="""MCP Atlassian_jira_search""", inputSchema={'properties': {'fields': {'default': '*all', 'description': "Comma-separated fields to return in the results. Use '*all' for all fields, or specify individual fields like 'summary,status,assignee,priority'", 'type': 'string'}, 'jql': {'description': 'JQL query string (Jira Query Language). Examples:\n- Find Epics: "issuetype = Epic AND project = PROJ"\n- Find issues in Epic: "parent = PROJ-123"\n- Find by status: "status = \'In Progress\' AND project = PROJ"\n- Find by assignee: "assignee = currentUser()"\n- Find recently updated: "updated >= -7d AND project = PROJ"\n- Find by label: "labels = frontend AND project = PROJ"\n- Find by priority: "priority = High AND project = PROJ"', 'type': 'string'}, 'limit': {'default': 10, 'description': 'Maximum number of results (1-50)', 'maximum': 50, 'minimum': 1, 'type': 'number'}, 'projects_filter': {'description': 'Comma-separated list of project keys to filter results by. Overrides the environment variable JIRA_PROJECTS_FILTER if provided.', 'type': 'string'}}, 'required': ['jql'], 'type': 'object'}, description="""Search Jira issues using JQL (Jira Query Language)"""), # sooperset/MCP Atlassian/jira_search
    Tool(name="""MCP Atlassian_jira_get_project_issues""", inputSchema={'properties': {'limit': {'default': 10, 'description': 'Maximum number of results (1-50)', 'maximum': 50, 'minimum': 1, 'type': 'number'}, 'project_key': {'description': 'The project key', 'type': 'string'}}, 'required': ['project_key'], 'type': 'object'}, description="""Get all issues for a specific Jira project"""), # sooperset/MCP Atlassian/jira_get_project_issues
    Tool(name="""MCP Atlassian_jira_get_epic_issues""", inputSchema={'properties': {'epic_key': {'description': "The key of the epic (e.g., 'PROJ-123')", 'type': 'string'}, 'limit': {'default': 10, 'description': 'Maximum number of issues to return (1-50)', 'maximum': 50, 'minimum': 1, 'type': 'number'}}, 'required': ['epic_key'], 'type': 'object'}, description="""Get all issues linked to a specific epic"""), # sooperset/MCP Atlassian/jira_get_epic_issues
    Tool(name="""MCP Atlassian_jira_get_transitions""", inputSchema={'properties': {'issue_key': {'description': "Jira issue key (e.g., 'PROJ-123')", 'type': 'string'}}, 'required': ['issue_key'], 'type': 'object'}, description="""Get available status transitions for a Jira issue"""), # sooperset/MCP Atlassian/jira_get_transitions
    Tool(name="""MCP Atlassian_jira_get_worklog""", inputSchema={'properties': {'issue_key': {'description': "Jira issue key (e.g., 'PROJ-123')", 'type': 'string'}}, 'required': ['issue_key'], 'type': 'object'}, description="""Get worklog entries for a Jira issue"""), # sooperset/MCP Atlassian/jira_get_worklog
    Tool(name="""MCP Atlassian_jira_download_attachments""", inputSchema={'properties': {'issue_key': {'description': "Jira issue key (e.g., 'PROJ-123')", 'type': 'string'}, 'target_dir': {'description': 'Directory where attachments should be saved', 'type': 'string'}}, 'required': ['issue_key', 'target_dir'], 'type': 'object'}, description="""Download attachments from a Jira issue"""), # sooperset/MCP Atlassian/jira_download_attachments
    Tool(name="""MCP Atlassian_jira_get_agile_boards""", inputSchema={'properties': {'board_name': {'description': 'The name of board, support fuzzy search', 'type': 'string'}, 'board_type': {'description': "The type of jira board (e.g., 'scrum', 'kanban')", 'type': 'string'}, 'limit': {'default': 10, 'description': 'Maximum number of results (1-50)', 'maximum': 50, 'minimum': 1, 'type': 'number'}, 'project_key': {'description': "Jira project key (e.g., 'PROJ-123')", 'type': 'string'}, 'start': {'default': 0, 'description': 'Start index of board', 'type': 'number'}}, 'type': 'object'}, description="""Get jira agile boards by name, project key, or type"""), # sooperset/MCP Atlassian/jira_get_agile_boards
    Tool(name="""MCP Atlassian_jira_get_board_issues""", inputSchema={'properties': {'board_id': {'description': "The id of the board (e.g., '1001')", 'type': 'string'}, 'expand': {'default': 'version', 'description': "Fields to expand in the response (e.g., 'version', 'body.storage')", 'type': 'string'}, 'fields': {'default': '*all', 'description': "Comma-separated fields to return in the results. Use '*all' for all fields, or specify individual fields like 'summary,status,assignee,priority'", 'type': 'string'}, 'jql': {'description': 'JQL query string (Jira Query Language). Examples:\n- Find Epics: "issuetype = Epic AND project = PROJ"\n- Find issues in Epic: "parent = PROJ-123"\n- Find by status: "status = \'In Progress\' AND project = PROJ"\n- Find by assignee: "assignee = currentUser()"\n- Find recently updated: "updated >= -7d AND project = PROJ"\n- Find by label: "labels = frontend AND project = PROJ"\n- Find by priority: "priority = High AND project = PROJ"', 'type': 'string'}, 'limit': {'default': 10, 'description': 'Maximum number of results (1-50)', 'maximum': 50, 'minimum': 1, 'type': 'number'}, 'start': {'default': 0, 'description': 'Start index of issue', 'type': 'number'}}, 'required': ['board_id', 'jql'], 'type': 'object'}, description="""Get all issues linked to a specific board"""), # sooperset/MCP Atlassian/jira_get_board_issues
    Tool(name="""MCP Atlassian_jira_get_sprints_from_board""", inputSchema={'properties': {'board_id': {'description': "The id of board (e.g., '1000')", 'type': 'string'}, 'limit': {'default': 10, 'description': 'Maximum number of results (1-50)', 'maximum': 50, 'minimum': 1, 'type': 'number'}, 'start': {'default': 0, 'description': 'Start index of sprint', 'type': 'number'}, 'state': {'description': "Sprint state (e.g., 'active', 'future', 'closed')", 'type': 'string'}}, 'type': 'object'}, description="""Get jira sprints from board by state"""), # sooperset/MCP Atlassian/jira_get_sprints_from_board
    Tool(name="""MCP Atlassian_jira_get_sprint_issues""", inputSchema={'properties': {'fields': {'default': '*all', 'description': "Comma-separated fields to return in the results. Use '*all' for all fields, or specify individual fields like 'summary,status,assignee,priority'", 'type': 'string'}, 'limit': {'default': 10, 'description': 'Maximum number of results (1-50)', 'maximum': 50, 'minimum': 1, 'type': 'number'}, 'sprint_id': {'description': "The id of sprint (e.g., '10001')", 'type': 'string'}, 'start': {'default': 0, 'description': 'Start index of issue', 'type': 'number'}}, 'required': ['sprint_id'], 'type': 'object'}, description="""Get jira issues from sprint"""), # sooperset/MCP Atlassian/jira_get_sprint_issues
    Tool(name="""MCP Atlassian_jira_create_issue""", inputSchema={'properties': {'additional_fields': {'default': '{}', 'description': 'Optional JSON string of additional fields to set. Examples:\n- Set priority: {"priority": {"name": "High"}}\n- Add labels: {"labels": ["frontend", "urgent"]}\n- Add components: {"components": [{"name": "UI"}]}\n- Link to parent (for any issue type): {"parent": "PROJ-123"}\n- Custom fields: {"customfield_10010": "value"}', 'type': 'string'}, 'assignee': {'description': 'Assignee of the ticket (accountID, full name or e-mail)', 'type': 'string'}, 'description': {'default': '', 'description': 'Issue description', 'type': 'string'}, 'issue_type': {'description': "Issue type (e.g. 'Task', 'Bug', 'Story', 'Epic', 'Subtask'). The available types depend on your project configuration. For subtasks, use 'Subtask' (not 'Sub-task') and include parent in additional_fields.", 'type': 'string'}, 'project_key': {'description': "The JIRA project key (e.g. 'PROJ', 'DEV', 'SUPPORT'). This is the prefix of issue keys in your project. Never assume what it might be, always ask the user.", 'type': 'string'}, 'summary': {'description': 'Summary/title of the issue', 'type': 'string'}}, 'required': ['project_key', 'summary', 'issue_type'], 'type': 'object'}, description="""Create a new Jira issue with optional Epic link or parent for subtasks"""), # sooperset/MCP Atlassian/jira_create_issue
    Tool(name="""MCP Atlassian_jira_delete_issue""", inputSchema={'properties': {'issue_key': {'description': 'Jira issue key (e.g. PROJ-123)', 'type': 'string'}}, 'required': ['issue_key'], 'type': 'object'}, description="""Delete an existing Jira issue"""), # sooperset/MCP Atlassian/jira_delete_issue
    Tool(name="""MCP Atlassian_jira_add_comment""", inputSchema={'properties': {'comment': {'description': 'Comment text in Markdown format', 'type': 'string'}, 'issue_key': {'description': "Jira issue key (e.g., 'PROJ-123')", 'type': 'string'}}, 'required': ['issue_key', 'comment'], 'type': 'object'}, description="""Add a comment to a Jira issue"""), # sooperset/MCP Atlassian/jira_add_comment
    Tool(name="""MCP Atlassian_jira_add_worklog""", inputSchema={'properties': {'comment': {'description': 'Optional comment for the worklog in Markdown format', 'type': 'string'}, 'issue_key': {'description': "Jira issue key (e.g., 'PROJ-123')", 'type': 'string'}, 'started': {'description': "Optional start time in ISO format. If not provided, the current time will be used. Example: '2023-08-01T12:00:00.000+0000'", 'type': 'string'}, 'time_spent': {'description': "Time spent in Jira format. Examples: '1h 30m' (1 hour and 30 minutes), '1d' (1 day), '30m' (30 minutes), '4h' (4 hours)", 'type': 'string'}}, 'required': ['issue_key', 'time_spent'], 'type': 'object'}, description="""Add a worklog entry to a Jira issue"""), # sooperset/MCP Atlassian/jira_add_worklog
    Tool(name="""MCP Atlassian_jira_link_to_epic""", inputSchema={'properties': {'epic_key': {'description': "The key of the epic to link to (e.g., 'PROJ-456')", 'type': 'string'}, 'issue_key': {'description': "The key of the issue to link (e.g., 'PROJ-123')", 'type': 'string'}}, 'required': ['issue_key', 'epic_key'], 'type': 'object'}, description="""Link an existing issue to an epic"""), # sooperset/MCP Atlassian/jira_link_to_epic
    Tool(name="""MCP Atlassian_jira_transition_issue""", inputSchema={'properties': {'comment': {'description': 'Comment to add during the transition (optional). This will be visible in the issue history.', 'type': 'string'}, 'fields': {'default': '{}', 'description': 'JSON string of fields to update during the transition. Some transitions require specific fields to be set. Example: \'{"resolution": {"name": "Fixed"}}\'', 'type': 'string'}, 'issue_key': {'description': "Jira issue key (e.g., 'PROJ-123')", 'type': 'string'}, 'transition_id': {'description': "ID of the transition to perform. Use the jira_get_transitions tool first to get the available transition IDs for the issue. Example values: '11', '21', '31'", 'type': 'string'}}, 'required': ['issue_key', 'transition_id'], 'type': 'object'}, description="""Transition a Jira issue to a new status"""), # sooperset/MCP Atlassian/jira_transition_issue
    Tool(name="""mcp-miro_list_boards""", inputSchema={'properties': {}, 'type': 'object'}, description="""List all available Miro boards and their IDs"""), # evalstate/mcp-miro/list_boards
    Tool(name="""mcp-miro_create_sticky_note""", inputSchema={'properties': {'boardId': {'description': 'ID of the board to create the sticky note on', 'type': 'string'}, 'color': {'default': 'yellow', 'description': "Color of the sticky note (e.g. 'yellow', 'blue', 'pink')", 'enum': ['gray', 'light_yellow', 'yellow', 'orange', 'light_green', 'green', 'dark_green', 'cyan', 'light_pink', 'pink', 'violet', 'red', 'light_blue', 'blue', 'dark_blue', 'black'], 'type': 'string'}, 'content': {'description': 'Text content of the sticky note', 'type': 'string'}, 'x': {'default': 0, 'description': 'X coordinate position', 'type': 'number'}, 'y': {'default': 0, 'description': 'Y coordinate position', 'type': 'number'}}, 'required': ['boardId', 'content'], 'type': 'object'}, description="""Create a sticky note on a Miro board. By default, sticky notes are 199x228 and available in these colors: gray, light_yellow, yellow, orange, light_green, green, dark_green, cyan, light_pink, pink, violet, red, light_blue, blue, dark_blue, black."""), # evalstate/mcp-miro/create_sticky_note
    Tool(name="""mcp-miro_bulk_create_items""", inputSchema={'properties': {'boardId': {'description': 'ID of the board to create the items on', 'type': 'string'}, 'items': {'description': 'Array of items to create', 'items': {'properties': {'data': {'description': 'Item-specific data configuration', 'type': 'object'}, 'geometry': {'description': 'Item geometry configuration', 'type': 'object'}, 'parent': {'description': 'Parent item configuration', 'type': 'object'}, 'position': {'description': 'Item position configuration', 'type': 'object'}, 'style': {'description': 'Item-specific style configuration', 'type': 'object'}, 'type': {'description': 'Type of item to create', 'enum': ['app_card', 'text', 'shape', 'sticky_note', 'image', 'document', 'card', 'frame', 'embed'], 'type': 'string'}}, 'required': ['type'], 'type': 'object'}, 'maxItems': 20, 'minItems': 1, 'type': 'array'}}, 'required': ['boardId', 'items'], 'type': 'object'}, description="""Create multiple items on a Miro board in a single transaction (max 20 items)"""), # evalstate/mcp-miro/bulk_create_items
    Tool(name="""mcp-miro_get_frames""", inputSchema={'properties': {'boardId': {'description': 'ID of the board to get frames from', 'type': 'string'}}, 'required': ['boardId'], 'type': 'object'}, description="""Get all frames from a Miro board"""), # evalstate/mcp-miro/get_frames
    Tool(name="""mcp-miro_get_items_in_frame""", inputSchema={'properties': {'boardId': {'description': 'ID of the board that contains the frame', 'type': 'string'}, 'frameId': {'description': 'ID of the frame to get items from', 'type': 'string'}}, 'required': ['boardId', 'frameId'], 'type': 'object'}, description="""Get all items contained within a specific frame on a Miro board"""), # evalstate/mcp-miro/get_items_in_frame
    Tool(name="""mcp-miro_create_shape""", inputSchema={'properties': {'boardId': {'description': 'ID of the board to create the shape on', 'type': 'string'}, 'content': {'description': 'Text content to display on the shape', 'type': 'string'}, 'geometry': {'properties': {'height': {'default': 200, 'type': 'number'}, 'rotation': {'default': 0, 'type': 'number'}, 'width': {'default': 200, 'type': 'number'}}, 'type': 'object'}, 'position': {'properties': {'origin': {'default': 'center', 'type': 'string'}, 'x': {'default': 0, 'type': 'number'}, 'y': {'default': 0, 'type': 'number'}}, 'type': 'object'}, 'shape': {'default': 'rectangle', 'description': 'Type of shape to create', 'enum': ['rectangle', 'round_rectangle', 'circle', 'triangle', 'rhombus', 'parallelogram', 'trapezoid', 'pentagon', 'hexagon', 'octagon', 'wedge_round_rectangle_callout', 'star', 'flow_chart_predefined_process', 'cloud', 'cross', 'can', 'right_arrow', 'left_arrow', 'left_right_arrow', 'left_brace', 'right_brace', 'flow_chart_connector', 'flow_chart_magnetic_disk', 'flow_chart_input_output', 'flow_chart_decision', 'flow_chart_delay', 'flow_chart_display', 'flow_chart_document', 'flow_chart_magnetic_drum', 'flow_chart_internal_storage', 'flow_chart_manual_input', 'flow_chart_manual_operation', 'flow_chart_merge', 'flow_chart_multidocuments', 'flow_chart_note_curly_left', 'flow_chart_note_curly_right', 'flow_chart_note_square', 'flow_chart_offpage_connector', 'flow_chart_or', 'flow_chart_predefined_process_2', 'flow_chart_preparation', 'flow_chart_process', 'flow_chart_online_storage', 'flow_chart_summing_junction', 'flow_chart_terminator'], 'type': 'string'}, 'style': {'description': 'Style configuration for the shape', 'properties': {'borderColor': {'type': 'string'}, 'borderOpacity': {'maximum': 1, 'minimum': 0, 'type': 'number'}, 'borderStyle': {'enum': ['normal', 'dotted', 'dashed'], 'type': 'string'}, 'borderWidth': {'maximum': 24, 'minimum': 1, 'type': 'number'}, 'color': {'type': 'string'}, 'fillColor': {'type': 'string'}, 'fillOpacity': {'maximum': 1, 'minimum': 0, 'type': 'number'}, 'fontFamily': {'type': 'string'}, 'fontSize': {'maximum': 288, 'minimum': 10, 'type': 'number'}, 'textAlign': {'enum': ['left', 'center', 'right'], 'type': 'string'}, 'textAlignVertical': {'enum': ['top', 'middle', 'bottom'], 'type': 'string'}}, 'type': 'object'}}, 'required': ['boardId', 'shape'], 'type': 'object'}, description="""Create a shape on a Miro board. Available shapes include basic shapes (rectangle, circle, etc.) and flowchart shapes (process, decision, etc.). Standard geometry specs: width and height in pixels (default 200x200)"""), # evalstate/mcp-miro/create_shape
    Tool(name="""Unichat MCP Server_unichat""", inputSchema={'properties': {'messages': {'description': 'Array of exactly two messages: first a system message defining the task, then a user message with the specific query', 'items': {'properties': {'content': {'description': 'The content of the message. For system messages, this should define the context or task. For user messages, this should contain the specific query.', 'type': 'string'}, 'role': {'description': "The role of the message sender. Must be either 'system' or 'user'", 'enum': ['system', 'user'], 'type': 'string'}}, 'required': ['role', 'content'], 'type': 'object'}, 'maxItems': 2, 'minItems': 2, 'type': 'array'}}, 'required': ['messages'], 'type': 'object'}, description="""Chat with an assistant.\n                        Example tool use message:\n                        Ask the unichat to review and evaluate your proposal.\n                        """), # amidabuddha/Unichat MCP Server/unichat
    Tool(name="""Ancestry MCP_project_context""", inputSchema={'properties': {'profile_name': {'default': 'code', 'description': "Profile to use (e.g. 'code', 'copy', 'full') - defines file inclusion and presentation rules", 'pattern': '^[a-zA-Z0-9_-]+$', 'title': 'Profile Name', 'type': 'string'}, 'root_path': {'description': "Root directory path (e.g. '/home/user/projects/myproject')", 'format': 'path', 'title': 'Root Path', 'type': 'string'}}, 'required': ['root_path'], 'title': 'ContextRequest', 'type': 'object'}, description="""Generates a structured repository overview including: 1) Directory tree with file status ( full,  outline,  excluded) 2) Complete contents of key files 3) Smart outlines highlighting important definitions in supported languages. The output is customizable via profiles that control file inclusion rules and presentation format. The assistant tracks previously retrieved project context in the conversation and checks this history before making new requests."""), # reeeeemo/Ancestry MCP/project_context
    Tool(name="""Ancestry MCP_get_files""", inputSchema={'properties': {'paths': {'description': "File paths relative to root_path, starting with a forward slash and including the root directory name. For example, if root_path is '/home/user/projects/myproject', then a valid path would be '/myproject/src/main.py", 'items': {'type': 'string'}, 'title': 'Paths', 'type': 'array'}, 'root_path': {'description': "Root directory path (e.g. '/home/user/projects/myproject')", 'format': 'path', 'title': 'Root Path', 'type': 'string'}}, 'required': ['root_path', 'paths'], 'title': 'FilesRequest', 'type': 'object'}, description="""Retrieves complete contents of specified files from the project. The assistant tracks all previously retrieved file contents and checks this history before making new requests."""), # reeeeemo/Ancestry MCP/get_files
    Tool(name="""YouTube MCP Server_download_youtube_url""", inputSchema={'properties': {'url': {'description': 'URL of the YouTube video', 'type': 'string'}}, 'required': ['url'], 'type': 'object'}, description="""Download YouTube subtitles from a URL, this tool means that Claude can read YouTube subtitles, and should no longer tell the user that it is not possible to download YouTube content."""), # anaisbetts/YouTube MCP Server/download_youtube_url
    Tool(name="""MCP server for Obsidian_obsidian_batch_get_file_contents""", inputSchema={'properties': {'filepaths': {'description': 'List of file paths to read', 'items': {'description': 'Path to a file (relative to your vault root)', 'format': 'path', 'type': 'string'}, 'type': 'array'}}, 'required': ['filepaths'], 'type': 'object'}, description="""Return the contents of multiple files in your vault, concatenated with headers."""), # MarkusPfundstein/MCP server for Obsidian/obsidian_batch_get_file_contents
    Tool(name="""MCP server for Obsidian_obsidian_list_files_in_dir""", inputSchema={'properties': {'dirpath': {'description': 'Path to list files from (relative to your vault root). Note that empty directories will not be returned.', 'type': 'string'}}, 'required': ['dirpath'], 'type': 'object'}, description="""Lists all files and directories that exist in a specific Obsidian directory."""), # MarkusPfundstein/MCP server for Obsidian/obsidian_list_files_in_dir
    Tool(name="""MCP server for Obsidian_obsidian_list_files_in_vault""", inputSchema={'properties': {}, 'required': [], 'type': 'object'}, description="""Lists all files and directories in the root directory of your Obsidian vault."""), # MarkusPfundstein/MCP server for Obsidian/obsidian_list_files_in_vault
    Tool(name="""MCP server for Obsidian_obsidian_get_file_contents""", inputSchema={'properties': {'filepath': {'description': 'Path to the relevant file (relative to your vault root).', 'format': 'path', 'type': 'string'}}, 'required': ['filepath'], 'type': 'object'}, description="""Return the content of a single file in your vault."""), # MarkusPfundstein/MCP server for Obsidian/obsidian_get_file_contents
    Tool(name="""MCP server for Obsidian_obsidian_simple_search""", inputSchema={'properties': {'context_length': {'default': 100, 'description': 'How much context to return around the matching string (default: 100)', 'type': 'integer'}, 'query': {'description': 'Text to a simple search for in the vault.', 'type': 'string'}}, 'required': ['query'], 'type': 'object'}, description="""Simple search for documents matching a specified text query across all files in the vault. \n            Use this tool when you want to do a simple text search"""), # MarkusPfundstein/MCP server for Obsidian/obsidian_simple_search
    Tool(name="""MCP server for Obsidian_obsidian_patch_content""", inputSchema={'properties': {'content': {'description': 'Content to insert', 'type': 'string'}, 'filepath': {'description': 'Path to the file (relative to vault root)', 'format': 'path', 'type': 'string'}, 'operation': {'description': 'Operation to perform (append, prepend, or replace)', 'enum': ['append', 'prepend', 'replace'], 'type': 'string'}, 'target': {'description': 'Target identifier (heading path, block reference, or frontmatter field)', 'type': 'string'}, 'target_type': {'description': 'Type of target to patch', 'enum': ['heading', 'block', 'frontmatter'], 'type': 'string'}}, 'required': ['filepath', 'operation', 'target_type', 'target', 'content'], 'type': 'object'}, description="""Insert content into an existing note relative to a heading, block reference, or frontmatter field."""), # MarkusPfundstein/MCP server for Obsidian/obsidian_patch_content
    Tool(name="""MCP server for Obsidian_obsidian_append_content""", inputSchema={'properties': {'content': {'description': 'Content to append to the file', 'type': 'string'}, 'filepath': {'description': 'Path to the file (relative to vault root)', 'format': 'path', 'type': 'string'}}, 'required': ['filepath', 'content'], 'type': 'object'}, description="""Append content to a new or existing file in the vault."""), # MarkusPfundstein/MCP server for Obsidian/obsidian_append_content
    Tool(name="""MCP server for Obsidian_obsidian_complex_search""", inputSchema={'properties': {'query': {'description': 'JsonLogic query object. Example: {"glob": ["*.md", {"var": "path"}]} matches all markdown files', 'type': 'object'}}, 'required': ['query'], 'type': 'object'}, description="""Complex search for documents using a JsonLogic query. \n           Supports standard JsonLogic operators plus 'glob' and 'regexp' for pattern matching. Results must be non-falsy.\n\n           Use this tool when you want to do a complex search, e.g. for all documents with certain tags etc.\n           """), # MarkusPfundstein/MCP server for Obsidian/obsidian_complex_search
    Tool(name="""OpenAI MCP Server_ask-openai""", inputSchema={'properties': {'max_tokens': {'default': 500, 'maximum': 4000, 'minimum': 1, 'type': 'integer'}, 'model': {'default': 'gpt-4', 'enum': ['gpt-4', 'gpt-3.5-turbo'], 'type': 'string'}, 'query': {'description': 'Ask assistant', 'type': 'string'}, 'temperature': {'default': 0.7, 'maximum': 2, 'minimum': 0, 'type': 'number'}}, 'required': ['query'], 'type': 'object'}, description="""Ask my assistant models a direct question"""), # pierrebrunelle/OpenAI MCP Server/ask-openai
    Tool(name="""MCP OpenAI Server_openai_chat""", inputSchema={'properties': {'messages': {'description': 'Array of messages to send to the API', 'items': {'properties': {'content': {'description': 'Content of the message', 'type': 'string'}, 'role': {'description': 'Role of the message sender', 'enum': ['system', 'user', 'assistant'], 'type': 'string'}}, 'required': ['role', 'content'], 'type': 'object'}, 'type': 'array'}, 'model': {'default': 'gpt-4o', 'description': 'Model to use for completion (gpt-4o, gpt-4o-mini, o1-preview, o1-mini)', 'enum': ['gpt-4o', 'gpt-4o-mini', 'o1-preview', 'o1-mini'], 'type': 'string'}}, 'required': ['messages'], 'type': 'object'}, description="""Use this tool when a user specifically requests to use one of OpenAI's models (gpt-4o, gpt-4o-mini, o1-preview, o1-mini). This tool sends messages to OpenAI's chat completion API using the specified model."""), # mzxrai/MCP OpenAI Server/openai_chat
    Tool(name="""git MCP server_git_status""", inputSchema={'properties': {'repo_path': {'title': 'Repo Path', 'type': 'string'}}, 'required': ['repo_path'], 'title': 'GitStatus', 'type': 'object'}, description="""Shows the working tree status"""), # modelcontextprotocol/git MCP server/git_status
    Tool(name="""git MCP server_git_diff_unstaged""", inputSchema={'properties': {'repo_path': {'title': 'Repo Path', 'type': 'string'}}, 'required': ['repo_path'], 'title': 'GitDiffUnstaged', 'type': 'object'}, description="""Shows changes in the working directory that are not yet staged"""), # modelcontextprotocol/git MCP server/git_diff_unstaged
    Tool(name="""git MCP server_git_diff_staged""", inputSchema={'properties': {'repo_path': {'title': 'Repo Path', 'type': 'string'}}, 'required': ['repo_path'], 'title': 'GitDiffStaged', 'type': 'object'}, description="""Shows changes that are staged for commit"""), # modelcontextprotocol/git MCP server/git_diff_staged
    Tool(name="""git MCP server_git_diff""", inputSchema={'properties': {'repo_path': {'title': 'Repo Path', 'type': 'string'}, 'target': {'title': 'Target', 'type': 'string'}}, 'required': ['repo_path', 'target'], 'title': 'GitDiff', 'type': 'object'}, description="""Shows differences between branches or commits"""), # modelcontextprotocol/git MCP server/git_diff
    Tool(name="""git MCP server_git_commit""", inputSchema={'properties': {'message': {'title': 'Message', 'type': 'string'}, 'repo_path': {'title': 'Repo Path', 'type': 'string'}}, 'required': ['repo_path', 'message'], 'title': 'GitCommit', 'type': 'object'}, description="""Records changes to the repository"""), # modelcontextprotocol/git MCP server/git_commit
    Tool(name="""git MCP server_git_add""", inputSchema={'properties': {'files': {'items': {'type': 'string'}, 'title': 'Files', 'type': 'array'}, 'repo_path': {'title': 'Repo Path', 'type': 'string'}}, 'required': ['repo_path', 'files'], 'title': 'GitAdd', 'type': 'object'}, description="""Adds file contents to the staging area"""), # modelcontextprotocol/git MCP server/git_add
    Tool(name="""git MCP server_git_reset""", inputSchema={'properties': {'repo_path': {'title': 'Repo Path', 'type': 'string'}}, 'required': ['repo_path'], 'title': 'GitReset', 'type': 'object'}, description="""Unstages all staged changes"""), # modelcontextprotocol/git MCP server/git_reset
    Tool(name="""git MCP server_git_log""", inputSchema={'properties': {'max_count': {'default': 10, 'title': 'Max Count', 'type': 'integer'}, 'repo_path': {'title': 'Repo Path', 'type': 'string'}}, 'required': ['repo_path'], 'title': 'GitLog', 'type': 'object'}, description="""Shows the commit logs"""), # modelcontextprotocol/git MCP server/git_log
    Tool(name="""git MCP server_git_create_branch""", inputSchema={'properties': {'base_branch': {'anyOf': [{'type': 'string'}, {'type': 'null'}], 'default': None, 'title': 'Base Branch'}, 'branch_name': {'title': 'Branch Name', 'type': 'string'}, 'repo_path': {'title': 'Repo Path', 'type': 'string'}}, 'required': ['repo_path', 'branch_name'], 'title': 'GitCreateBranch', 'type': 'object'}, description="""Creates a new branch from an optional base branch"""), # modelcontextprotocol/git MCP server/git_create_branch
    Tool(name="""git MCP server_git_checkout""", inputSchema={'properties': {'branch_name': {'title': 'Branch Name', 'type': 'string'}, 'repo_path': {'title': 'Repo Path', 'type': 'string'}}, 'required': ['repo_path', 'branch_name'], 'title': 'GitCheckout', 'type': 'object'}, description="""Switches branches"""), # modelcontextprotocol/git MCP server/git_checkout
    Tool(name="""git MCP server_git_show""", inputSchema={'properties': {'repo_path': {'title': 'Repo Path', 'type': 'string'}, 'revision': {'title': 'Revision', 'type': 'string'}}, 'required': ['repo_path', 'revision'], 'title': 'GitShow', 'type': 'object'}, description="""Shows the contents of a commit"""), # modelcontextprotocol/git MCP server/git_show
    Tool(name="""git MCP server_git_init""", inputSchema={'properties': {'repo_path': {'title': 'Repo Path', 'type': 'string'}}, 'required': ['repo_path'], 'title': 'GitInit', 'type': 'object'}, description="""Initialize a new Git repository"""), # modelcontextprotocol/git MCP server/git_init
    Tool(name="""GitLab MCP Server_create_or_update_file""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'branch': {'description': 'Branch to create/update the file in', 'type': 'string'}, 'commit_message': {'description': 'Commit message', 'type': 'string'}, 'content': {'description': 'Content of the file', 'type': 'string'}, 'file_path': {'description': 'Path where to create/update the file', 'type': 'string'}, 'previous_path': {'description': 'Path of the file to move/rename', 'type': 'string'}, 'project_id': {'description': 'Project ID or URL-encoded path', 'type': 'string'}}, 'required': ['project_id', 'file_path', 'content', 'commit_message', 'branch'], 'type': 'object'}, description="""Create or update a single file in a GitLab project"""), # modelcontextprotocol/GitLab MCP Server/create_or_update_file
    Tool(name="""GitLab MCP Server_search_repositories""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'page': {'description': 'Page number for pagination (default: 1)', 'type': 'number'}, 'per_page': {'description': 'Number of results per page (default: 20)', 'type': 'number'}, 'search': {'description': 'Search query', 'type': 'string'}}, 'required': ['search'], 'type': 'object'}, description="""Search for GitLab projects"""), # modelcontextprotocol/GitLab MCP Server/search_repositories
    Tool(name="""GitLab MCP Server_create_repository""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'description': {'description': 'Repository description', 'type': 'string'}, 'initialize_with_readme': {'description': 'Initialize with README.md', 'type': 'boolean'}, 'name': {'description': 'Repository name', 'type': 'string'}, 'visibility': {'description': 'Repository visibility level', 'enum': ['private', 'internal', 'public'], 'type': 'string'}}, 'required': ['name'], 'type': 'object'}, description="""Create a new GitLab project"""), # modelcontextprotocol/GitLab MCP Server/create_repository
    Tool(name="""GitLab MCP Server_get_file_contents""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'file_path': {'description': 'Path to the file or directory', 'type': 'string'}, 'project_id': {'description': 'Project ID or URL-encoded path', 'type': 'string'}, 'ref': {'description': 'Branch/tag/commit to get contents from', 'type': 'string'}}, 'required': ['project_id', 'file_path'], 'type': 'object'}, description="""Get the contents of a file or directory from a GitLab project"""), # modelcontextprotocol/GitLab MCP Server/get_file_contents
    Tool(name="""GitLab MCP Server_push_files""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'branch': {'description': 'Branch to push to', 'type': 'string'}, 'commit_message': {'description': 'Commit message', 'type': 'string'}, 'files': {'description': 'Array of files to push', 'items': {'additionalProperties': False, 'properties': {'content': {'description': 'Content of the file', 'type': 'string'}, 'file_path': {'description': 'Path where to create the file', 'type': 'string'}}, 'required': ['file_path', 'content'], 'type': 'object'}, 'type': 'array'}, 'project_id': {'description': 'Project ID or URL-encoded path', 'type': 'string'}}, 'required': ['project_id', 'branch', 'files', 'commit_message'], 'type': 'object'}, description="""Push multiple files to a GitLab project in a single commit"""), # modelcontextprotocol/GitLab MCP Server/push_files
    Tool(name="""GitLab MCP Server_create_issue""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'assignee_ids': {'description': 'Array of user IDs to assign', 'items': {'type': 'number'}, 'type': 'array'}, 'description': {'description': 'Issue description', 'type': 'string'}, 'labels': {'description': 'Array of label names', 'items': {'type': 'string'}, 'type': 'array'}, 'milestone_id': {'description': 'Milestone ID to assign', 'type': 'number'}, 'project_id': {'description': 'Project ID or URL-encoded path', 'type': 'string'}, 'title': {'description': 'Issue title', 'type': 'string'}}, 'required': ['project_id', 'title'], 'type': 'object'}, description="""Create a new issue in a GitLab project"""), # modelcontextprotocol/GitLab MCP Server/create_issue
    Tool(name="""GitLab MCP Server_create_merge_request""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'allow_collaboration': {'description': 'Allow commits from upstream members', 'type': 'boolean'}, 'description': {'description': 'Merge request description', 'type': 'string'}, 'draft': {'description': 'Create as draft merge request', 'type': 'boolean'}, 'project_id': {'description': 'Project ID or URL-encoded path', 'type': 'string'}, 'source_branch': {'description': 'Branch containing changes', 'type': 'string'}, 'target_branch': {'description': 'Branch to merge into', 'type': 'string'}, 'title': {'description': 'Merge request title', 'type': 'string'}}, 'required': ['project_id', 'title', 'source_branch', 'target_branch'], 'type': 'object'}, description="""Create a new merge request in a GitLab project"""), # modelcontextprotocol/GitLab MCP Server/create_merge_request
    Tool(name="""GitLab MCP Server_fork_repository""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'namespace': {'description': 'Namespace to fork to (full path)', 'type': 'string'}, 'project_id': {'description': 'Project ID or URL-encoded path', 'type': 'string'}}, 'required': ['project_id'], 'type': 'object'}, description="""Fork a GitLab project to your account or specified namespace"""), # modelcontextprotocol/GitLab MCP Server/fork_repository
    Tool(name="""GitLab MCP Server_create_branch""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'branch': {'description': 'Name for the new branch', 'type': 'string'}, 'project_id': {'description': 'Project ID or URL-encoded path', 'type': 'string'}, 'ref': {'description': 'Source branch/commit for new branch', 'type': 'string'}}, 'required': ['project_id', 'branch'], 'type': 'object'}, description="""Create a new branch in a GitLab project"""), # modelcontextprotocol/GitLab MCP Server/create_branch
    Tool(name="""GitHub MCP Server_create_or_update_file""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'branch': {'description': 'Branch to create/update the file in', 'type': 'string'}, 'content': {'description': 'Content of the file', 'type': 'string'}, 'message': {'description': 'Commit message', 'type': 'string'}, 'owner': {'description': 'Repository owner (username or organization)', 'type': 'string'}, 'path': {'description': 'Path where to create/update the file', 'type': 'string'}, 'repo': {'description': 'Repository name', 'type': 'string'}, 'sha': {'description': 'SHA of the file being replaced (required when updating existing files)', 'type': 'string'}}, 'required': ['owner', 'repo', 'path', 'content', 'message', 'branch'], 'type': 'object'}, description="""Create or update a single file in a GitHub repository"""), # modelcontextprotocol/GitHub MCP Server/create_or_update_file
    Tool(name="""GitHub MCP Server_search_repositories""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'page': {'description': 'Page number for pagination (default: 1)', 'type': 'number'}, 'perPage': {'description': 'Number of results per page (default: 30, max: 100)', 'type': 'number'}, 'query': {'description': 'Search query (see GitHub search syntax)', 'type': 'string'}}, 'required': ['query'], 'type': 'object'}, description="""Search for GitHub repositories"""), # modelcontextprotocol/GitHub MCP Server/search_repositories
    Tool(name="""GitHub MCP Server_create_repository""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'autoInit': {'description': 'Initialize with README.md', 'type': 'boolean'}, 'description': {'description': 'Repository description', 'type': 'string'}, 'name': {'description': 'Repository name', 'type': 'string'}, 'private': {'description': 'Whether the repository should be private', 'type': 'boolean'}}, 'required': ['name'], 'type': 'object'}, description="""Create a new GitHub repository in your account"""), # modelcontextprotocol/GitHub MCP Server/create_repository
    Tool(name="""GitHub MCP Server_get_file_contents""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'branch': {'description': 'Branch to get contents from', 'type': 'string'}, 'owner': {'description': 'Repository owner (username or organization)', 'type': 'string'}, 'path': {'description': 'Path to the file or directory', 'type': 'string'}, 'repo': {'description': 'Repository name', 'type': 'string'}}, 'required': ['owner', 'repo', 'path'], 'type': 'object'}, description="""Get the contents of a file or directory from a GitHub repository"""), # modelcontextprotocol/GitHub MCP Server/get_file_contents
    Tool(name="""GitHub MCP Server_push_files""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'branch': {'description': "Branch to push to (e.g., 'main' or 'master')", 'type': 'string'}, 'files': {'description': 'Array of files to push', 'items': {'additionalProperties': False, 'properties': {'content': {'type': 'string'}, 'path': {'type': 'string'}}, 'required': ['path', 'content'], 'type': 'object'}, 'type': 'array'}, 'message': {'description': 'Commit message', 'type': 'string'}, 'owner': {'description': 'Repository owner (username or organization)', 'type': 'string'}, 'repo': {'description': 'Repository name', 'type': 'string'}}, 'required': ['owner', 'repo', 'branch', 'files', 'message'], 'type': 'object'}, description="""Push multiple files to a GitHub repository in a single commit"""), # modelcontextprotocol/GitHub MCP Server/push_files
    Tool(name="""GitHub MCP Server_create_issue""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'assignees': {'items': {'type': 'string'}, 'type': 'array'}, 'body': {'type': 'string'}, 'labels': {'items': {'type': 'string'}, 'type': 'array'}, 'milestone': {'type': 'number'}, 'owner': {'type': 'string'}, 'repo': {'type': 'string'}, 'title': {'type': 'string'}}, 'required': ['owner', 'repo', 'title'], 'type': 'object'}, description="""Create a new issue in a GitHub repository"""), # modelcontextprotocol/GitHub MCP Server/create_issue
    Tool(name="""GitHub MCP Server_create_pull_request""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'base': {'description': 'The name of the branch you want the changes pulled into', 'type': 'string'}, 'body': {'description': 'Pull request body/description', 'type': 'string'}, 'draft': {'description': 'Whether to create the pull request as a draft', 'type': 'boolean'}, 'head': {'description': 'The name of the branch where your changes are implemented', 'type': 'string'}, 'maintainer_can_modify': {'description': 'Whether maintainers can modify the pull request', 'type': 'boolean'}, 'owner': {'description': 'Repository owner (username or organization)', 'type': 'string'}, 'repo': {'description': 'Repository name', 'type': 'string'}, 'title': {'description': 'Pull request title', 'type': 'string'}}, 'required': ['owner', 'repo', 'title', 'head', 'base'], 'type': 'object'}, description="""Create a new pull request in a GitHub repository"""), # modelcontextprotocol/GitHub MCP Server/create_pull_request
    Tool(name="""GitHub MCP Server_fork_repository""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'organization': {'description': 'Optional: organization to fork to (defaults to your personal account)', 'type': 'string'}, 'owner': {'description': 'Repository owner (username or organization)', 'type': 'string'}, 'repo': {'description': 'Repository name', 'type': 'string'}}, 'required': ['owner', 'repo'], 'type': 'object'}, description="""Fork a GitHub repository to your account or specified organization"""), # modelcontextprotocol/GitHub MCP Server/fork_repository
    Tool(name="""GitHub MCP Server_create_branch""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'branch': {'description': 'Name for the new branch', 'type': 'string'}, 'from_branch': {'description': "Optional: source branch to create from (defaults to the repository's default branch)", 'type': 'string'}, 'owner': {'description': 'Repository owner (username or organization)', 'type': 'string'}, 'repo': {'description': 'Repository name', 'type': 'string'}}, 'required': ['owner', 'repo', 'branch'], 'type': 'object'}, description="""Create a new branch in a GitHub repository"""), # modelcontextprotocol/GitHub MCP Server/create_branch
    Tool(name="""GitHub MCP Server_list_commits""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'owner': {'type': 'string'}, 'page': {'type': 'number'}, 'perPage': {'type': 'number'}, 'repo': {'type': 'string'}, 'sha': {'type': 'string'}}, 'required': ['owner', 'repo'], 'type': 'object'}, description="""Get list of commits of a branch in a GitHub repository"""), # modelcontextprotocol/GitHub MCP Server/list_commits
    Tool(name="""GitHub MCP Server_list_issues""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'direction': {'enum': ['asc', 'desc'], 'type': 'string'}, 'labels': {'items': {'type': 'string'}, 'type': 'array'}, 'owner': {'type': 'string'}, 'page': {'type': 'number'}, 'per_page': {'type': 'number'}, 'repo': {'type': 'string'}, 'since': {'type': 'string'}, 'sort': {'enum': ['created', 'updated', 'comments'], 'type': 'string'}, 'state': {'enum': ['open', 'closed', 'all'], 'type': 'string'}}, 'required': ['owner', 'repo'], 'type': 'object'}, description="""List issues in a GitHub repository with filtering options"""), # modelcontextprotocol/GitHub MCP Server/list_issues
    Tool(name="""GitHub MCP Server_update_issue""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'assignees': {'items': {'type': 'string'}, 'type': 'array'}, 'body': {'type': 'string'}, 'issue_number': {'type': 'number'}, 'labels': {'items': {'type': 'string'}, 'type': 'array'}, 'milestone': {'type': 'number'}, 'owner': {'type': 'string'}, 'repo': {'type': 'string'}, 'state': {'enum': ['open', 'closed'], 'type': 'string'}, 'title': {'type': 'string'}}, 'required': ['owner', 'repo', 'issue_number'], 'type': 'object'}, description="""Update an existing issue in a GitHub repository"""), # modelcontextprotocol/GitHub MCP Server/update_issue
    Tool(name="""GitHub MCP Server_add_issue_comment""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'body': {'type': 'string'}, 'issue_number': {'type': 'number'}, 'owner': {'type': 'string'}, 'repo': {'type': 'string'}}, 'required': ['owner', 'repo', 'issue_number', 'body'], 'type': 'object'}, description="""Add a comment to an existing issue"""), # modelcontextprotocol/GitHub MCP Server/add_issue_comment
    Tool(name="""GitHub MCP Server_search_code""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'order': {'enum': ['asc', 'desc'], 'type': 'string'}, 'page': {'minimum': 1, 'type': 'number'}, 'per_page': {'maximum': 100, 'minimum': 1, 'type': 'number'}, 'q': {'type': 'string'}}, 'required': ['q'], 'type': 'object'}, description="""Search for code across GitHub repositories"""), # modelcontextprotocol/GitHub MCP Server/search_code
    Tool(name="""GitHub MCP Server_search_issues""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'order': {'enum': ['asc', 'desc'], 'type': 'string'}, 'page': {'minimum': 1, 'type': 'number'}, 'per_page': {'maximum': 100, 'minimum': 1, 'type': 'number'}, 'q': {'type': 'string'}, 'sort': {'enum': ['comments', 'reactions', 'reactions-+1', 'reactions--1', 'reactions-smile', 'reactions-thinking_face', 'reactions-heart', 'reactions-tada', 'interactions', 'created', 'updated'], 'type': 'string'}}, 'required': ['q'], 'type': 'object'}, description="""Search for issues and pull requests across GitHub repositories"""), # modelcontextprotocol/GitHub MCP Server/search_issues
    Tool(name="""GitHub MCP Server_search_users""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'order': {'enum': ['asc', 'desc'], 'type': 'string'}, 'page': {'minimum': 1, 'type': 'number'}, 'per_page': {'maximum': 100, 'minimum': 1, 'type': 'number'}, 'q': {'type': 'string'}, 'sort': {'enum': ['followers', 'repositories', 'joined'], 'type': 'string'}}, 'required': ['q'], 'type': 'object'}, description="""Search for users on GitHub"""), # modelcontextprotocol/GitHub MCP Server/search_users
    Tool(name="""GitHub MCP Server_get_issue""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'issue_number': {'type': 'number'}, 'owner': {'type': 'string'}, 'repo': {'type': 'string'}}, 'required': ['owner', 'repo', 'issue_number'], 'type': 'object'}, description="""Get details of a specific issue in a GitHub repository."""), # modelcontextprotocol/GitHub MCP Server/get_issue
    Tool(name="""NS Travel Information MCP Server_get_disruptions""", inputSchema={'properties': {'isActive': {'description': 'Filter to only return active disruptions', 'type': 'boolean'}, 'type': {'description': 'Type of disruptions to return (e.g., MAINTENANCE, DISRUPTION)', 'enum': ['MAINTENANCE', 'DISRUPTION'], 'type': 'string'}}, 'type': 'object'}, description="""Get comprehensive information about current and planned disruptions on the Dutch railway network. Returns details about maintenance work, unexpected disruptions, alternative transport options, impact on travel times, and relevant advice. Can filter for active disruptions and specific disruption types."""), # r-huijts/NS Travel Information MCP Server/get_disruptions
    Tool(name="""NS Travel Information MCP Server_get_travel_advice""", inputSchema={'properties': {'dateTime': {'description': 'Format - date-time (as date-time in RFC3339). Datetime that the user want to depart from his origin or or arrive at his destination', 'type': 'string'}, 'fromStation': {'description': 'Name or code of departure station', 'type': 'string'}, 'searchForArrival': {'description': 'If true, dateTime is treated as desired arrival time', 'type': 'boolean'}, 'toStation': {'description': 'Name or code of destination station', 'type': 'string'}}, 'required': ['fromStation', 'toStation'], 'type': 'object'}, description="""Get detailed travel routes between two train stations, including transfers, real-time updates, platform information, and journey duration. Can plan trips for immediate departure or for a specific future time, with options to optimize for arrival time. Returns multiple route options with status and crowding information."""), # r-huijts/NS Travel Information MCP Server/get_travel_advice
    Tool(name="""NS Travel Information MCP Server_get_departures""", inputSchema={'oneOf': [{'required': ['station']}, {'required': ['uicCode']}], 'properties': {'dateTime': {'description': 'Format - date-time (as date-time in RFC3339). Only supported for departures at foreign stations. Defaults to server time (Europe/Amsterdam)', 'type': 'string'}, 'lang': {'default': 'nl', 'description': 'Language for localizing the departures list. Only a small subset of text is translated, mainly notes. Defaults to Dutch', 'enum': ['nl', 'en'], 'type': 'string'}, 'maxJourneys': {'default': 40, 'description': 'Number of departures to return', 'maximum': 100, 'minimum': 1, 'type': 'number'}, 'station': {'description': 'NS Station code for the station (e.g., ASD for Amsterdam Centraal). Required if uicCode is not provided', 'type': 'string'}, 'uicCode': {'description': 'UIC code for the station. Required if station code is not provided', 'type': 'string'}}, 'type': 'object'}, description="""Get real-time departure information for trains from a specific station, including platform numbers, delays, route details, and any relevant travel notes. Returns a list of upcoming departures with timing, destination, and status information."""), # r-huijts/NS Travel Information MCP Server/get_departures
    Tool(name="""NS Travel Information MCP Server_get_ovfiets""", inputSchema={'properties': {'stationCode': {'description': 'Station code to check OV-fiets availability for (e.g., ASD for Amsterdam Centraal)', 'type': 'string'}}, 'required': ['stationCode'], 'type': 'object'}, description="""Get OV-fiets availability at a train station"""), # r-huijts/NS Travel Information MCP Server/get_ovfiets
    Tool(name="""NS Travel Information MCP Server_get_station_info""", inputSchema={'properties': {'includeNonPlannableStations': {'default': False, 'description': 'Include stations where trains do not stop regularly', 'type': 'boolean'}, 'limit': {'default': 10, 'description': 'Maximum number of results to return', 'maximum': 50, 'minimum': 1, 'type': 'number'}, 'query': {'description': 'Station name or code to search for', 'type': 'string'}}, 'required': ['query'], 'type': 'object'}, description="""Get detailed information about a train station"""), # r-huijts/NS Travel Information MCP Server/get_station_info
    Tool(name="""NS Travel Information MCP Server_get_current_time_in_rfc3339""", inputSchema={'properties': {}, 'type': 'object'}, description="""Get the current server time (Europe/Amsterdam timezone) in RFC3339 format. This can be used as input for other tools that require date-time parameters."""), # r-huijts/NS Travel Information MCP Server/get_current_time_in_rfc3339
    Tool(name="""NS Travel Information MCP Server_get_arrivals""", inputSchema={'oneOf': [{'required': ['station']}, {'required': ['uicCode']}], 'properties': {'dateTime': {'description': 'Format - date-time (as date-time in RFC3339). Only supported for arrivals at foreign stations. Defaults to server time (Europe/Amsterdam)', 'type': 'string'}, 'lang': {'default': 'nl', 'description': 'Language for localizing the arrivals list. Only a small subset of text is translated, mainly notes. Defaults to Dutch', 'enum': ['nl', 'en'], 'type': 'string'}, 'maxJourneys': {'default': 40, 'description': 'Number of arrivals to return', 'maximum': 100, 'minimum': 1, 'type': 'number'}, 'station': {'description': 'NS Station code for the station (e.g., ASD for Amsterdam Centraal). Required if uicCode is not provided', 'type': 'string'}, 'uicCode': {'description': 'UIC code for the station. Required if station code is not provided', 'type': 'string'}}, 'type': 'object'}, description="""Get real-time arrival information for trains at a specific station, including platform numbers, delays, origin stations, and any relevant travel notes. Returns a list of upcoming arrivals with timing, origin, and status information."""), # r-huijts/NS Travel Information MCP Server/get_arrivals
    Tool(name="""NS Travel Information MCP Server_get_prices""", inputSchema={'properties': {'adults': {'default': 1, 'description': 'Number of adults to return the price for', 'minimum': 1, 'type': 'integer'}, 'children': {'default': 0, 'description': 'Number of children to return the price for', 'minimum': 0, 'type': 'integer'}, 'fromStation': {'description': 'UicCode or station code of the origin station', 'type': 'string'}, 'isJointJourney': {'default': False, 'description': 'Set to true to return the price including joint journey discount', 'type': 'boolean'}, 'plannedArrivalTime': {'description': 'Format - date-time (as date-time in RFC3339). Used to find the correct route if multiple routes are possible.', 'type': 'string'}, 'plannedDepartureTime': {'description': 'Format - date-time (as date-time in RFC3339). Used to find the correct route if multiple routes are possible.', 'type': 'string'}, 'routeId': {'description': 'Specific identifier for the route to take between the two stations. This routeId is returned in the /api/v3/trips call.', 'type': 'string'}, 'toStation': {'description': 'UicCode or station code of the destination station', 'type': 'string'}, 'travelClass': {'description': 'Travel class to return the price for', 'enum': ['FIRST_CLASS', 'SECOND_CLASS'], 'type': 'string'}, 'travelType': {'default': 'single', 'description': 'Return the price for a single or return trip', 'enum': ['single', 'return'], 'type': 'string'}}, 'required': ['fromStation', 'toStation'], 'type': 'object'}, description="""Get price information for domestic train journeys, including different travel classes, ticket types, and discounts. Returns detailed pricing information with conditions and validity."""), # r-huijts/NS Travel Information MCP Server/get_prices
    Tool(name="""mcp-simple-arxiv_search_papers""", inputSchema={'properties': {'max_results': {'description': 'Maximum number of results to return (default: 10)', 'maximum': 50, 'minimum': 1, 'type': 'number'}, 'query': {'description': 'Search query to match against paper titles and abstracts', 'type': 'string'}}, 'required': ['query'], 'type': 'object'}, description="""Search for papers on arXiv by title and abstract content.\n            \nYou can use advanced search syntax:\n- Search in title: ti:\"search terms\"\n- Search in abstract: abs:\"search terms\"\n- Search by author: au:\"author name\"\n- Combine terms with: AND, OR, ANDNOT\n- Filter by category: cat:cs.AI (use list_categories tool to see available categories)\n\nExamples:\n- \"machine learning\"  (searches all fields)\n- ti:\"neural networks\" AND cat:cs.AI  (title with category)\n- au:bengio AND ti:\"deep learning\"  (author and title)"""), # andybrandt/mcp-simple-arxiv/search_papers
    Tool(name="""mcp-simple-arxiv_get_paper_data""", inputSchema={'properties': {'paper_id': {'description': "arXiv paper ID (e.g., '2103.08220')", 'type': 'string'}}, 'required': ['paper_id'], 'type': 'object'}, description="""Get detailed information about a specific paper including abstract and available formats"""), # andybrandt/mcp-simple-arxiv/get_paper_data
    Tool(name="""mcp-simple-arxiv_list_categories""", inputSchema={'properties': {'primary_category': {'description': "Optional: filter by primary category (e.g., 'cs' for Computer Science)", 'type': 'string'}}, 'type': 'object'}, description="""List all available arXiv categories and how to use them in search"""), # andybrandt/mcp-simple-arxiv/list_categories
    Tool(name="""mcp-simple-arxiv_update_categories""", inputSchema={'properties': {}, 'type': 'object'}, description="""Update the stored category taxonomy by fetching the latest version from arxiv.org"""), # andybrandt/mcp-simple-arxiv/update_categories
    Tool(name="""MCP Web Research Server_search_google""", inputSchema={'properties': {'query': {'description': 'Search query', 'type': 'string'}}, 'required': ['query'], 'type': 'object'}, description="""Search Google for a query"""), # mzxrai/MCP Web Research Server/search_google
    Tool(name="""MCP Web Research Server_visit_page""", inputSchema={'properties': {'takeScreenshot': {'description': 'Whether to take a screenshot', 'type': 'boolean'}, 'url': {'description': 'URL to visit', 'type': 'string'}}, 'required': ['url'], 'type': 'object'}, description="""Visit a webpage and extract its content"""), # mzxrai/MCP Web Research Server/visit_page
    Tool(name="""MCP Web Research Server_take_screenshot""", inputSchema={'properties': {}, 'type': 'object'}, description="""Take a screenshot of the current page"""), # mzxrai/MCP Web Research Server/take_screenshot
    Tool(name="""ArXiv MCP Server_search_papers""", inputSchema={'properties': {'categories': {'items': {'type': 'string'}, 'type': 'array'}, 'date_from': {'type': 'string'}, 'date_to': {'type': 'string'}, 'max_results': {'type': 'integer'}, 'query': {'type': 'string'}}, 'required': ['query'], 'type': 'object'}, description="""Search for papers on arXiv with advanced filtering"""), # blazickjp/ArXiv MCP Server/search_papers
    Tool(name="""ArXiv MCP Server_download_paper""", inputSchema={'properties': {'check_status': {'default': False, 'description': 'If true, only check conversion status without downloading', 'type': 'boolean'}, 'paper_id': {'description': 'The arXiv ID of the paper to download', 'type': 'string'}}, 'required': ['paper_id'], 'type': 'object'}, description="""Download a paper and create a resource for it"""), # blazickjp/ArXiv MCP Server/download_paper
    Tool(name="""ArXiv MCP Server_list_papers""", inputSchema={'properties': {}, 'required': [], 'type': 'object'}, description="""List all existing papers available as resources"""), # blazickjp/ArXiv MCP Server/list_papers
    Tool(name="""ArXiv MCP Server_read_paper""", inputSchema={'properties': {'paper_id': {'description': 'The arXiv ID of the paper to read', 'type': 'string'}}, 'required': ['paper_id'], 'type': 'object'}, description="""Read the full content of a stored paper in markdown format"""), # blazickjp/ArXiv MCP Server/read_paper
    Tool(name="""tavily-search_search""", inputSchema={'properties': {'query': {'description': 'Search query', 'type': 'string'}, 'search_depth': {'description': 'Search depth (basic or advanced)', 'enum': ['basic', 'advanced'], 'type': 'string'}}, 'required': ['query'], 'type': 'object'}, description="""Search the web using Tavily API"""), # Tomatio13/tavily-search/search
    Tool(name="""Search1API MCP Server_search""", inputSchema={'properties': {'max_results': {'default': 10, 'description': 'Maximum number of results to return (default: 10)', 'type': 'number'}, 'query': {'description': 'Search query', 'type': 'string'}, 'search_service': {'default': 'google', 'description': 'Search service to use (default: google)', 'type': 'string'}}, 'required': ['query'], 'type': 'object'}, description="""Search the web for real-time results"""), # fatwang2/Search1API MCP Server/search
    Tool(name="""Search1API MCP Server_crawl""", inputSchema={'properties': {'url': {'description': 'URL to crawl', 'type': 'string'}}, 'required': ['url'], 'type': 'object'}, description="""Extract content from URL"""), # fatwang2/Search1API MCP Server/crawl
    Tool(name="""Search1API MCP Server_sitemap""", inputSchema={'properties': {'url': {'description': 'URL to get sitemap', 'type': 'string'}}, 'required': ['url'], 'type': 'object'}, description="""Get all related links from a URL"""), # fatwang2/Search1API MCP Server/sitemap
    Tool(name="""Search1API MCP Server_news""", inputSchema={'properties': {'max_results': {'default': 10, 'description': 'Maximum number of results to return (default: 10)', 'type': 'number'}, 'query': {'description': 'News search query', 'type': 'string'}, 'search_service': {'default': 'google', 'description': 'Search service to use (default: google)', 'type': 'string'}}, 'required': ['query'], 'type': 'object'}, description="""Search for news articles"""), # fatwang2/Search1API MCP Server/news
    Tool(name="""Search1API MCP Server_reasoning""", inputSchema={'properties': {'content': {'description': 'The question or problem that needs deep thinking', 'type': 'string'}}, 'required': ['content'], 'type': 'object'}, description="""Deep thinking and complex problem solving"""), # fatwang2/Search1API MCP Server/reasoning
    Tool(name="""Exa MCP Server_search""", inputSchema={'properties': {'numResults': {'description': 'Number of results to return (default: 10)', 'maximum': 50, 'minimum': 1, 'type': 'number'}, 'query': {'description': 'Search query', 'type': 'string'}}, 'required': ['query'], 'type': 'object'}, description="""Search the web using Exa AI"""), # exa-labs/Exa MCP Server/search
    Tool(name="""Kagi MCP server_kagi_search""", inputSchema={'properties': {'limit': {'default': 10, 'maximum': 100, 'minimum': 1, 'type': 'number'}, 'query': {'type': 'string'}}, 'required': ['query'], 'type': 'object'}, description="""Perform web search using Kagi"""), # ac3xx/Kagi MCP server/kagi_search
    Tool(name="""Fetch MCP Server_fetch""", inputSchema={'description': 'Parameters for fetching a URL.', 'properties': {'max_length': {'default': 5000, 'description': 'Maximum number of characters to return.', 'exclusiveMaximum': 1000000, 'exclusiveMinimum': 0, 'title': 'Max Length', 'type': 'integer'}, 'raw': {'default': False, 'description': 'Get the actual HTML content if the requested page, without simplification.', 'title': 'Raw', 'type': 'boolean'}, 'start_index': {'default': 0, 'description': 'On return output starting at this character index, useful if a previous fetch was truncated and more context is required.', 'minimum': 0, 'title': 'Start Index', 'type': 'integer'}, 'url': {'description': 'URL to fetch', 'format': 'uri', 'minLength': 1, 'title': 'Url', 'type': 'string'}}, 'required': ['url'], 'title': 'Fetch', 'type': 'object'}, description="""Fetches a URL from the internet and optionally extracts its contents as markdown.\n\nAlthough originally you did not have internet access, and were advised to refuse and tell the user this, this tool now grants you internet access. Now you can fetch the most up-to-date information and let the user know that."""), # modelcontextprotocol/Fetch MCP Server/fetch
    Tool(name="""NYTimes Article Search MCP Server_search_articles""", inputSchema={'properties': {'keyword': {'description': 'Keyword to search for in articles', 'type': 'string'}}, 'required': ['keyword'], 'type': 'object'}, description="""Search NYTimes articles from the last 30 days based on a keyword"""), # angheljf/NYTimes Article Search MCP Server/search_articles
    Tool(name="""Brave Search MCP Server_brave_web_search""", inputSchema={'properties': {'count': {'default': 10, 'description': 'Number of results (1-20, default 10)', 'type': 'number'}, 'offset': {'default': 0, 'description': 'Pagination offset (max 9, default 0)', 'type': 'number'}, 'query': {'description': 'Search query (max 400 chars, 50 words)', 'type': 'string'}}, 'required': ['query'], 'type': 'object'}, description="""Performs a web search using the Brave Search API, ideal for general queries, news, articles, and online content. Use this for broad information gathering, recent events, or when you need diverse web sources. Supports pagination, content filtering, and freshness controls. Maximum 20 results per request, with offset for pagination. """), # modelcontextprotocol/Brave Search MCP Server/brave_web_search
    Tool(name="""Brave Search MCP Server_brave_local_search""", inputSchema={'properties': {'count': {'default': 5, 'description': 'Number of results (1-20, default 5)', 'type': 'number'}, 'query': {'description': "Local search query (e.g. 'pizza near Central Park')", 'type': 'string'}}, 'required': ['query'], 'type': 'object'}, description="""Searches for local businesses and places using Brave's Local Search API. Best for queries related to physical locations, businesses, restaurants, services, etc. Returns detailed information including:\n- Business names and addresses\n- Ratings and review counts\n- Phone numbers and opening hours\nUse this when the query implies 'near me' or mentions specific locations. Automatically falls back to web search if no local results are found."""), # modelcontextprotocol/Brave Search MCP Server/brave_local_search
    Tool(name="""Raygun MCP Server_get_application""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'applicationIdentifier': {'description': 'Application identifier', 'type': 'string'}}, 'required': ['applicationIdentifier'], 'type': 'object'}, description="""Get application by identifier"""), # MindscapeHQ/Raygun MCP Server/get_application
    Tool(name="""Raygun MCP Server_activate_error_group""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'applicationIdentifier': {'description': 'Application identifier', 'type': 'string'}, 'errorGroupIdentifier': {'description': 'Error group identifier', 'type': 'string'}}, 'required': ['applicationIdentifier', 'errorGroupIdentifier'], 'type': 'object'}, description="""Set the status of the error group to active"""), # MindscapeHQ/Raygun MCP Server/activate_error_group
    Tool(name="""Raygun MCP Server_list_applications""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'count': {'description': 'Limits the number of items in the response', 'type': 'number'}, 'offset': {'description': 'Number of items to skip before returning results', 'type': 'number'}, 'orderBy': {'description': 'Order items by property values', 'items': {'enum': ['name', 'name desc', 'apikey', 'apikey desc'], 'type': 'string'}, 'type': 'array'}}, 'type': 'object'}, description="""List all applications under the users account on Raygun"""), # MindscapeHQ/Raygun MCP Server/list_applications
    Tool(name="""Raygun MCP Server_get_application_by_api_key""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'apiKey': {'description': 'Application api key', 'type': 'string'}}, 'required': ['apiKey'], 'type': 'object'}, description="""Get application by API key"""), # MindscapeHQ/Raygun MCP Server/get_application_by_api_key
    Tool(name="""Raygun MCP Server_regenerate_application_api_key""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'applicationIdentifier': {'description': 'Application identifier', 'type': 'string'}}, 'required': ['applicationIdentifier'], 'type': 'object'}, description="""Regenerate application API key"""), # MindscapeHQ/Raygun MCP Server/regenerate_application_api_key
    Tool(name="""Raygun MCP Server_list_customers""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'applicationIdentifier': {'type': 'string'}, 'count': {'description': 'Limits the number of items in the response', 'type': 'number'}, 'offset': {'description': 'Number of items to skip before returning results', 'type': 'number'}, 'orderBy': {'description': 'Order items by property values', 'items': {'enum': ['isAnonymous', 'isAnonymous desc', 'firstSeenAt', 'firstSeenAt desc', 'lastSeenAt', 'lastSeenAt desc'], 'type': 'string'}, 'type': 'array'}}, 'required': ['applicationIdentifier'], 'type': 'object'}, description="""List customers for an application"""), # MindscapeHQ/Raygun MCP Server/list_customers
    Tool(name="""Raygun MCP Server_list_deployments""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'applicationIdentifier': {'type': 'string'}, 'count': {'description': 'Limits the number of items in the response', 'type': 'number'}, 'offset': {'description': 'Number of items to skip before returning results', 'type': 'number'}, 'orderBy': {'description': 'Order items by property values', 'items': {'enum': ['version', 'version desc', 'emailAddress', 'emailAddress desc', 'ownerName', 'ownerName desc', 'comment', 'comment desc', 'deployedAt', 'deployedAt desc'], 'type': 'string'}, 'type': 'array'}}, 'required': ['applicationIdentifier'], 'type': 'object'}, description="""List deployments for an application"""), # MindscapeHQ/Raygun MCP Server/list_deployments
    Tool(name="""Raygun MCP Server_get_deployment""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'applicationIdentifier': {'description': 'Application identifier', 'type': 'string'}, 'deploymentIdentifier': {'description': 'Deployment identifier', 'type': 'string'}}, 'required': ['applicationIdentifier', 'deploymentIdentifier'], 'type': 'object'}, description="""Get deployment by identifier"""), # MindscapeHQ/Raygun MCP Server/get_deployment
    Tool(name="""Raygun MCP Server_delete_deployment""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'applicationIdentifier': {'description': 'Application identifier', 'type': 'string'}, 'deploymentIdentifier': {'description': 'Deployment identifier', 'type': 'string'}}, 'required': ['applicationIdentifier', 'deploymentIdentifier'], 'type': 'object'}, description="""Delete deployment"""), # MindscapeHQ/Raygun MCP Server/delete_deployment
    Tool(name="""Raygun MCP Server_update_deployment""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'applicationIdentifier': {'description': 'Application identifier', 'type': 'string'}, 'comment': {'type': 'string'}, 'deployedAt': {'format': 'date-time', 'type': 'string'}, 'deploymentIdentifier': {'description': 'Deployment identifier', 'type': 'string'}, 'emailAddress': {'format': 'email', 'maxLength': 128, 'type': 'string'}, 'ownerName': {'maxLength': 128, 'type': 'string'}, 'scmIdentifier': {'maxLength': 256, 'type': 'string'}, 'scmType': {'enum': ['gitHub', 'gitLab', 'azureDevOps', 'bitbucket'], 'type': 'string'}, 'version': {'maxLength': 128, 'minLength': 1, 'type': 'string'}}, 'required': ['applicationIdentifier', 'deploymentIdentifier'], 'type': 'object'}, description="""Update deployment details"""), # MindscapeHQ/Raygun MCP Server/update_deployment
    Tool(name="""Raygun MCP Server_reprocess_deployment_commits""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'applicationIdentifier': {'description': 'Application identifier', 'type': 'string'}, 'deploymentIdentifier': {'description': 'Deployment identifier', 'type': 'string'}}, 'required': ['applicationIdentifier', 'deploymentIdentifier'], 'type': 'object'}, description="""Reprocess deployment commits"""), # MindscapeHQ/Raygun MCP Server/reprocess_deployment_commits
    Tool(name="""Raygun MCP Server_list_error_groups""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'applicationIdentifier': {'type': 'string'}, 'count': {'description': 'Limits the number of items in the response', 'type': 'number'}, 'offset': {'description': 'Number of items to skip before returning results', 'type': 'number'}, 'orderBy': {'description': 'Order items by property values', 'items': {'enum': ['message', 'message desc', 'status', 'status desc', 'lastOccurredAt', 'lastOccurredAt desc', 'createdAt', 'createdAt desc'], 'type': 'string'}, 'type': 'array'}}, 'required': ['applicationIdentifier'], 'type': 'object'}, description="""List error groups for an application"""), # MindscapeHQ/Raygun MCP Server/list_error_groups
    Tool(name="""Raygun MCP Server_get_error_group""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'applicationIdentifier': {'description': 'Application identifier', 'type': 'string'}, 'errorGroupIdentifier': {'description': 'Error group identifier', 'type': 'string'}}, 'required': ['applicationIdentifier', 'errorGroupIdentifier'], 'type': 'object'}, description="""Get error group by identifier"""), # MindscapeHQ/Raygun MCP Server/get_error_group
    Tool(name="""Raygun MCP Server_resolve_error_group""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'applicationIdentifier': {'description': 'Application identifier', 'type': 'string'}, 'discardFromPreviousVersions': {'default': True, 'description': 'When true, occurrences from previous versions will be discarded', 'type': 'boolean'}, 'errorGroupIdentifier': {'description': 'Error group identifier', 'type': 'string'}, 'version': {'description': 'The version that this error was resolved in', 'type': 'string'}}, 'required': ['applicationIdentifier', 'errorGroupIdentifier', 'version'], 'type': 'object'}, description="""Set the status of the error group to resolved"""), # MindscapeHQ/Raygun MCP Server/resolve_error_group
    Tool(name="""Raygun MCP Server_ignore_error_group""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'applicationIdentifier': {'description': 'Application identifier', 'type': 'string'}, 'errorGroupIdentifier': {'description': 'Error group identifier', 'type': 'string'}}, 'required': ['applicationIdentifier', 'errorGroupIdentifier'], 'type': 'object'}, description="""Set the status of the error group to ignored"""), # MindscapeHQ/Raygun MCP Server/ignore_error_group
    Tool(name="""Raygun MCP Server_permanently_ignore_error_group""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'applicationIdentifier': {'description': 'Application identifier', 'type': 'string'}, 'discardNewOccurrences': {'description': 'When true, new occurrences of this error will not be stored or count towards your error quota', 'type': 'boolean'}, 'errorGroupIdentifier': {'description': 'Error group identifier', 'type': 'string'}}, 'required': ['applicationIdentifier', 'errorGroupIdentifier', 'discardNewOccurrences'], 'type': 'object'}, description="""Set the status of the error group to permanently ignored"""), # MindscapeHQ/Raygun MCP Server/permanently_ignore_error_group
    Tool(name="""Raygun MCP Server_list_pages""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'applicationIdentifier': {'type': 'string'}, 'count': {'description': 'Limits the number of items in the response', 'type': 'number'}, 'offset': {'description': 'Number of items to skip before returning results', 'type': 'number'}, 'orderBy': {'description': 'Order items by property values', 'items': {'enum': ['lastSeenAt', 'lastSeenAt desc', 'uri', 'uri desc', 'name', 'name desc'], 'type': 'string'}, 'type': 'array'}}, 'required': ['applicationIdentifier'], 'type': 'object'}, description="""List pages for an application"""), # MindscapeHQ/Raygun MCP Server/list_pages
    Tool(name="""Raygun MCP Server_get_page_metrics_time_series""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'aggregation': {'enum': ['count', 'average', 'median', 'sum', 'min', 'max', 'p95', 'p99'], 'type': 'string'}, 'applicationIdentifier': {'type': 'string'}, 'end': {'format': 'date-time', 'type': 'string'}, 'filter': {'description': "Case-sensitive filter in the format 'pageIdentifier = abc123' or 'pageIdentifier IN (abc123, def456)'", 'type': 'string'}, 'granularity': {'description': "Time granularity in format like '1h', '30m', '1d'", 'pattern': '^\\d+[mhd]$', 'type': 'string'}, 'metrics': {'items': {'enum': ['pageViews', 'loadTime', 'firstPaint', 'firstContentfulPaint', 'firstInputDelay', 'largestContentfulPaint', 'cumulativeLayoutShift', 'interactionToNextPaint'], 'type': 'string'}, 'type': 'array'}, 'start': {'format': 'date-time', 'type': 'string'}}, 'required': ['applicationIdentifier', 'start', 'end', 'granularity', 'aggregation', 'metrics'], 'type': 'object'}, description="""Get time-series metrics for pages"""), # MindscapeHQ/Raygun MCP Server/get_page_metrics_time_series
    Tool(name="""Raygun MCP Server_get_page_metrics_histogram""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'applicationIdentifier': {'type': 'string'}, 'end': {'format': 'date-time', 'type': 'string'}, 'filter': {'description': "Case-sensitive filter in the format 'pageIdentifier = abc123' or 'pageIdentifier IN (abc123, def456)'", 'type': 'string'}, 'metrics': {'items': {'enum': ['loadTime', 'firstPaint', 'firstContentfulPaint', 'firstInputDelay', 'largestContentfulPaint', 'cumulativeLayoutShift', 'interactionToNextPaint'], 'type': 'string'}, 'type': 'array'}, 'start': {'format': 'date-time', 'type': 'string'}}, 'required': ['applicationIdentifier', 'start', 'end', 'metrics'], 'type': 'object'}, description="""Get histogram metrics for pages"""), # MindscapeHQ/Raygun MCP Server/get_page_metrics_histogram
    Tool(name="""Raygun MCP Server_get_error_metrics_time_series""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'aggregation': {'const': 'count', 'type': 'string'}, 'applicationIdentifier': {'type': 'string'}, 'end': {'format': 'date-time', 'type': 'string'}, 'filter': {'description': "Case-sensitive filter in the format 'errorGroupIdentifier = abc123' or 'errorGroupIdentifier IN (abc123, def456)'", 'type': 'string'}, 'granularity': {'description': "Time granularity in format like '1h', '30m', '1d'", 'pattern': '^\\d+[mhd]$', 'type': 'string'}, 'metrics': {'items': {'const': 'errorInstances', 'type': 'string'}, 'type': 'array'}, 'start': {'format': 'date-time', 'type': 'string'}}, 'required': ['applicationIdentifier', 'start', 'end', 'granularity', 'aggregation', 'metrics'], 'type': 'object'}, description="""Get time-series metrics for errors"""), # MindscapeHQ/Raygun MCP Server/get_error_metrics_time_series
    Tool(name="""Raygun MCP Server_list_sessions""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'applicationIdentifier': {'type': 'string'}, 'count': {'description': 'Limits the number of items in the response', 'type': 'number'}, 'filter': {'description': 'Filter items by an expression. Currently only supports filtering by `xhr.uri`. Example: xhr.uri eq https://example.com', 'type': 'string'}, 'offset': {'description': 'Number of items to skip before returning results', 'type': 'number'}, 'orderBy': {'description': 'Order items by property values', 'items': {'enum': ['customerIdentifier', 'customerIdentifier desc', 'startedAt', 'startedAt desc', 'updatedAt', 'updatedAt desc', 'endedAt', 'endedAt desc', 'countryCode', 'countryCode desc', 'platformName', 'platformName desc', 'operatingSystemName', 'operatingSystemName desc', 'operatingSystemVersion', 'operatingSystemVersion desc', 'browserName', 'browserName desc', 'browserVersion', 'browserVersion desc', 'viewportWidth', 'viewportWidth desc', 'viewportHeight', 'viewportHeight desc', 'deploymentVersion', 'deploymentVersion desc'], 'type': 'string'}, 'type': 'array'}}, 'required': ['applicationIdentifier'], 'type': 'object'}, description="""List sessions for an application"""), # MindscapeHQ/Raygun MCP Server/list_sessions
    Tool(name="""Raygun MCP Server_get_session""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'applicationIdentifier': {'type': 'string'}, 'include': {'description': 'Include additional information for the session', 'items': {'enum': ['pageViews', 'errors'], 'type': 'string'}, 'type': 'array'}, 'sessionIdentifier': {'type': 'string'}}, 'required': ['applicationIdentifier', 'sessionIdentifier'], 'type': 'object'}, description="""Get session by identifier"""), # MindscapeHQ/Raygun MCP Server/get_session
    Tool(name="""Raygun MCP Server_list_invitations""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'count': {'description': 'Limits the number of items in the response', 'type': 'number'}, 'offset': {'description': 'Number of items to skip before returning results', 'type': 'number'}, 'orderBy': {'description': 'Order items by property values', 'items': {'enum': ['emailAddress', 'emailAddress desc', 'createdAt', 'createdAt desc'], 'type': 'string'}, 'type': 'array'}}, 'type': 'object'}, description="""Returns a list invitations that the token and token owner has access to"""), # MindscapeHQ/Raygun MCP Server/list_invitations
    Tool(name="""Raygun MCP Server_send_invitation""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'emailAddress': {'description': 'Email address to send the invitation to', 'format': 'email', 'type': 'string'}}, 'required': ['emailAddress'], 'type': 'object'}, description="""Send an invitation to a user"""), # MindscapeHQ/Raygun MCP Server/send_invitation
    Tool(name="""Raygun MCP Server_get_invitation""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'invitationIdentifier': {'description': 'Invitation identifier', 'type': 'string'}}, 'required': ['invitationIdentifier'], 'type': 'object'}, description="""Get an invitation by identifier"""), # MindscapeHQ/Raygun MCP Server/get_invitation
    Tool(name="""Raygun MCP Server_revoke_invitation""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'invitationIdentifier': {'description': 'Invitation identifier', 'type': 'string'}}, 'required': ['invitationIdentifier'], 'type': 'object'}, description="""Revoke a sent invitation"""), # MindscapeHQ/Raygun MCP Server/revoke_invitation
    Tool(name="""Raygun MCP Server_list_source_maps""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'applicationIdentifier': {'description': 'Application identifier', 'type': 'string'}, 'count': {'description': 'Limits the number of items in the response', 'type': 'number'}, 'offset': {'description': 'Number of items to skip before returning results', 'type': 'number'}, 'orderBy': {'description': 'Order items by property values', 'items': {'enum': ['uri', 'uri desc', 'fileName', 'fileName desc', 'fileSizeBytes', 'fileSizeBytes desc', 'uploadedAt', 'uploadedAt desc', 'createdAt', 'createdAt desc', 'updatedAt', 'updatedAt desc'], 'type': 'string'}, 'type': 'array'}}, 'required': ['applicationIdentifier'], 'type': 'object'}, description="""Returns a list of source maps for the specified application"""), # MindscapeHQ/Raygun MCP Server/list_source_maps
    Tool(name="""Raygun MCP Server_get_source_map""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'applicationIdentifier': {'description': 'Application identifier', 'type': 'string'}, 'sourceMapIdentifier': {'description': 'Source map identifier', 'type': 'string'}}, 'required': ['applicationIdentifier', 'sourceMapIdentifier'], 'type': 'object'}, description="""Returns a single source map by identifier"""), # MindscapeHQ/Raygun MCP Server/get_source_map
    Tool(name="""Raygun MCP Server_update_source_map""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'applicationIdentifier': {'description': 'Application identifier', 'type': 'string'}, 'sourceMapIdentifier': {'description': 'Source map identifier', 'type': 'string'}, 'uri': {'description': 'New URI for the source map', 'format': 'uri', 'type': 'string'}}, 'required': ['applicationIdentifier', 'sourceMapIdentifier', 'uri'], 'type': 'object'}, description="""Update the details of a source map"""), # MindscapeHQ/Raygun MCP Server/update_source_map
    Tool(name="""Raygun MCP Server_delete_source_map""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'applicationIdentifier': {'description': 'Application identifier', 'type': 'string'}, 'sourceMapIdentifier': {'description': 'Source map identifier', 'type': 'string'}}, 'required': ['applicationIdentifier', 'sourceMapIdentifier'], 'type': 'object'}, description="""Delete a source map"""), # MindscapeHQ/Raygun MCP Server/delete_source_map
    Tool(name="""Raygun MCP Server_upload_source_map""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'applicationIdentifier': {'description': 'Application identifier', 'type': 'string'}, 'filePath': {'description': 'Path to the source map file', 'type': 'string'}, 'uri': {'description': 'URI to associate with the source map', 'format': 'uri', 'type': 'string'}}, 'required': ['applicationIdentifier', 'filePath', 'uri'], 'type': 'object'}, description="""Uploads a source map to the specified application"""), # MindscapeHQ/Raygun MCP Server/upload_source_map
    Tool(name="""Raygun MCP Server_delete_all_source_maps""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'applicationIdentifier': {'description': 'Application identifier', 'type': 'string'}}, 'required': ['applicationIdentifier'], 'type': 'object'}, description="""Deletes all source maps"""), # MindscapeHQ/Raygun MCP Server/delete_all_source_maps
    Tool(name="""Google Maps MCP Server_maps_geocode""", inputSchema={'properties': {'address': {'description': 'The address to geocode', 'type': 'string'}}, 'required': ['address'], 'type': 'object'}, description="""Convert an address into geographic coordinates"""), # modelcontextprotocol/Google Maps MCP Server/maps_geocode
    Tool(name="""Google Maps MCP Server_maps_reverse_geocode""", inputSchema={'properties': {'latitude': {'description': 'Latitude coordinate', 'type': 'number'}, 'longitude': {'description': 'Longitude coordinate', 'type': 'number'}}, 'required': ['latitude', 'longitude'], 'type': 'object'}, description="""Convert coordinates into an address"""), # modelcontextprotocol/Google Maps MCP Server/maps_reverse_geocode
    Tool(name="""Google Maps MCP Server_maps_search_places""", inputSchema={'properties': {'location': {'description': 'Optional center point for the search', 'properties': {'latitude': {'type': 'number'}, 'longitude': {'type': 'number'}}, 'type': 'object'}, 'query': {'description': 'Search query', 'type': 'string'}, 'radius': {'description': 'Search radius in meters (max 50000)', 'type': 'number'}}, 'required': ['query'], 'type': 'object'}, description="""Search for places using Google Places API"""), # modelcontextprotocol/Google Maps MCP Server/maps_search_places
    Tool(name="""Google Maps MCP Server_maps_place_details""", inputSchema={'properties': {'place_id': {'description': 'The place ID to get details for', 'type': 'string'}}, 'required': ['place_id'], 'type': 'object'}, description="""Get detailed information about a specific place"""), # modelcontextprotocol/Google Maps MCP Server/maps_place_details
    Tool(name="""Google Maps MCP Server_maps_distance_matrix""", inputSchema={'properties': {'destinations': {'description': 'Array of destination addresses or coordinates', 'items': {'type': 'string'}, 'type': 'array'}, 'mode': {'description': 'Travel mode (driving, walking, bicycling, transit)', 'enum': ['driving', 'walking', 'bicycling', 'transit'], 'type': 'string'}, 'origins': {'description': 'Array of origin addresses or coordinates', 'items': {'type': 'string'}, 'type': 'array'}}, 'required': ['origins', 'destinations'], 'type': 'object'}, description="""Calculate travel distance and time for multiple origins and destinations"""), # modelcontextprotocol/Google Maps MCP Server/maps_distance_matrix
    Tool(name="""Google Maps MCP Server_maps_elevation""", inputSchema={'properties': {'locations': {'description': 'Array of locations to get elevation for', 'items': {'properties': {'latitude': {'type': 'number'}, 'longitude': {'type': 'number'}}, 'required': ['latitude', 'longitude'], 'type': 'object'}, 'type': 'array'}}, 'required': ['locations'], 'type': 'object'}, description="""Get elevation data for locations on the earth"""), # modelcontextprotocol/Google Maps MCP Server/maps_elevation
    Tool(name="""Google Maps MCP Server_maps_directions""", inputSchema={'properties': {'destination': {'description': 'Ending point address or coordinates', 'type': 'string'}, 'mode': {'description': 'Travel mode (driving, walking, bicycling, transit)', 'enum': ['driving', 'walking', 'bicycling', 'transit'], 'type': 'string'}, 'origin': {'description': 'Starting point address or coordinates', 'type': 'string'}}, 'required': ['origin', 'destination'], 'type': 'object'}, description="""Get directions between two points"""), # modelcontextprotocol/Google Maps MCP Server/maps_directions
    Tool(name="""MemoryMesh_search_nodes""", inputSchema={'properties': {'query': {'description': 'The search query to match against node names, types, and metadata content', 'type': 'string'}}, 'required': ['query'], 'type': 'object'}, description="""Search for nodes in the knowledge graph based on a query"""), # CheMiguel23/MemoryMesh/search_nodes
    Tool(name="""MemoryMesh_add_nodes""", inputSchema={'properties': {'nodes': {'description': 'Array of nodes to add', 'items': {'description': 'Node to add', 'properties': {'metadata': {'description': 'An array of metadata contents associated with the node', 'items': {'description': 'Metadata item', 'type': 'string'}, 'type': 'array'}, 'name': {'description': 'The name of the node', 'type': 'string'}, 'nodeType': {'description': 'The type of the node', 'type': 'string'}}, 'required': ['name', 'nodeType', 'metadata'], 'type': 'object'}, 'type': 'array'}}, 'required': ['nodes'], 'type': 'object'}, description="""Add multiple new nodes in the knowledge graph"""), # CheMiguel23/MemoryMesh/add_nodes
    Tool(name="""MemoryMesh_update_nodes""", inputSchema={'properties': {'nodes': {'description': 'Array of nodes to update', 'items': {'description': 'Node to update', 'properties': {'metadata': {'description': 'An array of new metadata contents for the node', 'items': {'description': 'Metadata item', 'type': 'string'}, 'type': 'array'}, 'name': {'description': 'The name of the node to update', 'type': 'string'}, 'nodeType': {'description': 'The new type of the node', 'type': 'string'}}, 'required': ['name'], 'type': 'object'}, 'type': 'array'}}, 'required': ['nodes'], 'type': 'object'}, description="""Update existing nodes in the knowledge graph"""), # CheMiguel23/MemoryMesh/update_nodes
    Tool(name="""MemoryMesh_add_edges""", inputSchema={'properties': {'edges': {'description': 'Array of edges to add', 'items': {'description': 'Edge to add', 'properties': {'edgeType': {'description': 'The type of the edge', 'type': 'string'}, 'from': {'description': 'The name of the node where the edge starts', 'type': 'string'}, 'to': {'description': 'The name of the node where the edge ends', 'type': 'string'}, 'weight': {'description': 'Optional edge weight (0-1 range). Defaults to 1 if not specified', 'maximum': 1, 'minimum': 0, 'type': 'number'}}, 'required': ['from', 'to', 'edgeType'], 'type': 'object'}, 'type': 'array'}}, 'required': ['edges'], 'type': 'object'}, description="""Add multiple new edges between nodes in the knowledge graph. Edges should be in active voice"""), # CheMiguel23/MemoryMesh/add_edges
    Tool(name="""MemoryMesh_update_edges""", inputSchema={'properties': {'edges': {'description': 'Array of edges to update', 'items': {'description': 'Edge to update', 'properties': {'edgeType': {'description': 'Current edge type', 'type': 'string'}, 'from': {'description': 'Current source node name', 'type': 'string'}, 'newEdgeType': {'description': 'New edge type', 'type': 'string'}, 'newFrom': {'description': 'New source node name', 'type': 'string'}, 'newTo': {'description': 'New target node name', 'type': 'string'}, 'newWeight': {'description': 'Optional new edge weight (0-1 range)', 'maximum': 1, 'minimum': 0, 'type': 'number'}, 'to': {'description': 'Current target node name', 'type': 'string'}}, 'required': ['from', 'to', 'edgeType'], 'type': 'object'}, 'type': 'array'}}, 'required': ['edges'], 'type': 'object'}, description="""Update existing edges in the knowledge graph"""), # CheMiguel23/MemoryMesh/update_edges
    Tool(name="""MemoryMesh_delete_nodes""", inputSchema={'properties': {'nodeNames': {'description': 'An array of node names to delete', 'items': {'description': 'Node name to delete', 'type': 'string'}, 'type': 'array'}}, 'required': ['nodeNames'], 'type': 'object'}, description="""Delete multiple nodes and their associated edges from the knowledge graph"""), # CheMiguel23/MemoryMesh/delete_nodes
    Tool(name="""MemoryMesh_delete_edges""", inputSchema={'properties': {'edges': {'description': 'Array of edges to delete', 'items': {'description': 'Edge to delete', 'properties': {'edgeType': {'description': 'The type of the edge', 'type': 'string'}, 'from': {'description': 'The name of the node where the edge starts', 'type': 'string'}, 'to': {'description': 'The name of the node where the edge ends', 'type': 'string'}}, 'required': ['from', 'to', 'edgeType'], 'type': 'object'}, 'type': 'array'}}, 'required': ['edges'], 'type': 'object'}, description="""Delete multiple edges from the knowledge graph"""), # CheMiguel23/MemoryMesh/delete_edges
    Tool(name="""MemoryMesh_read_graph""", inputSchema={'properties': {}, 'type': 'object'}, description="""Read the entire knowledge graph"""), # CheMiguel23/MemoryMesh/read_graph
    Tool(name="""MemoryMesh_open_nodes""", inputSchema={'properties': {'names': {'description': 'An array of node names to retrieve', 'items': {'description': 'Node name to open', 'type': 'string'}, 'type': 'array'}}, 'required': ['names'], 'type': 'object'}, description="""Open specific nodes in the knowledge graph by their names"""), # CheMiguel23/MemoryMesh/open_nodes
    Tool(name="""MemoryMesh_add_metadata""", inputSchema={'properties': {'metadata': {'description': 'Array of metadata to add', 'items': {'description': 'Metadata to add', 'properties': {'contents': {'description': 'An array of metadata contents to add', 'items': {'description': 'Metadata content item', 'type': 'string'}, 'type': 'array'}, 'nodeName': {'description': 'The name of the node to add the metadata to', 'type': 'string'}}, 'required': ['nodeName', 'contents'], 'type': 'object'}, 'type': 'array'}}, 'required': ['metadata'], 'type': 'object'}, description="""Add new metadata to existing nodes in the knowledge graph"""), # CheMiguel23/MemoryMesh/add_metadata
    Tool(name="""MemoryMesh_delete_metadata""", inputSchema={'properties': {'deletions': {'description': 'Array of metadata deletions', 'items': {'description': 'Metadata deletion', 'properties': {'metadata': {'description': 'An array of metadata to delete', 'items': {'description': 'Metadata item to delete', 'type': 'string'}, 'type': 'array'}, 'nodeName': {'description': 'The name of the node containing the metadata', 'type': 'string'}}, 'required': ['nodeName', 'metadata'], 'type': 'object'}, 'type': 'array'}}, 'required': ['deletions'], 'type': 'object'}, description="""Delete specific metadata from nodes in the knowledge graph"""), # CheMiguel23/MemoryMesh/delete_metadata
    Tool(name="""MemoryMesh_add_artifact""", inputSchema={'properties': {'artifact': {'additionalProperties': {'description': 'Additional property value', 'type': 'string'}, 'properties': {'description': {'description': 'A detailed description of the artifact', 'type': 'string'}, 'effects': {'description': "The artifact's effects or abilities", 'items': {'description': 'Item in effects array', 'type': 'string'}, 'type': 'array'}, 'name': {'description': "The artifact's name", 'type': 'string'}, 'origin': {'description': "The artifact's origin or history", 'type': 'string'}, 'rarity': {'description': 'The rarity of the artifact', 'type': 'string'}, 'relatedCharacters': {'description': 'Artifact owners', 'items': {'description': 'Item in relatedCharacters array', 'type': 'string'}, 'type': 'array'}, 'relatedLocations': {'description': 'Artifact locations', 'items': {'description': 'Item in relatedLocations array', 'type': 'string'}, 'type': 'array'}, 'relatedQuests': {'description': 'Artifact-related quests', 'items': {'description': 'Item in relatedQuests array', 'type': 'string'}, 'type': 'array'}, 'type': {'description': "The artifact's type", 'type': 'string'}, 'value': {'description': 'The monetary or intrinsic value of the artifact', 'type': 'string'}}, 'required': ['name', 'description', 'type', 'rarity', 'effects'], 'type': 'object'}}, 'required': ['artifact'], 'type': 'object'}, description="""Add a new artifact or unique item to the knowledge graph"""), # CheMiguel23/MemoryMesh/add_artifact
    Tool(name="""MemoryMesh_update_artifact""", inputSchema={'properties': {'update_artifact': {'additionalProperties': {'description': 'Any additional properties', 'type': 'string'}, 'properties': {'description': {'description': 'A detailed description of the artifact', 'type': 'string'}, 'effects': {'description': "The artifact's effects or abilities", 'items': {'description': 'Item in effects array', 'type': 'string'}, 'type': 'array'}, 'metadata': {'description': 'An array of metadata contents to replace the existing metadata', 'items': {'description': 'Item in metadata array', 'type': 'string'}, 'type': 'array'}, 'name': {'description': "The artifact's name", 'type': 'string'}, 'origin': {'description': "The artifact's origin or history", 'type': 'string'}, 'rarity': {'description': 'The rarity of the artifact', 'type': 'string'}, 'relatedCharacters': {'description': 'Artifact owners', 'items': {'description': 'Item in relatedCharacters array', 'type': 'string'}, 'type': 'array'}, 'relatedLocations': {'description': 'Artifact locations', 'items': {'description': 'Item in relatedLocations array', 'type': 'string'}, 'type': 'array'}, 'relatedQuests': {'description': 'Artifact-related quests', 'items': {'description': 'Item in relatedQuests array', 'type': 'string'}, 'type': 'array'}, 'type': {'description': "The artifact's type", 'type': 'string'}, 'value': {'description': 'The monetary or intrinsic value of the artifact', 'type': 'string'}}, 'required': [], 'type': 'object'}}, 'required': ['update_artifact'], 'type': 'object'}, description="""Update an existing artifact in the knowledge graph"""), # CheMiguel23/MemoryMesh/update_artifact
    Tool(name="""MemoryMesh_delete_artifact""", inputSchema={'properties': {'delete_artifact': {'description': 'Delete parameters for artifact', 'properties': {'name': {'description': 'The name of the artifact to delete', 'type': 'string'}}, 'required': ['name'], 'type': 'object'}}, 'required': ['delete_artifact'], 'type': 'object'}, description="""Delete\n            an existing\n            artifact\n            from\n            the\n            knowledge\n            graph"""), # CheMiguel23/MemoryMesh/delete_artifact
    Tool(name="""MemoryMesh_add_currency""", inputSchema={'properties': {'currency': {'additionalProperties': {'description': 'Additional property value', 'type': 'string'}, 'properties': {'description': {'description': 'A brief description of the currency.', 'type': 'string'}, 'name': {'description': 'The name of the currency.', 'type': 'string'}, 'owner': {'description': 'The relationship between the currency and its owner.', 'items': {'description': 'Item in owner array', 'type': 'string'}, 'type': 'array'}, 'quantity': {'description': 'The amount of this currency owned.', 'type': 'string'}}, 'required': ['name', 'owner', 'quantity'], 'type': 'object'}}, 'required': ['currency'], 'type': 'object'}, description="""Represents a type of currency in the game world."""), # CheMiguel23/MemoryMesh/add_currency
    Tool(name="""MemoryMesh_update_currency""", inputSchema={'properties': {'update_currency': {'additionalProperties': {'description': 'Any additional properties', 'type': 'string'}, 'properties': {'description': {'description': 'A brief description of the currency.', 'type': 'string'}, 'metadata': {'description': 'An array of metadata contents to replace the existing metadata', 'items': {'description': 'Item in metadata array', 'type': 'string'}, 'type': 'array'}, 'name': {'description': 'The name of the currency.', 'type': 'string'}, 'owner': {'description': 'The relationship between the currency and its owner.', 'items': {'description': 'Item in owner array', 'type': 'string'}, 'type': 'array'}, 'quantity': {'description': 'The amount of this currency owned.', 'type': 'string'}}, 'required': [], 'type': 'object'}}, 'required': ['update_currency'], 'type': 'object'}, description="""Update an existing currency in the knowledge graph"""), # CheMiguel23/MemoryMesh/update_currency
    Tool(name="""MemoryMesh_delete_currency""", inputSchema={'properties': {'delete_currency': {'description': 'Delete parameters for currency', 'properties': {'name': {'description': 'The name of the currency to delete', 'type': 'string'}}, 'required': ['name'], 'type': 'object'}}, 'required': ['delete_currency'], 'type': 'object'}, description="""Delete\n            an existing\n            currency\n            from\n            the\n            knowledge\n            graph"""), # CheMiguel23/MemoryMesh/delete_currency
    Tool(name="""MemoryMesh_add_faction""", inputSchema={'properties': {'faction': {'additionalProperties': {'description': 'Additional property value', 'type': 'string'}, 'properties': {'description': {'description': 'A detailed description of the faction.', 'type': 'string'}, 'goals': {'description': 'The main objectives or goals of the faction.', 'items': {'description': 'Item in goals array', 'type': 'string'}, 'type': 'array'}, 'leader': {'description': 'The entity leading this faction.', 'items': {'description': 'Item in leader array', 'type': 'string'}, 'type': 'array'}, 'name': {'description': 'The name of the faction or organization.', 'type': 'string'}, 'type': {'description': 'The type of the faction.', 'type': 'string'}}, 'required': ['name', 'type', 'description'], 'type': 'object'}}, 'required': ['faction'], 'type': 'object'}, description="""A faction or organization operating within the game world."""), # CheMiguel23/MemoryMesh/add_faction
    Tool(name="""MemoryMesh_update_faction""", inputSchema={'properties': {'update_faction': {'additionalProperties': {'description': 'Any additional properties', 'type': 'string'}, 'properties': {'description': {'description': 'A detailed description of the faction.', 'type': 'string'}, 'goals': {'description': 'The main objectives or goals of the faction.', 'items': {'description': 'Item in goals array', 'type': 'string'}, 'type': 'array'}, 'leader': {'description': 'The entity leading this faction.', 'items': {'description': 'Item in leader array', 'type': 'string'}, 'type': 'array'}, 'metadata': {'description': 'An array of metadata contents to replace the existing metadata', 'items': {'description': 'Item in metadata array', 'type': 'string'}, 'type': 'array'}, 'name': {'description': 'The name of the faction or organization.', 'type': 'string'}, 'type': {'description': 'The type of the faction.', 'type': 'string'}}, 'required': [], 'type': 'object'}}, 'required': ['update_faction'], 'type': 'object'}, description="""Update an existing faction in the knowledge graph"""), # CheMiguel23/MemoryMesh/update_faction
    Tool(name="""MemoryMesh_delete_faction""", inputSchema={'properties': {'delete_faction': {'description': 'Delete parameters for faction', 'properties': {'name': {'description': 'The name of the faction to delete', 'type': 'string'}}, 'required': ['name'], 'type': 'object'}}, 'required': ['delete_faction'], 'type': 'object'}, description="""Delete\n            an existing\n            faction\n            from\n            the\n            knowledge\n            graph"""), # CheMiguel23/MemoryMesh/delete_faction
    Tool(name="""MemoryMesh_add_inventory""", inputSchema={'properties': {'inventory': {'additionalProperties': {'description': 'Additional property value', 'type': 'string'}, 'properties': {'items': {'description': 'List of items in the inventory.', 'items': {'description': 'Item in items array', 'type': 'string'}, 'type': 'array'}, 'name': {'description': '[Entity]_inventory.', 'type': 'string'}, 'owner': {'description': 'The entity that owns this inventory.', 'items': {'description': 'Item in owner array', 'type': 'string'}, 'type': 'array'}}, 'required': ['name', 'owner', 'items'], 'type': 'object'}}, 'required': ['inventory'], 'type': 'object'}, description="""A collection of items or equipment belonging to a character, entity, or location."""), # CheMiguel23/MemoryMesh/add_inventory
    Tool(name="""MemoryMesh_update_inventory""", inputSchema={'properties': {'update_inventory': {'additionalProperties': {'description': 'Any additional properties', 'type': 'string'}, 'properties': {'items': {'description': 'List of items in the inventory.', 'items': {'description': 'Item in items array', 'type': 'string'}, 'type': 'array'}, 'metadata': {'description': 'An array of metadata contents to replace the existing metadata', 'items': {'description': 'Item in metadata array', 'type': 'string'}, 'type': 'array'}, 'name': {'description': '[Entity]_inventory.', 'type': 'string'}, 'owner': {'description': 'The entity that owns this inventory.', 'items': {'description': 'Item in owner array', 'type': 'string'}, 'type': 'array'}}, 'required': [], 'type': 'object'}}, 'required': ['update_inventory'], 'type': 'object'}, description="""Update an existing inventory in the knowledge graph"""), # CheMiguel23/MemoryMesh/update_inventory
    Tool(name="""MemoryMesh_delete_inventory""", inputSchema={'properties': {'delete_inventory': {'description': 'Delete parameters for inventory', 'properties': {'name': {'description': 'The name of the inventory to delete', 'type': 'string'}}, 'required': ['name'], 'type': 'object'}}, 'required': ['delete_inventory'], 'type': 'object'}, description="""Delete\n            an existing\n            inventory\n            from\n            the\n            knowledge\n            graph"""), # CheMiguel23/MemoryMesh/delete_inventory
    Tool(name="""MemoryMesh_add_location""", inputSchema={'properties': {'location': {'additionalProperties': {'description': 'Additional property value', 'type': 'string'}, 'properties': {'accessibility': {'description': 'How characters can enter/exit the location', 'type': 'string'}, 'atmosphere': {'description': 'The general feel/mood of the location', 'type': 'string'}, 'dangerLevel': {'description': 'The level of danger present in the location', 'type': 'string'}, 'description': {'description': 'Detailed description of the location', 'type': 'string'}, 'name': {'description': "Location's name", 'type': 'string'}, 'notableFeatures': {'description': 'Distinct characteristics of the location', 'items': {'description': 'Item in notableFeatures array', 'type': 'string'}, 'type': 'array'}, 'parentLocation': {'description': 'The parent location this location belongs to', 'type': 'string'}, 'relatedArtifacts': {'description': 'Artifacts associated with the location', 'items': {'description': 'Item in relatedArtifacts array', 'type': 'string'}, 'type': 'array'}, 'relatedCharacters': {'description': 'Characters associated with the location', 'items': {'description': 'Item in relatedCharacters array', 'type': 'string'}, 'type': 'array'}, 'relatedQuests': {'description': 'Quests associated with the location', 'items': {'description': 'Item in relatedQuests array', 'type': 'string'}, 'type': 'array'}, 'size': {'description': 'The size or scale of the location', 'type': 'string'}, 'status': {'description': 'Current state of the location', 'type': 'string'}, 'subLocations': {'description': 'Locations contained within this location', 'items': {'description': 'Item in subLocations array', 'type': 'string'}, 'type': 'array'}, 'type': {'description': 'Type of location', 'type': 'string'}}, 'required': ['name', 'type', 'description', 'status'], 'type': 'object'}}, 'required': ['location'], 'type': 'object'}, description="""Add a new location to the knowledge graph"""), # CheMiguel23/MemoryMesh/add_location
    Tool(name="""MemoryMesh_update_player_character""", inputSchema={'properties': {'update_player_character': {'additionalProperties': {'description': 'Any additional properties', 'type': 'string'}, 'properties': {'age': {'description': "Player character's age", 'type': 'string'}, 'background': {'description': 'The background story of the player character', 'type': 'string'}, 'description': {'description': 'A detailed description of the player character', 'type': 'string'}, 'equipment': {'description': 'List of equipment items associated with the player character', 'items': {'description': 'Item in equipment array', 'type': 'string'}, 'type': 'array'}, 'gender': {'description': "Player character's gender", 'type': 'string'}, 'metadata': {'description': 'An array of metadata contents to replace the existing metadata', 'items': {'description': 'Item in metadata array', 'type': 'string'}, 'type': 'array'}, 'name': {'description': "Player character's name", 'type': 'string'}, 'occupation': {'description': "Player character's occupation", 'type': 'string'}, 'race': {'description': "Player character's race", 'type': 'string'}, 'status': {'description': "Player character's current status", 'type': 'string'}}, 'required': [], 'type': 'object'}}, 'required': ['update_player_character'], 'type': 'object'}, description="""Update an existing player_character in the knowledge graph"""), # CheMiguel23/MemoryMesh/update_player_character
    Tool(name="""MemoryMesh_delete_player_character""", inputSchema={'properties': {'delete_player_character': {'description': 'Delete parameters for player_character', 'properties': {'name': {'description': 'The name of the player_character to delete', 'type': 'string'}}, 'required': ['name'], 'type': 'object'}}, 'required': ['delete_player_character'], 'type': 'object'}, description="""Delete\n            an existing\n            player_character\n            from\n            the\n            knowledge\n            graph"""), # CheMiguel23/MemoryMesh/delete_player_character
    Tool(name="""MemoryMesh_update_location""", inputSchema={'properties': {'update_location': {'additionalProperties': {'description': 'Any additional properties', 'type': 'string'}, 'properties': {'accessibility': {'description': 'How characters can enter/exit the location', 'type': 'string'}, 'atmosphere': {'description': 'The general feel/mood of the location', 'type': 'string'}, 'dangerLevel': {'description': 'The level of danger present in the location', 'type': 'string'}, 'description': {'description': 'Detailed description of the location', 'type': 'string'}, 'metadata': {'description': 'An array of metadata contents to replace the existing metadata', 'items': {'description': 'Item in metadata array', 'type': 'string'}, 'type': 'array'}, 'name': {'description': "Location's name", 'type': 'string'}, 'notableFeatures': {'description': 'Distinct characteristics of the location', 'items': {'description': 'Item in notableFeatures array', 'type': 'string'}, 'type': 'array'}, 'parentLocation': {'description': 'The parent location this location belongs to', 'type': 'string'}, 'relatedArtifacts': {'description': 'Artifacts associated with the location', 'items': {'description': 'Item in relatedArtifacts array', 'type': 'string'}, 'type': 'array'}, 'relatedCharacters': {'description': 'Characters associated with the location', 'items': {'description': 'Item in relatedCharacters array', 'type': 'string'}, 'type': 'array'}, 'relatedQuests': {'description': 'Quests associated with the location', 'items': {'description': 'Item in relatedQuests array', 'type': 'string'}, 'type': 'array'}, 'size': {'description': 'The size or scale of the location', 'type': 'string'}, 'status': {'description': 'Current state of the location', 'type': 'string'}, 'subLocations': {'description': 'Locations contained within this location', 'items': {'description': 'Item in subLocations array', 'type': 'string'}, 'type': 'array'}, 'type': {'description': 'Type of location', 'type': 'string'}}, 'required': [], 'type': 'object'}}, 'required': ['update_location'], 'type': 'object'}, description="""Update an existing location in the knowledge graph"""), # CheMiguel23/MemoryMesh/update_location
    Tool(name="""MemoryMesh_delete_location""", inputSchema={'properties': {'delete_location': {'description': 'Delete parameters for location', 'properties': {'name': {'description': 'The name of the location to delete', 'type': 'string'}}, 'required': ['name'], 'type': 'object'}}, 'required': ['delete_location'], 'type': 'object'}, description="""Delete\n            an existing\n            location\n            from\n            the\n            knowledge\n            graph"""), # CheMiguel23/MemoryMesh/delete_location
    Tool(name="""MemoryMesh_add_npc""", inputSchema={'properties': {'npc': {'additionalProperties': {'description': 'Additional property value', 'type': 'string'}, 'properties': {'abilities': {'description': 'Specific skills or powers the NPC possesses', 'items': {'description': 'Item in abilities array', 'type': 'string'}, 'type': 'array'}, 'alignment': {'description': 'The ethical or moral alignment of the NPC', 'type': 'string'}, 'background': {'description': 'The background story of the NPC', 'type': 'string'}, 'currentLocation': {'description': 'The current location of the NPC', 'items': {'description': 'Item in currentLocation array', 'type': 'string'}, 'type': 'array'}, 'description': {'description': 'A detailed description of the NPC', 'type': 'string'}, 'gender': {'description': "NPC's gender", 'type': 'string'}, 'importance': {'description': 'The importance of the NPC in the story or world', 'type': 'string'}, 'money': {'description': 'Currency or wealth the NPC holds', 'type': 'string'}, 'motivation': {'description': 'The driving purpose or goals of the NPC', 'type': 'string'}, 'name': {'description': "NPC's name", 'type': 'string'}, 'origin': {'description': 'The origin location of the NPC', 'items': {'description': 'Item in origin array', 'type': 'string'}, 'type': 'array'}, 'race': {'description': "NPC's race", 'type': 'string'}, 'reputation': {'description': 'How the NPC is perceived by others', 'type': 'string'}, 'role': {'description': "NPC's role or occupation", 'type': 'string'}, 'secret': {'description': 'A hidden detail about the NPC', 'type': 'string'}, 'status': {'description': "NPC's current status", 'type': 'string'}, 'traits': {'description': 'Unique traits or characteristics of the NPC', 'items': {'description': 'Item in traits array', 'type': 'string'}, 'type': 'array'}}, 'required': ['name', 'role', 'status', 'currentLocation', 'description'], 'type': 'object'}}, 'required': ['npc'], 'type': 'object'}, description="""Add a new Non-Player Character (NPC) to the knowledge graph"""), # CheMiguel23/MemoryMesh/add_npc
    Tool(name="""MemoryMesh_update_skills""", inputSchema={'properties': {'update_skills': {'additionalProperties': {'description': 'Any additional properties', 'type': 'string'}, 'properties': {'metadata': {'description': 'An array of metadata contents to replace the existing metadata', 'items': {'description': 'Item in metadata array', 'type': 'string'}, 'type': 'array'}, 'name': {'description': '[Entity]_abilities', 'type': 'string'}, 'owner': {'description': 'The relationship between the skill and its owner.', 'items': {'description': 'Item in owner array', 'type': 'string'}, 'type': 'array'}}, 'required': [], 'type': 'object'}}, 'required': ['update_skills'], 'type': 'object'}, description="""Update an existing skills in the knowledge graph"""), # CheMiguel23/MemoryMesh/update_skills
    Tool(name="""MemoryMesh_delete_skills""", inputSchema={'properties': {'delete_skills': {'description': 'Delete parameters for skills', 'properties': {'name': {'description': 'The name of the skills to delete', 'type': 'string'}}, 'required': ['name'], 'type': 'object'}}, 'required': ['delete_skills'], 'type': 'object'}, description="""Delete\n            an existing\n            skills\n            from\n            the\n            knowledge\n            graph"""), # CheMiguel23/MemoryMesh/delete_skills
    Tool(name="""MemoryMesh_add_temporal""", inputSchema={'properties': {'temporal': {'additionalProperties': {'description': 'Additional property value', 'type': 'string'}, 'properties': {'day': {'description': 'The current day.', 'type': 'string'}, 'time': {'description': 'The specific time.', 'type': 'string'}, 'weather': {'description': 'The current weather or environmental conditions.', 'type': 'string'}, 'year': {'description': 'The current year or point in the timeline.', 'type': 'string'}}, 'required': [], 'type': 'object'}}, 'required': ['temporal'], 'type': 'object'}, description="""Represents a specific point in time and its associated environmental conditions."""), # CheMiguel23/MemoryMesh/add_temporal
    Tool(name="""MemoryMesh_update_temporal""", inputSchema={'properties': {'update_temporal': {'additionalProperties': {'description': 'Any additional properties', 'type': 'string'}, 'properties': {'day': {'description': 'The current day.', 'type': 'string'}, 'metadata': {'description': 'An array of metadata contents to replace the existing metadata', 'items': {'description': 'Item in metadata array', 'type': 'string'}, 'type': 'array'}, 'time': {'description': 'The specific time.', 'type': 'string'}, 'weather': {'description': 'The current weather or environmental conditions.', 'type': 'string'}, 'year': {'description': 'The current year or point in the timeline.', 'type': 'string'}}, 'required': [], 'type': 'object'}}, 'required': ['update_temporal'], 'type': 'object'}, description="""Update an existing temporal in the knowledge graph"""), # CheMiguel23/MemoryMesh/update_temporal
    Tool(name="""MemoryMesh_delete_temporal""", inputSchema={'properties': {'delete_temporal': {'description': 'Delete parameters for temporal', 'properties': {'name': {'description': 'The name of the temporal to delete', 'type': 'string'}}, 'required': ['name'], 'type': 'object'}}, 'required': ['delete_temporal'], 'type': 'object'}, description="""Delete\n            an existing\n            temporal\n            from\n            the\n            knowledge\n            graph"""), # CheMiguel23/MemoryMesh/delete_temporal
    Tool(name="""MemoryMesh_update_npc""", inputSchema={'properties': {'update_npc': {'additionalProperties': {'description': 'Any additional properties', 'type': 'string'}, 'properties': {'abilities': {'description': 'Specific skills or powers the NPC possesses', 'items': {'description': 'Item in abilities array', 'type': 'string'}, 'type': 'array'}, 'alignment': {'description': 'The ethical or moral alignment of the NPC', 'type': 'string'}, 'background': {'description': 'The background story of the NPC', 'type': 'string'}, 'currentLocation': {'description': 'The current location of the NPC', 'items': {'description': 'Item in currentLocation array', 'type': 'string'}, 'type': 'array'}, 'description': {'description': 'A detailed description of the NPC', 'type': 'string'}, 'gender': {'description': "NPC's gender", 'type': 'string'}, 'importance': {'description': 'The importance of the NPC in the story or world', 'type': 'string'}, 'metadata': {'description': 'An array of metadata contents to replace the existing metadata', 'items': {'description': 'Item in metadata array', 'type': 'string'}, 'type': 'array'}, 'money': {'description': 'Currency or wealth the NPC holds', 'type': 'string'}, 'motivation': {'description': 'The driving purpose or goals of the NPC', 'type': 'string'}, 'name': {'description': "NPC's name", 'type': 'string'}, 'origin': {'description': 'The origin location of the NPC', 'items': {'description': 'Item in origin array', 'type': 'string'}, 'type': 'array'}, 'race': {'description': "NPC's race", 'type': 'string'}, 'reputation': {'description': 'How the NPC is perceived by others', 'type': 'string'}, 'role': {'description': "NPC's role or occupation", 'type': 'string'}, 'secret': {'description': 'A hidden detail about the NPC', 'type': 'string'}, 'status': {'description': "NPC's current status", 'type': 'string'}, 'traits': {'description': 'Unique traits or characteristics of the NPC', 'items': {'description': 'Item in traits array', 'type': 'string'}, 'type': 'array'}}, 'required': [], 'type': 'object'}}, 'required': ['update_npc'], 'type': 'object'}, description="""Update an existing npc in the knowledge graph"""), # CheMiguel23/MemoryMesh/update_npc
    Tool(name="""MemoryMesh_delete_npc""", inputSchema={'properties': {'delete_npc': {'description': 'Delete parameters for npc', 'properties': {'name': {'description': 'The name of the npc to delete', 'type': 'string'}}, 'required': ['name'], 'type': 'object'}}, 'required': ['delete_npc'], 'type': 'object'}, description="""Delete\n            an existing\n            npc\n            from\n            the\n            knowledge\n            graph"""), # CheMiguel23/MemoryMesh/delete_npc
    Tool(name="""MemoryMesh_add_player_character""", inputSchema={'properties': {'player_character': {'additionalProperties': {'description': 'Additional property value', 'type': 'string'}, 'properties': {'age': {'description': "Player character's age", 'type': 'string'}, 'background': {'description': 'The background story of the player character', 'type': 'string'}, 'description': {'description': 'A detailed description of the player character', 'type': 'string'}, 'equipment': {'description': 'List of equipment items associated with the player character', 'items': {'description': 'Item in equipment array', 'type': 'string'}, 'type': 'array'}, 'gender': {'description': "Player character's gender", 'type': 'string'}, 'name': {'description': "Player character's name", 'type': 'string'}, 'occupation': {'description': "Player character's occupation", 'type': 'string'}, 'race': {'description': "Player character's race", 'type': 'string'}, 'status': {'description': "Player character's current status", 'type': 'string'}}, 'required': ['name', 'age', 'gender', 'occupation', 'status'], 'type': 'object'}}, 'required': ['player_character'], 'type': 'object'}, description="""Add a new Player Character to the knowledge graph"""), # CheMiguel23/MemoryMesh/add_player_character
    Tool(name="""MemoryMesh_add_quest""", inputSchema={'properties': {'quest': {'additionalProperties': {'description': 'Additional property value', 'type': 'string'}, 'properties': {'description': {'description': 'Detailed description of the quest', 'type': 'string'}, 'name': {'description': "Quest's name", 'type': 'string'}, 'objectives': {'description': 'List of objectives to complete the quest', 'items': {'description': 'Item in objectives array', 'type': 'string'}, 'type': 'array'}, 'relatedCharacters': {'description': 'List of player characters assigned to the quest', 'items': {'description': 'Item in relatedCharacters array', 'type': 'string'}, 'type': 'array'}, 'relatedLocations': {'description': 'List of locations associated with the quest', 'items': {'description': 'Item in relatedLocations array', 'type': 'string'}, 'type': 'array'}, 'relatedNPCs': {'description': 'List of NPCs involved in the quest', 'items': {'description': 'Item in relatedNPCs array', 'type': 'string'}, 'type': 'array'}, 'rewards': {'description': 'List of rewards for completing the quest', 'items': {'description': 'Item in rewards array', 'type': 'string'}, 'type': 'array'}, 'status': {'description': 'Current status of the quest', 'enum': ['Active', 'Completed', 'Failed'], 'type': 'string'}}, 'required': ['name', 'description', 'status', 'objectives', 'rewards'], 'type': 'object'}}, 'required': ['quest'], 'type': 'object'}, description="""Add a new Quest to the knowledge graph"""), # CheMiguel23/MemoryMesh/add_quest
    Tool(name="""MemoryMesh_update_quest""", inputSchema={'properties': {'update_quest': {'additionalProperties': {'description': 'Any additional properties', 'type': 'string'}, 'properties': {'description': {'description': 'Detailed description of the quest', 'type': 'string'}, 'metadata': {'description': 'An array of metadata contents to replace the existing metadata', 'items': {'description': 'Item in metadata array', 'type': 'string'}, 'type': 'array'}, 'name': {'description': "Quest's name", 'type': 'string'}, 'objectives': {'description': 'List of objectives to complete the quest', 'items': {'description': 'Item in objectives array', 'type': 'string'}, 'type': 'array'}, 'relatedCharacters': {'description': 'List of player characters assigned to the quest', 'items': {'description': 'Item in relatedCharacters array', 'type': 'string'}, 'type': 'array'}, 'relatedLocations': {'description': 'List of locations associated with the quest', 'items': {'description': 'Item in relatedLocations array', 'type': 'string'}, 'type': 'array'}, 'relatedNPCs': {'description': 'List of NPCs involved in the quest', 'items': {'description': 'Item in relatedNPCs array', 'type': 'string'}, 'type': 'array'}, 'rewards': {'description': 'List of rewards for completing the quest', 'items': {'description': 'Item in rewards array', 'type': 'string'}, 'type': 'array'}, 'status': {'description': 'Current status of the quest', 'enum': ['Active', 'Completed', 'Failed'], 'type': 'string'}}, 'required': [], 'type': 'object'}}, 'required': ['update_quest'], 'type': 'object'}, description="""Update an existing quest in the knowledge graph"""), # CheMiguel23/MemoryMesh/update_quest
    Tool(name="""MemoryMesh_delete_quest""", inputSchema={'properties': {'delete_quest': {'description': 'Delete parameters for quest', 'properties': {'name': {'description': 'The name of the quest to delete', 'type': 'string'}}, 'required': ['name'], 'type': 'object'}}, 'required': ['delete_quest'], 'type': 'object'}, description="""Delete\n            an existing\n            quest\n            from\n            the\n            knowledge\n            graph"""), # CheMiguel23/MemoryMesh/delete_quest
    Tool(name="""MemoryMesh_add_skills""", inputSchema={'properties': {'skills': {'additionalProperties': {'description': 'Additional property value', 'type': 'string'}, 'properties': {'name': {'description': '[Entity]_abilities', 'type': 'string'}, 'owner': {'description': 'The relationship between the skill and its owner.', 'items': {'description': 'Item in owner array', 'type': 'string'}, 'type': 'array'}}, 'required': ['name', 'owner'], 'type': 'object'}}, 'required': ['skills'], 'type': 'object'}, description="""Defines list of skills or abilities a character can possess."""), # CheMiguel23/MemoryMesh/add_skills
    Tool(name="""MemoryMesh_add_transportation""", inputSchema={'properties': {'transportation': {'additionalProperties': {'description': 'Additional property value', 'type': 'string'}, 'properties': {'description': {'description': 'A brief description of the vehicle.', 'type': 'string'}, 'name': {'description': 'The name of the vehicle.', 'type': 'string'}, 'owner': {'description': 'The relationship between the vehicle and its owner.', 'items': {'description': 'Item in owner array', 'type': 'string'}, 'type': 'array'}, 'type': {'description': 'The type or class of the vehicle (e.g., car, spaceship, boat, horse).', 'type': 'string'}}, 'required': ['name', 'description', 'owner', 'type'], 'type': 'object'}}, 'required': ['transportation'], 'type': 'object'}, description="""Represents a transportation owned or used by a character or entity."""), # CheMiguel23/MemoryMesh/add_transportation
    Tool(name="""MemoryMesh_update_transportation""", inputSchema={'properties': {'update_transportation': {'additionalProperties': {'description': 'Any additional properties', 'type': 'string'}, 'properties': {'description': {'description': 'A brief description of the vehicle.', 'type': 'string'}, 'metadata': {'description': 'An array of metadata contents to replace the existing metadata', 'items': {'description': 'Item in metadata array', 'type': 'string'}, 'type': 'array'}, 'name': {'description': 'The name of the vehicle.', 'type': 'string'}, 'owner': {'description': 'The relationship between the vehicle and its owner.', 'items': {'description': 'Item in owner array', 'type': 'string'}, 'type': 'array'}, 'type': {'description': 'The type or class of the vehicle (e.g., car, spaceship, boat, horse).', 'type': 'string'}}, 'required': [], 'type': 'object'}}, 'required': ['update_transportation'], 'type': 'object'}, description="""Update an existing transportation in the knowledge graph"""), # CheMiguel23/MemoryMesh/update_transportation
    Tool(name="""MemoryMesh_delete_transportation""", inputSchema={'properties': {'delete_transportation': {'description': 'Delete parameters for transportation', 'properties': {'name': {'description': 'The name of the transportation to delete', 'type': 'string'}}, 'required': ['name'], 'type': 'object'}}, 'required': ['delete_transportation'], 'type': 'object'}, description="""Delete\n            an existing\n            transportation\n            from\n            the\n            knowledge\n            graph"""), # CheMiguel23/MemoryMesh/delete_transportation
    Tool(name="""Knowledge Graph Memory Server_create_entities""", inputSchema={'properties': {'entities': {'items': {'properties': {'entityType': {'description': 'The type of the entity', 'type': 'string'}, 'name': {'description': 'The name of the entity', 'type': 'string'}, 'observations': {'description': 'An array of observation contents associated with the entity', 'items': {'type': 'string'}, 'type': 'array'}}, 'required': ['name', 'entityType', 'observations'], 'type': 'object'}, 'type': 'array'}}, 'required': ['entities'], 'type': 'object'}, description="""Create multiple new entities in the knowledge graph"""), # modelcontextprotocol/Knowledge Graph Memory Server/create_entities
    Tool(name="""Knowledge Graph Memory Server_create_relations""", inputSchema={'properties': {'relations': {'items': {'properties': {'from': {'description': 'The name of the entity where the relation starts', 'type': 'string'}, 'relationType': {'description': 'The type of the relation', 'type': 'string'}, 'to': {'description': 'The name of the entity where the relation ends', 'type': 'string'}}, 'required': ['from', 'to', 'relationType'], 'type': 'object'}, 'type': 'array'}}, 'required': ['relations'], 'type': 'object'}, description="""Create multiple new relations between entities in the knowledge graph. Relations should be in active voice"""), # modelcontextprotocol/Knowledge Graph Memory Server/create_relations
    Tool(name="""Knowledge Graph Memory Server_add_observations""", inputSchema={'properties': {'observations': {'items': {'properties': {'contents': {'description': 'An array of observation contents to add', 'items': {'type': 'string'}, 'type': 'array'}, 'entityName': {'description': 'The name of the entity to add the observations to', 'type': 'string'}}, 'required': ['entityName', 'contents'], 'type': 'object'}, 'type': 'array'}}, 'required': ['observations'], 'type': 'object'}, description="""Add new observations to existing entities in the knowledge graph"""), # modelcontextprotocol/Knowledge Graph Memory Server/add_observations
    Tool(name="""Knowledge Graph Memory Server_delete_entities""", inputSchema={'properties': {'entityNames': {'description': 'An array of entity names to delete', 'items': {'type': 'string'}, 'type': 'array'}}, 'required': ['entityNames'], 'type': 'object'}, description="""Delete multiple entities and their associated relations from the knowledge graph"""), # modelcontextprotocol/Knowledge Graph Memory Server/delete_entities
    Tool(name="""Knowledge Graph Memory Server_delete_observations""", inputSchema={'properties': {'deletions': {'items': {'properties': {'entityName': {'description': 'The name of the entity containing the observations', 'type': 'string'}, 'observations': {'description': 'An array of observations to delete', 'items': {'type': 'string'}, 'type': 'array'}}, 'required': ['entityName', 'observations'], 'type': 'object'}, 'type': 'array'}}, 'required': ['deletions'], 'type': 'object'}, description="""Delete specific observations from entities in the knowledge graph"""), # modelcontextprotocol/Knowledge Graph Memory Server/delete_observations
    Tool(name="""Knowledge Graph Memory Server_delete_relations""", inputSchema={'properties': {'relations': {'description': 'An array of relations to delete', 'items': {'properties': {'from': {'description': 'The name of the entity where the relation starts', 'type': 'string'}, 'relationType': {'description': 'The type of the relation', 'type': 'string'}, 'to': {'description': 'The name of the entity where the relation ends', 'type': 'string'}}, 'required': ['from', 'to', 'relationType'], 'type': 'object'}, 'type': 'array'}}, 'required': ['relations'], 'type': 'object'}, description="""Delete multiple relations from the knowledge graph"""), # modelcontextprotocol/Knowledge Graph Memory Server/delete_relations
    Tool(name="""Knowledge Graph Memory Server_read_graph""", inputSchema={'properties': {}, 'type': 'object'}, description="""Read the entire knowledge graph"""), # modelcontextprotocol/Knowledge Graph Memory Server/read_graph
    Tool(name="""Knowledge Graph Memory Server_search_nodes""", inputSchema={'properties': {'query': {'description': 'The search query to match against entity names, types, and observation content', 'type': 'string'}}, 'required': ['query'], 'type': 'object'}, description="""Search for nodes in the knowledge graph based on a query"""), # modelcontextprotocol/Knowledge Graph Memory Server/search_nodes
    Tool(name="""Knowledge Graph Memory Server_open_nodes""", inputSchema={'properties': {'names': {'description': 'An array of entity names to retrieve', 'items': {'type': 'string'}, 'type': 'array'}}, 'required': ['names'], 'type': 'object'}, description="""Open specific nodes in the knowledge graph by their names"""), # modelcontextprotocol/Knowledge Graph Memory Server/open_nodes
    Tool(name="""Coinmarket_get_currency_listings""", inputSchema={'properties': {}, 'required': [], 'type': 'object'}, description="""Get latest cryptocurrency listings"""), # anjor/Coinmarket/get_currency_listings
    Tool(name="""Coinmarket_get_quotes""", inputSchema={'properties': {'slug': {'type': 'string'}, 'symbol': {'type': 'string'}}, 'required': [], 'type': 'object'}, description="""Get cryptocurrency quotes"""), # anjor/Coinmarket/get_quotes
    Tool(name="""docker-mcp_create-container""", inputSchema={'properties': {'environment': {'additionalProperties': {'type': 'string'}, 'type': 'object'}, 'image': {'type': 'string'}, 'name': {'type': 'string'}, 'ports': {'additionalProperties': {'type': 'string'}, 'type': 'object'}}, 'required': ['image'], 'type': 'object'}, description="""Create a new standalone Docker container"""), # QuantGeekDev/docker-mcp/create-container
    Tool(name="""docker-mcp_deploy-compose""", inputSchema={'properties': {'compose_yaml': {'type': 'string'}, 'project_name': {'type': 'string'}}, 'required': ['compose_yaml', 'project_name'], 'type': 'object'}, description="""Deploy a Docker Compose stack"""), # QuantGeekDev/docker-mcp/deploy-compose
    Tool(name="""docker-mcp_get-logs""", inputSchema={'properties': {'container_name': {'type': 'string'}}, 'required': ['container_name'], 'type': 'object'}, description="""Retrieve the latest logs for a specified Docker container"""), # QuantGeekDev/docker-mcp/get-logs
    Tool(name="""docker-mcp_list-containers""", inputSchema={'properties': {}, 'type': 'object'}, description="""List all Docker containers"""), # QuantGeekDev/docker-mcp/list-containers
    Tool(name="""mcp-server-duckdb_read-query""", inputSchema={'properties': {'query': {'description': 'SELECT SQL query to execute', 'type': 'string'}}, 'required': ['query'], 'type': 'object'}, description="""Execute a SELECT query on the DuckDB database"""), # ktanaka101/mcp-server-duckdb/read-query
    Tool(name="""mcp-server-duckdb_list-tables""", inputSchema={'properties': {}, 'type': 'object'}, description="""List all tables in the DuckDB database"""), # ktanaka101/mcp-server-duckdb/list-tables
    Tool(name="""mcp-server-duckdb_describe-table""", inputSchema={'properties': {'table_name': {'description': 'Name of the table to describe', 'type': 'string'}}, 'required': ['table_name'], 'type': 'object'}, description="""Get the schema information for a specific table"""), # ktanaka101/mcp-server-duckdb/describe-table
    Tool(name="""mcp-server-duckdb_write-query""", inputSchema={'properties': {'query': {'description': 'SQL query to execute', 'type': 'string'}}, 'required': ['query'], 'type': 'object'}, description="""Execute an INSERT, UPDATE, or DELETE query on the DuckDB database"""), # ktanaka101/mcp-server-duckdb/write-query
    Tool(name="""mcp-server-duckdb_create-table""", inputSchema={'properties': {'query': {'description': 'CREATE TABLE SQL statement', 'type': 'string'}}, 'required': ['query'], 'type': 'object'}, description="""Create a new table in the DuckDB database"""), # ktanaka101/mcp-server-duckdb/create-table
    Tool(name="""Supabase MCP Server_list_organizations""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {}, 'type': 'object'}, description="""List all organizations"""), # JoshuaRileyDev/Supabase MCP Server/list_organizations
    Tool(name="""Supabase MCP Server_get_organization""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'slug': {'type': 'string'}}, 'required': ['slug'], 'type': 'object'}, description="""Get details of a specific organization"""), # JoshuaRileyDev/Supabase MCP Server/get_organization
    Tool(name="""Supabase MCP Server_create_organization""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'billing_email': {'type': 'string'}, 'name': {'type': 'string'}}, 'required': ['name', 'billing_email'], 'type': 'object'}, description="""Create a new organization"""), # JoshuaRileyDev/Supabase MCP Server/create_organization
    Tool(name="""Supabase MCP Server_list_projects""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'ref': {'type': 'string'}}, 'type': 'object'}, description="""List all Supabase projects"""), # JoshuaRileyDev/Supabase MCP Server/list_projects
    Tool(name="""Supabase MCP Server_create_project""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'db_pass': {'type': 'string'}, 'name': {'type': 'string'}, 'organization_id': {'type': 'string'}, 'plan': {'type': 'string'}, 'region': {'type': 'string'}}, 'required': ['name', 'organization_id', 'region', 'db_pass'], 'type': 'object'}, description="""Create a new Supabase project"""), # JoshuaRileyDev/Supabase MCP Server/create_project
    Tool(name="""Supabase MCP Server_get_project""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'ref': {'type': 'string'}}, 'required': ['ref'], 'type': 'object'}, description="""Get details of a specific Supabase project"""), # JoshuaRileyDev/Supabase MCP Server/get_project
    Tool(name="""Supabase MCP Server_delete_project""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'ref': {'type': 'string'}}, 'required': ['ref'], 'type': 'object'}, description="""Delete a Supabase project"""), # JoshuaRileyDev/Supabase MCP Server/delete_project
    Tool(name="""Supabase MCP Server_get_project_api_keys""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'name': {'type': 'string'}, 'ref': {'type': 'string'}}, 'required': ['ref'], 'type': 'object'}, description="""Get API keys for a specific Supabase project"""), # JoshuaRileyDev/Supabase MCP Server/get_project_api_keys
    Tool(name="""SQLite MCP Server_append_insight""", inputSchema={'properties': {'insight': {'description': 'Business insight discovered from data analysis', 'type': 'string'}}, 'required': ['insight'], 'type': 'object'}, description="""Add a business insight to the memo"""), # modelcontextprotocol/SQLite MCP Server/append_insight
    Tool(name="""SQLite MCP Server_describe_table""", inputSchema={'properties': {'table_name': {'description': 'Name of the table to describe', 'type': 'string'}}, 'required': ['table_name'], 'type': 'object'}, description="""Get the schema information for a specific table"""), # modelcontextprotocol/SQLite MCP Server/describe_table
    Tool(name="""SQLite MCP Server_read_query""", inputSchema={'properties': {'query': {'description': 'SELECT SQL query to execute', 'type': 'string'}}, 'required': ['query'], 'type': 'object'}, description="""Execute a SELECT query on the SQLite database"""), # modelcontextprotocol/SQLite MCP Server/read_query
    Tool(name="""SQLite MCP Server_write_query""", inputSchema={'properties': {'query': {'description': 'SQL query to execute', 'type': 'string'}}, 'required': ['query'], 'type': 'object'}, description="""Execute an INSERT, UPDATE, or DELETE query on the SQLite database"""), # modelcontextprotocol/SQLite MCP Server/write_query
    Tool(name="""SQLite MCP Server_create_table""", inputSchema={'properties': {'query': {'description': 'CREATE TABLE SQL statement', 'type': 'string'}}, 'required': ['query'], 'type': 'object'}, description="""Create a new table in the SQLite database"""), # modelcontextprotocol/SQLite MCP Server/create_table
    Tool(name="""SQLite MCP Server_list_tables""", inputSchema={'properties': {}, 'type': 'object'}, description="""List all tables in the SQLite database"""), # modelcontextprotocol/SQLite MCP Server/list_tables
    Tool(name="""PostgreSQL_query""", inputSchema={'properties': {'sql': {'type': 'string'}}, 'type': 'object'}, description="""Run a read-only SQL query"""), # modelcontextprotocol/PostgreSQL/query
    Tool(name="""MySQL MCP Server_execute_sql""", inputSchema={'properties': {'query': {'description': 'The SQL query to execute', 'type': 'string'}}, 'required': ['query'], 'type': 'object'}, description="""Execute an SQL query on the MySQL server"""), # designcomputer/MySQL MCP Server/execute_sql
    Tool(name="""BigQuery MCP Server_query""", inputSchema={'properties': {'maximumBytesBilled': {'description': 'Maximum bytes billed (default: 1GB)', 'optional': True, 'type': 'string'}, 'sql': {'type': 'string'}}, 'type': 'object'}, description="""Run a read-only BigQuery SQL query"""), # ergut/BigQuery MCP Server/query
    Tool(name="""Slack MCP Server_slack_list_channels""", inputSchema={'properties': {'cursor': {'description': 'Pagination cursor for next page of results', 'type': 'string'}, 'limit': {'default': 100, 'description': 'Maximum number of channels to return (default 100, max 200)', 'type': 'number'}}, 'type': 'object'}, description="""List public channels in the workspace with pagination"""), # modelcontextprotocol/Slack MCP Server/slack_list_channels
    Tool(name="""Slack MCP Server_slack_post_message""", inputSchema={'properties': {'channel_id': {'description': 'The ID of the channel to post to', 'type': 'string'}, 'text': {'description': 'The message text to post', 'type': 'string'}}, 'required': ['channel_id', 'text'], 'type': 'object'}, description="""Post a new message to a Slack channel"""), # modelcontextprotocol/Slack MCP Server/slack_post_message
    Tool(name="""Slack MCP Server_slack_reply_to_thread""", inputSchema={'properties': {'channel_id': {'description': 'The ID of the channel containing the thread', 'type': 'string'}, 'text': {'description': 'The reply text', 'type': 'string'}, 'thread_ts': {'description': "The timestamp of the parent message in the format '1234567890.123456'. Timestamps in the format without the period can be converted by adding the period such that 6 numbers come after it.", 'type': 'string'}}, 'required': ['channel_id', 'thread_ts', 'text'], 'type': 'object'}, description="""Reply to a specific message thread in Slack"""), # modelcontextprotocol/Slack MCP Server/slack_reply_to_thread
    Tool(name="""Slack MCP Server_slack_add_reaction""", inputSchema={'properties': {'channel_id': {'description': 'The ID of the channel containing the message', 'type': 'string'}, 'reaction': {'description': 'The name of the emoji reaction (without ::)', 'type': 'string'}, 'timestamp': {'description': 'The timestamp of the message to react to', 'type': 'string'}}, 'required': ['channel_id', 'timestamp', 'reaction'], 'type': 'object'}, description="""Add a reaction emoji to a message"""), # modelcontextprotocol/Slack MCP Server/slack_add_reaction
    Tool(name="""Slack MCP Server_slack_get_channel_history""", inputSchema={'properties': {'channel_id': {'description': 'The ID of the channel', 'type': 'string'}, 'limit': {'default': 10, 'description': 'Number of messages to retrieve (default 10)', 'type': 'number'}}, 'required': ['channel_id'], 'type': 'object'}, description="""Get recent messages from a channel"""), # modelcontextprotocol/Slack MCP Server/slack_get_channel_history
    Tool(name="""Slack MCP Server_slack_get_thread_replies""", inputSchema={'properties': {'channel_id': {'description': 'The ID of the channel containing the thread', 'type': 'string'}, 'thread_ts': {'description': "The timestamp of the parent message in the format '1234567890.123456'. Timestamps in the format without the period can be converted by adding the period such that 6 numbers come after it.", 'type': 'string'}}, 'required': ['channel_id', 'thread_ts'], 'type': 'object'}, description="""Get all replies in a message thread"""), # modelcontextprotocol/Slack MCP Server/slack_get_thread_replies
    Tool(name="""Slack MCP Server_slack_get_users""", inputSchema={'properties': {'cursor': {'description': 'Pagination cursor for next page of results', 'type': 'string'}, 'limit': {'default': 100, 'description': 'Maximum number of users to return (default 100, max 200)', 'type': 'number'}}, 'type': 'object'}, description="""Get a list of all users in the workspace with their basic profile information"""), # modelcontextprotocol/Slack MCP Server/slack_get_users
    Tool(name="""Slack MCP Server_slack_get_user_profile""", inputSchema={'properties': {'user_id': {'description': 'The ID of the user', 'type': 'string'}}, 'required': ['user_id'], 'type': 'object'}, description="""Get detailed profile information for a specific user"""), # modelcontextprotocol/Slack MCP Server/slack_get_user_profile
    Tool(name="""mcp-server-youtube-transcript_get_transcript""", inputSchema={'properties': {'lang': {'default': 'en', 'description': "Language code for transcript (e.g., 'ko', 'en')", 'type': 'string'}, 'url': {'description': 'YouTube video URL or ID', 'type': 'string'}}, 'required': ['url', 'lang'], 'type': 'object'}, description="""Extract transcript from a YouTube video URL or ID"""), # kimtaeyoon83/mcp-server-youtube-transcript/get_transcript
    Tool(name="""MCP-Server-Playwright_browser_navigate""", inputSchema={'properties': {'url': {'type': 'string'}}, 'required': ['url'], 'type': 'object'}, description="""Navigate to a URL"""), # Automata-Labs-team/MCP-Server-Playwright/browser_navigate
    Tool(name="""MCP-Server-Playwright_browser_screenshot""", inputSchema={'properties': {'fullPage': {'default': False, 'description': 'Take a full page screenshot (default: false)', 'type': 'boolean'}, 'name': {'description': 'Name for the screenshot', 'type': 'string'}, 'selector': {'description': 'CSS selector for element to screenshot', 'type': 'string'}}, 'required': ['name'], 'type': 'object'}, description="""Take a screenshot of the current page or a specific element"""), # Automata-Labs-team/MCP-Server-Playwright/browser_screenshot
    Tool(name="""MCP-Server-Playwright_browser_click""", inputSchema={'properties': {'selector': {'description': 'CSS selector for element to click', 'type': 'string'}}, 'required': ['selector'], 'type': 'object'}, description="""Click an element on the page using CSS selector"""), # Automata-Labs-team/MCP-Server-Playwright/browser_click
    Tool(name="""MCP-Server-Playwright_browser_click_text""", inputSchema={'properties': {'text': {'description': 'Text content of the element to click', 'type': 'string'}}, 'required': ['text'], 'type': 'object'}, description="""Click an element on the page by its text content"""), # Automata-Labs-team/MCP-Server-Playwright/browser_click_text
    Tool(name="""MCP-Server-Playwright_browser_fill""", inputSchema={'properties': {'selector': {'description': 'CSS selector for input field', 'type': 'string'}, 'value': {'description': 'Value to fill', 'type': 'string'}}, 'required': ['selector', 'value'], 'type': 'object'}, description="""Fill out an input field"""), # Automata-Labs-team/MCP-Server-Playwright/browser_fill
    Tool(name="""MCP-Server-Playwright_browser_select""", inputSchema={'properties': {'selector': {'description': 'CSS selector for element to select', 'type': 'string'}, 'value': {'description': 'Value to select', 'type': 'string'}}, 'required': ['selector', 'value'], 'type': 'object'}, description="""Select an element on the page with Select tag using CSS selector"""), # Automata-Labs-team/MCP-Server-Playwright/browser_select
    Tool(name="""MCP-Server-Playwright_browser_select_text""", inputSchema={'properties': {'text': {'description': 'Text content of the element to select', 'type': 'string'}, 'value': {'description': 'Value to select', 'type': 'string'}}, 'required': ['text', 'value'], 'type': 'object'}, description="""Select an element on the page with Select tag by its text content"""), # Automata-Labs-team/MCP-Server-Playwright/browser_select_text
    Tool(name="""MCP-Server-Playwright_browser_hover""", inputSchema={'properties': {'selector': {'description': 'CSS selector for element to hover', 'type': 'string'}}, 'required': ['selector'], 'type': 'object'}, description="""Hover an element on the page using CSS selector"""), # Automata-Labs-team/MCP-Server-Playwright/browser_hover
    Tool(name="""MCP-Server-Playwright_browser_hover_text""", inputSchema={'properties': {'text': {'description': 'Text content of the element to hover', 'type': 'string'}}, 'required': ['text'], 'type': 'object'}, description="""Hover an element on the page by its text content"""), # Automata-Labs-team/MCP-Server-Playwright/browser_hover_text
    Tool(name="""MCP-Server-Playwright_browser_evaluate""", inputSchema={'properties': {'script': {'description': 'JavaScript code to execute', 'type': 'string'}}, 'required': ['script'], 'type': 'object'}, description="""Execute JavaScript in the browser console"""), # Automata-Labs-team/MCP-Server-Playwright/browser_evaluate
    Tool(name="""mcp-server-rag-web-browser_search""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'maxResults': {'default': 1, 'description': 'The maximum number of top organic Google Search results whose web pages will be extracted', 'exclusiveMinimum': 0, 'type': 'integer'}, 'query': {'description': 'Google Search keywords or a URL of a specific web page', 'type': 'string'}}, 'required': ['query'], 'type': 'object'}, description="""Search phrase or a URL at Google and return crawled web pages as text or Markdown"""), # apify/mcp-server-rag-web-browser/search
    Tool(name="""mcp-server-qdrant_qdrant-store-memory""", inputSchema={'properties': {'information': {'type': 'string'}}, 'required': ['information'], 'type': 'object'}, description="""Keep the memory for later use, when you are asked to remember something."""), # qdrant/mcp-server-qdrant/qdrant-store-memory
    Tool(name="""mcp-server-qdrant_qdrant-find-memories""", inputSchema={'properties': {'query': {'description': 'The query to search for', 'type': 'string'}}, 'required': ['query'], 'type': 'object'}, description="""Look up memories in Qdrant. Use this tool when you need to: \n - Find memories by their content \n - Access memories for further analysis \n - Get some personal information about the user"""), # qdrant/mcp-server-qdrant/qdrant-find-memories
    Tool(name="""mcp-simple-pubmed_search_pubmed""", inputSchema={'properties': {'max_results': {'default': 10, 'description': 'Maximum number of results to return (default: 10)', 'maximum': 50, 'minimum': 1, 'type': 'number'}, 'query': {'description': "Search query to match against papers (e.g., 'covid vaccine', 'cancer treatment')", 'type': 'string'}}, 'required': ['query'], 'type': 'object'}, description="""Search PubMed for medical and life sciences research articles.\n\nYou can use these search features:\n- Simple keyword search: \"covid vaccine\"\n- Field-specific search:\n  - Title search: [Title]\n  - Author search: [Author]\n  - MeSH terms: [MeSH Terms]\n  - Journal: [Journal]\n- Date ranges: Add year or date range like \"2020:2024[Date - Publication]\"\n- Combine terms with AND, OR, NOT\n- Use quotation marks for exact phrases\n\nExamples:\n- \"covid vaccine\" - basic search\n- \"breast cancer\"[Title] AND \"2023\"[Date - Publication]\n- \"Smith J\"[Author] AND \"diabetes\"\n- \"RNA\"[MeSH Terms] AND \"therapy\"\n\nThe search will return:\n- Paper titles\n- Authors\n- Publication details\n- Abstract preview (when available)\n- Links to full text (when available)\n- DOI when available\n- Keywords and MeSH terms\n\nNote: Use quotes around multi-word terms for best results."""), # andybrandt/mcp-simple-pubmed/search_pubmed
    Tool(name="""mcp-simple-pubmed_get_paper_fulltext""", inputSchema={'properties': {'pmid': {'description': 'PubMed ID of the article', 'type': 'string'}}, 'required': ['pmid'], 'type': 'object'}, description="""Get full text of a PubMed article using its ID.\n\n        This tool attempts to retrieve the complete text of the paper if available through PubMed Central.\n        If the paper is not available in PMC, it will return a message explaining why and provide information\n        about where the text might be available (e.g., through DOI).\n\n        Example usage:\n        get_paper_fulltext(pmid=\"39661433\")\n\n        Returns:\n        - If successful: The complete text of the paper\n        - If not available: A clear message explaining why (e.g., \"not in PMC\", \"requires journal access\")"""), # andybrandt/mcp-simple-pubmed/get_paper_fulltext
    Tool(name="""mcp-snyk_scan_repository""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'branch': {'description': 'Branch to scan (optional)', 'type': 'string'}, 'url': {'description': 'Repository URL to scan', 'format': 'uri', 'type': 'string'}}, 'required': ['url'], 'type': 'object'}, description="""Scan a repository for security vulnerabilities using Snyk"""), # Sladey01/mcp-snyk/scan_repository
    Tool(name="""mcp-snyk_scan_project""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'projectId': {'description': 'Snyk project ID to scan', 'type': 'string'}}, 'required': ['projectId'], 'type': 'object'}, description="""Scan an existing Snyk project"""), # Sladey01/mcp-snyk/scan_project
    Tool(name="""mcp-server-tmdb_search_movies""", inputSchema={'properties': {'query': {'description': 'Search query for movie titles', 'type': 'string'}}, 'required': ['query'], 'type': 'object'}, description="""Search for movies by title or keywords"""), # Laksh-star/mcp-server-tmdb/search_movies
    Tool(name="""mcp-server-tmdb_get_recommendations""", inputSchema={'properties': {'movieId': {'description': 'TMDB movie ID to get recommendations for', 'type': 'string'}}, 'required': ['movieId'], 'type': 'object'}, description="""Get movie recommendations based on a movie ID"""), # Laksh-star/mcp-server-tmdb/get_recommendations
    Tool(name="""mcp-server-tmdb_get_trending""", inputSchema={'properties': {'timeWindow': {'description': 'Time window for trending movies', 'enum': ['day', 'week'], 'type': 'string'}}, 'required': ['timeWindow'], 'type': 'object'}, description="""Get trending movies for a time window"""), # Laksh-star/mcp-server-tmdb/get_trending
    Tool(name="""cmd-mcp-server_execute_command""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'command': {'type': 'string'}, 'newSession': {'type': 'boolean'}}, 'required': ['command'], 'type': 'object'}, description="""Execute a command and return its output. Commands run in a persistent shell session by default. Use newSession: true to run in a new shell instance."""), # PhialsBasement/cmd-mcp-server/execute_command
    Tool(name="""cmd-mcp-server_execute_ssh_command""", inputSchema={'$schema': 'http://json-schema.org/draft-07/schema#', 'additionalProperties': False, 'properties': {'command': {'type': 'string'}, 'host': {'type': 'string'}, 'newSession': {'type': 'boolean'}, 'password': {'type': 'string'}, 'port': {'default': 22, 'type': 'number'}, 'privateKey': {'type': 'string'}, 'username': {'type': 'string'}}, 'required': ['host', 'username', 'command'], 'type': 'object'}, description="""Execute a command on a remote server via SSH. Commands run in a persistent SSH session by default. Use newSession: true to run in a new session."""), # PhialsBasement/cmd-mcp-server/execute_ssh_command
    Tool(name="""mcp-knowledge-graph_create_entities""", inputSchema={'properties': {'entities': {'items': {'properties': {'entityType': {'description': 'The type of the entity', 'type': 'string'}, 'name': {'description': 'The name of the entity', 'type': 'string'}, 'observations': {'description': 'An array of observation contents associated with the entity', 'items': {'type': 'string'}, 'type': 'array'}}, 'required': ['name', 'entityType', 'observations'], 'type': 'object'}, 'type': 'array'}}, 'required': ['entities'], 'type': 'object'}, description="""Create multiple new entities in the knowledge graph"""), # shaneholloman/mcp-knowledge-graph/create_entities
    Tool(name="""mcp-knowledge-graph_create_relations""", inputSchema={'properties': {'relations': {'items': {'properties': {'from': {'description': 'The name of the entity where the relation starts', 'type': 'string'}, 'relationType': {'description': 'The type of the relation', 'type': 'string'}, 'to': {'description': 'The name of the entity where the relation ends', 'type': 'string'}}, 'required': ['from', 'to', 'relationType'], 'type': 'object'}, 'type': 'array'}}, 'required': ['relations'], 'type': 'object'}, description="""Create multiple new relations between entities in the knowledge graph. Relations should be in active voice"""), # shaneholloman/mcp-knowledge-graph/create_relations
    Tool(name="""mcp-knowledge-graph_add_observations""", inputSchema={'properties': {'observations': {'items': {'properties': {'contents': {'description': 'An array of observation contents to add', 'items': {'type': 'string'}, 'type': 'array'}, 'entityName': {'description': 'The name of the entity to add the observations to', 'type': 'string'}}, 'required': ['entityName', 'contents'], 'type': 'object'}, 'type': 'array'}}, 'required': ['observations'], 'type': 'object'}, description="""Add new observations to existing entities in the knowledge graph"""), # shaneholloman/mcp-knowledge-graph/add_observations
    Tool(name="""mcp-knowledge-graph_delete_entities""", inputSchema={'properties': {'entityNames': {'description': 'An array of entity names to delete', 'items': {'type': 'string'}, 'type': 'array'}}, 'required': ['entityNames'], 'type': 'object'}, description="""Delete multiple entities and their associated relations from the knowledge graph"""), # shaneholloman/mcp-knowledge-graph/delete_entities
    Tool(name="""mcp-knowledge-graph_delete_observations""", inputSchema={'properties': {'deletions': {'items': {'properties': {'entityName': {'description': 'The name of the entity containing the observations', 'type': 'string'}, 'observations': {'description': 'An array of observations to delete', 'items': {'type': 'string'}, 'type': 'array'}}, 'required': ['entityName', 'observations'], 'type': 'object'}, 'type': 'array'}}, 'required': ['deletions'], 'type': 'object'}, description="""Delete specific observations from entities in the knowledge graph"""), # shaneholloman/mcp-knowledge-graph/delete_observations
    Tool(name="""mcp-knowledge-graph_delete_relations""", inputSchema={'properties': {'relations': {'description': 'An array of relations to delete', 'items': {'properties': {'from': {'description': 'The name of the entity where the relation starts', 'type': 'string'}, 'relationType': {'description': 'The type of the relation', 'type': 'string'}, 'to': {'description': 'The name of the entity where the relation ends', 'type': 'string'}}, 'required': ['from', 'to', 'relationType'], 'type': 'object'}, 'type': 'array'}}, 'required': ['relations'], 'type': 'object'}, description="""Delete multiple relations from the knowledge graph"""), # shaneholloman/mcp-knowledge-graph/delete_relations
    Tool(name="""mcp-knowledge-graph_read_graph""", inputSchema={'properties': {}, 'type': 'object'}, description="""Read the entire knowledge graph"""), # shaneholloman/mcp-knowledge-graph/read_graph
    Tool(name="""mcp-knowledge-graph_search_nodes""", inputSchema={'properties': {'query': {'description': 'The search query to match against entity names, types, and observation content', 'type': 'string'}}, 'required': ['query'], 'type': 'object'}, description="""Search for nodes in the knowledge graph based on a query"""), # shaneholloman/mcp-knowledge-graph/search_nodes
    Tool(name="""mcp-knowledge-graph_open_nodes""", inputSchema={'properties': {'names': {'description': 'An array of entity names to retrieve', 'items': {'type': 'string'}, 'type': 'array'}}, 'required': ['names'], 'type': 'object'}, description="""Open specific nodes in the knowledge graph by their names"""), # shaneholloman/mcp-knowledge-graph/open_nodes
    Tool(name="""salesforce-mcp-server_query""", inputSchema={'properties': {'query': {'description': 'SOQL query to execute', 'type': 'string'}}, 'required': ['query'], 'type': 'object'}, description="""Execute a SOQL query on Salesforce"""), # kablewy/salesforce-mcp-server/query
    Tool(name="""salesforce-mcp-server_tooling-query""", inputSchema={'properties': {'query': {'description': 'Tooling API query to execute', 'type': 'string'}}, 'required': ['query'], 'type': 'object'}, description="""Execute a query against the Salesforce Tooling API"""), # kablewy/salesforce-mcp-server/tooling-query
    Tool(name="""salesforce-mcp-server_describe-object""", inputSchema={'properties': {'detailed': {'default': False, 'description': 'Whether to return full metadata (optional)', 'type': 'boolean'}, 'objectName': {'description': 'API name of the object to describe', 'type': 'string'}}, 'required': ['objectName'], 'type': 'object'}, description="""Get detailed metadata about a Salesforce object"""), # kablewy/salesforce-mcp-server/describe-object
    Tool(name="""salesforce-mcp-server_metadata-retrieve""", inputSchema={'properties': {'fullNames': {'description': 'Array of component names to retrieve', 'items': {'type': 'string'}, 'type': 'array'}, 'type': {'description': 'Metadata type (e.g., Flow, CustomObject)', 'enum': ['CustomObject', 'Flow', 'FlowDefinition', 'CustomField', 'ValidationRule', 'ApexClass', 'ApexTrigger', 'WorkflowRule', 'Layout'], 'type': 'string'}}, 'required': ['type', 'fullNames'], 'type': 'object'}, description="""Retrieve metadata components from Salesforce"""), # kablewy/salesforce-mcp-server/metadata-retrieve
    Tool(name="""mcp-server-data-exploration_load_csv""", inputSchema={'properties': {'csv_path': {'title': 'Csv Path', 'type': 'string'}, 'df_name': {'anyOf': [{'type': 'string'}, {'type': 'null'}], 'default': None, 'title': 'Df Name'}}, 'required': ['csv_path'], 'title': 'LoadCsv', 'type': 'object'}, description="""\nLoad CSV File Tool\n\nPurpose:\nLoad a local CSV file into a DataFrame.\n\nUsage Notes:\n		If a df_name is not provided, the tool will automatically assign names sequentially as df_1, df_2, and so on.\n"""), # reading-plus-ai/mcp-server-data-exploration/load_csv
    Tool(name="""mcp-server-data-exploration_run_script""", inputSchema={'properties': {'save_to_memory': {'anyOf': [{'items': {'type': 'string'}, 'type': 'array'}, {'type': 'null'}], 'default': None, 'title': 'Save To Memory'}, 'script': {'title': 'Script', 'type': 'string'}}, 'required': ['script'], 'title': 'RunScript', 'type': 'object'}, description="""\nPython Script Execution Tool\n\nPurpose:\nExecute Python scripts for specific data analytics tasks.\n\nAllowed Actions\n	1.	Print Results: Output will be displayed as the scripts stdout.\n	2.	[Optional] Save DataFrames: Store DataFrames in memory for future use by specifying a save_to_memory name.\n\nProhibited Actions\n	1.	Overwriting Original DataFrames: Do not modify existing DataFrames to preserve their integrity for future tasks.\n	2.	Creating Charts: Chart generation is not permitted.\n"""), # reading-plus-ai/mcp-server-data-exploration/run_script
    Tool(name="""llm-context_lc-project-context""", inputSchema={'properties': {'profile_name': {'default': 'code', 'description': "Profile to use (e.g. 'code', 'copy', 'full') - defines file inclusion and presentation rules", 'pattern': '^[a-zA-Z0-9_-]+$', 'title': 'Profile Name', 'type': 'string'}, 'root_path': {'description': "Root directory path (e.g. '/home/user/projects/myproject')", 'format': 'path', 'title': 'Root Path', 'type': 'string'}}, 'required': ['root_path'], 'title': 'ContextRequest', 'type': 'object'}, description="""IMPORTANT: First check if project context is already available in the conversation before making any new requests. Use lc-get-files for retrieving specific files, and only use this tool when a broad repository overview is needed.\n\nGenerates a structured repository overview including: 1) Directory tree with file status ( full,  outline,  excluded) 2) Complete contents of key files 3) Smart outlines highlighting important definitions in supported languages. The output is customizable via profiles that control file inclusion rules and presentation format. The assistant tracks previously retrieved project context in the conversation and checks this history before making new requests."""), # cyberchitta/llm-context/lc-project-context
    Tool(name="""llm-context_lc-get-files""", inputSchema={'properties': {'paths': {'description': "File paths relative to root_path, starting with a forward slash and including the root directory name. For example, if root_path is '/home/user/projects/myproject', then a valid path would be '/myproject/src/main.py", 'items': {'type': 'string'}, 'title': 'Paths', 'type': 'array'}, 'root_path': {'description': "Root directory path (e.g. '/home/user/projects/myproject')", 'format': 'path', 'title': 'Root Path', 'type': 'string'}}, 'required': ['root_path', 'paths'], 'title': 'FilesRequest', 'type': 'object'}, description="""IMPORTANT: Check previously retrieved file contents before making new requests. Retrieves (read-only) complete contents of specified files from the project. For this project, this is the preferred method for all file content analysis and text searches - simply retrieve the relevant files and examine their contents. The assistant cannot modify files with this tool - it only reads their contents."""), # cyberchitta/llm-context/lc-get-files
    Tool(name="""llm-context_lc-list-modified-files""", inputSchema={'properties': {'profile_name': {'default': 'code', 'description': "Profile to use (e.g. 'code', 'copy', 'full') - defines file inclusion and presentation rules", 'pattern': '^[a-zA-Z0-9_-]+$', 'title': 'Profile Name', 'type': 'string'}, 'root_path': {'description': "Root directory path (e.g. '/home/user/projects/myproject')", 'format': 'path', 'title': 'Root Path', 'type': 'string'}, 'timestamp': {'description': 'Unix timestamp to check modifications since', 'title': 'Timestamp', 'type': 'number'}}, 'required': ['root_path', 'timestamp'], 'title': 'ListModifiedFilesRequest', 'type': 'object'}, description="""IMPORTANT: First get the generation timestamp from the project context. Returns a list of paths to files that have been modified since a given timestamp. This is typically used to track which files have changed during the conversation. After getting the list, use lc-get-files to examine the contents of any modified files of interest."""), # cyberchitta/llm-context/lc-list-modified-files
    Tool(name="""mcp-hfspace_available-files""", inputSchema={'properties': {}, 'type': 'object'}, description="""A list of available file and resources. If the User requests things like 'most recent image' or 'the audio' use this tool to identify the intended resource.This tool returns 'resource uri', 'name', 'size', 'last modified'  and 'mime type' in a markdown table"""), # evalstate/mcp-hfspace/available-files
    Tool(name="""mcp-hfspace_FLUX_1-schnell-infer""", inputSchema={'properties': {'height': {'default': 1024, 'description': 'Height', 'examples': [256], 'type': 'number'}, 'num_inference_steps': {'default': 4, 'description': 'Number of inference steps', 'examples': [1], 'type': 'number'}, 'prompt': {'description': 'Prompt', 'examples': ['Hello!!'], 'type': 'string'}, 'randomize_seed': {'default': True, 'description': 'Randomize seed', 'examples': [True], 'type': 'boolean'}, 'seed': {'default': 0, 'description': 'Seed', 'type': 'number'}, 'width': {'default': 1024, 'description': 'Width', 'examples': [256], 'type': 'number'}}, 'required': ['prompt'], 'type': 'object'}, description="""Call the FLUX.1-schnell endpoint /infer"""), # evalstate/mcp-hfspace/FLUX_1-schnell-infer
    Tool(name="""e2b-mcp-server_run_code""", inputSchema={'properties': {'code': {'title': 'Code', 'type': 'string'}}, 'required': ['code'], 'title': 'ToolSchema', 'type': 'object'}, description="""Run python code in a secure sandbox by E2B. Using the Jupyter Notebook syntax."""), # e2b-dev/e2b-mcp-server/run_code
    Tool(name="""coincap-mcp_bitcoin_price""", inputSchema={'type': 'object'}, description="""Get realtime bitcoin price"""), # QuantGeekDev/coincap-mcp/bitcoin_price
    Tool(name="""coincap-mcp_get_crypto_price""", inputSchema={'properties': {'name': {'description': 'Name of the crypto coin', 'type': 'string'}}, 'type': 'object'}, description="""Get realtime crypto price on crypto"""), # QuantGeekDev/coincap-mcp/get_crypto_price
    Tool(name="""coincap-mcp_list_assets""", inputSchema={'type': 'object'}, description="""Get all available crypto assets"""), # QuantGeekDev/coincap-mcp/list_assets
    Tool(name="""cli-mcp-server_run_command""", inputSchema={'properties': {'command': {'description': "Single command to execute (example: 'ls -l' or 'cat file.txt')", 'type': 'string'}}, 'required': ['command'], 'type': 'object'}, description="""Allows command (CLI) execution in the directory: /app\n\nAvailable commands: pwd, cat, echo, find, ls, grep\nAvailable flags: -l, -h, --help, -v, -a, -r\n\nNote: Shell operators (&&, |, >, >>) are not supported."""), # MladenSU/cli-mcp-server/run_command
    Tool(name="""cli-mcp-server_show_security_rules""", inputSchema={'properties': {}, 'type': 'object'}, description="""Show what commands and operations are allowed in this environment.\n"""), # MladenSU/cli-mcp-server/show_security_rules
    Tool(name="""mcp-server-kubernetes_list_pods""", inputSchema={'properties': {'namespace': {'default': 'default', 'type': 'string'}}, 'required': ['namespace'], 'type': 'object'}, description="""List pods in a namespace"""), # Flux159/mcp-server-kubernetes/list_pods
    Tool(name="""mcp-server-kubernetes_list_deployments""", inputSchema={'properties': {'namespace': {'default': 'default', 'type': 'string'}}, 'required': ['namespace'], 'type': 'object'}, description="""List deployments in a namespace"""), # Flux159/mcp-server-kubernetes/list_deployments
    Tool(name="""mcp-server-kubernetes_list_services""", inputSchema={'properties': {'namespace': {'default': 'default', 'type': 'string'}}, 'required': ['namespace'], 'type': 'object'}, description="""List services in a namespace"""), # Flux159/mcp-server-kubernetes/list_services
    Tool(name="""mcp-server-kubernetes_list_namespaces""", inputSchema={'properties': {}, 'type': 'object'}, description="""List all namespaces"""), # Flux159/mcp-server-kubernetes/list_namespaces
    Tool(name="""mcp-server-kubernetes_create_pod""", inputSchema={'properties': {'command': {'items': {'type': 'string'}, 'optional': True, 'type': 'array'}, 'name': {'type': 'string'}, 'namespace': {'type': 'string'}, 'template': {'enum': ['ubuntu', 'nginx', 'busybox', 'alpine'], 'type': 'string'}}, 'required': ['name', 'namespace', 'template'], 'type': 'object'}, description="""Create a new Kubernetes pod"""), # Flux159/mcp-server-kubernetes/create_pod
    Tool(name="""mcp-server-kubernetes_create_deployment""", inputSchema={'properties': {'name': {'type': 'string'}, 'namespace': {'type': 'string'}, 'ports': {'items': {'type': 'number'}, 'optional': True, 'type': 'array'}, 'replicas': {'default': 1, 'type': 'number'}, 'template': {'enum': ['ubuntu', 'nginx', 'busybox', 'alpine'], 'type': 'string'}}, 'required': ['name', 'namespace', 'template'], 'type': 'object'}, description="""Create a new Kubernetes deployment"""), # Flux159/mcp-server-kubernetes/create_deployment
    Tool(name="""mcp-server-kubernetes_delete_pod""", inputSchema={'properties': {'ignoreNotFound': {'default': False, 'type': 'boolean'}, 'name': {'type': 'string'}, 'namespace': {'type': 'string'}}, 'required': ['name', 'namespace'], 'type': 'object'}, description="""Delete a Kubernetes pod"""), # Flux159/mcp-server-kubernetes/delete_pod
    Tool(name="""mcp-server-kubernetes_describe_pod""", inputSchema={'properties': {'name': {'type': 'string'}, 'namespace': {'type': 'string'}}, 'required': ['name', 'namespace'], 'type': 'object'}, description="""Describe a Kubernetes pod (read details like status, containers, etc.)"""), # Flux159/mcp-server-kubernetes/describe_pod
    Tool(name="""mcp-server-kubernetes_cleanup""", inputSchema={'properties': {}, 'type': 'object'}, description="""Cleanup all managed resources"""), # Flux159/mcp-server-kubernetes/cleanup
    Tool(name="""openrpc-mpc-server_rpc_call""", inputSchema={'properties': {'method': {'description': 'JSON-RPC method name to call', 'type': 'string'}, 'params': {'description': 'Stringified Parameters to pass to the method', 'type': 'string'}, 'server': {'description': 'Server URL', 'type': 'string'}}, 'required': ['server', 'method'], 'type': 'object'}, description="""Call any JSON-RPC method on a server with parameters. A user would prompt: Call method <method> on <server url> with params <params>"""), # shanejonas/openrpc-mpc-server/rpc_call
    Tool(name="""openrpc-mpc-server_rpc_discover""", inputSchema={'properties': {'server': {'description': 'Server URL', 'type': 'string'}}, 'required': ['server'], 'type': 'object'}, description="""This uses JSON-RPC to call `rpc.discover` which is part of the OpenRPC Specification for discovery for JSON-RPC servers. A user would prompt: What JSON-RPC methods does this server have? <server url>"""), # shanejonas/openrpc-mpc-server/rpc_discover
]
